
/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;
/*!40103 SET @OLD_TIME_ZONE=@@TIME_ZONE */;
/*!40103 SET TIME_ZONE='+00:00' */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;
DROP TABLE IF EXISTS `account_transactions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `account_transactions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `account_id` int(11) NOT NULL,
  `type` enum('debit','credit') COLLATE utf8mb4_unicode_ci NOT NULL,
  `sub_type` enum('opening_balance','fund_transfer','deposit') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `amount` decimal(22,4) NOT NULL,
  `reff_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `operation_date` datetime NOT NULL,
  `created_by` int(11) NOT NULL,
  `transaction_id` int(11) DEFAULT NULL,
  `transaction_payment_id` int(11) DEFAULT NULL,
  `transfer_transaction_id` int(11) DEFAULT NULL,
  `note` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `account_transactions_account_id_index` (`account_id`),
  KEY `account_transactions_transaction_id_index` (`transaction_id`),
  KEY `account_transactions_transaction_payment_id_index` (`transaction_payment_id`),
  KEY `account_transactions_transfer_transaction_id_index` (`transfer_transaction_id`),
  KEY `account_transactions_created_by_index` (`created_by`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `account_transactions` WRITE;
/*!40000 ALTER TABLE `account_transactions` DISABLE KEYS */;
/*!40000 ALTER TABLE `account_transactions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `account_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `account_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `parent_account_type_id` int(11) DEFAULT NULL,
  `business_id` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `account_types` WRITE;
/*!40000 ALTER TABLE `account_types` DISABLE KEYS */;
/*!40000 ALTER TABLE `account_types` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `accounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `accounts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(11) NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `account_number` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `account_type_id` int(11) DEFAULT NULL,
  `note` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `is_closed` tinyint(1) NOT NULL DEFAULT 0,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `accounts` WRITE;
/*!40000 ALTER TABLE `accounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `accounts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `activity_log`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `activity_log` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `log_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `subject_id` int(11) DEFAULT NULL,
  `subject_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `causer_id` int(11) DEFAULT NULL,
  `causer_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `properties` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `activity_log_log_name_index` (`log_name`)
) ENGINE=InnoDB AUTO_INCREMENT=710 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `activity_log` WRITE;
/*!40000 ALTER TABLE `activity_log` DISABLE KEYS */;
INSERT INTO `activity_log` VALUES (1,'default','added',1,'App\\Transaction',1,'App\\User','[]','2022-05-23 17:08:39','2022-05-23 17:08:39'),(2,'default','added',2,'App\\Transaction',1,'App\\User','[]','2022-05-23 17:18:05','2022-05-23 17:18:05'),(3,'default','added',3,'App\\Transaction',1,'App\\User','[]','2022-05-23 17:20:25','2022-05-23 17:20:25'),(4,'default','added',4,'App\\Transaction',1,'App\\User','[]','2022-05-23 22:49:14','2022-05-23 22:49:14'),(5,'default','added',5,'App\\Transaction',1,'App\\User','[]','2022-05-23 23:12:04','2022-05-23 23:12:04'),(6,'default','added',6,'App\\Transaction',2,'App\\User','[]','2022-05-24 13:40:30','2022-05-24 13:40:30'),(7,'default','added',7,'App\\Transaction',2,'App\\User','[]','2022-05-24 16:29:00','2022-05-24 16:29:00'),(8,'default','added',8,'App\\Transaction',2,'App\\User','[]','2022-05-24 17:53:03','2022-05-24 17:53:03'),(9,'default','added',9,'App\\Transaction',2,'App\\User','[]','2022-05-24 19:10:57','2022-05-24 19:10:57'),(10,'default','added',10,'App\\Transaction',2,'App\\User','[]','2022-05-24 19:53:52','2022-05-24 19:53:52'),(11,'default','added',11,'App\\Transaction',2,'App\\User','[]','2022-05-24 20:07:12','2022-05-24 20:07:12'),(12,'default','added',12,'App\\Transaction',2,'App\\User','[]','2022-05-24 20:33:12','2022-05-24 20:33:12'),(13,'default','added',13,'App\\Transaction',2,'App\\User','[]','2022-05-24 20:36:33','2022-05-24 20:36:33'),(14,'default','edited',12,'App\\Transaction',2,'App\\User','[]','2022-05-24 20:37:49','2022-05-24 20:37:49'),(15,'default','added',14,'App\\Transaction',2,'App\\User','[]','2022-05-24 20:57:33','2022-05-24 20:57:33'),(16,'default','added',15,'App\\Transaction',2,'App\\User','[]','2022-05-25 12:36:41','2022-05-25 12:36:41'),(17,'default','added',16,'App\\Transaction',2,'App\\User','[]','2022-05-25 13:19:10','2022-05-25 13:19:10'),(18,'default','added',17,'App\\Transaction',2,'App\\User','[]','2022-05-25 13:31:57','2022-05-25 13:31:57'),(19,'default','added',18,'App\\Transaction',2,'App\\User','[]','2022-05-25 15:08:58','2022-05-25 15:08:58'),(20,'default','added',19,'App\\Transaction',2,'App\\User','[]','2022-05-25 15:28:44','2022-05-25 15:28:44'),(21,'default','added',20,'App\\Transaction',2,'App\\User','[]','2022-05-25 16:28:50','2022-05-25 16:28:50'),(22,'default','added',21,'App\\Transaction',2,'App\\User','[]','2022-05-25 16:55:19','2022-05-25 16:55:19'),(23,'default','added',22,'App\\Transaction',2,'App\\User','[]','2022-05-25 17:31:04','2022-05-25 17:31:04'),(24,'default','added',23,'App\\Transaction',2,'App\\User','[]','2022-05-25 19:50:31','2022-05-25 19:50:31'),(25,'default','added',24,'App\\Transaction',2,'App\\User','[]','2022-05-25 20:38:34','2022-05-25 20:38:34'),(26,'default','added',25,'App\\Transaction',2,'App\\User','[]','2022-05-25 21:11:37','2022-05-25 21:11:37'),(27,'default','added',26,'App\\Transaction',2,'App\\User','[]','2022-05-25 22:45:38','2022-05-25 22:45:38'),(28,'default','added',27,'App\\Transaction',2,'App\\User','[]','2022-05-25 23:20:27','2022-05-25 23:20:27'),(29,'default','added',28,'App\\Transaction',2,'App\\User','[]','2022-05-26 12:33:32','2022-05-26 12:33:32'),(30,'default','added',29,'App\\Transaction',2,'App\\User','[]','2022-05-26 13:20:55','2022-05-26 13:20:55'),(31,'default','added',30,'App\\Transaction',2,'App\\User','[]','2022-05-26 13:26:48','2022-05-26 13:26:48'),(32,'default','added',31,'App\\Transaction',2,'App\\User','[]','2022-05-26 14:57:27','2022-05-26 14:57:27'),(33,'default','added',32,'App\\Transaction',2,'App\\User','[]','2022-05-26 16:12:38','2022-05-26 16:12:38'),(34,'default','added',33,'App\\Transaction',2,'App\\User','[]','2022-05-26 19:06:02','2022-05-26 19:06:02'),(35,'default','added',34,'App\\Transaction',2,'App\\User','[]','2022-05-26 20:56:22','2022-05-26 20:56:22'),(36,'default','added',35,'App\\Transaction',2,'App\\User','[]','2022-05-27 13:14:39','2022-05-27 13:14:39'),(37,'default','added',36,'App\\Transaction',2,'App\\User','[]','2022-05-27 13:53:16','2022-05-27 13:53:16'),(38,'default','added',37,'App\\Transaction',2,'App\\User','[]','2022-05-27 18:50:50','2022-05-27 18:50:50'),(39,'default','added',38,'App\\Transaction',2,'App\\User','[]','2022-05-27 20:29:58','2022-05-27 20:29:58'),(40,'default','added',39,'App\\Transaction',2,'App\\User','[]','2022-05-28 14:16:58','2022-05-28 14:16:58'),(41,'default','added',40,'App\\Transaction',2,'App\\User','[]','2022-05-28 14:59:11','2022-05-28 14:59:11'),(42,'default','added',41,'App\\Transaction',2,'App\\User','[]','2022-05-28 15:03:04','2022-05-28 15:03:04'),(43,'default','added',42,'App\\Transaction',2,'App\\User','[]','2022-05-28 15:04:32','2022-05-28 15:04:32'),(44,'default','added',43,'App\\Transaction',2,'App\\User','[]','2022-05-28 16:18:40','2022-05-28 16:18:40'),(45,'default','added',44,'App\\Transaction',2,'App\\User','[]','2022-05-28 16:41:21','2022-05-28 16:41:21'),(46,'default','added',45,'App\\Transaction',2,'App\\User','[]','2022-05-28 21:26:45','2022-05-28 21:26:45'),(47,'default','added',46,'App\\Transaction',2,'App\\User','[]','2022-05-28 21:29:26','2022-05-28 21:29:26'),(48,'default','added',47,'App\\Transaction',2,'App\\User','[]','2022-05-28 21:38:17','2022-05-28 21:38:17'),(49,'default','added',48,'App\\Transaction',2,'App\\User','[]','2022-05-28 23:54:39','2022-05-28 23:54:39'),(50,'default','added',49,'App\\Transaction',2,'App\\User','[]','2022-05-30 13:24:08','2022-05-30 13:24:08'),(51,'default','added',50,'App\\Transaction',2,'App\\User','[]','2022-05-30 13:25:30','2022-05-30 13:25:30'),(52,'default','added',51,'App\\Transaction',2,'App\\User','[]','2022-05-30 13:33:15','2022-05-30 13:33:15'),(53,'default','added',52,'App\\Transaction',2,'App\\User','[]','2022-05-30 13:53:39','2022-05-30 13:53:39'),(54,'default','added',53,'App\\Transaction',2,'App\\User','[]','2022-05-30 13:59:51','2022-05-30 13:59:51'),(55,'default','added',54,'App\\Transaction',2,'App\\User','[]','2022-05-30 17:27:02','2022-05-30 17:27:02'),(56,'default','added',55,'App\\Transaction',2,'App\\User','[]','2022-05-30 17:42:53','2022-05-30 17:42:53'),(57,'default','added',56,'App\\Transaction',2,'App\\User','[]','2022-05-30 19:51:15','2022-05-30 19:51:15'),(58,'default','added',57,'App\\Transaction',2,'App\\User','[]','2022-05-30 20:08:05','2022-05-30 20:08:05'),(59,'default','added',58,'App\\Transaction',2,'App\\User','[]','2022-05-30 21:17:03','2022-05-30 21:17:03'),(60,'default','added',59,'App\\Transaction',2,'App\\User','[]','2022-05-30 21:19:57','2022-05-30 21:19:57'),(61,'default','added',60,'App\\Transaction',2,'App\\User','[]','2022-05-30 21:20:45','2022-05-30 21:20:45'),(62,'default','added',61,'App\\Transaction',2,'App\\User','[]','2022-05-30 21:31:04','2022-05-30 21:31:04'),(63,'default','added',62,'App\\Transaction',2,'App\\User','[]','2022-05-30 22:33:59','2022-05-30 22:33:59'),(64,'default','added',63,'App\\Transaction',2,'App\\User','[]','2022-05-31 13:07:28','2022-05-31 13:07:28'),(65,'default','added',64,'App\\Transaction',2,'App\\User','[]','2022-05-31 13:19:14','2022-05-31 13:19:14'),(66,'default','added',65,'App\\Transaction',2,'App\\User','[]','2022-05-31 13:37:37','2022-05-31 13:37:37'),(67,'default','edited',65,'App\\Transaction',2,'App\\User','[]','2022-05-31 13:48:44','2022-05-31 13:48:44'),(68,'default','added',66,'App\\Transaction',2,'App\\User','[]','2022-05-31 15:25:14','2022-05-31 15:25:14'),(69,'default','added',67,'App\\Transaction',2,'App\\User','[]','2022-05-31 17:12:21','2022-05-31 17:12:21'),(70,'default','added',68,'App\\Transaction',2,'App\\User','[]','2022-05-31 17:12:38','2022-05-31 17:12:38'),(71,'default','added',69,'App\\Transaction',2,'App\\User','[]','2022-05-31 17:35:03','2022-05-31 17:35:03'),(72,'default','added',70,'App\\Transaction',2,'App\\User','[]','2022-05-31 19:04:21','2022-05-31 19:04:21'),(73,'default','added',71,'App\\Transaction',2,'App\\User','[]','2022-05-31 19:07:09','2022-05-31 19:07:09'),(74,'default','edited',71,'App\\Transaction',2,'App\\User','[]','2022-05-31 19:19:56','2022-05-31 19:19:56'),(75,'default','added',72,'App\\Transaction',2,'App\\User','[]','2022-05-31 20:02:57','2022-05-31 20:02:57'),(76,'default','added',73,'App\\Transaction',2,'App\\User','[]','2022-05-31 20:04:25','2022-05-31 20:04:25'),(77,'default','edited',73,'App\\Transaction',2,'App\\User','[]','2022-05-31 20:05:07','2022-05-31 20:05:07'),(78,'default','edited',72,'App\\Transaction',2,'App\\User','[]','2022-05-31 20:05:54','2022-05-31 20:05:54'),(79,'default','added',74,'App\\Transaction',2,'App\\User','[]','2022-05-31 20:33:27','2022-05-31 20:33:27'),(80,'default','edited',74,'App\\Transaction',2,'App\\User','[]','2022-05-31 20:35:03','2022-05-31 20:35:03'),(81,'default','added',75,'App\\Transaction',2,'App\\User','[]','2022-05-31 21:18:27','2022-05-31 21:18:27'),(82,'default','edited',75,'App\\Transaction',2,'App\\User','[]','2022-05-31 21:19:16','2022-05-31 21:19:16'),(83,'default','added',76,'App\\Transaction',2,'App\\User','[]','2022-05-31 21:22:18','2022-05-31 21:22:18'),(84,'default','added',77,'App\\Transaction',2,'App\\User','[]','2022-05-31 22:25:57','2022-05-31 22:25:57'),(85,'default','added',78,'App\\Transaction',2,'App\\User','[]','2022-06-01 13:25:13','2022-06-01 13:25:13'),(86,'default','added',79,'App\\Transaction',2,'App\\User','[]','2022-06-01 14:00:25','2022-06-01 14:00:25'),(87,'default','added',80,'App\\Transaction',2,'App\\User','[]','2022-06-01 14:11:34','2022-06-01 14:11:34'),(88,'default','added',81,'App\\Transaction',2,'App\\User','[]','2022-06-01 16:02:37','2022-06-01 16:02:37'),(89,'default','added',82,'App\\Transaction',2,'App\\User','[]','2022-06-01 16:58:33','2022-06-01 16:58:33'),(90,'default','added',83,'App\\Transaction',2,'App\\User','[]','2022-06-01 17:08:39','2022-06-01 17:08:39'),(91,'default','added',84,'App\\Transaction',2,'App\\User','[]','2022-06-01 17:25:24','2022-06-01 17:25:24'),(92,'default','added',85,'App\\Transaction',2,'App\\User','[]','2022-06-01 18:56:22','2022-06-01 18:56:22'),(93,'default','added',86,'App\\Transaction',2,'App\\User','[]','2022-06-01 19:31:46','2022-06-01 19:31:46'),(94,'default','added',87,'App\\Transaction',2,'App\\User','[]','2022-06-01 19:50:49','2022-06-01 19:50:49'),(95,'default','added',88,'App\\Transaction',2,'App\\User','[]','2022-06-01 21:14:37','2022-06-01 21:14:37'),(96,'default','added',89,'App\\Transaction',2,'App\\User','[]','2022-06-01 21:34:00','2022-06-01 21:34:00'),(97,'default','added',90,'App\\Transaction',2,'App\\User','[]','2022-06-01 21:36:57','2022-06-01 21:36:57'),(98,'default','added',91,'App\\Transaction',2,'App\\User','[]','2022-06-01 23:17:47','2022-06-01 23:17:47'),(99,'default','added',92,'App\\Transaction',2,'App\\User','[]','2022-06-02 13:11:56','2022-06-02 13:11:56'),(100,'default','added',93,'App\\Transaction',2,'App\\User','[]','2022-06-02 13:42:33','2022-06-02 13:42:33'),(101,'default','added',94,'App\\Transaction',2,'App\\User','[]','2022-06-02 15:34:44','2022-06-02 15:34:44'),(102,'default','added',95,'App\\Transaction',2,'App\\User','[]','2022-06-02 16:10:26','2022-06-02 16:10:26'),(103,'default','added',96,'App\\Transaction',2,'App\\User','[]','2022-06-02 17:57:27','2022-06-02 17:57:27'),(104,'default','added',97,'App\\Transaction',2,'App\\User','[]','2022-06-02 21:02:38','2022-06-02 21:02:38'),(105,'default','added',98,'App\\Transaction',2,'App\\User','[]','2022-06-02 21:03:34','2022-06-02 21:03:34'),(106,'default','added',99,'App\\Transaction',2,'App\\User','[]','2022-06-02 22:02:42','2022-06-02 22:02:42'),(107,'default','added',100,'App\\Transaction',2,'App\\User','[]','2022-06-02 22:04:22','2022-06-02 22:04:22'),(108,'default','edited',99,'App\\Transaction',2,'App\\User','[]','2022-06-02 22:06:40','2022-06-02 22:06:40'),(109,'default','added',101,'App\\Transaction',2,'App\\User','[]','2022-06-03 13:00:20','2022-06-03 13:00:20'),(110,'default','added',102,'App\\Transaction',2,'App\\User','[]','2022-06-03 13:10:11','2022-06-03 13:10:11'),(111,'default','added',103,'App\\Transaction',2,'App\\User','[]','2022-06-03 13:23:50','2022-06-03 13:23:50'),(112,'default','added',104,'App\\Transaction',2,'App\\User','[]','2022-06-03 13:58:35','2022-06-03 13:58:35'),(113,'default','added',105,'App\\Transaction',2,'App\\User','[]','2022-06-03 16:55:09','2022-06-03 16:55:09'),(114,'default','edited',105,'App\\Transaction',2,'App\\User','[]','2022-06-03 17:09:39','2022-06-03 17:09:39'),(115,'default','added',106,'App\\Transaction',2,'App\\User','[]','2022-06-03 17:10:26','2022-06-03 17:10:26'),(116,'default','edited',106,'App\\Transaction',2,'App\\User','[]','2022-06-03 17:10:58','2022-06-03 17:10:58'),(117,'default','added',107,'App\\Transaction',2,'App\\User','[]','2022-06-03 17:15:42','2022-06-03 17:15:42'),(118,'default','added',108,'App\\Transaction',2,'App\\User','[]','2022-06-03 17:49:30','2022-06-03 17:49:30'),(119,'default','added',109,'App\\Transaction',2,'App\\User','[]','2022-06-03 18:34:11','2022-06-03 18:34:11'),(120,'default','added',110,'App\\Transaction',2,'App\\User','[]','2022-06-03 18:49:22','2022-06-03 18:49:22'),(121,'default','added',111,'App\\Transaction',2,'App\\User','[]','2022-06-03 19:11:17','2022-06-03 19:11:17'),(122,'default','added',112,'App\\Transaction',2,'App\\User','[]','2022-06-03 20:19:15','2022-06-03 20:19:15'),(123,'default','added',113,'App\\Transaction',2,'App\\User','[]','2022-06-03 22:32:56','2022-06-03 22:32:56'),(124,'default','added',114,'App\\Transaction',2,'App\\User','[]','2022-06-04 13:32:27','2022-06-04 13:32:27'),(125,'default','added',115,'App\\Transaction',2,'App\\User','[]','2022-06-04 13:40:54','2022-06-04 13:40:54'),(126,'default','added',116,'App\\Transaction',2,'App\\User','[]','2022-06-04 14:00:59','2022-06-04 14:00:59'),(127,'default','added',117,'App\\Transaction',2,'App\\User','[]','2022-06-04 16:01:49','2022-06-04 16:01:49'),(128,'default','added',118,'App\\Transaction',2,'App\\User','[]','2022-06-04 18:18:17','2022-06-04 18:18:17'),(129,'default','added',119,'App\\Transaction',2,'App\\User','[]','2022-06-04 19:02:04','2022-06-04 19:02:04'),(130,'default','added',120,'App\\Transaction',2,'App\\User','[]','2022-06-05 13:15:18','2022-06-05 13:15:18'),(131,'default','added',121,'App\\Transaction',2,'App\\User','[]','2022-06-05 13:39:25','2022-06-05 13:39:25'),(132,'default','added',122,'App\\Transaction',2,'App\\User','[]','2022-06-06 13:06:52','2022-06-06 13:06:52'),(133,'default','added',123,'App\\Transaction',2,'App\\User','[]','2022-06-06 13:29:23','2022-06-06 13:29:23'),(134,'default','added',124,'App\\Transaction',2,'App\\User','[]','2022-06-06 13:48:27','2022-06-06 13:48:27'),(135,'default','added',125,'App\\Transaction',2,'App\\User','[]','2022-06-06 14:14:49','2022-06-06 14:14:49'),(136,'default','added',126,'App\\Transaction',2,'App\\User','[]','2022-06-06 15:15:22','2022-06-06 15:15:22'),(137,'default','added',127,'App\\Transaction',2,'App\\User','[]','2022-06-06 15:35:13','2022-06-06 15:35:13'),(138,'default','added',128,'App\\Transaction',2,'App\\User','[]','2022-06-06 16:57:29','2022-06-06 16:57:29'),(139,'default','added',129,'App\\Transaction',2,'App\\User','[]','2022-06-06 20:37:59','2022-06-06 20:37:59'),(140,'default','added',130,'App\\Transaction',2,'App\\User','[]','2022-06-07 12:56:15','2022-06-07 12:56:15'),(141,'default','added',131,'App\\Transaction',2,'App\\User','[]','2022-06-07 14:40:55','2022-06-07 14:40:55'),(142,'default','added',132,'App\\Transaction',2,'App\\User','[]','2022-06-07 14:54:32','2022-06-07 14:54:32'),(143,'default','edited',131,'App\\Transaction',2,'App\\User','[]','2022-06-07 16:27:43','2022-06-07 16:27:43'),(144,'default','added',133,'App\\Transaction',2,'App\\User','[]','2022-06-07 20:36:40','2022-06-07 20:36:40'),(145,'default','added',134,'App\\Transaction',2,'App\\User','[]','2022-06-07 22:49:45','2022-06-07 22:49:45'),(146,'default','added',135,'App\\Transaction',2,'App\\User','[]','2022-06-08 12:22:31','2022-06-08 12:22:31'),(147,'default','added',136,'App\\Transaction',2,'App\\User','[]','2022-06-08 12:56:29','2022-06-08 12:56:29'),(148,'default','added',137,'App\\Transaction',2,'App\\User','[]','2022-06-08 12:59:00','2022-06-08 12:59:00'),(149,'default','edited',135,'App\\Transaction',2,'App\\User','[]','2022-06-08 12:59:27','2022-06-08 12:59:27'),(150,'default','added',138,'App\\Transaction',2,'App\\User','[]','2022-06-08 13:57:50','2022-06-08 13:57:50'),(151,'default','added',139,'App\\Transaction',2,'App\\User','[]','2022-06-08 14:04:06','2022-06-08 14:04:06'),(152,'default','added',140,'App\\Transaction',2,'App\\User','[]','2022-06-08 14:04:25','2022-06-08 14:04:25'),(153,'default','added',141,'App\\Transaction',2,'App\\User','[]','2022-06-08 14:41:48','2022-06-08 14:41:48'),(154,'default','added',142,'App\\Transaction',2,'App\\User','[]','2022-06-08 15:19:56','2022-06-08 15:19:56'),(155,'default','added',143,'App\\Transaction',2,'App\\User','[]','2022-06-08 18:55:30','2022-06-08 18:55:30'),(156,'default','added',144,'App\\Transaction',2,'App\\User','[]','2022-06-08 19:09:55','2022-06-08 19:09:55'),(157,'default','added',145,'App\\Transaction',2,'App\\User','[]','2022-06-08 19:20:59','2022-06-08 19:20:59'),(158,'default','added',146,'App\\Transaction',2,'App\\User','[]','2022-06-08 19:53:38','2022-06-08 19:53:38'),(159,'default','added',147,'App\\Transaction',2,'App\\User','[]','2022-06-09 17:04:05','2022-06-09 17:04:05'),(160,'default','added',148,'App\\Transaction',2,'App\\User','[]','2022-06-09 20:47:58','2022-06-09 20:47:58'),(161,'default','added',149,'App\\Transaction',2,'App\\User','[]','2022-06-09 21:54:21','2022-06-09 21:54:21'),(162,'default','added',150,'App\\Transaction',2,'App\\User','[]','2022-06-09 21:54:48','2022-06-09 21:54:48'),(163,'default','added',151,'App\\Transaction',2,'App\\User','[]','2022-06-10 13:29:21','2022-06-10 13:29:21'),(164,'default','added',152,'App\\Transaction',2,'App\\User','[]','2022-06-10 13:33:06','2022-06-10 13:33:06'),(165,'default','added',153,'App\\Transaction',2,'App\\User','[]','2022-06-10 13:34:17','2022-06-10 13:34:17'),(166,'default','added',154,'App\\Transaction',2,'App\\User','[]','2022-06-10 13:38:29','2022-06-10 13:38:29'),(167,'default','added',155,'App\\Transaction',2,'App\\User','[]','2022-06-10 16:52:36','2022-06-10 16:52:36'),(168,'default','added',156,'App\\Transaction',2,'App\\User','[]','2022-06-10 16:54:06','2022-06-10 16:54:06'),(169,'default','edited',155,'App\\Transaction',2,'App\\User','[]','2022-06-10 18:00:01','2022-06-10 18:00:01'),(170,'default','added',157,'App\\Transaction',2,'App\\User','[]','2022-06-10 19:22:56','2022-06-10 19:22:56'),(171,'default','added',158,'App\\Transaction',2,'App\\User','[]','2022-06-10 21:16:17','2022-06-10 21:16:17'),(172,'default','added',159,'App\\Transaction',2,'App\\User','[]','2022-06-10 22:03:10','2022-06-10 22:03:10'),(173,'default','added',160,'App\\Transaction',2,'App\\User','[]','2022-06-11 12:55:23','2022-06-11 12:55:23'),(174,'default','added',161,'App\\Transaction',2,'App\\User','[]','2022-06-11 14:08:09','2022-06-11 14:08:09'),(175,'default','added',162,'App\\Transaction',2,'App\\User','[]','2022-06-11 14:48:42','2022-06-11 14:48:42'),(176,'default','added',163,'App\\Transaction',2,'App\\User','[]','2022-06-11 14:58:31','2022-06-11 14:58:31'),(177,'default','added',164,'App\\Transaction',2,'App\\User','[]','2022-06-11 21:22:44','2022-06-11 21:22:44'),(178,'default','added',165,'App\\Transaction',2,'App\\User','[]','2022-06-11 22:57:07','2022-06-11 22:57:07'),(179,'default','added',166,'App\\Transaction',2,'App\\User','[]','2022-06-13 12:24:15','2022-06-13 12:24:15'),(180,'default','added',167,'App\\Transaction',2,'App\\User','[]','2022-06-13 13:17:40','2022-06-13 13:17:40'),(181,'default','added',168,'App\\Transaction',2,'App\\User','[]','2022-06-13 13:48:23','2022-06-13 13:48:23'),(182,'default','edited',168,'App\\Transaction',2,'App\\User','[]','2022-06-13 15:40:13','2022-06-13 15:40:13'),(183,'default','edited',166,'App\\Transaction',2,'App\\User','[]','2022-06-13 15:40:37','2022-06-13 15:40:37'),(184,'default','added',169,'App\\Transaction',2,'App\\User','[]','2022-06-13 19:29:46','2022-06-13 19:29:46'),(185,'default','added',170,'App\\Transaction',2,'App\\User','[]','2022-06-13 19:35:31','2022-06-13 19:35:31'),(186,'default','added',171,'App\\Transaction',2,'App\\User','[]','2022-06-13 22:50:04','2022-06-13 22:50:04'),(187,'default','added',172,'App\\Transaction',2,'App\\User','[]','2022-06-14 13:52:38','2022-06-14 13:52:38'),(188,'default','added',173,'App\\Transaction',2,'App\\User','[]','2022-06-14 13:54:47','2022-06-14 13:54:47'),(189,'default','edited',172,'App\\Transaction',2,'App\\User','[]','2022-06-14 13:56:10','2022-06-14 13:56:10'),(190,'default','added',174,'App\\Transaction',2,'App\\User','[]','2022-06-14 13:57:07','2022-06-14 13:57:07'),(191,'default','edited',174,'App\\Transaction',2,'App\\User','[]','2022-06-14 14:01:13','2022-06-14 14:01:13'),(192,'default','edited',173,'App\\Transaction',2,'App\\User','[]','2022-06-14 14:25:05','2022-06-14 14:25:05'),(193,'default','edited',172,'App\\Transaction',2,'App\\User','[]','2022-06-14 14:25:31','2022-06-14 14:25:31'),(194,'default','edited',174,'App\\Transaction',2,'App\\User','[]','2022-06-14 14:25:56','2022-06-14 14:25:56'),(195,'default','added',175,'App\\Transaction',2,'App\\User','[]','2022-06-14 18:56:47','2022-06-14 18:56:47'),(196,'default','added',176,'App\\Transaction',2,'App\\User','[]','2022-06-14 19:33:27','2022-06-14 19:33:27'),(197,'default','added',177,'App\\Transaction',2,'App\\User','[]','2022-06-14 19:56:20','2022-06-14 19:56:20'),(198,'default','added',178,'App\\Transaction',2,'App\\User','[]','2022-06-14 22:16:18','2022-06-14 22:16:18'),(199,'default','added',179,'App\\Transaction',2,'App\\User','[]','2022-06-15 13:50:20','2022-06-15 13:50:20'),(200,'default','added',180,'App\\Transaction',2,'App\\User','[]','2022-06-15 14:17:43','2022-06-15 14:17:43'),(201,'default','added',181,'App\\Transaction',2,'App\\User','[]','2022-06-15 20:40:08','2022-06-15 20:40:08'),(202,'default','added',182,'App\\Transaction',2,'App\\User','[]','2022-06-15 22:26:02','2022-06-15 22:26:02'),(203,'default','added',183,'App\\Transaction',2,'App\\User','[]','2022-06-15 22:37:38','2022-06-15 22:37:38'),(204,'default','added',184,'App\\Transaction',2,'App\\User','[]','2022-06-15 22:48:20','2022-06-15 22:48:20'),(205,'default','added',185,'App\\Transaction',2,'App\\User','[]','2022-06-17 12:33:11','2022-06-17 12:33:11'),(206,'default','added',186,'App\\Transaction',2,'App\\User','[]','2022-06-17 13:07:33','2022-06-17 13:07:33'),(207,'default','added',187,'App\\Transaction',2,'App\\User','[]','2022-06-17 14:08:49','2022-06-17 14:08:49'),(208,'default','added',188,'App\\Transaction',2,'App\\User','[]','2022-06-17 16:24:10','2022-06-17 16:24:10'),(209,'default','added',189,'App\\Transaction',2,'App\\User','[]','2022-06-17 16:26:05','2022-06-17 16:26:05'),(210,'default','added',190,'App\\Transaction',2,'App\\User','[]','2022-06-17 16:43:59','2022-06-17 16:43:59'),(211,'default','added',191,'App\\Transaction',2,'App\\User','[]','2022-06-17 18:54:49','2022-06-17 18:54:49'),(212,'default','added',192,'App\\Transaction',2,'App\\User','[]','2022-06-17 20:01:56','2022-06-17 20:01:56'),(213,'default','added',193,'App\\Transaction',2,'App\\User','[]','2022-06-17 20:42:43','2022-06-17 20:42:43'),(214,'default','added',194,'App\\Transaction',2,'App\\User','[]','2022-06-17 21:58:02','2022-06-17 21:58:02'),(215,'default','added',195,'App\\Transaction',2,'App\\User','[]','2022-06-18 13:33:10','2022-06-18 13:33:10'),(216,'default','added',196,'App\\Transaction',2,'App\\User','[]','2022-06-18 14:14:54','2022-06-18 14:14:54'),(217,'default','added',197,'App\\Transaction',2,'App\\User','[]','2022-06-18 14:57:38','2022-06-18 14:57:38'),(218,'default','added',198,'App\\Transaction',2,'App\\User','[]','2022-06-18 16:45:31','2022-06-18 16:45:31'),(219,'default','added',199,'App\\Transaction',2,'App\\User','[]','2022-06-18 18:14:07','2022-06-18 18:14:07'),(220,'default','added',200,'App\\Transaction',2,'App\\User','[]','2022-06-18 19:25:52','2022-06-18 19:25:52'),(221,'default','added',201,'App\\Transaction',2,'App\\User','[]','2022-06-18 19:28:39','2022-06-18 19:28:39'),(222,'default','added',202,'App\\Transaction',2,'App\\User','[]','2022-06-18 21:32:46','2022-06-18 21:32:46'),(223,'default','added',203,'App\\Transaction',2,'App\\User','[]','2022-06-18 23:06:24','2022-06-18 23:06:24'),(224,'default','added',204,'App\\Transaction',2,'App\\User','[]','2022-06-20 13:16:38','2022-06-20 13:16:38'),(225,'default','added',205,'App\\Transaction',2,'App\\User','[]','2022-06-20 13:18:45','2022-06-20 13:18:45'),(226,'default','added',206,'App\\Transaction',2,'App\\User','[]','2022-06-20 13:34:37','2022-06-20 13:34:37'),(227,'default','added',207,'App\\Transaction',2,'App\\User','[]','2022-06-20 13:35:38','2022-06-20 13:35:38'),(228,'default','added',208,'App\\Transaction',2,'App\\User','[]','2022-06-20 18:16:42','2022-06-20 18:16:42'),(229,'default','added',209,'App\\Transaction',2,'App\\User','[]','2022-06-20 19:57:16','2022-06-20 19:57:16'),(230,'default','added',210,'App\\Transaction',2,'App\\User','[]','2022-06-20 21:40:58','2022-06-20 21:40:58'),(231,'default','added',211,'App\\Transaction',2,'App\\User','[]','2022-06-20 21:57:29','2022-06-20 21:57:29'),(232,'default','added',212,'App\\Transaction',2,'App\\User','[]','2022-06-20 22:08:17','2022-06-20 22:08:17'),(233,'default','added',213,'App\\Transaction',2,'App\\User','[]','2022-06-20 22:35:03','2022-06-20 22:35:03'),(234,'default','added',214,'App\\Transaction',2,'App\\User','[]','2022-06-20 22:51:32','2022-06-20 22:51:32'),(235,'default','added',215,'App\\Transaction',2,'App\\User','[]','2022-06-21 12:38:37','2022-06-21 12:38:37'),(236,'default','added',216,'App\\Transaction',2,'App\\User','[]','2022-06-21 13:17:48','2022-06-21 13:17:48'),(237,'default','added',217,'App\\Transaction',2,'App\\User','[]','2022-06-21 13:25:40','2022-06-21 13:25:40'),(238,'default','added',218,'App\\Transaction',2,'App\\User','[]','2022-06-21 14:01:07','2022-06-21 14:01:07'),(239,'default','added',219,'App\\Transaction',2,'App\\User','[]','2022-06-21 14:30:53','2022-06-21 14:30:53'),(240,'default','added',220,'App\\Transaction',2,'App\\User','[]','2022-06-21 15:21:24','2022-06-21 15:21:24'),(241,'default','added',221,'App\\Transaction',2,'App\\User','[]','2022-06-21 15:47:43','2022-06-21 15:47:43'),(242,'default','added',222,'App\\Transaction',2,'App\\User','[]','2022-06-21 15:54:34','2022-06-21 15:54:34'),(243,'default','added',223,'App\\Transaction',2,'App\\User','[]','2022-06-21 15:55:32','2022-06-21 15:55:32'),(244,'default','added',224,'App\\Transaction',2,'App\\User','[]','2022-06-21 15:59:03','2022-06-21 15:59:03'),(245,'default','added',225,'App\\Transaction',2,'App\\User','[]','2022-06-21 16:07:40','2022-06-21 16:07:40'),(246,'default','added',226,'App\\Transaction',2,'App\\User','[]','2022-06-21 16:18:30','2022-06-21 16:18:30'),(247,'default','added',227,'App\\Transaction',2,'App\\User','[]','2022-06-21 16:40:33','2022-06-21 16:40:33'),(248,'default','added',228,'App\\Transaction',2,'App\\User','[]','2022-06-21 17:13:10','2022-06-21 17:13:10'),(249,'default','added',229,'App\\Transaction',2,'App\\User','[]','2022-06-21 17:15:47','2022-06-21 17:15:47'),(250,'default','added',230,'App\\Transaction',2,'App\\User','[]','2022-06-21 17:45:29','2022-06-21 17:45:29'),(251,'default','added',231,'App\\Transaction',2,'App\\User','[]','2022-06-21 18:18:49','2022-06-21 18:18:49'),(252,'default','added',232,'App\\Transaction',2,'App\\User','[]','2022-06-21 18:49:14','2022-06-21 18:49:14'),(253,'default','added',233,'App\\Transaction',2,'App\\User','[]','2022-06-21 19:22:57','2022-06-21 19:22:57'),(254,'default','added',234,'App\\Transaction',2,'App\\User','[]','2022-06-21 20:31:38','2022-06-21 20:31:38'),(255,'default','added',235,'App\\Transaction',2,'App\\User','[]','2022-06-21 20:40:26','2022-06-21 20:40:26'),(256,'default','added',236,'App\\Transaction',2,'App\\User','[]','2022-06-21 20:57:30','2022-06-21 20:57:30'),(257,'default','added',237,'App\\Transaction',2,'App\\User','[]','2022-06-21 21:25:04','2022-06-21 21:25:04'),(258,'default','added',238,'App\\Transaction',2,'App\\User','[]','2022-06-21 21:33:38','2022-06-21 21:33:38'),(259,'default','added',239,'App\\Transaction',2,'App\\User','[]','2022-06-21 22:37:07','2022-06-21 22:37:07'),(260,'default','added',240,'App\\Transaction',2,'App\\User','[]','2022-06-22 12:55:31','2022-06-22 12:55:31'),(261,'default','added',241,'App\\Transaction',2,'App\\User','[]','2022-06-22 13:10:34','2022-06-22 13:10:34'),(262,'default','added',242,'App\\Transaction',2,'App\\User','[]','2022-06-22 13:30:46','2022-06-22 13:30:46'),(263,'default','added',243,'App\\Transaction',2,'App\\User','[]','2022-06-22 13:44:20','2022-06-22 13:44:20'),(264,'default','added',244,'App\\Transaction',2,'App\\User','[]','2022-06-22 13:46:48','2022-06-22 13:46:48'),(265,'default','added',245,'App\\Transaction',2,'App\\User','[]','2022-06-22 14:28:51','2022-06-22 14:28:51'),(266,'default','edited',245,'App\\Transaction',2,'App\\User','[]','2022-06-22 14:29:38','2022-06-22 14:29:38'),(267,'default','added',246,'App\\Transaction',2,'App\\User','[]','2022-06-22 15:33:31','2022-06-22 15:33:31'),(268,'default','added',247,'App\\Transaction',2,'App\\User','[]','2022-06-22 16:08:33','2022-06-22 16:08:33'),(269,'default','added',248,'App\\Transaction',2,'App\\User','[]','2022-06-22 16:36:00','2022-06-22 16:36:00'),(270,'default','added',249,'App\\Transaction',2,'App\\User','[]','2022-06-22 16:46:23','2022-06-22 16:46:23'),(271,'default','added',250,'App\\Transaction',2,'App\\User','[]','2022-06-22 17:52:06','2022-06-22 17:52:06'),(272,'default','added',251,'App\\Transaction',2,'App\\User','[]','2022-06-22 18:13:29','2022-06-22 18:13:29'),(273,'default','added',252,'App\\Transaction',2,'App\\User','[]','2022-06-22 19:13:08','2022-06-22 19:13:08'),(274,'default','added',253,'App\\Transaction',2,'App\\User','[]','2022-06-22 19:23:51','2022-06-22 19:23:51'),(275,'default','added',254,'App\\Transaction',2,'App\\User','[]','2022-06-22 20:40:55','2022-06-22 20:40:55'),(276,'default','added',255,'App\\Transaction',2,'App\\User','[]','2022-06-23 13:39:54','2022-06-23 13:39:54'),(277,'default','added',256,'App\\Transaction',2,'App\\User','[]','2022-06-23 13:51:08','2022-06-23 13:51:08'),(278,'default','added',257,'App\\Transaction',2,'App\\User','[]','2022-06-23 14:05:14','2022-06-23 14:05:14'),(279,'default','added',258,'App\\Transaction',2,'App\\User','[]','2022-06-23 15:22:51','2022-06-23 15:22:51'),(280,'default','added',259,'App\\Transaction',2,'App\\User','[]','2022-06-23 15:24:29','2022-06-23 15:24:29'),(281,'default','added',260,'App\\Transaction',2,'App\\User','[]','2022-06-23 15:24:49','2022-06-23 15:24:49'),(282,'default','added',261,'App\\Transaction',2,'App\\User','[]','2022-06-23 16:25:44','2022-06-23 16:25:44'),(283,'default','added',262,'App\\Transaction',2,'App\\User','[]','2022-06-23 16:49:59','2022-06-23 16:49:59'),(284,'default','added',263,'App\\Transaction',2,'App\\User','[]','2022-06-23 16:50:38','2022-06-23 16:50:38'),(285,'default','added',264,'App\\Transaction',2,'App\\User','[]','2022-06-23 17:52:37','2022-06-23 17:52:37'),(286,'default','added',265,'App\\Transaction',2,'App\\User','[]','2022-06-23 20:45:05','2022-06-23 20:45:05'),(287,'default','added',266,'App\\Transaction',2,'App\\User','[]','2022-06-23 20:46:57','2022-06-23 20:46:57'),(288,'default','edited',265,'App\\Transaction',2,'App\\User','[]','2022-06-23 20:48:16','2022-06-23 20:48:16'),(289,'default','added',267,'App\\Transaction',2,'App\\User','[]','2022-06-23 21:43:43','2022-06-23 21:43:43'),(290,'default','added',268,'App\\Transaction',2,'App\\User','[]','2022-06-23 22:19:39','2022-06-23 22:19:39'),(291,'default','added',269,'App\\Transaction',2,'App\\User','[]','2022-06-23 22:58:13','2022-06-23 22:58:13'),(292,'default','added',270,'App\\Transaction',2,'App\\User','[]','2022-06-24 13:23:46','2022-06-24 13:23:46'),(293,'default','added',271,'App\\Transaction',2,'App\\User','[]','2022-06-24 13:27:01','2022-06-24 13:27:01'),(294,'default','added',272,'App\\Transaction',2,'App\\User','[]','2022-06-24 14:13:25','2022-06-24 14:13:25'),(295,'default','added',273,'App\\Transaction',2,'App\\User','[]','2022-06-24 14:59:07','2022-06-24 14:59:07'),(296,'default','added',274,'App\\Transaction',2,'App\\User','[]','2022-06-24 19:28:43','2022-06-24 19:28:43'),(297,'default','added',275,'App\\Transaction',2,'App\\User','[]','2022-06-24 19:36:28','2022-06-24 19:36:28'),(298,'default','added',276,'App\\Transaction',2,'App\\User','[]','2022-06-24 19:37:59','2022-06-24 19:37:59'),(299,'default','added',277,'App\\Transaction',2,'App\\User','[]','2022-06-24 19:46:07','2022-06-24 19:46:07'),(300,'default','added',278,'App\\Transaction',2,'App\\User','[]','2022-06-24 19:52:31','2022-06-24 19:52:31'),(301,'default','added',279,'App\\Transaction',2,'App\\User','[]','2022-06-24 20:10:24','2022-06-24 20:10:24'),(302,'default','added',280,'App\\Transaction',2,'App\\User','[]','2022-06-24 21:04:14','2022-06-24 21:04:14'),(303,'default','added',281,'App\\Transaction',2,'App\\User','[]','2022-06-24 22:43:31','2022-06-24 22:43:31'),(304,'default','added',282,'App\\Transaction',2,'App\\User','[]','2022-06-25 13:33:54','2022-06-25 13:33:54'),(305,'default','added',283,'App\\Transaction',2,'App\\User','[]','2022-06-25 13:34:15','2022-06-25 13:34:15'),(306,'default','added',284,'App\\Transaction',2,'App\\User','[]','2022-06-25 13:35:06','2022-06-25 13:35:06'),(307,'default','added',285,'App\\Transaction',2,'App\\User','[]','2022-06-25 13:37:11','2022-06-25 13:37:11'),(308,'default','added',286,'App\\Transaction',2,'App\\User','[]','2022-06-25 15:07:37','2022-06-25 15:07:37'),(309,'default','added',287,'App\\Transaction',2,'App\\User','[]','2022-06-25 15:17:05','2022-06-25 15:17:05'),(310,'default','added',288,'App\\Transaction',2,'App\\User','[]','2022-06-25 16:29:37','2022-06-25 16:29:37'),(311,'default','added',289,'App\\Transaction',2,'App\\User','[]','2022-06-25 20:01:32','2022-06-25 20:01:32'),(312,'default','added',290,'App\\Transaction',2,'App\\User','[]','2022-06-25 20:35:55','2022-06-25 20:35:55'),(313,'default','added',291,'App\\Transaction',2,'App\\User','[]','2022-06-25 20:36:27','2022-06-25 20:36:27'),(314,'default','edited',290,'App\\Transaction',2,'App\\User','[]','2022-06-25 21:01:20','2022-06-25 21:01:20'),(315,'default','added',292,'App\\Transaction',2,'App\\User','[]','2022-06-25 22:34:38','2022-06-25 22:34:38'),(316,'default','added',293,'App\\Transaction',2,'App\\User','[]','2022-06-25 22:39:40','2022-06-25 22:39:40'),(317,'default','added',294,'App\\Transaction',2,'App\\User','[]','2022-06-27 14:31:33','2022-06-27 14:31:33'),(318,'default','added',295,'App\\Transaction',2,'App\\User','[]','2022-06-27 17:21:19','2022-06-27 17:21:19'),(319,'default','added',296,'App\\Transaction',2,'App\\User','[]','2022-06-27 17:26:15','2022-06-27 17:26:15'),(320,'default','added',297,'App\\Transaction',2,'App\\User','[]','2022-06-27 17:33:44','2022-06-27 17:33:44'),(321,'default','added',298,'App\\Transaction',2,'App\\User','[]','2022-06-27 18:07:17','2022-06-27 18:07:17'),(322,'default','added',299,'App\\Transaction',2,'App\\User','[]','2022-06-27 18:15:23','2022-06-27 18:15:23'),(323,'default','added',300,'App\\Transaction',2,'App\\User','[]','2022-06-27 18:15:33','2022-06-27 18:15:33'),(324,'default','added',301,'App\\Transaction',2,'App\\User','[]','2022-06-27 20:28:22','2022-06-27 20:28:22'),(325,'default','added',302,'App\\Transaction',2,'App\\User','[]','2022-06-27 20:33:37','2022-06-27 20:33:37'),(326,'default','added',303,'App\\Transaction',2,'App\\User','[]','2022-06-27 21:03:24','2022-06-27 21:03:24'),(327,'default','added',304,'App\\Transaction',2,'App\\User','[]','2022-06-27 21:06:38','2022-06-27 21:06:38'),(328,'default','added',305,'App\\Transaction',2,'App\\User','[]','2022-06-27 22:51:44','2022-06-27 22:51:44'),(329,'default','added',306,'App\\Transaction',2,'App\\User','[]','2022-06-27 23:23:50','2022-06-27 23:23:50'),(330,'default','added',307,'App\\Transaction',2,'App\\User','[]','2022-06-27 23:26:23','2022-06-27 23:26:23'),(331,'default','added',308,'App\\Transaction',2,'App\\User','[]','2022-06-28 12:32:05','2022-06-28 12:32:05'),(332,'default','added',309,'App\\Transaction',2,'App\\User','[]','2022-06-28 13:03:32','2022-06-28 13:03:32'),(333,'default','added',310,'App\\Transaction',2,'App\\User','[]','2022-06-28 13:22:04','2022-06-28 13:22:04'),(334,'default','added',311,'App\\Transaction',2,'App\\User','[]','2022-06-28 14:00:05','2022-06-28 14:00:05'),(335,'default','added',312,'App\\Transaction',2,'App\\User','[]','2022-06-28 15:47:27','2022-06-28 15:47:27'),(336,'default','added',313,'App\\Transaction',2,'App\\User','[]','2022-06-28 16:02:43','2022-06-28 16:02:43'),(337,'default','added',314,'App\\Transaction',2,'App\\User','[]','2022-06-28 17:41:02','2022-06-28 17:41:02'),(338,'default','added',315,'App\\Transaction',2,'App\\User','[]','2022-06-28 18:21:15','2022-06-28 18:21:15'),(339,'default','added',316,'App\\Transaction',2,'App\\User','[]','2022-06-28 19:20:58','2022-06-28 19:20:58'),(340,'default','added',317,'App\\Transaction',2,'App\\User','[]','2022-06-28 20:05:38','2022-06-28 20:05:38'),(341,'default','added',318,'App\\Transaction',2,'App\\User','[]','2022-06-28 21:22:40','2022-06-28 21:22:40'),(342,'default','added',319,'App\\Transaction',2,'App\\User','[]','2022-06-28 21:27:41','2022-06-28 21:27:41'),(343,'default','added',320,'App\\Transaction',2,'App\\User','[]','2022-06-28 21:56:52','2022-06-28 21:56:52'),(344,'default','added',321,'App\\Transaction',2,'App\\User','[]','2022-06-28 22:32:08','2022-06-28 22:32:08'),(345,'default','added',322,'App\\Transaction',2,'App\\User','[]','2022-06-28 22:34:38','2022-06-28 22:34:38'),(346,'default','added',323,'App\\Transaction',2,'App\\User','[]','2022-06-28 22:39:26','2022-06-28 22:39:26'),(347,'default','added',324,'App\\Transaction',2,'App\\User','[]','2022-06-29 12:36:30','2022-06-29 12:36:30'),(348,'default','edited',324,'App\\Transaction',2,'App\\User','[]','2022-06-29 12:36:59','2022-06-29 12:36:59'),(349,'default','added',325,'App\\Transaction',2,'App\\User','[]','2022-06-29 13:08:01','2022-06-29 13:08:01'),(350,'default','added',326,'App\\Transaction',2,'App\\User','[]','2022-06-29 13:44:51','2022-06-29 13:44:51'),(351,'default','added',327,'App\\Transaction',2,'App\\User','[]','2022-06-29 13:45:48','2022-06-29 13:45:48'),(352,'default','added',328,'App\\Transaction',2,'App\\User','[]','2022-06-29 14:44:09','2022-06-29 14:44:09'),(353,'default','added',329,'App\\Transaction',2,'App\\User','[]','2022-06-29 15:01:37','2022-06-29 15:01:37'),(354,'default','added',330,'App\\Transaction',2,'App\\User','[]','2022-06-29 15:27:29','2022-06-29 15:27:29'),(355,'default','added',331,'App\\Transaction',2,'App\\User','[]','2022-06-29 18:58:46','2022-06-29 18:58:46'),(356,'default','added',332,'App\\Transaction',2,'App\\User','[]','2022-06-29 19:27:31','2022-06-29 19:27:31'),(357,'default','added',333,'App\\Transaction',2,'App\\User','[]','2022-06-29 20:56:09','2022-06-29 20:56:09'),(358,'default','added',334,'App\\Transaction',2,'App\\User','[]','2022-06-29 22:07:11','2022-06-29 22:07:11'),(359,'default','added',335,'App\\Transaction',2,'App\\User','[]','2022-06-29 22:34:46','2022-06-29 22:34:46'),(360,'default','added',336,'App\\Transaction',2,'App\\User','[]','2022-06-30 12:57:54','2022-06-30 12:57:54'),(361,'default','added',337,'App\\Transaction',2,'App\\User','[]','2022-06-30 13:03:46','2022-06-30 13:03:46'),(362,'default','added',338,'App\\Transaction',2,'App\\User','[]','2022-06-30 13:46:40','2022-06-30 13:46:40'),(363,'default','added',339,'App\\Transaction',2,'App\\User','[]','2022-06-30 14:40:57','2022-06-30 14:40:57'),(364,'default','added',340,'App\\Transaction',2,'App\\User','[]','2022-06-30 14:41:28','2022-06-30 14:41:28'),(365,'default','added',341,'App\\Transaction',2,'App\\User','[]','2022-06-30 16:54:24','2022-06-30 16:54:24'),(366,'default','added',342,'App\\Transaction',2,'App\\User','[]','2022-06-30 17:02:03','2022-06-30 17:02:03'),(367,'default','added',343,'App\\Transaction',2,'App\\User','[]','2022-06-30 17:05:02','2022-06-30 17:05:02'),(368,'default','added',344,'App\\Transaction',2,'App\\User','[]','2022-06-30 17:25:30','2022-06-30 17:25:30'),(369,'default','added',345,'App\\Transaction',2,'App\\User','[]','2022-06-30 17:45:28','2022-06-30 17:45:28'),(370,'default','added',346,'App\\Transaction',2,'App\\User','[]','2022-06-30 18:09:16','2022-06-30 18:09:16'),(371,'default','added',347,'App\\Transaction',2,'App\\User','[]','2022-06-30 19:23:01','2022-06-30 19:23:01'),(372,'default','added',348,'App\\Transaction',2,'App\\User','[]','2022-06-30 19:40:06','2022-06-30 19:40:06'),(373,'default','added',349,'App\\Transaction',2,'App\\User','[]','2022-06-30 20:10:25','2022-06-30 20:10:25'),(374,'default','added',350,'App\\Transaction',2,'App\\User','[]','2022-06-30 20:17:11','2022-06-30 20:17:11'),(375,'default','added',351,'App\\Transaction',2,'App\\User','[]','2022-06-30 20:17:34','2022-06-30 20:17:34'),(376,'default','added',352,'App\\Transaction',2,'App\\User','[]','2022-06-30 22:07:31','2022-06-30 22:07:31'),(377,'default','added',353,'App\\Transaction',2,'App\\User','[]','2022-06-30 22:14:10','2022-06-30 22:14:10'),(378,'default','added',354,'App\\Transaction',2,'App\\User','[]','2022-07-01 12:48:40','2022-07-01 12:48:40'),(379,'default','added',355,'App\\Transaction',2,'App\\User','[]','2022-07-01 13:06:22','2022-07-01 13:06:22'),(380,'default','added',356,'App\\Transaction',2,'App\\User','[]','2022-07-01 13:30:10','2022-07-01 13:30:10'),(381,'default','added',357,'App\\Transaction',2,'App\\User','[]','2022-07-01 19:08:35','2022-07-01 19:08:35'),(382,'default','added',358,'App\\Transaction',2,'App\\User','[]','2022-07-01 19:45:10','2022-07-01 19:45:10'),(383,'default','added',359,'App\\Transaction',2,'App\\User','[]','2022-07-01 22:50:21','2022-07-01 22:50:21'),(384,'default','added',360,'App\\Transaction',2,'App\\User','[]','2022-07-02 13:55:39','2022-07-02 13:55:39'),(385,'default','added',361,'App\\Transaction',2,'App\\User','[]','2022-07-02 14:11:28','2022-07-02 14:11:28'),(386,'default','added',362,'App\\Transaction',2,'App\\User','[]','2022-07-02 15:02:19','2022-07-02 15:02:19'),(387,'default','added',363,'App\\Transaction',2,'App\\User','[]','2022-07-02 15:02:47','2022-07-02 15:02:47'),(388,'default','added',364,'App\\Transaction',2,'App\\User','[]','2022-07-02 15:41:15','2022-07-02 15:41:15'),(389,'default','added',365,'App\\Transaction',2,'App\\User','[]','2022-07-02 16:45:41','2022-07-02 16:45:41'),(390,'default','added',366,'App\\Transaction',2,'App\\User','[]','2022-07-02 17:14:59','2022-07-02 17:14:59'),(391,'default','added',367,'App\\Transaction',2,'App\\User','[]','2022-07-02 19:50:58','2022-07-02 19:50:58'),(392,'default','added',368,'App\\Transaction',2,'App\\User','[]','2022-07-02 21:19:13','2022-07-02 21:19:13'),(393,'default','added',369,'App\\Transaction',2,'App\\User','[]','2022-07-02 21:39:22','2022-07-02 21:39:22'),(394,'default','added',370,'App\\Transaction',2,'App\\User','[]','2022-07-02 22:05:03','2022-07-02 22:05:03'),(395,'default','added',371,'App\\Transaction',2,'App\\User','[]','2022-07-04 13:38:35','2022-07-04 13:38:35'),(396,'default','added',372,'App\\Transaction',2,'App\\User','[]','2022-07-04 14:11:43','2022-07-04 14:11:43'),(397,'default','added',373,'App\\Transaction',2,'App\\User','[]','2022-07-04 14:33:08','2022-07-04 14:33:08'),(398,'default','added',374,'App\\Transaction',2,'App\\User','[]','2022-07-04 15:08:06','2022-07-04 15:08:06'),(399,'default','added',375,'App\\Transaction',2,'App\\User','[]','2022-07-04 16:20:05','2022-07-04 16:20:05'),(400,'default','added',376,'App\\Transaction',2,'App\\User','[]','2022-07-04 16:31:27','2022-07-04 16:31:27'),(401,'default','added',377,'App\\Transaction',2,'App\\User','[]','2022-07-04 17:31:49','2022-07-04 17:31:49'),(402,'default','added',378,'App\\Transaction',2,'App\\User','[]','2022-07-04 20:40:26','2022-07-04 20:40:26'),(403,'default','added',379,'App\\Transaction',2,'App\\User','[]','2022-07-04 21:59:08','2022-07-04 21:59:08'),(404,'default','added',380,'App\\Transaction',2,'App\\User','[]','2022-07-05 13:24:38','2022-07-05 13:24:38'),(405,'default','added',381,'App\\Transaction',2,'App\\User','[]','2022-07-05 13:34:51','2022-07-05 13:34:51'),(406,'default','added',382,'App\\Transaction',2,'App\\User','[]','2022-07-05 14:44:38','2022-07-05 14:44:38'),(407,'default','added',383,'App\\Transaction',2,'App\\User','[]','2022-07-05 18:37:10','2022-07-05 18:37:10'),(408,'default','added',384,'App\\Transaction',2,'App\\User','[]','2022-07-05 19:27:56','2022-07-05 19:27:56'),(409,'default','added',385,'App\\Transaction',2,'App\\User','[]','2022-07-05 19:35:32','2022-07-05 19:35:32'),(410,'default','added',386,'App\\Transaction',2,'App\\User','[]','2022-07-05 19:42:28','2022-07-05 19:42:28'),(411,'default','added',387,'App\\Transaction',2,'App\\User','[]','2022-07-05 22:33:06','2022-07-05 22:33:06'),(412,'default','added',388,'App\\Transaction',2,'App\\User','[]','2022-07-05 22:58:23','2022-07-05 22:58:23'),(413,'default','added',389,'App\\Transaction',2,'App\\User','[]','2022-07-06 13:28:59','2022-07-06 13:28:59'),(414,'default','added',390,'App\\Transaction',2,'App\\User','[]','2022-07-06 18:01:20','2022-07-06 18:01:20'),(415,'default','added',391,'App\\Transaction',2,'App\\User','[]','2022-07-06 20:35:35','2022-07-06 20:35:35'),(416,'default','added',392,'App\\Transaction',2,'App\\User','[]','2022-07-06 21:33:24','2022-07-06 21:33:24'),(417,'default','added',393,'App\\Transaction',2,'App\\User','[]','2022-07-07 12:34:52','2022-07-07 12:34:52'),(418,'default','added',394,'App\\Transaction',2,'App\\User','[]','2022-07-07 12:37:13','2022-07-07 12:37:13'),(419,'default','added',395,'App\\Transaction',2,'App\\User','[]','2022-07-07 14:03:52','2022-07-07 14:03:52'),(420,'default','added',396,'App\\Transaction',2,'App\\User','[]','2022-07-07 14:59:31','2022-07-07 14:59:31'),(421,'default','added',397,'App\\Transaction',2,'App\\User','[]','2022-07-07 18:02:15','2022-07-07 18:02:15'),(422,'default','added',398,'App\\Transaction',2,'App\\User','[]','2022-07-07 18:05:05','2022-07-07 18:05:05'),(423,'default','added',399,'App\\Transaction',2,'App\\User','[]','2022-07-07 19:58:44','2022-07-07 19:58:44'),(424,'default','added',400,'App\\Transaction',2,'App\\User','[]','2022-07-07 20:26:38','2022-07-07 20:26:38'),(425,'default','added',401,'App\\Transaction',2,'App\\User','[]','2022-07-07 20:56:01','2022-07-07 20:56:01'),(426,'default','added',402,'App\\Transaction',2,'App\\User','[]','2022-07-07 22:56:35','2022-07-07 22:56:35'),(427,'default','added',403,'App\\Transaction',2,'App\\User','[]','2022-07-08 13:42:14','2022-07-08 13:42:14'),(428,'default','added',404,'App\\Transaction',2,'App\\User','[]','2022-07-08 15:02:57','2022-07-08 15:02:57'),(429,'default','added',405,'App\\Transaction',2,'App\\User','[]','2022-07-08 15:06:00','2022-07-08 15:06:00'),(430,'default','added',406,'App\\Transaction',2,'App\\User','[]','2022-07-08 15:12:55','2022-07-08 15:12:55'),(431,'default','added',407,'App\\Transaction',2,'App\\User','[]','2022-07-08 16:47:58','2022-07-08 16:47:58'),(432,'default','added',408,'App\\Transaction',2,'App\\User','[]','2022-07-08 18:18:01','2022-07-08 18:18:01'),(433,'default','added',409,'App\\Transaction',2,'App\\User','[]','2022-07-08 19:02:12','2022-07-08 19:02:12'),(434,'default','added',410,'App\\Transaction',2,'App\\User','[]','2022-07-08 19:18:33','2022-07-08 19:18:33'),(435,'default','added',411,'App\\Transaction',2,'App\\User','[]','2022-07-08 20:45:31','2022-07-08 20:45:31'),(436,'default','added',412,'App\\Transaction',2,'App\\User','[]','2022-07-08 20:47:02','2022-07-08 20:47:02'),(437,'default','added',413,'App\\Transaction',2,'App\\User','[]','2022-07-08 20:48:30','2022-07-08 20:48:30'),(438,'default','added',414,'App\\Transaction',2,'App\\User','[]','2022-07-08 22:05:41','2022-07-08 22:05:41'),(439,'default','added',415,'App\\Transaction',2,'App\\User','[]','2022-07-09 12:47:40','2022-07-09 12:47:40'),(440,'default','added',416,'App\\Transaction',2,'App\\User','[]','2022-07-09 16:32:29','2022-07-09 16:32:29'),(441,'default','added',417,'App\\Transaction',2,'App\\User','[]','2022-07-09 16:47:23','2022-07-09 16:47:23'),(442,'default','added',418,'App\\Transaction',2,'App\\User','[]','2022-07-11 13:11:59','2022-07-11 13:11:59'),(443,'default','added',419,'App\\Transaction',2,'App\\User','[]','2022-07-11 14:06:43','2022-07-11 14:06:43'),(444,'default','added',420,'App\\Transaction',2,'App\\User','[]','2022-07-11 15:14:21','2022-07-11 15:14:21'),(445,'default','added',421,'App\\Transaction',2,'App\\User','[]','2022-07-11 16:20:40','2022-07-11 16:20:40'),(446,'default','added',422,'App\\Transaction',2,'App\\User','[]','2022-07-11 19:03:51','2022-07-11 19:03:51'),(447,'default','added',423,'App\\Transaction',2,'App\\User','[]','2022-07-11 19:04:23','2022-07-11 19:04:23'),(448,'default','edited',422,'App\\Transaction',2,'App\\User','[]','2022-07-11 19:38:54','2022-07-11 19:38:54'),(449,'default','added',424,'App\\Transaction',2,'App\\User','[]','2022-07-11 19:55:28','2022-07-11 19:55:28'),(450,'default','added',425,'App\\Transaction',2,'App\\User','[]','2022-07-11 21:06:35','2022-07-11 21:06:35'),(451,'default','added',426,'App\\Transaction',2,'App\\User','[]','2022-07-11 21:09:11','2022-07-11 21:09:11'),(452,'default','added',427,'App\\Transaction',2,'App\\User','[]','2022-07-11 21:10:15','2022-07-11 21:10:15'),(453,'default','added',428,'App\\Transaction',2,'App\\User','[]','2022-07-11 21:10:40','2022-07-11 21:10:40'),(454,'default','added',429,'App\\Transaction',2,'App\\User','[]','2022-07-11 21:11:25','2022-07-11 21:11:25'),(455,'default','added',430,'App\\Transaction',2,'App\\User','[]','2022-07-12 13:11:24','2022-07-12 13:11:24'),(456,'default','added',431,'App\\Transaction',2,'App\\User','[]','2022-07-12 13:22:41','2022-07-12 13:22:41'),(457,'default','added',432,'App\\Transaction',2,'App\\User','[]','2022-07-12 13:36:33','2022-07-12 13:36:33'),(458,'default','added',433,'App\\Transaction',2,'App\\User','[]','2022-07-12 14:34:31','2022-07-12 14:34:31'),(459,'default','added',434,'App\\Transaction',2,'App\\User','[]','2022-07-12 14:35:40','2022-07-12 14:35:40'),(460,'default','added',435,'App\\Transaction',2,'App\\User','[]','2022-07-12 15:25:57','2022-07-12 15:25:57'),(461,'default','added',436,'App\\Transaction',2,'App\\User','[]','2022-07-12 16:40:56','2022-07-12 16:40:56'),(462,'default','added',437,'App\\Transaction',2,'App\\User','[]','2022-07-12 18:03:49','2022-07-12 18:03:49'),(463,'default','added',438,'App\\Transaction',2,'App\\User','[]','2022-07-12 18:18:03','2022-07-12 18:18:03'),(464,'default','added',439,'App\\Transaction',2,'App\\User','[]','2022-07-12 19:31:23','2022-07-12 19:31:23'),(465,'default','added',440,'App\\Transaction',2,'App\\User','[]','2022-07-12 19:46:56','2022-07-12 19:46:56'),(466,'default','added',441,'App\\Transaction',2,'App\\User','[]','2022-07-12 21:42:00','2022-07-12 21:42:00'),(467,'default','added',442,'App\\Transaction',2,'App\\User','[]','2022-07-12 21:54:45','2022-07-12 21:54:45'),(468,'default','added',443,'App\\Transaction',2,'App\\User','[]','2022-07-13 12:22:17','2022-07-13 12:22:17'),(469,'default','added',444,'App\\Transaction',2,'App\\User','[]','2022-07-13 14:22:59','2022-07-13 14:22:59'),(470,'default','added',445,'App\\Transaction',2,'App\\User','[]','2022-07-13 14:48:57','2022-07-13 14:48:57'),(471,'default','added',446,'App\\Transaction',2,'App\\User','[]','2022-07-13 14:50:20','2022-07-13 14:50:20'),(472,'default','added',447,'App\\Transaction',2,'App\\User','[]','2022-07-13 14:53:48','2022-07-13 14:53:48'),(473,'default','added',448,'App\\Transaction',2,'App\\User','[]','2022-07-13 15:43:42','2022-07-13 15:43:42'),(474,'default','added',449,'App\\Transaction',2,'App\\User','[]','2022-07-13 16:56:50','2022-07-13 16:56:50'),(475,'default','added',450,'App\\Transaction',2,'App\\User','[]','2022-07-13 17:17:52','2022-07-13 17:17:52'),(476,'default','added',451,'App\\Transaction',2,'App\\User','[]','2022-07-13 18:15:29','2022-07-13 18:15:29'),(477,'default','added',452,'App\\Transaction',2,'App\\User','[]','2022-07-13 18:17:04','2022-07-13 18:17:04'),(478,'default','added',453,'App\\Transaction',2,'App\\User','[]','2022-07-13 20:21:55','2022-07-13 20:21:55'),(479,'default','added',454,'App\\Transaction',2,'App\\User','[]','2022-07-13 20:31:22','2022-07-13 20:31:22'),(480,'default','added',455,'App\\Transaction',2,'App\\User','[]','2022-07-13 20:32:09','2022-07-13 20:32:09'),(481,'default','added',456,'App\\Transaction',2,'App\\User','[]','2022-07-13 23:13:14','2022-07-13 23:13:14'),(482,'default','added',457,'App\\Transaction',2,'App\\User','[]','2022-07-14 12:25:39','2022-07-14 12:25:39'),(483,'default','added',458,'App\\Transaction',2,'App\\User','[]','2022-07-14 12:49:07','2022-07-14 12:49:07'),(484,'default','added',459,'App\\Transaction',2,'App\\User','[]','2022-07-14 12:49:52','2022-07-14 12:49:52'),(485,'default','added',460,'App\\Transaction',2,'App\\User','[]','2022-07-14 12:50:49','2022-07-14 12:50:49'),(486,'default','added',461,'App\\Transaction',2,'App\\User','[]','2022-07-14 14:00:52','2022-07-14 14:00:52'),(487,'default','added',462,'App\\Transaction',2,'App\\User','[]','2022-07-14 14:36:08','2022-07-14 14:36:08'),(488,'default','added',463,'App\\Transaction',2,'App\\User','[]','2022-07-14 15:19:30','2022-07-14 15:19:30'),(489,'default','added',464,'App\\Transaction',2,'App\\User','[]','2022-07-14 15:32:06','2022-07-14 15:32:06'),(490,'default','added',465,'App\\Transaction',2,'App\\User','[]','2022-07-14 16:23:32','2022-07-14 16:23:32'),(491,'default','added',466,'App\\Transaction',2,'App\\User','[]','2022-07-14 17:30:17','2022-07-14 17:30:17'),(492,'default','added',467,'App\\Transaction',2,'App\\User','[]','2022-07-14 18:36:40','2022-07-14 18:36:40'),(493,'default','added',468,'App\\Transaction',2,'App\\User','[]','2022-07-14 19:00:21','2022-07-14 19:00:21'),(494,'default','added',469,'App\\Transaction',2,'App\\User','[]','2022-07-14 19:51:55','2022-07-14 19:51:55'),(495,'default','added',470,'App\\Transaction',2,'App\\User','[]','2022-07-14 20:06:11','2022-07-14 20:06:11'),(496,'default','added',471,'App\\Transaction',2,'App\\User','[]','2022-07-14 20:23:04','2022-07-14 20:23:04'),(497,'default','added',472,'App\\Transaction',2,'App\\User','[]','2022-07-14 20:37:31','2022-07-14 20:37:31'),(498,'default','added',473,'App\\Transaction',2,'App\\User','[]','2022-07-14 22:31:14','2022-07-14 22:31:14'),(499,'default','added',474,'App\\Transaction',2,'App\\User','[]','2022-07-14 22:37:07','2022-07-14 22:37:07'),(500,'default','added',475,'App\\Transaction',2,'App\\User','[]','2022-07-15 12:38:06','2022-07-15 12:38:06'),(501,'default','added',476,'App\\Transaction',2,'App\\User','[]','2022-07-15 13:09:58','2022-07-15 13:09:58'),(502,'default','added',477,'App\\Transaction',2,'App\\User','[]','2022-07-15 14:45:00','2022-07-15 14:45:00'),(503,'default','added',478,'App\\Transaction',2,'App\\User','[]','2022-07-15 15:55:35','2022-07-15 15:55:35'),(504,'default','added',479,'App\\Transaction',2,'App\\User','[]','2022-07-15 17:44:32','2022-07-15 17:44:32'),(505,'default','added',480,'App\\Transaction',2,'App\\User','[]','2022-07-15 19:59:23','2022-07-15 19:59:23'),(506,'default','added',481,'App\\Transaction',2,'App\\User','[]','2022-07-15 20:18:29','2022-07-15 20:18:29'),(507,'default','added',482,'App\\Transaction',2,'App\\User','[]','2022-07-15 22:22:47','2022-07-15 22:22:47'),(508,'default','added',483,'App\\Transaction',2,'App\\User','[]','2022-07-16 12:51:06','2022-07-16 12:51:06'),(509,'default','added',484,'App\\Transaction',2,'App\\User','[]','2022-07-16 13:22:02','2022-07-16 13:22:02'),(510,'default','added',485,'App\\Transaction',2,'App\\User','[]','2022-07-16 14:01:56','2022-07-16 14:01:56'),(511,'default','added',486,'App\\Transaction',2,'App\\User','[]','2022-07-16 14:06:18','2022-07-16 14:06:18'),(512,'default','added',487,'App\\Transaction',2,'App\\User','[]','2022-07-16 14:33:12','2022-07-16 14:33:12'),(513,'default','added',488,'App\\Transaction',2,'App\\User','[]','2022-07-16 14:42:14','2022-07-16 14:42:14'),(514,'default','added',489,'App\\Transaction',2,'App\\User','[]','2022-07-16 16:03:33','2022-07-16 16:03:33'),(515,'default','added',490,'App\\Transaction',2,'App\\User','[]','2022-07-16 17:10:25','2022-07-16 17:10:25'),(516,'default','added',491,'App\\Transaction',2,'App\\User','[]','2022-07-16 17:13:18','2022-07-16 17:13:18'),(517,'default','added',492,'App\\Transaction',2,'App\\User','[]','2022-07-16 18:54:53','2022-07-16 18:54:53'),(518,'default','added',493,'App\\Transaction',2,'App\\User','[]','2022-07-16 22:16:16','2022-07-16 22:16:16'),(519,'default','added',494,'App\\Transaction',2,'App\\User','[]','2022-07-18 14:02:28','2022-07-18 14:02:28'),(520,'default','added',495,'App\\Transaction',2,'App\\User','[]','2022-07-18 14:02:51','2022-07-18 14:02:51'),(521,'default','added',496,'App\\Transaction',2,'App\\User','[]','2022-07-18 14:47:53','2022-07-18 14:47:53'),(522,'default','added',497,'App\\Transaction',2,'App\\User','[]','2022-07-18 15:25:30','2022-07-18 15:25:30'),(523,'default','added',498,'App\\Transaction',2,'App\\User','[]','2022-07-18 15:38:23','2022-07-18 15:38:23'),(524,'default','added',499,'App\\Transaction',2,'App\\User','[]','2022-07-18 17:04:18','2022-07-18 17:04:18'),(525,'default','added',500,'App\\Transaction',2,'App\\User','[]','2022-07-18 17:21:09','2022-07-18 17:21:09'),(526,'default','added',501,'App\\Transaction',2,'App\\User','[]','2022-07-18 19:17:40','2022-07-18 19:17:40'),(527,'default','added',502,'App\\Transaction',2,'App\\User','[]','2022-07-18 19:58:42','2022-07-18 19:58:42'),(528,'default','added',503,'App\\Transaction',2,'App\\User','[]','2022-07-18 20:44:49','2022-07-18 20:44:49'),(529,'default','added',504,'App\\Transaction',2,'App\\User','[]','2022-07-18 20:54:00','2022-07-18 20:54:00'),(530,'default','added',505,'App\\Transaction',2,'App\\User','[]','2022-07-18 20:57:05','2022-07-18 20:57:05'),(531,'default','added',506,'App\\Transaction',2,'App\\User','[]','2022-07-18 21:23:11','2022-07-18 21:23:11'),(532,'default','added',507,'App\\Transaction',2,'App\\User','[]','2022-07-18 22:48:52','2022-07-18 22:48:52'),(533,'default','added',508,'App\\Transaction',2,'App\\User','[]','2022-07-19 12:38:52','2022-07-19 12:38:52'),(534,'default','added',509,'App\\Transaction',2,'App\\User','[]','2022-07-19 12:55:47','2022-07-19 12:55:47'),(535,'default','added',510,'App\\Transaction',2,'App\\User','[]','2022-07-19 13:03:08','2022-07-19 13:03:08'),(536,'default','added',511,'App\\Transaction',2,'App\\User','[]','2022-07-19 13:28:53','2022-07-19 13:28:53'),(537,'default','added',512,'App\\Transaction',2,'App\\User','[]','2022-07-19 13:48:38','2022-07-19 13:48:38'),(538,'default','added',513,'App\\Transaction',2,'App\\User','[]','2022-07-19 14:21:48','2022-07-19 14:21:48'),(539,'default','added',514,'App\\Transaction',2,'App\\User','[]','2022-07-19 14:44:03','2022-07-19 14:44:03'),(540,'default','added',515,'App\\Transaction',2,'App\\User','[]','2022-07-19 16:24:20','2022-07-19 16:24:20'),(541,'default','added',516,'App\\Transaction',2,'App\\User','[]','2022-07-19 16:30:27','2022-07-19 16:30:27'),(542,'default','added',517,'App\\Transaction',2,'App\\User','[]','2022-07-19 16:34:56','2022-07-19 16:34:56'),(543,'default','added',518,'App\\Transaction',2,'App\\User','[]','2022-07-19 16:49:04','2022-07-19 16:49:04'),(544,'default','added',519,'App\\Transaction',2,'App\\User','[]','2022-07-19 17:47:36','2022-07-19 17:47:36'),(545,'default','added',520,'App\\Transaction',2,'App\\User','[]','2022-07-19 17:59:52','2022-07-19 17:59:52'),(546,'default','added',521,'App\\Transaction',2,'App\\User','[]','2022-07-19 18:58:46','2022-07-19 18:58:46'),(547,'default','added',522,'App\\Transaction',2,'App\\User','[]','2022-07-19 20:09:04','2022-07-19 20:09:04'),(548,'default','added',523,'App\\Transaction',2,'App\\User','[]','2022-07-19 21:19:00','2022-07-19 21:19:00'),(549,'default','added',524,'App\\Transaction',2,'App\\User','[]','2022-07-19 22:16:16','2022-07-19 22:16:16'),(550,'default','added',525,'App\\Transaction',2,'App\\User','[]','2022-07-19 22:59:05','2022-07-19 22:59:05'),(551,'default','added',526,'App\\Transaction',2,'App\\User','[]','2022-07-20 12:15:45','2022-07-20 12:15:45'),(552,'default','added',527,'App\\Transaction',2,'App\\User','[]','2022-07-20 15:02:50','2022-07-20 15:02:50'),(553,'default','added',528,'App\\Transaction',2,'App\\User','[]','2022-07-20 15:09:40','2022-07-20 15:09:40'),(554,'default','added',529,'App\\Transaction',2,'App\\User','[]','2022-07-20 15:50:27','2022-07-20 15:50:27'),(555,'default','added',530,'App\\Transaction',2,'App\\User','[]','2022-07-20 15:52:04','2022-07-20 15:52:04'),(556,'default','added',531,'App\\Transaction',2,'App\\User','[]','2022-07-20 17:53:33','2022-07-20 17:53:33'),(557,'default','added',532,'App\\Transaction',2,'App\\User','[]','2022-07-20 18:00:50','2022-07-20 18:00:50'),(558,'default','added',533,'App\\Transaction',2,'App\\User','[]','2022-07-20 18:12:59','2022-07-20 18:12:59'),(559,'default','added',534,'App\\Transaction',2,'App\\User','[]','2022-07-20 20:16:47','2022-07-20 20:16:47'),(560,'default','added',535,'App\\Transaction',2,'App\\User','[]','2022-07-20 22:58:51','2022-07-20 22:58:51'),(561,'default','added',536,'App\\Transaction',2,'App\\User','[]','2022-07-21 12:18:27','2022-07-21 12:18:27'),(562,'default','added',537,'App\\Transaction',2,'App\\User','[]','2022-07-21 14:37:44','2022-07-21 14:37:44'),(563,'default','added',538,'App\\Transaction',2,'App\\User','[]','2022-07-21 15:17:48','2022-07-21 15:17:48'),(564,'default','added',539,'App\\Transaction',2,'App\\User','[]','2022-07-21 15:31:20','2022-07-21 15:31:20'),(565,'default','added',540,'App\\Transaction',2,'App\\User','[]','2022-07-21 16:57:08','2022-07-21 16:57:08'),(566,'default','added',541,'App\\Transaction',2,'App\\User','[]','2022-07-21 16:57:50','2022-07-21 16:57:50'),(567,'default','added',542,'App\\Transaction',2,'App\\User','[]','2022-07-21 18:27:15','2022-07-21 18:27:15'),(568,'default','added',543,'App\\Transaction',2,'App\\User','[]','2022-07-22 15:17:04','2022-07-22 15:17:04'),(569,'default','added',544,'App\\Transaction',2,'App\\User','[]','2022-07-22 15:19:12','2022-07-22 15:19:12'),(570,'default','added',545,'App\\Transaction',2,'App\\User','[]','2022-07-22 19:12:13','2022-07-22 19:12:13'),(571,'default','added',546,'App\\Transaction',2,'App\\User','[]','2022-07-22 22:47:05','2022-07-22 22:47:05'),(572,'default','added',547,'App\\Transaction',2,'App\\User','[]','2022-07-22 23:04:39','2022-07-22 23:04:39'),(573,'default','added',548,'App\\Transaction',2,'App\\User','[]','2022-07-23 13:14:45','2022-07-23 13:14:45'),(574,'default','added',549,'App\\Transaction',2,'App\\User','[]','2022-07-23 13:33:37','2022-07-23 13:33:37'),(575,'default','added',550,'App\\Transaction',2,'App\\User','[]','2022-07-23 13:45:03','2022-07-23 13:45:03'),(576,'default','added',551,'App\\Transaction',2,'App\\User','[]','2022-07-23 13:48:40','2022-07-23 13:48:40'),(577,'default','added',552,'App\\Transaction',2,'App\\User','[]','2022-07-23 18:42:51','2022-07-23 18:42:51'),(578,'default','added',553,'App\\Transaction',2,'App\\User','[]','2022-07-23 18:46:11','2022-07-23 18:46:11'),(579,'default','added',554,'App\\Transaction',2,'App\\User','[]','2022-07-23 20:44:16','2022-07-23 20:44:16'),(580,'default','added',555,'App\\Transaction',2,'App\\User','[]','2022-07-23 22:52:36','2022-07-23 22:52:36'),(581,'default','added',556,'App\\Transaction',2,'App\\User','[]','2022-07-23 22:53:23','2022-07-23 22:53:23'),(582,'default','added',557,'App\\Transaction',2,'App\\User','[]','2022-07-25 14:28:34','2022-07-25 14:28:34'),(583,'default','added',558,'App\\Transaction',2,'App\\User','[]','2022-07-25 14:53:11','2022-07-25 14:53:11'),(584,'default','added',559,'App\\Transaction',2,'App\\User','[]','2022-07-25 15:10:12','2022-07-25 15:10:12'),(585,'default','added',560,'App\\Transaction',2,'App\\User','[]','2022-07-25 16:53:53','2022-07-25 16:53:53'),(586,'default','added',561,'App\\Transaction',2,'App\\User','[]','2022-07-25 17:07:19','2022-07-25 17:07:19'),(587,'default','added',562,'App\\Transaction',2,'App\\User','[]','2022-07-25 17:16:56','2022-07-25 17:16:56'),(588,'default','added',563,'App\\Transaction',2,'App\\User','[]','2022-07-25 21:17:48','2022-07-25 21:17:48'),(589,'default','added',564,'App\\Transaction',2,'App\\User','[]','2022-07-26 13:09:33','2022-07-26 13:09:33'),(590,'default','added',565,'App\\Transaction',2,'App\\User','[]','2022-07-26 14:56:56','2022-07-26 14:56:56'),(591,'default','added',566,'App\\Transaction',2,'App\\User','[]','2022-07-26 14:59:11','2022-07-26 14:59:11'),(592,'default','added',567,'App\\Transaction',2,'App\\User','[]','2022-07-26 16:57:29','2022-07-26 16:57:29'),(593,'default','added',568,'App\\Transaction',2,'App\\User','[]','2022-07-26 19:12:28','2022-07-26 19:12:28'),(594,'default','added',569,'App\\Transaction',2,'App\\User','[]','2022-07-26 19:15:55','2022-07-26 19:15:55'),(595,'default','added',570,'App\\Transaction',2,'App\\User','[]','2022-07-26 21:11:38','2022-07-26 21:11:38'),(596,'default','added',571,'App\\Transaction',2,'App\\User','[]','2022-07-26 21:45:00','2022-07-26 21:45:00'),(597,'default','added',572,'App\\Transaction',2,'App\\User','[]','2022-07-26 22:03:23','2022-07-26 22:03:23'),(598,'default','added',573,'App\\Transaction',2,'App\\User','[]','2022-07-27 14:25:47','2022-07-27 14:25:47'),(599,'default','added',574,'App\\Transaction',2,'App\\User','[]','2022-07-27 14:48:53','2022-07-27 14:48:53'),(600,'default','added',575,'App\\Transaction',2,'App\\User','[]','2022-07-27 15:03:57','2022-07-27 15:03:57'),(601,'default','added',576,'App\\Transaction',2,'App\\User','[]','2022-07-27 16:37:29','2022-07-27 16:37:29'),(602,'default','added',577,'App\\Transaction',2,'App\\User','[]','2022-07-27 17:57:00','2022-07-27 17:57:00'),(603,'default','added',578,'App\\Transaction',2,'App\\User','[]','2022-07-27 20:29:56','2022-07-27 20:29:56'),(604,'default','added',579,'App\\Transaction',2,'App\\User','[]','2022-07-27 20:38:17','2022-07-27 20:38:17'),(605,'default','added',580,'App\\Transaction',2,'App\\User','[]','2022-07-27 21:03:52','2022-07-27 21:03:52'),(606,'default','added',581,'App\\Transaction',2,'App\\User','[]','2022-07-27 21:25:52','2022-07-27 21:25:52'),(607,'default','added',582,'App\\Transaction',2,'App\\User','[]','2022-07-27 22:02:58','2022-07-27 22:02:58'),(608,'default','added',583,'App\\Transaction',2,'App\\User','[]','2022-07-27 22:03:23','2022-07-27 22:03:23'),(609,'default','added',584,'App\\Transaction',2,'App\\User','[]','2022-07-28 13:30:29','2022-07-28 13:30:29'),(610,'default','added',585,'App\\Transaction',2,'App\\User','[]','2022-07-28 14:48:52','2022-07-28 14:48:52'),(611,'default','added',586,'App\\Transaction',2,'App\\User','[]','2022-07-28 15:44:54','2022-07-28 15:44:54'),(612,'default','added',587,'App\\Transaction',2,'App\\User','[]','2022-07-28 16:52:17','2022-07-28 16:52:17'),(613,'default','added',588,'App\\Transaction',2,'App\\User','[]','2022-07-28 17:41:16','2022-07-28 17:41:16'),(614,'default','added',589,'App\\Transaction',2,'App\\User','[]','2022-07-28 21:10:45','2022-07-28 21:10:45'),(615,'default','added',590,'App\\Transaction',2,'App\\User','[]','2022-07-28 22:41:40','2022-07-28 22:41:40'),(616,'default','added',591,'App\\Transaction',2,'App\\User','[]','2022-07-29 12:55:18','2022-07-29 12:55:18'),(617,'default','added',592,'App\\Transaction',2,'App\\User','[]','2022-07-29 13:24:31','2022-07-29 13:24:31'),(618,'default','added',593,'App\\Transaction',2,'App\\User','[]','2022-07-29 15:30:49','2022-07-29 15:30:49'),(619,'default','added',594,'App\\Transaction',2,'App\\User','[]','2022-07-29 17:04:12','2022-07-29 17:04:12'),(620,'default','added',595,'App\\Transaction',2,'App\\User','[]','2022-07-29 19:31:08','2022-07-29 19:31:08'),(621,'default','added',596,'App\\Transaction',2,'App\\User','[]','2022-07-29 19:34:38','2022-07-29 19:34:38'),(622,'default','added',597,'App\\Transaction',2,'App\\User','[]','2022-07-29 20:54:37','2022-07-29 20:54:37'),(623,'default','added',598,'App\\Transaction',2,'App\\User','[]','2022-07-29 21:29:27','2022-07-29 21:29:27'),(624,'default','added',599,'App\\Transaction',2,'App\\User','[]','2022-07-30 14:10:35','2022-07-30 14:10:35'),(625,'default','edited',599,'App\\Transaction',2,'App\\User','[]','2022-07-30 14:11:00','2022-07-30 14:11:00'),(626,'default','added',600,'App\\Transaction',2,'App\\User','[]','2022-07-30 14:12:25','2022-07-30 14:12:25'),(627,'default','added',601,'App\\Transaction',2,'App\\User','[]','2022-07-30 14:14:00','2022-07-30 14:14:00'),(628,'default','added',602,'App\\Transaction',2,'App\\User','[]','2022-07-30 14:28:58','2022-07-30 14:28:58'),(629,'default','added',603,'App\\Transaction',2,'App\\User','[]','2022-07-30 17:14:01','2022-07-30 17:14:01'),(630,'default','added',604,'App\\Transaction',2,'App\\User','[]','2022-07-30 18:09:33','2022-07-30 18:09:33'),(631,'default','added',605,'App\\Transaction',2,'App\\User','[]','2022-07-30 18:39:21','2022-07-30 18:39:21'),(632,'default','added',606,'App\\Transaction',2,'App\\User','[]','2022-07-30 22:10:25','2022-07-30 22:10:25'),(633,'default','added',607,'App\\Transaction',2,'App\\User','[]','2022-07-30 22:53:55','2022-07-30 22:53:55'),(634,'default','added',608,'App\\Transaction',2,'App\\User','[]','2022-08-01 14:39:03','2022-08-01 14:39:03'),(635,'default','added',609,'App\\Transaction',2,'App\\User','[]','2022-08-01 14:39:26','2022-08-01 14:39:26'),(636,'default','added',610,'App\\Transaction',2,'App\\User','[]','2022-08-01 17:41:47','2022-08-01 17:41:47'),(637,'default','added',611,'App\\Transaction',2,'App\\User','[]','2022-08-01 17:43:07','2022-08-01 17:43:07'),(638,'default','added',612,'App\\Transaction',2,'App\\User','[]','2022-08-01 18:21:14','2022-08-01 18:21:14'),(639,'default','added',613,'App\\Transaction',2,'App\\User','[]','2022-08-01 19:15:33','2022-08-01 19:15:33'),(640,'default','added',614,'App\\Transaction',2,'App\\User','[]','2022-08-01 20:07:44','2022-08-01 20:07:44'),(641,'default','added',615,'App\\Transaction',2,'App\\User','[]','2022-08-01 20:25:58','2022-08-01 20:25:58'),(642,'default','added',616,'App\\Transaction',2,'App\\User','[]','2022-08-01 20:28:58','2022-08-01 20:28:58'),(643,'default','added',617,'App\\Transaction',2,'App\\User','[]','2022-08-01 20:36:35','2022-08-01 20:36:35'),(644,'default','added',618,'App\\Transaction',2,'App\\User','[]','2022-08-01 21:37:28','2022-08-01 21:37:28'),(645,'default','added',619,'App\\Transaction',2,'App\\User','[]','2022-08-01 21:37:59','2022-08-01 21:37:59'),(646,'default','added',620,'App\\Transaction',2,'App\\User','[]','2022-08-01 21:59:11','2022-08-01 21:59:11'),(647,'default','added',621,'App\\Transaction',2,'App\\User','[]','2022-08-01 22:01:31','2022-08-01 22:01:31'),(648,'default','added',622,'App\\Transaction',2,'App\\User','[]','2022-08-01 22:38:35','2022-08-01 22:38:35'),(649,'default','added',623,'App\\Transaction',2,'App\\User','[]','2022-08-02 13:45:53','2022-08-02 13:45:53'),(650,'default','added',624,'App\\Transaction',2,'App\\User','[]','2022-08-02 14:01:13','2022-08-02 14:01:13'),(651,'default','added',625,'App\\Transaction',2,'App\\User','[]','2022-08-02 14:12:31','2022-08-02 14:12:31'),(652,'default','added',626,'App\\Transaction',2,'App\\User','[]','2022-08-02 15:11:10','2022-08-02 15:11:10'),(653,'default','added',627,'App\\Transaction',2,'App\\User','[]','2022-08-02 15:15:40','2022-08-02 15:15:40'),(654,'default','added',628,'App\\Transaction',2,'App\\User','[]','2022-08-02 16:03:57','2022-08-02 16:03:57'),(655,'default','added',629,'App\\Transaction',2,'App\\User','[]','2022-08-02 18:32:00','2022-08-02 18:32:00'),(656,'default','added',630,'App\\Transaction',2,'App\\User','[]','2022-08-02 20:45:37','2022-08-02 20:45:37'),(657,'default','added',631,'App\\Transaction',2,'App\\User','[]','2022-08-02 21:20:48','2022-08-02 21:20:48'),(658,'default','added',632,'App\\Transaction',2,'App\\User','[]','2022-08-02 22:05:07','2022-08-02 22:05:07'),(659,'default','added',633,'App\\Transaction',2,'App\\User','[]','2022-08-03 13:23:39','2022-08-03 13:23:39'),(660,'default','added',634,'App\\Transaction',2,'App\\User','[]','2022-08-03 13:47:46','2022-08-03 13:47:46'),(661,'default','added',635,'App\\Transaction',2,'App\\User','[]','2022-08-03 13:58:44','2022-08-03 13:58:44'),(662,'default','added',636,'App\\Transaction',2,'App\\User','[]','2022-08-03 15:04:21','2022-08-03 15:04:21'),(663,'default','added',637,'App\\Transaction',2,'App\\User','[]','2022-08-03 16:57:07','2022-08-03 16:57:07'),(664,'default','added',638,'App\\Transaction',2,'App\\User','[]','2022-08-03 17:03:32','2022-08-03 17:03:32'),(665,'default','added',639,'App\\Transaction',2,'App\\User','[]','2022-08-03 17:29:22','2022-08-03 17:29:22'),(666,'default','added',640,'App\\Transaction',2,'App\\User','[]','2022-08-03 18:02:34','2022-08-03 18:02:34'),(667,'default','added',641,'App\\Transaction',2,'App\\User','[]','2022-08-04 13:09:45','2022-08-04 13:09:45'),(668,'default','added',642,'App\\Transaction',2,'App\\User','[]','2022-08-04 14:16:00','2022-08-04 14:16:00'),(669,'default','added',643,'App\\Transaction',2,'App\\User','[]','2022-08-04 15:08:27','2022-08-04 15:08:27'),(670,'default','added',644,'App\\Transaction',2,'App\\User','[]','2022-08-04 19:01:41','2022-08-04 19:01:41'),(671,'default','added',645,'App\\Transaction',2,'App\\User','[]','2022-08-04 19:26:34','2022-08-04 19:26:34'),(672,'default','added',646,'App\\Transaction',2,'App\\User','[]','2022-08-04 19:36:58','2022-08-04 19:36:58'),(673,'default','added',647,'App\\Transaction',2,'App\\User','[]','2022-08-04 19:44:04','2022-08-04 19:44:04'),(674,'default','added',648,'App\\Transaction',2,'App\\User','[]','2022-08-04 20:01:03','2022-08-04 20:01:03'),(675,'default','added',649,'App\\Transaction',2,'App\\User','[]','2022-08-04 20:06:37','2022-08-04 20:06:37'),(676,'default','added',650,'App\\Transaction',2,'App\\User','[]','2022-08-05 13:03:56','2022-08-05 13:03:56'),(677,'default','added',651,'App\\Transaction',2,'App\\User','[]','2022-08-05 13:25:47','2022-08-05 13:25:47'),(678,'default','added',652,'App\\Transaction',2,'App\\User','[]','2022-08-05 13:53:08','2022-08-05 13:53:08'),(679,'default','added',653,'App\\Transaction',2,'App\\User','[]','2022-08-05 14:08:46','2022-08-05 14:08:46'),(680,'default','added',654,'App\\Transaction',2,'App\\User','[]','2022-08-05 14:40:06','2022-08-05 14:40:06'),(681,'default','added',655,'App\\Transaction',2,'App\\User','[]','2022-08-05 15:22:12','2022-08-05 15:22:12'),(682,'default','added',656,'App\\Transaction',2,'App\\User','[]','2022-08-05 15:56:28','2022-08-05 15:56:28'),(683,'default','added',657,'App\\Transaction',2,'App\\User','[]','2022-08-05 17:01:54','2022-08-05 17:01:54'),(684,'default','added',658,'App\\Transaction',2,'App\\User','[]','2022-08-05 17:09:47','2022-08-05 17:09:47'),(685,'default','added',659,'App\\Transaction',2,'App\\User','[]','2022-08-05 22:03:51','2022-08-05 22:03:51'),(686,'default','added',660,'App\\Transaction',2,'App\\User','[]','2022-08-05 22:05:16','2022-08-05 22:05:16'),(687,'default','added',661,'App\\Transaction',2,'App\\User','[]','2022-08-06 14:07:36','2022-08-06 14:07:36'),(688,'default','added',662,'App\\Transaction',2,'App\\User','[]','2022-08-06 14:50:22','2022-08-06 14:50:22'),(689,'default','added',663,'App\\Transaction',2,'App\\User','[]','2022-08-06 14:51:00','2022-08-06 14:51:00'),(690,'default','added',664,'App\\Transaction',2,'App\\User','[]','2022-08-06 15:37:09','2022-08-06 15:37:09'),(691,'default','added',665,'App\\Transaction',2,'App\\User','[]','2022-08-08 13:50:35','2022-08-08 13:50:35'),(692,'default','added',666,'App\\Transaction',2,'App\\User','[]','2022-08-08 15:37:01','2022-08-08 15:37:01'),(693,'default','added',667,'App\\Transaction',2,'App\\User','[]','2022-08-08 16:31:05','2022-08-08 16:31:05'),(694,'default','added',668,'App\\Transaction',2,'App\\User','[]','2022-08-08 17:52:54','2022-08-08 17:52:54'),(695,'default','added',669,'App\\Transaction',2,'App\\User','[]','2022-08-08 18:42:00','2022-08-08 18:42:00'),(696,'default','added',670,'App\\Transaction',2,'App\\User','[]','2022-08-08 19:31:43','2022-08-08 19:31:43'),(697,'default','added',671,'App\\Transaction',2,'App\\User','[]','2022-08-08 20:01:43','2022-08-08 20:01:43'),(698,'default','added',672,'App\\Transaction',2,'App\\User','[]','2022-08-08 20:03:18','2022-08-08 20:03:18'),(699,'default','added',673,'App\\Transaction',2,'App\\User','[]','2022-08-08 21:02:09','2022-08-08 21:02:09'),(700,'default','added',674,'App\\Transaction',2,'App\\User','[]','2022-08-08 21:23:14','2022-08-08 21:23:14'),(701,'default','added',675,'App\\Transaction',2,'App\\User','[]','2022-08-08 21:41:35','2022-08-08 21:41:35'),(702,'default','added',676,'App\\Transaction',2,'App\\User','[]','2022-08-08 22:12:47','2022-08-08 22:12:47'),(703,'default','added',677,'App\\Transaction',2,'App\\User','[]','2022-08-08 22:25:17','2022-08-08 22:25:17'),(704,'default','added',678,'App\\Transaction',2,'App\\User','[]','2022-08-08 22:44:43','2022-08-08 22:44:43'),(705,'default','added',679,'App\\Transaction',2,'App\\User','[]','2022-08-08 22:56:27','2022-08-08 22:56:27'),(706,'default','added',680,'App\\Transaction',2,'App\\User','[]','2022-08-09 14:19:21','2022-08-09 14:19:21'),(707,'default','added',681,'App\\Transaction',2,'App\\User','[]','2022-08-09 15:19:29','2022-08-09 15:19:29'),(708,'default','added',682,'App\\Transaction',2,'App\\User','[]','2022-08-09 17:37:31','2022-08-09 17:37:31'),(709,'default','added',683,'App\\Transaction',2,'App\\User','[]','2022-08-09 17:53:21','2022-08-09 17:53:21');
/*!40000 ALTER TABLE `activity_log` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `barcodes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `barcodes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `width` double(22,4) DEFAULT NULL,
  `height` double(22,4) DEFAULT NULL,
  `paper_width` double(22,4) DEFAULT NULL,
  `paper_height` double(22,4) DEFAULT NULL,
  `top_margin` double(22,4) DEFAULT NULL,
  `left_margin` double(22,4) DEFAULT NULL,
  `row_distance` double(22,4) DEFAULT NULL,
  `col_distance` double(22,4) DEFAULT NULL,
  `stickers_in_one_row` int(11) DEFAULT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT 0,
  `is_continuous` tinyint(1) NOT NULL DEFAULT 0,
  `stickers_in_one_sheet` int(11) DEFAULT NULL,
  `business_id` int(10) unsigned DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `barcodes_business_id_foreign` (`business_id`),
  CONSTRAINT `barcodes_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `barcodes` WRITE;
/*!40000 ALTER TABLE `barcodes` DISABLE KEYS */;
INSERT INTO `barcodes` VALUES (1,'20 Labels per Sheet - (8.5\" x 11\")','Sheet Size: 8.5\" x 11\"\\r\\nLabel Size: 4\" x 1\"\\r\\nLabels per sheet: 20',3.7500,1.0000,8.5000,11.0000,0.5000,0.5000,0.0000,0.1562,2,0,0,20,NULL,'2017-12-18 11:13:44','2017-12-18 11:13:44'),(2,'30 Labels per sheet - (8.5\" x 11\")','Sheet Size: 8.5\" x 11\"\\r\\nLabel Size: 2.625\" x 1\"\\r\\nLabels per sheet: 30',2.6250,1.0000,8.5000,11.0000,0.5000,0.2198,0.0000,0.1400,3,0,0,30,NULL,'2017-12-18 11:04:39','2017-12-18 11:10:40'),(3,'32 Labels per sheet - (8.5\" x 11\")','Sheet Size: 8.5\" x 11\"\\r\\nLabel Size: 2\" x 1.25\"\\r\\nLabels per sheet: 32',2.0000,1.2500,8.5000,11.0000,0.5000,0.2500,0.0000,0.0000,4,0,0,32,NULL,'2017-12-18 10:55:40','2017-12-18 10:55:40'),(4,'40 Labels per sheet - (8.5\" x 11\")','Sheet Size: 8.5\" x 11\"\\r\\nLabel Size: 2\" x 1\"\\r\\nLabels per sheet: 40',2.0000,1.0000,8.5000,11.0000,0.5000,0.2500,0.0000,0.0000,4,0,0,40,NULL,'2017-12-18 10:58:40','2017-12-18 10:58:40'),(5,'50 Labels per Sheet - (8.5\" x 11\")','Sheet Size: 8.5\" x 11\"\\r\\nLabel Size: 1.5\" x 1\"\\r\\nLabels per sheet: 50',1.5000,1.0000,8.5000,11.0000,0.5000,0.5000,0.0000,0.0000,5,0,0,50,NULL,'2017-12-18 10:51:10','2017-12-18 10:51:10'),(6,'Continuous Rolls - 31.75mm x 25.4mm','Label Size: 31.75mm x 25.4mm\\r\\nGap: 3.18mm',1.2500,1.0000,1.2500,0.0000,0.1250,0.0000,0.1250,0.0000,1,0,1,NULL,NULL,'2017-12-18 10:51:10','2017-12-18 10:51:10');
/*!40000 ALTER TABLE `barcodes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `bookings`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `bookings` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `contact_id` int(10) unsigned NOT NULL,
  `waiter_id` int(10) unsigned DEFAULT NULL,
  `table_id` int(10) unsigned DEFAULT NULL,
  `correspondent_id` int(11) DEFAULT NULL,
  `business_id` int(10) unsigned NOT NULL,
  `location_id` int(10) unsigned NOT NULL,
  `booking_start` datetime NOT NULL,
  `booking_end` datetime NOT NULL,
  `created_by` int(10) unsigned NOT NULL,
  `booking_status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `booking_note` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `bookings_contact_id_foreign` (`contact_id`),
  KEY `bookings_business_id_foreign` (`business_id`),
  KEY `bookings_created_by_foreign` (`created_by`),
  KEY `bookings_table_id_index` (`table_id`),
  KEY `bookings_waiter_id_index` (`waiter_id`),
  KEY `bookings_location_id_index` (`location_id`),
  KEY `bookings_booking_status_index` (`booking_status`),
  CONSTRAINT `bookings_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `bookings_contact_id_foreign` FOREIGN KEY (`contact_id`) REFERENCES `contacts` (`id`) ON DELETE CASCADE,
  CONSTRAINT `bookings_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `bookings` WRITE;
/*!40000 ALTER TABLE `bookings` DISABLE KEYS */;
/*!40000 ALTER TABLE `bookings` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `brands`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `brands` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(10) unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_by` int(10) unsigned NOT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `brands_business_id_foreign` (`business_id`),
  KEY `brands_created_by_foreign` (`created_by`),
  CONSTRAINT `brands_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `brands_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `brands` WRITE;
/*!40000 ALTER TABLE `brands` DISABLE KEYS */;
/*!40000 ALTER TABLE `brands` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `business`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `business` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `currency_id` int(10) unsigned NOT NULL,
  `start_date` date DEFAULT NULL,
  `tax_number_1` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_label_1` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_number_2` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_label_2` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `default_sales_tax` int(10) unsigned DEFAULT NULL,
  `default_profit_percent` double(5,2) NOT NULL DEFAULT 0.00,
  `owner_id` int(10) unsigned NOT NULL,
  `time_zone` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'Asia/Kolkata',
  `fy_start_month` tinyint(4) NOT NULL DEFAULT 1,
  `accounting_method` enum('fifo','lifo','avco') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'fifo',
  `default_sales_discount` decimal(5,2) DEFAULT NULL,
  `sell_price_tax` enum('includes','excludes') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'includes',
  `logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sku_prefix` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `enable_product_expiry` tinyint(1) NOT NULL DEFAULT 0,
  `expiry_type` enum('add_expiry','add_manufacturing') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'add_expiry',
  `on_product_expiry` enum('keep_selling','stop_selling','auto_delete') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'keep_selling',
  `stop_selling_before` int(11) NOT NULL COMMENT 'Stop selling expied item n days before expiry',
  `enable_tooltip` tinyint(1) NOT NULL DEFAULT 1,
  `purchase_in_diff_currency` tinyint(1) NOT NULL DEFAULT 0 COMMENT 'Allow purchase to be in different currency then the business currency',
  `purchase_currency_id` int(10) unsigned DEFAULT NULL,
  `p_exchange_rate` decimal(20,3) NOT NULL DEFAULT 1.000,
  `transaction_edit_days` int(10) unsigned NOT NULL DEFAULT 30,
  `stock_expiry_alert_days` int(10) unsigned NOT NULL DEFAULT 30,
  `keyboard_shortcuts` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pos_settings` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `weighing_scale_setting` text COLLATE utf8mb4_unicode_ci NOT NULL COMMENT 'used to store the configuration of weighing scale',
  `manufacturing_settings` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `essentials_settings` longtext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `enable_brand` tinyint(1) NOT NULL DEFAULT 1,
  `enable_category` tinyint(1) NOT NULL DEFAULT 1,
  `enable_sub_category` tinyint(1) NOT NULL DEFAULT 1,
  `enable_price_tax` tinyint(1) NOT NULL DEFAULT 1,
  `enable_purchase_status` tinyint(1) DEFAULT 1,
  `enable_lot_number` tinyint(1) NOT NULL DEFAULT 0,
  `default_unit` int(11) DEFAULT NULL,
  `enable_sub_units` tinyint(1) NOT NULL DEFAULT 0,
  `enable_racks` tinyint(1) NOT NULL DEFAULT 0,
  `enable_row` tinyint(1) NOT NULL DEFAULT 0,
  `enable_position` tinyint(1) NOT NULL DEFAULT 0,
  `enable_editing_product_from_purchase` tinyint(1) NOT NULL DEFAULT 1,
  `sales_cmsn_agnt` enum('logged_in_user','user','cmsn_agnt') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `item_addition_method` tinyint(1) NOT NULL DEFAULT 1,
  `enable_inline_tax` tinyint(1) NOT NULL DEFAULT 1,
  `currency_symbol_placement` enum('before','after') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'before',
  `enabled_modules` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date_format` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'm/d/Y',
  `time_format` enum('12','24') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '24',
  `ref_no_prefixes` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `theme_color` char(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `enable_rp` tinyint(1) NOT NULL DEFAULT 0 COMMENT 'rp is the short form of reward points',
  `rp_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'rp is the short form of reward points',
  `amount_for_unit_rp` decimal(22,4) NOT NULL DEFAULT 1.0000 COMMENT 'rp is the short form of reward points',
  `min_order_total_for_rp` decimal(22,4) NOT NULL DEFAULT 1.0000 COMMENT 'rp is the short form of reward points',
  `max_rp_per_order` int(11) DEFAULT NULL COMMENT 'rp is the short form of reward points',
  `redeem_amount_per_unit_rp` decimal(22,4) NOT NULL DEFAULT 1.0000 COMMENT 'rp is the short form of reward points',
  `min_order_total_for_redeem` decimal(22,4) NOT NULL DEFAULT 1.0000 COMMENT 'rp is the short form of reward points',
  `min_redeem_point` int(11) DEFAULT NULL COMMENT 'rp is the short form of reward points',
  `max_redeem_point` int(11) DEFAULT NULL COMMENT 'rp is the short form of reward points',
  `rp_expiry_period` int(11) DEFAULT NULL COMMENT 'rp is the short form of reward points',
  `rp_expiry_type` enum('month','year') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'year' COMMENT 'rp is the short form of reward points',
  `email_settings` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sms_settings` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_labels` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `common_settings` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT 1,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `business_owner_id_foreign` (`owner_id`),
  KEY `business_currency_id_foreign` (`currency_id`),
  KEY `business_default_sales_tax_foreign` (`default_sales_tax`),
  CONSTRAINT `business_currency_id_foreign` FOREIGN KEY (`currency_id`) REFERENCES `currencies` (`id`),
  CONSTRAINT `business_default_sales_tax_foreign` FOREIGN KEY (`default_sales_tax`) REFERENCES `tax_rates` (`id`),
  CONSTRAINT `business_owner_id_foreign` FOREIGN KEY (`owner_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `business` WRITE;
/*!40000 ALTER TABLE `business` DISABLE KEYS */;
INSERT INTO `business` VALUES (1,'D\' Las Ramas Snack',33,'2022-05-23','03100305733','RNC',NULL,NULL,NULL,0.00,1,'America/Santo_Domingo',1,'fifo',0.00,'includes','1653319744_WhatsApp Image 2022-05-23 at 10.26.21 AM.jpeg',NULL,0,'add_expiry','keep_selling',0,1,0,NULL,1.000,30,30,'{\"pos\":{\"express_checkout\":\"shift+e\",\"pay_n_ckeckout\":\"shift+p\",\"draft\":\"shift+d\",\"cancel\":\"shift+c\",\"recent_product_quantity\":\"f2\",\"weighing_scale\":null,\"edit_discount\":\"shift+i\",\"edit_order_tax\":\"shift+t\",\"add_payment_row\":\"shift+r\",\"finalize_payment\":\"shift+f\",\"add_new_product\":\"f4\"}}','{\"amount_rounding_method\":null,\"enable_msp\":\"1\",\"allow_overselling\":\"1\",\"disable_express_checkout\":\"1\",\"show_invoice_layout\":\"1\",\"disable_pay_checkout\":0,\"disable_draft\":0,\"hide_product_suggestion\":0,\"hide_recent_trans\":0,\"disable_discount\":0,\"disable_order_tax\":0,\"is_pos_subtotal_editable\":0}','{\"label_prefix\":null,\"product_sku_length\":\"4\",\"qty_length\":\"3\",\"qty_length_decimal\":\"2\"}',NULL,NULL,1,1,1,1,1,0,NULL,0,0,0,0,1,'logged_in_user',1,1,'before','[\"purchases\",\"add_sale\",\"pos_sale\",\"stock_transfers\",\"stock_adjustment\",\"expenses\"]','m/d/Y','12','{\"purchase\":\"PO\",\"purchase_return\":null,\"stock_transfer\":\"ST\",\"stock_adjustment\":\"SA\",\"sell_return\":\"CN\",\"expense\":\"EP\",\"contacts\":\"CO\",\"purchase_payment\":\"PP\",\"sell_payment\":\"SP\",\"expense_payment\":null,\"business_location\":\"BL\",\"username\":null,\"subscription\":null,\"draft\":null}','yellow',NULL,0,NULL,1.0000,1.0000,NULL,1.0000,1.0000,NULL,NULL,NULL,'year','{\"mail_driver\":\"smtp\",\"mail_host\":null,\"mail_port\":null,\"mail_username\":null,\"mail_password\":null,\"mail_encryption\":null,\"mail_from_address\":null,\"mail_from_name\":null}','{\"sms_service\":\"other\",\"nexmo_key\":null,\"nexmo_secret\":null,\"nexmo_from\":null,\"twilio_sid\":null,\"twilio_token\":null,\"twilio_from\":null,\"url\":null,\"send_to_param_name\":\"to\",\"msg_param_name\":\"text\",\"request_method\":\"post\",\"header_1\":null,\"header_val_1\":null,\"header_2\":null,\"header_val_2\":null,\"header_3\":null,\"header_val_3\":null,\"param_1\":null,\"param_val_1\":null,\"param_2\":null,\"param_val_2\":null,\"param_3\":null,\"param_val_3\":null,\"param_4\":null,\"param_val_4\":null,\"param_5\":null,\"param_val_5\":null,\"param_6\":null,\"param_val_6\":null,\"param_7\":null,\"param_val_7\":null,\"param_8\":null,\"param_val_8\":null,\"param_9\":null,\"param_val_9\":null,\"param_10\":null,\"param_val_10\":null}','{\"payments\":{\"custom_pay_1\":null,\"custom_pay_2\":null,\"custom_pay_3\":null},\"contact\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null},\"product\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null},\"location\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null},\"user\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null},\"purchase\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null},\"sell\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null},\"types_of_service\":{\"custom_field_1\":null,\"custom_field_2\":null,\"custom_field_3\":null,\"custom_field_4\":null}}','{\"default_datatable_page_entries\":\"50\"}',1,'2022-05-24 00:59:04','2022-05-23 23:05:59');
/*!40000 ALTER TABLE `business` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `business_locations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `business_locations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(10) unsigned NOT NULL,
  `location_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(256) COLLATE utf8mb4_unicode_ci NOT NULL,
  `landmark` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `state` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `city` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `zip_code` char(7) COLLATE utf8mb4_unicode_ci NOT NULL,
  `invoice_scheme_id` int(10) unsigned NOT NULL,
  `invoice_layout_id` int(10) unsigned NOT NULL,
  `sale_invoice_layout_id` int(11) DEFAULT NULL,
  `selling_price_group_id` int(11) DEFAULT NULL,
  `print_receipt_on_invoice` tinyint(1) DEFAULT 1,
  `receipt_printer_type` enum('browser','printer') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'browser',
  `printer_id` int(11) DEFAULT NULL,
  `mobile` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `alternate_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `website` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `featured_products` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT 1,
  `default_payment_accounts` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field1` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field2` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field3` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field4` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `business_locations_business_id_index` (`business_id`),
  KEY `business_locations_invoice_scheme_id_foreign` (`invoice_scheme_id`),
  KEY `business_locations_invoice_layout_id_foreign` (`invoice_layout_id`),
  CONSTRAINT `business_locations_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `business_locations_invoice_layout_id_foreign` FOREIGN KEY (`invoice_layout_id`) REFERENCES `invoice_layouts` (`id`) ON DELETE CASCADE,
  CONSTRAINT `business_locations_invoice_scheme_id_foreign` FOREIGN KEY (`invoice_scheme_id`) REFERENCES `invoice_schemes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `business_locations` WRITE;
/*!40000 ALTER TABLE `business_locations` DISABLE KEYS */;
INSERT INTO `business_locations` VALUES (1,1,'BL0001','D\' Las Ramas Snack','Dr. Arturo Grullón','RD','Santiago','Jardines Metropolitanos','00000',1,1,1,NULL,1,'browser',NULL,'(809) 736-3516',NULL,NULL,NULL,NULL,1,'{\"cash\":{\"is_enabled\":\"1\"},\"card\":{\"is_enabled\":\"1\"},\"cheque\":{\"is_enabled\":\"1\"},\"bank_transfer\":{\"is_enabled\":\"1\"}}',NULL,NULL,NULL,NULL,NULL,'2022-05-24 00:59:04','2022-05-23 23:06:13');
/*!40000 ALTER TABLE `business_locations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `cash_register_transactions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cash_register_transactions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `cash_register_id` int(10) unsigned NOT NULL,
  `amount` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `pay_method` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` enum('debit','credit') COLLATE utf8mb4_unicode_ci NOT NULL,
  `transaction_type` enum('initial','sell','transfer','refund') COLLATE utf8mb4_unicode_ci NOT NULL,
  `transaction_id` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `cash_register_transactions_cash_register_id_foreign` (`cash_register_id`),
  KEY `cash_register_transactions_transaction_id_index` (`transaction_id`),
  CONSTRAINT `cash_register_transactions_cash_register_id_foreign` FOREIGN KEY (`cash_register_id`) REFERENCES `cash_registers` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=1213 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `cash_register_transactions` WRITE;
/*!40000 ALTER TABLE `cash_register_transactions` DISABLE KEYS */;
INSERT INTO `cash_register_transactions` VALUES (11,2,50.0000,'cash','credit','sell',6,'2022-05-24 13:40:30','2022-05-24 13:40:30'),(12,2,0.0000,'cash','credit','sell',6,'2022-05-24 13:40:30','2022-05-24 13:40:30'),(13,2,200.0000,'cash','credit','sell',7,'2022-05-24 16:29:00','2022-05-24 16:29:00'),(14,2,0.0000,'cash','credit','sell',7,'2022-05-24 16:29:00','2022-05-24 16:29:00'),(15,2,610.0000,'cash','credit','sell',8,'2022-05-24 17:53:03','2022-05-24 17:53:03'),(16,2,0.0000,'cash','credit','sell',8,'2022-05-24 17:53:03','2022-05-24 17:53:03'),(17,2,50.0000,'cash','credit','sell',9,'2022-05-24 19:10:57','2022-05-24 19:10:57'),(18,2,0.0000,'cash','credit','sell',9,'2022-05-24 19:10:57','2022-05-24 19:10:57'),(19,2,260.0000,'cash','credit','sell',10,'2022-05-24 19:53:52','2022-05-24 19:53:52'),(20,2,0.0000,'cash','credit','sell',10,'2022-05-24 19:53:52','2022-05-24 19:53:52'),(21,2,150.0000,'cash','credit','sell',11,'2022-05-24 20:07:12','2022-05-24 20:07:12'),(22,2,0.0000,'cash','credit','sell',11,'2022-05-24 20:07:12','2022-05-24 20:07:12'),(23,2,340.0000,'cash','credit','sell',12,'2022-05-24 20:33:12','2022-05-24 20:33:12'),(24,2,0.0000,'cash','credit','sell',12,'2022-05-24 20:33:12','2022-05-24 20:33:12'),(25,2,115.0000,'cash','credit','sell',13,'2022-05-24 20:36:32','2022-05-24 20:36:32'),(26,2,0.0000,'cash','credit','sell',13,'2022-05-24 20:36:32','2022-05-24 20:36:32'),(27,2,105.0000,'cash','credit','sell',12,'2022-05-24 20:37:49','2022-05-24 20:37:49'),(28,2,50.0000,'cash','credit','sell',16,'2022-05-25 13:19:10','2022-05-25 13:19:10'),(29,2,0.0000,'cash','credit','sell',16,'2022-05-25 13:19:10','2022-05-25 13:19:10'),(30,2,105.0000,'cash','credit','sell',17,'2022-05-25 13:31:57','2022-05-25 13:31:57'),(31,2,0.0000,'cash','credit','sell',17,'2022-05-25 13:31:57','2022-05-25 13:31:57'),(32,2,150.0000,'cash','credit','sell',18,'2022-05-25 15:08:58','2022-05-25 15:08:58'),(33,2,0.0000,'cash','credit','sell',18,'2022-05-25 15:08:58','2022-05-25 15:08:58'),(34,2,50.0000,'cash','credit','sell',19,'2022-05-25 15:28:44','2022-05-25 15:28:44'),(35,2,0.0000,'cash','credit','sell',19,'2022-05-25 15:28:44','2022-05-25 15:28:44'),(36,2,350.0000,'cash','credit','sell',20,'2022-05-25 16:28:50','2022-05-25 16:28:50'),(37,2,0.0000,'cash','credit','sell',20,'2022-05-25 16:28:50','2022-05-25 16:28:50'),(38,2,110.0000,'cash','credit','sell',21,'2022-05-25 16:55:19','2022-05-25 16:55:19'),(39,2,0.0000,'cash','credit','sell',21,'2022-05-25 16:55:19','2022-05-25 16:55:19'),(40,2,325.0000,'cash','credit','sell',22,'2022-05-25 17:31:04','2022-05-25 17:31:04'),(41,2,0.0000,'cash','credit','sell',22,'2022-05-25 17:31:04','2022-05-25 17:31:04'),(42,2,50.0000,'cash','credit','sell',23,'2022-05-25 19:50:31','2022-05-25 19:50:31'),(43,2,0.0000,'cash','credit','sell',23,'2022-05-25 19:50:31','2022-05-25 19:50:31'),(44,2,260.0000,'cash','credit','sell',24,'2022-05-25 20:38:34','2022-05-25 20:38:34'),(45,2,0.0000,'cash','credit','sell',24,'2022-05-25 20:38:34','2022-05-25 20:38:34'),(46,2,60.0000,'cash','credit','sell',25,'2022-05-25 21:11:37','2022-05-25 21:11:37'),(47,2,0.0000,'cash','credit','sell',25,'2022-05-25 21:11:37','2022-05-25 21:11:37'),(48,2,60.0000,'cash','credit','sell',26,'2022-05-25 22:45:38','2022-05-25 22:45:38'),(49,2,0.0000,'cash','credit','sell',26,'2022-05-25 22:45:38','2022-05-25 22:45:38'),(50,3,425.0000,'cash','credit','sell',27,'2022-05-25 23:20:27','2022-05-25 23:20:27'),(51,3,0.0000,'cash','credit','sell',27,'2022-05-25 23:20:27','2022-05-25 23:20:27'),(52,4,120.0000,'cash','credit','sell',28,'2022-05-26 12:33:31','2022-05-26 12:33:31'),(53,4,0.0000,'cash','credit','sell',28,'2022-05-26 12:33:31','2022-05-26 12:33:31'),(54,4,100.0000,'cash','credit','sell',29,'2022-05-26 13:20:55','2022-05-26 13:20:55'),(55,4,0.0000,'cash','credit','sell',29,'2022-05-26 13:20:55','2022-05-26 13:20:55'),(56,4,50.0000,'cash','credit','sell',30,'2022-05-26 13:26:48','2022-05-26 13:26:48'),(57,4,0.0000,'cash','credit','sell',30,'2022-05-26 13:26:48','2022-05-26 13:26:48'),(58,4,50.0000,'cash','credit','sell',31,'2022-05-26 14:57:27','2022-05-26 14:57:27'),(59,4,0.0000,'cash','credit','sell',31,'2022-05-26 14:57:27','2022-05-26 14:57:27'),(60,4,250.0000,'cash','credit','sell',32,'2022-05-26 16:12:38','2022-05-26 16:12:38'),(61,4,0.0000,'cash','credit','sell',32,'2022-05-26 16:12:38','2022-05-26 16:12:38'),(62,4,150.0000,'cash','credit','sell',33,'2022-05-26 19:06:02','2022-05-26 19:06:02'),(63,4,0.0000,'cash','credit','sell',33,'2022-05-26 19:06:02','2022-05-26 19:06:02'),(64,4,240.0000,'cash','credit','sell',34,'2022-05-26 20:56:22','2022-05-26 20:56:22'),(65,4,0.0000,'cash','credit','sell',34,'2022-05-26 20:56:22','2022-05-26 20:56:22'),(66,4,170.0000,'cash','credit','sell',35,'2022-05-27 13:14:39','2022-05-27 13:14:39'),(67,4,0.0000,'cash','credit','sell',35,'2022-05-27 13:14:39','2022-05-27 13:14:39'),(68,4,100.0000,'cash','credit','sell',36,'2022-05-27 13:53:16','2022-05-27 13:53:16'),(69,4,0.0000,'cash','credit','sell',36,'2022-05-27 13:53:16','2022-05-27 13:53:16'),(70,4,175.0000,'cash','credit','sell',37,'2022-05-27 18:50:50','2022-05-27 18:50:50'),(71,4,0.0000,'cash','credit','sell',37,'2022-05-27 18:50:50','2022-05-27 18:50:50'),(72,4,80.0000,'cash','credit','sell',38,'2022-05-27 20:29:58','2022-05-27 20:29:58'),(73,4,0.0000,'cash','credit','sell',38,'2022-05-27 20:29:58','2022-05-27 20:29:58'),(74,5,210.0000,'cash','credit','sell',39,'2022-05-28 14:16:58','2022-05-28 14:16:58'),(75,5,0.0000,'cash','credit','sell',39,'2022-05-28 14:16:58','2022-05-28 14:16:58'),(76,5,175.0000,'cash','credit','sell',40,'2022-05-28 14:59:11','2022-05-28 14:59:11'),(77,5,0.0000,'cash','credit','sell',40,'2022-05-28 14:59:11','2022-05-28 14:59:11'),(78,5,185.0000,'cash','credit','sell',41,'2022-05-28 15:03:04','2022-05-28 15:03:04'),(79,5,0.0000,'cash','credit','sell',41,'2022-05-28 15:03:04','2022-05-28 15:03:04'),(80,5,60.0000,'cash','credit','sell',42,'2022-05-28 15:04:32','2022-05-28 15:04:32'),(81,5,0.0000,'cash','credit','sell',42,'2022-05-28 15:04:32','2022-05-28 15:04:32'),(82,5,270.0000,'cash','credit','sell',43,'2022-05-28 16:18:40','2022-05-28 16:18:40'),(83,5,0.0000,'cash','credit','sell',43,'2022-05-28 16:18:40','2022-05-28 16:18:40'),(84,5,100.0000,'cash','credit','sell',44,'2022-05-28 16:41:21','2022-05-28 16:41:21'),(85,5,0.0000,'cash','credit','sell',44,'2022-05-28 16:41:21','2022-05-28 16:41:21'),(86,5,170.0000,'cash','credit','sell',45,'2022-05-28 21:26:45','2022-05-28 21:26:45'),(87,5,0.0000,'cash','credit','sell',45,'2022-05-28 21:26:45','2022-05-28 21:26:45'),(88,5,320.0000,'cash','credit','sell',46,'2022-05-28 21:29:26','2022-05-28 21:29:26'),(89,5,0.0000,'cash','credit','sell',46,'2022-05-28 21:29:26','2022-05-28 21:29:26'),(90,5,150.0000,'cash','credit','sell',47,'2022-05-28 21:38:17','2022-05-28 21:38:17'),(91,5,0.0000,'cash','credit','sell',47,'2022-05-28 21:38:17','2022-05-28 21:38:17'),(92,5,170.0000,'cash','credit','sell',48,'2022-05-28 23:54:39','2022-05-28 23:54:39'),(93,5,0.0000,'cash','credit','sell',48,'2022-05-28 23:54:39','2022-05-28 23:54:39'),(94,5,50.0000,'cash','credit','sell',49,'2022-05-30 13:24:08','2022-05-30 13:24:08'),(95,5,0.0000,'cash','credit','sell',49,'2022-05-30 13:24:08','2022-05-30 13:24:08'),(96,5,60.0000,'cash','credit','sell',50,'2022-05-30 13:25:30','2022-05-30 13:25:30'),(97,5,0.0000,'cash','credit','sell',50,'2022-05-30 13:25:30','2022-05-30 13:25:30'),(98,5,60.0000,'cash','credit','sell',51,'2022-05-30 13:33:15','2022-05-30 13:33:15'),(99,5,0.0000,'cash','credit','sell',51,'2022-05-30 13:33:15','2022-05-30 13:33:15'),(100,5,120.0000,'cash','credit','sell',52,'2022-05-30 13:53:39','2022-05-30 13:53:39'),(101,5,0.0000,'cash','credit','sell',52,'2022-05-30 13:53:39','2022-05-30 13:53:39'),(102,5,105.0000,'cash','credit','sell',53,'2022-05-30 13:59:51','2022-05-30 13:59:51'),(103,5,0.0000,'cash','credit','sell',53,'2022-05-30 13:59:51','2022-05-30 13:59:51'),(106,5,60.0000,'cash','credit','sell',55,'2022-05-30 17:42:53','2022-05-30 17:42:53'),(107,5,0.0000,'cash','credit','sell',55,'2022-05-30 17:42:53','2022-05-30 17:42:53'),(108,5,150.0000,'cash','credit','sell',56,'2022-05-30 19:51:15','2022-05-30 19:51:15'),(109,5,0.0000,'cash','credit','sell',56,'2022-05-30 19:51:15','2022-05-30 19:51:15'),(110,5,150.0000,'cash','credit','sell',57,'2022-05-30 20:08:05','2022-05-30 20:08:05'),(111,5,0.0000,'cash','credit','sell',57,'2022-05-30 20:08:05','2022-05-30 20:08:05'),(112,5,230.0000,'cash','credit','sell',58,'2022-05-30 21:17:03','2022-05-30 21:17:03'),(113,5,0.0000,'cash','credit','sell',58,'2022-05-30 21:17:03','2022-05-30 21:17:03'),(114,5,325.0000,'cash','credit','sell',59,'2022-05-30 21:19:57','2022-05-30 21:19:57'),(115,5,0.0000,'cash','credit','sell',59,'2022-05-30 21:19:57','2022-05-30 21:19:57'),(116,5,120.0000,'cash','credit','sell',60,'2022-05-30 21:20:45','2022-05-30 21:20:45'),(117,5,0.0000,'cash','credit','sell',60,'2022-05-30 21:20:45','2022-05-30 21:20:45'),(118,5,170.0000,'cash','credit','sell',61,'2022-05-30 21:31:04','2022-05-30 21:31:04'),(119,5,0.0000,'cash','credit','sell',61,'2022-05-30 21:31:04','2022-05-30 21:31:04'),(120,5,55.0000,'cash','credit','sell',62,'2022-05-30 22:33:59','2022-05-30 22:33:59'),(121,5,0.0000,'cash','credit','sell',62,'2022-05-30 22:33:59','2022-05-30 22:33:59'),(122,5,120.0000,'cash','credit','sell',63,'2022-05-31 13:07:28','2022-05-31 13:07:28'),(123,5,0.0000,'cash','credit','sell',63,'2022-05-31 13:07:28','2022-05-31 13:07:28'),(124,5,50.0000,'cash','credit','sell',64,'2022-05-31 13:19:14','2022-05-31 13:19:14'),(125,5,0.0000,'cash','credit','sell',64,'2022-05-31 13:19:14','2022-05-31 13:19:14'),(126,5,105.0000,'cash','credit','sell',65,'2022-05-31 13:37:37','2022-05-31 13:37:37'),(127,5,0.0000,'cash','credit','sell',65,'2022-05-31 13:37:37','2022-05-31 13:37:37'),(128,5,60.0000,'cash','credit','sell',66,'2022-05-31 15:25:14','2022-05-31 15:25:14'),(129,5,0.0000,'cash','credit','sell',66,'2022-05-31 15:25:14','2022-05-31 15:25:14'),(130,5,150.0000,'cash','credit','sell',67,'2022-05-31 17:12:21','2022-05-31 17:12:21'),(131,5,0.0000,'cash','credit','sell',67,'2022-05-31 17:12:21','2022-05-31 17:12:21'),(132,5,50.0000,'cash','credit','sell',68,'2022-05-31 17:12:38','2022-05-31 17:12:38'),(133,5,0.0000,'cash','credit','sell',68,'2022-05-31 17:12:38','2022-05-31 17:12:38'),(134,5,170.0000,'cash','credit','sell',69,'2022-05-31 17:35:03','2022-05-31 17:35:03'),(135,5,0.0000,'cash','credit','sell',69,'2022-05-31 17:35:03','2022-05-31 17:35:03'),(136,5,55.0000,'cash','credit','sell',70,'2022-05-31 19:04:21','2022-05-31 19:04:21'),(137,5,0.0000,'cash','credit','sell',70,'2022-05-31 19:04:21','2022-05-31 19:04:21'),(138,5,50.0000,'cash','credit','sell',71,'2022-05-31 19:07:09','2022-05-31 19:07:09'),(139,5,0.0000,'cash','credit','sell',71,'2022-05-31 19:07:09','2022-05-31 19:07:09'),(140,5,220.0000,'cash','credit','sell',72,'2022-05-31 20:02:57','2022-05-31 20:02:57'),(141,5,0.0000,'cash','credit','sell',72,'2022-05-31 20:02:57','2022-05-31 20:02:57'),(142,5,110.0000,'cash','credit','sell',73,'2022-05-31 20:04:25','2022-05-31 20:04:25'),(143,5,0.0000,'cash','credit','sell',73,'2022-05-31 20:04:25','2022-05-31 20:04:25'),(144,5,115.0000,'cash','credit','sell',74,'2022-05-31 20:33:27','2022-05-31 20:33:27'),(145,5,0.0000,'cash','credit','sell',74,'2022-05-31 20:33:27','2022-05-31 20:33:27'),(146,5,200.0000,'cash','credit','sell',75,'2022-05-31 21:18:27','2022-05-31 21:18:27'),(147,5,0.0000,'cash','credit','sell',75,'2022-05-31 21:18:27','2022-05-31 21:18:27'),(148,5,150.0000,'cash','credit','sell',76,'2022-05-31 21:22:18','2022-05-31 21:22:18'),(149,5,0.0000,'cash','credit','sell',76,'2022-05-31 21:22:18','2022-05-31 21:22:18'),(150,5,60.0000,'cash','credit','sell',77,'2022-05-31 22:25:57','2022-05-31 22:25:57'),(151,5,0.0000,'cash','credit','sell',77,'2022-05-31 22:25:57','2022-05-31 22:25:57'),(152,5,155.0000,'cash','credit','sell',78,'2022-06-01 13:25:13','2022-06-01 13:25:13'),(153,5,0.0000,'cash','credit','sell',78,'2022-06-01 13:25:13','2022-06-01 13:25:13'),(154,5,270.0000,'cash','credit','sell',79,'2022-06-01 14:00:25','2022-06-01 14:00:25'),(155,5,0.0000,'cash','credit','sell',79,'2022-06-01 14:00:25','2022-06-01 14:00:25'),(156,5,150.0000,'cash','credit','sell',80,'2022-06-01 14:11:34','2022-06-01 14:11:34'),(157,5,0.0000,'cash','credit','sell',80,'2022-06-01 14:11:34','2022-06-01 14:11:34'),(158,5,60.0000,'cash','credit','sell',81,'2022-06-01 16:02:37','2022-06-01 16:02:37'),(159,5,0.0000,'cash','credit','sell',81,'2022-06-01 16:02:37','2022-06-01 16:02:37'),(160,5,60.0000,'cash','credit','sell',82,'2022-06-01 16:58:33','2022-06-01 16:58:33'),(161,5,0.0000,'cash','credit','sell',82,'2022-06-01 16:58:33','2022-06-01 16:58:33'),(162,5,120.0000,'cash','credit','sell',83,'2022-06-01 17:08:39','2022-06-01 17:08:39'),(163,5,0.0000,'cash','credit','sell',83,'2022-06-01 17:08:39','2022-06-01 17:08:39'),(164,5,150.0000,'cash','credit','sell',84,'2022-06-01 17:25:24','2022-06-01 17:25:24'),(165,5,0.0000,'cash','credit','sell',84,'2022-06-01 17:25:24','2022-06-01 17:25:24'),(166,5,295.0000,'cash','credit','sell',85,'2022-06-01 18:56:22','2022-06-01 18:56:22'),(167,5,0.0000,'cash','credit','sell',85,'2022-06-01 18:56:22','2022-06-01 18:56:22'),(168,5,185.0000,'cash','credit','sell',86,'2022-06-01 19:31:46','2022-06-01 19:31:46'),(169,5,0.0000,'cash','credit','sell',86,'2022-06-01 19:31:46','2022-06-01 19:31:46'),(170,5,390.0000,'cash','credit','sell',87,'2022-06-01 19:50:49','2022-06-01 19:50:49'),(171,5,0.0000,'cash','credit','sell',87,'2022-06-01 19:50:49','2022-06-01 19:50:49'),(172,5,150.0000,'cash','credit','sell',88,'2022-06-01 21:14:37','2022-06-01 21:14:37'),(173,5,0.0000,'cash','credit','sell',88,'2022-06-01 21:14:37','2022-06-01 21:14:37'),(174,5,170.0000,'cash','credit','sell',89,'2022-06-01 21:34:00','2022-06-01 21:34:00'),(175,5,0.0000,'cash','credit','sell',89,'2022-06-01 21:34:00','2022-06-01 21:34:00'),(176,5,100.0000,'cash','credit','sell',90,'2022-06-01 21:36:57','2022-06-01 21:36:57'),(177,5,0.0000,'cash','credit','sell',90,'2022-06-01 21:36:57','2022-06-01 21:36:57'),(178,5,150.0000,'cash','credit','sell',91,'2022-06-01 23:17:47','2022-06-01 23:17:47'),(179,5,0.0000,'cash','credit','sell',91,'2022-06-01 23:17:47','2022-06-01 23:17:47'),(180,5,140.0000,'cash','credit','sell',92,'2022-06-02 13:11:56','2022-06-02 13:11:56'),(181,5,0.0000,'cash','credit','sell',92,'2022-06-02 13:11:56','2022-06-02 13:11:56'),(182,5,225.0000,'cash','credit','sell',93,'2022-06-02 13:42:33','2022-06-02 13:42:33'),(183,5,0.0000,'cash','credit','sell',93,'2022-06-02 13:42:33','2022-06-02 13:42:33'),(184,5,310.0000,'cash','credit','sell',94,'2022-06-02 15:34:44','2022-06-02 15:34:44'),(185,5,0.0000,'cash','credit','sell',94,'2022-06-02 15:34:44','2022-06-02 15:34:44'),(186,5,60.0000,'cash','credit','sell',95,'2022-06-02 16:10:26','2022-06-02 16:10:26'),(187,5,0.0000,'cash','credit','sell',95,'2022-06-02 16:10:26','2022-06-02 16:10:26'),(188,5,50.0000,'cash','credit','sell',96,'2022-06-02 17:57:27','2022-06-02 17:57:27'),(189,5,0.0000,'cash','credit','sell',96,'2022-06-02 17:57:27','2022-06-02 17:57:27'),(190,5,365.0000,'cash','credit','sell',97,'2022-06-02 21:02:38','2022-06-02 21:02:38'),(191,5,0.0000,'cash','credit','sell',97,'2022-06-02 21:02:38','2022-06-02 21:02:38'),(192,5,100.0000,'cash','credit','sell',98,'2022-06-02 21:03:34','2022-06-02 21:03:34'),(193,5,0.0000,'cash','credit','sell',98,'2022-06-02 21:03:34','2022-06-02 21:03:34'),(194,5,255.0000,'cash','credit','sell',99,'2022-06-02 22:02:42','2022-06-02 22:02:42'),(195,5,0.0000,'cash','credit','sell',99,'2022-06-02 22:02:42','2022-06-02 22:02:42'),(198,5,220.0000,'cash','credit','sell',99,'2022-06-02 22:06:40','2022-06-02 22:06:40'),(199,5,140.0000,'cash','credit','sell',101,'2022-06-03 13:00:20','2022-06-03 13:00:20'),(200,5,0.0000,'cash','credit','sell',101,'2022-06-03 13:00:20','2022-06-03 13:00:20'),(201,5,175.0000,'cash','credit','sell',102,'2022-06-03 13:10:11','2022-06-03 13:10:11'),(202,5,0.0000,'cash','credit','sell',102,'2022-06-03 13:10:11','2022-06-03 13:10:11'),(203,5,120.0000,'cash','credit','sell',103,'2022-06-03 13:23:50','2022-06-03 13:23:50'),(204,5,0.0000,'cash','credit','sell',103,'2022-06-03 13:23:50','2022-06-03 13:23:50'),(205,5,55.0000,'cash','credit','sell',104,'2022-06-03 13:58:35','2022-06-03 13:58:35'),(206,5,0.0000,'cash','credit','sell',104,'2022-06-03 13:58:35','2022-06-03 13:58:35'),(207,5,390.0000,'cash','credit','sell',105,'2022-06-03 16:55:09','2022-06-03 16:55:09'),(208,5,0.0000,'cash','credit','sell',105,'2022-06-03 16:55:09','2022-06-03 16:55:09'),(209,5,60.0000,'cash','credit','sell',106,'2022-06-03 17:10:26','2022-06-03 17:10:26'),(210,5,0.0000,'cash','credit','sell',106,'2022-06-03 17:10:26','2022-06-03 17:10:26'),(211,5,50.0000,'cash','credit','sell',107,'2022-06-03 17:15:42','2022-06-03 17:15:42'),(212,5,0.0000,'cash','credit','sell',107,'2022-06-03 17:15:42','2022-06-03 17:15:42'),(213,5,60.0000,'cash','credit','sell',108,'2022-06-03 17:49:30','2022-06-03 17:49:30'),(214,5,0.0000,'cash','credit','sell',108,'2022-06-03 17:49:30','2022-06-03 17:49:30'),(215,5,270.0000,'cash','credit','sell',109,'2022-06-03 18:34:11','2022-06-03 18:34:11'),(216,5,0.0000,'cash','credit','sell',109,'2022-06-03 18:34:11','2022-06-03 18:34:11'),(217,5,120.0000,'cash','credit','sell',111,'2022-06-03 19:11:17','2022-06-03 19:11:17'),(218,5,0.0000,'cash','credit','sell',111,'2022-06-03 19:11:17','2022-06-03 19:11:17'),(219,5,460.0000,'bank_transfer','credit','sell',112,'2022-06-03 20:19:15','2022-06-03 20:19:15'),(220,5,0.0000,'cash','credit','sell',112,'2022-06-03 20:19:15','2022-06-03 20:19:15'),(221,5,60.0000,'cash','credit','sell',113,'2022-06-03 22:32:56','2022-06-03 22:32:56'),(222,5,0.0000,'cash','credit','sell',113,'2022-06-03 22:32:56','2022-06-03 22:32:56'),(223,5,100.0000,'cash','credit','sell',114,'2022-06-04 13:32:27','2022-06-04 13:32:27'),(224,5,0.0000,'cash','credit','sell',114,'2022-06-04 13:32:27','2022-06-04 13:32:27'),(225,5,50.0000,'cash','credit','sell',115,'2022-06-04 13:40:54','2022-06-04 13:40:54'),(226,5,0.0000,'cash','credit','sell',115,'2022-06-04 13:40:54','2022-06-04 13:40:54'),(227,5,60.0000,'cash','credit','sell',116,'2022-06-04 14:00:59','2022-06-04 14:00:59'),(228,5,0.0000,'cash','credit','sell',116,'2022-06-04 14:00:59','2022-06-04 14:00:59'),(229,5,60.0000,'cash','credit','sell',117,'2022-06-04 16:01:49','2022-06-04 16:01:49'),(230,5,0.0000,'cash','credit','sell',117,'2022-06-04 16:01:49','2022-06-04 16:01:49'),(231,5,250.0000,'cash','credit','sell',118,'2022-06-04 18:18:17','2022-06-04 18:18:17'),(232,5,0.0000,'cash','credit','sell',118,'2022-06-04 18:18:17','2022-06-04 18:18:17'),(233,5,50.0000,'cash','credit','sell',119,'2022-06-04 19:02:03','2022-06-04 19:02:03'),(234,5,0.0000,'cash','credit','sell',119,'2022-06-04 19:02:03','2022-06-04 19:02:03'),(235,5,55.0000,'cash','credit','sell',120,'2022-06-05 13:15:18','2022-06-05 13:15:18'),(236,5,0.0000,'cash','credit','sell',120,'2022-06-05 13:15:18','2022-06-05 13:15:18'),(237,5,60.0000,'cash','credit','sell',121,'2022-06-05 13:39:25','2022-06-05 13:39:25'),(238,5,0.0000,'cash','credit','sell',121,'2022-06-05 13:39:25','2022-06-05 13:39:25'),(239,5,50.0000,'cash','credit','sell',122,'2022-06-06 13:06:52','2022-06-06 13:06:52'),(240,5,0.0000,'cash','credit','sell',122,'2022-06-06 13:06:52','2022-06-06 13:06:52'),(241,5,60.0000,'cash','credit','sell',123,'2022-06-06 13:29:23','2022-06-06 13:29:23'),(242,5,0.0000,'cash','credit','sell',123,'2022-06-06 13:29:23','2022-06-06 13:29:23'),(243,5,55.0000,'cash','credit','sell',124,'2022-06-06 13:48:27','2022-06-06 13:48:27'),(244,5,0.0000,'cash','credit','sell',124,'2022-06-06 13:48:27','2022-06-06 13:48:27'),(245,5,175.0000,'cash','credit','sell',125,'2022-06-06 14:14:49','2022-06-06 14:14:49'),(246,5,0.0000,'cash','credit','sell',125,'2022-06-06 14:14:49','2022-06-06 14:14:49'),(247,5,120.0000,'cash','credit','sell',126,'2022-06-06 15:15:22','2022-06-06 15:15:22'),(248,5,0.0000,'cash','credit','sell',126,'2022-06-06 15:15:22','2022-06-06 15:15:22'),(249,5,50.0000,'cash','credit','sell',127,'2022-06-06 15:35:13','2022-06-06 15:35:13'),(250,5,0.0000,'cash','credit','sell',127,'2022-06-06 15:35:13','2022-06-06 15:35:13'),(251,5,100.0000,'cash','credit','sell',128,'2022-06-06 16:57:29','2022-06-06 16:57:29'),(252,5,0.0000,'cash','credit','sell',128,'2022-06-06 16:57:29','2022-06-06 16:57:29'),(253,5,1175.0000,'cash','credit','sell',129,'2022-06-06 20:37:58','2022-06-06 20:37:58'),(254,5,0.0000,'cash','credit','sell',129,'2022-06-06 20:37:58','2022-06-06 20:37:58'),(255,5,50.0000,'cash','credit','sell',130,'2022-06-07 12:56:15','2022-06-07 12:56:15'),(256,5,0.0000,'cash','credit','sell',130,'2022-06-07 12:56:15','2022-06-07 12:56:15'),(257,5,60.0000,'cash','credit','sell',131,'2022-06-07 14:40:55','2022-06-07 14:40:55'),(258,5,0.0000,'cash','credit','sell',131,'2022-06-07 14:40:55','2022-06-07 14:40:55'),(259,5,50.0000,'cash','credit','sell',132,'2022-06-07 14:54:32','2022-06-07 14:54:32'),(260,5,0.0000,'cash','credit','sell',132,'2022-06-07 14:54:32','2022-06-07 14:54:32'),(261,5,305.0000,'cash','credit','sell',133,'2022-06-07 20:36:40','2022-06-07 20:36:40'),(262,5,0.0000,'cash','credit','sell',133,'2022-06-07 20:36:40','2022-06-07 20:36:40'),(263,5,250.0000,'cash','credit','sell',134,'2022-06-07 22:49:45','2022-06-07 22:49:45'),(264,5,0.0000,'cash','credit','sell',134,'2022-06-07 22:49:45','2022-06-07 22:49:45'),(265,5,170.0000,'cash','credit','sell',135,'2022-06-08 12:22:31','2022-06-08 12:22:31'),(266,5,0.0000,'cash','credit','sell',135,'2022-06-08 12:22:31','2022-06-08 12:22:31'),(267,5,240.0000,'cash','credit','sell',136,'2022-06-08 12:56:29','2022-06-08 12:56:29'),(268,5,0.0000,'cash','credit','sell',136,'2022-06-08 12:56:29','2022-06-08 12:56:29'),(269,5,50.0000,'cash','credit','sell',137,'2022-06-08 12:59:00','2022-06-08 12:59:00'),(270,5,0.0000,'cash','credit','sell',137,'2022-06-08 12:59:00','2022-06-08 12:59:00'),(271,5,115.0000,'cash','credit','sell',138,'2022-06-08 13:57:50','2022-06-08 13:57:50'),(272,5,0.0000,'cash','credit','sell',138,'2022-06-08 13:57:50','2022-06-08 13:57:50'),(273,5,180.0000,'cash','credit','sell',139,'2022-06-08 14:04:06','2022-06-08 14:04:06'),(274,5,0.0000,'cash','credit','sell',139,'2022-06-08 14:04:06','2022-06-08 14:04:06'),(275,5,50.0000,'cash','credit','sell',140,'2022-06-08 14:04:25','2022-06-08 14:04:25'),(276,5,0.0000,'cash','credit','sell',140,'2022-06-08 14:04:25','2022-06-08 14:04:25'),(277,5,55.0000,'cash','credit','sell',141,'2022-06-08 14:41:48','2022-06-08 14:41:48'),(278,5,0.0000,'cash','credit','sell',141,'2022-06-08 14:41:48','2022-06-08 14:41:48'),(279,5,55.0000,'cash','credit','sell',142,'2022-06-08 15:19:56','2022-06-08 15:19:56'),(280,5,0.0000,'cash','credit','sell',142,'2022-06-08 15:19:56','2022-06-08 15:19:56'),(281,5,50.0000,'cash','credit','sell',143,'2022-06-08 18:55:30','2022-06-08 18:55:30'),(282,5,0.0000,'cash','credit','sell',143,'2022-06-08 18:55:30','2022-06-08 18:55:30'),(283,5,290.0000,'cash','credit','sell',144,'2022-06-08 19:09:55','2022-06-08 19:09:55'),(284,5,0.0000,'cash','credit','sell',144,'2022-06-08 19:09:55','2022-06-08 19:09:55'),(285,5,115.0000,'cash','credit','sell',145,'2022-06-08 19:20:59','2022-06-08 19:20:59'),(286,5,0.0000,'cash','credit','sell',145,'2022-06-08 19:20:59','2022-06-08 19:20:59'),(287,5,260.0000,'cash','credit','sell',146,'2022-06-08 19:53:38','2022-06-08 19:53:38'),(288,5,0.0000,'cash','credit','sell',146,'2022-06-08 19:53:38','2022-06-08 19:53:38'),(289,5,380.0000,'cash','credit','sell',147,'2022-06-09 17:04:05','2022-06-09 17:04:05'),(290,5,0.0000,'cash','credit','sell',147,'2022-06-09 17:04:05','2022-06-09 17:04:05'),(291,5,860.0000,'cash','credit','sell',148,'2022-06-09 20:47:58','2022-06-09 20:47:58'),(292,5,0.0000,'cash','credit','sell',148,'2022-06-09 20:47:58','2022-06-09 20:47:58'),(293,5,1585.0000,'cash','credit','sell',149,'2022-06-09 21:54:21','2022-06-09 21:54:21'),(294,5,0.0000,'cash','credit','sell',149,'2022-06-09 21:54:21','2022-06-09 21:54:21'),(295,5,110.0000,'cash','credit','sell',150,'2022-06-09 21:54:48','2022-06-09 21:54:48'),(296,5,0.0000,'cash','credit','sell',150,'2022-06-09 21:54:48','2022-06-09 21:54:48'),(297,5,50.0000,'cash','credit','sell',151,'2022-06-10 13:29:21','2022-06-10 13:29:21'),(298,5,0.0000,'cash','credit','sell',151,'2022-06-10 13:29:21','2022-06-10 13:29:21'),(299,5,100.0000,'cash','credit','sell',152,'2022-06-10 13:33:06','2022-06-10 13:33:06'),(300,5,0.0000,'cash','credit','sell',152,'2022-06-10 13:33:06','2022-06-10 13:33:06'),(301,5,115.0000,'cash','credit','sell',153,'2022-06-10 13:34:17','2022-06-10 13:34:17'),(302,5,0.0000,'cash','credit','sell',153,'2022-06-10 13:34:17','2022-06-10 13:34:17'),(303,5,100.0000,'cash','credit','sell',154,'2022-06-10 13:38:29','2022-06-10 13:38:29'),(304,5,0.0000,'cash','credit','sell',154,'2022-06-10 13:38:29','2022-06-10 13:38:29'),(305,5,165.0000,'cash','credit','sell',155,'2022-06-10 16:52:36','2022-06-10 16:52:36'),(306,5,0.0000,'cash','credit','sell',155,'2022-06-10 16:52:36','2022-06-10 16:52:36'),(307,5,100.0000,'cash','credit','sell',156,'2022-06-10 16:54:06','2022-06-10 16:54:06'),(308,5,0.0000,'cash','credit','sell',156,'2022-06-10 16:54:06','2022-06-10 16:54:06'),(309,5,55.0000,'cash','credit','sell',157,'2022-06-10 19:22:56','2022-06-10 19:22:56'),(310,5,0.0000,'cash','credit','sell',157,'2022-06-10 19:22:56','2022-06-10 19:22:56'),(311,5,130.0000,'cash','credit','sell',158,'2022-06-10 21:16:17','2022-06-10 21:16:17'),(312,5,0.0000,'cash','credit','sell',158,'2022-06-10 21:16:17','2022-06-10 21:16:17'),(313,5,0.0000,'cash','credit','sell',158,'2022-06-10 21:16:17','2022-06-10 21:16:17'),(314,5,150.0000,'cash','credit','sell',159,'2022-06-10 22:03:10','2022-06-10 22:03:10'),(315,5,0.0000,'cash','credit','sell',159,'2022-06-10 22:03:10','2022-06-10 22:03:10'),(316,5,50.0000,'cash','credit','sell',160,'2022-06-11 12:55:23','2022-06-11 12:55:23'),(317,5,0.0000,'cash','credit','sell',160,'2022-06-11 12:55:23','2022-06-11 12:55:23'),(318,5,50.0000,'cash','credit','sell',161,'2022-06-11 14:08:09','2022-06-11 14:08:09'),(319,5,0.0000,'cash','credit','sell',161,'2022-06-11 14:08:09','2022-06-11 14:08:09'),(320,5,110.0000,'cash','credit','sell',162,'2022-06-11 14:48:42','2022-06-11 14:48:42'),(321,5,0.0000,'cash','credit','sell',162,'2022-06-11 14:48:42','2022-06-11 14:48:42'),(322,5,175.0000,'cash','credit','sell',163,'2022-06-11 14:58:31','2022-06-11 14:58:31'),(323,5,0.0000,'cash','credit','sell',163,'2022-06-11 14:58:31','2022-06-11 14:58:31'),(324,5,120.0000,'cash','credit','sell',164,'2022-06-11 21:22:44','2022-06-11 21:22:44'),(325,5,0.0000,'cash','credit','sell',164,'2022-06-11 21:22:44','2022-06-11 21:22:44'),(326,5,170.0000,'cash','credit','sell',165,'2022-06-11 22:57:07','2022-06-11 22:57:07'),(327,5,0.0000,'cash','credit','sell',165,'2022-06-11 22:57:07','2022-06-11 22:57:07'),(328,5,50.0000,'cash','credit','sell',166,'2022-06-13 12:24:15','2022-06-13 12:24:15'),(329,5,0.0000,'cash','credit','sell',166,'2022-06-13 12:24:15','2022-06-13 12:24:15'),(330,5,100.0000,'cash','credit','sell',167,'2022-06-13 13:17:40','2022-06-13 13:17:40'),(331,5,0.0000,'cash','credit','sell',167,'2022-06-13 13:17:40','2022-06-13 13:17:40'),(332,5,50.0000,'cash','credit','sell',168,'2022-06-13 13:48:23','2022-06-13 13:48:23'),(333,5,0.0000,'cash','credit','sell',168,'2022-06-13 13:48:23','2022-06-13 13:48:23'),(334,5,300.0000,'cash','credit','sell',169,'2022-06-13 19:29:46','2022-06-13 19:29:46'),(335,5,0.0000,'cash','credit','sell',169,'2022-06-13 19:29:46','2022-06-13 19:29:46'),(336,5,50.0000,'cash','credit','sell',170,'2022-06-13 19:35:31','2022-06-13 19:35:31'),(337,5,0.0000,'cash','credit','sell',170,'2022-06-13 19:35:31','2022-06-13 19:35:31'),(338,5,50.0000,'cash','credit','sell',171,'2022-06-13 22:50:04','2022-06-13 22:50:04'),(339,5,0.0000,'cash','credit','sell',171,'2022-06-13 22:50:04','2022-06-13 22:50:04'),(340,5,300.0000,'cash','credit','sell',172,'2022-06-14 13:52:38','2022-06-14 13:52:38'),(341,5,0.0000,'cash','credit','sell',172,'2022-06-14 13:52:38','2022-06-14 13:52:38'),(342,5,50.0000,'cash','credit','sell',173,'2022-06-14 13:54:47','2022-06-14 13:54:47'),(343,5,0.0000,'cash','credit','sell',173,'2022-06-14 13:54:47','2022-06-14 13:54:47'),(344,5,110.0000,'cash','credit','sell',174,'2022-06-14 13:57:07','2022-06-14 13:57:07'),(345,5,0.0000,'cash','credit','sell',174,'2022-06-14 13:57:07','2022-06-14 13:57:07'),(346,5,150.0000,'cash','credit','sell',175,'2022-06-14 18:56:47','2022-06-14 18:56:47'),(347,5,0.0000,'cash','credit','sell',175,'2022-06-14 18:56:47','2022-06-14 18:56:47'),(348,5,480.0000,'cash','credit','sell',176,'2022-06-14 19:33:27','2022-06-14 19:33:27'),(349,5,0.0000,'cash','credit','sell',176,'2022-06-14 19:33:27','2022-06-14 19:33:27'),(350,5,155.0000,'cash','credit','sell',177,'2022-06-14 19:56:20','2022-06-14 19:56:20'),(351,5,0.0000,'cash','credit','sell',177,'2022-06-14 19:56:20','2022-06-14 19:56:20'),(352,5,80.0000,'cash','credit','sell',178,'2022-06-14 22:16:18','2022-06-14 22:16:18'),(353,5,0.0000,'cash','credit','sell',178,'2022-06-14 22:16:18','2022-06-14 22:16:18'),(354,5,60.0000,'cash','credit','sell',179,'2022-06-15 13:50:20','2022-06-15 13:50:20'),(355,5,0.0000,'cash','credit','sell',179,'2022-06-15 13:50:20','2022-06-15 13:50:20'),(356,5,50.0000,'cash','credit','sell',180,'2022-06-15 14:17:43','2022-06-15 14:17:43'),(357,5,0.0000,'cash','credit','sell',180,'2022-06-15 14:17:43','2022-06-15 14:17:43'),(358,5,380.0000,'cash','credit','sell',181,'2022-06-15 20:40:08','2022-06-15 20:40:08'),(359,5,0.0000,'cash','credit','sell',181,'2022-06-15 20:40:08','2022-06-15 20:40:08'),(360,5,260.0000,'cash','credit','sell',182,'2022-06-15 22:26:02','2022-06-15 22:26:02'),(361,5,0.0000,'cash','credit','sell',182,'2022-06-15 22:26:02','2022-06-15 22:26:02'),(362,5,50.0000,'cash','credit','sell',183,'2022-06-15 22:37:38','2022-06-15 22:37:38'),(363,5,0.0000,'cash','credit','sell',183,'2022-06-15 22:37:38','2022-06-15 22:37:38'),(364,5,80.0000,'cash','credit','sell',184,'2022-06-15 22:48:20','2022-06-15 22:48:20'),(365,5,0.0000,'cash','credit','sell',184,'2022-06-15 22:48:20','2022-06-15 22:48:20'),(366,5,400.0000,'cash','credit','sell',185,'2022-06-17 12:33:11','2022-06-17 12:33:11'),(367,5,0.0000,'cash','credit','sell',185,'2022-06-17 12:33:11','2022-06-17 12:33:11'),(368,5,50.0000,'cash','credit','sell',186,'2022-06-17 13:07:33','2022-06-17 13:07:33'),(369,5,0.0000,'cash','credit','sell',186,'2022-06-17 13:07:33','2022-06-17 13:07:33'),(370,5,200.0000,'cash','credit','sell',187,'2022-06-17 14:08:49','2022-06-17 14:08:49'),(371,5,0.0000,'cash','credit','sell',187,'2022-06-17 14:08:49','2022-06-17 14:08:49'),(372,5,50.0000,'cash','credit','sell',188,'2022-06-17 16:24:10','2022-06-17 16:24:10'),(373,5,0.0000,'cash','credit','sell',188,'2022-06-17 16:24:10','2022-06-17 16:24:10'),(374,5,55.0000,'cash','credit','sell',189,'2022-06-17 16:26:05','2022-06-17 16:26:05'),(375,5,0.0000,'cash','credit','sell',189,'2022-06-17 16:26:05','2022-06-17 16:26:05'),(376,5,55.0000,'cash','credit','sell',190,'2022-06-17 16:43:59','2022-06-17 16:43:59'),(377,5,0.0000,'cash','credit','sell',190,'2022-06-17 16:43:59','2022-06-17 16:43:59'),(378,5,170.0000,'cash','credit','sell',191,'2022-06-17 18:54:49','2022-06-17 18:54:49'),(379,5,0.0000,'cash','credit','sell',191,'2022-06-17 18:54:49','2022-06-17 18:54:49'),(380,5,50.0000,'cash','credit','sell',192,'2022-06-17 20:01:56','2022-06-17 20:01:56'),(381,5,0.0000,'cash','credit','sell',192,'2022-06-17 20:01:56','2022-06-17 20:01:56'),(382,5,150.0000,'cash','credit','sell',193,'2022-06-17 20:42:43','2022-06-17 20:42:43'),(383,5,0.0000,'cash','credit','sell',193,'2022-06-17 20:42:43','2022-06-17 20:42:43'),(384,5,60.0000,'cash','credit','sell',194,'2022-06-17 21:58:02','2022-06-17 21:58:02'),(385,5,0.0000,'cash','credit','sell',194,'2022-06-17 21:58:02','2022-06-17 21:58:02'),(386,5,50.0000,'cash','credit','sell',195,'2022-06-18 13:33:10','2022-06-18 13:33:10'),(387,5,0.0000,'cash','credit','sell',195,'2022-06-18 13:33:10','2022-06-18 13:33:10'),(388,5,110.0000,'cash','credit','sell',196,'2022-06-18 14:14:54','2022-06-18 14:14:54'),(389,5,0.0000,'cash','credit','sell',196,'2022-06-18 14:14:54','2022-06-18 14:14:54'),(390,5,235.0000,'cash','credit','sell',197,'2022-06-18 14:57:38','2022-06-18 14:57:38'),(391,5,0.0000,'cash','credit','sell',197,'2022-06-18 14:57:38','2022-06-18 14:57:38'),(392,5,115.0000,'cash','credit','sell',198,'2022-06-18 16:45:31','2022-06-18 16:45:31'),(393,5,0.0000,'cash','credit','sell',198,'2022-06-18 16:45:31','2022-06-18 16:45:31'),(394,5,55.0000,'cash','credit','sell',199,'2022-06-18 18:14:07','2022-06-18 18:14:07'),(395,5,0.0000,'cash','credit','sell',199,'2022-06-18 18:14:07','2022-06-18 18:14:07'),(396,5,370.0000,'cash','credit','sell',200,'2022-06-18 19:25:52','2022-06-18 19:25:52'),(397,5,0.0000,'cash','credit','sell',200,'2022-06-18 19:25:52','2022-06-18 19:25:52'),(398,5,220.0000,'cash','credit','sell',201,'2022-06-18 19:28:39','2022-06-18 19:28:39'),(399,5,0.0000,'cash','credit','sell',201,'2022-06-18 19:28:39','2022-06-18 19:28:39'),(400,5,100.0000,'cash','credit','sell',202,'2022-06-18 21:32:46','2022-06-18 21:32:46'),(401,5,0.0000,'cash','credit','sell',202,'2022-06-18 21:32:46','2022-06-18 21:32:46'),(402,5,485.0000,'cash','credit','sell',203,'2022-06-18 23:06:24','2022-06-18 23:06:24'),(403,5,0.0000,'cash','credit','sell',203,'2022-06-18 23:06:24','2022-06-18 23:06:24'),(404,5,335.0000,'bank_transfer','credit','sell',204,'2022-06-20 13:16:38','2022-06-20 13:16:38'),(405,5,0.0000,'cash','credit','sell',204,'2022-06-20 13:16:38','2022-06-20 13:16:38'),(406,5,50.0000,'cash','credit','sell',205,'2022-06-20 13:18:45','2022-06-20 13:18:45'),(407,5,0.0000,'cash','credit','sell',205,'2022-06-20 13:18:45','2022-06-20 13:18:45'),(408,5,110.0000,'cash','credit','sell',206,'2022-06-20 13:34:37','2022-06-20 13:34:37'),(409,5,0.0000,'cash','credit','sell',206,'2022-06-20 13:34:37','2022-06-20 13:34:37'),(410,5,55.0000,'cash','credit','sell',207,'2022-06-20 13:35:38','2022-06-20 13:35:38'),(411,5,0.0000,'cash','credit','sell',207,'2022-06-20 13:35:38','2022-06-20 13:35:38'),(412,5,200.0000,'cash','credit','sell',208,'2022-06-20 18:16:42','2022-06-20 18:16:42'),(413,5,0.0000,'cash','credit','sell',208,'2022-06-20 18:16:42','2022-06-20 18:16:42'),(414,5,130.0000,'cash','credit','sell',210,'2022-06-20 21:40:58','2022-06-20 21:40:58'),(415,5,0.0000,'cash','credit','sell',210,'2022-06-20 21:40:58','2022-06-20 21:40:58'),(416,5,270.0000,'cash','credit','sell',211,'2022-06-20 21:57:29','2022-06-20 21:57:29'),(417,5,0.0000,'cash','credit','sell',211,'2022-06-20 21:57:29','2022-06-20 21:57:29'),(418,5,150.0000,'cash','credit','sell',214,'2022-06-20 22:51:32','2022-06-20 22:51:32'),(419,5,0.0000,'cash','credit','sell',214,'2022-06-20 22:51:32','2022-06-20 22:51:32'),(420,5,50.0000,'cash','credit','sell',215,'2022-06-21 12:38:37','2022-06-21 12:38:37'),(421,5,0.0000,'cash','credit','sell',215,'2022-06-21 12:38:37','2022-06-21 12:38:37'),(422,5,105.0000,'cash','credit','sell',216,'2022-06-21 13:17:48','2022-06-21 13:17:48'),(423,5,0.0000,'cash','credit','sell',216,'2022-06-21 13:17:48','2022-06-21 13:17:48'),(424,5,50.0000,'cash','credit','sell',217,'2022-06-21 13:25:40','2022-06-21 13:25:40'),(425,5,0.0000,'cash','credit','sell',217,'2022-06-21 13:25:40','2022-06-21 13:25:40'),(426,5,895.0000,'cash','credit','sell',218,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(427,5,0.0000,'cash','credit','sell',218,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(428,5,130.0000,'cash','credit','sell',219,'2022-06-21 14:30:52','2022-06-21 14:30:52'),(429,5,0.0000,'cash','credit','sell',219,'2022-06-21 14:30:52','2022-06-21 14:30:52'),(430,5,350.0000,'cash','credit','sell',220,'2022-06-21 15:21:24','2022-06-21 15:21:24'),(431,5,0.0000,'cash','credit','sell',220,'2022-06-21 15:21:24','2022-06-21 15:21:24'),(432,5,130.0000,'cash','credit','sell',223,'2022-06-21 15:55:32','2022-06-21 15:55:32'),(433,5,0.0000,'cash','credit','sell',223,'2022-06-21 15:55:32','2022-06-21 15:55:32'),(434,5,1845.0000,'cash','credit','sell',224,'2022-06-21 15:59:03','2022-06-21 15:59:03'),(435,5,0.0000,'cash','credit','sell',224,'2022-06-21 15:59:03','2022-06-21 15:59:03'),(436,5,120.0000,'bank_transfer','credit','sell',225,'2022-06-21 16:07:40','2022-06-21 16:07:40'),(437,5,0.0000,'cash','credit','sell',225,'2022-06-21 16:07:40','2022-06-21 16:07:40'),(438,5,50.0000,'cash','credit','sell',226,'2022-06-21 16:18:30','2022-06-21 16:18:30'),(439,5,0.0000,'cash','credit','sell',226,'2022-06-21 16:18:30','2022-06-21 16:18:30'),(440,5,565.0000,'cash','credit','sell',227,'2022-06-21 16:40:33','2022-06-21 16:40:33'),(441,5,0.0000,'cash','credit','sell',227,'2022-06-21 16:40:33','2022-06-21 16:40:33'),(442,5,1050.0000,'cash','credit','sell',229,'2022-06-21 17:15:47','2022-06-21 17:15:47'),(443,5,0.0000,'cash','credit','sell',229,'2022-06-21 17:15:47','2022-06-21 17:15:47'),(444,5,150.0000,'cash','credit','sell',230,'2022-06-21 17:45:29','2022-06-21 17:45:29'),(445,5,0.0000,'cash','credit','sell',230,'2022-06-21 17:45:29','2022-06-21 17:45:29'),(446,5,50.0000,'cash','credit','sell',231,'2022-06-21 18:18:49','2022-06-21 18:18:49'),(447,5,0.0000,'cash','credit','sell',231,'2022-06-21 18:18:49','2022-06-21 18:18:49'),(448,5,150.0000,'cash','credit','sell',232,'2022-06-21 18:49:14','2022-06-21 18:49:14'),(449,5,0.0000,'cash','credit','sell',232,'2022-06-21 18:49:14','2022-06-21 18:49:14'),(450,5,295.0000,'cash','credit','sell',234,'2022-06-21 20:31:38','2022-06-21 20:31:38'),(451,5,0.0000,'cash','credit','sell',234,'2022-06-21 20:31:38','2022-06-21 20:31:38'),(452,5,450.0000,'bank_transfer','credit','sell',235,'2022-06-21 20:40:26','2022-06-21 20:40:26'),(453,5,0.0000,'cash','credit','sell',235,'2022-06-21 20:40:26','2022-06-21 20:40:26'),(454,5,105.0000,'cash','credit','sell',236,'2022-06-21 20:57:30','2022-06-21 20:57:30'),(455,5,0.0000,'cash','credit','sell',236,'2022-06-21 20:57:30','2022-06-21 20:57:30'),(456,5,130.0000,'cash','credit','sell',237,'2022-06-21 21:25:04','2022-06-21 21:25:04'),(457,5,0.0000,'cash','credit','sell',237,'2022-06-21 21:25:04','2022-06-21 21:25:04'),(458,5,150.0000,'cash','credit','sell',238,'2022-06-21 21:33:38','2022-06-21 21:33:38'),(459,5,0.0000,'cash','credit','sell',238,'2022-06-21 21:33:38','2022-06-21 21:33:38'),(460,5,80.0000,'cash','credit','sell',239,'2022-06-21 22:37:06','2022-06-21 22:37:06'),(461,5,0.0000,'cash','credit','sell',239,'2022-06-21 22:37:06','2022-06-21 22:37:06'),(462,5,100.0000,'cash','credit','sell',240,'2022-06-22 12:55:31','2022-06-22 12:55:31'),(463,5,0.0000,'cash','credit','sell',240,'2022-06-22 12:55:31','2022-06-22 12:55:31'),(464,5,400.0000,'cash','credit','sell',241,'2022-06-22 13:10:34','2022-06-22 13:10:34'),(465,5,0.0000,'cash','credit','sell',241,'2022-06-22 13:10:34','2022-06-22 13:10:34'),(466,5,395.0000,'bank_transfer','credit','sell',242,'2022-06-22 13:30:46','2022-06-22 13:30:46'),(467,5,0.0000,'cash','credit','sell',242,'2022-06-22 13:30:46','2022-06-22 13:30:46'),(468,5,55.0000,'cash','credit','sell',243,'2022-06-22 13:44:20','2022-06-22 13:44:20'),(469,5,0.0000,'cash','credit','sell',243,'2022-06-22 13:44:20','2022-06-22 13:44:20'),(470,5,220.0000,'cash','credit','sell',245,'2022-06-22 14:28:51','2022-06-22 14:28:51'),(471,5,0.0000,'cash','credit','sell',245,'2022-06-22 14:28:51','2022-06-22 14:28:51'),(472,5,180.0000,'cash','credit','sell',245,'2022-06-22 14:29:38','2022-06-22 14:29:38'),(473,5,420.0000,'cash','credit','sell',247,'2022-06-22 16:08:33','2022-06-22 16:08:33'),(474,5,0.0000,'cash','credit','sell',247,'2022-06-22 16:08:33','2022-06-22 16:08:33'),(475,5,1050.0000,'cash','credit','sell',249,'2022-06-22 16:46:23','2022-06-22 16:46:23'),(476,5,0.0000,'cash','credit','sell',249,'2022-06-22 16:46:23','2022-06-22 16:46:23'),(477,5,150.0000,'cash','credit','sell',250,'2022-06-22 17:52:06','2022-06-22 17:52:06'),(478,5,0.0000,'cash','credit','sell',250,'2022-06-22 17:52:06','2022-06-22 17:52:06'),(479,5,420.0000,'cash','credit','sell',251,'2022-06-22 18:13:29','2022-06-22 18:13:29'),(480,5,0.0000,'cash','credit','sell',251,'2022-06-22 18:13:29','2022-06-22 18:13:29'),(481,5,150.0000,'cash','credit','sell',253,'2022-06-22 19:23:51','2022-06-22 19:23:51'),(482,5,0.0000,'cash','credit','sell',253,'2022-06-22 19:23:51','2022-06-22 19:23:51'),(483,5,450.0000,'cash','credit','sell',254,'2022-06-22 20:40:55','2022-06-22 20:40:55'),(484,5,0.0000,'cash','credit','sell',254,'2022-06-22 20:40:55','2022-06-22 20:40:55'),(485,5,130.0000,'cash','credit','sell',256,'2022-06-23 13:51:08','2022-06-23 13:51:08'),(486,5,0.0000,'cash','credit','sell',256,'2022-06-23 13:51:08','2022-06-23 13:51:08'),(487,5,450.0000,'cash','credit','sell',258,'2022-06-23 15:22:51','2022-06-23 15:22:51'),(488,5,0.0000,'cash','credit','sell',258,'2022-06-23 15:22:51','2022-06-23 15:22:51'),(489,5,120.0000,'cash','credit','sell',259,'2022-06-23 15:24:29','2022-06-23 15:24:29'),(490,5,0.0000,'cash','credit','sell',259,'2022-06-23 15:24:29','2022-06-23 15:24:29'),(491,5,80.0000,'cash','credit','sell',260,'2022-06-23 15:24:49','2022-06-23 15:24:49'),(492,5,0.0000,'cash','credit','sell',260,'2022-06-23 15:24:49','2022-06-23 15:24:49'),(493,5,230.0000,'cash','credit','sell',261,'2022-06-23 16:25:44','2022-06-23 16:25:44'),(494,5,0.0000,'cash','credit','sell',261,'2022-06-23 16:25:44','2022-06-23 16:25:44'),(495,5,550.0000,'cash','credit','sell',264,'2022-06-23 17:52:36','2022-06-23 17:52:36'),(496,5,0.0000,'cash','credit','sell',264,'2022-06-23 17:52:36','2022-06-23 17:52:36'),(497,5,460.0000,'cash','credit','sell',266,'2022-06-23 20:46:57','2022-06-23 20:46:57'),(498,5,0.0000,'cash','credit','sell',266,'2022-06-23 20:46:57','2022-06-23 20:46:57'),(499,5,285.0000,'cash','credit','sell',265,'2022-06-23 20:48:16','2022-06-23 20:48:16'),(500,5,1260.0000,'cash','credit','sell',267,'2022-06-23 21:43:43','2022-06-23 21:43:43'),(501,5,0.0000,'cash','credit','sell',267,'2022-06-23 21:43:43','2022-06-23 21:43:43'),(502,5,150.0000,'cash','credit','sell',268,'2022-06-23 22:19:39','2022-06-23 22:19:39'),(503,5,0.0000,'cash','credit','sell',268,'2022-06-23 22:19:39','2022-06-23 22:19:39'),(504,5,50.0000,'cash','credit','sell',269,'2022-06-23 22:58:13','2022-06-23 22:58:13'),(505,5,0.0000,'cash','credit','sell',269,'2022-06-23 22:58:13','2022-06-23 22:58:13'),(506,5,160.0000,'cash','credit','sell',270,'2022-06-24 13:23:46','2022-06-24 13:23:46'),(507,5,0.0000,'cash','credit','sell',270,'2022-06-24 13:23:46','2022-06-24 13:23:46'),(508,5,50.0000,'cash','credit','sell',271,'2022-06-24 13:27:01','2022-06-24 13:27:01'),(509,5,0.0000,'cash','credit','sell',271,'2022-06-24 13:27:01','2022-06-24 13:27:01'),(510,5,50.0000,'cash','credit','sell',272,'2022-06-24 14:13:25','2022-06-24 14:13:25'),(511,5,0.0000,'cash','credit','sell',272,'2022-06-24 14:13:25','2022-06-24 14:13:25'),(512,5,150.0000,'cash','credit','sell',273,'2022-06-24 14:59:07','2022-06-24 14:59:07'),(513,5,0.0000,'cash','credit','sell',273,'2022-06-24 14:59:07','2022-06-24 14:59:07'),(514,5,55.0000,'cash','credit','sell',275,'2022-06-24 19:36:28','2022-06-24 19:36:28'),(515,5,0.0000,'cash','credit','sell',275,'2022-06-24 19:36:28','2022-06-24 19:36:28'),(516,5,150.0000,'cash','credit','sell',276,'2022-06-24 19:37:59','2022-06-24 19:37:59'),(517,5,0.0000,'cash','credit','sell',276,'2022-06-24 19:37:59','2022-06-24 19:37:59'),(518,5,240.0000,'cash','credit','sell',279,'2022-06-24 20:10:24','2022-06-24 20:10:24'),(519,5,0.0000,'cash','credit','sell',279,'2022-06-24 20:10:24','2022-06-24 20:10:24'),(520,5,60.0000,'cash','credit','sell',280,'2022-06-24 21:04:14','2022-06-24 21:04:14'),(521,5,0.0000,'cash','credit','sell',280,'2022-06-24 21:04:14','2022-06-24 21:04:14'),(522,5,120.0000,'cash','credit','sell',281,'2022-06-24 22:43:31','2022-06-24 22:43:31'),(523,5,0.0000,'cash','credit','sell',281,'2022-06-24 22:43:31','2022-06-24 22:43:31'),(526,5,155.0000,'cash','credit','sell',285,'2022-06-25 13:37:11','2022-06-25 13:37:11'),(527,5,0.0000,'cash','credit','sell',285,'2022-06-25 13:37:11','2022-06-25 13:37:11'),(528,5,700.0000,'cash','credit','sell',286,'2022-06-25 15:07:37','2022-06-25 15:07:37'),(529,5,0.0000,'cash','credit','sell',286,'2022-06-25 15:07:37','2022-06-25 15:07:37'),(530,5,185.0000,'cash','credit','sell',287,'2022-06-25 15:17:05','2022-06-25 15:17:05'),(531,5,0.0000,'cash','credit','sell',287,'2022-06-25 15:17:05','2022-06-25 15:17:05'),(532,5,50.0000,'cash','credit','sell',289,'2022-06-25 20:01:32','2022-06-25 20:01:32'),(533,5,0.0000,'cash','credit','sell',289,'2022-06-25 20:01:32','2022-06-25 20:01:32'),(534,5,130.0000,'cash','credit','sell',290,'2022-06-25 21:01:20','2022-06-25 21:01:20'),(535,5,0.0000,'cash','credit','sell',290,'2022-06-25 21:01:20','2022-06-25 21:01:20'),(536,5,55.0000,'cash','credit','sell',293,'2022-06-25 22:39:40','2022-06-25 22:39:40'),(537,5,0.0000,'cash','credit','sell',293,'2022-06-25 22:39:40','2022-06-25 22:39:40'),(538,5,165.0000,'cash','credit','sell',294,'2022-06-27 14:31:33','2022-06-27 14:31:33'),(539,5,0.0000,'cash','credit','sell',294,'2022-06-27 14:31:33','2022-06-27 14:31:33'),(540,5,160.0000,'cash','credit','sell',295,'2022-06-27 17:21:19','2022-06-27 17:21:19'),(541,5,0.0000,'cash','credit','sell',295,'2022-06-27 17:21:19','2022-06-27 17:21:19'),(542,5,150.0000,'cash','credit','sell',296,'2022-06-27 17:26:15','2022-06-27 17:26:15'),(543,5,0.0000,'cash','credit','sell',296,'2022-06-27 17:26:15','2022-06-27 17:26:15'),(544,5,860.0000,'cash','credit','sell',297,'2022-06-27 17:33:43','2022-06-27 17:33:43'),(545,5,0.0000,'cash','credit','sell',297,'2022-06-27 17:33:44','2022-06-27 17:33:44'),(546,5,50.0000,'cash','credit','sell',298,'2022-06-27 18:07:17','2022-06-27 18:07:17'),(547,5,0.0000,'cash','credit','sell',298,'2022-06-27 18:07:17','2022-06-27 18:07:17'),(548,5,50.0000,'cash','credit','sell',299,'2022-06-27 18:15:23','2022-06-27 18:15:23'),(549,5,0.0000,'cash','credit','sell',299,'2022-06-27 18:15:23','2022-06-27 18:15:23'),(550,5,50.0000,'cash','credit','sell',300,'2022-06-27 18:15:33','2022-06-27 18:15:33'),(551,5,0.0000,'cash','credit','sell',300,'2022-06-27 18:15:33','2022-06-27 18:15:33'),(552,5,240.0000,'cash','credit','sell',301,'2022-06-27 20:28:22','2022-06-27 20:28:22'),(553,5,0.0000,'cash','credit','sell',301,'2022-06-27 20:28:22','2022-06-27 20:28:22'),(554,5,150.0000,'cash','credit','sell',302,'2022-06-27 20:33:37','2022-06-27 20:33:37'),(555,5,0.0000,'cash','credit','sell',302,'2022-06-27 20:33:37','2022-06-27 20:33:37'),(556,5,220.0000,'cash','credit','sell',303,'2022-06-27 21:03:24','2022-06-27 21:03:24'),(557,5,0.0000,'cash','credit','sell',303,'2022-06-27 21:03:24','2022-06-27 21:03:24'),(558,5,100.0000,'cash','credit','sell',305,'2022-06-27 22:51:44','2022-06-27 22:51:44'),(559,5,0.0000,'cash','credit','sell',305,'2022-06-27 22:51:44','2022-06-27 22:51:44'),(560,5,620.0000,'cash','credit','sell',306,'2022-06-27 23:23:50','2022-06-27 23:23:50'),(561,5,0.0000,'cash','credit','sell',306,'2022-06-27 23:23:50','2022-06-27 23:23:50'),(562,5,215.0000,'cash','credit','sell',307,'2022-06-27 23:26:23','2022-06-27 23:26:23'),(563,5,0.0000,'cash','credit','sell',307,'2022-06-27 23:26:23','2022-06-27 23:26:23'),(564,5,50.0000,'cash','credit','sell',309,'2022-06-28 13:03:32','2022-06-28 13:03:32'),(565,5,0.0000,'cash','credit','sell',309,'2022-06-28 13:03:32','2022-06-28 13:03:32'),(566,5,50.0000,'cash','credit','sell',310,'2022-06-28 13:22:04','2022-06-28 13:22:04'),(567,5,0.0000,'cash','credit','sell',310,'2022-06-28 13:22:04','2022-06-28 13:22:04'),(568,5,25.0000,'cash','credit','sell',311,'2022-06-28 14:00:05','2022-06-28 14:00:05'),(569,5,0.0000,'cash','credit','sell',311,'2022-06-28 14:00:05','2022-06-28 14:00:05'),(570,5,475.0000,'bank_transfer','credit','sell',312,'2022-06-28 15:47:27','2022-06-28 15:47:27'),(571,5,0.0000,'cash','credit','sell',312,'2022-06-28 15:47:27','2022-06-28 15:47:27'),(572,5,60.0000,'cash','credit','sell',313,'2022-06-28 16:02:43','2022-06-28 16:02:43'),(573,5,0.0000,'cash','credit','sell',313,'2022-06-28 16:02:43','2022-06-28 16:02:43'),(574,5,80.0000,'cash','credit','sell',314,'2022-06-28 17:41:02','2022-06-28 17:41:02'),(575,5,0.0000,'cash','credit','sell',314,'2022-06-28 17:41:02','2022-06-28 17:41:02'),(576,5,400.0000,'cash','credit','sell',315,'2022-06-28 18:21:15','2022-06-28 18:21:15'),(577,5,0.0000,'cash','credit','sell',315,'2022-06-28 18:21:15','2022-06-28 18:21:15'),(578,5,240.0000,'cash','credit','sell',316,'2022-06-28 19:20:58','2022-06-28 19:20:58'),(579,5,0.0000,'cash','credit','sell',316,'2022-06-28 19:20:58','2022-06-28 19:20:58'),(580,5,450.0000,'cash','credit','sell',317,'2022-06-28 20:05:38','2022-06-28 20:05:38'),(581,5,0.0000,'cash','credit','sell',317,'2022-06-28 20:05:38','2022-06-28 20:05:38'),(582,5,135.0000,'cash','credit','sell',318,'2022-06-28 21:22:40','2022-06-28 21:22:40'),(583,5,0.0000,'cash','credit','sell',318,'2022-06-28 21:22:40','2022-06-28 21:22:40'),(584,5,270.0000,'cash','credit','sell',319,'2022-06-28 21:27:41','2022-06-28 21:27:41'),(585,5,0.0000,'cash','credit','sell',319,'2022-06-28 21:27:41','2022-06-28 21:27:41'),(586,5,80.0000,'cash','credit','sell',320,'2022-06-28 21:56:52','2022-06-28 21:56:52'),(587,5,0.0000,'cash','credit','sell',320,'2022-06-28 21:56:52','2022-06-28 21:56:52'),(588,5,300.0000,'cash','credit','sell',321,'2022-06-28 22:32:08','2022-06-28 22:32:08'),(589,5,0.0000,'cash','credit','sell',321,'2022-06-28 22:32:08','2022-06-28 22:32:08'),(590,5,105.0000,'cash','credit','sell',322,'2022-06-28 22:34:38','2022-06-28 22:34:38'),(591,5,0.0000,'cash','credit','sell',322,'2022-06-28 22:34:38','2022-06-28 22:34:38'),(592,5,740.0000,'cash','credit','sell',323,'2022-06-28 22:39:26','2022-06-28 22:39:26'),(593,5,0.0000,'cash','credit','sell',323,'2022-06-28 22:39:26','2022-06-28 22:39:26'),(594,5,50.0000,'cash','credit','sell',325,'2022-06-29 13:08:01','2022-06-29 13:08:01'),(595,5,0.0000,'cash','credit','sell',325,'2022-06-29 13:08:01','2022-06-29 13:08:01'),(596,5,130.0000,'cash','credit','sell',327,'2022-06-29 13:45:48','2022-06-29 13:45:48'),(597,5,0.0000,'cash','credit','sell',327,'2022-06-29 13:45:48','2022-06-29 13:45:48'),(598,5,55.0000,'cash','credit','sell',328,'2022-06-29 14:44:09','2022-06-29 14:44:09'),(599,5,0.0000,'cash','credit','sell',328,'2022-06-29 14:44:09','2022-06-29 14:44:09'),(600,5,50.0000,'cash','credit','sell',329,'2022-06-29 15:01:37','2022-06-29 15:01:37'),(601,5,0.0000,'cash','credit','sell',329,'2022-06-29 15:01:37','2022-06-29 15:01:37'),(602,5,160.0000,'cash','credit','sell',330,'2022-06-29 15:27:29','2022-06-29 15:27:29'),(603,5,0.0000,'cash','credit','sell',330,'2022-06-29 15:27:29','2022-06-29 15:27:29'),(604,5,50.0000,'cash','credit','sell',331,'2022-06-29 18:58:46','2022-06-29 18:58:46'),(605,5,0.0000,'cash','credit','sell',331,'2022-06-29 18:58:46','2022-06-29 18:58:46'),(606,5,265.0000,'cash','credit','sell',332,'2022-06-29 19:27:31','2022-06-29 19:27:31'),(607,5,0.0000,'cash','credit','sell',332,'2022-06-29 19:27:31','2022-06-29 19:27:31'),(608,5,50.0000,'cash','credit','sell',333,'2022-06-29 20:56:09','2022-06-29 20:56:09'),(609,5,0.0000,'cash','credit','sell',333,'2022-06-29 20:56:09','2022-06-29 20:56:09'),(610,5,295.0000,'cash','credit','sell',334,'2022-06-29 22:07:11','2022-06-29 22:07:11'),(611,5,0.0000,'cash','credit','sell',334,'2022-06-29 22:07:11','2022-06-29 22:07:11'),(612,5,135.0000,'cash','credit','sell',337,'2022-06-30 13:03:46','2022-06-30 13:03:46'),(613,5,0.0000,'cash','credit','sell',337,'2022-06-30 13:03:46','2022-06-30 13:03:46'),(614,5,55.0000,'cash','credit','sell',338,'2022-06-30 13:46:40','2022-06-30 13:46:40'),(615,5,0.0000,'cash','credit','sell',338,'2022-06-30 13:46:40','2022-06-30 13:46:40'),(616,5,200.0000,'cash','credit','sell',339,'2022-06-30 14:40:57','2022-06-30 14:40:57'),(617,5,0.0000,'cash','credit','sell',339,'2022-06-30 14:40:57','2022-06-30 14:40:57'),(618,5,50.0000,'cash','credit','sell',340,'2022-06-30 14:41:28','2022-06-30 14:41:28'),(619,5,0.0000,'cash','credit','sell',340,'2022-06-30 14:41:28','2022-06-30 14:41:28'),(620,5,560.0000,'cash','credit','sell',341,'2022-06-30 16:54:24','2022-06-30 16:54:24'),(621,5,0.0000,'cash','credit','sell',341,'2022-06-30 16:54:24','2022-06-30 16:54:24'),(622,5,50.0000,'cash','credit','sell',342,'2022-06-30 17:02:03','2022-06-30 17:02:03'),(623,5,0.0000,'cash','credit','sell',342,'2022-06-30 17:02:03','2022-06-30 17:02:03'),(624,5,60.0000,'cash','credit','sell',343,'2022-06-30 17:05:02','2022-06-30 17:05:02'),(625,5,0.0000,'cash','credit','sell',343,'2022-06-30 17:05:02','2022-06-30 17:05:02'),(626,5,200.0000,'cash','credit','sell',345,'2022-06-30 17:45:28','2022-06-30 17:45:28'),(627,5,0.0000,'cash','credit','sell',345,'2022-06-30 17:45:28','2022-06-30 17:45:28'),(628,5,170.0000,'cash','credit','sell',346,'2022-06-30 18:09:16','2022-06-30 18:09:16'),(629,5,0.0000,'cash','credit','sell',346,'2022-06-30 18:09:16','2022-06-30 18:09:16'),(630,5,315.0000,'cash','credit','sell',347,'2022-06-30 19:23:01','2022-06-30 19:23:01'),(631,5,0.0000,'cash','credit','sell',347,'2022-06-30 19:23:01','2022-06-30 19:23:01'),(632,5,100.0000,'cash','credit','sell',348,'2022-06-30 19:40:06','2022-06-30 19:40:06'),(633,5,0.0000,'cash','credit','sell',348,'2022-06-30 19:40:06','2022-06-30 19:40:06'),(634,5,120.0000,'cash','credit','sell',349,'2022-06-30 20:10:25','2022-06-30 20:10:25'),(635,5,0.0000,'cash','credit','sell',349,'2022-06-30 20:10:25','2022-06-30 20:10:25'),(636,5,350.0000,'cash','credit','sell',350,'2022-06-30 20:17:11','2022-06-30 20:17:11'),(637,5,0.0000,'cash','credit','sell',350,'2022-06-30 20:17:11','2022-06-30 20:17:11'),(638,5,60.0000,'cash','credit','sell',351,'2022-06-30 20:17:34','2022-06-30 20:17:34'),(639,5,0.0000,'cash','credit','sell',351,'2022-06-30 20:17:34','2022-06-30 20:17:34'),(640,5,60.0000,'cash','credit','sell',352,'2022-06-30 22:07:31','2022-06-30 22:07:31'),(641,5,0.0000,'cash','credit','sell',352,'2022-06-30 22:07:31','2022-06-30 22:07:31'),(642,5,100.0000,'cash','credit','sell',353,'2022-06-30 22:14:10','2022-06-30 22:14:10'),(643,5,0.0000,'cash','credit','sell',353,'2022-06-30 22:14:10','2022-06-30 22:14:10'),(644,5,55.0000,'cash','credit','sell',354,'2022-07-01 12:48:40','2022-07-01 12:48:40'),(645,5,0.0000,'cash','credit','sell',354,'2022-07-01 12:48:40','2022-07-01 12:48:40'),(646,5,55.0000,'cash','credit','sell',355,'2022-07-01 13:06:22','2022-07-01 13:06:22'),(647,5,0.0000,'cash','credit','sell',355,'2022-07-01 13:06:22','2022-07-01 13:06:22'),(648,5,110.0000,'cash','credit','sell',356,'2022-07-01 13:30:10','2022-07-01 13:30:10'),(649,5,0.0000,'cash','credit','sell',356,'2022-07-01 13:30:10','2022-07-01 13:30:10'),(650,5,1150.0000,'cash','credit','sell',357,'2022-07-01 19:08:35','2022-07-01 19:08:35'),(651,5,0.0000,'cash','credit','sell',357,'2022-07-01 19:08:35','2022-07-01 19:08:35'),(652,5,170.0000,'cash','credit','sell',358,'2022-07-01 19:45:10','2022-07-01 19:45:10'),(653,5,0.0000,'cash','credit','sell',358,'2022-07-01 19:45:10','2022-07-01 19:45:10'),(654,5,120.0000,'cash','credit','sell',359,'2022-07-01 22:50:21','2022-07-01 22:50:21'),(655,5,0.0000,'cash','credit','sell',359,'2022-07-01 22:50:21','2022-07-01 22:50:21'),(656,5,150.0000,'cash','credit','sell',360,'2022-07-02 13:55:39','2022-07-02 13:55:39'),(657,5,0.0000,'cash','credit','sell',360,'2022-07-02 13:55:39','2022-07-02 13:55:39'),(658,5,400.0000,'cash','credit','sell',361,'2022-07-02 14:11:28','2022-07-02 14:11:28'),(659,5,0.0000,'cash','credit','sell',361,'2022-07-02 14:11:28','2022-07-02 14:11:28'),(660,5,365.0000,'cash','credit','sell',362,'2022-07-02 15:02:19','2022-07-02 15:02:19'),(661,5,0.0000,'cash','credit','sell',362,'2022-07-02 15:02:19','2022-07-02 15:02:19'),(662,5,60.0000,'cash','credit','sell',363,'2022-07-02 15:02:47','2022-07-02 15:02:47'),(663,5,0.0000,'cash','credit','sell',363,'2022-07-02 15:02:47','2022-07-02 15:02:47'),(664,5,55.0000,'cash','credit','sell',364,'2022-07-02 15:41:15','2022-07-02 15:41:15'),(665,5,0.0000,'cash','credit','sell',364,'2022-07-02 15:41:15','2022-07-02 15:41:15'),(666,5,350.0000,'cash','credit','sell',365,'2022-07-02 16:45:41','2022-07-02 16:45:41'),(667,5,0.0000,'cash','credit','sell',365,'2022-07-02 16:45:41','2022-07-02 16:45:41'),(668,5,140.0000,'cash','credit','sell',366,'2022-07-02 17:14:59','2022-07-02 17:14:59'),(669,5,0.0000,'cash','credit','sell',366,'2022-07-02 17:14:59','2022-07-02 17:14:59'),(670,5,360.0000,'cash','credit','sell',367,'2022-07-02 19:50:58','2022-07-02 19:50:58'),(671,5,0.0000,'cash','credit','sell',367,'2022-07-02 19:50:58','2022-07-02 19:50:58'),(672,5,50.0000,'cash','credit','sell',368,'2022-07-02 21:19:13','2022-07-02 21:19:13'),(673,5,0.0000,'cash','credit','sell',368,'2022-07-02 21:19:13','2022-07-02 21:19:13'),(674,5,130.0000,'cash','credit','sell',370,'2022-07-02 22:05:03','2022-07-02 22:05:03'),(675,5,0.0000,'cash','credit','sell',370,'2022-07-02 22:05:03','2022-07-02 22:05:03'),(676,5,100.0000,'cash','credit','sell',371,'2022-07-04 13:38:35','2022-07-04 13:38:35'),(677,5,0.0000,'cash','credit','sell',371,'2022-07-04 13:38:35','2022-07-04 13:38:35'),(678,5,130.0000,'cash','credit','sell',372,'2022-07-04 14:11:43','2022-07-04 14:11:43'),(679,5,0.0000,'cash','credit','sell',372,'2022-07-04 14:11:43','2022-07-04 14:11:43'),(680,5,50.0000,'cash','credit','sell',374,'2022-07-04 15:08:06','2022-07-04 15:08:06'),(681,5,0.0000,'cash','credit','sell',374,'2022-07-04 15:08:06','2022-07-04 15:08:06'),(682,5,290.0000,'cash','credit','sell',375,'2022-07-04 16:20:05','2022-07-04 16:20:05'),(683,5,0.0000,'cash','credit','sell',375,'2022-07-04 16:20:05','2022-07-04 16:20:05'),(684,5,25.0000,'cash','credit','sell',376,'2022-07-04 16:31:27','2022-07-04 16:31:27'),(685,5,0.0000,'cash','credit','sell',376,'2022-07-04 16:31:27','2022-07-04 16:31:27'),(686,5,50.0000,'cash','credit','sell',377,'2022-07-04 17:31:49','2022-07-04 17:31:49'),(687,5,0.0000,'cash','credit','sell',377,'2022-07-04 17:31:49','2022-07-04 17:31:49'),(688,5,50.0000,'cash','credit','sell',378,'2022-07-04 20:40:26','2022-07-04 20:40:26'),(689,5,0.0000,'cash','credit','sell',378,'2022-07-04 20:40:26','2022-07-04 20:40:26'),(690,5,270.0000,'cash','credit','sell',379,'2022-07-04 21:59:08','2022-07-04 21:59:08'),(691,5,0.0000,'cash','credit','sell',379,'2022-07-04 21:59:08','2022-07-04 21:59:08'),(692,5,80.0000,'cash','credit','sell',380,'2022-07-05 13:24:38','2022-07-05 13:24:38'),(693,5,0.0000,'cash','credit','sell',380,'2022-07-05 13:24:38','2022-07-05 13:24:38'),(694,5,105.0000,'cash','credit','sell',381,'2022-07-05 13:34:51','2022-07-05 13:34:51'),(695,5,0.0000,'cash','credit','sell',381,'2022-07-05 13:34:51','2022-07-05 13:34:51'),(696,5,50.0000,'cash','credit','sell',382,'2022-07-05 14:44:38','2022-07-05 14:44:38'),(697,5,0.0000,'cash','credit','sell',382,'2022-07-05 14:44:38','2022-07-05 14:44:38'),(698,5,120.0000,'cash','credit','sell',383,'2022-07-05 18:37:10','2022-07-05 18:37:10'),(699,5,0.0000,'cash','credit','sell',383,'2022-07-05 18:37:10','2022-07-05 18:37:10'),(700,5,210.0000,'cash','credit','sell',384,'2022-07-05 19:27:56','2022-07-05 19:27:56'),(701,5,0.0000,'cash','credit','sell',384,'2022-07-05 19:27:56','2022-07-05 19:27:56'),(702,5,60.0000,'cash','credit','sell',385,'2022-07-05 19:35:32','2022-07-05 19:35:32'),(703,5,0.0000,'cash','credit','sell',385,'2022-07-05 19:35:32','2022-07-05 19:35:32'),(704,5,350.0000,'cash','credit','sell',386,'2022-07-05 19:42:28','2022-07-05 19:42:28'),(705,5,0.0000,'cash','credit','sell',386,'2022-07-05 19:42:28','2022-07-05 19:42:28'),(706,5,130.0000,'cash','credit','sell',387,'2022-07-05 22:33:06','2022-07-05 22:33:06'),(707,5,0.0000,'cash','credit','sell',387,'2022-07-05 22:33:06','2022-07-05 22:33:06'),(708,5,50.0000,'cash','credit','sell',388,'2022-07-05 22:58:23','2022-07-05 22:58:23'),(709,5,0.0000,'cash','credit','sell',388,'2022-07-05 22:58:23','2022-07-05 22:58:23'),(710,5,135.0000,'cash','credit','sell',389,'2022-07-06 13:28:59','2022-07-06 13:28:59'),(711,5,0.0000,'cash','credit','sell',389,'2022-07-06 13:28:59','2022-07-06 13:28:59'),(712,5,230.0000,'cash','credit','sell',390,'2022-07-06 18:01:20','2022-07-06 18:01:20'),(713,5,0.0000,'cash','credit','sell',390,'2022-07-06 18:01:20','2022-07-06 18:01:20'),(714,5,100.0000,'cash','credit','sell',391,'2022-07-06 20:35:35','2022-07-06 20:35:35'),(715,5,0.0000,'cash','credit','sell',391,'2022-07-06 20:35:35','2022-07-06 20:35:35'),(716,5,50.0000,'cash','credit','sell',392,'2022-07-06 21:33:24','2022-07-06 21:33:24'),(717,5,0.0000,'cash','credit','sell',392,'2022-07-06 21:33:24','2022-07-06 21:33:24'),(718,5,55.0000,'cash','credit','sell',393,'2022-07-07 12:34:52','2022-07-07 12:34:52'),(719,5,0.0000,'cash','credit','sell',393,'2022-07-07 12:34:52','2022-07-07 12:34:52'),(720,5,80.0000,'cash','credit','sell',394,'2022-07-07 12:37:13','2022-07-07 12:37:13'),(721,5,0.0000,'cash','credit','sell',394,'2022-07-07 12:37:13','2022-07-07 12:37:13'),(722,5,80.0000,'cash','credit','sell',395,'2022-07-07 14:03:52','2022-07-07 14:03:52'),(723,5,0.0000,'cash','credit','sell',395,'2022-07-07 14:03:52','2022-07-07 14:03:52'),(724,5,55.0000,'cash','credit','sell',396,'2022-07-07 14:59:30','2022-07-07 14:59:30'),(725,5,0.0000,'cash','credit','sell',396,'2022-07-07 14:59:30','2022-07-07 14:59:30'),(726,5,50.0000,'cash','credit','sell',397,'2022-07-07 18:02:15','2022-07-07 18:02:15'),(727,5,0.0000,'cash','credit','sell',397,'2022-07-07 18:02:15','2022-07-07 18:02:15'),(728,5,55.0000,'cash','credit','sell',398,'2022-07-07 18:05:05','2022-07-07 18:05:05'),(729,5,0.0000,'cash','credit','sell',398,'2022-07-07 18:05:05','2022-07-07 18:05:05'),(730,5,220.0000,'cash','credit','sell',399,'2022-07-07 19:58:44','2022-07-07 19:58:44'),(731,5,0.0000,'cash','credit','sell',399,'2022-07-07 19:58:44','2022-07-07 19:58:44'),(732,5,290.0000,'cash','credit','sell',400,'2022-07-07 20:26:38','2022-07-07 20:26:38'),(733,5,0.0000,'cash','credit','sell',400,'2022-07-07 20:26:38','2022-07-07 20:26:38'),(734,5,160.0000,'cash','credit','sell',401,'2022-07-07 20:56:01','2022-07-07 20:56:01'),(735,5,0.0000,'cash','credit','sell',401,'2022-07-07 20:56:01','2022-07-07 20:56:01'),(736,5,220.0000,'cash','credit','sell',402,'2022-07-07 22:56:35','2022-07-07 22:56:35'),(737,5,0.0000,'cash','credit','sell',402,'2022-07-07 22:56:35','2022-07-07 22:56:35'),(738,5,105.0000,'cash','credit','sell',403,'2022-07-08 13:42:14','2022-07-08 13:42:14'),(739,5,0.0000,'cash','credit','sell',403,'2022-07-08 13:42:14','2022-07-08 13:42:14'),(740,5,240.0000,'cash','credit','sell',404,'2022-07-08 15:02:57','2022-07-08 15:02:57'),(741,5,0.0000,'cash','credit','sell',404,'2022-07-08 15:02:57','2022-07-08 15:02:57'),(742,5,320.0000,'cash','credit','sell',406,'2022-07-08 15:12:55','2022-07-08 15:12:55'),(743,5,0.0000,'cash','credit','sell',406,'2022-07-08 15:12:55','2022-07-08 15:12:55'),(744,5,50.0000,'cash','credit','sell',407,'2022-07-08 16:47:58','2022-07-08 16:47:58'),(745,5,0.0000,'cash','credit','sell',407,'2022-07-08 16:47:58','2022-07-08 16:47:58'),(746,5,50.0000,'cash','credit','sell',408,'2022-07-08 18:18:01','2022-07-08 18:18:01'),(747,5,0.0000,'cash','credit','sell',408,'2022-07-08 18:18:01','2022-07-08 18:18:01'),(748,5,135.0000,'cash','credit','sell',409,'2022-07-08 19:02:12','2022-07-08 19:02:12'),(749,5,0.0000,'cash','credit','sell',409,'2022-07-08 19:02:12','2022-07-08 19:02:12'),(750,5,105.0000,'cash','credit','sell',411,'2022-07-08 20:45:31','2022-07-08 20:45:31'),(751,5,0.0000,'cash','credit','sell',411,'2022-07-08 20:45:31','2022-07-08 20:45:31'),(752,5,80.0000,'cash','credit','sell',412,'2022-07-08 20:47:02','2022-07-08 20:47:02'),(753,5,0.0000,'cash','credit','sell',412,'2022-07-08 20:47:02','2022-07-08 20:47:02'),(754,5,80.0000,'cash','credit','sell',413,'2022-07-08 20:48:30','2022-07-08 20:48:30'),(755,5,0.0000,'cash','credit','sell',413,'2022-07-08 20:48:30','2022-07-08 20:48:30'),(756,5,50.0000,'cash','credit','sell',414,'2022-07-08 22:05:41','2022-07-08 22:05:41'),(757,5,0.0000,'cash','credit','sell',414,'2022-07-08 22:05:41','2022-07-08 22:05:41'),(758,5,135.0000,'cash','credit','sell',415,'2022-07-09 12:47:40','2022-07-09 12:47:40'),(759,5,0.0000,'cash','credit','sell',415,'2022-07-09 12:47:40','2022-07-09 12:47:40'),(760,5,940.0000,'cash','credit','sell',416,'2022-07-09 16:32:29','2022-07-09 16:32:29'),(761,5,0.0000,'cash','credit','sell',416,'2022-07-09 16:32:29','2022-07-09 16:32:29'),(762,5,410.0000,'cash','credit','sell',417,'2022-07-09 16:47:23','2022-07-09 16:47:23'),(763,5,0.0000,'cash','credit','sell',417,'2022-07-09 16:47:23','2022-07-09 16:47:23'),(764,5,160.0000,'cash','credit','sell',418,'2022-07-11 13:11:59','2022-07-11 13:11:59'),(765,5,0.0000,'cash','credit','sell',418,'2022-07-11 13:11:59','2022-07-11 13:11:59'),(766,5,120.0000,'cash','credit','sell',419,'2022-07-11 14:06:43','2022-07-11 14:06:43'),(767,5,0.0000,'cash','credit','sell',419,'2022-07-11 14:06:43','2022-07-11 14:06:43'),(768,5,110.0000,'cash','credit','sell',420,'2022-07-11 15:14:21','2022-07-11 15:14:21'),(769,5,0.0000,'cash','credit','sell',420,'2022-07-11 15:14:21','2022-07-11 15:14:21'),(770,5,165.0000,'cash','credit','sell',421,'2022-07-11 16:20:40','2022-07-11 16:20:40'),(771,5,0.0000,'cash','credit','sell',421,'2022-07-11 16:20:40','2022-07-11 16:20:40'),(772,5,50.0000,'cash','credit','sell',423,'2022-07-11 19:04:23','2022-07-11 19:04:23'),(773,5,0.0000,'cash','credit','sell',423,'2022-07-11 19:04:23','2022-07-11 19:04:23'),(774,5,100.0000,'cash','credit','sell',424,'2022-07-11 19:55:28','2022-07-11 19:55:28'),(775,5,0.0000,'cash','credit','sell',424,'2022-07-11 19:55:28','2022-07-11 19:55:28'),(776,5,180.0000,'cash','credit','sell',425,'2022-07-11 21:06:35','2022-07-11 21:06:35'),(777,5,0.0000,'cash','credit','sell',425,'2022-07-11 21:06:35','2022-07-11 21:06:35'),(778,5,180.0000,'cash','credit','sell',426,'2022-07-11 21:09:11','2022-07-11 21:09:11'),(779,5,0.0000,'cash','credit','sell',426,'2022-07-11 21:09:11','2022-07-11 21:09:11'),(780,5,230.0000,'cash','credit','sell',427,'2022-07-11 21:10:15','2022-07-11 21:10:15'),(781,5,0.0000,'cash','credit','sell',427,'2022-07-11 21:10:15','2022-07-11 21:10:15'),(782,5,100.0000,'cash','credit','sell',428,'2022-07-11 21:10:40','2022-07-11 21:10:40'),(783,5,0.0000,'cash','credit','sell',428,'2022-07-11 21:10:40','2022-07-11 21:10:40'),(784,5,120.0000,'cash','credit','sell',429,'2022-07-11 21:11:25','2022-07-11 21:11:25'),(785,5,0.0000,'cash','credit','sell',429,'2022-07-11 21:11:25','2022-07-11 21:11:25'),(786,5,50.0000,'cash','credit','sell',430,'2022-07-12 13:11:24','2022-07-12 13:11:24'),(787,5,0.0000,'cash','credit','sell',430,'2022-07-12 13:11:24','2022-07-12 13:11:24'),(788,5,105.0000,'cash','credit','sell',431,'2022-07-12 13:22:41','2022-07-12 13:22:41'),(789,5,0.0000,'cash','credit','sell',431,'2022-07-12 13:22:41','2022-07-12 13:22:41'),(790,5,265.0000,'cash','credit','sell',432,'2022-07-12 13:36:33','2022-07-12 13:36:33'),(791,5,0.0000,'cash','credit','sell',432,'2022-07-12 13:36:33','2022-07-12 13:36:33'),(792,5,210.0000,'cash','credit','sell',433,'2022-07-12 14:34:31','2022-07-12 14:34:31'),(793,5,0.0000,'cash','credit','sell',433,'2022-07-12 14:34:31','2022-07-12 14:34:31'),(794,5,130.0000,'cash','credit','sell',435,'2022-07-12 15:25:57','2022-07-12 15:25:57'),(795,5,0.0000,'cash','credit','sell',435,'2022-07-12 15:25:57','2022-07-12 15:25:57'),(796,5,1050.0000,'cash','credit','sell',436,'2022-07-12 16:40:56','2022-07-12 16:40:56'),(797,5,0.0000,'cash','credit','sell',436,'2022-07-12 16:40:56','2022-07-12 16:40:56'),(798,5,270.0000,'cash','credit','sell',437,'2022-07-12 18:03:49','2022-07-12 18:03:49'),(799,5,0.0000,'cash','credit','sell',437,'2022-07-12 18:03:49','2022-07-12 18:03:49'),(800,5,25.0000,'cash','credit','sell',438,'2022-07-12 18:18:03','2022-07-12 18:18:03'),(801,5,0.0000,'cash','credit','sell',438,'2022-07-12 18:18:03','2022-07-12 18:18:03'),(802,5,350.0000,'cash','credit','sell',439,'2022-07-12 19:31:23','2022-07-12 19:31:23'),(803,5,0.0000,'cash','credit','sell',439,'2022-07-12 19:31:23','2022-07-12 19:31:23'),(804,5,150.0000,'cash','credit','sell',440,'2022-07-12 19:46:56','2022-07-12 19:46:56'),(805,5,0.0000,'cash','credit','sell',440,'2022-07-12 19:46:56','2022-07-12 19:46:56'),(806,5,160.0000,'cash','credit','sell',441,'2022-07-12 21:42:00','2022-07-12 21:42:00'),(807,5,0.0000,'cash','credit','sell',441,'2022-07-12 21:42:00','2022-07-12 21:42:00'),(808,5,50.0000,'cash','credit','sell',442,'2022-07-12 21:54:45','2022-07-12 21:54:45'),(809,5,0.0000,'cash','credit','sell',442,'2022-07-12 21:54:45','2022-07-12 21:54:45'),(810,5,50.0000,'cash','credit','sell',443,'2022-07-13 12:22:17','2022-07-13 12:22:17'),(811,5,0.0000,'cash','credit','sell',443,'2022-07-13 12:22:17','2022-07-13 12:22:17'),(812,5,130.0000,'cash','credit','sell',446,'2022-07-13 14:50:20','2022-07-13 14:50:20'),(813,5,0.0000,'cash','credit','sell',446,'2022-07-13 14:50:20','2022-07-13 14:50:20'),(814,5,390.0000,'cash','credit','sell',448,'2022-07-13 15:43:42','2022-07-13 15:43:42'),(815,5,0.0000,'cash','credit','sell',448,'2022-07-13 15:43:42','2022-07-13 15:43:42'),(816,5,400.0000,'cash','credit','sell',450,'2022-07-13 17:17:52','2022-07-13 17:17:52'),(817,5,0.0000,'cash','credit','sell',450,'2022-07-13 17:17:52','2022-07-13 17:17:52'),(818,5,50.0000,'cash','credit','sell',451,'2022-07-13 18:15:29','2022-07-13 18:15:29'),(819,5,0.0000,'cash','credit','sell',451,'2022-07-13 18:15:29','2022-07-13 18:15:29'),(820,5,80.0000,'cash','credit','sell',452,'2022-07-13 18:17:04','2022-07-13 18:17:04'),(821,5,0.0000,'cash','credit','sell',452,'2022-07-13 18:17:04','2022-07-13 18:17:04'),(822,5,230.0000,'cash','credit','sell',453,'2022-07-13 20:21:55','2022-07-13 20:21:55'),(823,5,0.0000,'cash','credit','sell',453,'2022-07-13 20:21:55','2022-07-13 20:21:55'),(824,5,80.0000,'cash','credit','sell',454,'2022-07-13 20:31:22','2022-07-13 20:31:22'),(825,5,0.0000,'cash','credit','sell',454,'2022-07-13 20:31:22','2022-07-13 20:31:22'),(826,5,50.0000,'cash','credit','sell',455,'2022-07-13 20:32:09','2022-07-13 20:32:09'),(827,5,0.0000,'cash','credit','sell',455,'2022-07-13 20:32:09','2022-07-13 20:32:09'),(828,5,1500.0000,'cash','credit','sell',456,'2022-07-13 23:13:14','2022-07-13 23:13:14'),(829,5,0.0000,'cash','credit','sell',456,'2022-07-13 23:13:14','2022-07-13 23:13:14'),(830,5,230.0000,'cash','credit','sell',457,'2022-07-14 12:25:39','2022-07-14 12:25:39'),(831,5,0.0000,'cash','credit','sell',457,'2022-07-14 12:25:39','2022-07-14 12:25:39'),(832,5,390.0000,'cash','credit','sell',463,'2022-07-14 15:19:30','2022-07-14 15:19:30'),(833,5,0.0000,'cash','credit','sell',463,'2022-07-14 15:19:30','2022-07-14 15:19:30'),(834,5,100.0000,'cash','credit','sell',464,'2022-07-14 15:32:06','2022-07-14 15:32:06'),(835,5,0.0000,'cash','credit','sell',464,'2022-07-14 15:32:06','2022-07-14 15:32:06'),(836,5,900.0000,'cash','credit','sell',465,'2022-07-14 16:23:32','2022-07-14 16:23:32'),(837,5,0.0000,'cash','credit','sell',465,'2022-07-14 16:23:32','2022-07-14 16:23:32'),(838,5,255.0000,'cash','credit','sell',466,'2022-07-14 17:30:17','2022-07-14 17:30:17'),(839,5,0.0000,'cash','credit','sell',466,'2022-07-14 17:30:17','2022-07-14 17:30:17'),(840,5,50.0000,'cash','credit','sell',467,'2022-07-14 18:36:40','2022-07-14 18:36:40'),(841,5,0.0000,'cash','credit','sell',467,'2022-07-14 18:36:40','2022-07-14 18:36:40'),(842,5,310.0000,'cash','credit','sell',469,'2022-07-14 19:51:55','2022-07-14 19:51:55'),(843,5,0.0000,'cash','credit','sell',469,'2022-07-14 19:51:55','2022-07-14 19:51:55'),(844,5,450.0000,'cash','credit','sell',470,'2022-07-14 20:06:11','2022-07-14 20:06:11'),(845,5,0.0000,'cash','credit','sell',470,'2022-07-14 20:06:11','2022-07-14 20:06:11'),(846,5,150.0000,'cash','credit','sell',471,'2022-07-14 20:23:04','2022-07-14 20:23:04'),(847,5,0.0000,'cash','credit','sell',471,'2022-07-14 20:23:04','2022-07-14 20:23:04'),(848,5,240.0000,'cash','credit','sell',472,'2022-07-14 20:37:31','2022-07-14 20:37:31'),(849,5,0.0000,'cash','credit','sell',472,'2022-07-14 20:37:31','2022-07-14 20:37:31'),(850,5,50.0000,'cash','credit','sell',473,'2022-07-14 22:31:14','2022-07-14 22:31:14'),(851,5,0.0000,'cash','credit','sell',473,'2022-07-14 22:31:14','2022-07-14 22:31:14'),(852,5,300.0000,'cash','credit','sell',474,'2022-07-14 22:37:07','2022-07-14 22:37:07'),(853,5,0.0000,'cash','credit','sell',474,'2022-07-14 22:37:07','2022-07-14 22:37:07'),(854,5,50.0000,'cash','credit','sell',476,'2022-07-15 13:09:57','2022-07-15 13:09:57'),(855,5,0.0000,'cash','credit','sell',476,'2022-07-15 13:09:57','2022-07-15 13:09:57'),(856,5,180.0000,'cash','credit','sell',477,'2022-07-15 14:45:00','2022-07-15 14:45:00'),(857,5,0.0000,'cash','credit','sell',477,'2022-07-15 14:45:00','2022-07-15 14:45:00'),(858,5,310.0000,'cash','credit','sell',478,'2022-07-15 15:55:35','2022-07-15 15:55:35'),(859,5,0.0000,'cash','credit','sell',478,'2022-07-15 15:55:35','2022-07-15 15:55:35'),(860,5,50.0000,'cash','credit','sell',479,'2022-07-15 17:44:32','2022-07-15 17:44:32'),(861,5,0.0000,'cash','credit','sell',479,'2022-07-15 17:44:32','2022-07-15 17:44:32'),(862,5,155.0000,'cash','credit','sell',480,'2022-07-15 19:59:23','2022-07-15 19:59:23'),(863,5,0.0000,'cash','credit','sell',480,'2022-07-15 19:59:23','2022-07-15 19:59:23'),(864,5,350.0000,'cash','credit','sell',481,'2022-07-15 20:18:29','2022-07-15 20:18:29'),(865,5,0.0000,'cash','credit','sell',481,'2022-07-15 20:18:29','2022-07-15 20:18:29'),(866,5,1200.0000,'cash','credit','sell',482,'2022-07-15 22:22:47','2022-07-15 22:22:47'),(867,5,0.0000,'cash','credit','sell',482,'2022-07-15 22:22:47','2022-07-15 22:22:47'),(870,5,155.0000,'cash','credit','sell',485,'2022-07-16 14:01:56','2022-07-16 14:01:56'),(871,5,0.0000,'cash','credit','sell',485,'2022-07-16 14:01:56','2022-07-16 14:01:56'),(872,5,80.0000,'cash','credit','sell',486,'2022-07-16 14:06:18','2022-07-16 14:06:18'),(873,5,0.0000,'cash','credit','sell',486,'2022-07-16 14:06:18','2022-07-16 14:06:18'),(874,5,750.0000,'cash','credit','sell',487,'2022-07-16 14:33:12','2022-07-16 14:33:12'),(875,5,0.0000,'cash','credit','sell',487,'2022-07-16 14:33:12','2022-07-16 14:33:12'),(876,5,130.0000,'cash','credit','sell',488,'2022-07-16 14:42:14','2022-07-16 14:42:14'),(877,5,0.0000,'cash','credit','sell',488,'2022-07-16 14:42:14','2022-07-16 14:42:14'),(878,5,260.0000,'cash','credit','sell',489,'2022-07-16 16:03:33','2022-07-16 16:03:33'),(879,5,0.0000,'cash','credit','sell',489,'2022-07-16 16:03:33','2022-07-16 16:03:33'),(880,5,355.0000,'cash','credit','sell',490,'2022-07-16 17:10:25','2022-07-16 17:10:25'),(881,5,0.0000,'cash','credit','sell',490,'2022-07-16 17:10:25','2022-07-16 17:10:25'),(882,5,50.0000,'cash','credit','sell',491,'2022-07-16 17:13:18','2022-07-16 17:13:18'),(883,5,0.0000,'cash','credit','sell',491,'2022-07-16 17:13:18','2022-07-16 17:13:18'),(884,5,80.0000,'cash','credit','sell',492,'2022-07-16 18:54:52','2022-07-16 18:54:52'),(885,5,0.0000,'cash','credit','sell',492,'2022-07-16 18:54:52','2022-07-16 18:54:52'),(886,5,185.0000,'cash','credit','sell',493,'2022-07-16 22:16:16','2022-07-16 22:16:16'),(887,5,0.0000,'cash','credit','sell',493,'2022-07-16 22:16:16','2022-07-16 22:16:16'),(888,5,105.0000,'cash','credit','sell',495,'2022-07-18 14:02:51','2022-07-18 14:02:51'),(889,5,0.0000,'cash','credit','sell',495,'2022-07-18 14:02:51','2022-07-18 14:02:51'),(890,5,290.0000,'cash','credit','sell',496,'2022-07-18 14:47:53','2022-07-18 14:47:53'),(891,5,0.0000,'cash','credit','sell',496,'2022-07-18 14:47:53','2022-07-18 14:47:53'),(892,5,50.0000,'cash','credit','sell',497,'2022-07-18 15:25:30','2022-07-18 15:25:30'),(893,5,0.0000,'cash','credit','sell',497,'2022-07-18 15:25:30','2022-07-18 15:25:30'),(894,5,150.0000,'cash','credit','sell',498,'2022-07-18 15:38:23','2022-07-18 15:38:23'),(895,5,0.0000,'cash','credit','sell',498,'2022-07-18 15:38:23','2022-07-18 15:38:23'),(896,5,100.0000,'cash','credit','sell',499,'2022-07-18 17:04:18','2022-07-18 17:04:18'),(897,5,0.0000,'cash','credit','sell',499,'2022-07-18 17:04:18','2022-07-18 17:04:18'),(898,5,400.0000,'cash','credit','sell',500,'2022-07-18 17:21:09','2022-07-18 17:21:09'),(899,5,0.0000,'cash','credit','sell',500,'2022-07-18 17:21:09','2022-07-18 17:21:09'),(900,5,50.0000,'cash','credit','sell',501,'2022-07-18 19:17:40','2022-07-18 19:17:40'),(901,5,0.0000,'cash','credit','sell',501,'2022-07-18 19:17:40','2022-07-18 19:17:40'),(902,5,135.0000,'cash','credit','sell',502,'2022-07-18 19:58:42','2022-07-18 19:58:42'),(903,5,0.0000,'cash','credit','sell',502,'2022-07-18 19:58:42','2022-07-18 19:58:42'),(904,5,410.0000,'cash','credit','sell',503,'2022-07-18 20:44:49','2022-07-18 20:44:49'),(905,5,0.0000,'cash','credit','sell',503,'2022-07-18 20:44:49','2022-07-18 20:44:49'),(906,5,50.0000,'cash','credit','sell',504,'2022-07-18 20:54:00','2022-07-18 20:54:00'),(907,5,0.0000,'cash','credit','sell',504,'2022-07-18 20:54:00','2022-07-18 20:54:00'),(908,5,120.0000,'cash','credit','sell',505,'2022-07-18 20:57:05','2022-07-18 20:57:05'),(909,5,0.0000,'cash','credit','sell',505,'2022-07-18 20:57:05','2022-07-18 20:57:05'),(910,5,100.0000,'cash','credit','sell',506,'2022-07-18 21:23:11','2022-07-18 21:23:11'),(911,5,0.0000,'cash','credit','sell',506,'2022-07-18 21:23:11','2022-07-18 21:23:11'),(912,5,80.0000,'cash','credit','sell',507,'2022-07-18 22:48:52','2022-07-18 22:48:52'),(913,5,0.0000,'cash','credit','sell',507,'2022-07-18 22:48:52','2022-07-18 22:48:52'),(914,5,100.0000,'cash','credit','sell',509,'2022-07-19 12:55:47','2022-07-19 12:55:47'),(915,5,0.0000,'cash','credit','sell',509,'2022-07-19 12:55:47','2022-07-19 12:55:47'),(916,5,185.0000,'cash','credit','sell',510,'2022-07-19 13:03:08','2022-07-19 13:03:08'),(917,5,0.0000,'cash','credit','sell',510,'2022-07-19 13:03:08','2022-07-19 13:03:08'),(918,5,50.0000,'cash','credit','sell',511,'2022-07-19 13:28:53','2022-07-19 13:28:53'),(919,5,0.0000,'cash','credit','sell',511,'2022-07-19 13:28:53','2022-07-19 13:28:53'),(920,5,50.0000,'cash','credit','sell',514,'2022-07-19 14:44:03','2022-07-19 14:44:03'),(921,5,0.0000,'cash','credit','sell',514,'2022-07-19 14:44:03','2022-07-19 14:44:03'),(922,5,180.0000,'cash','credit','sell',515,'2022-07-19 16:24:20','2022-07-19 16:24:20'),(923,5,0.0000,'cash','credit','sell',515,'2022-07-19 16:24:20','2022-07-19 16:24:20'),(924,5,310.0000,'cash','credit','sell',516,'2022-07-19 16:30:27','2022-07-19 16:30:27'),(925,5,0.0000,'cash','credit','sell',516,'2022-07-19 16:30:27','2022-07-19 16:30:27'),(926,5,80.0000,'cash','credit','sell',517,'2022-07-19 16:34:56','2022-07-19 16:34:56'),(927,5,0.0000,'cash','credit','sell',517,'2022-07-19 16:34:56','2022-07-19 16:34:56'),(928,5,50.0000,'cash','credit','sell',518,'2022-07-19 16:49:04','2022-07-19 16:49:04'),(929,5,0.0000,'cash','credit','sell',518,'2022-07-19 16:49:04','2022-07-19 16:49:04'),(930,5,55.0000,'cash','credit','sell',519,'2022-07-19 17:47:36','2022-07-19 17:47:36'),(931,5,0.0000,'cash','credit','sell',519,'2022-07-19 17:47:36','2022-07-19 17:47:36'),(932,5,255.0000,'cash','credit','sell',520,'2022-07-19 17:59:52','2022-07-19 17:59:52'),(933,5,0.0000,'cash','credit','sell',520,'2022-07-19 17:59:52','2022-07-19 17:59:52'),(934,5,615.0000,'cash','credit','sell',521,'2022-07-19 18:58:46','2022-07-19 18:58:46'),(935,5,0.0000,'cash','credit','sell',521,'2022-07-19 18:58:46','2022-07-19 18:58:46'),(936,5,230.0000,'cash','credit','sell',523,'2022-07-19 21:19:00','2022-07-19 21:19:00'),(937,5,0.0000,'cash','credit','sell',523,'2022-07-19 21:19:00','2022-07-19 21:19:00'),(938,5,250.0000,'cash','credit','sell',524,'2022-07-19 22:16:16','2022-07-19 22:16:16'),(939,5,0.0000,'cash','credit','sell',524,'2022-07-19 22:16:16','2022-07-19 22:16:16'),(940,5,350.0000,'cash','credit','sell',525,'2022-07-19 22:59:05','2022-07-19 22:59:05'),(941,5,0.0000,'cash','credit','sell',525,'2022-07-19 22:59:05','2022-07-19 22:59:05'),(942,5,100.0000,'cash','credit','sell',526,'2022-07-20 12:15:45','2022-07-20 12:15:45'),(943,5,0.0000,'cash','credit','sell',526,'2022-07-20 12:15:45','2022-07-20 12:15:45'),(944,5,150.0000,'cash','credit','sell',527,'2022-07-20 15:02:50','2022-07-20 15:02:50'),(945,5,0.0000,'cash','credit','sell',527,'2022-07-20 15:02:50','2022-07-20 15:02:50'),(946,5,50.0000,'cash','credit','sell',528,'2022-07-20 15:09:40','2022-07-20 15:09:40'),(947,5,0.0000,'cash','credit','sell',528,'2022-07-20 15:09:40','2022-07-20 15:09:40'),(948,5,480.0000,'cash','credit','sell',529,'2022-07-20 15:50:27','2022-07-20 15:50:27'),(949,5,0.0000,'cash','credit','sell',529,'2022-07-20 15:50:27','2022-07-20 15:50:27'),(950,5,50.0000,'cash','credit','sell',530,'2022-07-20 15:52:04','2022-07-20 15:52:04'),(951,5,0.0000,'cash','credit','sell',530,'2022-07-20 15:52:04','2022-07-20 15:52:04'),(952,5,25.0000,'cash','credit','sell',531,'2022-07-20 17:53:33','2022-07-20 17:53:33'),(953,5,0.0000,'cash','credit','sell',531,'2022-07-20 17:53:33','2022-07-20 17:53:33'),(954,5,55.0000,'cash','credit','sell',532,'2022-07-20 18:00:50','2022-07-20 18:00:50'),(955,5,0.0000,'cash','credit','sell',532,'2022-07-20 18:00:50','2022-07-20 18:00:50'),(956,5,250.0000,'cash','credit','sell',533,'2022-07-20 18:12:59','2022-07-20 18:12:59'),(957,5,0.0000,'cash','credit','sell',533,'2022-07-20 18:12:59','2022-07-20 18:12:59'),(958,5,260.0000,'cash','credit','sell',534,'2022-07-20 20:16:47','2022-07-20 20:16:47'),(959,5,0.0000,'cash','credit','sell',534,'2022-07-20 20:16:47','2022-07-20 20:16:47'),(960,5,50.0000,'cash','credit','sell',535,'2022-07-20 22:58:51','2022-07-20 22:58:51'),(961,5,0.0000,'cash','credit','sell',535,'2022-07-20 22:58:51','2022-07-20 22:58:51'),(962,5,100.0000,'cash','credit','sell',536,'2022-07-21 12:18:27','2022-07-21 12:18:27'),(963,5,0.0000,'cash','credit','sell',536,'2022-07-21 12:18:27','2022-07-21 12:18:27'),(964,5,565.0000,'cash','credit','sell',537,'2022-07-21 14:37:44','2022-07-21 14:37:44'),(965,5,0.0000,'cash','credit','sell',537,'2022-07-21 14:37:44','2022-07-21 14:37:44'),(966,5,0.0000,'cash','credit','sell',537,'2022-07-21 14:37:44','2022-07-21 14:37:44'),(967,5,80.0000,'cash','credit','sell',538,'2022-07-21 15:17:48','2022-07-21 15:17:48'),(968,5,0.0000,'cash','credit','sell',538,'2022-07-21 15:17:48','2022-07-21 15:17:48'),(969,5,75.0000,'cash','credit','sell',539,'2022-07-21 15:31:20','2022-07-21 15:31:20'),(970,5,0.0000,'cash','credit','sell',539,'2022-07-21 15:31:20','2022-07-21 15:31:20'),(971,5,365.0000,'cash','credit','sell',540,'2022-07-21 16:57:08','2022-07-21 16:57:08'),(972,5,0.0000,'cash','credit','sell',540,'2022-07-21 16:57:08','2022-07-21 16:57:08'),(973,5,50.0000,'cash','credit','sell',541,'2022-07-21 16:57:50','2022-07-21 16:57:50'),(974,5,0.0000,'cash','credit','sell',541,'2022-07-21 16:57:50','2022-07-21 16:57:50'),(975,5,120.0000,'cash','credit','sell',542,'2022-07-21 18:27:15','2022-07-21 18:27:15'),(976,5,0.0000,'cash','credit','sell',542,'2022-07-21 18:27:15','2022-07-21 18:27:15'),(977,5,230.0000,'cash','credit','sell',544,'2022-07-22 15:19:12','2022-07-22 15:19:12'),(978,5,0.0000,'cash','credit','sell',544,'2022-07-22 15:19:12','2022-07-22 15:19:12'),(979,5,25.0000,'cash','credit','sell',545,'2022-07-22 19:12:13','2022-07-22 19:12:13'),(980,5,0.0000,'cash','credit','sell',545,'2022-07-22 19:12:13','2022-07-22 19:12:13'),(981,5,80.0000,'cash','credit','sell',546,'2022-07-22 22:47:05','2022-07-22 22:47:05'),(982,5,0.0000,'cash','credit','sell',546,'2022-07-22 22:47:05','2022-07-22 22:47:05'),(983,5,200.0000,'cash','credit','sell',547,'2022-07-22 23:04:39','2022-07-22 23:04:39'),(984,5,0.0000,'cash','credit','sell',547,'2022-07-22 23:04:39','2022-07-22 23:04:39'),(985,5,50.0000,'cash','credit','sell',548,'2022-07-23 13:14:45','2022-07-23 13:14:45'),(986,5,0.0000,'cash','credit','sell',548,'2022-07-23 13:14:45','2022-07-23 13:14:45'),(987,5,55.0000,'cash','credit','sell',549,'2022-07-23 13:33:37','2022-07-23 13:33:37'),(988,5,0.0000,'cash','credit','sell',549,'2022-07-23 13:33:37','2022-07-23 13:33:37'),(989,5,50.0000,'cash','credit','sell',550,'2022-07-23 13:45:03','2022-07-23 13:45:03'),(990,5,0.0000,'cash','credit','sell',550,'2022-07-23 13:45:03','2022-07-23 13:45:03'),(991,5,130.0000,'cash','credit','sell',551,'2022-07-23 13:48:40','2022-07-23 13:48:40'),(992,5,0.0000,'cash','credit','sell',551,'2022-07-23 13:48:40','2022-07-23 13:48:40'),(993,5,80.0000,'cash','credit','sell',552,'2022-07-23 18:42:51','2022-07-23 18:42:51'),(994,5,0.0000,'cash','credit','sell',552,'2022-07-23 18:42:51','2022-07-23 18:42:51'),(995,5,50.0000,'cash','credit','sell',553,'2022-07-23 18:46:11','2022-07-23 18:46:11'),(996,5,0.0000,'cash','credit','sell',553,'2022-07-23 18:46:11','2022-07-23 18:46:11'),(997,5,210.0000,'cash','credit','sell',554,'2022-07-23 20:44:16','2022-07-23 20:44:16'),(998,5,0.0000,'cash','credit','sell',554,'2022-07-23 20:44:16','2022-07-23 20:44:16'),(999,5,80.0000,'cash','credit','sell',555,'2022-07-23 22:52:36','2022-07-23 22:52:36'),(1000,5,0.0000,'cash','credit','sell',555,'2022-07-23 22:52:36','2022-07-23 22:52:36'),(1001,5,55.0000,'cash','credit','sell',556,'2022-07-23 22:53:23','2022-07-23 22:53:23'),(1002,5,0.0000,'cash','credit','sell',556,'2022-07-23 22:53:23','2022-07-23 22:53:23'),(1003,5,230.0000,'cash','credit','sell',557,'2022-07-25 14:28:34','2022-07-25 14:28:34'),(1004,5,0.0000,'cash','credit','sell',557,'2022-07-25 14:28:34','2022-07-25 14:28:34'),(1005,5,185.0000,'cash','credit','sell',559,'2022-07-25 15:10:12','2022-07-25 15:10:12'),(1006,5,0.0000,'cash','credit','sell',559,'2022-07-25 15:10:12','2022-07-25 15:10:12'),(1007,5,400.0000,'cash','credit','sell',560,'2022-07-25 16:53:53','2022-07-25 16:53:53'),(1008,5,0.0000,'cash','credit','sell',560,'2022-07-25 16:53:53','2022-07-25 16:53:53'),(1009,5,25.0000,'cash','credit','sell',561,'2022-07-25 17:07:19','2022-07-25 17:07:19'),(1010,5,0.0000,'cash','credit','sell',561,'2022-07-25 17:07:19','2022-07-25 17:07:19'),(1011,5,450.0000,'cash','credit','sell',562,'2022-07-25 17:16:56','2022-07-25 17:16:56'),(1012,5,0.0000,'cash','credit','sell',562,'2022-07-25 17:16:56','2022-07-25 17:16:56'),(1013,5,150.0000,'cash','credit','sell',563,'2022-07-25 21:17:48','2022-07-25 21:17:48'),(1014,5,0.0000,'cash','credit','sell',563,'2022-07-25 21:17:48','2022-07-25 21:17:48'),(1015,5,50.0000,'cash','credit','sell',564,'2022-07-26 13:09:33','2022-07-26 13:09:33'),(1016,5,0.0000,'cash','credit','sell',564,'2022-07-26 13:09:33','2022-07-26 13:09:33'),(1017,5,215.0000,'cash','credit','sell',565,'2022-07-26 14:56:56','2022-07-26 14:56:56'),(1018,5,0.0000,'cash','credit','sell',565,'2022-07-26 14:56:56','2022-07-26 14:56:56'),(1019,5,240.0000,'cash','credit','sell',566,'2022-07-26 14:59:11','2022-07-26 14:59:11'),(1020,5,0.0000,'cash','credit','sell',566,'2022-07-26 14:59:11','2022-07-26 14:59:11'),(1021,5,100.0000,'cash','credit','sell',567,'2022-07-26 16:57:29','2022-07-26 16:57:29'),(1022,5,0.0000,'cash','credit','sell',567,'2022-07-26 16:57:29','2022-07-26 16:57:29'),(1023,5,240.0000,'cash','credit','sell',568,'2022-07-26 19:12:28','2022-07-26 19:12:28'),(1024,5,0.0000,'cash','credit','sell',568,'2022-07-26 19:12:28','2022-07-26 19:12:28'),(1025,5,135.0000,'cash','credit','sell',569,'2022-07-26 19:15:55','2022-07-26 19:15:55'),(1026,5,0.0000,'cash','credit','sell',569,'2022-07-26 19:15:55','2022-07-26 19:15:55'),(1027,5,160.0000,'cash','credit','sell',570,'2022-07-26 21:11:38','2022-07-26 21:11:38'),(1028,5,0.0000,'cash','credit','sell',570,'2022-07-26 21:11:38','2022-07-26 21:11:38'),(1029,5,245.0000,'cash','credit','sell',571,'2022-07-26 21:45:00','2022-07-26 21:45:00'),(1030,5,0.0000,'cash','credit','sell',571,'2022-07-26 21:45:00','2022-07-26 21:45:00'),(1031,5,150.0000,'cash','credit','sell',572,'2022-07-26 22:03:23','2022-07-26 22:03:23'),(1032,5,0.0000,'cash','credit','sell',572,'2022-07-26 22:03:23','2022-07-26 22:03:23'),(1033,5,210.0000,'cash','credit','sell',573,'2022-07-27 14:25:47','2022-07-27 14:25:47'),(1034,5,0.0000,'cash','credit','sell',573,'2022-07-27 14:25:47','2022-07-27 14:25:47'),(1035,5,50.0000,'cash','credit','sell',574,'2022-07-27 14:48:53','2022-07-27 14:48:53'),(1036,5,0.0000,'cash','credit','sell',574,'2022-07-27 14:48:53','2022-07-27 14:48:53'),(1037,5,450.0000,'bank_transfer','credit','sell',575,'2022-07-27 15:03:57','2022-07-27 15:03:57'),(1038,5,0.0000,'cash','credit','sell',575,'2022-07-27 15:03:57','2022-07-27 15:03:57'),(1039,5,50.0000,'cash','credit','sell',576,'2022-07-27 16:37:29','2022-07-27 16:37:29'),(1040,5,0.0000,'cash','credit','sell',576,'2022-07-27 16:37:29','2022-07-27 16:37:29'),(1041,5,400.0000,'cash','credit','sell',577,'2022-07-27 17:57:00','2022-07-27 17:57:00'),(1042,5,0.0000,'cash','credit','sell',577,'2022-07-27 17:57:00','2022-07-27 17:57:00'),(1043,5,110.0000,'cash','credit','sell',578,'2022-07-27 20:29:56','2022-07-27 20:29:56'),(1044,5,0.0000,'cash','credit','sell',578,'2022-07-27 20:29:56','2022-07-27 20:29:56'),(1045,5,75.0000,'cash','credit','sell',579,'2022-07-27 20:38:17','2022-07-27 20:38:17'),(1046,5,0.0000,'cash','credit','sell',579,'2022-07-27 20:38:17','2022-07-27 20:38:17'),(1047,5,340.0000,'cash','credit','sell',580,'2022-07-27 21:03:52','2022-07-27 21:03:52'),(1048,5,0.0000,'cash','credit','sell',580,'2022-07-27 21:03:52','2022-07-27 21:03:52'),(1049,5,50.0000,'cash','credit','sell',581,'2022-07-27 21:25:52','2022-07-27 21:25:52'),(1050,5,0.0000,'cash','credit','sell',581,'2022-07-27 21:25:52','2022-07-27 21:25:52'),(1051,5,230.0000,'cash','credit','sell',582,'2022-07-27 22:02:58','2022-07-27 22:02:58'),(1052,5,0.0000,'cash','credit','sell',582,'2022-07-27 22:02:58','2022-07-27 22:02:58'),(1053,5,25.0000,'cash','credit','sell',583,'2022-07-27 22:03:23','2022-07-27 22:03:23'),(1054,5,0.0000,'cash','credit','sell',583,'2022-07-27 22:03:23','2022-07-27 22:03:23'),(1055,5,230.0000,'cash','credit','sell',584,'2022-07-28 13:30:29','2022-07-28 13:30:29'),(1056,5,0.0000,'cash','credit','sell',584,'2022-07-28 13:30:29','2022-07-28 13:30:29'),(1057,5,80.0000,'cash','credit','sell',587,'2022-07-28 16:52:17','2022-07-28 16:52:17'),(1058,5,0.0000,'cash','credit','sell',587,'2022-07-28 16:52:17','2022-07-28 16:52:17'),(1059,5,55.0000,'cash','credit','sell',589,'2022-07-28 21:10:45','2022-07-28 21:10:45'),(1060,5,0.0000,'cash','credit','sell',589,'2022-07-28 21:10:45','2022-07-28 21:10:45'),(1061,5,420.0000,'cash','credit','sell',590,'2022-07-28 22:41:40','2022-07-28 22:41:40'),(1062,5,0.0000,'cash','credit','sell',590,'2022-07-28 22:41:40','2022-07-28 22:41:40'),(1063,5,160.0000,'cash','credit','sell',591,'2022-07-29 12:55:18','2022-07-29 12:55:18'),(1064,5,0.0000,'cash','credit','sell',591,'2022-07-29 12:55:18','2022-07-29 12:55:18'),(1065,5,50.0000,'cash','credit','sell',592,'2022-07-29 13:24:31','2022-07-29 13:24:31'),(1066,5,0.0000,'cash','credit','sell',592,'2022-07-29 13:24:31','2022-07-29 13:24:31'),(1067,5,430.0000,'cash','credit','sell',594,'2022-07-29 17:04:12','2022-07-29 17:04:12'),(1068,5,0.0000,'cash','credit','sell',594,'2022-07-29 17:04:12','2022-07-29 17:04:12'),(1069,5,150.0000,'cash','credit','sell',595,'2022-07-29 19:31:08','2022-07-29 19:31:08'),(1070,5,0.0000,'cash','credit','sell',595,'2022-07-29 19:31:08','2022-07-29 19:31:08'),(1071,5,105.0000,'cash','credit','sell',596,'2022-07-29 19:34:38','2022-07-29 19:34:38'),(1072,5,0.0000,'cash','credit','sell',596,'2022-07-29 19:34:38','2022-07-29 19:34:38'),(1073,5,325.0000,'cash','credit','sell',597,'2022-07-29 20:54:37','2022-07-29 20:54:37'),(1074,5,0.0000,'cash','credit','sell',597,'2022-07-29 20:54:37','2022-07-29 20:54:37'),(1075,5,365.0000,'cash','credit','sell',598,'2022-07-29 21:29:27','2022-07-29 21:29:27'),(1076,5,0.0000,'cash','credit','sell',598,'2022-07-29 21:29:27','2022-07-29 21:29:27'),(1079,5,25.0000,'cash','credit','sell',602,'2022-07-30 14:28:58','2022-07-30 14:28:58'),(1080,5,0.0000,'cash','credit','sell',602,'2022-07-30 14:28:58','2022-07-30 14:28:58'),(1081,5,290.0000,'cash','credit','sell',603,'2022-07-30 17:14:01','2022-07-30 17:14:01'),(1082,5,0.0000,'cash','credit','sell',603,'2022-07-30 17:14:01','2022-07-30 17:14:01'),(1083,5,620.0000,'cash','credit','sell',604,'2022-07-30 18:09:33','2022-07-30 18:09:33'),(1084,5,0.0000,'cash','credit','sell',604,'2022-07-30 18:09:33','2022-07-30 18:09:33'),(1085,5,80.0000,'cash','credit','sell',605,'2022-07-30 18:39:21','2022-07-30 18:39:21'),(1086,5,0.0000,'cash','credit','sell',605,'2022-07-30 18:39:21','2022-07-30 18:39:21'),(1087,5,100.0000,'cash','credit','sell',606,'2022-07-30 22:10:25','2022-07-30 22:10:25'),(1088,5,0.0000,'cash','credit','sell',606,'2022-07-30 22:10:25','2022-07-30 22:10:25'),(1089,5,150.0000,'cash','credit','sell',607,'2022-07-30 22:53:55','2022-07-30 22:53:55'),(1090,5,0.0000,'cash','credit','sell',607,'2022-07-30 22:53:55','2022-07-30 22:53:55'),(1091,5,300.0000,'cash','credit','sell',608,'2022-08-01 14:39:03','2022-08-01 14:39:03'),(1092,5,0.0000,'cash','credit','sell',608,'2022-08-01 14:39:03','2022-08-01 14:39:03'),(1093,5,50.0000,'cash','credit','sell',609,'2022-08-01 14:39:26','2022-08-01 14:39:26'),(1094,5,0.0000,'cash','credit','sell',609,'2022-08-01 14:39:26','2022-08-01 14:39:26'),(1095,5,100.0000,'cash','credit','sell',610,'2022-08-01 17:41:47','2022-08-01 17:41:47'),(1096,5,0.0000,'cash','credit','sell',610,'2022-08-01 17:41:47','2022-08-01 17:41:47'),(1097,5,25.0000,'cash','credit','sell',611,'2022-08-01 17:43:07','2022-08-01 17:43:07'),(1098,5,0.0000,'cash','credit','sell',611,'2022-08-01 17:43:07','2022-08-01 17:43:07'),(1099,5,50.0000,'cash','credit','sell',612,'2022-08-01 18:21:14','2022-08-01 18:21:14'),(1100,5,0.0000,'cash','credit','sell',612,'2022-08-01 18:21:14','2022-08-01 18:21:14'),(1101,5,380.0000,'cash','credit','sell',614,'2022-08-01 20:07:44','2022-08-01 20:07:44'),(1102,5,0.0000,'cash','credit','sell',614,'2022-08-01 20:07:44','2022-08-01 20:07:44'),(1103,5,100.0000,'cash','credit','sell',615,'2022-08-01 20:25:58','2022-08-01 20:25:58'),(1104,5,0.0000,'cash','credit','sell',615,'2022-08-01 20:25:58','2022-08-01 20:25:58'),(1105,5,150.0000,'cash','credit','sell',617,'2022-08-01 20:36:35','2022-08-01 20:36:35'),(1106,5,0.0000,'cash','credit','sell',617,'2022-08-01 20:36:35','2022-08-01 20:36:35'),(1107,5,300.0000,'cash','credit','sell',618,'2022-08-01 21:37:28','2022-08-01 21:37:28'),(1108,5,0.0000,'cash','credit','sell',618,'2022-08-01 21:37:28','2022-08-01 21:37:28'),(1109,5,130.0000,'cash','credit','sell',619,'2022-08-01 21:37:59','2022-08-01 21:37:59'),(1110,5,0.0000,'cash','credit','sell',619,'2022-08-01 21:37:59','2022-08-01 21:37:59'),(1111,5,50.0000,'cash','credit','sell',620,'2022-08-01 21:59:11','2022-08-01 21:59:11'),(1112,5,0.0000,'cash','credit','sell',620,'2022-08-01 21:59:11','2022-08-01 21:59:11'),(1113,5,150.0000,'cash','credit','sell',621,'2022-08-01 22:01:31','2022-08-01 22:01:31'),(1114,5,0.0000,'cash','credit','sell',621,'2022-08-01 22:01:31','2022-08-01 22:01:31'),(1115,5,185.0000,'cash','credit','sell',622,'2022-08-01 22:38:35','2022-08-01 22:38:35'),(1116,5,0.0000,'cash','credit','sell',622,'2022-08-01 22:38:35','2022-08-01 22:38:35'),(1117,5,160.0000,'cash','credit','sell',623,'2022-08-02 13:45:53','2022-08-02 13:45:53'),(1118,5,0.0000,'cash','credit','sell',623,'2022-08-02 13:45:53','2022-08-02 13:45:53'),(1119,5,310.0000,'cash','credit','sell',624,'2022-08-02 14:01:13','2022-08-02 14:01:13'),(1120,5,0.0000,'cash','credit','sell',624,'2022-08-02 14:01:13','2022-08-02 14:01:13'),(1121,5,160.0000,'cash','credit','sell',627,'2022-08-02 15:15:40','2022-08-02 15:15:40'),(1122,5,0.0000,'cash','credit','sell',627,'2022-08-02 15:15:40','2022-08-02 15:15:40'),(1123,5,300.0000,'cash','credit','sell',628,'2022-08-02 16:03:57','2022-08-02 16:03:57'),(1124,5,0.0000,'cash','credit','sell',628,'2022-08-02 16:03:57','2022-08-02 16:03:57'),(1125,5,420.0000,'cash','credit','sell',629,'2022-08-02 18:32:00','2022-08-02 18:32:00'),(1126,5,0.0000,'cash','credit','sell',629,'2022-08-02 18:32:00','2022-08-02 18:32:00'),(1127,5,390.0000,'cash','credit','sell',630,'2022-08-02 20:45:37','2022-08-02 20:45:37'),(1128,5,0.0000,'cash','credit','sell',630,'2022-08-02 20:45:37','2022-08-02 20:45:37'),(1129,5,190.0000,'cash','credit','sell',631,'2022-08-02 21:20:48','2022-08-02 21:20:48'),(1130,5,0.0000,'cash','credit','sell',631,'2022-08-02 21:20:48','2022-08-02 21:20:48'),(1131,5,220.0000,'cash','credit','sell',632,'2022-08-02 22:05:07','2022-08-02 22:05:07'),(1132,5,0.0000,'cash','credit','sell',632,'2022-08-02 22:05:07','2022-08-02 22:05:07'),(1133,5,130.0000,'bank_transfer','credit','sell',633,'2022-08-03 13:23:39','2022-08-03 13:23:39'),(1134,5,0.0000,'cash','credit','sell',633,'2022-08-03 13:23:39','2022-08-03 13:23:39'),(1135,5,110.0000,'cash','credit','sell',634,'2022-08-03 13:47:46','2022-08-03 13:47:46'),(1136,5,0.0000,'cash','credit','sell',634,'2022-08-03 13:47:46','2022-08-03 13:47:46'),(1137,5,105.0000,'cash','credit','sell',635,'2022-08-03 13:58:44','2022-08-03 13:58:44'),(1138,5,0.0000,'cash','credit','sell',635,'2022-08-03 13:58:44','2022-08-03 13:58:44'),(1139,5,130.0000,'cash','credit','sell',636,'2022-08-03 15:04:21','2022-08-03 15:04:21'),(1140,5,0.0000,'cash','credit','sell',636,'2022-08-03 15:04:21','2022-08-03 15:04:21'),(1141,5,150.0000,'cash','credit','sell',637,'2022-08-03 16:57:07','2022-08-03 16:57:07'),(1142,5,0.0000,'cash','credit','sell',637,'2022-08-03 16:57:07','2022-08-03 16:57:07'),(1143,5,50.0000,'cash','credit','sell',638,'2022-08-03 17:03:32','2022-08-03 17:03:32'),(1144,5,0.0000,'cash','credit','sell',638,'2022-08-03 17:03:32','2022-08-03 17:03:32'),(1145,5,270.0000,'cash','credit','sell',639,'2022-08-03 17:29:22','2022-08-03 17:29:22'),(1146,5,0.0000,'cash','credit','sell',639,'2022-08-03 17:29:22','2022-08-03 17:29:22'),(1147,5,120.0000,'cash','credit','sell',640,'2022-08-03 18:02:34','2022-08-03 18:02:34'),(1148,5,0.0000,'cash','credit','sell',640,'2022-08-03 18:02:34','2022-08-03 18:02:34'),(1149,5,110.0000,'cash','credit','sell',641,'2022-08-04 13:09:45','2022-08-04 13:09:45'),(1150,5,0.0000,'cash','credit','sell',641,'2022-08-04 13:09:45','2022-08-04 13:09:45'),(1151,5,50.0000,'cash','credit','sell',642,'2022-08-04 14:16:00','2022-08-04 14:16:00'),(1152,5,0.0000,'cash','credit','sell',642,'2022-08-04 14:16:00','2022-08-04 14:16:00'),(1153,5,230.0000,'cash','credit','sell',643,'2022-08-04 15:08:27','2022-08-04 15:08:27'),(1154,5,0.0000,'cash','credit','sell',643,'2022-08-04 15:08:27','2022-08-04 15:08:27'),(1155,5,200.0000,'cash','credit','sell',644,'2022-08-04 19:01:41','2022-08-04 19:01:41'),(1156,5,0.0000,'cash','credit','sell',644,'2022-08-04 19:01:41','2022-08-04 19:01:41'),(1157,5,75.0000,'cash','credit','sell',645,'2022-08-04 19:26:34','2022-08-04 19:26:34'),(1158,5,0.0000,'cash','credit','sell',645,'2022-08-04 19:26:34','2022-08-04 19:26:34'),(1159,5,150.0000,'cash','credit','sell',646,'2022-08-04 19:36:58','2022-08-04 19:36:58'),(1160,5,0.0000,'cash','credit','sell',646,'2022-08-04 19:36:58','2022-08-04 19:36:58'),(1161,5,500.0000,'cash','credit','sell',648,'2022-08-04 20:01:03','2022-08-04 20:01:03'),(1162,5,0.0000,'cash','credit','sell',648,'2022-08-04 20:01:03','2022-08-04 20:01:03'),(1163,5,100.0000,'cash','credit','sell',650,'2022-08-05 13:03:56','2022-08-05 13:03:56'),(1164,5,0.0000,'cash','credit','sell',650,'2022-08-05 13:03:56','2022-08-05 13:03:56'),(1165,5,55.0000,'cash','credit','sell',651,'2022-08-05 13:25:47','2022-08-05 13:25:47'),(1166,5,0.0000,'cash','credit','sell',651,'2022-08-05 13:25:47','2022-08-05 13:25:47'),(1167,5,210.0000,'cash','credit','sell',654,'2022-08-05 14:40:06','2022-08-05 14:40:06'),(1168,5,0.0000,'cash','credit','sell',654,'2022-08-05 14:40:06','2022-08-05 14:40:06'),(1169,5,310.0000,'cash','credit','sell',655,'2022-08-05 15:22:12','2022-08-05 15:22:12'),(1170,5,0.0000,'cash','credit','sell',655,'2022-08-05 15:22:12','2022-08-05 15:22:12'),(1171,5,100.0000,'cash','credit','sell',656,'2022-08-05 15:56:28','2022-08-05 15:56:28'),(1172,5,0.0000,'cash','credit','sell',656,'2022-08-05 15:56:28','2022-08-05 15:56:28'),(1173,5,150.0000,'cash','credit','sell',658,'2022-08-05 17:09:47','2022-08-05 17:09:47'),(1174,5,0.0000,'cash','credit','sell',658,'2022-08-05 17:09:47','2022-08-05 17:09:47'),(1175,5,105.0000,'cash','credit','sell',661,'2022-08-06 14:07:36','2022-08-06 14:07:36'),(1176,5,0.0000,'cash','credit','sell',661,'2022-08-06 14:07:36','2022-08-06 14:07:36'),(1177,5,345.0000,'cash','credit','sell',662,'2022-08-06 14:50:22','2022-08-06 14:50:22'),(1178,5,0.0000,'cash','credit','sell',662,'2022-08-06 14:50:22','2022-08-06 14:50:22'),(1179,5,100.0000,'cash','credit','sell',665,'2022-08-08 13:50:35','2022-08-08 13:50:35'),(1180,5,0.0000,'cash','credit','sell',665,'2022-08-08 13:50:35','2022-08-08 13:50:35'),(1181,5,210.0000,'cash','credit','sell',666,'2022-08-08 15:37:01','2022-08-08 15:37:01'),(1182,5,0.0000,'cash','credit','sell',666,'2022-08-08 15:37:01','2022-08-08 15:37:01'),(1183,5,105.0000,'cash','credit','sell',667,'2022-08-08 16:31:05','2022-08-08 16:31:05'),(1184,5,0.0000,'cash','credit','sell',667,'2022-08-08 16:31:05','2022-08-08 16:31:05'),(1185,5,250.0000,'cash','credit','sell',668,'2022-08-08 17:52:54','2022-08-08 17:52:54'),(1186,5,0.0000,'cash','credit','sell',668,'2022-08-08 17:52:54','2022-08-08 17:52:54'),(1187,5,150.0000,'cash','credit','sell',669,'2022-08-08 18:42:00','2022-08-08 18:42:00'),(1188,5,0.0000,'cash','credit','sell',669,'2022-08-08 18:42:00','2022-08-08 18:42:00'),(1189,5,260.0000,'cash','credit','sell',670,'2022-08-08 19:31:43','2022-08-08 19:31:43'),(1190,5,0.0000,'cash','credit','sell',670,'2022-08-08 19:31:43','2022-08-08 19:31:43'),(1191,5,1070.0000,'cash','credit','sell',671,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(1192,5,0.0000,'cash','credit','sell',671,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(1193,5,265.0000,'cash','credit','sell',673,'2022-08-08 21:02:09','2022-08-08 21:02:09'),(1194,5,0.0000,'cash','credit','sell',673,'2022-08-08 21:02:09','2022-08-08 21:02:09'),(1195,5,315.0000,'cash','credit','sell',674,'2022-08-08 21:23:14','2022-08-08 21:23:14'),(1196,5,0.0000,'cash','credit','sell',674,'2022-08-08 21:23:14','2022-08-08 21:23:14'),(1197,5,150.0000,'cash','credit','sell',675,'2022-08-08 21:41:35','2022-08-08 21:41:35'),(1198,5,0.0000,'cash','credit','sell',675,'2022-08-08 21:41:35','2022-08-08 21:41:35'),(1199,5,510.0000,'cash','credit','sell',676,'2022-08-08 22:12:47','2022-08-08 22:12:47'),(1200,5,0.0000,'cash','credit','sell',676,'2022-08-08 22:12:47','2022-08-08 22:12:47'),(1201,5,50.0000,'cash','credit','sell',677,'2022-08-08 22:25:17','2022-08-08 22:25:17'),(1202,5,0.0000,'cash','credit','sell',677,'2022-08-08 22:25:17','2022-08-08 22:25:17'),(1203,5,270.0000,'cash','credit','sell',678,'2022-08-08 22:44:43','2022-08-08 22:44:43'),(1204,5,0.0000,'cash','credit','sell',678,'2022-08-08 22:44:43','2022-08-08 22:44:43'),(1205,5,270.0000,'cash','credit','sell',679,'2022-08-08 22:56:27','2022-08-08 22:56:27'),(1206,5,0.0000,'cash','credit','sell',679,'2022-08-08 22:56:27','2022-08-08 22:56:27'),(1207,5,100.0000,'cash','credit','sell',680,'2022-08-09 14:19:21','2022-08-09 14:19:21'),(1208,5,0.0000,'cash','credit','sell',680,'2022-08-09 14:19:21','2022-08-09 14:19:21'),(1209,5,180.0000,'cash','credit','sell',682,'2022-08-09 17:37:31','2022-08-09 17:37:31'),(1210,5,0.0000,'cash','credit','sell',682,'2022-08-09 17:37:31','2022-08-09 17:37:31'),(1211,5,240.0000,'cash','credit','sell',683,'2022-08-09 17:53:21','2022-08-09 17:53:21'),(1212,5,0.0000,'cash','credit','sell',683,'2022-08-09 17:53:21','2022-08-09 17:53:21');
/*!40000 ALTER TABLE `cash_register_transactions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `cash_registers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `cash_registers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(10) unsigned NOT NULL,
  `location_id` int(11) DEFAULT NULL,
  `user_id` int(10) unsigned DEFAULT NULL,
  `status` enum('close','open') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'open',
  `closed_at` datetime DEFAULT NULL,
  `closing_amount` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `total_card_slips` int(11) NOT NULL DEFAULT 0,
  `total_cheques` int(11) NOT NULL DEFAULT 0,
  `closing_note` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `cash_registers_business_id_foreign` (`business_id`),
  KEY `cash_registers_user_id_foreign` (`user_id`),
  KEY `cash_registers_location_id_index` (`location_id`),
  CONSTRAINT `cash_registers_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `cash_registers_user_id_foreign` FOREIGN KEY (`user_id`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `cash_registers` WRITE;
/*!40000 ALTER TABLE `cash_registers` DISABLE KEYS */;
INSERT INTO `cash_registers` VALUES (1,1,1,1,'open',NULL,0.0000,0,0,NULL,'2022-05-23 16:36:00','2022-05-23 16:36:45'),(2,1,1,2,'close','2022-05-25 18:54:42',3450.0000,0,0,NULL,'2022-05-24 12:42:00','2022-05-25 22:54:42'),(3,1,1,2,'close','2022-05-25 19:27:00',425.0000,0,0,NULL,'2022-05-25 22:55:00','2022-05-25 23:27:00'),(4,1,1,2,'close','2022-05-27 18:49:16',1485.0000,0,0,NULL,'2022-05-26 12:33:00','2022-05-27 22:49:16'),(5,1,1,2,'open',NULL,0.0000,0,0,NULL,'2022-05-28 14:16:00','2022-05-28 14:16:13');
/*!40000 ALTER TABLE `cash_registers` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `categories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `business_id` int(10) unsigned NOT NULL,
  `short_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `parent_id` int(11) NOT NULL,
  `created_by` int(10) unsigned NOT NULL,
  `category_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `categories_business_id_foreign` (`business_id`),
  KEY `categories_created_by_foreign` (`created_by`),
  CONSTRAINT `categories_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `categories_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=14 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `categories` WRITE;
/*!40000 ALTER TABLE `categories` DISABLE KEYS */;
INSERT INTO `categories` VALUES (1,'JUICE',1,'1',0,1,'product',NULL,NULL,NULL,'2022-05-23 15:52:21','2022-05-23 15:53:38'),(2,'TRADICIONALES',1,'1.1',1,1,'product',NULL,NULL,NULL,'2022-05-23 15:52:53','2022-05-23 15:52:53'),(3,'LINEA ESPECIAL',1,'1.2',1,1,'product',NULL,NULL,NULL,'2022-05-23 15:53:10','2022-05-23 15:53:10'),(4,'SELECTOS',1,'1.3',1,1,'product',NULL,NULL,NULL,'2022-05-23 15:53:26','2022-05-23 15:53:26'),(5,'DESSERT',1,'2',0,1,'product',NULL,NULL,NULL,'2022-05-23 15:53:54','2022-05-23 15:53:54'),(6,'POSTRES',1,'2.1',5,1,'product',NULL,NULL,NULL,'2022-05-23 15:54:06','2022-05-23 15:54:06'),(7,'ANTOJITOS',1,'2.2',5,1,'product',NULL,NULL,NULL,'2022-05-23 15:54:21','2022-05-23 15:54:21'),(8,'ESPECIALIDAD CASA',1,'2.3',5,1,'product',NULL,NULL,NULL,'2022-05-23 15:54:52','2022-05-23 15:54:52'),(9,'SNACK',1,'3',0,1,'product',NULL,NULL,NULL,'2022-05-23 15:55:04','2022-05-23 15:55:04'),(10,'EMPANADAS',1,'3.1',9,1,'product',NULL,NULL,NULL,'2022-05-23 15:55:20','2022-05-23 15:55:20'),(11,'SANDWICHES',1,'3.2',9,1,'product',NULL,NULL,NULL,'2022-05-23 15:55:34','2022-05-23 15:55:34'),(12,'BOCADILLOS',1,'3.3',9,1,'product',NULL,NULL,NULL,'2022-05-23 15:55:55','2022-05-23 15:55:55'),(13,'QUIPES',1,'3.4',9,1,'product',NULL,NULL,NULL,'2022-05-23 15:56:10','2022-05-23 15:56:10');
/*!40000 ALTER TABLE `categories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `categorizables`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `categorizables` (
  `category_id` int(11) NOT NULL,
  `categorizable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `categorizable_id` bigint(20) unsigned NOT NULL,
  KEY `categorizables_categorizable_type_categorizable_id_index` (`categorizable_type`,`categorizable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `categorizables` WRITE;
/*!40000 ALTER TABLE `categorizables` DISABLE KEYS */;
/*!40000 ALTER TABLE `categorizables` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `contacts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `contacts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(10) unsigned NOT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `supplier_business_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `prefix` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `first_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `middle_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `last_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contact_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contact_status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `tax_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `city` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `state` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `country` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address_line_1` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address_line_2` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `zip_code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `dob` date DEFAULT NULL,
  `mobile` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `landline` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `alternate_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pay_term_number` int(11) DEFAULT NULL,
  `pay_term_type` enum('days','months') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `credit_limit` decimal(22,4) DEFAULT NULL,
  `created_by` int(10) unsigned NOT NULL,
  `balance` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `total_rp` int(11) NOT NULL DEFAULT 0 COMMENT 'rp is the short form of reward points',
  `total_rp_used` int(11) NOT NULL DEFAULT 0 COMMENT 'rp is the short form of reward points',
  `total_rp_expired` int(11) NOT NULL DEFAULT 0 COMMENT 'rp is the short form of reward points',
  `is_default` tinyint(1) NOT NULL DEFAULT 0,
  `shipping_address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `position` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `customer_group_id` int(11) DEFAULT NULL,
  `custom_field1` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field2` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field3` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field4` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `contacts_business_id_foreign` (`business_id`),
  KEY `contacts_created_by_foreign` (`created_by`),
  KEY `contacts_type_index` (`type`),
  KEY `contacts_contact_status_index` (`contact_status`),
  CONSTRAINT `contacts_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `contacts_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `contacts` WRITE;
/*!40000 ALTER TABLE `contacts` DISABLE KEYS */;
INSERT INTO `contacts` VALUES (1,1,'customer',NULL,'Walk-In Customer',NULL,NULL,NULL,NULL,NULL,'CO0001','active',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'',NULL,NULL,NULL,NULL,0.0000,1,0.0000,0,0,0,1,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-24 00:59:04','2022-05-24 00:59:04'),(2,1,'customer',NULL,' Empleado  ',NULL,'Empleado',NULL,NULL,NULL,'CO0002','active',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'8097363516',NULL,NULL,NULL,NULL,NULL,2,0.0000,0,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-24 20:56:01','2022-05-24 20:56:01'),(3,1,'customer',NULL,' PedidosYa  ',NULL,'PedidosYa',NULL,NULL,NULL,'CO0003','active',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'000000000',NULL,NULL,NULL,NULL,150000.0000,2,0.0000,0,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-20 19:55:30','2022-06-20 19:55:30'),(4,1,'customer',NULL,' DiDi Food  ',NULL,'DiDi Food',NULL,NULL,NULL,'CO0004','active',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'00000000000',NULL,NULL,NULL,NULL,1000000.0000,2,0.0000,0,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-04 20:05:04','2022-08-04 20:05:35'),(5,1,'customer',NULL,' UberEats  ',NULL,'UberEats',NULL,NULL,NULL,'CO0005','active',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'00000000000',NULL,NULL,NULL,NULL,NULL,2,0.0000,0,0,0,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-05 22:03:15','2022-08-05 22:03:15');
/*!40000 ALTER TABLE `contacts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `currencies`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `currencies` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `country` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `currency` varchar(100) COLLATE utf8mb4_unicode_ci NOT NULL,
  `code` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL,
  `symbol` varchar(25) COLLATE utf8mb4_unicode_ci NOT NULL,
  `thousand_separator` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL,
  `decimal_separator` varchar(10) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=142 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `currencies` WRITE;
/*!40000 ALTER TABLE `currencies` DISABLE KEYS */;
INSERT INTO `currencies` VALUES (1,'Albania','Leke','ALL','Lek',',','.',NULL,NULL),(2,'America','Dollars','USD','$',',','.',NULL,NULL),(3,'Afghanistan','Afghanis','AF','؋',',','.',NULL,NULL),(4,'Argentina','Pesos','ARS','$',',','.',NULL,NULL),(5,'Aruba','Guilders','AWG','ƒ',',','.',NULL,NULL),(6,'Australia','Dollars','AUD','$',',','.',NULL,NULL),(7,'Azerbaijan','New Manats','AZ','ман',',','.',NULL,NULL),(8,'Bahamas','Dollars','BSD','$',',','.',NULL,NULL),(9,'Barbados','Dollars','BBD','$',',','.',NULL,NULL),(10,'Belarus','Rubles','BYR','p.',',','.',NULL,NULL),(11,'Belgium','Euro','EUR','€',',','.',NULL,NULL),(12,'Beliz','Dollars','BZD','BZ$',',','.',NULL,NULL),(13,'Bermuda','Dollars','BMD','$',',','.',NULL,NULL),(14,'Bolivia','Bolivianos','BOB','$b',',','.',NULL,NULL),(15,'Bosnia and Herzegovina','Convertible Marka','BAM','KM',',','.',NULL,NULL),(16,'Botswana','Pula\'s','BWP','P',',','.',NULL,NULL),(17,'Bulgaria','Leva','BG','лв',',','.',NULL,NULL),(18,'Brazil','Reais','BRL','R$',',','.',NULL,NULL),(19,'Britain [United Kingdom]','Pounds','GBP','£',',','.',NULL,NULL),(20,'Brunei Darussalam','Dollars','BND','$',',','.',NULL,NULL),(21,'Cambodia','Riels','KHR','៛',',','.',NULL,NULL),(22,'Canada','Dollars','CAD','$',',','.',NULL,NULL),(23,'Cayman Islands','Dollars','KYD','$',',','.',NULL,NULL),(24,'Chile','Pesos','CLP','$',',','.',NULL,NULL),(25,'China','Yuan Renminbi','CNY','¥',',','.',NULL,NULL),(26,'Colombia','Pesos','COP','$',',','.',NULL,NULL),(27,'Costa Rica','Colón','CRC','₡',',','.',NULL,NULL),(28,'Croatia','Kuna','HRK','kn',',','.',NULL,NULL),(29,'Cuba','Pesos','CUP','₱',',','.',NULL,NULL),(30,'Cyprus','Euro','EUR','€','.',',',NULL,NULL),(31,'Czech Republic','Koruny','CZK','Kč',',','.',NULL,NULL),(32,'Denmark','Kroner','DKK','kr',',','.',NULL,NULL),(33,'Dominican Republic','Pesos','DOP ','RD$',',','.',NULL,NULL),(34,'East Caribbean','Dollars','XCD','$',',','.',NULL,NULL),(35,'Egypt','Pounds','EGP','£',',','.',NULL,NULL),(36,'El Salvador','Colones','SVC','$',',','.',NULL,NULL),(37,'England [United Kingdom]','Pounds','GBP','£',',','.',NULL,NULL),(38,'Euro','Euro','EUR','€','.',',',NULL,NULL),(39,'Falkland Islands','Pounds','FKP','£',',','.',NULL,NULL),(40,'Fiji','Dollars','FJD','$',',','.',NULL,NULL),(41,'France','Euro','EUR','€','.',',',NULL,NULL),(42,'Ghana','Cedis','GHS','¢',',','.',NULL,NULL),(43,'Gibraltar','Pounds','GIP','£',',','.',NULL,NULL),(44,'Greece','Euro','EUR','€','.',',',NULL,NULL),(45,'Guatemala','Quetzales','GTQ','Q',',','.',NULL,NULL),(46,'Guernsey','Pounds','GGP','£',',','.',NULL,NULL),(47,'Guyana','Dollars','GYD','$',',','.',NULL,NULL),(48,'Holland [Netherlands]','Euro','EUR','€','.',',',NULL,NULL),(49,'Honduras','Lempiras','HNL','L',',','.',NULL,NULL),(50,'Hong Kong','Dollars','HKD','$',',','.',NULL,NULL),(51,'Hungary','Forint','HUF','Ft',',','.',NULL,NULL),(52,'Iceland','Kronur','ISK','kr',',','.',NULL,NULL),(53,'India','Rupees','INR','₹',',','.',NULL,NULL),(54,'Indonesia','Rupiahs','IDR','Rp',',','.',NULL,NULL),(55,'Iran','Rials','IRR','﷼',',','.',NULL,NULL),(56,'Ireland','Euro','EUR','€','.',',',NULL,NULL),(57,'Isle of Man','Pounds','IMP','£',',','.',NULL,NULL),(58,'Israel','New Shekels','ILS','₪',',','.',NULL,NULL),(59,'Italy','Euro','EUR','€','.',',',NULL,NULL),(60,'Jamaica','Dollars','JMD','J$',',','.',NULL,NULL),(61,'Japan','Yen','JPY','¥',',','.',NULL,NULL),(62,'Jersey','Pounds','JEP','£',',','.',NULL,NULL),(63,'Kazakhstan','Tenge','KZT','лв',',','.',NULL,NULL),(64,'Korea [North]','Won','KPW','₩',',','.',NULL,NULL),(65,'Korea [South]','Won','KRW','₩',',','.',NULL,NULL),(66,'Kyrgyzstan','Soms','KGS','лв',',','.',NULL,NULL),(67,'Laos','Kips','LAK','₭',',','.',NULL,NULL),(68,'Latvia','Lati','LVL','Ls',',','.',NULL,NULL),(69,'Lebanon','Pounds','LBP','£',',','.',NULL,NULL),(70,'Liberia','Dollars','LRD','$',',','.',NULL,NULL),(71,'Liechtenstein','Switzerland Francs','CHF','CHF',',','.',NULL,NULL),(72,'Lithuania','Litai','LTL','Lt',',','.',NULL,NULL),(73,'Luxembourg','Euro','EUR','€','.',',',NULL,NULL),(74,'Macedonia','Denars','MKD','ден',',','.',NULL,NULL),(75,'Malaysia','Ringgits','MYR','RM',',','.',NULL,NULL),(76,'Malta','Euro','EUR','€','.',',',NULL,NULL),(77,'Mauritius','Rupees','MUR','₨',',','.',NULL,NULL),(78,'Mexico','Pesos','MXN','$',',','.',NULL,NULL),(79,'Mongolia','Tugriks','MNT','₮',',','.',NULL,NULL),(80,'Mozambique','Meticais','MZ','MT',',','.',NULL,NULL),(81,'Namibia','Dollars','NAD','$',',','.',NULL,NULL),(82,'Nepal','Rupees','NPR','₨',',','.',NULL,NULL),(83,'Netherlands Antilles','Guilders','ANG','ƒ',',','.',NULL,NULL),(84,'Netherlands','Euro','EUR','€','.',',',NULL,NULL),(85,'New Zealand','Dollars','NZD','$',',','.',NULL,NULL),(86,'Nicaragua','Cordobas','NIO','C$',',','.',NULL,NULL),(87,'Nigeria','Nairas','NGN','₦',',','.',NULL,NULL),(88,'North Korea','Won','KPW','₩',',','.',NULL,NULL),(89,'Norway','Krone','NOK','kr',',','.',NULL,NULL),(90,'Oman','Rials','OMR','﷼',',','.',NULL,NULL),(91,'Pakistan','Rupees','PKR','₨',',','.',NULL,NULL),(92,'Panama','Balboa','PAB','B/.',',','.',NULL,NULL),(93,'Paraguay','Guarani','PYG','Gs',',','.',NULL,NULL),(94,'Peru','Nuevos Soles','PE','S/.',',','.',NULL,NULL),(95,'Philippines','Pesos','PHP','Php',',','.',NULL,NULL),(96,'Poland','Zlotych','PL','zł',',','.',NULL,NULL),(97,'Qatar','Rials','QAR','﷼',',','.',NULL,NULL),(98,'Romania','New Lei','RO','lei',',','.',NULL,NULL),(99,'Russia','Rubles','RUB','руб',',','.',NULL,NULL),(100,'Saint Helena','Pounds','SHP','£',',','.',NULL,NULL),(101,'Saudi Arabia','Riyals','SAR','﷼',',','.',NULL,NULL),(102,'Serbia','Dinars','RSD','Дин.',',','.',NULL,NULL),(103,'Seychelles','Rupees','SCR','₨',',','.',NULL,NULL),(104,'Singapore','Dollars','SGD','$',',','.',NULL,NULL),(105,'Slovenia','Euro','EUR','€','.',',',NULL,NULL),(106,'Solomon Islands','Dollars','SBD','$',',','.',NULL,NULL),(107,'Somalia','Shillings','SOS','S',',','.',NULL,NULL),(108,'South Africa','Rand','ZAR','R',',','.',NULL,NULL),(109,'South Korea','Won','KRW','₩',',','.',NULL,NULL),(110,'Spain','Euro','EUR','€','.',',',NULL,NULL),(111,'Sri Lanka','Rupees','LKR','₨',',','.',NULL,NULL),(112,'Sweden','Kronor','SEK','kr',',','.',NULL,NULL),(113,'Switzerland','Francs','CHF','CHF',',','.',NULL,NULL),(114,'Suriname','Dollars','SRD','$',',','.',NULL,NULL),(115,'Syria','Pounds','SYP','£',',','.',NULL,NULL),(116,'Taiwan','New Dollars','TWD','NT$',',','.',NULL,NULL),(117,'Thailand','Baht','THB','฿',',','.',NULL,NULL),(118,'Trinidad and Tobago','Dollars','TTD','TT$',',','.',NULL,NULL),(119,'Turkey','Lira','TRY','TL',',','.',NULL,NULL),(120,'Turkey','Liras','TRL','£',',','.',NULL,NULL),(121,'Tuvalu','Dollars','TVD','$',',','.',NULL,NULL),(122,'Ukraine','Hryvnia','UAH','₴',',','.',NULL,NULL),(123,'United Kingdom','Pounds','GBP','£',',','.',NULL,NULL),(124,'United States of America','Dollars','USD','$',',','.',NULL,NULL),(125,'Uruguay','Pesos','UYU','$U',',','.',NULL,NULL),(126,'Uzbekistan','Sums','UZS','лв',',','.',NULL,NULL),(127,'Vatican City','Euro','EUR','€','.',',',NULL,NULL),(128,'Venezuela','Bolivares Fuertes','VEF','Bs',',','.',NULL,NULL),(129,'Vietnam','Dong','VND','₫',',','.',NULL,NULL),(130,'Yemen','Rials','YER','﷼',',','.',NULL,NULL),(131,'Zimbabwe','Zimbabwe Dollars','ZWD','Z$',',','.',NULL,NULL),(132,'Iraq','Iraqi dinar','IQD','د.ع',',','.',NULL,NULL),(133,'Kenya','Kenyan shilling','KES','KSh',',','.',NULL,NULL),(134,'Bangladesh','Taka','BDT','৳',',','.',NULL,NULL),(135,'Algerie','Algerian dinar','DZD','د.ج',' ','.',NULL,NULL),(136,'United Arab Emirates','United Arab Emirates dirham','AED','د.إ',',','.',NULL,NULL),(137,'Uganda','Uganda shillings','UGX','USh',',','.',NULL,NULL),(138,'Tanzania','Tanzanian shilling','TZS','TSh',',','.',NULL,NULL),(139,'Angola','Kwanza','AOA','Kz',',','.',NULL,NULL),(140,'Kuwait','Kuwaiti dinar','KWD','KD',',','.',NULL,NULL),(141,'Bahrain','Bahraini dinar','BHD','BD',',','.',NULL,NULL);
/*!40000 ALTER TABLE `currencies` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `customer_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `customer_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(10) unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `amount` double(5,2) NOT NULL,
  `created_by` int(10) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `customer_groups_business_id_foreign` (`business_id`),
  CONSTRAINT `customer_groups_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `customer_groups` WRITE;
/*!40000 ALTER TABLE `customer_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `customer_groups` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `dashboard_configurations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `dashboard_configurations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(10) unsigned NOT NULL,
  `created_by` int(11) NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `color` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `configuration` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `dashboard_configurations_business_id_foreign` (`business_id`),
  CONSTRAINT `dashboard_configurations_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `dashboard_configurations` WRITE;
/*!40000 ALTER TABLE `dashboard_configurations` DISABLE KEYS */;
/*!40000 ALTER TABLE `dashboard_configurations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `discount_variations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `discount_variations` (
  `discount_id` int(11) NOT NULL,
  `variation_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `discount_variations` WRITE;
/*!40000 ALTER TABLE `discount_variations` DISABLE KEYS */;
/*!40000 ALTER TABLE `discount_variations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `discounts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `discounts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `business_id` int(11) NOT NULL,
  `brand_id` int(11) DEFAULT NULL,
  `category_id` int(11) DEFAULT NULL,
  `location_id` int(11) DEFAULT NULL,
  `priority` int(11) DEFAULT NULL,
  `discount_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_amount` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `starts_at` datetime DEFAULT NULL,
  `ends_at` datetime DEFAULT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT 1,
  `applicable_in_spg` tinyint(1) DEFAULT 0,
  `applicable_in_cg` tinyint(1) DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `discounts_business_id_index` (`business_id`),
  KEY `discounts_brand_id_index` (`brand_id`),
  KEY `discounts_category_id_index` (`category_id`),
  KEY `discounts_location_id_index` (`location_id`),
  KEY `discounts_priority_index` (`priority`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `discounts` WRITE;
/*!40000 ALTER TABLE `discounts` DISABLE KEYS */;
/*!40000 ALTER TABLE `discounts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `document_and_notes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `document_and_notes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(11) NOT NULL,
  `notable_id` int(11) NOT NULL,
  `notable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `heading` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_private` tinyint(1) NOT NULL DEFAULT 0,
  `created_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `document_and_notes_business_id_index` (`business_id`),
  KEY `document_and_notes_notable_id_index` (`notable_id`),
  KEY `document_and_notes_created_by_index` (`created_by`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `document_and_notes` WRITE;
/*!40000 ALTER TABLE `document_and_notes` DISABLE KEYS */;
/*!40000 ALTER TABLE `document_and_notes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `essentials_allowances_and_deductions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `essentials_allowances_and_deductions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(11) NOT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` enum('allowance','deduction') COLLATE utf8mb4_unicode_ci NOT NULL,
  `amount` decimal(22,4) NOT NULL,
  `amount_type` enum('fixed','percent') COLLATE utf8mb4_unicode_ci NOT NULL,
  `applicable_date` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `essentials_allowances_and_deductions_business_id_index` (`business_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `essentials_allowances_and_deductions` WRITE;
/*!40000 ALTER TABLE `essentials_allowances_and_deductions` DISABLE KEYS */;
/*!40000 ALTER TABLE `essentials_allowances_and_deductions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `essentials_attendances`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `essentials_attendances` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `business_id` int(11) NOT NULL,
  `clock_in_time` datetime DEFAULT NULL,
  `clock_out_time` datetime DEFAULT NULL,
  `essentials_shift_id` int(11) DEFAULT NULL,
  `ip_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `clock_in_note` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `clock_out_note` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `essentials_attendances_user_id_index` (`user_id`),
  KEY `essentials_attendances_business_id_index` (`business_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `essentials_attendances` WRITE;
/*!40000 ALTER TABLE `essentials_attendances` DISABLE KEYS */;
/*!40000 ALTER TABLE `essentials_attendances` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `essentials_document_shares`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `essentials_document_shares` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `document_id` int(11) NOT NULL,
  `value_type` enum('user','role') COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `essentials_document_shares` WRITE;
/*!40000 ALTER TABLE `essentials_document_shares` DISABLE KEYS */;
/*!40000 ALTER TABLE `essentials_document_shares` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `essentials_documents`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `essentials_documents` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `essentials_documents` WRITE;
/*!40000 ALTER TABLE `essentials_documents` DISABLE KEYS */;
/*!40000 ALTER TABLE `essentials_documents` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `essentials_holidays`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `essentials_holidays` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `business_id` int(11) NOT NULL,
  `location_id` int(11) DEFAULT NULL,
  `note` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `essentials_holidays_business_id_index` (`business_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `essentials_holidays` WRITE;
/*!40000 ALTER TABLE `essentials_holidays` DISABLE KEYS */;
/*!40000 ALTER TABLE `essentials_holidays` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `essentials_leave_types`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `essentials_leave_types` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `leave_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `max_leave_count` int(11) DEFAULT NULL,
  `leave_count_interval` enum('month','year') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `business_id` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `essentials_leave_types_business_id_index` (`business_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `essentials_leave_types` WRITE;
/*!40000 ALTER TABLE `essentials_leave_types` DISABLE KEYS */;
/*!40000 ALTER TABLE `essentials_leave_types` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `essentials_leaves`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `essentials_leaves` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `essentials_leave_type_id` int(11) DEFAULT NULL,
  `business_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `start_date` date NOT NULL,
  `end_date` date NOT NULL,
  `ref_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` enum('pending','approved','cancelled') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `reason` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status_note` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `essentials_leaves_essentials_leave_type_id_index` (`essentials_leave_type_id`),
  KEY `essentials_leaves_business_id_index` (`business_id`),
  KEY `essentials_leaves_user_id_index` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `essentials_leaves` WRITE;
/*!40000 ALTER TABLE `essentials_leaves` DISABLE KEYS */;
/*!40000 ALTER TABLE `essentials_leaves` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `essentials_messages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `essentials_messages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `message` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `location_id` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `essentials_messages` WRITE;
/*!40000 ALTER TABLE `essentials_messages` DISABLE KEYS */;
/*!40000 ALTER TABLE `essentials_messages` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `essentials_reminders`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `essentials_reminders` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `date` date NOT NULL,
  `time` time NOT NULL,
  `repeat` enum('one_time','every_day','every_week','every_month') COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `essentials_reminders` WRITE;
/*!40000 ALTER TABLE `essentials_reminders` DISABLE KEYS */;
/*!40000 ALTER TABLE `essentials_reminders` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `essentials_shifts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `essentials_shifts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` enum('fixed_shift','flexible_shift') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'fixed_shift',
  `business_id` int(11) NOT NULL,
  `start_time` time DEFAULT NULL,
  `end_time` time DEFAULT NULL,
  `holidays` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `essentials_shifts` WRITE;
/*!40000 ALTER TABLE `essentials_shifts` DISABLE KEYS */;
/*!40000 ALTER TABLE `essentials_shifts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `essentials_to_dos`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `essentials_to_dos` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(11) NOT NULL,
  `task` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `date` date NOT NULL,
  `end_date` date DEFAULT NULL,
  `task_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `estimated_hours` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `priority` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_by` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `essentials_to_dos_status_index` (`status`),
  KEY `essentials_to_dos_priority_index` (`priority`),
  KEY `essentials_to_dos_created_by_index` (`created_by`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `essentials_to_dos` WRITE;
/*!40000 ALTER TABLE `essentials_to_dos` DISABLE KEYS */;
/*!40000 ALTER TABLE `essentials_to_dos` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `essentials_todo_comments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `essentials_todo_comments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `comment` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `task_id` int(11) NOT NULL,
  `comment_by` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `essentials_todo_comments_task_id_index` (`task_id`),
  KEY `essentials_todo_comments_comment_by_index` (`comment_by`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `essentials_todo_comments` WRITE;
/*!40000 ALTER TABLE `essentials_todo_comments` DISABLE KEYS */;
/*!40000 ALTER TABLE `essentials_todo_comments` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `essentials_todos_users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `essentials_todos_users` (
  `todo_id` int(11) NOT NULL,
  `user_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `essentials_todos_users` WRITE;
/*!40000 ALTER TABLE `essentials_todos_users` DISABLE KEYS */;
/*!40000 ALTER TABLE `essentials_todos_users` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `essentials_user_allowance_and_deductions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `essentials_user_allowance_and_deductions` (
  `user_id` int(11) NOT NULL,
  `allowance_deduction_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `essentials_user_allowance_and_deductions` WRITE;
/*!40000 ALTER TABLE `essentials_user_allowance_and_deductions` DISABLE KEYS */;
/*!40000 ALTER TABLE `essentials_user_allowance_and_deductions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `essentials_user_shifts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `essentials_user_shifts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `essentials_shift_id` int(11) NOT NULL,
  `start_date` date DEFAULT NULL,
  `end_date` date DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `essentials_user_shifts` WRITE;
/*!40000 ALTER TABLE `essentials_user_shifts` DISABLE KEYS */;
/*!40000 ALTER TABLE `essentials_user_shifts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `expense_categories`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `expense_categories` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `business_id` int(10) unsigned NOT NULL,
  `code` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `expense_categories_business_id_foreign` (`business_id`),
  CONSTRAINT `expense_categories_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `expense_categories` WRITE;
/*!40000 ALTER TABLE `expense_categories` DISABLE KEYS */;
/*!40000 ALTER TABLE `expense_categories` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `group_sub_taxes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `group_sub_taxes` (
  `group_tax_id` int(10) unsigned NOT NULL,
  `tax_id` int(10) unsigned NOT NULL,
  KEY `group_sub_taxes_group_tax_id_foreign` (`group_tax_id`),
  KEY `group_sub_taxes_tax_id_foreign` (`tax_id`),
  CONSTRAINT `group_sub_taxes_group_tax_id_foreign` FOREIGN KEY (`group_tax_id`) REFERENCES `tax_rates` (`id`) ON DELETE CASCADE,
  CONSTRAINT `group_sub_taxes_tax_id_foreign` FOREIGN KEY (`tax_id`) REFERENCES `tax_rates` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `group_sub_taxes` WRITE;
/*!40000 ALTER TABLE `group_sub_taxes` DISABLE KEYS */;
/*!40000 ALTER TABLE `group_sub_taxes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `invoice_layouts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `invoice_layouts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `header_text` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `invoice_no_prefix` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `quotation_no_prefix` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `invoice_heading` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_heading_line1` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_heading_line2` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_heading_line3` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_heading_line4` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_heading_line5` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `invoice_heading_not_paid` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `invoice_heading_paid` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `quotation_heading` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_total_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `tax_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `round_off_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `total_due_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paid_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `show_client_id` tinyint(1) NOT NULL DEFAULT 0,
  `client_id_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `client_tax_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `date_time_format` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `show_time` tinyint(1) NOT NULL DEFAULT 1,
  `show_brand` tinyint(1) NOT NULL DEFAULT 0,
  `show_sku` tinyint(1) NOT NULL DEFAULT 1,
  `show_cat_code` tinyint(1) NOT NULL DEFAULT 1,
  `show_expiry` tinyint(1) NOT NULL DEFAULT 0,
  `show_lot` tinyint(1) NOT NULL DEFAULT 0,
  `show_image` tinyint(1) NOT NULL DEFAULT 0,
  `show_sale_description` tinyint(1) NOT NULL DEFAULT 0,
  `sales_person_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `show_sales_person` tinyint(1) NOT NULL DEFAULT 0,
  `table_product_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `table_qty_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `table_unit_price_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `table_subtotal_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cat_code_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `logo` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `show_logo` tinyint(1) NOT NULL DEFAULT 0,
  `show_business_name` tinyint(1) NOT NULL DEFAULT 0,
  `show_location_name` tinyint(1) NOT NULL DEFAULT 1,
  `show_landmark` tinyint(1) NOT NULL DEFAULT 1,
  `show_city` tinyint(1) NOT NULL DEFAULT 1,
  `show_state` tinyint(1) NOT NULL DEFAULT 1,
  `show_zip_code` tinyint(1) NOT NULL DEFAULT 1,
  `show_country` tinyint(1) NOT NULL DEFAULT 1,
  `show_mobile_number` tinyint(1) NOT NULL DEFAULT 1,
  `show_alternate_number` tinyint(1) NOT NULL DEFAULT 0,
  `show_email` tinyint(1) NOT NULL DEFAULT 0,
  `show_tax_1` tinyint(1) NOT NULL DEFAULT 1,
  `show_tax_2` tinyint(1) NOT NULL DEFAULT 0,
  `show_barcode` tinyint(1) NOT NULL DEFAULT 0,
  `show_payments` tinyint(1) NOT NULL DEFAULT 0,
  `show_customer` tinyint(1) NOT NULL DEFAULT 0,
  `customer_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `show_reward_point` tinyint(1) NOT NULL DEFAULT 0,
  `highlight_color` varchar(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `footer_text` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `module_info` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `common_settings` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT 0,
  `business_id` int(10) unsigned NOT NULL,
  `design` varchar(190) COLLATE utf8mb4_unicode_ci DEFAULT 'classic',
  `cn_heading` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'cn = credit note',
  `cn_no_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cn_amount_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `table_tax_headings` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `show_previous_bal` tinyint(1) NOT NULL DEFAULT 0,
  `prev_bal_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `change_return_label` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_custom_fields` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contact_custom_fields` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `location_custom_fields` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `invoice_layouts_business_id_foreign` (`business_id`),
  CONSTRAINT `invoice_layouts_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `invoice_layouts` WRITE;
/*!40000 ALTER TABLE `invoice_layouts` DISABLE KEYS */;
INSERT INTO `invoice_layouts` VALUES (1,'Default',NULL,'FACTURA TIPO:',NULL,'RECIBO DE CONSUMO',NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'SUBTOTAL =>','DESCUENTO =>','IMPUESTOS =>','TOTAL =>',NULL,'A PAGAR =>:','TOTAL PAGADO =>',0,NULL,'DOCUMENTO:','FECHA:',NULL,1,0,0,0,0,0,0,0,'LE ATENDIÓ:',0,'ITEM','QTY','PRECIO','VALOR',NULL,NULL,0,0,1,1,1,1,0,0,1,0,0,1,0,0,1,1,'CLIENTE:',0,'#000000',NULL,NULL,'{\"due_date_label\":null,\"total_quantity_label\":null}',1,1,'slim2',NULL,NULL,NULL,NULL,0,NULL,'DEVUELTA',NULL,NULL,NULL,'2022-05-24 00:59:04','2022-05-23 22:55:51');
/*!40000 ALTER TABLE `invoice_layouts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `invoice_schemes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `invoice_schemes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(10) unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `scheme_type` enum('blank','year') COLLATE utf8mb4_unicode_ci NOT NULL,
  `prefix` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `start_number` int(11) DEFAULT NULL,
  `invoice_count` int(11) NOT NULL DEFAULT 0,
  `total_digits` int(11) DEFAULT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `invoice_schemes_business_id_foreign` (`business_id`),
  CONSTRAINT `invoice_schemes_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `invoice_schemes` WRITE;
/*!40000 ALTER TABLE `invoice_schemes` DISABLE KEYS */;
INSERT INTO `invoice_schemes` VALUES (1,1,'Default','blank','',1,682,4,0,'2022-05-24 00:59:04','2022-08-09 17:53:21'),(2,1,'TICKET','blank',NULL,0,0,4,1,'2022-05-24 15:38:40','2022-05-24 15:38:40');
/*!40000 ALTER TABLE `invoice_schemes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `media`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `media` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(11) NOT NULL,
  `file_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `uploaded_by` int(11) DEFAULT NULL,
  `model_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `model_id` bigint(20) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `media_model_type_model_id_index` (`model_type`,`model_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `media` WRITE;
/*!40000 ALTER TABLE `media` DISABLE KEYS */;
/*!40000 ALTER TABLE `media` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `mfg_ingredient_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mfg_ingredient_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `business_id` int(11) NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `mfg_ingredient_groups` WRITE;
/*!40000 ALTER TABLE `mfg_ingredient_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `mfg_ingredient_groups` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `mfg_recipe_ingredients`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mfg_recipe_ingredients` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `mfg_recipe_id` int(10) unsigned NOT NULL,
  `variation_id` int(11) NOT NULL,
  `mfg_ingredient_group_id` int(11) DEFAULT NULL,
  `quantity` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `waste_percent` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `sub_unit_id` int(11) DEFAULT NULL,
  `sort_order` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `mfg_recipe_ingredients_mfg_recipe_id_foreign` (`mfg_recipe_id`),
  CONSTRAINT `mfg_recipe_ingredients_mfg_recipe_id_foreign` FOREIGN KEY (`mfg_recipe_id`) REFERENCES `mfg_recipes` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `mfg_recipe_ingredients` WRITE;
/*!40000 ALTER TABLE `mfg_recipe_ingredients` DISABLE KEYS */;
/*!40000 ALTER TABLE `mfg_recipe_ingredients` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `mfg_recipes`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `mfg_recipes` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(11) NOT NULL,
  `variation_id` int(11) NOT NULL,
  `instructions` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `waste_percent` decimal(10,2) NOT NULL DEFAULT 0.00,
  `ingredients_cost` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `extra_cost` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `total_quantity` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `final_price` decimal(22,4) NOT NULL,
  `sub_unit_id` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `mfg_recipes_product_id_index` (`product_id`),
  KEY `mfg_recipes_variation_id_index` (`variation_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `mfg_recipes` WRITE;
/*!40000 ALTER TABLE `mfg_recipes` DISABLE KEYS */;
/*!40000 ALTER TABLE `mfg_recipes` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `migrations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `migrations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `migration` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `batch` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=286 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `migrations` WRITE;
/*!40000 ALTER TABLE `migrations` DISABLE KEYS */;
INSERT INTO `migrations` VALUES (1,'2014_10_12_000000_create_users_table',1),(2,'2014_10_12_100000_create_password_resets_table',1),(3,'2017_07_05_071953_create_currencies_table',1),(4,'2017_07_05_073658_create_business_table',1),(5,'2017_07_22_075923_add_business_id_users_table',1),(6,'2017_07_23_113209_create_brands_table',1),(7,'2017_07_26_083429_create_permission_tables',1),(8,'2017_07_26_110000_create_tax_rates_table',1),(9,'2017_07_26_122313_create_units_table',1),(10,'2017_07_27_075706_create_contacts_table',1),(11,'2017_08_04_071038_create_categories_table',1),(12,'2017_08_08_115903_create_products_table',1),(13,'2017_08_09_061616_create_variation_templates_table',1),(14,'2017_08_09_061638_create_variation_value_templates_table',1),(15,'2017_08_10_061146_create_product_variations_table',1),(16,'2017_08_10_061216_create_variations_table',1),(17,'2017_08_19_054827_create_transactions_table',1),(18,'2017_08_31_073533_create_purchase_lines_table',1),(19,'2017_10_15_064638_create_transaction_payments_table',1),(20,'2017_10_31_065621_add_default_sales_tax_to_business_table',1),(21,'2017_11_20_051930_create_table_group_sub_taxes',1),(22,'2017_11_20_063603_create_transaction_sell_lines',1),(23,'2017_11_21_064540_create_barcodes_table',1),(24,'2017_11_23_181237_create_invoice_schemes_table',1),(25,'2017_12_25_122822_create_business_locations_table',1),(26,'2017_12_25_160253_add_location_id_to_transactions_table',1),(27,'2017_12_25_163227_create_variation_location_details_table',1),(28,'2018_01_04_115627_create_sessions_table',1),(29,'2018_01_05_112817_create_invoice_layouts_table',1),(30,'2018_01_06_112303_add_invoice_scheme_id_and_invoice_layout_id_to_business_locations',1),(31,'2018_01_08_104124_create_expense_categories_table',1),(32,'2018_01_08_123327_modify_transactions_table_for_expenses',1),(33,'2018_01_09_111005_modify_payment_status_in_transactions_table',1),(34,'2018_01_09_111109_add_paid_on_column_to_transaction_payments_table',1),(35,'2018_01_25_172439_add_printer_related_fields_to_business_locations_table',1),(36,'2018_01_27_184322_create_printers_table',1),(37,'2018_01_30_181442_create_cash_registers_table',1),(38,'2018_01_31_125836_create_cash_register_transactions_table',1),(39,'2018_02_07_173326_modify_business_table',1),(40,'2018_02_08_105425_add_enable_product_expiry_column_to_business_table',1),(41,'2018_02_08_111027_add_expiry_period_and_expiry_period_type_columns_to_products_table',1),(42,'2018_02_08_131118_add_mfg_date_and_exp_date_purchase_lines_table',1),(43,'2018_02_08_155348_add_exchange_rate_to_transactions_table',1),(44,'2018_02_09_124945_modify_transaction_payments_table_for_contact_payments',1),(45,'2018_02_12_113640_create_transaction_sell_lines_purchase_lines_table',1),(46,'2018_02_12_114605_add_quantity_sold_in_purchase_lines_table',1),(47,'2018_02_13_183323_alter_decimal_fields_size',1),(48,'2018_02_14_161928_add_transaction_edit_days_to_business_table',1),(49,'2018_02_15_161032_add_document_column_to_transactions_table',1),(50,'2018_02_17_124709_add_more_options_to_invoice_layouts',1),(51,'2018_02_19_111517_add_keyboard_shortcut_column_to_business_table',1),(52,'2018_02_19_121537_stock_adjustment_move_to_transaction_table',1),(53,'2018_02_20_165505_add_is_direct_sale_column_to_transactions_table',1),(54,'2018_02_21_105329_create_system_table',1),(55,'2018_02_23_100549_version_1_2',1),(56,'2018_02_23_125648_add_enable_editing_sp_from_purchase_column_to_business_table',1),(57,'2018_02_26_103612_add_sales_commission_agent_column_to_business_table',1),(58,'2018_02_26_130519_modify_users_table_for_sales_cmmsn_agnt',1),(59,'2018_02_26_134500_add_commission_agent_to_transactions_table',1),(60,'2018_02_27_121422_add_item_addition_method_to_business_table',1),(61,'2018_02_27_170232_modify_transactions_table_for_stock_transfer',1),(62,'2018_03_05_153510_add_enable_inline_tax_column_to_business_table',1),(63,'2018_03_06_210206_modify_product_barcode_types',1),(64,'2018_03_13_181541_add_expiry_type_to_business_table',1),(65,'2018_03_16_113446_product_expiry_setting_for_business',1),(66,'2018_03_19_113601_add_business_settings_options',1),(67,'2018_03_26_125334_add_pos_settings_to_business_table',1),(68,'2018_03_26_165350_create_customer_groups_table',1),(69,'2018_03_27_122720_customer_group_related_changes_in_tables',1),(70,'2018_03_29_110138_change_tax_field_to_nullable_in_business_table',1),(71,'2018_03_29_115502_add_changes_for_sr_number_in_products_and_sale_lines_table',1),(72,'2018_03_29_134340_add_inline_discount_fields_in_purchase_lines',1),(73,'2018_03_31_140921_update_transactions_table_exchange_rate',1),(74,'2018_04_03_103037_add_contact_id_to_contacts_table',1),(75,'2018_04_03_122709_add_changes_to_invoice_layouts_table',1),(76,'2018_04_09_135320_change_exchage_rate_size_in_business_table',1),(77,'2018_04_17_123122_add_lot_number_to_business',1),(78,'2018_04_17_160845_add_product_racks_table',1),(79,'2018_04_20_182015_create_res_tables_table',1),(80,'2018_04_24_105246_restaurant_fields_in_transaction_table',1),(81,'2018_04_24_114149_add_enabled_modules_business_table',1),(82,'2018_04_24_133704_add_modules_fields_in_invoice_layout_table',1),(83,'2018_04_27_132653_quotation_related_change',1),(84,'2018_05_02_104439_add_date_format_and_time_format_to_business',1),(85,'2018_05_02_111939_add_sell_return_to_transaction_payments',1),(86,'2018_05_14_114027_add_rows_positions_for_products',1),(87,'2018_05_14_125223_add_weight_to_products_table',1),(88,'2018_05_14_164754_add_opening_stock_permission',1),(89,'2018_05_15_134729_add_design_to_invoice_layouts',1),(90,'2018_05_16_183307_add_tax_fields_invoice_layout',1),(91,'2018_05_18_191956_add_sell_return_to_transaction_table',1),(92,'2018_05_21_131349_add_custom_fileds_to_contacts_table',1),(93,'2018_05_21_131607_invoice_layout_fields_for_sell_return',1),(94,'2018_05_21_131949_add_custom_fileds_and_website_to_business_locations_table',1),(95,'2018_05_22_123527_create_reference_counts_table',1),(96,'2018_05_22_154540_add_ref_no_prefixes_column_to_business_table',1),(97,'2018_05_24_132620_add_ref_no_column_to_transaction_payments_table',1),(98,'2018_05_24_161026_add_location_id_column_to_business_location_table',1),(99,'2018_05_25_180603_create_modifiers_related_table',1),(100,'2018_05_29_121714_add_purchase_line_id_to_stock_adjustment_line_table',1),(101,'2018_05_31_114645_add_res_order_status_column_to_transactions_table',1),(102,'2018_06_05_103530_rename_purchase_line_id_in_stock_adjustment_lines_table',1),(103,'2018_06_05_111905_modify_products_table_for_modifiers',1),(104,'2018_06_06_110524_add_parent_sell_line_id_column_to_transaction_sell_lines_table',1),(105,'2018_06_07_152443_add_is_service_staff_to_roles_table',1),(106,'2018_06_07_182258_add_image_field_to_products_table',1),(107,'2018_06_13_133705_create_bookings_table',1),(108,'2018_06_15_173636_add_email_column_to_contacts_table',1),(109,'2018_06_27_182835_add_superadmin_related_fields_business',1),(110,'2018_06_27_185405_create_packages_table',1),(111,'2018_06_28_182803_create_subscriptions_table',1),(112,'2018_07_10_101913_add_custom_fields_to_products_table',1),(113,'2018_07_17_103434_add_sales_person_name_label_to_invoice_layouts_table',1),(114,'2018_07_17_163920_add_theme_skin_color_column_to_business_table',1),(115,'2018_07_17_182021_add_rows_to_system_table',1),(116,'2018_07_19_131721_add_options_to_packages_table',1),(117,'2018_07_24_160319_add_lot_no_line_id_to_transaction_sell_lines_table',1),(118,'2018_07_25_110004_add_show_expiry_and_show_lot_colums_to_invoice_layouts_table',1),(119,'2018_07_25_172004_add_discount_columns_to_transaction_sell_lines_table',1),(120,'2018_07_26_124720_change_design_column_type_in_invoice_layouts_table',1),(121,'2018_07_26_170424_add_unit_price_before_discount_column_to_transaction_sell_line_table',1),(122,'2018_07_28_103614_add_credit_limit_column_to_contacts_table',1),(123,'2018_08_08_110755_add_new_payment_methods_to_transaction_payments_table',1),(124,'2018_08_08_122225_modify_cash_register_transactions_table_for_new_payment_methods',1),(125,'2018_08_14_104036_add_opening_balance_type_to_transactions_table',1),(126,'2018_08_17_155534_add_min_termination_alert_days',1),(127,'2018_08_28_105945_add_business_based_username_settings_to_system_table',1),(128,'2018_08_30_105906_add_superadmin_communicator_logs_table',1),(129,'2018_09_04_155900_create_accounts_table',1),(130,'2018_09_06_114438_create_selling_price_groups_table',1),(131,'2018_09_06_154057_create_variation_group_prices_table',1),(132,'2018_09_07_102413_add_permission_to_access_default_selling_price',1),(133,'2018_09_07_134858_add_selling_price_group_id_to_transactions_table',1),(134,'2018_09_10_112448_update_product_type_to_single_if_null_in_products_table',1),(135,'2018_09_10_152703_create_account_transactions_table',1),(136,'2018_09_10_173656_add_account_id_column_to_transaction_payments_table',1),(137,'2018_09_19_123914_create_notification_templates_table',1),(138,'2018_09_22_110504_add_sms_and_email_settings_columns_to_business_table',1),(139,'2018_09_24_134942_add_lot_no_line_id_to_stock_adjustment_lines_table',1),(140,'2018_09_26_105557_add_transaction_payments_for_existing_expenses',1),(141,'2018_09_27_111609_modify_transactions_table_for_purchase_return',1),(142,'2018_09_27_131154_add_quantity_returned_column_to_purchase_lines_table',1),(143,'2018_10_01_151252_create_documents_table',1),(144,'2018_10_02_131401_add_return_quantity_column_to_transaction_sell_lines_table',1),(145,'2018_10_02_151803_create_document_shares_table',1),(146,'2018_10_03_104918_add_qty_returned_column_to_transaction_sell_lines_purchase_lines_table',1),(147,'2018_10_03_185947_add_default_notification_templates_to_database',1),(148,'2018_10_09_134558_create_reminders_table',1),(149,'2018_10_09_153105_add_business_id_to_transaction_payments_table',1),(150,'2018_10_16_135229_create_permission_for_sells_and_purchase',1),(151,'2018_10_22_114441_add_columns_for_variable_product_modifications',1),(152,'2018_10_22_134428_modify_variable_product_data',1),(153,'2018_10_30_181558_add_table_tax_headings_to_invoice_layout',1),(154,'2018_10_31_122619_add_pay_terms_field_transactions_table',1),(155,'2018_10_31_161328_add_new_permissions_for_pos_screen',1),(156,'2018_10_31_174752_add_access_selected_contacts_only_to_users_table',1),(157,'2018_10_31_175627_add_user_contact_access',1),(158,'2018_10_31_180559_add_auto_send_sms_column_to_notification_templates_table',1),(159,'2018_11_02_130636_add_custom_permissions_to_packages_table',1),(160,'2018_11_02_171949_change_card_type_column_to_varchar_in_transaction_payments_table',1),(161,'2018_11_05_161848_add_more_fields_to_packages_table',1),(162,'2018_11_08_105621_add_role_permissions',1),(163,'2018_11_16_170756_create_to_dos_table',1),(164,'2018_11_26_114135_add_is_suspend_column_to_transactions_table',1),(165,'2018_11_28_104410_modify_units_table_for_multi_unit',1),(166,'2018_11_28_170952_add_sub_unit_id_to_purchase_lines_and_sell_lines',1),(167,'2018_11_29_115918_add_primary_key_in_system_table',1),(168,'2018_12_03_185546_add_product_description_column_to_products_table',1),(169,'2018_12_06_114937_modify_system_table_and_users_table',1),(170,'2018_12_10_124621_modify_system_table_values_null_default',1),(171,'2018_12_13_160007_add_custom_fields_display_options_to_invoice_layouts_table',1),(172,'2018_12_14_103307_modify_system_table',1),(173,'2018_12_18_133837_add_prev_balance_due_columns_to_invoice_layouts_table',1),(174,'2018_12_18_170656_add_invoice_token_column_to_transaction_table',1),(175,'2018_12_20_133639_add_date_time_format_column_to_invoice_layouts_table',1),(176,'2018_12_21_120659_add_recurring_invoice_fields_to_transactions_table',1),(177,'2018_12_24_154933_create_notifications_table',1),(178,'2019_01_08_112015_add_document_column_to_transaction_payments_table',1),(179,'2019_01_10_124645_add_account_permission',1),(180,'2019_01_16_125825_add_subscription_no_column_to_transactions_table',1),(181,'2019_01_28_111647_add_order_addresses_column_to_transactions_table',1),(182,'2019_02_13_173821_add_is_inactive_column_to_products_table',1),(183,'2019_02_19_103118_create_discounts_table',1),(184,'2019_02_21_120324_add_discount_id_column_to_transaction_sell_lines_table',1),(185,'2019_02_21_134324_add_permission_for_discount',1),(186,'2019_02_22_120329_essentials_messages',1),(187,'2019_02_22_161513_add_message_permissions',1),(188,'2019_03_04_170832_add_service_staff_columns_to_transaction_sell_lines_table',1),(189,'2019_03_09_102425_add_sub_type_column_to_transactions_table',1),(190,'2019_03_09_124457_add_indexing_transaction_sell_lines_purchase_lines_table',1),(191,'2019_03_12_120336_create_activity_log_table',1),(192,'2019_03_15_132925_create_media_table',1),(193,'2019_03_29_164339_add_essentials_version_to_system_table',1),(194,'2019_05_08_130339_add_indexing_to_parent_id_in_transaction_payments_table',1),(195,'2019_05_10_132311_add_missing_column_indexing',1),(196,'2019_05_10_135434_add_missing_database_column_indexes',1),(197,'2019_05_14_091812_add_show_image_column_to_invoice_layouts_table',1),(198,'2019_05_17_153306_create_essentials_leave_types_table',1),(199,'2019_05_17_175921_create_essentials_leaves_table',1),(200,'2019_05_21_154517_add_essentials_settings_columns_to_business_table',1),(201,'2019_05_21_181653_create_table_essentials_attendance',1),(202,'2019_05_25_104922_add_view_purchase_price_permission',1),(203,'2019_05_30_110049_create_essentials_payrolls_table',1),(204,'2019_06_04_105723_create_essentials_holidays_table',1),(205,'2019_06_17_103515_add_profile_informations_columns_to_users_table',1),(206,'2019_06_18_135524_add_permission_to_view_own_sales_only',1),(207,'2019_06_19_112058_add_database_changes_for_reward_points',1),(208,'2019_06_28_133732_change_type_column_to_string_in_transactions_table',1),(209,'2019_06_28_134217_add_payroll_columns_to_transactions_table',1),(210,'2019_07_13_111420_add_is_created_from_api_column_to_transactions_table',1),(211,'2019_07_15_114211_add_manufacturing_module_version_to_system_table',1),(212,'2019_07_15_114403_create_mfg_recipes_table',1),(213,'2019_07_15_165136_add_fields_for_combo_product',1),(214,'2019_07_18_180217_add_production_columns_to_transactions_table',1),(215,'2019_07_19_103446_add_mfg_quantity_used_column_to_purchase_lines_table',1),(216,'2019_07_22_152649_add_not_for_selling_in_product_table',1),(217,'2019_07_26_110753_add_manufacturing_settings_column_to_business_table',1),(218,'2019_07_26_170450_add_manufacturing_permissions',1),(219,'2019_07_29_185351_add_show_reward_point_column_to_invoice_layouts_table',1),(220,'2019_08_08_110035_create_mfg_recipe_ingredients_table',1),(221,'2019_08_08_162302_add_sub_units_related_fields',1),(222,'2019_08_08_172837_add_recipe_add_edit_permissions',1),(223,'2019_08_12_114610_add_ingredient_waste_percent_columns',1),(224,'2019_08_16_115300_create_superadmin_frontend_pages_table',1),(225,'2019_08_26_103520_add_approve_leave_permission',1),(226,'2019_08_26_133419_update_price_fields_decimal_point',1),(227,'2019_08_27_103724_create_essentials_allowance_and_deduction_table',1),(228,'2019_08_27_105236_create_essentials_user_allowances_and_deductions',1),(229,'2019_09_02_160054_remove_location_permissions_from_roles',1),(230,'2019_09_03_185259_add_permission_for_pos_screen',1),(231,'2019_09_04_163141_add_location_id_to_cash_registers_table',1),(232,'2019_09_04_184008_create_types_of_services_table',1),(233,'2019_09_06_131445_add_types_of_service_fields_to_transactions_table',1),(234,'2019_09_09_134810_add_default_selling_price_group_id_column_to_business_locations_table',1),(235,'2019_09_12_105616_create_product_locations_table',1),(236,'2019_09_17_122522_add_custom_labels_column_to_business_table',1),(237,'2019_09_18_164319_add_shipping_fields_to_transactions_table',1),(238,'2019_09_19_170927_close_all_active_registers',1),(239,'2019_09_20_115906_add_more_columns_to_essentials_to_dos_table',1),(240,'2019_09_23_120439_create_essentials_todo_comments_table',1),(241,'2019_09_23_161906_add_media_description_cloumn_to_media_table',1),(242,'2019_10_18_155633_create_account_types_table',1),(243,'2019_10_22_163335_add_common_settings_column_to_business_table',1),(244,'2019_10_29_132521_add_update_purchase_status_permission',1),(245,'2019_11_05_115136_create_ingredient_groups_table',1),(246,'2019_11_09_110522_add_indexing_to_lot_number',1),(247,'2019_11_19_170824_add_is_active_column_to_business_locations_table',1),(248,'2019_11_21_162913_change_quantity_field_types_to_decimal',1),(249,'2019_11_25_160340_modify_categories_table_for_polymerphic_relationship',1),(250,'2019_12_02_105025_create_warranties_table',1),(251,'2019_12_03_180342_add_common_settings_field_to_invoice_layouts_table',1),(252,'2019_12_05_170724_add_hrm_columns_to_users_table',1),(253,'2019_12_05_183955_add_more_fields_to_users_table',1),(254,'2019_12_06_174904_add_change_return_label_column_to_invoice_layouts_table',1),(255,'2019_12_09_105809_add_allowance_and_deductions_permission',1),(256,'2019_12_11_121307_add_draft_and_quotation_list_permissions',1),(257,'2019_12_12_180126_copy_expense_total_to_total_before_tax',1),(258,'2019_12_19_181412_make_alert_quantity_field_nullable_on_products_table',1),(259,'2019_12_25_173413_create_dashboard_configurations_table',1),(260,'2020_01_08_133506_create_document_and_notes_table',1),(261,'2020_01_09_113252_add_cc_bcc_column_to_notification_templates_table',1),(262,'2020_01_16_174818_add_round_off_amount_field_to_transactions_table',1),(263,'2020_01_28_162345_add_weighing_scale_settings_in_business_settings_table',1),(264,'2020_02_18_172447_add_import_fields_to_transactions_table',1),(265,'2020_02_22_120303_add_column_to_mfg_recipe_ingredients_table',1),(266,'2020_03_13_135844_add_is_active_column_to_selling_price_groups_table',1),(267,'2020_03_16_115449_add_contact_status_field_to_contacts_table',1),(268,'2020_03_26_124736_add_allow_login_column_in_users_table',1),(269,'2020_03_28_152838_create_essentials_shift_table',1),(270,'2020_03_30_162029_create_user_shifts_table',1),(271,'2020_03_31_134558_add_shift_id_to_attendance_table',1),(272,'2020_04_13_154150_add_feature_products_column_to_business_loactions',1),(273,'2020_04_15_151802_add_user_type_to_users_table',1),(274,'2020_04_22_153905_add_subscription_repeat_on_column_to_transactions_table',1),(275,'2020_04_28_111436_add_shipping_address_to_contacts_table',1),(276,'2020_06_01_094654_add_max_sale_discount_column_to_users_table',1),(277,'2020_06_12_162245_modify_contacts_table',1),(278,'2020_06_22_103104_change_recur_interval_default_to_one',1),(279,'2020_07_09_174621_add_balance_field_to_contacts_table',1),(280,'2020_07_23_104933_change_status_column_to_varchar_in_transaction_table',1),(281,'2020_09_07_171059_change_completed_stock_transfer_status_to_final',1),(282,'2020_09_21_123224_modify_booking_status_column_in_bookings_table',1),(283,'2020_09_22_121639_create_discount_variations_table',1),(284,'2020_10_05_121550_modify_business_location_table_for_invoice_layout',1),(285,'2020_10_16_175726_set_status_as_received_for_opening_stock',1);
/*!40000 ALTER TABLE `migrations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `model_has_permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `model_has_permissions` (
  `permission_id` int(10) unsigned NOT NULL,
  `model_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `model_id` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`permission_id`,`model_id`,`model_type`),
  KEY `model_has_permissions_model_type_model_id_index` (`model_type`,`model_id`),
  CONSTRAINT `model_has_permissions_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `model_has_permissions` WRITE;
/*!40000 ALTER TABLE `model_has_permissions` DISABLE KEYS */;
INSERT INTO `model_has_permissions` VALUES (88,'App\\User',2),(88,'App\\User',3),(88,'App\\User',4);
/*!40000 ALTER TABLE `model_has_permissions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `model_has_roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `model_has_roles` (
  `role_id` int(10) unsigned NOT NULL,
  `model_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `model_id` bigint(20) unsigned NOT NULL,
  PRIMARY KEY (`role_id`,`model_id`,`model_type`),
  KEY `model_has_roles_model_type_model_id_index` (`model_type`,`model_id`),
  CONSTRAINT `model_has_roles_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `model_has_roles` WRITE;
/*!40000 ALTER TABLE `model_has_roles` DISABLE KEYS */;
INSERT INTO `model_has_roles` VALUES (1,'App\\User',1),(2,'App\\User',3),(2,'App\\User',4),(3,'App\\User',2);
/*!40000 ALTER TABLE `model_has_roles` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `notification_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `notification_templates` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(11) NOT NULL,
  `template_for` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `email_body` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sms_body` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cc` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bcc` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `auto_send` tinyint(1) NOT NULL DEFAULT 0,
  `auto_send_sms` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=10 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `notification_templates` WRITE;
/*!40000 ALTER TABLE `notification_templates` DISABLE KEYS */;
INSERT INTO `notification_templates` VALUES (1,1,'new_sale','<p>Dear {contact_name},</p>\n\n                    <p>Your invoice number is {invoice_number}<br />\n                    Total amount: {total_amount}<br />\n                    Paid amount: {received_amount}</p>\n\n                    <p>Thank you for shopping with us.</p>\n\n                    <p>{business_logo}</p>\n\n                    <p>&nbsp;</p>','Dear {contact_name}, Thank you for shopping with us. {business_name}','Thank you from {business_name}',NULL,NULL,0,0,'2022-05-24 00:59:04','2022-05-24 00:59:04'),(2,1,'payment_received','<p>Dear {contact_name},</p>\n\n                <p>We have received a payment of {received_amount}</p>\n\n                <p>{business_logo}</p>','Dear {contact_name}, We have received a payment of {received_amount}. {business_name}','Payment Received, from {business_name}',NULL,NULL,0,0,'2022-05-24 00:59:04','2022-05-24 00:59:04'),(3,1,'payment_reminder','<p>Dear {contact_name},</p>\n\n                    <p>This is to remind you that you have pending payment of {due_amount}. Kindly pay it as soon as possible.</p>\n\n                    <p>{business_logo}</p>','Dear {contact_name}, You have pending payment of {due_amount}. Kindly pay it as soon as possible. {business_name}','Payment Reminder, from {business_name}',NULL,NULL,0,0,'2022-05-24 00:59:04','2022-05-24 00:59:04'),(4,1,'new_booking','<p>Dear {contact_name},</p>\n\n                    <p>Your booking is confirmed</p>\n\n                    <p>Date: {start_time} to {end_time}</p>\n\n                    <p>Table: {table}</p>\n\n                    <p>Location: {location}</p>\n\n                    <p>{business_logo}</p>','Dear {contact_name}, Your booking is confirmed. Date: {start_time} to {end_time}, Table: {table}, Location: {location}','Booking Confirmed - {business_name}',NULL,NULL,0,0,'2022-05-24 00:59:04','2022-05-24 00:59:04'),(5,1,'new_order','<p>Dear {contact_name},</p>\n\n                    <p>We have a new order with reference number {order_ref_number}. Kindly process the products as soon as possible.</p>\n\n                    <p>{business_name}<br />\n                    {business_logo}</p>','Dear {contact_name}, We have a new order with reference number {order_ref_number}. Kindly process the products as soon as possible. {business_name}','New Order, from {business_name}',NULL,NULL,0,0,'2022-05-24 00:59:04','2022-05-24 00:59:04'),(6,1,'payment_paid','<p>Dear {contact_name},</p>\n\n                    <p>We have paid amount {paid_amount} again invoice number {order_ref_number}.<br />\n                    Kindly note it down.</p>\n\n                    <p>{business_name}<br />\n                    {business_logo}</p>','We have paid amount {paid_amount} again invoice number {order_ref_number}.\n                    Kindly note it down. {business_name}','Payment Paid, from {business_name}',NULL,NULL,0,0,'2022-05-24 00:59:04','2022-05-24 00:59:04'),(7,1,'items_received','<p>Dear {contact_name},</p>\n\n                    <p>We have received all items from invoice reference number {order_ref_number}. Thank you for processing it.</p>\n\n                    <p>{business_name}<br />\n                    {business_logo}</p>','We have received all items from invoice reference number {order_ref_number}. Thank you for processing it. {business_name}','Items received, from {business_name}',NULL,NULL,0,0,'2022-05-24 00:59:04','2022-05-24 00:59:04'),(8,1,'items_pending','<p>Dear {contact_name},<br />\n                    This is to remind you that we have not yet received some items from invoice reference number {order_ref_number}. Please process it as soon as possible.</p>\n\n                    <p>{business_name}<br />\n                    {business_logo}</p>','This is to remind you that we have not yet received some items from invoice reference number {order_ref_number} . Please process it as soon as possible.{business_name}','Items Pending, from {business_name}',NULL,NULL,0,0,'2022-05-24 00:59:04','2022-05-24 00:59:04'),(9,1,'new_quotation','<p>Dear {contact_name},</p>\n\n                    <p>Your quotation number is {invoice_number}<br />\n                    Total amount: {total_amount}</p>\n\n                    <p>Thank you for shopping with us.</p>\n\n                    <p>{business_logo}</p>\n\n                    <p>&nbsp;</p>','Dear {contact_name}, Thank you for shopping with us. {business_name}','Thank you from {business_name}',NULL,NULL,0,0,'2022-05-24 00:59:04','2022-05-24 00:59:04');
/*!40000 ALTER TABLE `notification_templates` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `notifications`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `notifications` (
  `id` char(36) COLLATE utf8mb4_unicode_ci NOT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `notifiable_id` bigint(20) unsigned NOT NULL,
  `data` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `read_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `notifications_notifiable_type_notifiable_id_index` (`notifiable_type`,`notifiable_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `notifications` WRITE;
/*!40000 ALTER TABLE `notifications` DISABLE KEYS */;
/*!40000 ALTER TABLE `notifications` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `packages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `packages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `location_count` int(11) NOT NULL COMMENT 'No. of Business Locations, 0 = infinite option.',
  `user_count` int(11) NOT NULL,
  `product_count` int(11) NOT NULL,
  `bookings` tinyint(1) NOT NULL DEFAULT 0 COMMENT 'Enable/Disable bookings',
  `kitchen` tinyint(1) NOT NULL DEFAULT 0 COMMENT 'Enable/Disable kitchen',
  `order_screen` tinyint(1) NOT NULL DEFAULT 0 COMMENT 'Enable/Disable order_screen',
  `tables` tinyint(1) NOT NULL DEFAULT 0 COMMENT 'Enable/Disable tables',
  `invoice_count` int(11) NOT NULL,
  `interval` enum('days','months','years') COLLATE utf8mb4_unicode_ci NOT NULL,
  `interval_count` int(11) NOT NULL,
  `trial_days` int(11) NOT NULL,
  `price` decimal(22,4) NOT NULL,
  `custom_permissions` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_by` int(11) NOT NULL,
  `sort_order` int(11) NOT NULL DEFAULT 0,
  `is_active` tinyint(1) NOT NULL,
  `is_private` tinyint(1) NOT NULL DEFAULT 0,
  `is_one_time` tinyint(1) NOT NULL DEFAULT 0,
  `enable_custom_link` tinyint(1) NOT NULL DEFAULT 0,
  `custom_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_link_text` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `packages` WRITE;
/*!40000 ALTER TABLE `packages` DISABLE KEYS */;
INSERT INTO `packages` VALUES (1,'Intermediate','Accesos para snack, cafeteria and more.',1,4,0,0,0,0,0,0,'years',1,0,2500.0000,'',1,1,1,0,0,0,'','',NULL,'2022-05-23 15:44:47','2022-06-24 11:51:47');
/*!40000 ALTER TABLE `packages` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `password_resets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `password_resets` (
  `email` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `token` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  KEY `password_resets_email_index` (`email`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `password_resets` WRITE;
/*!40000 ALTER TABLE `password_resets` DISABLE KEYS */;
/*!40000 ALTER TABLE `password_resets` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `permissions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `guard_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=91 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `permissions` WRITE;
/*!40000 ALTER TABLE `permissions` DISABLE KEYS */;
INSERT INTO `permissions` VALUES (1,'profit_loss_report.view','web','2022-05-24 00:49:42',NULL),(2,'direct_sell.access','web','2022-05-24 00:49:42',NULL),(3,'product.opening_stock','web','2022-05-24 00:49:44','2022-05-24 00:49:44'),(4,'crud_all_bookings','web','2022-05-24 00:49:45','2022-05-24 00:49:45'),(5,'crud_own_bookings','web','2022-05-24 00:49:45','2022-05-24 00:49:45'),(6,'access_default_selling_price','web','2022-05-24 00:49:46','2022-05-24 00:49:46'),(7,'purchase.payments','web','2022-05-24 00:49:49','2022-05-24 00:49:49'),(8,'sell.payments','web','2022-05-24 00:49:49','2022-05-24 00:49:49'),(9,'edit_product_price_from_sale_screen','web','2022-05-24 00:49:49','2022-05-24 00:49:49'),(10,'edit_product_discount_from_sale_screen','web','2022-05-24 00:49:49','2022-05-24 00:49:49'),(11,'roles.view','web','2022-05-24 00:49:49','2022-05-24 00:49:49'),(12,'roles.create','web','2022-05-24 00:49:49','2022-05-24 00:49:49'),(13,'roles.update','web','2022-05-24 00:49:49','2022-05-24 00:49:49'),(14,'roles.delete','web','2022-05-24 00:49:49','2022-05-24 00:49:49'),(15,'account.access','web','2022-05-24 00:49:49','2022-05-24 00:49:49'),(16,'discount.access','web','2022-05-24 00:49:50','2022-05-24 00:49:50'),(17,'essentials.create_message','web','2022-05-24 00:49:50','2022-05-24 00:49:50'),(18,'essentials.view_message','web','2022-05-24 00:49:50','2022-05-24 00:49:50'),(19,'view_purchase_price','web','2022-05-24 00:49:50','2022-05-24 00:49:50'),(20,'view_own_sell_only','web','2022-05-24 00:49:50','2022-05-24 00:49:50'),(21,'manufacturing.access_recipe','web','2022-05-24 00:49:51','2022-05-24 00:49:51'),(22,'manufacturing.access_production','web','2022-05-24 00:49:51','2022-05-24 00:49:51'),(23,'manufacturing.add_recipe','web','2022-05-24 00:49:51','2022-05-24 00:49:51'),(24,'manufacturing.edit_recipe','web','2022-05-24 00:49:51','2022-05-24 00:49:51'),(25,'essentials.approve_leave','web','2022-05-24 00:49:51','2022-05-24 00:49:51'),(26,'edit_product_discount_from_pos_screen','web','2022-05-24 00:49:51','2022-05-24 00:49:51'),(27,'edit_product_price_from_pos_screen','web','2022-05-24 00:49:51','2022-05-24 00:49:51'),(28,'access_shipping','web','2022-05-24 00:49:52','2022-05-24 00:49:52'),(29,'essentials.assign_todos','web','2022-05-24 00:49:52','2022-05-24 00:49:52'),(30,'purchase.update_status','web','2022-05-24 00:49:52','2022-05-24 00:49:52'),(31,'essentials.add_allowance_and_deduction','web','2022-05-24 00:49:52','2022-05-24 00:49:52'),(32,'list_drafts','web','2022-05-24 00:49:52','2022-05-24 00:49:52'),(33,'list_quotations','web','2022-05-24 00:49:52','2022-05-24 00:49:52'),(34,'user.view','web','2022-05-24 00:49:54',NULL),(35,'user.create','web','2022-05-24 00:49:54',NULL),(36,'user.update','web','2022-05-24 00:49:54',NULL),(37,'user.delete','web','2022-05-24 00:49:54',NULL),(38,'supplier.view','web','2022-05-24 00:49:54',NULL),(39,'supplier.create','web','2022-05-24 00:49:54',NULL),(40,'supplier.update','web','2022-05-24 00:49:54',NULL),(41,'supplier.delete','web','2022-05-24 00:49:54',NULL),(42,'customer.view','web','2022-05-24 00:49:54',NULL),(43,'customer.create','web','2022-05-24 00:49:54',NULL),(44,'customer.update','web','2022-05-24 00:49:54',NULL),(45,'customer.delete','web','2022-05-24 00:49:54',NULL),(46,'product.view','web','2022-05-24 00:49:54',NULL),(47,'product.create','web','2022-05-24 00:49:54',NULL),(48,'product.update','web','2022-05-24 00:49:54',NULL),(49,'product.delete','web','2022-05-24 00:49:54',NULL),(50,'purchase.view','web','2022-05-24 00:49:54',NULL),(51,'purchase.create','web','2022-05-24 00:49:54',NULL),(52,'purchase.update','web','2022-05-24 00:49:54',NULL),(53,'purchase.delete','web','2022-05-24 00:49:54',NULL),(54,'sell.view','web','2022-05-24 00:49:54',NULL),(55,'sell.create','web','2022-05-24 00:49:54',NULL),(56,'sell.update','web','2022-05-24 00:49:54',NULL),(57,'sell.delete','web','2022-05-24 00:49:54',NULL),(58,'purchase_n_sell_report.view','web','2022-05-24 00:49:54',NULL),(59,'contacts_report.view','web','2022-05-24 00:49:54',NULL),(60,'stock_report.view','web','2022-05-24 00:49:54',NULL),(61,'tax_report.view','web','2022-05-24 00:49:54',NULL),(62,'trending_product_report.view','web','2022-05-24 00:49:54',NULL),(63,'register_report.view','web','2022-05-24 00:49:54',NULL),(64,'sales_representative.view','web','2022-05-24 00:49:54',NULL),(65,'expense_report.view','web','2022-05-24 00:49:54',NULL),(66,'business_settings.access','web','2022-05-24 00:49:54',NULL),(67,'barcode_settings.access','web','2022-05-24 00:49:54',NULL),(68,'invoice_settings.access','web','2022-05-24 00:49:54',NULL),(69,'brand.view','web','2022-05-24 00:49:54',NULL),(70,'brand.create','web','2022-05-24 00:49:54',NULL),(71,'brand.update','web','2022-05-24 00:49:54',NULL),(72,'brand.delete','web','2022-05-24 00:49:54',NULL),(73,'tax_rate.view','web','2022-05-24 00:49:54',NULL),(74,'tax_rate.create','web','2022-05-24 00:49:54',NULL),(75,'tax_rate.update','web','2022-05-24 00:49:54',NULL),(76,'tax_rate.delete','web','2022-05-24 00:49:54',NULL),(77,'unit.view','web','2022-05-24 00:49:54',NULL),(78,'unit.create','web','2022-05-24 00:49:54',NULL),(79,'unit.update','web','2022-05-24 00:49:54',NULL),(80,'unit.delete','web','2022-05-24 00:49:54',NULL),(81,'category.view','web','2022-05-24 00:49:54',NULL),(82,'category.create','web','2022-05-24 00:49:54',NULL),(83,'category.update','web','2022-05-24 00:49:54',NULL),(84,'category.delete','web','2022-05-24 00:49:54',NULL),(85,'expense.access','web','2022-05-24 00:49:54',NULL),(86,'access_all_locations','web','2022-05-24 00:49:54',NULL),(87,'dashboard.data','web','2022-05-24 00:49:54',NULL),(88,'location.1','web','2022-05-24 00:59:04','2022-05-24 00:59:04'),(89,'view_own_purchase','web','2022-05-23 15:35:03','2022-05-23 15:35:03'),(90,'view_product_stock_value','web','2022-05-23 15:35:03','2022-05-23 15:35:03');
/*!40000 ALTER TABLE `permissions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `printers`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `printers` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(10) unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `connection_type` enum('network','windows','linux') COLLATE utf8mb4_unicode_ci NOT NULL,
  `capability_profile` enum('default','simple','SP2000','TEP-200M','P822D') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'default',
  `char_per_line` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ip_address` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `port` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `path` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_by` int(10) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `printers_business_id_foreign` (`business_id`),
  CONSTRAINT `printers_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `printers` WRITE;
/*!40000 ALTER TABLE `printers` DISABLE KEYS */;
/*!40000 ALTER TABLE `printers` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `product_locations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `product_locations` (
  `product_id` int(11) NOT NULL,
  `location_id` int(11) NOT NULL,
  KEY `product_locations_product_id_index` (`product_id`),
  KEY `product_locations_location_id_index` (`location_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `product_locations` WRITE;
/*!40000 ALTER TABLE `product_locations` DISABLE KEYS */;
INSERT INTO `product_locations` VALUES (1,1),(2,1),(3,1),(4,1),(5,1),(6,1),(7,1),(8,1),(9,1),(10,1),(11,1),(12,1),(13,1),(14,1),(15,1),(16,1),(17,1),(18,1),(19,1),(20,1),(21,1),(22,1),(23,1),(24,1),(25,1),(26,1),(27,1),(28,1),(29,1),(30,1),(31,1),(32,1),(33,1),(34,1),(35,1),(36,1),(37,1),(38,1),(39,1),(40,1),(41,1),(42,1),(43,1),(44,1),(45,1),(46,1),(47,1),(48,1),(49,1),(50,1),(51,1),(52,1),(53,1),(54,1),(55,1),(56,1),(57,1),(58,1),(59,1),(60,1),(61,1);
/*!40000 ALTER TABLE `product_locations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `product_racks`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `product_racks` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(10) unsigned NOT NULL,
  `location_id` int(10) unsigned NOT NULL,
  `product_id` int(10) unsigned NOT NULL,
  `rack` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `row` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `position` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `product_racks` WRITE;
/*!40000 ALTER TABLE `product_racks` DISABLE KEYS */;
/*!40000 ALTER TABLE `product_racks` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `product_variations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `product_variations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `variation_template_id` int(11) DEFAULT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_id` int(10) unsigned NOT NULL,
  `is_dummy` tinyint(1) NOT NULL DEFAULT 1,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `product_variations_name_index` (`name`),
  KEY `product_variations_product_id_index` (`product_id`),
  CONSTRAINT `product_variations_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=62 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `product_variations` WRITE;
/*!40000 ALTER TABLE `product_variations` DISABLE KEYS */;
INSERT INTO `product_variations` VALUES (1,NULL,'DUMMY',1,1,'2022-05-23 16:19:13','2022-05-23 16:19:13'),(2,NULL,'DUMMY',2,1,'2022-05-23 16:21:14','2022-05-23 16:21:14'),(3,NULL,'DUMMY',3,1,'2022-05-23 16:21:41','2022-05-23 16:21:41'),(4,NULL,'DUMMY',4,1,'2022-05-23 16:23:14','2022-05-23 16:23:14'),(5,NULL,'DUMMY',5,1,'2022-05-23 16:25:57','2022-05-23 16:25:57'),(6,NULL,'DUMMY',6,1,'2022-05-23 16:26:48','2022-05-23 16:26:48'),(7,NULL,'DUMMY',7,1,'2022-05-23 16:32:22','2022-05-23 16:32:22'),(8,NULL,'DUMMY',8,1,'2022-05-23 16:33:13','2022-05-23 16:33:13'),(9,NULL,'DUMMY',9,1,'2022-05-23 16:33:52','2022-05-23 16:33:52'),(10,NULL,'DUMMY',10,1,'2022-05-23 16:34:22','2022-05-23 16:34:22'),(11,NULL,'DUMMY',11,1,'2022-05-23 16:35:26','2022-05-23 16:35:26'),(12,NULL,'DUMMY',12,1,'2022-05-23 16:36:01','2022-05-23 16:36:01'),(13,NULL,'DUMMY',13,1,'2022-05-23 16:39:34','2022-05-23 16:39:34'),(14,NULL,'DUMMY',14,1,'2022-05-23 16:49:01','2022-05-23 16:49:01'),(15,NULL,'DUMMY',15,1,'2022-05-23 16:49:43','2022-05-23 16:49:43'),(16,NULL,'DUMMY',16,1,'2022-05-23 16:50:13','2022-05-23 16:50:13'),(17,NULL,'DUMMY',17,1,'2022-05-23 16:50:45','2022-05-23 16:50:45'),(18,NULL,'DUMMY',18,1,'2022-05-23 16:54:42','2022-05-23 16:54:42'),(19,NULL,'DUMMY',19,1,'2022-05-23 16:55:10','2022-05-23 16:55:10'),(20,NULL,'DUMMY',20,1,'2022-05-23 16:55:47','2022-05-23 16:55:47'),(21,NULL,'DUMMY',21,1,'2022-05-23 16:56:32','2022-05-23 16:56:32'),(22,NULL,'DUMMY',22,1,'2022-05-23 16:57:03','2022-05-23 16:57:03'),(23,NULL,'DUMMY',23,1,'2022-05-23 17:00:34','2022-05-23 17:00:34'),(24,NULL,'DUMMY',24,1,'2022-05-23 17:01:01','2022-05-23 17:01:01'),(25,NULL,'DUMMY',25,1,'2022-05-23 17:01:31','2022-05-23 17:01:31'),(26,NULL,'DUMMY',26,1,'2022-05-23 17:02:17','2022-05-23 17:02:17'),(27,NULL,'DUMMY',27,1,'2022-05-23 17:05:36','2022-05-23 17:05:36'),(28,NULL,'DUMMY',28,1,'2022-05-23 17:06:00','2022-05-23 17:06:00'),(29,NULL,'DUMMY',29,1,'2022-05-23 17:06:28','2022-05-23 17:06:28'),(30,NULL,'DUMMY',30,1,'2022-05-23 17:06:52','2022-05-23 17:06:52'),(31,NULL,'DUMMY',31,1,'2022-05-24 15:24:39','2022-05-24 15:24:39'),(32,NULL,'DUMMY',32,1,'2022-05-24 15:25:08','2022-05-24 15:25:08'),(33,NULL,'DUMMY',33,1,'2022-05-24 15:25:43','2022-05-24 15:25:43'),(34,NULL,'DUMMY',34,1,'2022-05-24 15:26:12','2022-05-24 15:26:12'),(35,NULL,'DUMMY',35,1,'2022-05-24 15:26:52','2022-05-24 15:26:52'),(36,NULL,'DUMMY',36,1,'2022-05-24 15:28:37','2022-05-24 15:28:37'),(37,NULL,'DUMMY',37,1,'2022-05-24 15:29:15','2022-05-24 15:29:15'),(38,NULL,'DUMMY',38,1,'2022-05-24 15:29:42','2022-05-24 15:29:42'),(39,NULL,'DUMMY',39,1,'2022-05-24 15:30:01','2022-05-24 15:30:01'),(40,NULL,'DUMMY',40,1,'2022-06-20 19:21:32','2022-06-20 19:21:32'),(41,NULL,'DUMMY',41,1,'2022-06-20 19:50:09','2022-06-20 19:50:09'),(42,NULL,'DUMMY',42,1,'2022-06-20 19:50:54','2022-06-20 19:50:54'),(43,NULL,'DUMMY',43,1,'2022-06-20 19:51:17','2022-06-20 19:51:17'),(44,NULL,'DUMMY',44,1,'2022-06-20 19:51:40','2022-06-20 19:51:40'),(45,NULL,'DUMMY',45,1,'2022-06-20 19:52:05','2022-06-20 19:52:05'),(46,NULL,'DUMMY',46,1,'2022-06-20 19:52:22','2022-06-20 19:52:22'),(47,NULL,'DUMMY',47,1,'2022-06-21 15:20:57','2022-06-21 15:20:57'),(48,NULL,'DUMMY',48,1,'2022-06-23 15:24:10','2022-06-23 15:24:10'),(49,NULL,'DUMMY',49,1,'2022-07-12 14:34:05','2022-07-12 14:34:05'),(50,NULL,'DUMMY',50,1,'2022-07-13 14:20:46','2022-07-13 14:20:46'),(51,NULL,'DUMMY',51,1,'2022-07-13 14:21:17','2022-07-13 14:21:17'),(52,NULL,'DUMMY',52,1,'2022-07-13 14:21:38','2022-07-13 14:21:38'),(53,NULL,'DUMMY',53,1,'2022-07-13 14:22:03','2022-07-13 14:22:03'),(54,NULL,'DUMMY',54,1,'2022-07-13 14:22:24','2022-07-13 14:22:24'),(55,NULL,'DUMMY',55,1,'2022-07-13 14:51:22','2022-07-13 14:51:22'),(56,NULL,'DUMMY',56,1,'2022-07-13 14:51:57','2022-07-13 14:51:57'),(57,NULL,'DUMMY',57,1,'2022-07-13 14:52:25','2022-07-13 14:52:25'),(58,NULL,'DUMMY',58,1,'2022-07-13 20:00:50','2022-07-13 20:00:50'),(59,NULL,'DUMMY',59,1,'2022-07-13 20:01:21','2022-07-13 20:01:21'),(60,NULL,'DUMMY',60,1,'2022-08-09 19:02:06','2022-08-09 19:02:06'),(61,NULL,'DUMMY',61,1,'2022-08-09 19:02:32','2022-08-09 19:02:32');
/*!40000 ALTER TABLE `product_variations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `products`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `products` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `business_id` int(10) unsigned NOT NULL,
  `type` enum('single','variable','modifier','combo') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `unit_id` int(11) unsigned DEFAULT NULL,
  `sub_unit_ids` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `brand_id` int(10) unsigned DEFAULT NULL,
  `category_id` int(10) unsigned DEFAULT NULL,
  `sub_category_id` int(10) unsigned DEFAULT NULL,
  `tax` int(10) unsigned DEFAULT NULL,
  `tax_type` enum('inclusive','exclusive') COLLATE utf8mb4_unicode_ci NOT NULL,
  `enable_stock` tinyint(1) NOT NULL DEFAULT 0,
  `alert_quantity` decimal(22,4) DEFAULT NULL,
  `sku` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `barcode_type` enum('C39','C128','EAN13','EAN8','UPCA','UPCE') COLLATE utf8mb4_unicode_ci DEFAULT 'C128',
  `expiry_period` decimal(4,2) DEFAULT NULL,
  `expiry_period_type` enum('days','months') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `enable_sr_no` tinyint(1) NOT NULL DEFAULT 0,
  `weight` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_custom_field1` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_custom_field2` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_custom_field3` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_custom_field4` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `image` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_by` int(10) unsigned NOT NULL,
  `warranty_id` int(11) DEFAULT NULL,
  `is_inactive` tinyint(1) NOT NULL DEFAULT 0,
  `not_for_selling` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `products_brand_id_foreign` (`brand_id`),
  KEY `products_category_id_foreign` (`category_id`),
  KEY `products_sub_category_id_foreign` (`sub_category_id`),
  KEY `products_tax_foreign` (`tax`),
  KEY `products_name_index` (`name`),
  KEY `products_business_id_index` (`business_id`),
  KEY `products_unit_id_index` (`unit_id`),
  KEY `products_created_by_index` (`created_by`),
  KEY `products_warranty_id_index` (`warranty_id`),
  CONSTRAINT `products_brand_id_foreign` FOREIGN KEY (`brand_id`) REFERENCES `brands` (`id`) ON DELETE CASCADE,
  CONSTRAINT `products_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `products_category_id_foreign` FOREIGN KEY (`category_id`) REFERENCES `categories` (`id`) ON DELETE CASCADE,
  CONSTRAINT `products_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  CONSTRAINT `products_sub_category_id_foreign` FOREIGN KEY (`sub_category_id`) REFERENCES `categories` (`id`) ON DELETE CASCADE,
  CONSTRAINT `products_tax_foreign` FOREIGN KEY (`tax`) REFERENCES `tax_rates` (`id`),
  CONSTRAINT `products_unit_id_foreign` FOREIGN KEY (`unit_id`) REFERENCES `units` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=62 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `products` WRITE;
/*!40000 ALTER TABLE `products` DISABLE KEYS */;
INSERT INTO `products` VALUES (1,'JUGO DE LIMON',1,'single',1,NULL,NULL,1,2,NULL,'exclusive',1,NULL,'0001','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653323070_Captura de Pantalla 2022-05-23 a la(s) 12.09.32 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:19:13','2022-05-23 16:24:30'),(2,'JUGO DE PIÑA',1,'single',1,NULL,NULL,1,2,NULL,'exclusive',1,NULL,'0002','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653323122_Captura de Pantalla 2022-05-23 a la(s) 12.10.01 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:21:14','2022-05-23 16:25:22'),(3,'JUGO DE CEREZA',1,'single',1,NULL,NULL,1,2,NULL,'exclusive',1,NULL,'0003','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653322901_Captura de Pantalla 2022-05-23 a la(s) 12.08.34 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:21:41','2022-05-23 16:21:41'),(4,'JUGO DE CHINOLA',1,'single',1,NULL,NULL,1,2,NULL,'exclusive',1,NULL,'0004','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653322994_Captura de Pantalla 2022-05-23 a la(s) 12.08.58 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:23:14','2022-05-23 16:23:14'),(5,'JUGO DE TAMARINDO',1,'single',1,NULL,NULL,1,2,NULL,'exclusive',1,NULL,'0005','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653323157_Captura de Pantalla 2022-05-23 a la(s) 12.10.47 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:25:57','2022-05-23 16:25:57'),(6,'JUGO DE AVENA-LIMON',1,'single',1,NULL,NULL,1,2,NULL,'exclusive',1,NULL,'0006','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653323208_Captura de Pantalla 2022-05-23 a la(s) 12.11.57 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:26:48','2022-05-23 16:26:48'),(7,'JUGO DE AVENA-CHINOLA',1,'single',1,NULL,NULL,1,2,NULL,'exclusive',1,NULL,'0007','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653323542_Captura de Pantalla 2022-05-23 a la(s) 12.12.30 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:32:22','2022-05-23 16:32:22'),(8,'JUGO DE ZANAHORIA',1,'single',1,NULL,NULL,1,3,NULL,'exclusive',1,NULL,'0008','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653323593_Captura de Pantalla 2022-05-23 a la(s) 12.14.28 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:33:13','2022-05-23 16:33:13'),(9,'JUGO DE FRESA',1,'single',1,NULL,NULL,1,3,NULL,'exclusive',1,NULL,'0009','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653323632_Captura de Pantalla 2022-05-23 a la(s) 12.13.55 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:33:52','2022-05-23 16:33:52'),(10,'JUGO FRUIT PUNCH',1,'single',1,NULL,NULL,1,3,NULL,'exclusive',1,NULL,'0010','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653323662_Captura de Pantalla 2022-05-23 a la(s) 12.15.48 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:34:22','2022-05-23 16:34:22'),(11,'MORIR SOÑANDO',1,'single',1,NULL,NULL,1,4,NULL,'exclusive',1,NULL,'0011','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653323726_Captura de Pantalla 2022-05-23 a la(s) 12.17.04 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:35:26','2022-05-24 18:03:46'),(12,'PIÑA COLADA',1,'single',1,NULL,NULL,1,4,NULL,'exclusive',1,NULL,'0012','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653323761_Captura de Pantalla 2022-05-23 a la(s) 12.17.40 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:36:01','2022-06-21 17:14:55'),(13,'JUGO DE CHINOLA-FRESA',1,'single',1,NULL,NULL,1,3,NULL,'exclusive',1,NULL,'0013','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653323974_Captura de Pantalla 2022-05-23 a la(s) 12.38.52 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:39:34','2022-05-23 16:39:34'),(14,'CHEESECAKE DULCE LECHE',1,'single',1,NULL,NULL,5,6,NULL,'exclusive',1,NULL,'0014','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653324541_Captura de Pantalla 2022-05-23 a la(s) 12.45.56 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:49:01','2022-05-23 16:53:42'),(15,'CHEESECAKE DE OREO',1,'single',1,NULL,NULL,5,6,NULL,'exclusive',1,NULL,'0015','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653324583_Captura de Pantalla 2022-05-23 a la(s) 12.46.31 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:49:43','2022-05-23 16:53:33'),(16,'DELICIA DE CHINOLA',1,'single',1,NULL,NULL,5,6,NULL,'exclusive',1,NULL,'0016','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653324613_Captura de Pantalla 2022-05-23 a la(s) 12.46.51 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:50:13','2022-05-23 16:50:13'),(17,'CHEESECAKE DE FRESA',1,'single',1,NULL,NULL,5,6,NULL,'exclusive',1,NULL,'0017','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653324645_Captura de Pantalla 2022-05-23 a la(s) 12.46.20 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:50:45','2022-05-23 16:53:03'),(18,'FLAN DULCE LECHE',1,'single',1,NULL,NULL,5,6,NULL,'exclusive',1,NULL,'0018','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653324882_Captura de Pantalla 2022-05-23 a la(s) 12.47.07 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:54:42','2022-05-23 16:54:42'),(19,'TRES LECHES',1,'single',1,NULL,NULL,5,6,NULL,'exclusive',1,NULL,'0019','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653324910_Captura de Pantalla 2022-05-23 a la(s) 12.47.26 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:55:10','2022-05-23 16:55:10'),(20,'CUATRO LECHE',1,'single',1,NULL,NULL,5,6,NULL,'exclusive',1,NULL,'0020','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653324947_Captura de Pantalla 2022-05-23 a la(s) 12.47.40 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:55:47','2022-05-23 16:55:47'),(21,'GELATINA',1,'single',1,NULL,NULL,5,6,NULL,'exclusive',1,NULL,'0021','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653324992_Captura de Pantalla 2022-05-23 a la(s) 12.47.50 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:56:32','2022-05-23 16:56:32'),(22,'ADICIONAL LECHE CONDENSADA',1,'single',1,NULL,NULL,5,6,NULL,'exclusive',1,NULL,'0022','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653325674_Captura de Pantalla 2022-05-23 a la(s) 1.07.37 p. m..png',NULL,1,NULL,0,0,'2022-05-23 16:57:03','2022-05-23 17:07:54'),(23,'COCO HORNEADO',1,'single',1,NULL,NULL,5,7,NULL,'exclusive',1,NULL,'0023','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653325234_Captura de Pantalla 2022-05-23 a la(s) 12.58.40 p. m..png',NULL,1,NULL,0,0,'2022-05-23 17:00:34','2022-05-23 17:00:34'),(24,'BROWNIE',1,'single',1,NULL,NULL,5,7,NULL,'exclusive',1,NULL,'0024','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653325261_Captura de Pantalla 2022-05-23 a la(s) 12.59.18 p. m..png',NULL,1,NULL,0,0,'2022-05-23 17:01:01','2022-07-14 20:38:34'),(25,'EMPANADITAS DE GUAYABA',1,'single',1,NULL,NULL,5,7,NULL,'exclusive',1,NULL,'0025','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653325291_Captura de Pantalla 2022-05-23 a la(s) 12.59.38 p. m..png',NULL,1,NULL,0,0,'2022-05-23 17:01:31','2022-07-14 20:38:54'),(26,'GALLETAS NAPOLITANAS',1,'single',1,NULL,NULL,5,7,NULL,'exclusive',1,NULL,'0026','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653325337_Captura de Pantalla 2022-05-23 a la(s) 12.59.53 p. m..png',NULL,1,NULL,0,0,'2022-05-23 17:02:17','2022-05-23 17:02:17'),(27,'DULCE FRIO',1,'single',1,NULL,NULL,5,8,NULL,'exclusive',1,NULL,'0027','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653325536_Captura de Pantalla 2022-05-23 a la(s) 1.04.12 p. m..png',NULL,1,NULL,0,0,'2022-05-23 17:05:36','2022-05-23 17:05:36'),(28,'QUESILLO',1,'single',1,NULL,NULL,5,8,NULL,'exclusive',1,NULL,'0028','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653325560_Captura de Pantalla 2022-05-23 a la(s) 1.04.25 p. m..png',NULL,1,NULL,0,0,'2022-05-23 17:06:00','2022-07-14 21:00:28'),(29,'PIÑA CON LECHOZA',1,'single',1,NULL,NULL,5,8,NULL,'exclusive',1,NULL,'0029','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653325588_Captura de Pantalla 2022-05-23 a la(s) 1.04.49 p. m..png',NULL,1,NULL,0,0,'2022-05-23 17:06:28','2022-05-23 17:06:28'),(30,'DULCE LECHE CORTADA',1,'single',1,NULL,NULL,5,8,NULL,'exclusive',1,NULL,'0030','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653325612_Captura de Pantalla 2022-05-23 a la(s) 1.05.05 p. m..png',NULL,1,NULL,0,0,'2022-05-23 17:06:52','2022-05-23 17:06:52'),(31,'EMPANADA DE POLLO',1,'single',1,NULL,NULL,9,10,NULL,'exclusive',1,NULL,'0031','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653405879_Captura de Pantalla 2022-05-24 a la(s) 11.21.24 a. m..png',NULL,1,NULL,0,0,'2022-05-24 15:24:39','2022-06-20 19:24:43'),(32,'EMPANADA DE QUESO',1,'single',1,NULL,NULL,9,10,NULL,'exclusive',1,NULL,'0032','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653405908_Captura de Pantalla 2022-05-24 a la(s) 11.21.36 a. m..png',NULL,1,NULL,0,0,'2022-05-24 15:25:08','2022-06-20 19:24:23'),(33,'BAGEL CREAM CHEESE, SALAMI GENOA Y QUESO GOUDA',1,'single',1,NULL,NULL,9,11,NULL,'exclusive',1,NULL,'0033','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653405943_Captura de Pantalla 2022-05-24 a la(s) 11.21.58 a. m..png',NULL,1,NULL,0,0,'2022-05-24 15:25:43','2022-06-20 19:48:59'),(34,'SANDWICH JAMON PAVO Y QUESO MOZARELLA',1,'single',1,NULL,NULL,9,11,NULL,'exclusive',1,NULL,'0034','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653405972_Captura de Pantalla 2022-05-24 a la(s) 11.22.18 a. m..png',NULL,1,NULL,0,0,'2022-05-24 15:26:12','2022-06-20 19:49:37'),(35,'DERRETIDO DE QUESO',1,'single',1,NULL,NULL,9,11,NULL,'exclusive',1,NULL,'0035','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653406012_Captura de Pantalla 2022-05-24 a la(s) 11.22.33 a. m..png',NULL,1,NULL,0,0,'2022-05-24 15:26:52','2022-06-20 19:47:02'),(36,'QUIPES DE POLLO',1,'single',1,NULL,NULL,9,13,NULL,'exclusive',1,NULL,'0036','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653406117_Captura de Pantalla 2022-05-24 a la(s) 11.23.04 a. m..png',NULL,1,NULL,0,0,'2022-05-24 15:28:37','2022-06-20 19:45:39'),(37,'QUIPES DE RES',1,'single',1,NULL,NULL,9,13,NULL,'exclusive',1,NULL,'0037','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653406155_Captura de Pantalla 2022-05-24 a la(s) 11.23.17 a. m..png',NULL,1,NULL,0,0,'2022-05-24 15:29:15','2022-06-20 19:45:19'),(38,'VOLOVANES',1,'single',1,NULL,NULL,9,12,NULL,'exclusive',1,NULL,'0038','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653406182_Captura de Pantalla 2022-05-24 a la(s) 11.23.39 a. m..png',NULL,1,NULL,0,0,'2022-05-24 15:29:42','2022-05-24 15:29:42'),(39,'CROQUETAS',1,'single',1,NULL,NULL,9,12,NULL,'exclusive',1,NULL,'0039','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,'1653406201_Captura de Pantalla 2022-05-24 a la(s) 11.23.52 a. m..png',NULL,1,NULL,0,0,'2022-05-24 15:30:01','2022-06-20 19:25:19'),(40,'EMPANADA DE  PIZZA',1,'single',1,NULL,NULL,9,NULL,NULL,'exclusive',1,NULL,'0040','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-06-20 19:21:32','2022-06-20 19:22:20'),(41,'SANDWICH DE TUNA',1,'single',1,NULL,NULL,9,NULL,NULL,'exclusive',1,NULL,'0041','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-06-20 19:50:09','2022-06-20 19:50:09'),(42,'WRAP JAMON Y QUESO',1,'single',1,NULL,NULL,9,NULL,NULL,'exclusive',1,NULL,'0042','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-06-20 19:50:54','2022-06-20 19:50:54'),(43,'WRAP DE POLLO',1,'single',1,NULL,NULL,9,NULL,NULL,'exclusive',1,NULL,'0043','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-06-20 19:51:17','2022-06-20 19:51:17'),(44,'MINI PIZZAS',1,'single',1,NULL,NULL,9,NULL,NULL,'exclusive',1,NULL,'0044','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-06-20 19:51:40','2022-06-20 19:51:40'),(45,'TEQUEÑOS DE QUESO',1,'single',1,NULL,NULL,9,NULL,NULL,'exclusive',1,NULL,'0045','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-06-20 19:52:05','2022-06-20 19:52:05'),(46,'AGUA',1,'single',1,NULL,NULL,1,NULL,NULL,'exclusive',1,NULL,'0046','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-06-20 19:52:22','2022-06-20 19:52:22'),(47,'Six6Pack',1,'single',1,NULL,NULL,1,NULL,NULL,'exclusive',1,NULL,'0047','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-06-21 15:20:57','2022-06-21 15:20:57'),(48,'Delicia de Ciruela',1,'single',1,NULL,NULL,5,NULL,NULL,'exclusive',1,NULL,'0048','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-06-23 15:24:10','2022-06-23 15:24:10'),(49,'San Bacon',1,'single',1,NULL,NULL,9,NULL,NULL,'exclusive',1,NULL,'0049','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-07-12 14:34:05','2022-07-12 14:34:05'),(50,'Italiano',1,'single',1,NULL,NULL,9,NULL,NULL,'exclusive',1,NULL,'0050','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-07-13 14:20:46','2022-07-13 14:20:46'),(51,'Sandwich Clasico',1,'single',1,NULL,NULL,9,NULL,NULL,'exclusive',1,NULL,'0051','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-07-13 14:21:17','2022-07-13 14:21:17'),(52,'Koreano',1,'single',1,NULL,NULL,5,NULL,NULL,'exclusive',1,NULL,'0052','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-07-13 14:21:38','2022-07-13 14:21:38'),(53,'Sandwich Sencillo',1,'single',1,NULL,NULL,9,NULL,NULL,'exclusive',1,NULL,'0053','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-07-13 14:22:03','2022-07-13 14:22:03'),(54,'Santa Clara',1,'single',1,NULL,NULL,9,NULL,NULL,'exclusive',1,NULL,'0054','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-07-13 14:22:24','2022-07-13 14:22:24'),(55,'Cafe Cortadito 6onz',1,'single',1,NULL,NULL,1,NULL,NULL,'exclusive',1,NULL,'0055','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-07-13 14:51:22','2022-07-13 14:51:22'),(56,'Capuccino 6onz',1,'single',1,NULL,NULL,1,NULL,NULL,'exclusive',1,NULL,'0056','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-07-13 14:51:57','2022-07-13 14:51:57'),(57,'Capuccino 12onz',1,'single',1,NULL,NULL,1,NULL,NULL,'exclusive',1,NULL,'0057','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-07-13 14:52:25','2022-07-13 14:52:25'),(58,'Cafe Clasico 6onz',1,'single',1,NULL,NULL,1,NULL,NULL,'exclusive',1,NULL,'0058','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-07-13 20:00:50','2022-07-13 20:00:50'),(59,'Cafe Clasico 12onz',1,'single',1,NULL,NULL,1,NULL,NULL,'exclusive',1,NULL,'0059','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-07-13 20:01:21','2022-07-13 20:01:21'),(60,'Tostada Jamon y Queso',1,'single',1,NULL,NULL,9,NULL,NULL,'exclusive',1,NULL,'0060','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-08-09 19:02:06','2022-08-09 19:02:06'),(61,'Tostada de Pollo',1,'single',1,NULL,NULL,9,NULL,NULL,'exclusive',1,NULL,'0061','C128',NULL,NULL,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,2,NULL,0,0,'2022-08-09 19:02:32','2022-08-09 19:02:32');
/*!40000 ALTER TABLE `products` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `purchase_lines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `purchase_lines` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `transaction_id` int(10) unsigned NOT NULL,
  `product_id` int(10) unsigned NOT NULL,
  `variation_id` int(10) unsigned NOT NULL,
  `quantity` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `pp_without_discount` decimal(22,4) NOT NULL DEFAULT 0.0000 COMMENT 'Purchase price before inline discounts',
  `discount_percent` decimal(5,2) NOT NULL DEFAULT 0.00 COMMENT 'Inline discount percentage',
  `purchase_price` decimal(22,4) NOT NULL,
  `purchase_price_inc_tax` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `item_tax` decimal(22,4) NOT NULL COMMENT 'Tax for one quantity',
  `tax_id` int(10) unsigned DEFAULT NULL,
  `quantity_sold` decimal(22,4) NOT NULL DEFAULT 0.0000 COMMENT 'Quanity sold from this purchase line',
  `quantity_adjusted` decimal(22,4) NOT NULL DEFAULT 0.0000 COMMENT 'Quanity adjusted in stock adjustment from this purchase line',
  `quantity_returned` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `mfg_quantity_used` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `mfg_date` date DEFAULT NULL,
  `exp_date` date DEFAULT NULL,
  `lot_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_unit_id` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `purchase_lines_transaction_id_foreign` (`transaction_id`),
  KEY `purchase_lines_product_id_foreign` (`product_id`),
  KEY `purchase_lines_variation_id_foreign` (`variation_id`),
  KEY `purchase_lines_tax_id_foreign` (`tax_id`),
  KEY `purchase_lines_sub_unit_id_index` (`sub_unit_id`),
  KEY `purchase_lines_lot_number_index` (`lot_number`),
  CONSTRAINT `purchase_lines_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE,
  CONSTRAINT `purchase_lines_tax_id_foreign` FOREIGN KEY (`tax_id`) REFERENCES `tax_rates` (`id`) ON DELETE CASCADE,
  CONSTRAINT `purchase_lines_transaction_id_foreign` FOREIGN KEY (`transaction_id`) REFERENCES `transactions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `purchase_lines_variation_id_foreign` FOREIGN KEY (`variation_id`) REFERENCES `variations` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `purchase_lines` WRITE;
/*!40000 ALTER TABLE `purchase_lines` DISABLE KEYS */;
/*!40000 ALTER TABLE `purchase_lines` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `reference_counts`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `reference_counts` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `ref_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `ref_count` int(11) NOT NULL,
  `business_id` int(11) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `reference_counts` WRITE;
/*!40000 ALTER TABLE `reference_counts` DISABLE KEYS */;
INSERT INTO `reference_counts` VALUES (1,'contacts',5,1,'2022-05-24 00:59:04','2022-08-05 22:03:15'),(2,'business_location',1,1,'2022-05-24 00:59:04','2022-05-24 00:59:04'),(3,'username',3,1,'2022-05-23 15:47:51','2022-05-24 15:41:20'),(4,'sell_payment',605,1,'2022-05-23 17:08:39','2022-08-09 17:53:21'),(5,'draft',3,1,'2022-06-03 18:49:22','2022-07-11 19:03:51');
/*!40000 ALTER TABLE `reference_counts` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `res_product_modifier_sets`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `res_product_modifier_sets` (
  `modifier_set_id` int(10) unsigned NOT NULL,
  `product_id` int(10) unsigned NOT NULL COMMENT 'Table use to store the modifier sets applicable for a product',
  KEY `res_product_modifier_sets_modifier_set_id_foreign` (`modifier_set_id`),
  CONSTRAINT `res_product_modifier_sets_modifier_set_id_foreign` FOREIGN KEY (`modifier_set_id`) REFERENCES `products` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `res_product_modifier_sets` WRITE;
/*!40000 ALTER TABLE `res_product_modifier_sets` DISABLE KEYS */;
/*!40000 ALTER TABLE `res_product_modifier_sets` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `res_tables`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `res_tables` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(10) unsigned NOT NULL,
  `location_id` int(10) unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_by` int(10) unsigned NOT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `res_tables_business_id_foreign` (`business_id`),
  CONSTRAINT `res_tables_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `res_tables` WRITE;
/*!40000 ALTER TABLE `res_tables` DISABLE KEYS */;
/*!40000 ALTER TABLE `res_tables` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `role_has_permissions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `role_has_permissions` (
  `permission_id` int(10) unsigned NOT NULL,
  `role_id` int(10) unsigned NOT NULL,
  PRIMARY KEY (`permission_id`,`role_id`),
  KEY `role_has_permissions_role_id_foreign` (`role_id`),
  CONSTRAINT `role_has_permissions_permission_id_foreign` FOREIGN KEY (`permission_id`) REFERENCES `permissions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `role_has_permissions_role_id_foreign` FOREIGN KEY (`role_id`) REFERENCES `roles` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `role_has_permissions` WRITE;
/*!40000 ALTER TABLE `role_has_permissions` DISABLE KEYS */;
INSERT INTO `role_has_permissions` VALUES (1,3),(2,3),(3,3),(6,3),(7,3),(8,2),(8,3),(9,3),(10,3),(15,3),(16,3),(17,2),(17,3),(18,2),(18,3),(19,3),(20,2),(20,3),(25,3),(26,3),(27,3),(28,3),(29,3),(30,3),(31,3),(32,2),(32,3),(33,2),(33,3),(38,3),(39,3),(40,3),(42,2),(42,3),(43,2),(43,3),(44,3),(46,2),(46,3),(47,3),(48,3),(50,3),(51,3),(52,3),(53,3),(54,2),(54,3),(55,2),(55,3),(56,3),(57,3),(58,3),(59,3),(60,3),(61,3),(62,3),(63,2),(63,3),(64,3),(65,3),(69,3),(70,3),(71,3),(72,3),(77,3),(78,3),(79,3),(80,3),(81,3),(82,3),(83,3),(84,3),(85,3),(87,3),(89,3),(90,3);
/*!40000 ALTER TABLE `role_has_permissions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `roles`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `roles` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `guard_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `business_id` int(10) unsigned NOT NULL,
  `is_default` tinyint(1) NOT NULL DEFAULT 0,
  `is_service_staff` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `roles_business_id_foreign` (`business_id`),
  CONSTRAINT `roles_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `roles` WRITE;
/*!40000 ALTER TABLE `roles` DISABLE KEYS */;
INSERT INTO `roles` VALUES (1,'Admin#1','web',1,1,0,'2022-05-24 00:59:04','2022-05-24 00:59:04'),(2,'Cashier#1','web',1,0,0,'2022-05-24 00:59:04','2022-05-24 00:59:04'),(3,'Gerente#1','web',1,0,0,'2022-05-23 15:35:03','2022-05-23 15:35:03');
/*!40000 ALTER TABLE `roles` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `sell_line_warranties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sell_line_warranties` (
  `sell_line_id` int(11) NOT NULL,
  `warranty_id` int(11) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `sell_line_warranties` WRITE;
/*!40000 ALTER TABLE `sell_line_warranties` DISABLE KEYS */;
/*!40000 ALTER TABLE `sell_line_warranties` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `selling_price_groups`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `selling_price_groups` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `business_id` int(10) unsigned NOT NULL,
  `is_active` tinyint(1) NOT NULL DEFAULT 1,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `selling_price_groups_business_id_foreign` (`business_id`),
  CONSTRAINT `selling_price_groups_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `selling_price_groups` WRITE;
/*!40000 ALTER TABLE `selling_price_groups` DISABLE KEYS */;
/*!40000 ALTER TABLE `selling_price_groups` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `sessions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `sessions` (
  `id` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `user_id` int(10) unsigned DEFAULT NULL,
  `ip_address` varchar(45) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `user_agent` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payload` text COLLATE utf8mb4_unicode_ci NOT NULL,
  `last_activity` int(11) NOT NULL,
  UNIQUE KEY `sessions_id_unique` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `sessions` WRITE;
/*!40000 ALTER TABLE `sessions` DISABLE KEYS */;
/*!40000 ALTER TABLE `sessions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `stock_adjustment_lines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stock_adjustment_lines` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `transaction_id` int(10) unsigned NOT NULL,
  `product_id` int(10) unsigned NOT NULL,
  `variation_id` int(10) unsigned NOT NULL,
  `quantity` decimal(22,4) NOT NULL,
  `unit_price` decimal(22,4) DEFAULT NULL COMMENT 'Last purchase unit price',
  `removed_purchase_line` int(11) DEFAULT NULL,
  `lot_no_line_id` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `stock_adjustment_lines_product_id_foreign` (`product_id`),
  KEY `stock_adjustment_lines_variation_id_foreign` (`variation_id`),
  KEY `stock_adjustment_lines_transaction_id_index` (`transaction_id`),
  CONSTRAINT `stock_adjustment_lines_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE,
  CONSTRAINT `stock_adjustment_lines_transaction_id_foreign` FOREIGN KEY (`transaction_id`) REFERENCES `transactions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `stock_adjustment_lines_variation_id_foreign` FOREIGN KEY (`variation_id`) REFERENCES `variations` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `stock_adjustment_lines` WRITE;
/*!40000 ALTER TABLE `stock_adjustment_lines` DISABLE KEYS */;
/*!40000 ALTER TABLE `stock_adjustment_lines` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `stock_adjustments_temp`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `stock_adjustments_temp` (
  `id` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=latin1;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `stock_adjustments_temp` WRITE;
/*!40000 ALTER TABLE `stock_adjustments_temp` DISABLE KEYS */;
/*!40000 ALTER TABLE `stock_adjustments_temp` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `subscriptions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `subscriptions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(10) unsigned NOT NULL,
  `package_id` int(10) unsigned NOT NULL,
  `start_date` date DEFAULT NULL,
  `trial_end_date` date DEFAULT NULL,
  `end_date` date DEFAULT NULL,
  `package_price` decimal(22,4) NOT NULL,
  `package_details` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_id` int(10) unsigned NOT NULL,
  `paid_via` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_transaction_id` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` enum('approved','waiting','declined') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'waiting',
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `subscriptions_business_id_foreign` (`business_id`),
  KEY `subscriptions_package_id_index` (`package_id`),
  KEY `subscriptions_created_id_index` (`created_id`),
  CONSTRAINT `subscriptions_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `subscriptions` WRITE;
/*!40000 ALTER TABLE `subscriptions` DISABLE KEYS */;
INSERT INTO `subscriptions` VALUES (1,1,1,'2022-05-23','2022-06-23','2022-06-23',2500.0000,'{\"location_count\":\"1\",\"user_count\":\"4\",\"product_count\":\"0\",\"invoice_count\":\"0\",\"name\":\"Intermediate\"}',1,'offline','220523','approved',NULL,'2022-05-23 15:46:07','2022-05-23 15:46:07'),(2,1,1,'2022-06-24','2023-06-24','2023-06-24',2500.0000,'{\"location_count\":\"1\",\"user_count\":\"4\",\"product_count\":\"0\",\"invoice_count\":\"0\",\"name\":\"Intermediate\"}',1,'offline','220624','approved',NULL,'2022-06-24 11:52:20','2022-06-24 11:52:20');
/*!40000 ALTER TABLE `subscriptions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `superadmin_communicator_logs`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `superadmin_communicator_logs` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_ids` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subject` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `message` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `superadmin_communicator_logs` WRITE;
/*!40000 ALTER TABLE `superadmin_communicator_logs` DISABLE KEYS */;
/*!40000 ALTER TABLE `superadmin_communicator_logs` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `superadmin_frontend_pages`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `superadmin_frontend_pages` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `title` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `slug` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `content` longtext COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_shown` tinyint(1) NOT NULL,
  `menu_order` int(11) DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `superadmin_frontend_pages` WRITE;
/*!40000 ALTER TABLE `superadmin_frontend_pages` DISABLE KEYS */;
/*!40000 ALTER TABLE `superadmin_frontend_pages` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `system`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `system` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `key` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `value` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=28 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `system` WRITE;
/*!40000 ALTER TABLE `system` DISABLE KEYS */;
INSERT INTO `system` VALUES (1,'db_version','3.6'),(2,'default_business_active_status','1'),(3,'superadmin_version','2.5'),(4,'app_currency_id','33'),(5,'invoice_business_name','De Las Ramas - Snack & Dessert'),(6,'invoice_business_landmark','Landmark'),(7,'invoice_business_zip','Zip'),(8,'invoice_business_state','State'),(9,'invoice_business_city','City'),(10,'invoice_business_country','Country'),(11,'email','superadmin@example.com'),(12,'package_expiry_alert_days','5'),(13,'enable_business_based_username','0'),(14,'essentials_version','2.2'),(15,'manufacturing_version','2.0'),(16,'superadmin_register_tc',NULL),(17,'welcome_email_subject',NULL),(18,'welcome_email_body',NULL),(19,'additional_js',NULL),(20,'additional_css',NULL),(21,'offline_payment_details',NULL),(22,'superadmin_enable_register_tc','0'),(23,'allow_email_settings_to_businesses','0'),(24,'enable_new_business_registration_notification','0'),(25,'enable_new_subscription_notification','0'),(26,'enable_welcome_email','0'),(27,'enable_offline_payment','1');
/*!40000 ALTER TABLE `system` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `tax_rates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `tax_rates` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(10) unsigned NOT NULL,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `amount` double(22,4) NOT NULL,
  `is_tax_group` tinyint(1) NOT NULL DEFAULT 0,
  `created_by` int(10) unsigned NOT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `tax_rates_business_id_foreign` (`business_id`),
  KEY `tax_rates_created_by_foreign` (`created_by`),
  CONSTRAINT `tax_rates_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `tax_rates_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `tax_rates` WRITE;
/*!40000 ALTER TABLE `tax_rates` DISABLE KEYS */;
INSERT INTO `tax_rates` VALUES (1,1,'ITBIS',18.0000,0,1,NULL,'2022-05-23 16:19:49','2022-05-23 16:19:49'),(2,1,'DE LEY',10.0000,0,1,'2022-05-23 16:20:35','2022-05-23 16:19:56','2022-05-23 16:20:35');
/*!40000 ALTER TABLE `tax_rates` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `transaction_payments`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `transaction_payments` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `transaction_id` int(11) unsigned DEFAULT NULL,
  `business_id` int(11) DEFAULT NULL,
  `is_return` tinyint(1) NOT NULL DEFAULT 0 COMMENT 'Used during sales to return the change',
  `amount` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `method` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `transaction_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_transaction_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_holder_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_month` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_year` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `card_security` varchar(5) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `cheque_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_account_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `paid_on` datetime DEFAULT NULL,
  `created_by` int(11) NOT NULL,
  `is_advance` tinyint(1) NOT NULL DEFAULT 0,
  `payment_for` int(11) DEFAULT NULL,
  `parent_id` int(11) DEFAULT NULL,
  `note` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `document` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `payment_ref_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `account_id` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `transaction_payments_transaction_id_foreign` (`transaction_id`),
  KEY `transaction_payments_created_by_index` (`created_by`),
  KEY `transaction_payments_parent_id_index` (`parent_id`),
  CONSTRAINT `transaction_payments_transaction_id_foreign` FOREIGN KEY (`transaction_id`) REFERENCES `transactions` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=606 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `transaction_payments` WRITE;
/*!40000 ALTER TABLE `transaction_payments` DISABLE KEYS */;
INSERT INTO `transaction_payments` VALUES (7,6,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-24 09:40:30',2,0,1,NULL,NULL,NULL,'SP2022/0007',NULL,'2022-05-24 13:40:30','2022-05-24 13:40:30'),(8,7,1,0,200.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-24 12:29:00',2,0,1,NULL,NULL,NULL,'SP2022/0008',NULL,'2022-05-24 16:29:00','2022-05-24 16:29:00'),(9,8,1,0,610.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-24 13:53:03',2,0,1,NULL,NULL,NULL,'SP2022/0009',NULL,'2022-05-24 17:53:03','2022-05-24 17:53:03'),(10,9,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-24 15:10:57',2,0,1,NULL,NULL,NULL,'SP2022/0010',NULL,'2022-05-24 19:10:57','2022-05-24 19:10:57'),(11,10,1,0,260.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-24 15:53:52',2,0,1,NULL,NULL,NULL,'SP2022/0011',NULL,'2022-05-24 19:53:52','2022-05-24 19:53:52'),(12,11,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-24 16:07:12',2,0,1,NULL,NULL,NULL,'SP2022/0012',NULL,'2022-05-24 20:07:12','2022-05-24 20:07:12'),(13,12,1,0,445.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-24 16:33:12',2,0,1,NULL,NULL,NULL,'SP2022/0013',NULL,'2022-05-24 20:33:12','2022-05-24 20:37:49'),(14,13,1,0,115.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-24 16:36:32',2,0,1,NULL,NULL,NULL,'SP2022/0014',NULL,'2022-05-24 20:36:32','2022-05-24 20:36:32'),(15,16,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-25 09:19:10',2,0,1,NULL,NULL,NULL,'SP2022/0015',NULL,'2022-05-25 13:19:10','2022-05-25 13:19:10'),(16,17,1,0,105.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-25 09:31:57',2,0,1,NULL,NULL,NULL,'SP2022/0016',NULL,'2022-05-25 13:31:57','2022-05-25 13:31:57'),(17,18,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-25 11:08:58',2,0,1,NULL,NULL,NULL,'SP2022/0017',NULL,'2022-05-25 15:08:58','2022-05-25 15:08:58'),(18,19,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-25 11:28:44',2,0,1,NULL,NULL,NULL,'SP2022/0018',NULL,'2022-05-25 15:28:44','2022-05-25 15:28:44'),(19,20,1,0,350.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-25 12:28:50',2,0,1,NULL,NULL,NULL,'SP2022/0019',NULL,'2022-05-25 16:28:50','2022-05-25 16:28:50'),(20,21,1,0,110.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-25 12:55:19',2,0,1,NULL,NULL,NULL,'SP2022/0020',NULL,'2022-05-25 16:55:19','2022-05-25 16:55:19'),(21,22,1,0,325.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-25 13:31:04',2,0,1,NULL,NULL,NULL,'SP2022/0021',NULL,'2022-05-25 17:31:04','2022-05-25 17:31:04'),(22,23,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-25 15:50:31',2,0,1,NULL,NULL,NULL,'SP2022/0022',NULL,'2022-05-25 19:50:31','2022-05-25 19:50:31'),(23,24,1,0,260.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-25 16:38:34',2,0,1,NULL,NULL,NULL,'SP2022/0023',NULL,'2022-05-25 20:38:34','2022-05-25 20:38:34'),(24,25,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-25 17:11:37',2,0,1,NULL,NULL,NULL,'SP2022/0024',NULL,'2022-05-25 21:11:37','2022-05-25 21:11:37'),(25,26,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-25 18:45:38',2,0,1,NULL,NULL,NULL,'SP2022/0025',NULL,'2022-05-25 22:45:38','2022-05-25 22:45:38'),(26,27,1,0,425.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-25 19:20:27',2,0,1,NULL,NULL,NULL,'SP2022/0026',NULL,'2022-05-25 23:20:27','2022-05-25 23:20:27'),(27,28,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-26 08:33:31',2,0,1,NULL,NULL,NULL,'SP2022/0027',NULL,'2022-05-26 12:33:31','2022-05-26 12:33:31'),(28,29,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-26 09:20:55',2,0,1,NULL,NULL,NULL,'SP2022/0028',NULL,'2022-05-26 13:20:55','2022-05-26 13:20:55'),(29,30,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-26 09:26:48',2,0,1,NULL,NULL,NULL,'SP2022/0029',NULL,'2022-05-26 13:26:48','2022-05-26 13:26:48'),(30,31,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-26 10:57:27',2,0,1,NULL,NULL,NULL,'SP2022/0030',NULL,'2022-05-26 14:57:27','2022-05-26 14:57:27'),(31,32,1,0,250.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-26 12:12:38',2,0,1,NULL,NULL,NULL,'SP2022/0031',NULL,'2022-05-26 16:12:38','2022-05-26 16:12:38'),(32,33,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-26 15:06:02',2,0,1,NULL,NULL,NULL,'SP2022/0032',NULL,'2022-05-26 19:06:02','2022-05-26 19:06:02'),(33,34,1,0,240.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-26 16:56:22',2,0,1,NULL,NULL,NULL,'SP2022/0033',NULL,'2022-05-26 20:56:22','2022-05-26 20:56:22'),(34,35,1,0,170.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-27 09:14:39',2,0,1,NULL,NULL,NULL,'SP2022/0034',NULL,'2022-05-27 13:14:39','2022-05-27 13:14:39'),(35,36,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-27 09:53:16',2,0,1,NULL,NULL,NULL,'SP2022/0035',NULL,'2022-05-27 13:53:16','2022-05-27 13:53:16'),(36,37,1,0,175.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-27 14:50:50',2,0,1,NULL,NULL,NULL,'SP2022/0036',NULL,'2022-05-27 18:50:50','2022-05-27 18:50:50'),(37,38,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-27 16:29:58',2,0,1,NULL,NULL,NULL,'SP2022/0037',NULL,'2022-05-27 20:29:58','2022-05-27 20:29:58'),(38,39,1,0,210.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-28 10:16:58',2,0,1,NULL,NULL,NULL,'SP2022/0038',NULL,'2022-05-28 14:16:58','2022-05-28 14:16:58'),(39,40,1,0,175.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-28 10:59:11',2,0,1,NULL,NULL,NULL,'SP2022/0039',NULL,'2022-05-28 14:59:11','2022-05-28 14:59:11'),(40,41,1,0,185.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-28 11:03:04',2,0,1,NULL,NULL,NULL,'SP2022/0040',NULL,'2022-05-28 15:03:04','2022-05-28 15:03:04'),(41,42,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-28 11:04:32',2,0,1,NULL,NULL,NULL,'SP2022/0041',NULL,'2022-05-28 15:04:32','2022-05-28 15:04:32'),(42,43,1,0,270.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-28 12:18:40',2,0,1,NULL,NULL,NULL,'SP2022/0042',NULL,'2022-05-28 16:18:40','2022-05-28 16:18:40'),(43,44,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-28 12:41:21',2,0,1,NULL,NULL,NULL,'SP2022/0043',NULL,'2022-05-28 16:41:21','2022-05-28 16:41:21'),(44,45,1,0,170.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-28 17:26:45',2,0,1,NULL,NULL,NULL,'SP2022/0044',NULL,'2022-05-28 21:26:45','2022-05-28 21:26:45'),(45,46,1,0,320.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-28 17:29:26',2,0,1,NULL,NULL,NULL,'SP2022/0045',NULL,'2022-05-28 21:29:26','2022-05-28 21:29:26'),(46,47,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-28 17:38:17',2,0,1,NULL,NULL,NULL,'SP2022/0046',NULL,'2022-05-28 21:38:17','2022-05-28 21:38:17'),(47,48,1,0,170.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-28 19:54:39',2,0,1,NULL,NULL,NULL,'SP2022/0047',NULL,'2022-05-28 23:54:39','2022-05-28 23:54:39'),(48,49,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-30 09:24:08',2,0,1,NULL,NULL,NULL,'SP2022/0048',NULL,'2022-05-30 13:24:08','2022-05-30 13:24:08'),(49,50,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-30 09:25:30',2,0,1,NULL,NULL,NULL,'SP2022/0049',NULL,'2022-05-30 13:25:30','2022-05-30 13:25:30'),(50,51,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-30 09:33:15',2,0,1,NULL,NULL,NULL,'SP2022/0050',NULL,'2022-05-30 13:33:15','2022-05-30 13:33:15'),(51,52,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-30 09:53:39',2,0,1,NULL,NULL,NULL,'SP2022/0051',NULL,'2022-05-30 13:53:39','2022-05-30 13:53:39'),(52,53,1,0,105.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-30 09:59:51',2,0,1,NULL,NULL,NULL,'SP2022/0052',NULL,'2022-05-30 13:59:51','2022-05-30 13:59:51'),(54,55,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-30 13:42:53',2,0,1,NULL,NULL,NULL,'SP2022/0054',NULL,'2022-05-30 17:42:53','2022-05-30 17:42:53'),(55,56,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-30 15:51:15',2,0,1,NULL,NULL,NULL,'SP2022/0055',NULL,'2022-05-30 19:51:15','2022-05-30 19:51:15'),(56,57,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-30 16:08:05',2,0,1,NULL,NULL,NULL,'SP2022/0056',NULL,'2022-05-30 20:08:05','2022-05-30 20:08:05'),(57,58,1,0,230.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-30 17:17:03',2,0,1,NULL,NULL,NULL,'SP2022/0057',NULL,'2022-05-30 21:17:03','2022-05-30 21:17:03'),(58,59,1,0,325.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-30 17:19:57',2,0,1,NULL,NULL,NULL,'SP2022/0058',NULL,'2022-05-30 21:19:57','2022-05-30 21:19:57'),(59,60,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-30 17:20:45',2,0,1,NULL,NULL,NULL,'SP2022/0059',NULL,'2022-05-30 21:20:45','2022-05-30 21:20:45'),(60,61,1,0,170.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-30 17:31:04',2,0,1,NULL,NULL,NULL,'SP2022/0060',NULL,'2022-05-30 21:31:04','2022-05-30 21:31:04'),(61,62,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-30 18:33:59',2,0,1,NULL,NULL,NULL,'SP2022/0061',NULL,'2022-05-30 22:33:59','2022-05-30 22:33:59'),(62,63,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 09:07:28',2,0,1,NULL,NULL,NULL,'SP2022/0062',NULL,'2022-05-31 13:07:28','2022-05-31 13:07:28'),(63,64,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 09:19:14',2,0,1,NULL,NULL,NULL,'SP2022/0063',NULL,'2022-05-31 13:19:14','2022-05-31 13:19:14'),(64,65,1,0,105.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 09:37:37',2,0,1,NULL,NULL,NULL,'SP2022/0064',NULL,'2022-05-31 13:37:37','2022-05-31 13:48:44'),(65,66,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 11:25:14',2,0,1,NULL,NULL,NULL,'SP2022/0065',NULL,'2022-05-31 15:25:14','2022-05-31 15:25:14'),(66,67,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 13:12:21',2,0,1,NULL,NULL,NULL,'SP2022/0066',NULL,'2022-05-31 17:12:21','2022-05-31 17:12:21'),(67,68,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 13:12:38',2,0,1,NULL,NULL,NULL,'SP2022/0067',NULL,'2022-05-31 17:12:38','2022-05-31 17:12:38'),(68,69,1,0,170.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 13:35:03',2,0,1,NULL,NULL,NULL,'SP2022/0068',NULL,'2022-05-31 17:35:03','2022-05-31 17:35:03'),(69,70,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 15:04:21',2,0,1,NULL,NULL,NULL,'SP2022/0069',NULL,'2022-05-31 19:04:21','2022-05-31 19:04:21'),(70,71,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 15:07:09',2,0,1,NULL,NULL,NULL,'SP2022/0070',NULL,'2022-05-31 19:07:09','2022-05-31 19:19:56'),(71,72,1,0,220.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 16:02:57',2,0,1,NULL,NULL,NULL,'SP2022/0071',NULL,'2022-05-31 20:02:57','2022-05-31 20:05:54'),(72,73,1,0,110.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 16:04:25',2,0,1,NULL,NULL,NULL,'SP2022/0072',NULL,'2022-05-31 20:04:25','2022-05-31 20:05:07'),(73,74,1,0,115.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 16:33:27',2,0,1,NULL,NULL,NULL,'SP2022/0073',NULL,'2022-05-31 20:33:27','2022-05-31 20:35:03'),(74,75,1,0,200.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 17:18:27',2,0,1,NULL,NULL,NULL,'SP2022/0074',NULL,'2022-05-31 21:18:27','2022-05-31 21:19:16'),(75,76,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 17:22:18',2,0,1,NULL,NULL,NULL,'SP2022/0075',NULL,'2022-05-31 21:22:18','2022-05-31 21:22:18'),(76,77,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 18:25:57',2,0,1,NULL,NULL,NULL,'SP2022/0076',NULL,'2022-05-31 22:25:57','2022-05-31 22:25:57'),(77,78,1,0,155.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-01 09:25:13',2,0,1,NULL,NULL,NULL,'SP2022/0077',NULL,'2022-06-01 13:25:13','2022-06-01 13:25:13'),(78,79,1,0,270.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-01 10:00:25',2,0,1,NULL,NULL,NULL,'SP2022/0078',NULL,'2022-06-01 14:00:25','2022-06-01 14:00:25'),(79,80,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-01 10:11:34',2,0,1,NULL,NULL,NULL,'SP2022/0079',NULL,'2022-06-01 14:11:34','2022-06-01 14:11:34'),(80,81,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-01 12:02:37',2,0,1,NULL,NULL,NULL,'SP2022/0080',NULL,'2022-06-01 16:02:37','2022-06-01 16:02:37'),(81,82,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-01 12:58:33',2,0,1,NULL,NULL,NULL,'SP2022/0081',NULL,'2022-06-01 16:58:33','2022-06-01 16:58:33'),(82,83,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-01 13:08:39',2,0,1,NULL,NULL,NULL,'SP2022/0082',NULL,'2022-06-01 17:08:39','2022-06-01 17:08:39'),(83,84,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-01 13:25:24',2,0,1,NULL,NULL,NULL,'SP2022/0083',NULL,'2022-06-01 17:25:24','2022-06-01 17:25:24'),(84,85,1,0,295.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-01 14:56:22',2,0,1,NULL,NULL,NULL,'SP2022/0084',NULL,'2022-06-01 18:56:22','2022-06-01 18:56:22'),(85,86,1,0,185.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-01 15:31:46',2,0,1,NULL,NULL,NULL,'SP2022/0085',NULL,'2022-06-01 19:31:46','2022-06-01 19:31:46'),(86,87,1,0,390.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-01 15:50:49',2,0,1,NULL,NULL,NULL,'SP2022/0086',NULL,'2022-06-01 19:50:49','2022-06-01 19:50:49'),(87,88,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-01 17:14:37',2,0,1,NULL,NULL,NULL,'SP2022/0087',NULL,'2022-06-01 21:14:37','2022-06-01 21:14:37'),(88,89,1,0,170.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-01 17:34:00',2,0,1,NULL,NULL,NULL,'SP2022/0088',NULL,'2022-06-01 21:34:00','2022-06-01 21:34:00'),(89,90,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-01 17:36:57',2,0,1,NULL,NULL,NULL,'SP2022/0089',NULL,'2022-06-01 21:36:57','2022-06-01 21:36:57'),(90,91,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-01 19:17:47',2,0,1,NULL,NULL,NULL,'SP2022/0090',NULL,'2022-06-01 23:17:47','2022-06-01 23:17:47'),(91,92,1,0,140.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-02 09:11:56',2,0,1,NULL,NULL,NULL,'SP2022/0091',NULL,'2022-06-02 13:11:56','2022-06-02 13:11:56'),(92,93,1,0,225.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-02 09:42:33',2,0,1,NULL,NULL,NULL,'SP2022/0092',NULL,'2022-06-02 13:42:33','2022-06-02 13:42:33'),(93,94,1,0,310.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-02 11:34:44',2,0,1,NULL,NULL,NULL,'SP2022/0093',NULL,'2022-06-02 15:34:44','2022-06-02 15:34:44'),(94,95,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-02 12:10:26',2,0,1,NULL,NULL,NULL,'SP2022/0094',NULL,'2022-06-02 16:10:26','2022-06-02 16:10:26'),(95,96,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-02 13:57:27',2,0,1,NULL,NULL,NULL,'SP2022/0095',NULL,'2022-06-02 17:57:27','2022-06-02 17:57:27'),(96,97,1,0,365.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-02 17:02:38',2,0,1,NULL,NULL,NULL,'SP2022/0096',NULL,'2022-06-02 21:02:38','2022-06-02 21:02:38'),(97,98,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-02 17:03:34',2,0,1,NULL,NULL,NULL,'SP2022/0097',NULL,'2022-06-02 21:03:34','2022-06-02 21:03:34'),(98,99,1,0,475.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-02 18:02:42',2,0,1,NULL,NULL,NULL,'SP2022/0098',NULL,'2022-06-02 22:02:42','2022-06-02 22:06:40'),(100,101,1,0,140.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-03 09:00:20',2,0,1,NULL,NULL,NULL,'SP2022/0100',NULL,'2022-06-03 13:00:20','2022-06-03 13:00:20'),(101,102,1,0,175.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-03 09:10:11',2,0,1,NULL,NULL,NULL,'SP2022/0101',NULL,'2022-06-03 13:10:11','2022-06-03 13:10:11'),(102,103,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-03 09:23:50',2,0,1,NULL,NULL,NULL,'SP2022/0102',NULL,'2022-06-03 13:23:50','2022-06-03 13:23:50'),(103,104,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-03 09:58:35',2,0,1,NULL,NULL,NULL,'SP2022/0103',NULL,'2022-06-03 13:58:35','2022-06-03 13:58:35'),(104,105,1,0,390.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-03 12:55:09',2,0,1,NULL,NULL,NULL,'SP2022/0104',NULL,'2022-06-03 16:55:09','2022-06-03 17:09:39'),(105,106,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-03 13:10:26',2,0,1,NULL,NULL,NULL,'SP2022/0105',NULL,'2022-06-03 17:10:26','2022-06-03 17:10:58'),(106,107,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-03 13:15:42',2,0,1,NULL,NULL,NULL,'SP2022/0106',NULL,'2022-06-03 17:15:42','2022-06-03 17:15:42'),(107,108,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-03 13:49:30',2,0,1,NULL,NULL,NULL,'SP2022/0107',NULL,'2022-06-03 17:49:30','2022-06-03 17:49:30'),(108,109,1,0,270.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-03 14:34:11',2,0,1,NULL,NULL,NULL,'SP2022/0108',NULL,'2022-06-03 18:34:11','2022-06-03 18:34:11'),(109,111,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-03 15:11:17',2,0,1,NULL,NULL,NULL,'SP2022/0109',NULL,'2022-06-03 19:11:17','2022-06-03 19:11:17'),(110,112,1,0,460.0000,'bank_transfer',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-03 16:19:15',2,0,1,NULL,NULL,NULL,'SP2022/0110',NULL,'2022-06-03 20:19:15','2022-06-03 20:19:15'),(111,113,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-03 18:32:56',2,0,1,NULL,NULL,NULL,'SP2022/0111',NULL,'2022-06-03 22:32:56','2022-06-03 22:32:56'),(112,114,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-04 09:32:27',2,0,1,NULL,NULL,NULL,'SP2022/0112',NULL,'2022-06-04 13:32:27','2022-06-04 13:32:27'),(113,115,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-04 09:40:54',2,0,1,NULL,NULL,NULL,'SP2022/0113',NULL,'2022-06-04 13:40:54','2022-06-04 13:40:54'),(114,116,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-04 10:00:59',2,0,1,NULL,NULL,NULL,'SP2022/0114',NULL,'2022-06-04 14:00:59','2022-06-04 14:00:59'),(115,117,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-04 12:01:49',2,0,1,NULL,NULL,NULL,'SP2022/0115',NULL,'2022-06-04 16:01:49','2022-06-04 16:01:49'),(116,118,1,0,250.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-04 14:18:17',2,0,1,NULL,NULL,NULL,'SP2022/0116',NULL,'2022-06-04 18:18:17','2022-06-04 18:18:17'),(117,119,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-04 15:02:03',2,0,1,NULL,NULL,NULL,'SP2022/0117',NULL,'2022-06-04 19:02:03','2022-06-04 19:02:03'),(118,120,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-05 09:15:18',2,0,1,NULL,NULL,NULL,'SP2022/0118',NULL,'2022-06-05 13:15:18','2022-06-05 13:15:18'),(119,121,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-05 09:39:25',2,0,1,NULL,NULL,NULL,'SP2022/0119',NULL,'2022-06-05 13:39:25','2022-06-05 13:39:25'),(120,122,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-06 09:06:52',2,0,1,NULL,NULL,NULL,'SP2022/0120',NULL,'2022-06-06 13:06:52','2022-06-06 13:06:52'),(121,123,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-06 09:29:23',2,0,1,NULL,NULL,NULL,'SP2022/0121',NULL,'2022-06-06 13:29:23','2022-06-06 13:29:23'),(122,124,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-06 09:48:27',2,0,1,NULL,NULL,NULL,'SP2022/0122',NULL,'2022-06-06 13:48:27','2022-06-06 13:48:27'),(123,125,1,0,175.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-06 10:14:49',2,0,1,NULL,NULL,NULL,'SP2022/0123',NULL,'2022-06-06 14:14:49','2022-06-06 14:14:49'),(124,126,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-06 11:15:22',2,0,1,NULL,NULL,NULL,'SP2022/0124',NULL,'2022-06-06 15:15:22','2022-06-06 15:15:22'),(125,127,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-06 11:35:13',2,0,1,NULL,NULL,NULL,'SP2022/0125',NULL,'2022-06-06 15:35:13','2022-06-06 15:35:13'),(126,128,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-06 12:57:29',2,0,1,NULL,NULL,NULL,'SP2022/0126',NULL,'2022-06-06 16:57:29','2022-06-06 16:57:29'),(127,129,1,0,1175.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-06 16:37:58',2,0,1,NULL,NULL,NULL,'SP2022/0127',NULL,'2022-06-06 20:37:58','2022-06-06 20:37:58'),(128,130,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-07 08:56:15',2,0,1,NULL,NULL,NULL,'SP2022/0128',NULL,'2022-06-07 12:56:15','2022-06-07 12:56:15'),(129,131,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-07 10:40:55',2,0,1,NULL,NULL,NULL,'SP2022/0129',NULL,'2022-06-07 14:40:55','2022-06-07 16:27:43'),(130,132,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-07 10:54:32',2,0,1,NULL,NULL,NULL,'SP2022/0130',NULL,'2022-06-07 14:54:32','2022-06-07 14:54:32'),(131,133,1,0,305.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-07 16:36:40',2,0,1,NULL,NULL,NULL,'SP2022/0131',NULL,'2022-06-07 20:36:40','2022-06-07 20:36:40'),(132,134,1,0,250.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-07 18:49:45',2,0,1,NULL,NULL,NULL,'SP2022/0132',NULL,'2022-06-07 22:49:45','2022-06-07 22:49:45'),(133,135,1,0,170.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-08 08:22:31',2,0,1,NULL,NULL,NULL,'SP2022/0133',NULL,'2022-06-08 12:22:31','2022-06-08 12:59:27'),(134,136,1,0,240.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-08 08:56:29',2,0,1,NULL,NULL,NULL,'SP2022/0134',NULL,'2022-06-08 12:56:29','2022-06-08 12:56:29'),(135,137,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-08 08:59:00',2,0,1,NULL,NULL,NULL,'SP2022/0135',NULL,'2022-06-08 12:59:00','2022-06-08 12:59:00'),(136,138,1,0,115.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-08 09:57:50',2,0,1,NULL,NULL,NULL,'SP2022/0136',NULL,'2022-06-08 13:57:50','2022-06-08 13:57:50'),(137,139,1,0,180.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-08 10:04:06',2,0,1,NULL,NULL,NULL,'SP2022/0137',NULL,'2022-06-08 14:04:06','2022-06-08 14:04:06'),(138,140,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-08 10:04:25',2,0,1,NULL,NULL,NULL,'SP2022/0138',NULL,'2022-06-08 14:04:25','2022-06-08 14:04:25'),(139,141,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-08 10:41:48',2,0,1,NULL,NULL,NULL,'SP2022/0139',NULL,'2022-06-08 14:41:48','2022-06-08 14:41:48'),(140,142,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-08 11:19:56',2,0,1,NULL,NULL,NULL,'SP2022/0140',NULL,'2022-06-08 15:19:56','2022-06-08 15:19:56'),(141,143,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-08 14:55:30',2,0,1,NULL,NULL,NULL,'SP2022/0141',NULL,'2022-06-08 18:55:30','2022-06-08 18:55:30'),(142,144,1,0,290.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-08 15:09:55',2,0,1,NULL,NULL,NULL,'SP2022/0142',NULL,'2022-06-08 19:09:55','2022-06-08 19:09:55'),(143,145,1,0,115.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-08 15:20:59',2,0,1,NULL,NULL,NULL,'SP2022/0143',NULL,'2022-06-08 19:20:59','2022-06-08 19:20:59'),(144,146,1,0,260.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-08 15:53:38',2,0,1,NULL,NULL,NULL,'SP2022/0144',NULL,'2022-06-08 19:53:38','2022-06-08 19:53:38'),(145,147,1,0,380.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-09 13:04:05',2,0,1,NULL,NULL,NULL,'SP2022/0145',NULL,'2022-06-09 17:04:05','2022-06-09 17:04:05'),(146,148,1,0,860.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-09 16:47:58',2,0,1,NULL,NULL,NULL,'SP2022/0146',NULL,'2022-06-09 20:47:58','2022-06-09 20:47:58'),(147,149,1,0,1585.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-09 17:54:21',2,0,1,NULL,NULL,NULL,'SP2022/0147',NULL,'2022-06-09 21:54:21','2022-06-09 21:54:21'),(148,150,1,0,110.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-09 17:54:48',2,0,1,NULL,NULL,NULL,'SP2022/0148',NULL,'2022-06-09 21:54:48','2022-06-09 21:54:48'),(149,151,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-10 09:29:21',2,0,1,NULL,NULL,NULL,'SP2022/0149',NULL,'2022-06-10 13:29:21','2022-06-10 13:29:21'),(150,152,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-10 09:33:06',2,0,1,NULL,NULL,NULL,'SP2022/0150',NULL,'2022-06-10 13:33:06','2022-06-10 13:33:06'),(151,153,1,0,115.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-10 09:34:17',2,0,1,NULL,NULL,NULL,'SP2022/0151',NULL,'2022-06-10 13:34:17','2022-06-10 13:34:17'),(152,154,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-10 09:38:29',2,0,1,NULL,NULL,NULL,'SP2022/0152',NULL,'2022-06-10 13:38:29','2022-06-10 13:38:29'),(153,155,1,0,165.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-10 12:52:36',2,0,1,NULL,NULL,NULL,'SP2022/0153',NULL,'2022-06-10 16:52:36','2022-06-10 18:00:01'),(154,156,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-10 12:54:06',2,0,1,NULL,NULL,NULL,'SP2022/0154',NULL,'2022-06-10 16:54:06','2022-06-10 16:54:06'),(155,157,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-10 15:22:56',2,0,1,NULL,NULL,NULL,'SP2022/0155',NULL,'2022-06-10 19:22:56','2022-06-10 19:22:56'),(156,158,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-10 17:16:17',2,0,1,NULL,NULL,NULL,'SP2022/0156',NULL,'2022-06-10 21:16:17','2022-06-10 21:16:17'),(157,159,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-10 18:03:10',2,0,1,NULL,NULL,NULL,'SP2022/0157',NULL,'2022-06-10 22:03:10','2022-06-10 22:03:10'),(158,160,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-11 08:55:23',2,0,1,NULL,NULL,NULL,'SP2022/0158',NULL,'2022-06-11 12:55:23','2022-06-11 12:55:23'),(159,161,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-11 10:08:09',2,0,1,NULL,NULL,NULL,'SP2022/0159',NULL,'2022-06-11 14:08:09','2022-06-11 14:08:09'),(160,162,1,0,110.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-11 10:48:42',2,0,1,NULL,NULL,NULL,'SP2022/0160',NULL,'2022-06-11 14:48:42','2022-06-11 14:48:42'),(161,163,1,0,175.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-11 10:58:31',2,0,1,NULL,NULL,NULL,'SP2022/0161',NULL,'2022-06-11 14:58:31','2022-06-11 14:58:31'),(162,164,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-11 17:22:44',2,0,1,NULL,NULL,NULL,'SP2022/0162',NULL,'2022-06-11 21:22:44','2022-06-11 21:22:44'),(163,165,1,0,170.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-11 18:57:07',2,0,1,NULL,NULL,NULL,'SP2022/0163',NULL,'2022-06-11 22:57:07','2022-06-11 22:57:07'),(164,166,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-13 08:24:15',2,0,1,NULL,NULL,NULL,'SP2022/0164',NULL,'2022-06-13 12:24:15','2022-06-13 15:40:37'),(165,167,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-13 09:17:40',2,0,1,NULL,NULL,NULL,'SP2022/0165',NULL,'2022-06-13 13:17:40','2022-06-13 13:17:40'),(166,168,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-13 09:48:23',2,0,1,NULL,NULL,NULL,'SP2022/0166',NULL,'2022-06-13 13:48:23','2022-06-13 15:40:13'),(167,169,1,0,300.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-13 15:29:46',2,0,1,NULL,NULL,NULL,'SP2022/0167',NULL,'2022-06-13 19:29:46','2022-06-13 19:29:46'),(168,170,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-13 15:35:31',2,0,1,NULL,NULL,NULL,'SP2022/0168',NULL,'2022-06-13 19:35:31','2022-06-13 19:35:31'),(169,171,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-13 18:50:04',2,0,1,NULL,NULL,NULL,'SP2022/0169',NULL,'2022-06-13 22:50:04','2022-06-13 22:50:04'),(170,172,1,0,300.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-14 09:52:38',2,0,1,NULL,NULL,NULL,'SP2022/0170',NULL,'2022-06-14 13:52:38','2022-06-14 14:25:31'),(171,173,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-14 09:54:47',2,0,1,NULL,NULL,NULL,'SP2022/0171',NULL,'2022-06-14 13:54:47','2022-06-14 14:25:05'),(172,174,1,0,110.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-14 09:57:07',2,0,1,NULL,NULL,NULL,'SP2022/0172',NULL,'2022-06-14 13:57:07','2022-06-14 14:25:56'),(173,175,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-14 14:56:47',2,0,1,NULL,NULL,NULL,'SP2022/0173',NULL,'2022-06-14 18:56:47','2022-06-14 18:56:47'),(174,176,1,0,480.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-14 15:33:27',2,0,1,NULL,NULL,NULL,'SP2022/0174',NULL,'2022-06-14 19:33:27','2022-06-14 19:33:27'),(175,177,1,0,155.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-14 15:56:20',2,0,1,NULL,NULL,NULL,'SP2022/0175',NULL,'2022-06-14 19:56:20','2022-06-14 19:56:20'),(176,178,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-14 18:16:18',2,0,1,NULL,NULL,NULL,'SP2022/0176',NULL,'2022-06-14 22:16:18','2022-06-14 22:16:18'),(177,179,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-15 09:50:20',2,0,1,NULL,NULL,NULL,'SP2022/0177',NULL,'2022-06-15 13:50:20','2022-06-15 13:50:20'),(178,180,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-15 10:17:43',2,0,1,NULL,NULL,NULL,'SP2022/0178',NULL,'2022-06-15 14:17:43','2022-06-15 14:17:43'),(179,181,1,0,380.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-15 16:40:08',2,0,1,NULL,NULL,NULL,'SP2022/0179',NULL,'2022-06-15 20:40:08','2022-06-15 20:40:08'),(180,182,1,0,260.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-15 18:26:02',2,0,1,NULL,NULL,NULL,'SP2022/0180',NULL,'2022-06-15 22:26:02','2022-06-15 22:26:02'),(181,183,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-15 18:37:38',2,0,1,NULL,NULL,NULL,'SP2022/0181',NULL,'2022-06-15 22:37:38','2022-06-15 22:37:38'),(182,184,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-15 18:48:20',2,0,1,NULL,NULL,NULL,'SP2022/0182',NULL,'2022-06-15 22:48:20','2022-06-15 22:48:20'),(183,185,1,0,400.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-17 08:33:11',2,0,1,NULL,NULL,NULL,'SP2022/0183',NULL,'2022-06-17 12:33:11','2022-06-17 12:33:11'),(184,186,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-17 09:07:33',2,0,1,NULL,NULL,NULL,'SP2022/0184',NULL,'2022-06-17 13:07:33','2022-06-17 13:07:33'),(185,187,1,0,200.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-17 10:08:49',2,0,1,NULL,NULL,NULL,'SP2022/0185',NULL,'2022-06-17 14:08:49','2022-06-17 14:08:49'),(186,188,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-17 12:24:10',2,0,1,NULL,NULL,NULL,'SP2022/0186',NULL,'2022-06-17 16:24:10','2022-06-17 16:24:10'),(187,189,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-17 12:26:05',2,0,1,NULL,NULL,NULL,'SP2022/0187',NULL,'2022-06-17 16:26:05','2022-06-17 16:26:05'),(188,190,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-17 12:43:59',2,0,1,NULL,NULL,NULL,'SP2022/0188',NULL,'2022-06-17 16:43:59','2022-06-17 16:43:59'),(189,191,1,0,170.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-17 14:54:49',2,0,1,NULL,NULL,NULL,'SP2022/0189',NULL,'2022-06-17 18:54:49','2022-06-17 18:54:49'),(190,192,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-17 16:01:56',2,0,1,NULL,NULL,NULL,'SP2022/0190',NULL,'2022-06-17 20:01:56','2022-06-17 20:01:56'),(191,193,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-17 16:42:43',2,0,1,NULL,NULL,NULL,'SP2022/0191',NULL,'2022-06-17 20:42:43','2022-06-17 20:42:43'),(192,194,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-17 17:58:02',2,0,1,NULL,NULL,NULL,'SP2022/0192',NULL,'2022-06-17 21:58:02','2022-06-17 21:58:02'),(193,195,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-18 09:33:10',2,0,1,NULL,NULL,NULL,'SP2022/0193',NULL,'2022-06-18 13:33:10','2022-06-18 13:33:10'),(194,196,1,0,110.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-18 10:14:54',2,0,1,NULL,NULL,NULL,'SP2022/0194',NULL,'2022-06-18 14:14:54','2022-06-18 14:14:54'),(195,197,1,0,235.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-18 10:57:38',2,0,1,NULL,NULL,NULL,'SP2022/0195',NULL,'2022-06-18 14:57:38','2022-06-18 14:57:38'),(196,198,1,0,115.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-18 12:45:31',2,0,1,NULL,NULL,NULL,'SP2022/0196',NULL,'2022-06-18 16:45:31','2022-06-18 16:45:31'),(197,199,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-18 14:14:07',2,0,1,NULL,NULL,NULL,'SP2022/0197',NULL,'2022-06-18 18:14:07','2022-06-18 18:14:07'),(198,200,1,0,370.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-18 15:25:52',2,0,1,NULL,NULL,NULL,'SP2022/0198',NULL,'2022-06-18 19:25:52','2022-06-18 19:25:52'),(199,201,1,0,220.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-18 15:28:39',2,0,1,NULL,NULL,NULL,'SP2022/0199',NULL,'2022-06-18 19:28:39','2022-06-18 19:28:39'),(200,202,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-18 17:32:46',2,0,1,NULL,NULL,NULL,'SP2022/0200',NULL,'2022-06-18 21:32:46','2022-06-18 21:32:46'),(201,203,1,0,485.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-18 19:06:24',2,0,1,NULL,NULL,NULL,'SP2022/0201',NULL,'2022-06-18 23:06:24','2022-06-18 23:06:24'),(202,204,1,0,335.0000,'bank_transfer',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-20 09:16:38',2,0,1,NULL,NULL,NULL,'SP2022/0202',NULL,'2022-06-20 13:16:38','2022-06-20 13:16:38'),(203,205,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-20 09:18:45',2,0,1,NULL,NULL,NULL,'SP2022/0203',NULL,'2022-06-20 13:18:45','2022-06-20 13:18:45'),(204,206,1,0,110.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-20 09:34:36',2,0,1,NULL,NULL,NULL,'SP2022/0204',NULL,'2022-06-20 13:34:36','2022-06-20 13:34:36'),(205,207,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-20 09:35:38',2,0,1,NULL,NULL,NULL,'SP2022/0205',NULL,'2022-06-20 13:35:38','2022-06-20 13:35:38'),(206,208,1,0,200.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-20 14:16:42',2,0,1,NULL,NULL,NULL,'SP2022/0206',NULL,'2022-06-20 18:16:42','2022-06-20 18:16:42'),(207,210,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-20 17:40:58',2,0,1,NULL,NULL,NULL,'SP2022/0207',NULL,'2022-06-20 21:40:58','2022-06-20 21:40:58'),(208,211,1,0,270.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-20 17:57:29',2,0,1,NULL,NULL,NULL,'SP2022/0208',NULL,'2022-06-20 21:57:29','2022-06-20 21:57:29'),(209,214,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-20 18:51:32',2,0,1,NULL,NULL,NULL,'SP2022/0209',NULL,'2022-06-20 22:51:32','2022-06-20 22:51:32'),(210,215,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 08:38:36',2,0,1,NULL,NULL,NULL,'SP2022/0210',NULL,'2022-06-21 12:38:36','2022-06-21 12:38:36'),(211,216,1,0,105.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 09:17:48',2,0,1,NULL,NULL,NULL,'SP2022/0211',NULL,'2022-06-21 13:17:48','2022-06-21 13:17:48'),(212,217,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 09:25:40',2,0,1,NULL,NULL,NULL,'SP2022/0212',NULL,'2022-06-21 13:25:40','2022-06-21 13:25:40'),(213,218,1,0,895.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 10:01:07',2,0,1,NULL,NULL,NULL,'SP2022/0213',NULL,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(214,219,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 10:30:52',2,0,1,NULL,NULL,NULL,'SP2022/0214',NULL,'2022-06-21 14:30:52','2022-06-21 14:30:52'),(215,220,1,0,350.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 11:21:24',2,0,1,NULL,NULL,NULL,'SP2022/0215',NULL,'2022-06-21 15:21:24','2022-06-21 15:21:24'),(216,223,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 11:55:32',2,0,1,NULL,NULL,NULL,'SP2022/0216',NULL,'2022-06-21 15:55:32','2022-06-21 15:55:32'),(217,224,1,0,1845.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 11:59:03',2,0,1,NULL,NULL,NULL,'SP2022/0217',NULL,'2022-06-21 15:59:03','2022-06-21 15:59:03'),(218,225,1,0,120.0000,'bank_transfer',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 12:07:40',2,0,1,NULL,NULL,NULL,'SP2022/0218',NULL,'2022-06-21 16:07:40','2022-06-21 16:07:40'),(219,226,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 12:18:30',2,0,1,NULL,NULL,NULL,'SP2022/0219',NULL,'2022-06-21 16:18:30','2022-06-21 16:18:30'),(220,227,1,0,565.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 12:40:33',2,0,1,NULL,NULL,NULL,'SP2022/0220',NULL,'2022-06-21 16:40:33','2022-06-21 16:40:33'),(221,229,1,0,1050.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 13:15:47',2,0,1,NULL,NULL,NULL,'SP2022/0221',NULL,'2022-06-21 17:15:47','2022-06-21 17:15:47'),(222,230,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 13:45:29',2,0,1,NULL,NULL,NULL,'SP2022/0222',NULL,'2022-06-21 17:45:29','2022-06-21 17:45:29'),(223,231,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 14:18:49',2,0,1,NULL,NULL,NULL,'SP2022/0223',NULL,'2022-06-21 18:18:49','2022-06-21 18:18:49'),(224,232,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 14:49:14',2,0,1,NULL,NULL,NULL,'SP2022/0224',NULL,'2022-06-21 18:49:14','2022-06-21 18:49:14'),(225,234,1,0,295.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 16:31:38',2,0,1,NULL,NULL,NULL,'SP2022/0225',NULL,'2022-06-21 20:31:38','2022-06-21 20:31:38'),(226,235,1,0,450.0000,'bank_transfer',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 16:40:26',2,0,1,NULL,NULL,NULL,'SP2022/0226',NULL,'2022-06-21 20:40:26','2022-06-21 20:40:26'),(227,236,1,0,105.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 16:57:30',2,0,1,NULL,NULL,NULL,'SP2022/0227',NULL,'2022-06-21 20:57:30','2022-06-21 20:57:30'),(228,237,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 17:25:04',2,0,1,NULL,NULL,NULL,'SP2022/0228',NULL,'2022-06-21 21:25:04','2022-06-21 21:25:04'),(229,238,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 17:33:38',2,0,1,NULL,NULL,NULL,'SP2022/0229',NULL,'2022-06-21 21:33:38','2022-06-21 21:33:38'),(230,239,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-21 18:37:06',2,0,1,NULL,NULL,NULL,'SP2022/0230',NULL,'2022-06-21 22:37:06','2022-06-21 22:37:06'),(231,240,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-22 08:55:31',2,0,1,NULL,NULL,NULL,'SP2022/0231',NULL,'2022-06-22 12:55:31','2022-06-22 12:55:31'),(232,241,1,0,400.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-22 09:10:34',2,0,1,NULL,NULL,NULL,'SP2022/0232',NULL,'2022-06-22 13:10:34','2022-06-22 13:10:34'),(233,242,1,0,395.0000,'bank_transfer',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-22 09:30:46',2,0,1,NULL,NULL,NULL,'SP2022/0233',NULL,'2022-06-22 13:30:46','2022-06-22 13:30:46'),(234,243,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-22 09:44:20',2,0,1,NULL,NULL,NULL,'SP2022/0234',NULL,'2022-06-22 13:44:20','2022-06-22 13:44:20'),(235,245,1,0,400.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-22 10:28:51',2,0,1,NULL,NULL,NULL,'SP2022/0235',NULL,'2022-06-22 14:28:51','2022-06-22 14:29:38'),(236,247,1,0,420.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-22 12:08:33',2,0,1,NULL,NULL,NULL,'SP2022/0236',NULL,'2022-06-22 16:08:33','2022-06-22 16:08:33'),(237,249,1,0,1050.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-22 12:46:23',2,0,1,NULL,NULL,NULL,'SP2022/0237',NULL,'2022-06-22 16:46:23','2022-06-22 16:46:23'),(238,250,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-22 13:52:06',2,0,1,NULL,NULL,NULL,'SP2022/0238',NULL,'2022-06-22 17:52:06','2022-06-22 17:52:06'),(239,251,1,0,420.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-22 14:13:29',2,0,1,NULL,NULL,NULL,'SP2022/0239',NULL,'2022-06-22 18:13:29','2022-06-22 18:13:29'),(240,253,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-22 15:23:51',2,0,1,NULL,NULL,NULL,'SP2022/0240',NULL,'2022-06-22 19:23:51','2022-06-22 19:23:51'),(241,254,1,0,450.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-22 16:40:55',2,0,1,NULL,NULL,NULL,'SP2022/0241',NULL,'2022-06-22 20:40:55','2022-06-22 20:40:55'),(242,256,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-23 09:51:08',2,0,1,NULL,NULL,NULL,'SP2022/0242',NULL,'2022-06-23 13:51:08','2022-06-23 13:51:08'),(243,258,1,0,450.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-23 11:22:51',2,0,1,NULL,NULL,NULL,'SP2022/0243',NULL,'2022-06-23 15:22:51','2022-06-23 15:22:51'),(244,259,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-23 11:24:29',2,0,1,NULL,NULL,NULL,'SP2022/0244',NULL,'2022-06-23 15:24:29','2022-06-23 15:24:29'),(245,260,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-23 11:24:49',2,0,1,NULL,NULL,NULL,'SP2022/0245',NULL,'2022-06-23 15:24:49','2022-06-23 15:24:49'),(246,261,1,0,230.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-23 12:25:44',2,0,1,NULL,NULL,NULL,'SP2022/0246',NULL,'2022-06-23 16:25:44','2022-06-23 16:25:44'),(247,264,1,0,550.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-23 13:52:36',2,0,1,NULL,NULL,NULL,'SP2022/0247',NULL,'2022-06-23 17:52:36','2022-06-23 17:52:36'),(248,266,1,0,460.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-23 16:46:57',2,0,1,NULL,NULL,NULL,'SP2022/0248',NULL,'2022-06-23 20:46:57','2022-06-23 20:46:57'),(249,265,1,0,285.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-23 16:48:16',2,0,1,NULL,NULL,NULL,'SP2022/0249',NULL,'2022-06-23 20:48:16','2022-06-23 20:48:16'),(250,267,1,0,1260.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-23 17:43:43',2,0,1,NULL,NULL,NULL,'SP2022/0250',NULL,'2022-06-23 21:43:43','2022-06-23 21:43:43'),(251,268,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-23 18:19:39',2,0,1,NULL,NULL,NULL,'SP2022/0251',NULL,'2022-06-23 22:19:39','2022-06-23 22:19:39'),(252,269,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-23 18:58:13',2,0,1,NULL,NULL,NULL,'SP2022/0252',NULL,'2022-06-23 22:58:13','2022-06-23 22:58:13'),(253,270,1,0,160.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-24 09:23:46',2,0,1,NULL,NULL,NULL,'SP2022/0253',NULL,'2022-06-24 13:23:46','2022-06-24 13:23:46'),(254,271,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-24 09:27:01',2,0,1,NULL,NULL,NULL,'SP2022/0254',NULL,'2022-06-24 13:27:01','2022-06-24 13:27:01'),(255,272,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-24 10:13:25',2,0,1,NULL,NULL,NULL,'SP2022/0255',NULL,'2022-06-24 14:13:25','2022-06-24 14:13:25'),(256,273,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-24 10:59:07',2,0,1,NULL,NULL,NULL,'SP2022/0256',NULL,'2022-06-24 14:59:07','2022-06-24 14:59:07'),(257,275,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-24 15:36:28',2,0,1,NULL,NULL,NULL,'SP2022/0257',NULL,'2022-06-24 19:36:28','2022-06-24 19:36:28'),(258,276,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-24 15:37:59',2,0,1,NULL,NULL,NULL,'SP2022/0258',NULL,'2022-06-24 19:37:59','2022-06-24 19:37:59'),(259,279,1,0,240.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-24 16:10:24',2,0,1,NULL,NULL,NULL,'SP2022/0259',NULL,'2022-06-24 20:10:24','2022-06-24 20:10:24'),(260,280,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-24 17:04:14',2,0,1,NULL,NULL,NULL,'SP2022/0260',NULL,'2022-06-24 21:04:14','2022-06-24 21:04:14'),(261,281,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-24 18:43:31',2,0,1,NULL,NULL,NULL,'SP2022/0261',NULL,'2022-06-24 22:43:31','2022-06-24 22:43:31'),(263,285,1,0,155.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-25 09:37:11',2,0,1,NULL,NULL,NULL,'SP2022/0263',NULL,'2022-06-25 13:37:11','2022-06-25 13:37:11'),(264,286,1,0,700.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-25 11:07:37',2,0,1,NULL,NULL,NULL,'SP2022/0264',NULL,'2022-06-25 15:07:37','2022-06-25 15:07:37'),(265,287,1,0,185.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-25 11:17:05',2,0,1,NULL,NULL,NULL,'SP2022/0265',NULL,'2022-06-25 15:17:05','2022-06-25 15:17:05'),(266,289,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-25 16:01:32',2,0,1,NULL,NULL,NULL,'SP2022/0266',NULL,'2022-06-25 20:01:32','2022-06-25 20:01:32'),(267,290,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-25 17:01:20',2,0,1,NULL,NULL,NULL,'SP2022/0267',NULL,'2022-06-25 21:01:20','2022-06-25 21:01:20'),(268,293,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-25 18:39:40',2,0,1,NULL,NULL,NULL,'SP2022/0268',NULL,'2022-06-25 22:39:40','2022-06-25 22:39:40'),(269,294,1,0,165.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-27 10:31:33',2,0,1,NULL,NULL,NULL,'SP2022/0269',NULL,'2022-06-27 14:31:33','2022-06-27 14:31:33'),(270,295,1,0,160.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-27 13:21:19',2,0,1,NULL,NULL,NULL,'SP2022/0270',NULL,'2022-06-27 17:21:19','2022-06-27 17:21:19'),(271,296,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-27 13:26:15',2,0,1,NULL,NULL,NULL,'SP2022/0271',NULL,'2022-06-27 17:26:15','2022-06-27 17:26:15'),(272,297,1,0,860.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-27 13:33:43',2,0,1,NULL,NULL,NULL,'SP2022/0272',NULL,'2022-06-27 17:33:43','2022-06-27 17:33:43'),(273,298,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-27 14:07:17',2,0,1,NULL,NULL,NULL,'SP2022/0273',NULL,'2022-06-27 18:07:17','2022-06-27 18:07:17'),(274,299,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-27 14:15:23',2,0,1,NULL,NULL,NULL,'SP2022/0274',NULL,'2022-06-27 18:15:23','2022-06-27 18:15:23'),(275,300,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-27 14:15:33',2,0,1,NULL,NULL,NULL,'SP2022/0275',NULL,'2022-06-27 18:15:33','2022-06-27 18:15:33'),(276,301,1,0,240.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-27 16:28:22',2,0,1,NULL,NULL,NULL,'SP2022/0276',NULL,'2022-06-27 20:28:22','2022-06-27 20:28:22'),(277,302,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-27 16:33:37',2,0,1,NULL,NULL,NULL,'SP2022/0277',NULL,'2022-06-27 20:33:37','2022-06-27 20:33:37'),(278,303,1,0,220.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-27 17:03:24',2,0,1,NULL,NULL,NULL,'SP2022/0278',NULL,'2022-06-27 21:03:24','2022-06-27 21:03:24'),(279,305,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-27 18:51:44',2,0,1,NULL,NULL,NULL,'SP2022/0279',NULL,'2022-06-27 22:51:44','2022-06-27 22:51:44'),(280,306,1,0,620.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-27 19:23:50',2,0,1,NULL,NULL,NULL,'SP2022/0280',NULL,'2022-06-27 23:23:50','2022-06-27 23:23:50'),(281,307,1,0,215.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-27 19:26:23',2,0,1,NULL,NULL,NULL,'SP2022/0281',NULL,'2022-06-27 23:26:23','2022-06-27 23:26:23'),(282,309,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-28 09:03:32',2,0,1,NULL,NULL,NULL,'SP2022/0282',NULL,'2022-06-28 13:03:32','2022-06-28 13:03:32'),(283,310,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-28 09:22:04',2,0,1,NULL,NULL,NULL,'SP2022/0283',NULL,'2022-06-28 13:22:04','2022-06-28 13:22:04'),(284,311,1,0,25.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-28 10:00:05',2,0,1,NULL,NULL,NULL,'SP2022/0284',NULL,'2022-06-28 14:00:05','2022-06-28 14:00:05'),(285,312,1,0,475.0000,'bank_transfer',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-28 11:47:27',2,0,1,NULL,NULL,NULL,'SP2022/0285',NULL,'2022-06-28 15:47:27','2022-06-28 15:47:27'),(286,313,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-28 12:02:43',2,0,1,NULL,NULL,NULL,'SP2022/0286',NULL,'2022-06-28 16:02:43','2022-06-28 16:02:43'),(287,314,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-28 13:41:02',2,0,1,NULL,NULL,NULL,'SP2022/0287',NULL,'2022-06-28 17:41:02','2022-06-28 17:41:02'),(288,315,1,0,400.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-28 14:21:15',2,0,1,NULL,NULL,NULL,'SP2022/0288',NULL,'2022-06-28 18:21:15','2022-06-28 18:21:15'),(289,316,1,0,240.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-28 15:20:58',2,0,1,NULL,NULL,NULL,'SP2022/0289',NULL,'2022-06-28 19:20:58','2022-06-28 19:20:58'),(290,317,1,0,450.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-28 16:05:38',2,0,1,NULL,NULL,NULL,'SP2022/0290',NULL,'2022-06-28 20:05:38','2022-06-28 20:05:38'),(291,318,1,0,135.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-28 17:22:40',2,0,1,NULL,NULL,NULL,'SP2022/0291',NULL,'2022-06-28 21:22:40','2022-06-28 21:22:40'),(292,319,1,0,270.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-28 17:27:41',2,0,1,NULL,NULL,NULL,'SP2022/0292',NULL,'2022-06-28 21:27:41','2022-06-28 21:27:41'),(293,320,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-28 17:56:52',2,0,1,NULL,NULL,NULL,'SP2022/0293',NULL,'2022-06-28 21:56:52','2022-06-28 21:56:52'),(294,321,1,0,300.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-28 18:32:08',2,0,1,NULL,NULL,NULL,'SP2022/0294',NULL,'2022-06-28 22:32:08','2022-06-28 22:32:08'),(295,322,1,0,105.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-28 18:34:38',2,0,1,NULL,NULL,NULL,'SP2022/0295',NULL,'2022-06-28 22:34:38','2022-06-28 22:34:38'),(296,323,1,0,740.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-28 18:39:26',2,0,1,NULL,NULL,NULL,'SP2022/0296',NULL,'2022-06-28 22:39:26','2022-06-28 22:39:26'),(297,325,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-29 09:08:01',2,0,1,NULL,NULL,NULL,'SP2022/0297',NULL,'2022-06-29 13:08:01','2022-06-29 13:08:01'),(298,327,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-29 09:45:48',2,0,1,NULL,NULL,NULL,'SP2022/0298',NULL,'2022-06-29 13:45:48','2022-06-29 13:45:48'),(299,328,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-29 10:44:09',2,0,1,NULL,NULL,NULL,'SP2022/0299',NULL,'2022-06-29 14:44:09','2022-06-29 14:44:09'),(300,329,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-29 11:01:37',2,0,1,NULL,NULL,NULL,'SP2022/0300',NULL,'2022-06-29 15:01:37','2022-06-29 15:01:37'),(301,330,1,0,160.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-29 11:27:29',2,0,1,NULL,NULL,NULL,'SP2022/0301',NULL,'2022-06-29 15:27:29','2022-06-29 15:27:29'),(302,331,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-29 14:58:46',2,0,1,NULL,NULL,NULL,'SP2022/0302',NULL,'2022-06-29 18:58:46','2022-06-29 18:58:46'),(303,332,1,0,265.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-29 15:27:31',2,0,1,NULL,NULL,NULL,'SP2022/0303',NULL,'2022-06-29 19:27:31','2022-06-29 19:27:31'),(304,333,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-29 16:56:09',2,0,1,NULL,NULL,NULL,'SP2022/0304',NULL,'2022-06-29 20:56:09','2022-06-29 20:56:09'),(305,334,1,0,295.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-29 18:07:11',2,0,1,NULL,NULL,NULL,'SP2022/0305',NULL,'2022-06-29 22:07:11','2022-06-29 22:07:11'),(306,337,1,0,135.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-30 09:03:46',2,0,1,NULL,NULL,NULL,'SP2022/0306',NULL,'2022-06-30 13:03:46','2022-06-30 13:03:46'),(307,338,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-30 09:46:40',2,0,1,NULL,NULL,NULL,'SP2022/0307',NULL,'2022-06-30 13:46:40','2022-06-30 13:46:40'),(308,339,1,0,200.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-30 10:40:57',2,0,1,NULL,NULL,NULL,'SP2022/0308',NULL,'2022-06-30 14:40:57','2022-06-30 14:40:57'),(309,340,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-30 10:41:28',2,0,1,NULL,NULL,NULL,'SP2022/0309',NULL,'2022-06-30 14:41:28','2022-06-30 14:41:28'),(310,341,1,0,560.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-30 12:54:24',2,0,1,NULL,NULL,NULL,'SP2022/0310',NULL,'2022-06-30 16:54:24','2022-06-30 16:54:24'),(311,342,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-30 13:02:03',2,0,1,NULL,NULL,NULL,'SP2022/0311',NULL,'2022-06-30 17:02:03','2022-06-30 17:02:03'),(312,343,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-30 13:05:02',2,0,1,NULL,NULL,NULL,'SP2022/0312',NULL,'2022-06-30 17:05:02','2022-06-30 17:05:02'),(313,345,1,0,200.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-30 13:45:28',2,0,1,NULL,NULL,NULL,'SP2022/0313',NULL,'2022-06-30 17:45:28','2022-06-30 17:45:28'),(314,346,1,0,170.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-30 14:09:16',2,0,1,NULL,NULL,NULL,'SP2022/0314',NULL,'2022-06-30 18:09:16','2022-06-30 18:09:16'),(315,347,1,0,315.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-30 15:23:01',2,0,1,NULL,NULL,NULL,'SP2022/0315',NULL,'2022-06-30 19:23:01','2022-06-30 19:23:01'),(316,348,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-30 15:40:06',2,0,1,NULL,NULL,NULL,'SP2022/0316',NULL,'2022-06-30 19:40:06','2022-06-30 19:40:06'),(317,349,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-30 16:10:25',2,0,1,NULL,NULL,NULL,'SP2022/0317',NULL,'2022-06-30 20:10:25','2022-06-30 20:10:25'),(318,350,1,0,350.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-30 16:17:11',2,0,1,NULL,NULL,NULL,'SP2022/0318',NULL,'2022-06-30 20:17:11','2022-06-30 20:17:11'),(319,351,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-30 16:17:34',2,0,1,NULL,NULL,NULL,'SP2022/0319',NULL,'2022-06-30 20:17:34','2022-06-30 20:17:34'),(320,352,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-30 18:07:31',2,0,1,NULL,NULL,NULL,'SP2022/0320',NULL,'2022-06-30 22:07:31','2022-06-30 22:07:31'),(321,353,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-30 18:14:10',2,0,1,NULL,NULL,NULL,'SP2022/0321',NULL,'2022-06-30 22:14:10','2022-06-30 22:14:10'),(322,354,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-01 08:48:39',2,0,1,NULL,NULL,NULL,'SP2022/0322',NULL,'2022-07-01 12:48:39','2022-07-01 12:48:39'),(323,355,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-01 09:06:22',2,0,1,NULL,NULL,NULL,'SP2022/0323',NULL,'2022-07-01 13:06:22','2022-07-01 13:06:22'),(324,356,1,0,110.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-01 09:30:10',2,0,1,NULL,NULL,NULL,'SP2022/0324',NULL,'2022-07-01 13:30:10','2022-07-01 13:30:10'),(325,357,1,0,1150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-01 15:08:34',2,0,1,NULL,NULL,NULL,'SP2022/0325',NULL,'2022-07-01 19:08:34','2022-07-01 19:08:34'),(326,358,1,0,170.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-01 15:45:10',2,0,1,NULL,NULL,NULL,'SP2022/0326',NULL,'2022-07-01 19:45:10','2022-07-01 19:45:10'),(327,359,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-01 18:50:21',2,0,1,NULL,NULL,NULL,'SP2022/0327',NULL,'2022-07-01 22:50:21','2022-07-01 22:50:21'),(328,360,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-02 09:55:39',2,0,1,NULL,NULL,NULL,'SP2022/0328',NULL,'2022-07-02 13:55:39','2022-07-02 13:55:39'),(329,361,1,0,400.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-02 10:11:28',2,0,1,NULL,NULL,NULL,'SP2022/0329',NULL,'2022-07-02 14:11:28','2022-07-02 14:11:28'),(330,362,1,0,365.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-02 11:02:19',2,0,1,NULL,NULL,NULL,'SP2022/0330',NULL,'2022-07-02 15:02:19','2022-07-02 15:02:19'),(331,363,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-02 11:02:47',2,0,1,NULL,NULL,NULL,'SP2022/0331',NULL,'2022-07-02 15:02:47','2022-07-02 15:02:47'),(332,364,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-02 11:41:15',2,0,1,NULL,NULL,NULL,'SP2022/0332',NULL,'2022-07-02 15:41:15','2022-07-02 15:41:15'),(333,365,1,0,350.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-02 12:45:41',2,0,1,NULL,NULL,NULL,'SP2022/0333',NULL,'2022-07-02 16:45:41','2022-07-02 16:45:41'),(334,366,1,0,140.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-02 13:14:59',2,0,1,NULL,NULL,NULL,'SP2022/0334',NULL,'2022-07-02 17:14:59','2022-07-02 17:14:59'),(335,367,1,0,360.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-02 15:50:58',2,0,1,NULL,NULL,NULL,'SP2022/0335',NULL,'2022-07-02 19:50:58','2022-07-02 19:50:58'),(336,368,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-02 17:19:13',2,0,1,NULL,NULL,NULL,'SP2022/0336',NULL,'2022-07-02 21:19:13','2022-07-02 21:19:13'),(337,370,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-02 18:05:03',2,0,1,NULL,NULL,NULL,'SP2022/0337',NULL,'2022-07-02 22:05:03','2022-07-02 22:05:03'),(338,371,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-04 09:38:35',2,0,1,NULL,NULL,NULL,'SP2022/0338',NULL,'2022-07-04 13:38:35','2022-07-04 13:38:35'),(339,372,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-04 10:11:43',2,0,1,NULL,NULL,NULL,'SP2022/0339',NULL,'2022-07-04 14:11:43','2022-07-04 14:11:43'),(340,374,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-04 11:08:06',2,0,1,NULL,NULL,NULL,'SP2022/0340',NULL,'2022-07-04 15:08:06','2022-07-04 15:08:06'),(341,375,1,0,290.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-04 12:20:05',2,0,1,NULL,NULL,NULL,'SP2022/0341',NULL,'2022-07-04 16:20:05','2022-07-04 16:20:05'),(342,376,1,0,25.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-04 12:31:27',2,0,1,NULL,NULL,NULL,'SP2022/0342',NULL,'2022-07-04 16:31:27','2022-07-04 16:31:27'),(343,377,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-04 13:31:49',2,0,1,NULL,NULL,NULL,'SP2022/0343',NULL,'2022-07-04 17:31:49','2022-07-04 17:31:49'),(344,378,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-04 16:40:26',2,0,1,NULL,NULL,NULL,'SP2022/0344',NULL,'2022-07-04 20:40:26','2022-07-04 20:40:26'),(345,379,1,0,270.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-04 17:59:08',2,0,1,NULL,NULL,NULL,'SP2022/0345',NULL,'2022-07-04 21:59:08','2022-07-04 21:59:08'),(346,380,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-05 09:24:38',2,0,1,NULL,NULL,NULL,'SP2022/0346',NULL,'2022-07-05 13:24:38','2022-07-05 13:24:38'),(347,381,1,0,105.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-05 09:34:51',2,0,1,NULL,NULL,NULL,'SP2022/0347',NULL,'2022-07-05 13:34:51','2022-07-05 13:34:51'),(348,382,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-05 10:44:38',2,0,1,NULL,NULL,NULL,'SP2022/0348',NULL,'2022-07-05 14:44:38','2022-07-05 14:44:38'),(349,383,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-05 14:37:10',2,0,1,NULL,NULL,NULL,'SP2022/0349',NULL,'2022-07-05 18:37:10','2022-07-05 18:37:10'),(350,384,1,0,210.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-05 15:27:56',2,0,1,NULL,NULL,NULL,'SP2022/0350',NULL,'2022-07-05 19:27:56','2022-07-05 19:27:56'),(351,385,1,0,60.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-05 15:35:32',2,0,1,NULL,NULL,NULL,'SP2022/0351',NULL,'2022-07-05 19:35:32','2022-07-05 19:35:32'),(352,386,1,0,350.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-05 15:42:28',2,0,1,NULL,NULL,NULL,'SP2022/0352',NULL,'2022-07-05 19:42:28','2022-07-05 19:42:28'),(353,387,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-05 18:33:06',2,0,1,NULL,NULL,NULL,'SP2022/0353',NULL,'2022-07-05 22:33:06','2022-07-05 22:33:06'),(354,388,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-05 18:58:23',2,0,1,NULL,NULL,NULL,'SP2022/0354',NULL,'2022-07-05 22:58:23','2022-07-05 22:58:23'),(355,389,1,0,135.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-06 09:28:59',2,0,1,NULL,NULL,NULL,'SP2022/0355',NULL,'2022-07-06 13:28:59','2022-07-06 13:28:59'),(356,390,1,0,230.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-06 14:01:20',2,0,1,NULL,NULL,NULL,'SP2022/0356',NULL,'2022-07-06 18:01:20','2022-07-06 18:01:20'),(357,391,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-06 16:35:35',2,0,1,NULL,NULL,NULL,'SP2022/0357',NULL,'2022-07-06 20:35:35','2022-07-06 20:35:35'),(358,392,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-06 17:33:24',2,0,1,NULL,NULL,NULL,'SP2022/0358',NULL,'2022-07-06 21:33:24','2022-07-06 21:33:24'),(359,393,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-07 08:34:52',2,0,1,NULL,NULL,NULL,'SP2022/0359',NULL,'2022-07-07 12:34:52','2022-07-07 12:34:52'),(360,394,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-07 08:37:13',2,0,1,NULL,NULL,NULL,'SP2022/0360',NULL,'2022-07-07 12:37:13','2022-07-07 12:37:13'),(361,395,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-07 10:03:52',2,0,1,NULL,NULL,NULL,'SP2022/0361',NULL,'2022-07-07 14:03:52','2022-07-07 14:03:52'),(362,396,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-07 10:59:30',2,0,1,NULL,NULL,NULL,'SP2022/0362',NULL,'2022-07-07 14:59:30','2022-07-07 14:59:30'),(363,397,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-07 14:02:15',2,0,1,NULL,NULL,NULL,'SP2022/0363',NULL,'2022-07-07 18:02:15','2022-07-07 18:02:15'),(364,398,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-07 14:05:05',2,0,1,NULL,NULL,NULL,'SP2022/0364',NULL,'2022-07-07 18:05:05','2022-07-07 18:05:05'),(365,399,1,0,220.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-07 15:58:44',2,0,1,NULL,NULL,NULL,'SP2022/0365',NULL,'2022-07-07 19:58:44','2022-07-07 19:58:44'),(366,400,1,0,290.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-07 16:26:38',2,0,1,NULL,NULL,NULL,'SP2022/0366',NULL,'2022-07-07 20:26:38','2022-07-07 20:26:38'),(367,401,1,0,160.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-07 16:56:01',2,0,1,NULL,NULL,NULL,'SP2022/0367',NULL,'2022-07-07 20:56:01','2022-07-07 20:56:01'),(368,402,1,0,220.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-07 18:56:35',2,0,1,NULL,NULL,NULL,'SP2022/0368',NULL,'2022-07-07 22:56:35','2022-07-07 22:56:35'),(369,403,1,0,105.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-08 09:42:14',2,0,1,NULL,NULL,NULL,'SP2022/0369',NULL,'2022-07-08 13:42:14','2022-07-08 13:42:14'),(370,404,1,0,240.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-08 11:02:57',2,0,1,NULL,NULL,NULL,'SP2022/0370',NULL,'2022-07-08 15:02:57','2022-07-08 15:02:57'),(371,406,1,0,320.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-08 11:12:55',2,0,1,NULL,NULL,NULL,'SP2022/0371',NULL,'2022-07-08 15:12:55','2022-07-08 15:12:55'),(372,407,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-08 12:47:58',2,0,1,NULL,NULL,NULL,'SP2022/0372',NULL,'2022-07-08 16:47:58','2022-07-08 16:47:58'),(373,408,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-08 14:18:01',2,0,1,NULL,NULL,NULL,'SP2022/0373',NULL,'2022-07-08 18:18:01','2022-07-08 18:18:01'),(374,409,1,0,135.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-08 15:02:12',2,0,1,NULL,NULL,NULL,'SP2022/0374',NULL,'2022-07-08 19:02:12','2022-07-08 19:02:12'),(375,411,1,0,105.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-08 16:45:31',2,0,1,NULL,NULL,NULL,'SP2022/0375',NULL,'2022-07-08 20:45:31','2022-07-08 20:45:31'),(376,412,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-08 16:47:02',2,0,1,NULL,NULL,NULL,'SP2022/0376',NULL,'2022-07-08 20:47:02','2022-07-08 20:47:02'),(377,413,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-08 16:48:30',2,0,1,NULL,NULL,NULL,'SP2022/0377',NULL,'2022-07-08 20:48:30','2022-07-08 20:48:30'),(378,414,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-08 18:05:41',2,0,1,NULL,NULL,NULL,'SP2022/0378',NULL,'2022-07-08 22:05:41','2022-07-08 22:05:41'),(379,415,1,0,135.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-09 08:47:40',2,0,1,NULL,NULL,NULL,'SP2022/0379',NULL,'2022-07-09 12:47:40','2022-07-09 12:47:40'),(380,416,1,0,940.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-09 12:32:29',2,0,1,NULL,NULL,NULL,'SP2022/0380',NULL,'2022-07-09 16:32:29','2022-07-09 16:32:29'),(381,417,1,0,410.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-09 12:47:23',2,0,1,NULL,NULL,NULL,'SP2022/0381',NULL,'2022-07-09 16:47:23','2022-07-09 16:47:23'),(382,418,1,0,160.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-11 09:11:59',2,0,1,NULL,NULL,NULL,'SP2022/0382',NULL,'2022-07-11 13:11:59','2022-07-11 13:11:59'),(383,419,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-11 10:06:43',2,0,1,NULL,NULL,NULL,'SP2022/0383',NULL,'2022-07-11 14:06:43','2022-07-11 14:06:43'),(384,420,1,0,110.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-11 11:14:21',2,0,1,NULL,NULL,NULL,'SP2022/0384',NULL,'2022-07-11 15:14:21','2022-07-11 15:14:21'),(385,421,1,0,165.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-11 12:20:40',2,0,1,NULL,NULL,NULL,'SP2022/0385',NULL,'2022-07-11 16:20:40','2022-07-11 16:20:40'),(386,423,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-11 15:04:23',2,0,1,NULL,NULL,NULL,'SP2022/0386',NULL,'2022-07-11 19:04:23','2022-07-11 19:04:23'),(387,424,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-11 15:55:28',2,0,1,NULL,NULL,NULL,'SP2022/0387',NULL,'2022-07-11 19:55:28','2022-07-11 19:55:28'),(388,425,1,0,180.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-11 17:06:35',2,0,1,NULL,NULL,NULL,'SP2022/0388',NULL,'2022-07-11 21:06:35','2022-07-11 21:06:35'),(389,426,1,0,180.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-11 17:09:11',2,0,1,NULL,NULL,NULL,'SP2022/0389',NULL,'2022-07-11 21:09:11','2022-07-11 21:09:11'),(390,427,1,0,230.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-11 17:10:14',2,0,1,NULL,NULL,NULL,'SP2022/0390',NULL,'2022-07-11 21:10:14','2022-07-11 21:10:14'),(391,428,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-11 17:10:40',2,0,1,NULL,NULL,NULL,'SP2022/0391',NULL,'2022-07-11 21:10:40','2022-07-11 21:10:40'),(392,429,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-11 17:11:25',2,0,1,NULL,NULL,NULL,'SP2022/0392',NULL,'2022-07-11 21:11:25','2022-07-11 21:11:25'),(393,430,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-12 09:11:24',2,0,1,NULL,NULL,NULL,'SP2022/0393',NULL,'2022-07-12 13:11:24','2022-07-12 13:11:24'),(394,431,1,0,105.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-12 09:22:41',2,0,1,NULL,NULL,NULL,'SP2022/0394',NULL,'2022-07-12 13:22:41','2022-07-12 13:22:41'),(395,432,1,0,265.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-12 09:36:33',2,0,1,NULL,NULL,NULL,'SP2022/0395',NULL,'2022-07-12 13:36:33','2022-07-12 13:36:33'),(396,433,1,0,210.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-12 10:34:30',2,0,1,NULL,NULL,NULL,'SP2022/0396',NULL,'2022-07-12 14:34:31','2022-07-12 14:34:31'),(397,435,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-12 11:25:57',2,0,1,NULL,NULL,NULL,'SP2022/0397',NULL,'2022-07-12 15:25:57','2022-07-12 15:25:57'),(398,436,1,0,1050.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-12 12:40:56',2,0,1,NULL,NULL,NULL,'SP2022/0398',NULL,'2022-07-12 16:40:56','2022-07-12 16:40:56'),(399,437,1,0,270.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-12 14:03:49',2,0,1,NULL,NULL,NULL,'SP2022/0399',NULL,'2022-07-12 18:03:49','2022-07-12 18:03:49'),(400,438,1,0,25.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-12 14:18:03',2,0,1,NULL,NULL,NULL,'SP2022/0400',NULL,'2022-07-12 18:18:03','2022-07-12 18:18:03'),(401,439,1,0,350.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-12 15:31:23',2,0,1,NULL,NULL,NULL,'SP2022/0401',NULL,'2022-07-12 19:31:23','2022-07-12 19:31:23'),(402,440,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-12 15:46:56',2,0,1,NULL,NULL,NULL,'SP2022/0402',NULL,'2022-07-12 19:46:56','2022-07-12 19:46:56'),(403,441,1,0,160.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-12 17:42:00',2,0,1,NULL,NULL,NULL,'SP2022/0403',NULL,'2022-07-12 21:42:00','2022-07-12 21:42:00'),(404,442,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-12 17:54:45',2,0,1,NULL,NULL,NULL,'SP2022/0404',NULL,'2022-07-12 21:54:45','2022-07-12 21:54:45'),(405,443,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-13 08:22:17',2,0,1,NULL,NULL,NULL,'SP2022/0405',NULL,'2022-07-13 12:22:17','2022-07-13 12:22:17'),(406,446,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-13 10:50:20',2,0,1,NULL,NULL,NULL,'SP2022/0406',NULL,'2022-07-13 14:50:20','2022-07-13 14:50:20'),(407,448,1,0,390.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-13 11:43:42',2,0,1,NULL,NULL,NULL,'SP2022/0407',NULL,'2022-07-13 15:43:42','2022-07-13 15:43:42'),(408,450,1,0,400.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-13 13:17:52',2,0,1,NULL,NULL,NULL,'SP2022/0408',NULL,'2022-07-13 17:17:52','2022-07-13 17:17:52'),(409,451,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-13 14:15:29',2,0,1,NULL,NULL,NULL,'SP2022/0409',NULL,'2022-07-13 18:15:29','2022-07-13 18:15:29'),(410,452,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-13 14:17:04',2,0,1,NULL,NULL,NULL,'SP2022/0410',NULL,'2022-07-13 18:17:04','2022-07-13 18:17:04'),(411,453,1,0,230.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-13 16:21:55',2,0,1,NULL,NULL,NULL,'SP2022/0411',NULL,'2022-07-13 20:21:55','2022-07-13 20:21:55'),(412,454,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-13 16:31:22',2,0,1,NULL,NULL,NULL,'SP2022/0412',NULL,'2022-07-13 20:31:22','2022-07-13 20:31:22'),(413,455,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-13 16:32:09',2,0,1,NULL,NULL,NULL,'SP2022/0413',NULL,'2022-07-13 20:32:09','2022-07-13 20:32:09'),(414,456,1,0,1500.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-13 19:13:14',2,0,1,NULL,NULL,NULL,'SP2022/0414',NULL,'2022-07-13 23:13:14','2022-07-13 23:13:14'),(415,457,1,0,230.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-14 08:25:39',2,0,1,NULL,NULL,NULL,'SP2022/0415',NULL,'2022-07-14 12:25:39','2022-07-14 12:25:39'),(416,463,1,0,390.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-14 11:19:30',2,0,1,NULL,NULL,NULL,'SP2022/0416',NULL,'2022-07-14 15:19:30','2022-07-14 15:19:30'),(417,464,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-14 11:32:06',2,0,1,NULL,NULL,NULL,'SP2022/0417',NULL,'2022-07-14 15:32:06','2022-07-14 15:32:06'),(418,465,1,0,900.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-14 12:23:32',2,0,1,NULL,NULL,NULL,'SP2022/0418',NULL,'2022-07-14 16:23:32','2022-07-14 16:23:32'),(419,466,1,0,255.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-14 13:30:17',2,0,1,NULL,NULL,NULL,'SP2022/0419',NULL,'2022-07-14 17:30:17','2022-07-14 17:30:17'),(420,467,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-14 14:36:40',2,0,1,NULL,NULL,NULL,'SP2022/0420',NULL,'2022-07-14 18:36:40','2022-07-14 18:36:40'),(421,469,1,0,310.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-14 15:51:55',2,0,1,NULL,NULL,NULL,'SP2022/0421',NULL,'2022-07-14 19:51:55','2022-07-14 19:51:55'),(422,470,1,0,450.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-14 16:06:11',2,0,1,NULL,NULL,NULL,'SP2022/0422',NULL,'2022-07-14 20:06:11','2022-07-14 20:06:11'),(423,471,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-14 16:23:04',2,0,1,NULL,NULL,NULL,'SP2022/0423',NULL,'2022-07-14 20:23:04','2022-07-14 20:23:04'),(424,472,1,0,240.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-14 16:37:31',2,0,1,NULL,NULL,NULL,'SP2022/0424',NULL,'2022-07-14 20:37:31','2022-07-14 20:37:31'),(425,473,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-14 18:31:14',2,0,1,NULL,NULL,NULL,'SP2022/0425',NULL,'2022-07-14 22:31:14','2022-07-14 22:31:14'),(426,474,1,0,300.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-14 18:37:07',2,0,1,NULL,NULL,NULL,'SP2022/0426',NULL,'2022-07-14 22:37:07','2022-07-14 22:37:07'),(427,476,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-15 09:09:57',2,0,1,NULL,NULL,NULL,'SP2022/0427',NULL,'2022-07-15 13:09:57','2022-07-15 13:09:57'),(428,477,1,0,180.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-15 10:45:00',2,0,1,NULL,NULL,NULL,'SP2022/0428',NULL,'2022-07-15 14:45:00','2022-07-15 14:45:00'),(429,478,1,0,310.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-15 11:55:35',2,0,1,NULL,NULL,NULL,'SP2022/0429',NULL,'2022-07-15 15:55:35','2022-07-15 15:55:35'),(430,479,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-15 13:44:32',2,0,1,NULL,NULL,NULL,'SP2022/0430',NULL,'2022-07-15 17:44:32','2022-07-15 17:44:32'),(431,480,1,0,155.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-15 15:59:23',2,0,1,NULL,NULL,NULL,'SP2022/0431',NULL,'2022-07-15 19:59:23','2022-07-15 19:59:23'),(432,481,1,0,350.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-15 16:18:29',2,0,1,NULL,'cesar ceara',NULL,'SP2022/0432',NULL,'2022-07-15 20:18:29','2022-07-15 20:18:29'),(433,482,1,0,1200.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-15 18:22:47',2,0,1,NULL,NULL,NULL,'SP2022/0433',NULL,'2022-07-15 22:22:47','2022-07-15 22:22:47'),(435,485,1,0,155.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-16 10:01:56',2,0,1,NULL,NULL,NULL,'SP2022/0435',NULL,'2022-07-16 14:01:56','2022-07-16 14:01:56'),(436,486,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-16 10:06:18',2,0,1,NULL,NULL,NULL,'SP2022/0436',NULL,'2022-07-16 14:06:18','2022-07-16 14:06:18'),(437,487,1,0,750.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-16 10:33:12',2,0,1,NULL,NULL,NULL,'SP2022/0437',NULL,'2022-07-16 14:33:12','2022-07-16 14:33:12'),(438,488,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-16 10:42:14',2,0,1,NULL,NULL,NULL,'SP2022/0438',NULL,'2022-07-16 14:42:14','2022-07-16 14:42:14'),(439,489,1,0,260.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-16 12:03:33',2,0,1,NULL,NULL,NULL,'SP2022/0439',NULL,'2022-07-16 16:03:33','2022-07-16 16:03:33'),(440,490,1,0,355.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-16 13:10:25',2,0,1,NULL,NULL,NULL,'SP2022/0440',NULL,'2022-07-16 17:10:25','2022-07-16 17:10:25'),(441,491,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-16 13:13:18',2,0,1,NULL,NULL,NULL,'SP2022/0441',NULL,'2022-07-16 17:13:18','2022-07-16 17:13:18'),(442,492,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-16 14:54:52',2,0,1,NULL,NULL,NULL,'SP2022/0442',NULL,'2022-07-16 18:54:52','2022-07-16 18:54:52'),(443,493,1,0,185.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-16 18:16:15',2,0,1,NULL,NULL,NULL,'SP2022/0443',NULL,'2022-07-16 22:16:15','2022-07-16 22:16:15'),(444,495,1,0,105.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-18 10:02:51',2,0,1,NULL,NULL,NULL,'SP2022/0444',NULL,'2022-07-18 14:02:51','2022-07-18 14:02:51'),(445,496,1,0,290.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-18 10:47:53',2,0,1,NULL,NULL,NULL,'SP2022/0445',NULL,'2022-07-18 14:47:53','2022-07-18 14:47:53'),(446,497,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-18 11:25:30',2,0,1,NULL,NULL,NULL,'SP2022/0446',NULL,'2022-07-18 15:25:30','2022-07-18 15:25:30'),(447,498,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-18 11:38:23',2,0,1,NULL,NULL,NULL,'SP2022/0447',NULL,'2022-07-18 15:38:23','2022-07-18 15:38:23'),(448,499,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-18 13:04:18',2,0,1,NULL,NULL,NULL,'SP2022/0448',NULL,'2022-07-18 17:04:18','2022-07-18 17:04:18'),(449,500,1,0,400.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-18 13:21:09',2,0,1,NULL,NULL,NULL,'SP2022/0449',NULL,'2022-07-18 17:21:09','2022-07-18 17:21:09'),(450,501,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-18 15:17:40',2,0,1,NULL,NULL,NULL,'SP2022/0450',NULL,'2022-07-18 19:17:40','2022-07-18 19:17:40'),(451,502,1,0,135.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-18 15:58:42',2,0,1,NULL,NULL,NULL,'SP2022/0451',NULL,'2022-07-18 19:58:42','2022-07-18 19:58:42'),(452,503,1,0,410.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-18 16:44:49',2,0,1,NULL,NULL,NULL,'SP2022/0452',NULL,'2022-07-18 20:44:49','2022-07-18 20:44:49'),(453,504,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-18 16:54:00',2,0,1,NULL,NULL,NULL,'SP2022/0453',NULL,'2022-07-18 20:54:00','2022-07-18 20:54:00'),(454,505,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-18 16:57:05',2,0,1,NULL,NULL,NULL,'SP2022/0454',NULL,'2022-07-18 20:57:05','2022-07-18 20:57:05'),(455,506,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-18 17:23:11',2,0,1,NULL,NULL,NULL,'SP2022/0455',NULL,'2022-07-18 21:23:11','2022-07-18 21:23:11'),(456,507,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-18 18:48:52',2,0,1,NULL,NULL,NULL,'SP2022/0456',NULL,'2022-07-18 22:48:52','2022-07-18 22:48:52'),(457,509,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-19 08:55:47',2,0,1,NULL,NULL,NULL,'SP2022/0457',NULL,'2022-07-19 12:55:47','2022-07-19 12:55:47'),(458,510,1,0,185.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-19 09:03:08',2,0,1,NULL,NULL,NULL,'SP2022/0458',NULL,'2022-07-19 13:03:08','2022-07-19 13:03:08'),(459,511,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-19 09:28:53',2,0,1,NULL,NULL,NULL,'SP2022/0459',NULL,'2022-07-19 13:28:53','2022-07-19 13:28:53'),(460,514,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-19 10:44:03',2,0,1,NULL,NULL,NULL,'SP2022/0460',NULL,'2022-07-19 14:44:03','2022-07-19 14:44:03'),(461,515,1,0,180.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-19 12:24:20',2,0,1,NULL,NULL,NULL,'SP2022/0461',NULL,'2022-07-19 16:24:20','2022-07-19 16:24:20'),(462,516,1,0,310.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-19 12:30:27',2,0,1,NULL,NULL,NULL,'SP2022/0462',NULL,'2022-07-19 16:30:27','2022-07-19 16:30:27'),(463,517,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-19 12:34:56',2,0,1,NULL,NULL,NULL,'SP2022/0463',NULL,'2022-07-19 16:34:56','2022-07-19 16:34:56'),(464,518,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-19 12:49:04',2,0,1,NULL,NULL,NULL,'SP2022/0464',NULL,'2022-07-19 16:49:04','2022-07-19 16:49:04'),(465,519,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-19 13:47:36',2,0,1,NULL,NULL,NULL,'SP2022/0465',NULL,'2022-07-19 17:47:36','2022-07-19 17:47:36'),(466,520,1,0,255.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-19 13:59:52',2,0,1,NULL,NULL,NULL,'SP2022/0466',NULL,'2022-07-19 17:59:52','2022-07-19 17:59:52'),(467,521,1,0,615.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-19 14:58:46',2,0,1,NULL,NULL,NULL,'SP2022/0467',NULL,'2022-07-19 18:58:46','2022-07-19 18:58:46'),(468,523,1,0,230.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-19 17:19:00',2,0,1,NULL,NULL,NULL,'SP2022/0468',NULL,'2022-07-19 21:19:00','2022-07-19 21:19:00'),(469,524,1,0,250.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-19 18:16:16',2,0,1,NULL,NULL,NULL,'SP2022/0469',NULL,'2022-07-19 22:16:16','2022-07-19 22:16:16'),(470,525,1,0,350.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-19 18:59:05',2,0,1,NULL,NULL,NULL,'SP2022/0470',NULL,'2022-07-19 22:59:05','2022-07-19 22:59:05'),(471,526,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-20 08:15:45',2,0,1,NULL,NULL,NULL,'SP2022/0471',NULL,'2022-07-20 12:15:45','2022-07-20 12:15:45'),(472,527,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-20 11:02:50',2,0,1,NULL,NULL,NULL,'SP2022/0472',NULL,'2022-07-20 15:02:50','2022-07-20 15:02:50'),(473,528,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-20 11:09:40',2,0,1,NULL,NULL,NULL,'SP2022/0473',NULL,'2022-07-20 15:09:40','2022-07-20 15:09:40'),(474,529,1,0,480.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-20 11:50:27',2,0,1,NULL,NULL,NULL,'SP2022/0474',NULL,'2022-07-20 15:50:27','2022-07-20 15:50:27'),(475,530,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-20 11:52:04',2,0,1,NULL,NULL,NULL,'SP2022/0475',NULL,'2022-07-20 15:52:04','2022-07-20 15:52:04'),(476,531,1,0,25.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-20 13:53:33',2,0,1,NULL,NULL,NULL,'SP2022/0476',NULL,'2022-07-20 17:53:33','2022-07-20 17:53:33'),(477,532,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-20 14:00:50',2,0,1,NULL,NULL,NULL,'SP2022/0477',NULL,'2022-07-20 18:00:50','2022-07-20 18:00:50'),(478,533,1,0,250.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-20 14:12:59',2,0,1,NULL,NULL,NULL,'SP2022/0478',NULL,'2022-07-20 18:12:59','2022-07-20 18:12:59'),(479,534,1,0,260.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-20 16:16:47',2,0,1,NULL,NULL,NULL,'SP2022/0479',NULL,'2022-07-20 20:16:47','2022-07-20 20:16:47'),(480,535,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-20 18:58:51',2,0,1,NULL,NULL,NULL,'SP2022/0480',NULL,'2022-07-20 22:58:51','2022-07-20 22:58:51'),(481,536,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-21 08:18:27',2,0,1,NULL,NULL,NULL,'SP2022/0481',NULL,'2022-07-21 12:18:27','2022-07-21 12:18:27'),(482,537,1,0,565.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-21 10:37:44',2,0,1,NULL,NULL,NULL,'SP2022/0482',NULL,'2022-07-21 14:37:44','2022-07-21 14:37:44'),(483,538,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-21 11:17:48',2,0,1,NULL,NULL,NULL,'SP2022/0483',NULL,'2022-07-21 15:17:48','2022-07-21 15:17:48'),(484,539,1,0,75.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-21 11:31:20',2,0,1,NULL,NULL,NULL,'SP2022/0484',NULL,'2022-07-21 15:31:20','2022-07-21 15:31:20'),(485,540,1,0,365.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-21 12:57:08',2,0,1,NULL,NULL,NULL,'SP2022/0485',NULL,'2022-07-21 16:57:08','2022-07-21 16:57:08'),(486,541,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-21 12:57:50',2,0,1,NULL,NULL,NULL,'SP2022/0486',NULL,'2022-07-21 16:57:50','2022-07-21 16:57:50'),(487,542,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-21 14:27:15',2,0,1,NULL,NULL,NULL,'SP2022/0487',NULL,'2022-07-21 18:27:15','2022-07-21 18:27:15'),(488,544,1,0,230.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-22 11:19:12',2,0,1,NULL,NULL,NULL,'SP2022/0488',NULL,'2022-07-22 15:19:12','2022-07-22 15:19:12'),(489,545,1,0,25.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-22 15:12:13',2,0,1,NULL,NULL,NULL,'SP2022/0489',NULL,'2022-07-22 19:12:13','2022-07-22 19:12:13'),(490,546,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-22 18:47:05',2,0,1,NULL,NULL,NULL,'SP2022/0490',NULL,'2022-07-22 22:47:05','2022-07-22 22:47:05'),(491,547,1,0,200.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-22 19:04:39',2,0,1,NULL,NULL,NULL,'SP2022/0491',NULL,'2022-07-22 23:04:39','2022-07-22 23:04:39'),(492,548,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-23 09:14:45',2,0,1,NULL,NULL,NULL,'SP2022/0492',NULL,'2022-07-23 13:14:45','2022-07-23 13:14:45'),(493,549,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-23 09:33:37',2,0,1,NULL,NULL,NULL,'SP2022/0493',NULL,'2022-07-23 13:33:37','2022-07-23 13:33:37'),(494,550,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-23 09:45:03',2,0,1,NULL,NULL,NULL,'SP2022/0494',NULL,'2022-07-23 13:45:03','2022-07-23 13:45:03'),(495,551,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-23 09:48:40',2,0,1,NULL,NULL,NULL,'SP2022/0495',NULL,'2022-07-23 13:48:40','2022-07-23 13:48:40'),(496,552,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-23 14:42:51',2,0,1,NULL,NULL,NULL,'SP2022/0496',NULL,'2022-07-23 18:42:51','2022-07-23 18:42:51'),(497,553,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-23 14:46:11',2,0,1,NULL,NULL,NULL,'SP2022/0497',NULL,'2022-07-23 18:46:11','2022-07-23 18:46:11'),(498,554,1,0,210.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-23 16:44:16',2,0,1,NULL,NULL,NULL,'SP2022/0498',NULL,'2022-07-23 20:44:16','2022-07-23 20:44:16'),(499,555,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-23 18:52:36',2,0,1,NULL,NULL,NULL,'SP2022/0499',NULL,'2022-07-23 22:52:36','2022-07-23 22:52:36'),(500,556,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-23 18:53:23',2,0,1,NULL,NULL,NULL,'SP2022/0500',NULL,'2022-07-23 22:53:23','2022-07-23 22:53:23'),(501,557,1,0,230.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-25 10:28:34',2,0,1,NULL,NULL,NULL,'SP2022/0501',NULL,'2022-07-25 14:28:34','2022-07-25 14:28:34'),(502,559,1,0,185.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-25 11:10:12',2,0,1,NULL,NULL,NULL,'SP2022/0502',NULL,'2022-07-25 15:10:12','2022-07-25 15:10:12'),(503,560,1,0,400.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-25 12:53:53',2,0,1,NULL,NULL,NULL,'SP2022/0503',NULL,'2022-07-25 16:53:53','2022-07-25 16:53:53'),(504,561,1,0,25.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-25 13:07:19',2,0,1,NULL,NULL,NULL,'SP2022/0504',NULL,'2022-07-25 17:07:19','2022-07-25 17:07:19'),(505,562,1,0,450.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-25 13:16:56',2,0,1,NULL,NULL,NULL,'SP2022/0505',NULL,'2022-07-25 17:16:56','2022-07-25 17:16:56'),(506,563,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-25 17:17:48',2,0,1,NULL,NULL,NULL,'SP2022/0506',NULL,'2022-07-25 21:17:48','2022-07-25 21:17:48'),(507,564,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-26 09:09:33',2,0,1,NULL,NULL,NULL,'SP2022/0507',NULL,'2022-07-26 13:09:33','2022-07-26 13:09:33'),(508,565,1,0,215.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-26 10:56:56',2,0,1,NULL,NULL,NULL,'SP2022/0508',NULL,'2022-07-26 14:56:56','2022-07-26 14:56:56'),(509,566,1,0,240.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-26 10:59:11',2,0,1,NULL,NULL,NULL,'SP2022/0509',NULL,'2022-07-26 14:59:11','2022-07-26 14:59:11'),(510,567,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-26 12:57:29',2,0,1,NULL,NULL,NULL,'SP2022/0510',NULL,'2022-07-26 16:57:29','2022-07-26 16:57:29'),(511,568,1,0,240.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-26 15:12:28',2,0,1,NULL,NULL,NULL,'SP2022/0511',NULL,'2022-07-26 19:12:28','2022-07-26 19:12:28'),(512,569,1,0,135.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-26 15:15:55',2,0,1,NULL,NULL,NULL,'SP2022/0512',NULL,'2022-07-26 19:15:55','2022-07-26 19:15:55'),(513,570,1,0,160.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-26 17:11:38',2,0,1,NULL,NULL,NULL,'SP2022/0513',NULL,'2022-07-26 21:11:38','2022-07-26 21:11:38'),(514,571,1,0,245.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-26 17:45:00',2,0,1,NULL,NULL,NULL,'SP2022/0514',NULL,'2022-07-26 21:45:00','2022-07-26 21:45:00'),(515,572,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-26 18:03:23',2,0,1,NULL,NULL,NULL,'SP2022/0515',NULL,'2022-07-26 22:03:23','2022-07-26 22:03:23'),(516,573,1,0,210.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-27 10:25:47',2,0,1,NULL,NULL,NULL,'SP2022/0516',NULL,'2022-07-27 14:25:47','2022-07-27 14:25:47'),(517,574,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-27 10:48:53',2,0,1,NULL,NULL,NULL,'SP2022/0517',NULL,'2022-07-27 14:48:53','2022-07-27 14:48:53'),(518,575,1,0,450.0000,'bank_transfer',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-27 11:03:57',2,0,1,NULL,NULL,NULL,'SP2022/0518',NULL,'2022-07-27 15:03:57','2022-07-27 15:03:57'),(519,576,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-27 12:37:29',2,0,1,NULL,NULL,NULL,'SP2022/0519',NULL,'2022-07-27 16:37:29','2022-07-27 16:37:29'),(520,577,1,0,400.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-27 13:57:00',2,0,1,NULL,NULL,NULL,'SP2022/0520',NULL,'2022-07-27 17:57:00','2022-07-27 17:57:00'),(521,578,1,0,110.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-27 16:29:56',2,0,1,NULL,NULL,NULL,'SP2022/0521',NULL,'2022-07-27 20:29:56','2022-07-27 20:29:56'),(522,579,1,0,75.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-27 16:38:17',2,0,1,NULL,NULL,NULL,'SP2022/0522',NULL,'2022-07-27 20:38:17','2022-07-27 20:38:17'),(523,580,1,0,340.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-27 17:03:52',2,0,1,NULL,NULL,NULL,'SP2022/0523',NULL,'2022-07-27 21:03:52','2022-07-27 21:03:52'),(524,581,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-27 17:25:52',2,0,1,NULL,NULL,NULL,'SP2022/0524',NULL,'2022-07-27 21:25:52','2022-07-27 21:25:52'),(525,582,1,0,230.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-27 18:02:58',2,0,1,NULL,NULL,NULL,'SP2022/0525',NULL,'2022-07-27 22:02:58','2022-07-27 22:02:58'),(526,583,1,0,25.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-27 18:03:23',2,0,1,NULL,NULL,NULL,'SP2022/0526',NULL,'2022-07-27 22:03:23','2022-07-27 22:03:23'),(527,584,1,0,230.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-28 09:30:29',2,0,1,NULL,NULL,NULL,'SP2022/0527',NULL,'2022-07-28 13:30:29','2022-07-28 13:30:29'),(528,587,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-28 12:52:17',2,0,1,NULL,NULL,NULL,'SP2022/0528',NULL,'2022-07-28 16:52:17','2022-07-28 16:52:17'),(529,589,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-28 17:10:45',2,0,1,NULL,NULL,NULL,'SP2022/0529',NULL,'2022-07-28 21:10:45','2022-07-28 21:10:45'),(530,590,1,0,420.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-28 18:41:40',2,0,1,NULL,NULL,NULL,'SP2022/0530',NULL,'2022-07-28 22:41:40','2022-07-28 22:41:40'),(531,591,1,0,160.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-29 08:55:18',2,0,1,NULL,NULL,NULL,'SP2022/0531',NULL,'2022-07-29 12:55:18','2022-07-29 12:55:18'),(532,592,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-29 09:24:31',2,0,1,NULL,NULL,NULL,'SP2022/0532',NULL,'2022-07-29 13:24:31','2022-07-29 13:24:31'),(533,594,1,0,430.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-29 13:04:12',2,0,1,NULL,NULL,NULL,'SP2022/0533',NULL,'2022-07-29 17:04:12','2022-07-29 17:04:12'),(534,595,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-29 15:31:08',2,0,1,NULL,NULL,NULL,'SP2022/0534',NULL,'2022-07-29 19:31:08','2022-07-29 19:31:08'),(535,596,1,0,105.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-29 15:34:38',2,0,1,NULL,NULL,NULL,'SP2022/0535',NULL,'2022-07-29 19:34:38','2022-07-29 19:34:38'),(536,597,1,0,325.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-29 16:54:37',2,0,1,NULL,NULL,NULL,'SP2022/0536',NULL,'2022-07-29 20:54:37','2022-07-29 20:54:37'),(537,598,1,0,365.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-29 17:29:27',2,0,1,NULL,NULL,NULL,'SP2022/0537',NULL,'2022-07-29 21:29:27','2022-07-29 21:29:27'),(539,602,1,0,25.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-30 10:28:58',2,0,1,NULL,NULL,NULL,'SP2022/0539',NULL,'2022-07-30 14:28:58','2022-07-30 14:28:58'),(540,603,1,0,290.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-30 13:14:01',2,0,1,NULL,NULL,NULL,'SP2022/0540',NULL,'2022-07-30 17:14:01','2022-07-30 17:14:01'),(541,604,1,0,620.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-30 14:09:33',2,0,1,NULL,NULL,NULL,'SP2022/0541',NULL,'2022-07-30 18:09:33','2022-07-30 18:09:33'),(542,605,1,0,80.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-30 14:39:21',2,0,1,NULL,NULL,NULL,'SP2022/0542',NULL,'2022-07-30 18:39:21','2022-07-30 18:39:21'),(543,606,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-30 18:10:25',2,0,1,NULL,NULL,NULL,'SP2022/0543',NULL,'2022-07-30 22:10:25','2022-07-30 22:10:25'),(544,607,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-30 18:53:55',2,0,1,NULL,NULL,NULL,'SP2022/0544',NULL,'2022-07-30 22:53:55','2022-07-30 22:53:55'),(545,608,1,0,300.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-01 10:39:03',2,0,1,NULL,NULL,NULL,'SP2022/0545',NULL,'2022-08-01 14:39:03','2022-08-01 14:39:03'),(546,609,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-01 10:39:26',2,0,1,NULL,NULL,NULL,'SP2022/0546',NULL,'2022-08-01 14:39:26','2022-08-01 14:39:26'),(547,610,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-01 13:41:47',2,0,1,NULL,NULL,NULL,'SP2022/0547',NULL,'2022-08-01 17:41:47','2022-08-01 17:41:47'),(548,611,1,0,25.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-01 13:43:07',2,0,1,NULL,NULL,NULL,'SP2022/0548',NULL,'2022-08-01 17:43:07','2022-08-01 17:43:07'),(549,612,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-01 14:21:14',2,0,1,NULL,NULL,NULL,'SP2022/0549',NULL,'2022-08-01 18:21:14','2022-08-01 18:21:14'),(550,614,1,0,380.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-01 16:07:44',2,0,1,NULL,NULL,NULL,'SP2022/0550',NULL,'2022-08-01 20:07:44','2022-08-01 20:07:44'),(551,615,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-01 16:25:58',2,0,1,NULL,NULL,NULL,'SP2022/0551',NULL,'2022-08-01 20:25:58','2022-08-01 20:25:58'),(552,617,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-01 16:36:35',2,0,1,NULL,NULL,NULL,'SP2022/0552',NULL,'2022-08-01 20:36:35','2022-08-01 20:36:35'),(553,618,1,0,300.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-01 17:37:28',2,0,1,NULL,NULL,NULL,'SP2022/0553',NULL,'2022-08-01 21:37:28','2022-08-01 21:37:28'),(554,619,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-01 17:37:59',2,0,1,NULL,NULL,NULL,'SP2022/0554',NULL,'2022-08-01 21:37:59','2022-08-01 21:37:59'),(555,620,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-01 17:59:11',2,0,1,NULL,NULL,NULL,'SP2022/0555',NULL,'2022-08-01 21:59:11','2022-08-01 21:59:11'),(556,621,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-01 18:01:31',2,0,1,NULL,NULL,NULL,'SP2022/0556',NULL,'2022-08-01 22:01:31','2022-08-01 22:01:31'),(557,622,1,0,185.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-01 18:38:35',2,0,1,NULL,NULL,NULL,'SP2022/0557',NULL,'2022-08-01 22:38:35','2022-08-01 22:38:35'),(558,623,1,0,160.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-02 09:45:53',2,0,1,NULL,NULL,NULL,'SP2022/0558',NULL,'2022-08-02 13:45:53','2022-08-02 13:45:53'),(559,624,1,0,310.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-02 10:01:13',2,0,1,NULL,NULL,NULL,'SP2022/0559',NULL,'2022-08-02 14:01:13','2022-08-02 14:01:13'),(560,627,1,0,160.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-02 11:15:40',2,0,1,NULL,NULL,NULL,'SP2022/0560',NULL,'2022-08-02 15:15:40','2022-08-02 15:15:40'),(561,628,1,0,300.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-02 12:03:57',2,0,1,NULL,NULL,NULL,'SP2022/0561',NULL,'2022-08-02 16:03:57','2022-08-02 16:03:57'),(562,629,1,0,420.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-02 14:32:00',2,0,1,NULL,NULL,NULL,'SP2022/0562',NULL,'2022-08-02 18:32:00','2022-08-02 18:32:00'),(563,630,1,0,390.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-02 16:45:37',2,0,1,NULL,NULL,NULL,'SP2022/0563',NULL,'2022-08-02 20:45:37','2022-08-02 20:45:37'),(564,631,1,0,190.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-02 17:20:48',2,0,1,NULL,NULL,NULL,'SP2022/0564',NULL,'2022-08-02 21:20:48','2022-08-02 21:20:48'),(565,632,1,0,220.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-02 18:05:07',2,0,1,NULL,NULL,NULL,'SP2022/0565',NULL,'2022-08-02 22:05:07','2022-08-02 22:05:07'),(566,633,1,0,130.0000,'bank_transfer',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-03 09:23:39',2,0,1,NULL,NULL,NULL,'SP2022/0566',NULL,'2022-08-03 13:23:39','2022-08-03 13:23:39'),(567,634,1,0,110.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-03 09:47:46',2,0,1,NULL,NULL,NULL,'SP2022/0567',NULL,'2022-08-03 13:47:46','2022-08-03 13:47:46'),(568,635,1,0,105.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-03 09:58:44',2,0,1,NULL,NULL,NULL,'SP2022/0568',NULL,'2022-08-03 13:58:44','2022-08-03 13:58:44'),(569,636,1,0,130.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-03 11:04:21',2,0,1,NULL,NULL,NULL,'SP2022/0569',NULL,'2022-08-03 15:04:21','2022-08-03 15:04:21'),(570,637,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-03 12:57:07',2,0,1,NULL,NULL,NULL,'SP2022/0570',NULL,'2022-08-03 16:57:07','2022-08-03 16:57:07'),(571,638,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-03 13:03:32',2,0,1,NULL,NULL,NULL,'SP2022/0571',NULL,'2022-08-03 17:03:32','2022-08-03 17:03:32'),(572,639,1,0,270.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-03 13:29:22',2,0,1,NULL,NULL,NULL,'SP2022/0572',NULL,'2022-08-03 17:29:22','2022-08-03 17:29:22'),(573,640,1,0,120.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-03 14:02:34',2,0,1,NULL,NULL,NULL,'SP2022/0573',NULL,'2022-08-03 18:02:34','2022-08-03 18:02:34'),(574,641,1,0,110.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-04 09:09:45',2,0,1,NULL,NULL,NULL,'SP2022/0574',NULL,'2022-08-04 13:09:45','2022-08-04 13:09:45'),(575,642,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-04 10:16:00',2,0,1,NULL,NULL,NULL,'SP2022/0575',NULL,'2022-08-04 14:16:00','2022-08-04 14:16:00'),(576,643,1,0,230.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-04 11:08:27',2,0,1,NULL,NULL,NULL,'SP2022/0576',NULL,'2022-08-04 15:08:27','2022-08-04 15:08:27'),(577,644,1,0,200.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-04 15:01:41',2,0,1,NULL,NULL,NULL,'SP2022/0577',NULL,'2022-08-04 19:01:41','2022-08-04 19:01:41'),(578,645,1,0,75.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-04 15:26:34',2,0,1,NULL,NULL,NULL,'SP2022/0578',NULL,'2022-08-04 19:26:34','2022-08-04 19:26:34'),(579,646,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-04 15:36:58',2,0,1,NULL,NULL,NULL,'SP2022/0579',NULL,'2022-08-04 19:36:58','2022-08-04 19:36:58'),(580,648,1,0,500.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-04 16:01:03',2,0,1,NULL,NULL,NULL,'SP2022/0580',NULL,'2022-08-04 20:01:03','2022-08-04 20:01:03'),(581,650,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-05 09:03:56',2,0,1,NULL,NULL,NULL,'SP2022/0581',NULL,'2022-08-05 13:03:56','2022-08-05 13:03:56'),(582,651,1,0,55.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-05 09:25:47',2,0,1,NULL,NULL,NULL,'SP2022/0582',NULL,'2022-08-05 13:25:47','2022-08-05 13:25:47'),(583,654,1,0,210.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-05 10:40:06',2,0,1,NULL,NULL,NULL,'SP2022/0583',NULL,'2022-08-05 14:40:06','2022-08-05 14:40:06'),(584,655,1,0,310.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-05 11:22:12',2,0,1,NULL,NULL,NULL,'SP2022/0584',NULL,'2022-08-05 15:22:12','2022-08-05 15:22:12'),(585,656,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-05 11:56:28',2,0,1,NULL,NULL,NULL,'SP2022/0585',NULL,'2022-08-05 15:56:28','2022-08-05 15:56:28'),(586,658,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-05 13:09:47',2,0,1,NULL,NULL,NULL,'SP2022/0586',NULL,'2022-08-05 17:09:47','2022-08-05 17:09:47'),(587,661,1,0,105.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-06 10:07:36',2,0,1,NULL,NULL,NULL,'SP2022/0587',NULL,'2022-08-06 14:07:36','2022-08-06 14:07:36'),(588,662,1,0,345.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-06 10:50:22',2,0,4,NULL,NULL,NULL,'SP2022/0588',NULL,'2022-08-06 14:50:22','2022-08-06 14:50:22'),(589,665,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-08 09:50:35',2,0,1,NULL,NULL,NULL,'SP2022/0589',NULL,'2022-08-08 13:50:35','2022-08-08 13:50:35'),(590,666,1,0,210.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-08 11:37:01',2,0,4,NULL,NULL,NULL,'SP2022/0590',NULL,'2022-08-08 15:37:01','2022-08-08 15:37:01'),(591,667,1,0,105.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-08 12:31:05',2,0,1,NULL,NULL,NULL,'SP2022/0591',NULL,'2022-08-08 16:31:05','2022-08-08 16:31:05'),(592,668,1,0,250.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-08 13:52:54',2,0,1,NULL,NULL,NULL,'SP2022/0592',NULL,'2022-08-08 17:52:54','2022-08-08 17:52:54'),(593,669,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-08 14:42:00',2,0,1,NULL,NULL,NULL,'SP2022/0593',NULL,'2022-08-08 18:42:00','2022-08-08 18:42:00'),(594,670,1,0,260.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-08 15:31:43',2,0,1,NULL,NULL,NULL,'SP2022/0594',NULL,'2022-08-08 19:31:43','2022-08-08 19:31:43'),(595,671,1,0,1070.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-08 16:01:43',2,0,1,NULL,NULL,NULL,'SP2022/0595',NULL,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(596,673,1,0,265.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-08 17:02:09',2,0,1,NULL,NULL,NULL,'SP2022/0596',NULL,'2022-08-08 21:02:09','2022-08-08 21:02:09'),(597,674,1,0,315.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-08 17:23:14',2,0,1,NULL,NULL,NULL,'SP2022/0597',NULL,'2022-08-08 21:23:14','2022-08-08 21:23:14'),(598,675,1,0,150.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-08 17:41:35',2,0,1,NULL,NULL,NULL,'SP2022/0598',NULL,'2022-08-08 21:41:35','2022-08-08 21:41:35'),(599,676,1,0,510.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-08 18:12:47',2,0,4,NULL,NULL,NULL,'SP2022/0599',NULL,'2022-08-08 22:12:47','2022-08-08 22:12:47'),(600,677,1,0,50.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-08 18:25:17',2,0,1,NULL,NULL,NULL,'SP2022/0600',NULL,'2022-08-08 22:25:17','2022-08-08 22:25:17'),(601,678,1,0,270.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-08 18:44:43',2,0,1,NULL,NULL,NULL,'SP2022/0601',NULL,'2022-08-08 22:44:43','2022-08-08 22:44:43'),(602,679,1,0,270.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-08 18:56:27',2,0,1,NULL,NULL,NULL,'SP2022/0602',NULL,'2022-08-08 22:56:27','2022-08-08 22:56:27'),(603,680,1,0,100.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-09 10:19:21',2,0,1,NULL,NULL,NULL,'SP2022/0603',NULL,'2022-08-09 14:19:21','2022-08-09 14:19:21'),(604,682,1,0,180.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-09 13:37:31',2,0,1,NULL,NULL,NULL,'SP2022/0604',NULL,'2022-08-09 17:37:31','2022-08-09 17:37:31'),(605,683,1,0,240.0000,'cash',NULL,NULL,NULL,'credit',NULL,NULL,NULL,NULL,NULL,NULL,'2022-08-09 13:53:21',2,0,1,NULL,NULL,NULL,'SP2022/0605',NULL,'2022-08-09 17:53:21','2022-08-09 17:53:21');
/*!40000 ALTER TABLE `transaction_payments` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `transaction_sell_lines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `transaction_sell_lines` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `transaction_id` int(10) unsigned NOT NULL,
  `product_id` int(10) unsigned NOT NULL,
  `variation_id` int(10) unsigned NOT NULL,
  `quantity` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `mfg_waste_percent` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `quantity_returned` decimal(20,4) NOT NULL DEFAULT 0.0000,
  `unit_price_before_discount` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `unit_price` decimal(22,4) DEFAULT NULL COMMENT 'Sell price excluding tax',
  `line_discount_type` enum('fixed','percentage') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `line_discount_amount` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `unit_price_inc_tax` decimal(22,4) DEFAULT NULL COMMENT 'Sell price including tax',
  `item_tax` decimal(22,4) NOT NULL COMMENT 'Tax for one quantity',
  `tax_id` int(10) unsigned DEFAULT NULL,
  `discount_id` int(11) DEFAULT NULL,
  `lot_no_line_id` int(11) DEFAULT NULL,
  `sell_line_note` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `res_service_staff_id` int(11) DEFAULT NULL,
  `res_line_order_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `parent_sell_line_id` int(11) DEFAULT NULL,
  `children_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT '' COMMENT 'Type of children for the parent, like modifier or combo',
  `sub_unit_id` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `transaction_sell_lines_transaction_id_foreign` (`transaction_id`),
  KEY `transaction_sell_lines_product_id_foreign` (`product_id`),
  KEY `transaction_sell_lines_variation_id_foreign` (`variation_id`),
  KEY `transaction_sell_lines_tax_id_foreign` (`tax_id`),
  KEY `transaction_sell_lines_children_type_index` (`children_type`),
  KEY `transaction_sell_lines_parent_sell_line_id_index` (`parent_sell_line_id`),
  CONSTRAINT `transaction_sell_lines_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE,
  CONSTRAINT `transaction_sell_lines_tax_id_foreign` FOREIGN KEY (`tax_id`) REFERENCES `tax_rates` (`id`) ON DELETE CASCADE,
  CONSTRAINT `transaction_sell_lines_transaction_id_foreign` FOREIGN KEY (`transaction_id`) REFERENCES `transactions` (`id`) ON DELETE CASCADE,
  CONSTRAINT `transaction_sell_lines_variation_id_foreign` FOREIGN KEY (`variation_id`) REFERENCES `variations` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=1342 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `transaction_sell_lines` WRITE;
/*!40000 ALTER TABLE `transaction_sell_lines` DISABLE KEYS */;
INSERT INTO `transaction_sell_lines` VALUES (21,6,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 13:40:29','2022-05-24 13:40:29'),(22,7,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 16:29:00','2022-05-24 16:29:00'),(23,7,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 16:29:00','2022-05-24 16:29:00'),(24,7,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 16:29:00','2022-05-24 16:29:00'),(25,8,11,11,2.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 17:53:03','2022-05-24 17:53:03'),(26,8,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 17:53:03','2022-05-24 17:53:03'),(27,8,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 17:53:03','2022-05-24 17:53:03'),(28,8,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 17:53:03','2022-05-24 17:53:03'),(29,9,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 19:10:57','2022-05-24 19:10:57'),(30,10,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 19:53:52','2022-05-24 19:53:52'),(31,10,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 19:53:52','2022-05-24 19:53:52'),(32,10,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 19:53:52','2022-05-24 19:53:52'),(33,11,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 20:07:12','2022-05-24 20:07:12'),(34,12,17,17,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 20:33:12','2022-05-24 20:37:49'),(35,12,21,21,1.0000,0.0000,0.0000,40.0000,40.0000,'fixed',0.0000,40.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 20:33:12','2022-05-24 20:37:49'),(36,12,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 20:33:12','2022-05-24 20:37:49'),(37,12,32,32,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 20:33:12','2022-05-24 20:37:49'),(38,13,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 20:36:32','2022-05-24 20:36:32'),(39,13,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 20:36:32','2022-05-24 20:36:32'),(40,12,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 20:37:49','2022-05-24 20:37:49'),(41,12,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 20:37:49','2022-05-24 20:37:49'),(42,14,32,32,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 20:57:33','2022-05-24 20:57:33'),(43,14,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-24 20:57:33','2022-05-24 20:57:33'),(44,15,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 12:36:41','2022-05-25 12:36:41'),(45,16,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 13:19:10','2022-05-25 13:19:10'),(46,17,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 13:31:57','2022-05-25 13:31:57'),(47,17,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 13:31:57','2022-05-25 13:31:57'),(48,18,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 15:08:58','2022-05-25 15:08:58'),(49,19,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 15:28:44','2022-05-25 15:28:44'),(50,20,31,31,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 16:28:50','2022-05-25 16:28:50'),(51,20,10,10,2.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 16:28:50','2022-05-25 16:28:50'),(52,20,39,39,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 16:28:50','2022-05-25 16:28:50'),(53,21,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 16:55:19','2022-05-25 16:55:19'),(54,21,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 16:55:19','2022-05-25 16:55:19'),(55,22,16,16,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 17:31:04','2022-05-25 17:31:04'),(56,22,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 17:31:04','2022-05-25 17:31:04'),(57,22,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 17:31:04','2022-05-25 17:31:04'),(58,23,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 19:50:31','2022-05-25 19:50:31'),(59,24,19,19,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 20:38:34','2022-05-25 20:38:34'),(60,24,30,30,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 20:38:34','2022-05-25 20:38:34'),(61,24,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 20:38:34','2022-05-25 20:38:34'),(62,25,36,36,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 21:11:37','2022-05-25 21:11:37'),(63,26,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 22:45:38','2022-05-25 22:45:38'),(64,27,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 23:20:27','2022-05-25 23:20:27'),(65,27,32,32,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 23:20:27','2022-05-25 23:20:27'),(66,27,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 23:20:27','2022-05-25 23:20:27'),(67,27,36,36,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 23:20:27','2022-05-25 23:20:27'),(68,27,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 23:20:27','2022-05-25 23:20:27'),(69,27,21,21,2.0000,0.0000,0.0000,40.0000,40.0000,'fixed',0.0000,40.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-25 23:20:27','2022-05-25 23:20:27'),(70,28,37,37,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-26 12:33:31','2022-05-26 12:33:31'),(71,29,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-26 13:20:55','2022-05-26 13:20:55'),(72,29,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-26 13:20:55','2022-05-26 13:20:55'),(73,30,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-26 13:26:48','2022-05-26 13:26:48'),(74,31,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-26 14:57:27','2022-05-26 14:57:27'),(75,32,14,14,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-26 16:12:38','2022-05-26 16:12:38'),(76,32,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-26 16:12:38','2022-05-26 16:12:38'),(77,32,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-26 16:12:38','2022-05-26 16:12:38'),(78,33,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-26 19:06:02','2022-05-26 19:06:02'),(79,34,30,30,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-26 20:56:22','2022-05-26 20:56:22'),(80,34,15,15,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-26 20:56:22','2022-05-26 20:56:22'),(81,35,34,34,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-27 13:14:39','2022-05-27 13:14:39'),(82,35,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-27 13:14:39','2022-05-27 13:14:39'),(83,36,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-27 13:53:16','2022-05-27 13:53:16'),(84,36,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-27 13:53:16','2022-05-27 13:53:16'),(85,37,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-27 18:50:50','2022-05-27 18:50:50'),(86,37,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-27 18:50:50','2022-05-27 18:50:50'),(87,37,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-27 18:50:50','2022-05-27 18:50:50'),(88,38,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-27 20:29:58','2022-05-27 20:29:58'),(89,39,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 14:16:58','2022-05-28 14:16:58'),(90,39,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 14:16:58','2022-05-28 14:16:58'),(91,39,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 14:16:58','2022-05-28 14:16:58'),(92,39,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 14:16:58','2022-05-28 14:16:58'),(93,40,36,36,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 14:59:11','2022-05-28 14:59:11'),(94,40,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 14:59:11','2022-05-28 14:59:11'),(95,41,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 15:03:04','2022-05-28 15:03:04'),(96,41,29,29,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 15:03:04','2022-05-28 15:03:04'),(97,41,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 15:03:04','2022-05-28 15:03:04'),(98,42,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 15:04:32','2022-05-28 15:04:32'),(99,43,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 16:18:40','2022-05-28 16:18:40'),(100,43,37,37,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 16:18:40','2022-05-28 16:18:40'),(101,44,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 16:41:21','2022-05-28 16:41:21'),(102,45,32,32,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 21:26:45','2022-05-28 21:26:45'),(103,45,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 21:26:45','2022-05-28 21:26:45'),(104,46,31,31,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 21:29:26','2022-05-28 21:29:26'),(105,46,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 21:29:26','2022-05-28 21:29:26'),(106,46,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 21:29:26','2022-05-28 21:29:26'),(107,47,4,4,3.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 21:38:17','2022-05-28 21:38:17'),(108,48,36,36,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 23:54:39','2022-05-28 23:54:39'),(109,48,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 23:54:39','2022-05-28 23:54:39'),(110,48,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-28 23:54:39','2022-05-28 23:54:39'),(111,49,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 13:24:08','2022-05-30 13:24:08'),(112,50,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 13:25:30','2022-05-30 13:25:30'),(113,51,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 13:33:15','2022-05-30 13:33:15'),(114,52,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 13:53:39','2022-05-30 13:53:39'),(115,52,37,37,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 13:53:39','2022-05-30 13:53:39'),(116,53,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 13:59:50','2022-05-30 13:59:50'),(117,53,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 13:59:50','2022-05-30 13:59:50'),(119,55,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 17:42:53','2022-05-30 17:42:53'),(120,56,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 19:51:15','2022-05-30 19:51:15'),(121,57,4,4,3.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 20:08:05','2022-05-30 20:08:05'),(122,58,32,32,3.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 21:17:03','2022-05-30 21:17:03'),(123,58,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 21:17:03','2022-05-30 21:17:03'),(124,59,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 21:19:57','2022-05-30 21:19:57'),(125,59,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 21:19:57','2022-05-30 21:19:57'),(126,59,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 21:19:57','2022-05-30 21:19:57'),(127,59,24,24,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 21:19:57','2022-05-30 21:19:57'),(128,60,24,24,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 21:20:45','2022-05-30 21:20:45'),(129,61,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 21:31:04','2022-05-30 21:31:04'),(130,61,39,39,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 21:31:04','2022-05-30 21:31:04'),(131,61,2,2,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 21:31:04','2022-05-30 21:31:04'),(132,62,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-30 22:33:59','2022-05-30 22:33:59'),(133,63,37,37,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 13:07:28','2022-05-31 13:07:28'),(134,63,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 13:07:28','2022-05-31 13:07:28'),(135,64,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 13:19:14','2022-05-31 13:19:14'),(136,65,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 13:37:37','2022-05-31 13:48:44'),(137,65,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 13:37:37','2022-05-31 13:48:44'),(138,66,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 15:25:14','2022-05-31 15:25:14'),(139,67,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 17:12:21','2022-05-31 17:12:21'),(140,68,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 17:12:38','2022-05-31 17:12:38'),(141,69,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 17:35:03','2022-05-31 17:35:03'),(142,69,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 17:35:03','2022-05-31 17:35:03'),(143,69,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 17:35:03','2022-05-31 17:35:03'),(144,70,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 19:04:21','2022-05-31 19:04:21'),(145,71,2,2,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 19:07:09','2022-05-31 19:19:56'),(146,72,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 20:02:57','2022-05-31 20:05:54'),(147,72,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 20:02:57','2022-05-31 20:05:54'),(148,72,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 20:02:57','2022-05-31 20:05:54'),(149,72,25,25,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 20:02:57','2022-05-31 20:05:54'),(150,73,36,36,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 20:04:25','2022-05-31 20:05:07'),(151,73,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 20:04:25','2022-05-31 20:05:07'),(152,74,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 20:33:27','2022-05-31 20:35:03'),(153,74,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 20:33:27','2022-05-31 20:35:03'),(154,75,28,28,2.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 21:18:27','2022-05-31 21:19:16'),(155,76,7,7,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 21:22:18','2022-05-31 21:22:18'),(156,76,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 21:22:18','2022-05-31 21:22:18'),(157,77,25,25,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-05-31 22:25:57','2022-05-31 22:25:57'),(158,78,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 13:25:13','2022-06-01 13:25:13'),(159,78,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 13:25:13','2022-06-01 13:25:13'),(160,78,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 13:25:13','2022-06-01 13:25:13'),(161,79,31,31,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 14:00:25','2022-06-01 14:00:25'),(162,79,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 14:00:25','2022-06-01 14:00:25'),(163,80,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 14:11:34','2022-06-01 14:11:34'),(164,81,36,36,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 16:02:37','2022-06-01 16:02:37'),(165,82,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 16:58:33','2022-06-01 16:58:33'),(166,83,19,19,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 17:08:39','2022-06-01 17:08:39'),(167,84,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 17:25:24','2022-06-01 17:25:24'),(168,85,39,39,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 18:56:22','2022-06-01 18:56:22'),(169,85,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 18:56:22','2022-06-01 18:56:22'),(170,85,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 18:56:22','2022-06-01 18:56:22'),(171,85,36,36,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 18:56:22','2022-06-01 18:56:22'),(172,86,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 19:31:46','2022-06-01 19:31:46'),(173,86,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 19:31:46','2022-06-01 19:31:46'),(174,86,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 19:31:46','2022-06-01 19:31:46'),(175,87,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 19:50:49','2022-06-01 19:50:49'),(176,87,16,16,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 19:50:49','2022-06-01 19:50:49'),(177,87,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 19:50:49','2022-06-01 19:50:49'),(178,88,7,7,3.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 21:14:37','2022-06-01 21:14:37'),(179,89,32,32,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 21:34:00','2022-06-01 21:34:00'),(180,89,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 21:34:00','2022-06-01 21:34:00'),(181,90,7,7,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 21:36:57','2022-06-01 21:36:57'),(182,91,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-01 23:17:47','2022-06-01 23:17:47'),(183,92,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 13:11:56','2022-06-02 13:11:56'),(184,92,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 13:11:56','2022-06-02 13:11:56'),(185,93,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 13:42:33','2022-06-02 13:42:33'),(186,93,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 13:42:33','2022-06-02 13:42:33'),(187,93,32,32,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 13:42:33','2022-06-02 13:42:33'),(188,94,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 15:34:44','2022-06-02 15:34:44'),(189,94,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 15:34:44','2022-06-02 15:34:44'),(190,94,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 15:34:44','2022-06-02 15:34:44'),(191,94,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 15:34:44','2022-06-02 15:34:44'),(192,95,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 16:10:26','2022-06-02 16:10:26'),(193,96,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 17:57:27','2022-06-02 17:57:27'),(194,97,36,36,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 21:02:38','2022-06-02 21:02:38'),(195,97,39,39,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 21:02:38','2022-06-02 21:02:38'),(196,97,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 21:02:38','2022-06-02 21:02:38'),(197,97,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 21:02:38','2022-06-02 21:02:38'),(198,98,28,28,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 21:03:34','2022-06-02 21:03:34'),(199,99,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 22:02:42','2022-06-02 22:06:40'),(200,99,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 22:02:42','2022-06-02 22:06:40'),(201,99,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 22:02:42','2022-06-02 22:06:40'),(204,99,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 22:06:40','2022-06-02 22:06:40'),(205,99,37,37,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 22:06:40','2022-06-02 22:06:40'),(206,99,36,36,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-02 22:06:40','2022-06-02 22:06:40'),(207,101,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 13:00:20','2022-06-03 13:00:20'),(208,101,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 13:00:20','2022-06-03 13:00:20'),(209,102,37,37,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 13:10:11','2022-06-03 13:10:11'),(210,102,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 13:10:11','2022-06-03 13:10:11'),(211,102,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 13:10:11','2022-06-03 13:10:11'),(212,103,16,16,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 13:23:50','2022-06-03 13:23:50'),(213,104,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 13:58:35','2022-06-03 13:58:35'),(214,105,37,37,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 16:55:09','2022-06-03 17:09:39'),(215,105,39,39,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 16:55:09','2022-06-03 17:09:39'),(216,105,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 16:55:09','2022-06-03 17:09:39'),(217,105,36,36,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 16:55:09','2022-06-03 17:09:39'),(218,106,25,25,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 17:10:26','2022-06-03 17:10:58'),(219,107,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 17:15:42','2022-06-03 17:15:42'),(220,108,30,30,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 17:49:30','2022-06-03 17:49:30'),(221,109,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 18:34:11','2022-06-03 18:34:11'),(222,109,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 18:34:11','2022-06-03 18:34:11'),(224,111,16,16,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 19:11:17','2022-06-03 19:11:17'),(225,112,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 20:19:15','2022-06-03 20:19:15'),(226,112,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 20:19:15','2022-06-03 20:19:15'),(227,112,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 20:19:15','2022-06-03 20:19:15'),(228,112,18,18,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 20:19:15','2022-06-03 20:19:15'),(229,113,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-03 22:32:56','2022-06-03 22:32:56'),(230,114,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-04 13:32:27','2022-06-04 13:32:27'),(231,114,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-04 13:32:27','2022-06-04 13:32:27'),(232,115,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-04 13:40:54','2022-06-04 13:40:54'),(233,116,36,36,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-04 14:00:59','2022-06-04 14:00:59'),(234,117,36,36,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-04 16:01:49','2022-06-04 16:01:49'),(235,118,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-04 18:18:17','2022-06-04 18:18:17'),(236,118,28,28,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-04 18:18:17','2022-06-04 18:18:17'),(237,118,18,18,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-04 18:18:17','2022-06-04 18:18:17'),(238,119,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-04 19:02:03','2022-06-04 19:02:03'),(239,120,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-05 13:15:18','2022-06-05 13:15:18'),(240,121,39,39,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-05 13:39:25','2022-06-05 13:39:25'),(241,122,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-06 13:06:52','2022-06-06 13:06:52'),(242,123,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-06 13:29:23','2022-06-06 13:29:23'),(243,124,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-06 13:48:27','2022-06-06 13:48:27'),(244,125,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-06 14:14:49','2022-06-06 14:14:49'),(245,125,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-06 14:14:49','2022-06-06 14:14:49'),(246,125,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-06 14:14:49','2022-06-06 14:14:49'),(247,126,15,15,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-06 15:15:22','2022-06-06 15:15:22'),(248,127,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-06 15:35:13','2022-06-06 15:35:13'),(249,128,5,5,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-06 16:57:29','2022-06-06 16:57:29'),(250,129,11,11,6.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-06 20:37:58','2022-06-06 20:37:58'),(251,129,9,9,5.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-06 20:37:58','2022-06-06 20:37:58'),(252,130,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-07 12:56:15','2022-06-07 12:56:15'),(253,131,30,30,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-07 14:40:55','2022-06-07 16:27:43'),(254,132,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-07 14:54:32','2022-06-07 14:54:32'),(255,133,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-07 20:36:40','2022-06-07 20:36:40'),(256,133,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-07 20:36:40','2022-06-07 20:36:40'),(257,133,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-07 20:36:40','2022-06-07 20:36:40'),(258,133,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-07 20:36:40','2022-06-07 20:36:40'),(259,134,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-07 22:49:45','2022-06-07 22:49:45'),(260,134,28,28,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-07 22:49:45','2022-06-07 22:49:45'),(261,135,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 12:22:31','2022-06-08 12:59:26'),(262,135,32,32,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 12:22:31','2022-06-08 12:59:27'),(263,136,36,36,3.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 12:56:29','2022-06-08 12:56:29'),(264,136,39,39,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 12:56:29','2022-06-08 12:56:29'),(265,137,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 12:59:00','2022-06-08 12:59:00'),(266,138,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 13:57:50','2022-06-08 13:57:50'),(267,138,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 13:57:50','2022-06-08 13:57:50'),(268,139,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 14:04:06','2022-06-08 14:04:06'),(269,139,39,39,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 14:04:06','2022-06-08 14:04:06'),(270,140,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 14:04:25','2022-06-08 14:04:25'),(271,141,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 14:41:48','2022-06-08 14:41:48'),(272,142,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 15:19:56','2022-06-08 15:19:56'),(273,143,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 18:55:30','2022-06-08 18:55:30'),(274,144,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 19:09:55','2022-06-08 19:09:55'),(275,144,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 19:09:55','2022-06-08 19:09:55'),(276,144,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 19:09:55','2022-06-08 19:09:55'),(277,144,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 19:09:55','2022-06-08 19:09:55'),(278,144,37,37,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 19:09:55','2022-06-08 19:09:55'),(279,145,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 19:20:59','2022-06-08 19:20:59'),(280,145,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 19:20:59','2022-06-08 19:20:59'),(281,146,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 19:53:38','2022-06-08 19:53:38'),(282,146,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 19:53:38','2022-06-08 19:53:38'),(283,146,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-08 19:53:38','2022-06-08 19:53:38'),(284,147,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-09 17:04:05','2022-06-09 17:04:05'),(285,147,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-09 17:04:05','2022-06-09 17:04:05'),(286,147,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-09 17:04:05','2022-06-09 17:04:05'),(287,147,37,37,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-09 17:04:05','2022-06-09 17:04:05'),(288,147,36,36,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-09 17:04:05','2022-06-09 17:04:05'),(289,147,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-09 17:04:05','2022-06-09 17:04:05'),(290,148,9,9,12.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-09 20:47:58','2022-06-09 20:47:58'),(291,148,4,4,4.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-09 20:47:58','2022-06-09 20:47:58'),(292,149,9,9,7.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-09 21:54:21','2022-06-09 21:54:21'),(293,149,4,4,4.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-09 21:54:21','2022-06-09 21:54:21'),(294,149,1,1,6.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-09 21:54:21','2022-06-09 21:54:21'),(295,149,7,7,4.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-09 21:54:21','2022-06-09 21:54:21'),(296,149,3,3,4.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-09 21:54:21','2022-06-09 21:54:21'),(297,149,6,6,6.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-09 21:54:21','2022-06-09 21:54:21'),(298,150,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-09 21:54:48','2022-06-09 21:54:48'),(299,150,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-09 21:54:48','2022-06-09 21:54:48'),(300,151,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-10 13:29:21','2022-06-10 13:29:21'),(301,152,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-10 13:33:05','2022-06-10 13:33:05'),(302,152,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-10 13:33:05','2022-06-10 13:33:05'),(303,153,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-10 13:34:17','2022-06-10 13:34:17'),(304,153,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-10 13:34:17','2022-06-10 13:34:17'),(305,154,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-10 13:38:29','2022-06-10 13:38:29'),(306,154,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-10 13:38:29','2022-06-10 13:38:29'),(307,155,39,39,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-10 16:52:36','2022-06-10 18:00:01'),(308,155,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-10 16:52:36','2022-06-10 18:00:01'),(309,155,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-10 16:52:36','2022-06-10 18:00:01'),(310,156,7,7,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-10 16:54:06','2022-06-10 16:54:06'),(311,157,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-10 19:22:56','2022-06-10 19:22:56'),(312,158,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-10 21:16:17','2022-06-10 21:16:17'),(313,158,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-10 21:16:17','2022-06-10 21:16:17'),(314,159,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-10 22:03:10','2022-06-10 22:03:10'),(315,160,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-11 12:55:23','2022-06-11 12:55:23'),(316,161,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-11 14:08:09','2022-06-11 14:08:09'),(317,162,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-11 14:48:42','2022-06-11 14:48:42'),(318,162,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-11 14:48:42','2022-06-11 14:48:42'),(319,163,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-11 14:58:31','2022-06-11 14:58:31'),(320,163,36,36,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-11 14:58:31','2022-06-11 14:58:31'),(321,164,14,14,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-11 21:22:44','2022-06-11 21:22:44'),(322,165,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-11 22:57:07','2022-06-11 22:57:07'),(323,165,31,31,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-11 22:57:07','2022-06-11 22:57:07'),(324,166,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-13 12:24:15','2022-06-13 15:40:37'),(325,167,7,7,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-13 13:17:40','2022-06-13 13:17:40'),(326,168,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-13 13:48:23','2022-06-13 15:40:13'),(327,169,27,27,2.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-13 19:29:46','2022-06-13 19:29:46'),(328,170,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-13 19:35:31','2022-06-13 19:35:31'),(329,171,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-13 22:50:04','2022-06-13 22:50:04'),(330,172,31,31,3.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-14 13:52:38','2022-06-14 14:25:31'),(331,172,37,37,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-14 13:52:38','2022-06-14 14:25:31'),(332,173,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-14 13:54:47','2022-06-14 14:25:05'),(333,174,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-14 13:57:07','2022-06-14 14:25:56'),(334,174,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-14 13:57:07','2022-06-14 14:25:56'),(335,175,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-14 18:56:47','2022-06-14 18:56:47'),(336,176,14,14,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-14 19:33:27','2022-06-14 19:33:27'),(337,176,15,15,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-14 19:33:27','2022-06-14 19:33:27'),(338,176,18,18,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-14 19:33:27','2022-06-14 19:33:27'),(339,176,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-14 19:33:27','2022-06-14 19:33:27'),(340,176,30,30,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-14 19:33:27','2022-06-14 19:33:27'),(341,177,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-14 19:56:20','2022-06-14 19:56:20'),(342,177,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-14 19:56:20','2022-06-14 19:56:20'),(343,177,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-14 19:56:20','2022-06-14 19:56:20'),(344,178,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-14 22:16:18','2022-06-14 22:16:18'),(345,179,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-15 13:50:20','2022-06-15 13:50:20'),(346,180,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-15 14:17:43','2022-06-15 14:17:43'),(347,181,6,6,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-15 20:40:08','2022-06-15 20:40:08'),(348,181,8,8,4.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-15 20:40:08','2022-06-15 20:40:08'),(349,181,37,37,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-15 20:40:08','2022-06-15 20:40:08'),(350,182,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-15 22:26:01','2022-06-15 22:26:01'),(351,182,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-15 22:26:01','2022-06-15 22:26:01'),(352,182,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-15 22:26:01','2022-06-15 22:26:01'),(353,182,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-15 22:26:01','2022-06-15 22:26:01'),(354,182,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-15 22:26:01','2022-06-15 22:26:01'),(355,183,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-15 22:37:38','2022-06-15 22:37:38'),(356,184,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-15 22:48:20','2022-06-15 22:48:20'),(357,185,4,4,4.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-17 12:33:11','2022-06-17 12:33:11'),(358,185,1,1,4.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-17 12:33:11','2022-06-17 12:33:11'),(359,186,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-17 13:07:33','2022-06-17 13:07:33'),(360,187,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-17 14:08:49','2022-06-17 14:08:49'),(361,187,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-17 14:08:49','2022-06-17 14:08:49'),(362,187,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-17 14:08:49','2022-06-17 14:08:49'),(363,188,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-17 16:24:10','2022-06-17 16:24:10'),(364,189,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-17 16:26:05','2022-06-17 16:26:05'),(365,190,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-17 16:43:59','2022-06-17 16:43:59'),(366,191,9,9,2.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-17 18:54:49','2022-06-17 18:54:49'),(367,191,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-17 18:54:49','2022-06-17 18:54:49'),(368,192,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-17 20:01:56','2022-06-17 20:01:56'),(369,193,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-17 20:42:43','2022-06-17 20:42:43'),(370,194,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-17 21:58:02','2022-06-17 21:58:02'),(371,195,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 13:33:10','2022-06-18 13:33:10'),(372,196,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 14:14:54','2022-06-18 14:14:54'),(373,196,32,32,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 14:14:54','2022-06-18 14:14:54'),(374,197,16,16,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 14:57:38','2022-06-18 14:57:38'),(375,197,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 14:57:38','2022-06-18 14:57:38'),(376,197,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 14:57:38','2022-06-18 14:57:38'),(377,198,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 16:45:31','2022-06-18 16:45:31'),(378,198,31,31,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 16:45:31','2022-06-18 16:45:31'),(379,199,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 18:14:07','2022-06-18 18:14:07'),(380,200,30,30,2.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 19:25:52','2022-06-18 19:25:52'),(381,200,28,28,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 19:25:52','2022-06-18 19:25:52'),(382,200,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 19:25:52','2022-06-18 19:25:52'),(383,201,7,7,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 19:28:39','2022-06-18 19:28:39'),(384,201,34,34,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 19:28:39','2022-06-18 19:28:39'),(385,202,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 21:32:46','2022-06-18 21:32:46'),(386,202,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 21:32:46','2022-06-18 21:32:46'),(387,203,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 23:06:24','2022-06-18 23:06:24'),(388,203,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 23:06:24','2022-06-18 23:06:24'),(389,203,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 23:06:24','2022-06-18 23:06:24'),(390,203,37,37,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 23:06:24','2022-06-18 23:06:24'),(391,203,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 23:06:24','2022-06-18 23:06:24'),(392,203,34,34,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-18 23:06:24','2022-06-18 23:06:24'),(393,204,9,9,3.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 13:16:38','2022-06-20 13:16:38'),(394,204,34,34,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 13:16:38','2022-06-20 13:16:38'),(395,204,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 13:16:38','2022-06-20 13:16:38'),(396,205,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 13:18:45','2022-06-20 13:18:45'),(397,206,10,10,2.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 13:34:36','2022-06-20 13:34:36'),(398,207,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 13:35:38','2022-06-20 13:35:38'),(399,208,4,4,4.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 18:16:42','2022-06-20 18:16:42'),(400,209,1,1,3.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 19:57:16','2022-06-20 19:57:16'),(401,209,33,33,1.0000,0.0000,0.0000,200.0000,200.0000,'fixed',0.0000,200.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 19:57:16','2022-06-20 19:57:16'),(402,209,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 19:57:16','2022-06-20 19:57:16'),(403,209,34,34,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 19:57:16','2022-06-20 19:57:16'),(404,209,35,35,1.0000,0.0000,0.0000,170.0000,170.0000,'fixed',0.0000,170.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 19:57:16','2022-06-20 19:57:16'),(405,210,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 21:40:58','2022-06-20 21:40:58'),(406,210,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 21:40:58','2022-06-20 21:40:58'),(407,211,31,31,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 21:57:29','2022-06-20 21:57:29'),(408,211,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 21:57:29','2022-06-20 21:57:29'),(409,211,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 21:57:29','2022-06-20 21:57:29'),(410,212,43,43,1.0000,0.0000,0.0000,170.0000,170.0000,'fixed',0.0000,170.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 22:08:17','2022-06-20 22:08:17'),(411,213,14,14,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 22:35:03','2022-06-20 22:35:03'),(412,213,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 22:35:03','2022-06-20 22:35:03'),(413,214,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-20 22:51:32','2022-06-20 22:51:32'),(414,215,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 12:38:36','2022-06-21 12:38:36'),(415,216,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 13:17:48','2022-06-21 13:17:48'),(416,216,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 13:17:48','2022-06-21 13:17:48'),(417,217,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 13:25:40','2022-06-21 13:25:40'),(418,218,41,41,1.0000,0.0000,0.0000,160.0000,160.0000,'fixed',0.0000,160.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(419,218,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(420,218,32,32,3.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(421,218,5,5,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(422,218,1,1,3.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(423,218,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(424,218,24,24,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(425,218,46,46,1.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(426,219,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 14:30:52','2022-06-21 14:30:52'),(427,219,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 14:30:52','2022-06-21 14:30:52'),(428,220,47,47,1.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 15:21:24','2022-06-21 15:21:24'),(429,221,43,43,1.0000,0.0000,0.0000,170.0000,170.0000,'fixed',0.0000,170.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 15:47:43','2022-06-21 15:47:43'),(430,221,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 15:47:43','2022-06-21 15:47:43'),(431,222,14,14,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 15:54:34','2022-06-21 15:54:34'),(432,222,24,24,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 15:54:34','2022-06-21 15:54:34'),(433,223,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 15:55:32','2022-06-21 15:55:32'),(434,223,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 15:55:32','2022-06-21 15:55:32'),(435,224,3,3,9.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 15:59:03','2022-06-21 15:59:03'),(436,224,8,8,9.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 15:59:03','2022-06-21 15:59:03'),(437,224,6,6,9.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 15:59:03','2022-06-21 15:59:03'),(438,224,4,4,9.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 15:59:03','2022-06-21 15:59:03'),(439,225,16,16,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 16:07:40','2022-06-21 16:07:40'),(440,226,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 16:18:30','2022-06-21 16:18:30'),(441,227,1,1,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 16:40:33','2022-06-21 16:40:33'),(442,227,3,3,3.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 16:40:33','2022-06-21 16:40:33'),(443,227,9,9,3.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 16:40:33','2022-06-21 16:40:33'),(444,227,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 16:40:33','2022-06-21 16:40:33'),(445,228,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 17:13:10','2022-06-21 17:13:10'),(446,228,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 17:13:10','2022-06-21 17:13:10'),(447,228,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 17:13:10','2022-06-21 17:13:10'),(448,228,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 17:13:10','2022-06-21 17:13:10'),(449,228,37,37,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 17:13:10','2022-06-21 17:13:10'),(450,229,12,12,4.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 17:15:47','2022-06-21 17:15:47'),(451,229,47,47,1.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 17:15:47','2022-06-21 17:15:47'),(452,230,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 17:45:29','2022-06-21 17:45:29'),(453,230,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 17:45:29','2022-06-21 17:45:29'),(454,231,46,46,2.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 18:18:49','2022-06-21 18:18:49'),(455,232,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 18:49:14','2022-06-21 18:49:14'),(456,233,18,18,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 19:22:57','2022-06-21 19:22:57'),(457,233,19,19,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 19:22:57','2022-06-21 19:22:57'),(458,234,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 20:31:38','2022-06-21 20:31:38'),(459,234,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 20:31:38','2022-06-21 20:31:38'),(460,234,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 20:31:38','2022-06-21 20:31:38'),(461,234,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 20:31:38','2022-06-21 20:31:38'),(462,235,47,47,1.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 20:40:26','2022-06-21 20:40:26'),(463,236,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 20:57:30','2022-06-21 20:57:30'),(464,236,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 20:57:30','2022-06-21 20:57:30'),(465,237,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 21:25:04','2022-06-21 21:25:04'),(466,237,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 21:25:04','2022-06-21 21:25:04'),(467,238,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 21:33:38','2022-06-21 21:33:38'),(468,239,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-21 22:37:06','2022-06-21 22:37:06'),(469,240,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 12:55:31','2022-06-22 12:55:31'),(470,240,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 12:55:31','2022-06-22 12:55:31'),(471,241,47,47,1.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 13:10:34','2022-06-22 13:10:34'),(472,242,45,45,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 13:30:46','2022-06-22 13:30:46'),(473,242,34,34,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 13:30:46','2022-06-22 13:30:46'),(474,242,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 13:30:46','2022-06-22 13:30:46'),(475,243,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 13:44:20','2022-06-22 13:44:20'),(476,244,35,35,1.0000,0.0000,0.0000,170.0000,170.0000,'fixed',0.0000,170.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 13:46:48','2022-06-22 13:46:48'),(477,245,35,35,1.0000,0.0000,0.0000,170.0000,170.0000,'fixed',0.0000,170.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 14:28:51','2022-06-22 14:29:38'),(478,245,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 14:28:51','2022-06-22 14:29:38'),(479,245,24,24,3.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 14:29:38','2022-06-22 14:29:38'),(480,246,30,30,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 15:33:31','2022-06-22 15:33:31'),(481,246,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 15:33:31','2022-06-22 15:33:31'),(482,246,43,43,1.0000,0.0000,0.0000,170.0000,170.0000,'fixed',0.0000,170.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 15:33:31','2022-06-22 15:33:31'),(483,247,44,44,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 16:08:33','2022-06-22 16:08:33'),(484,247,45,45,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 16:08:33','2022-06-22 16:08:33'),(485,247,25,25,3.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 16:08:33','2022-06-22 16:08:33'),(486,248,37,37,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 16:36:00','2022-06-22 16:36:00'),(487,248,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 16:36:00','2022-06-22 16:36:00'),(488,248,15,15,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 16:36:00','2022-06-22 16:36:00'),(489,249,11,11,7.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 16:46:23','2022-06-22 16:46:23'),(490,250,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 17:52:06','2022-06-22 17:52:06'),(491,251,27,27,2.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 18:13:29','2022-06-22 18:13:29'),(492,251,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 18:13:29','2022-06-22 18:13:29'),(493,252,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 19:13:08','2022-06-22 19:13:08'),(494,252,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 19:13:08','2022-06-22 19:13:08'),(495,252,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 19:13:08','2022-06-22 19:13:08'),(496,252,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 19:13:08','2022-06-22 19:13:08'),(497,253,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 19:23:51','2022-06-22 19:23:51'),(498,254,47,47,1.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-22 20:40:55','2022-06-22 20:40:55'),(499,255,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 13:39:54','2022-06-23 13:39:54'),(500,255,7,7,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 13:39:54','2022-06-23 13:39:54'),(501,255,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 13:39:54','2022-06-23 13:39:54'),(502,255,45,45,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 13:39:54','2022-06-23 13:39:54'),(503,256,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 13:51:08','2022-06-23 13:51:08'),(504,256,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 13:51:08','2022-06-23 13:51:08'),(505,257,41,41,1.0000,0.0000,0.0000,170.0000,170.0000,'fixed',0.0000,170.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 14:05:14','2022-06-23 14:05:14'),(506,257,13,13,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 14:05:14','2022-06-23 14:05:14'),(507,258,47,47,1.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 15:22:51','2022-06-23 15:22:51'),(508,259,48,48,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 15:24:29','2022-06-23 15:24:29'),(509,260,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 15:24:49','2022-06-23 15:24:49'),(510,261,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 16:25:44','2022-06-23 16:25:44'),(511,261,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 16:25:44','2022-06-23 16:25:44'),(512,261,28,28,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 16:25:44','2022-06-23 16:25:44'),(513,262,29,29,3.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 16:49:59','2022-06-23 16:49:59'),(514,262,43,43,1.0000,0.0000,0.0000,170.0000,170.0000,'fixed',0.0000,170.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 16:49:59','2022-06-23 16:49:59'),(515,262,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 16:49:59','2022-06-23 16:49:59'),(516,263,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 16:50:38','2022-06-23 16:50:38'),(517,263,17,17,2.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 16:50:38','2022-06-23 16:50:38'),(518,264,35,35,1.0000,0.0000,0.0000,170.0000,170.0000,'fixed',0.0000,170.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 17:52:36','2022-06-23 17:52:36'),(519,264,34,34,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 17:52:36','2022-06-23 17:52:36'),(520,264,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 17:52:36','2022-06-23 17:52:36'),(521,264,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 17:52:36','2022-06-23 17:52:36'),(522,265,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 20:45:05','2022-06-23 20:48:16'),(523,265,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 20:45:05','2022-06-23 20:48:16'),(524,265,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 20:45:05','2022-06-23 20:48:16'),(525,266,18,18,2.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 20:46:57','2022-06-23 20:46:57'),(526,266,28,28,1.0000,0.0000,0.0000,110.0000,110.0000,'fixed',0.0000,110.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 20:46:57','2022-06-23 20:46:57'),(527,266,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 20:46:57','2022-06-23 20:46:57'),(528,267,31,31,4.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 21:43:43','2022-06-23 21:43:43'),(529,267,16,16,2.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 21:43:43','2022-06-23 21:43:43'),(530,267,47,47,2.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 21:43:43','2022-06-23 21:43:43'),(531,268,12,12,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 22:19:39','2022-06-23 22:19:39'),(532,269,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-23 22:58:13','2022-06-23 22:58:13'),(533,270,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 13:23:46','2022-06-24 13:23:46'),(534,270,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 13:23:46','2022-06-24 13:23:46'),(535,270,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 13:23:46','2022-06-24 13:23:46'),(536,271,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 13:27:01','2022-06-24 13:27:01'),(537,272,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 14:13:25','2022-06-24 14:13:25'),(538,273,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 14:59:07','2022-06-24 14:59:07'),(539,274,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 19:28:43','2022-06-24 19:28:43'),(540,274,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 19:28:43','2022-06-24 19:28:43'),(541,274,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 19:28:43','2022-06-24 19:28:43'),(542,274,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 19:28:43','2022-06-24 19:28:43'),(543,274,28,28,1.0000,0.0000,0.0000,110.0000,110.0000,'fixed',0.0000,110.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 19:28:43','2022-06-24 19:28:43'),(544,275,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 19:36:28','2022-06-24 19:36:28'),(545,276,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 19:37:59','2022-06-24 19:37:59'),(546,277,23,23,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 19:46:07','2022-06-24 19:46:07'),(547,278,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 19:52:31','2022-06-24 19:52:31'),(548,278,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 19:52:31','2022-06-24 19:52:31'),(549,278,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 19:52:31','2022-06-24 19:52:31'),(550,279,17,17,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 20:10:24','2022-06-24 20:10:24'),(551,279,14,14,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 20:10:24','2022-06-24 20:10:24'),(552,280,24,24,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 21:04:14','2022-06-24 21:04:14'),(553,281,25,25,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 22:43:31','2022-06-24 22:43:31'),(554,281,24,24,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-24 22:43:31','2022-06-24 22:43:31'),(557,283,41,41,1.0000,0.0000,0.0000,160.0000,160.0000,'fixed',0.0000,160.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 13:34:15','2022-06-25 13:34:15'),(558,284,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 13:35:06','2022-06-25 13:35:06'),(559,284,40,40,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 13:35:06','2022-06-25 13:35:06'),(560,285,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 13:37:11','2022-06-25 13:37:11'),(561,285,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 13:37:11','2022-06-25 13:37:11'),(562,286,47,47,2.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 15:07:37','2022-06-25 15:07:37'),(563,287,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 15:17:05','2022-06-25 15:17:05'),(564,287,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 15:17:05','2022-06-25 15:17:05'),(565,287,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 15:17:05','2022-06-25 15:17:05'),(566,288,47,47,2.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 16:29:37','2022-06-25 16:29:37'),(567,289,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 20:01:32','2022-06-25 20:01:32'),(568,290,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 20:35:55','2022-06-25 21:01:20'),(569,290,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 20:35:55','2022-06-25 21:01:20'),(570,291,9,9,3.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 20:36:27','2022-06-25 20:36:27'),(571,292,14,14,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 22:34:38','2022-06-25 22:34:38'),(572,292,41,41,1.0000,0.0000,0.0000,160.0000,160.0000,'fixed',0.0000,160.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 22:34:38','2022-06-25 22:34:38'),(573,293,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-25 22:39:39','2022-06-25 22:39:39'),(574,294,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 14:31:33','2022-06-27 14:31:33'),(575,294,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 14:31:33','2022-06-27 14:31:33'),(576,294,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 14:31:33','2022-06-27 14:31:33'),(577,295,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 17:21:19','2022-06-27 17:21:19'),(578,295,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 17:21:19','2022-06-27 17:21:19'),(579,296,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 17:26:15','2022-06-27 17:26:15'),(580,297,9,9,2.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 17:33:43','2022-06-27 17:33:43'),(581,297,1,1,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 17:33:43','2022-06-27 17:33:43'),(582,297,5,5,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 17:33:43','2022-06-27 17:33:43'),(583,297,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 17:33:43','2022-06-27 17:33:43'),(584,297,12,12,2.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 17:33:43','2022-06-27 17:33:43'),(585,297,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 17:33:43','2022-06-27 17:33:43'),(586,298,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 18:07:17','2022-06-27 18:07:17'),(587,299,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 18:15:23','2022-06-27 18:15:23'),(588,300,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 18:15:33','2022-06-27 18:15:33'),(589,301,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 20:28:22','2022-06-27 20:28:22'),(590,301,16,16,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 20:28:22','2022-06-27 20:28:22'),(591,302,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 20:33:37','2022-06-27 20:33:37'),(592,302,29,29,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 20:33:37','2022-06-27 20:33:37'),(593,302,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 20:33:37','2022-06-27 20:33:37'),(594,303,15,15,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 21:03:24','2022-06-27 21:03:24'),(595,303,18,18,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 21:03:24','2022-06-27 21:03:24'),(596,304,37,37,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 21:06:38','2022-06-27 21:06:38'),(597,304,31,31,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 21:06:38','2022-06-27 21:06:38'),(598,304,1,1,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 21:06:38','2022-06-27 21:06:38'),(599,305,26,26,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 22:51:44','2022-06-27 22:51:44'),(600,306,45,45,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 23:23:50','2022-06-27 23:23:50'),(601,306,39,39,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 23:23:50','2022-06-27 23:23:50'),(602,306,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 23:23:50','2022-06-27 23:23:50'),(603,306,29,29,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 23:23:50','2022-06-27 23:23:50'),(604,306,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 23:23:50','2022-06-27 23:23:50'),(605,307,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 23:26:23','2022-06-27 23:26:23'),(606,307,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 23:26:23','2022-06-27 23:26:23'),(607,307,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-27 23:26:23','2022-06-27 23:26:23'),(608,308,31,31,3.0000,0.0000,0.0000,99.0000,99.0000,'fixed',0.0000,99.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 12:32:05','2022-06-28 12:32:05'),(609,308,3,3,1.0000,0.0000,0.0000,70.0000,70.0000,'fixed',0.0000,70.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 12:32:05','2022-06-28 12:32:05'),(610,309,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 13:03:32','2022-06-28 13:03:32'),(611,310,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 13:22:04','2022-06-28 13:22:04'),(612,311,46,46,1.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 14:00:05','2022-06-28 14:00:05'),(613,312,33,33,1.0000,0.0000,0.0000,200.0000,200.0000,'fixed',0.0000,200.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 15:47:27','2022-06-28 15:47:27'),(614,312,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 15:47:27','2022-06-28 15:47:27'),(615,312,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 15:47:27','2022-06-28 15:47:27'),(616,312,43,43,1.0000,0.0000,0.0000,170.0000,170.0000,'fixed',0.0000,170.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 15:47:27','2022-06-28 15:47:27'),(617,313,25,25,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 16:02:43','2022-06-28 16:02:43'),(618,314,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 17:41:02','2022-06-28 17:41:02'),(619,315,47,47,1.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 18:21:15','2022-06-28 18:21:15'),(620,316,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 19:20:58','2022-06-28 19:20:58'),(621,316,15,15,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 19:20:58','2022-06-28 19:20:58'),(622,317,47,47,1.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 20:05:38','2022-06-28 20:05:38'),(623,317,26,26,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 20:05:38','2022-06-28 20:05:38'),(624,318,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 21:22:40','2022-06-28 21:22:40'),(625,318,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 21:22:40','2022-06-28 21:22:40'),(626,319,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 21:27:41','2022-06-28 21:27:41'),(627,319,17,17,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 21:27:41','2022-06-28 21:27:41'),(628,320,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 21:56:52','2022-06-28 21:56:52'),(629,321,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 22:32:08','2022-06-28 22:32:08'),(630,321,29,29,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 22:32:08','2022-06-28 22:32:08'),(631,321,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 22:32:08','2022-06-28 22:32:08'),(632,321,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 22:32:08','2022-06-28 22:32:08'),(633,322,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 22:34:38','2022-06-28 22:34:38'),(634,322,46,46,1.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 22:34:38','2022-06-28 22:34:38'),(635,323,9,9,7.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 22:39:26','2022-06-28 22:39:26'),(636,323,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 22:39:26','2022-06-28 22:39:26'),(637,323,3,3,6.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-28 22:39:26','2022-06-28 22:39:26'),(638,324,40,40,2.0000,0.0000,0.0000,99.0000,99.0000,'fixed',0.0000,99.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 12:36:30','2022-06-29 12:36:59'),(639,324,3,3,2.0000,0.0000,0.0000,70.0000,70.0000,'fixed',0.0000,70.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 12:36:30','2022-06-29 12:36:59'),(640,325,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 13:08:01','2022-06-29 13:08:01'),(641,326,40,40,1.0000,0.0000,0.0000,99.0000,99.0000,'fixed',0.0000,99.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 13:44:51','2022-06-29 13:44:51'),(642,326,32,32,1.0000,0.0000,0.0000,99.0000,99.0000,'fixed',0.0000,99.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 13:44:51','2022-06-29 13:44:51'),(643,326,7,7,1.0000,0.0000,0.0000,70.0000,70.0000,'fixed',0.0000,70.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 13:44:51','2022-06-29 13:44:51'),(644,327,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 13:45:48','2022-06-29 13:45:48'),(645,327,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 13:45:48','2022-06-29 13:45:48'),(646,328,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 14:44:09','2022-06-29 14:44:09'),(647,329,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 15:01:37','2022-06-29 15:01:37'),(648,330,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 15:27:29','2022-06-29 15:27:29'),(649,330,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 15:27:29','2022-06-29 15:27:29'),(650,330,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 15:27:29','2022-06-29 15:27:29'),(651,331,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 18:58:46','2022-06-29 18:58:46'),(652,332,31,31,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 19:27:31','2022-06-29 19:27:31'),(653,332,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 19:27:31','2022-06-29 19:27:31'),(654,332,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 19:27:31','2022-06-29 19:27:31'),(655,333,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 20:56:09','2022-06-29 20:56:09'),(656,334,17,17,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 22:07:11','2022-06-29 22:07:11'),(657,334,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 22:07:11','2022-06-29 22:07:11'),(658,334,14,14,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 22:07:11','2022-06-29 22:07:11'),(659,335,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-29 22:34:46','2022-06-29 22:34:46'),(660,336,37,37,1.0000,0.0000,0.0000,99.0000,99.0000,'fixed',0.0000,99.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 12:57:54','2022-06-30 12:57:54'),(661,336,31,31,1.0000,0.0000,0.0000,99.0000,99.0000,'fixed',0.0000,99.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 12:57:54','2022-06-30 12:57:54'),(662,336,6,6,1.0000,0.0000,0.0000,70.0000,70.0000,'fixed',0.0000,70.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 12:57:54','2022-06-30 12:57:54'),(663,337,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 13:03:46','2022-06-30 13:03:46'),(664,337,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 13:03:46','2022-06-30 13:03:46'),(665,338,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 13:46:40','2022-06-30 13:46:40'),(666,339,12,12,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 14:40:57','2022-06-30 14:40:57'),(667,339,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 14:40:57','2022-06-30 14:40:57'),(668,340,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 14:41:28','2022-06-30 14:41:28'),(669,341,40,40,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 16:54:24','2022-06-30 16:54:24'),(670,341,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 16:54:24','2022-06-30 16:54:24'),(671,341,37,37,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 16:54:24','2022-06-30 16:54:24'),(672,341,9,9,2.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 16:54:24','2022-06-30 16:54:24'),(673,341,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 16:54:24','2022-06-30 16:54:24'),(674,342,46,46,2.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 17:02:03','2022-06-30 17:02:03'),(675,343,24,24,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 17:05:02','2022-06-30 17:05:02'),(676,344,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 17:25:30','2022-06-30 17:25:30'),(677,344,43,43,1.0000,0.0000,0.0000,170.0000,170.0000,'fixed',0.0000,170.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 17:25:30','2022-06-30 17:25:30'),(678,345,4,4,3.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 17:45:28','2022-06-30 17:45:28'),(679,345,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 17:45:28','2022-06-30 17:45:28'),(680,346,17,17,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 18:09:16','2022-06-30 18:09:16'),(681,346,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 18:09:16','2022-06-30 18:09:16'),(682,347,28,28,1.0000,0.0000,0.0000,110.0000,110.0000,'fixed',0.0000,110.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 19:23:01','2022-06-30 19:23:01'),(683,347,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 19:23:01','2022-06-30 19:23:01'),(684,347,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 19:23:01','2022-06-30 19:23:01'),(685,348,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 19:40:06','2022-06-30 19:40:06'),(686,348,46,46,2.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 19:40:06','2022-06-30 19:40:06'),(687,349,16,16,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 20:10:25','2022-06-30 20:10:25'),(688,350,47,47,1.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 20:17:11','2022-06-30 20:17:11'),(689,351,25,25,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 20:17:34','2022-06-30 20:17:34'),(690,352,24,24,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 22:07:31','2022-06-30 22:07:31'),(691,353,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 22:14:10','2022-06-30 22:14:10'),(692,353,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-06-30 22:14:10','2022-06-30 22:14:10'),(693,354,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-01 12:48:39','2022-07-01 12:48:39'),(694,355,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-01 13:06:22','2022-07-01 13:06:22'),(695,356,13,13,2.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-01 13:30:10','2022-07-01 13:30:10'),(696,357,47,47,3.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-01 19:08:34','2022-07-01 19:08:34'),(697,358,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-01 19:45:10','2022-07-01 19:45:10'),(698,358,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-01 19:45:10','2022-07-01 19:45:10'),(699,359,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-01 22:50:21','2022-07-01 22:50:21'),(700,360,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 13:55:39','2022-07-02 13:55:39'),(701,360,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 13:55:39','2022-07-02 13:55:39'),(702,361,47,47,1.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 14:11:28','2022-07-02 14:11:28'),(703,362,12,12,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 15:02:19','2022-07-02 15:02:19'),(704,362,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 15:02:19','2022-07-02 15:02:19'),(705,362,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 15:02:19','2022-07-02 15:02:19'),(706,362,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 15:02:19','2022-07-02 15:02:19'),(707,363,25,25,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 15:02:47','2022-07-02 15:02:47'),(708,364,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 15:41:15','2022-07-02 15:41:15'),(709,365,47,47,1.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 16:45:41','2022-07-02 16:45:41'),(710,366,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 17:14:59','2022-07-02 17:14:59'),(711,366,24,24,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 17:14:59','2022-07-02 17:14:59'),(712,367,31,31,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 19:50:58','2022-07-02 19:50:58'),(713,367,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 19:50:58','2022-07-02 19:50:58'),(714,367,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 19:50:58','2022-07-02 19:50:58'),(715,368,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 21:19:13','2022-07-02 21:19:13'),(716,369,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 21:39:22','2022-07-02 21:39:22'),(717,369,28,28,3.0000,0.0000,0.0000,110.0000,110.0000,'fixed',0.0000,110.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 21:39:22','2022-07-02 21:39:22'),(718,369,18,18,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 21:39:22','2022-07-02 21:39:22'),(719,370,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 22:05:03','2022-07-02 22:05:03'),(720,370,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-02 22:05:03','2022-07-02 22:05:03'),(721,371,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 13:38:35','2022-07-04 13:38:35'),(722,372,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 14:11:43','2022-07-04 14:11:43'),(723,372,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 14:11:43','2022-07-04 14:11:43'),(724,373,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 14:33:08','2022-07-04 14:33:08'),(725,373,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 14:33:08','2022-07-04 14:33:08'),(726,373,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 14:33:08','2022-07-04 14:33:08'),(727,374,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 15:08:06','2022-07-04 15:08:06'),(728,375,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 16:20:05','2022-07-04 16:20:05'),(729,375,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 16:20:05','2022-07-04 16:20:05'),(730,375,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 16:20:05','2022-07-04 16:20:05'),(731,375,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 16:20:05','2022-07-04 16:20:05'),(732,376,46,46,1.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 16:31:27','2022-07-04 16:31:27'),(733,377,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 17:31:49','2022-07-04 17:31:49'),(734,378,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 20:40:26','2022-07-04 20:40:26'),(735,379,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 21:59:08','2022-07-04 21:59:08'),(736,379,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 21:59:08','2022-07-04 21:59:08'),(737,379,35,35,1.0000,0.0000,0.0000,170.0000,170.0000,'fixed',0.0000,170.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-04 21:59:08','2022-07-04 21:59:08'),(738,380,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-05 13:24:38','2022-07-05 13:24:38'),(739,381,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-05 13:34:51','2022-07-05 13:34:51'),(740,381,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-05 13:34:51','2022-07-05 13:34:51'),(741,382,46,46,2.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-05 14:44:38','2022-07-05 14:44:38'),(742,383,14,14,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-05 18:37:10','2022-07-05 18:37:10'),(743,384,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-05 19:27:56','2022-07-05 19:27:56'),(744,384,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-05 19:27:56','2022-07-05 19:27:56'),(745,384,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-05 19:27:56','2022-07-05 19:27:56'),(746,385,25,25,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-05 19:35:32','2022-07-05 19:35:32'),(747,386,47,47,1.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-05 19:42:28','2022-07-05 19:42:28'),(748,387,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-05 22:33:06','2022-07-05 22:33:06'),(749,387,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-05 22:33:06','2022-07-05 22:33:06'),(750,388,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-05 22:58:23','2022-07-05 22:58:23'),(751,389,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-06 13:28:59','2022-07-06 13:28:59'),(752,389,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-06 13:28:59','2022-07-06 13:28:59'),(753,390,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-06 18:01:20','2022-07-06 18:01:20'),(754,390,34,34,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-06 18:01:20','2022-07-06 18:01:20'),(755,391,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-06 20:35:35','2022-07-06 20:35:35'),(756,392,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-06 21:33:24','2022-07-06 21:33:24'),(757,393,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-07 12:34:52','2022-07-07 12:34:52'),(758,394,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-07 12:37:13','2022-07-07 12:37:13'),(759,395,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-07 14:03:52','2022-07-07 14:03:52'),(760,396,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-07 14:59:30','2022-07-07 14:59:30'),(761,397,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-07 18:02:15','2022-07-07 18:02:15'),(762,398,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-07 18:05:05','2022-07-07 18:05:05'),(763,399,28,28,2.0000,0.0000,0.0000,110.0000,110.0000,'fixed',0.0000,110.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-07 19:58:44','2022-07-07 19:58:44'),(764,400,9,9,2.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-07 20:26:38','2022-07-07 20:26:38'),(765,400,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-07 20:26:38','2022-07-07 20:26:38'),(766,400,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-07 20:26:38','2022-07-07 20:26:38'),(767,401,9,9,2.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-07 20:56:01','2022-07-07 20:56:01'),(768,401,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-07 20:56:01','2022-07-07 20:56:01'),(769,402,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-07 22:56:35','2022-07-07 22:56:35'),(770,402,18,18,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-07 22:56:35','2022-07-07 22:56:35'),(771,403,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 13:42:14','2022-07-08 13:42:14'),(772,403,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 13:42:14','2022-07-08 13:42:14'),(773,404,31,31,3.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 15:02:57','2022-07-08 15:02:57'),(774,405,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 15:06:00','2022-07-08 15:06:00'),(775,405,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 15:06:00','2022-07-08 15:06:00'),(776,405,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 15:06:00','2022-07-08 15:06:00'),(777,405,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 15:06:00','2022-07-08 15:06:00'),(778,406,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 15:12:55','2022-07-08 15:12:55'),(779,406,17,17,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 15:12:55','2022-07-08 15:12:55'),(780,406,14,14,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 15:12:55','2022-07-08 15:12:55'),(781,407,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 16:47:58','2022-07-08 16:47:58'),(782,408,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 18:18:01','2022-07-08 18:18:01'),(783,409,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 19:02:12','2022-07-08 19:02:12'),(784,409,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 19:02:12','2022-07-08 19:02:12'),(785,410,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 19:18:33','2022-07-08 19:18:33'),(786,410,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 19:18:33','2022-07-08 19:18:33'),(787,410,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 19:18:33','2022-07-08 19:18:33'),(788,411,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 20:45:31','2022-07-08 20:45:31'),(789,411,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 20:45:31','2022-07-08 20:45:31'),(790,412,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 20:47:02','2022-07-08 20:47:02'),(791,413,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 20:48:30','2022-07-08 20:48:30'),(792,414,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-08 22:05:41','2022-07-08 22:05:41'),(793,415,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-09 12:47:40','2022-07-09 12:47:40'),(794,415,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-09 12:47:40','2022-07-09 12:47:40'),(795,416,47,47,2.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-09 16:32:29','2022-07-09 16:32:29'),(796,416,16,16,2.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-09 16:32:29','2022-07-09 16:32:29'),(797,417,1,1,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-09 16:47:23','2022-07-09 16:47:23'),(798,417,5,5,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-09 16:47:23','2022-07-09 16:47:23'),(799,417,28,28,1.0000,0.0000,0.0000,110.0000,110.0000,'fixed',0.0000,110.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-09 16:47:23','2022-07-09 16:47:23'),(800,417,29,29,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-09 16:47:23','2022-07-09 16:47:23'),(801,417,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-09 16:47:23','2022-07-09 16:47:23'),(802,418,13,13,2.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 13:11:59','2022-07-11 13:11:59'),(803,418,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 13:11:59','2022-07-11 13:11:59'),(804,419,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 14:06:43','2022-07-11 14:06:43'),(805,420,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 15:14:21','2022-07-11 15:14:21'),(806,420,25,25,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 15:14:21','2022-07-11 15:14:21'),(807,421,10,10,3.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 16:20:40','2022-07-11 16:20:40'),(808,422,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 19:03:51','2022-07-11 19:38:54'),(809,422,45,45,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 19:03:51','2022-07-11 19:38:54'),(810,422,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 19:03:51','2022-07-11 19:38:54'),(811,423,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 19:04:23','2022-07-11 19:04:23'),(812,424,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 19:55:28','2022-07-11 19:55:28'),(813,424,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 19:55:28','2022-07-11 19:55:28'),(814,425,1,1,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 21:06:35','2022-07-11 21:06:35'),(815,425,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 21:06:35','2022-07-11 21:06:35'),(816,426,1,1,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 21:09:11','2022-07-11 21:09:11'),(817,426,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 21:09:11','2022-07-11 21:09:11'),(818,427,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 21:10:14','2022-07-11 21:10:14'),(819,427,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 21:10:14','2022-07-11 21:10:14'),(820,428,26,26,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 21:10:40','2022-07-11 21:10:40'),(821,429,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-11 21:11:25','2022-07-11 21:11:25'),(822,430,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 13:11:24','2022-07-12 13:11:24'),(823,431,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 13:22:41','2022-07-12 13:22:41'),(824,431,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 13:22:41','2022-07-12 13:22:41'),(825,432,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 13:36:33','2022-07-12 13:36:33'),(826,432,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 13:36:33','2022-07-12 13:36:33'),(827,432,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 13:36:33','2022-07-12 13:36:33'),(828,432,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 13:36:33','2022-07-12 13:36:33'),(829,433,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 14:34:30','2022-07-12 14:34:30'),(830,434,49,49,1.0000,0.0000,0.0000,260.0000,260.0000,'fixed',0.0000,260.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 14:35:40','2022-07-12 14:35:40'),(831,434,4,4,1.0000,0.0000,0.0000,70.0000,70.0000,'fixed',0.0000,70.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 14:35:40','2022-07-12 14:35:40'),(832,435,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 15:25:57','2022-07-12 15:25:57'),(833,435,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 15:25:57','2022-07-12 15:25:57'),(834,436,47,47,3.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 16:40:56','2022-07-12 16:40:56'),(835,437,30,30,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 18:03:49','2022-07-12 18:03:49'),(836,437,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 18:03:49','2022-07-12 18:03:49'),(837,437,31,31,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 18:03:49','2022-07-12 18:03:49'),(838,438,46,46,1.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 18:18:03','2022-07-12 18:18:03'),(839,439,17,17,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 19:31:23','2022-07-12 19:31:23'),(840,439,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 19:31:23','2022-07-12 19:31:23'),(841,439,26,26,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 19:31:23','2022-07-12 19:31:23'),(842,439,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 19:31:23','2022-07-12 19:31:23'),(843,440,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 19:46:56','2022-07-12 19:46:56'),(844,441,13,13,2.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 21:42:00','2022-07-12 21:42:00'),(845,441,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 21:42:00','2022-07-12 21:42:00'),(846,442,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-12 21:54:45','2022-07-12 21:54:45'),(847,443,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 12:22:17','2022-07-13 12:22:17'),(848,444,50,50,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 14:22:59','2022-07-13 14:22:59'),(849,444,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 14:22:59','2022-07-13 14:22:59'),(850,445,45,45,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 14:48:57','2022-07-13 14:48:57'),(851,445,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 14:48:57','2022-07-13 14:48:57'),(852,445,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 14:48:57','2022-07-13 14:48:57'),(853,446,46,46,2.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 14:50:20','2022-07-13 14:50:20'),(854,446,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 14:50:20','2022-07-13 14:50:20'),(855,447,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 14:53:48','2022-07-13 14:53:48'),(856,448,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 15:43:42','2022-07-13 15:43:42'),(857,448,28,28,1.0000,0.0000,0.0000,110.0000,110.0000,'fixed',0.0000,110.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 15:43:42','2022-07-13 15:43:42'),(858,448,18,18,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 15:43:42','2022-07-13 15:43:42'),(859,448,30,30,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 15:43:42','2022-07-13 15:43:42'),(860,449,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 16:56:50','2022-07-13 16:56:50'),(861,450,47,47,1.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 17:17:52','2022-07-13 17:17:52'),(862,451,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 18:15:29','2022-07-13 18:15:29'),(863,452,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 18:17:04','2022-07-13 18:17:04'),(864,453,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 20:21:55','2022-07-13 20:21:55'),(865,453,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 20:21:55','2022-07-13 20:21:55'),(866,454,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 20:31:22','2022-07-13 20:31:22'),(867,455,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 20:32:09','2022-07-13 20:32:09'),(868,456,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 23:13:14','2022-07-13 23:13:14'),(869,456,50,50,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 23:13:14','2022-07-13 23:13:14'),(870,456,47,47,2.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 23:13:14','2022-07-13 23:13:14'),(871,456,28,28,1.0000,0.0000,0.0000,110.0000,110.0000,'fixed',0.0000,110.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 23:13:14','2022-07-13 23:13:14'),(872,456,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 23:13:14','2022-07-13 23:13:14'),(873,456,12,12,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-13 23:13:14','2022-07-13 23:13:14'),(874,457,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 12:25:39','2022-07-14 12:25:39'),(875,457,50,50,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 12:25:39','2022-07-14 12:25:39'),(876,458,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 12:49:07','2022-07-14 12:49:07'),(877,458,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 12:49:07','2022-07-14 12:49:07'),(878,459,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 12:49:52','2022-07-14 12:49:52'),(879,459,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 12:49:52','2022-07-14 12:49:52'),(880,460,50,50,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 12:50:49','2022-07-14 12:50:49'),(881,461,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 14:00:52','2022-07-14 14:00:52'),(882,461,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 14:00:52','2022-07-14 14:00:52'),(883,461,9,9,4.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 14:00:52','2022-07-14 14:00:52'),(884,461,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 14:00:52','2022-07-14 14:00:52'),(885,461,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 14:00:52','2022-07-14 14:00:52'),(886,461,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 14:00:52','2022-07-14 14:00:52'),(887,461,52,52,1.0000,0.0000,0.0000,200.0000,200.0000,'fixed',0.0000,200.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 14:00:52','2022-07-14 14:00:52'),(888,462,50,50,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 14:36:08','2022-07-14 14:36:08'),(889,463,45,45,3.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 15:19:30','2022-07-14 15:19:30'),(890,463,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 15:19:30','2022-07-14 15:19:30'),(891,464,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 15:32:06','2022-07-14 15:32:06'),(892,465,1,1,6.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 16:23:32','2022-07-14 16:23:32'),(893,465,4,4,6.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 16:23:32','2022-07-14 16:23:32'),(894,465,5,5,6.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 16:23:32','2022-07-14 16:23:32'),(895,466,54,54,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 17:30:17','2022-07-14 17:30:17'),(896,466,46,46,1.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 17:30:17','2022-07-14 17:30:17'),(897,466,55,55,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 17:30:17','2022-07-14 17:30:17'),(898,467,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 18:36:40','2022-07-14 18:36:40'),(899,468,31,31,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 19:00:21','2022-07-14 19:00:21'),(900,468,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 19:00:21','2022-07-14 19:00:21'),(901,469,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 19:51:55','2022-07-14 19:51:55'),(902,469,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 19:51:55','2022-07-14 19:51:55'),(903,469,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 19:51:55','2022-07-14 19:51:55'),(904,470,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 20:06:11','2022-07-14 20:06:11'),(905,470,12,12,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 20:06:11','2022-07-14 20:06:11'),(906,470,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 20:06:11','2022-07-14 20:06:11'),(907,471,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 20:23:04','2022-07-14 20:23:04'),(908,472,51,51,1.0000,0.0000,0.0000,190.0000,190.0000,'fixed',0.0000,190.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 20:37:31','2022-07-14 20:37:31'),(909,472,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 20:37:31','2022-07-14 20:37:31'),(910,473,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 22:31:14','2022-07-14 22:31:14'),(911,474,27,27,2.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-14 22:37:07','2022-07-14 22:37:07'),(912,475,50,50,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 12:38:06','2022-07-15 12:38:06'),(913,475,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 12:38:06','2022-07-15 12:38:06'),(914,475,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 12:38:06','2022-07-15 12:38:06'),(915,475,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 12:38:06','2022-07-15 12:38:06'),(916,476,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 13:09:57','2022-07-15 13:09:57'),(917,477,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 14:45:00','2022-07-15 14:45:00'),(918,477,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 14:45:00','2022-07-15 14:45:00'),(919,477,24,24,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 14:45:00','2022-07-15 14:45:00'),(920,478,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 15:55:35','2022-07-15 15:55:35'),(921,478,31,31,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 15:55:35','2022-07-15 15:55:35'),(922,479,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 17:44:32','2022-07-15 17:44:32'),(923,480,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 19:59:23','2022-07-15 19:59:23'),(924,480,58,58,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 19:59:23','2022-07-15 19:59:23'),(925,480,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 19:59:23','2022-07-15 19:59:23'),(926,481,47,47,1.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 20:18:29','2022-07-15 20:18:29'),(927,482,49,49,2.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 22:22:47','2022-07-15 22:22:47'),(928,482,51,51,2.0000,0.0000,0.0000,190.0000,190.0000,'fixed',0.0000,190.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 22:22:47','2022-07-15 22:22:47'),(929,482,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 22:22:47','2022-07-15 22:22:47'),(930,482,26,26,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 22:22:47','2022-07-15 22:22:47'),(931,482,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 22:22:47','2022-07-15 22:22:47'),(932,482,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-15 22:22:47','2022-07-15 22:22:47'),(934,484,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 13:22:02','2022-07-16 13:22:02'),(935,484,24,24,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 13:22:02','2022-07-16 13:22:02'),(936,485,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 14:01:56','2022-07-16 14:01:56'),(937,485,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 14:01:56','2022-07-16 14:01:56'),(938,486,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 14:06:18','2022-07-16 14:06:18'),(939,487,47,47,2.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 14:33:12','2022-07-16 14:33:12'),(940,488,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 14:42:14','2022-07-16 14:42:14'),(941,488,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 14:42:14','2022-07-16 14:42:14'),(942,489,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 16:03:33','2022-07-16 16:03:33'),(943,489,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 16:03:33','2022-07-16 16:03:33'),(944,490,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 17:10:25','2022-07-16 17:10:25'),(945,490,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 17:10:25','2022-07-16 17:10:25'),(946,490,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 17:10:25','2022-07-16 17:10:25'),(947,490,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 17:10:25','2022-07-16 17:10:25'),(948,490,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 17:10:25','2022-07-16 17:10:25'),(949,491,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 17:13:18','2022-07-16 17:13:18'),(950,492,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 18:54:52','2022-07-16 18:54:52'),(951,493,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 22:16:15','2022-07-16 22:16:15'),(952,493,25,25,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 22:16:15','2022-07-16 22:16:15'),(953,493,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-16 22:16:15','2022-07-16 22:16:15'),(954,494,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 14:02:28','2022-07-18 14:02:28'),(955,494,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 14:02:28','2022-07-18 14:02:28'),(956,494,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 14:02:28','2022-07-18 14:02:28'),(957,495,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 14:02:51','2022-07-18 14:02:51'),(958,495,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 14:02:51','2022-07-18 14:02:51'),(959,496,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 14:47:53','2022-07-18 14:47:53'),(960,496,45,45,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 14:47:53','2022-07-18 14:47:53'),(961,496,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 14:47:53','2022-07-18 14:47:53'),(962,497,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 15:25:30','2022-07-18 15:25:30'),(963,498,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 15:38:23','2022-07-18 15:38:23'),(964,498,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 15:38:23','2022-07-18 15:38:23'),(965,498,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 15:38:23','2022-07-18 15:38:23'),(966,499,6,6,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 17:04:18','2022-07-18 17:04:18'),(967,500,6,6,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 17:21:09','2022-07-18 17:21:09'),(968,500,5,5,6.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 17:21:09','2022-07-18 17:21:09'),(969,501,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 19:17:40','2022-07-18 19:17:40'),(970,502,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 19:58:42','2022-07-18 19:58:42'),(971,502,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 19:58:42','2022-07-18 19:58:42'),(972,503,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 20:44:49','2022-07-18 20:44:49'),(973,503,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 20:44:49','2022-07-18 20:44:49'),(974,503,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 20:44:49','2022-07-18 20:44:49'),(975,504,46,46,2.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 20:54:00','2022-07-18 20:54:00'),(976,505,14,14,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 20:57:05','2022-07-18 20:57:05'),(977,506,46,46,4.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 21:23:11','2022-07-18 21:23:11'),(978,507,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-18 22:48:52','2022-07-18 22:48:52'),(979,508,50,50,2.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 12:38:52','2022-07-19 12:38:52'),(980,508,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 12:38:52','2022-07-19 12:38:52'),(981,509,1,1,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 12:55:47','2022-07-19 12:55:47'),(982,510,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 13:03:08','2022-07-19 13:03:08'),(983,510,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 13:03:08','2022-07-19 13:03:08'),(984,510,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 13:03:08','2022-07-19 13:03:08'),(985,511,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 13:28:53','2022-07-19 13:28:53'),(986,512,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 13:48:38','2022-07-19 13:48:38'),(987,512,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 13:48:38','2022-07-19 13:48:38'),(988,512,29,29,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 13:48:38','2022-07-19 13:48:38'),(989,512,57,57,2.0000,0.0000,0.0000,110.0000,110.0000,'fixed',0.0000,110.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 13:48:38','2022-07-19 13:48:38'),(990,513,54,54,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 14:21:48','2022-07-19 14:21:48'),(991,513,51,51,1.0000,0.0000,0.0000,190.0000,190.0000,'fixed',0.0000,190.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 14:21:48','2022-07-19 14:21:48'),(992,513,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 14:21:48','2022-07-19 14:21:48'),(993,513,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 14:21:48','2022-07-19 14:21:48'),(994,514,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 14:44:03','2022-07-19 14:44:03'),(995,515,50,50,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 16:24:20','2022-07-19 16:24:20'),(996,516,45,45,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 16:30:27','2022-07-19 16:30:27'),(997,516,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 16:30:27','2022-07-19 16:30:27'),(998,516,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 16:30:27','2022-07-19 16:30:27'),(999,517,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 16:34:56','2022-07-19 16:34:56'),(1000,518,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 16:49:04','2022-07-19 16:49:04'),(1001,519,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 17:47:36','2022-07-19 17:47:36'),(1002,520,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 17:59:52','2022-07-19 17:59:52'),(1003,520,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 17:59:52','2022-07-19 17:59:52'),(1004,520,18,18,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 17:59:52','2022-07-19 17:59:52'),(1005,521,12,12,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 18:58:46','2022-07-19 18:58:46'),(1006,521,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 18:58:46','2022-07-19 18:58:46'),(1007,521,8,8,2.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 18:58:46','2022-07-19 18:58:46'),(1008,521,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 18:58:46','2022-07-19 18:58:46'),(1009,521,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 18:58:46','2022-07-19 18:58:46'),(1010,522,30,30,1.0000,0.0000,0.0000,60.0000,60.0000,'fixed',0.0000,60.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 20:09:04','2022-07-19 20:09:04'),(1011,522,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 20:09:04','2022-07-19 20:09:04'),(1012,522,25,25,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 20:09:04','2022-07-19 20:09:04'),(1013,523,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 21:19:00','2022-07-19 21:19:00'),(1014,523,50,50,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 21:19:00','2022-07-19 21:19:00'),(1015,524,1,1,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 22:16:16','2022-07-19 22:16:16'),(1016,524,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 22:16:16','2022-07-19 22:16:16'),(1017,525,12,12,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 22:59:05','2022-07-19 22:59:05'),(1018,525,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 22:59:05','2022-07-19 22:59:05'),(1019,525,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 22:59:05','2022-07-19 22:59:05'),(1020,525,58,58,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-19 22:59:05','2022-07-19 22:59:05'),(1021,526,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-20 12:15:45','2022-07-20 12:15:45'),(1022,526,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-20 12:15:45','2022-07-20 12:15:45'),(1023,527,1,1,3.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-20 15:02:50','2022-07-20 15:02:50'),(1024,528,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-20 15:09:40','2022-07-20 15:09:40'),(1025,529,51,51,2.0000,0.0000,0.0000,190.0000,190.0000,'fixed',0.0000,190.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-20 15:50:27','2022-07-20 15:50:27'),(1026,529,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-20 15:50:27','2022-07-20 15:50:27'),(1027,530,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-20 15:52:04','2022-07-20 15:52:04'),(1028,531,46,46,1.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-20 17:53:33','2022-07-20 17:53:33'),(1029,532,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-20 18:00:50','2022-07-20 18:00:50'),(1030,533,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-20 18:12:59','2022-07-20 18:12:59'),(1031,533,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-20 18:12:59','2022-07-20 18:12:59'),(1032,533,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-20 18:12:59','2022-07-20 18:12:59'),(1033,534,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-20 20:16:47','2022-07-20 20:16:47'),(1034,534,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-20 20:16:47','2022-07-20 20:16:47'),(1035,535,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-20 22:58:51','2022-07-20 22:58:51'),(1036,536,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-21 12:18:27','2022-07-21 12:18:27'),(1037,537,50,50,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-21 14:37:44','2022-07-21 14:37:44'),(1038,537,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-21 14:37:44','2022-07-21 14:37:44'),(1039,537,56,56,1.0000,0.0000,0.0000,75.0000,75.0000,'fixed',0.0000,75.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-21 14:37:44','2022-07-21 14:37:44'),(1040,537,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-21 14:37:44','2022-07-21 14:37:44'),(1041,538,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-21 15:17:48','2022-07-21 15:17:48'),(1042,539,56,56,1.0000,0.0000,0.0000,75.0000,75.0000,'fixed',0.0000,75.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-21 15:31:20','2022-07-21 15:31:20'),(1043,540,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-21 16:57:08','2022-07-21 16:57:08'),(1044,540,8,8,2.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-21 16:57:08','2022-07-21 16:57:08'),(1045,540,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-21 16:57:08','2022-07-21 16:57:08'),(1046,540,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-21 16:57:08','2022-07-21 16:57:08'),(1047,541,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-21 16:57:50','2022-07-21 16:57:50'),(1048,542,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-21 18:27:15','2022-07-21 18:27:15'),(1049,543,45,45,3.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-22 15:17:04','2022-07-22 15:17:04'),(1050,543,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-22 15:17:04','2022-07-22 15:17:04'),(1051,544,54,54,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-22 15:19:12','2022-07-22 15:19:12'),(1052,544,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-22 15:19:12','2022-07-22 15:19:12'),(1053,545,46,46,1.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-22 19:12:13','2022-07-22 19:12:13'),(1054,546,23,23,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-22 22:47:05','2022-07-22 22:47:05'),(1055,547,52,52,1.0000,0.0000,0.0000,200.0000,200.0000,'fixed',0.0000,200.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-22 23:04:39','2022-07-22 23:04:39'),(1056,548,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-23 13:14:45','2022-07-23 13:14:45'),(1057,549,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-23 13:33:37','2022-07-23 13:33:37'),(1058,550,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-23 13:45:03','2022-07-23 13:45:03'),(1059,551,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-23 13:48:40','2022-07-23 13:48:40'),(1060,551,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-23 13:48:40','2022-07-23 13:48:40'),(1061,552,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-23 18:42:51','2022-07-23 18:42:51'),(1062,553,58,58,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-23 18:46:11','2022-07-23 18:46:11'),(1063,554,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-23 20:44:16','2022-07-23 20:44:16'),(1064,554,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-23 20:44:16','2022-07-23 20:44:16'),(1065,554,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-23 20:44:16','2022-07-23 20:44:16'),(1066,555,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-23 22:52:36','2022-07-23 22:52:36'),(1067,556,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-23 22:53:23','2022-07-23 22:53:23'),(1068,557,50,50,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-25 14:28:34','2022-07-25 14:28:34'),(1069,557,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-25 14:28:34','2022-07-25 14:28:34'),(1070,558,44,44,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-25 14:53:11','2022-07-25 14:53:11'),(1071,558,39,39,3.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-25 14:53:11','2022-07-25 14:53:11'),(1072,558,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-25 14:53:11','2022-07-25 14:53:11'),(1073,558,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-25 14:53:11','2022-07-25 14:53:11'),(1074,559,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-25 15:10:12','2022-07-25 15:10:12'),(1075,559,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-25 15:10:12','2022-07-25 15:10:12'),(1076,559,46,46,1.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-25 15:10:12','2022-07-25 15:10:12'),(1077,560,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-25 16:53:53','2022-07-25 16:53:53'),(1078,560,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-25 16:53:53','2022-07-25 16:53:53'),(1079,560,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-25 16:53:53','2022-07-25 16:53:53'),(1080,561,46,46,1.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-25 17:07:19','2022-07-25 17:07:19'),(1081,562,52,52,2.0000,0.0000,0.0000,200.0000,200.0000,'fixed',0.0000,200.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-25 17:16:56','2022-07-25 17:16:56'),(1082,562,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-25 17:16:56','2022-07-25 17:16:56'),(1083,563,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-25 21:17:48','2022-07-25 21:17:48'),(1084,564,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-26 13:09:33','2022-07-26 13:09:33'),(1085,565,24,24,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-26 14:56:56','2022-07-26 14:56:56'),(1086,565,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-26 14:56:56','2022-07-26 14:56:56'),(1087,565,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-26 14:56:56','2022-07-26 14:56:56'),(1088,566,51,51,1.0000,0.0000,0.0000,190.0000,190.0000,'fixed',0.0000,190.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-26 14:59:11','2022-07-26 14:59:11'),(1089,566,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-26 14:59:11','2022-07-26 14:59:11'),(1090,567,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-26 16:57:29','2022-07-26 16:57:29'),(1091,568,51,51,1.0000,0.0000,0.0000,190.0000,190.0000,'fixed',0.0000,190.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-26 19:12:28','2022-07-26 19:12:28'),(1092,568,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-26 19:12:28','2022-07-26 19:12:28'),(1093,569,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-26 19:15:55','2022-07-26 19:15:55'),(1094,569,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-26 19:15:55','2022-07-26 19:15:55'),(1095,570,37,37,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-26 21:11:38','2022-07-26 21:11:38'),(1096,571,51,51,1.0000,0.0000,0.0000,190.0000,190.0000,'fixed',0.0000,190.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-26 21:45:00','2022-07-26 21:45:00'),(1097,571,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-26 21:45:00','2022-07-26 21:45:00'),(1098,572,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-26 22:03:23','2022-07-26 22:03:23'),(1099,573,28,28,1.0000,0.0000,0.0000,160.0000,160.0000,'fixed',0.0000,160.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-27 14:25:47','2022-07-27 14:25:47'),(1100,573,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-27 14:25:47','2022-07-27 14:25:47'),(1101,574,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-27 14:48:53','2022-07-27 14:48:53'),(1102,575,47,47,1.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-27 15:03:57','2022-07-27 15:03:57'),(1103,576,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-27 16:37:29','2022-07-27 16:37:29'),(1104,577,47,47,1.0000,0.0000,0.0000,350.0000,350.0000,'fixed',0.0000,350.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-27 17:57:00','2022-07-27 17:57:00'),(1105,577,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-27 17:57:00','2022-07-27 17:57:00'),(1106,578,57,57,1.0000,0.0000,0.0000,110.0000,110.0000,'fixed',0.0000,110.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-27 20:29:56','2022-07-27 20:29:56'),(1107,579,56,56,1.0000,0.0000,0.0000,75.0000,75.0000,'fixed',0.0000,75.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-27 20:38:17','2022-07-27 20:38:17'),(1108,580,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-27 21:03:52','2022-07-27 21:03:52'),(1109,580,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-27 21:03:52','2022-07-27 21:03:52'),(1110,580,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-27 21:03:52','2022-07-27 21:03:52'),(1111,581,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-27 21:25:52','2022-07-27 21:25:52'),(1112,582,50,50,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-27 22:02:58','2022-07-27 22:02:58'),(1113,582,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-27 22:02:58','2022-07-27 22:02:58'),(1114,583,46,46,1.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-27 22:03:23','2022-07-27 22:03:23'),(1115,584,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-28 13:30:29','2022-07-28 13:30:29'),(1116,584,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-28 13:30:29','2022-07-28 13:30:29'),(1117,585,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-28 14:48:52','2022-07-28 14:48:52'),(1118,586,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-28 15:44:54','2022-07-28 15:44:54'),(1119,587,24,24,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-28 16:52:17','2022-07-28 16:52:17'),(1120,588,54,54,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-28 17:41:16','2022-07-28 17:41:16'),(1121,588,51,51,1.0000,0.0000,0.0000,190.0000,190.0000,'fixed',0.0000,190.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-28 17:41:16','2022-07-28 17:41:16'),(1122,588,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-28 17:41:16','2022-07-28 17:41:16'),(1123,588,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-28 17:41:16','2022-07-28 17:41:16'),(1124,589,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-28 21:10:45','2022-07-28 21:10:45'),(1125,590,45,45,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-28 22:41:40','2022-07-28 22:41:40'),(1126,590,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-28 22:41:40','2022-07-28 22:41:40'),(1127,590,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-28 22:41:40','2022-07-28 22:41:40'),(1128,590,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-28 22:41:40','2022-07-28 22:41:40'),(1129,590,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-28 22:41:40','2022-07-28 22:41:40'),(1130,591,31,31,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 12:55:18','2022-07-29 12:55:18'),(1131,592,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 13:24:31','2022-07-29 13:24:31'),(1132,593,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 15:30:49','2022-07-29 15:30:49'),(1133,593,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 15:30:49','2022-07-29 15:30:49'),(1134,593,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 15:30:49','2022-07-29 15:30:49'),(1135,594,50,50,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 17:04:12','2022-07-29 17:04:12'),(1136,594,52,52,1.0000,0.0000,0.0000,200.0000,200.0000,'fixed',0.0000,200.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 17:04:12','2022-07-29 17:04:12'),(1137,594,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 17:04:12','2022-07-29 17:04:12'),(1138,595,56,56,2.0000,0.0000,0.0000,75.0000,75.0000,'fixed',0.0000,75.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 19:31:08','2022-07-29 19:31:08'),(1139,596,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 19:34:38','2022-07-29 19:34:38'),(1140,596,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 19:34:38','2022-07-29 19:34:38'),(1141,597,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 20:54:37','2022-07-29 20:54:37'),(1142,597,18,18,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 20:54:37','2022-07-29 20:54:37'),(1143,597,46,46,3.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 20:54:37','2022-07-29 20:54:37'),(1144,598,51,51,1.0000,0.0000,0.0000,190.0000,190.0000,'fixed',0.0000,190.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 21:29:27','2022-07-29 21:29:27'),(1145,598,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 21:29:27','2022-07-29 21:29:27'),(1146,598,17,17,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-29 21:29:27','2022-07-29 21:29:27'),(1150,600,45,45,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 14:12:25','2022-07-30 14:12:25'),(1151,600,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 14:12:25','2022-07-30 14:12:25'),(1152,600,53,53,2.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 14:12:25','2022-07-30 14:12:25'),(1153,601,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 14:14:00','2022-07-30 14:14:00'),(1154,601,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 14:14:00','2022-07-30 14:14:00'),(1155,601,54,54,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 14:14:00','2022-07-30 14:14:00'),(1156,601,51,51,1.0000,0.0000,0.0000,190.0000,190.0000,'fixed',0.0000,190.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 14:14:00','2022-07-30 14:14:00'),(1157,602,46,46,1.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 14:28:58','2022-07-30 14:28:58'),(1158,603,39,39,3.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 17:14:01','2022-07-30 17:14:01'),(1159,603,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 17:14:01','2022-07-30 17:14:01'),(1160,604,50,50,2.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 18:09:33','2022-07-30 18:09:33'),(1161,604,31,31,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 18:09:33','2022-07-30 18:09:33'),(1162,604,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 18:09:33','2022-07-30 18:09:33'),(1163,604,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 18:09:33','2022-07-30 18:09:33'),(1164,605,45,45,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 18:39:21','2022-07-30 18:39:21'),(1165,606,26,26,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 22:10:25','2022-07-30 22:10:25'),(1166,607,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-07-30 22:53:55','2022-07-30 22:53:55'),(1167,608,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 14:39:03','2022-08-01 14:39:03'),(1168,608,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 14:39:03','2022-08-01 14:39:03'),(1169,608,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 14:39:03','2022-08-01 14:39:03'),(1170,609,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 14:39:26','2022-08-01 14:39:26'),(1171,610,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 17:41:47','2022-08-01 17:41:47'),(1172,610,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 17:41:47','2022-08-01 17:41:47'),(1173,611,46,46,1.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 17:43:07','2022-08-01 17:43:07'),(1174,612,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 18:21:14','2022-08-01 18:21:14'),(1175,613,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 19:15:33','2022-08-01 19:15:33'),(1176,613,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 19:15:33','2022-08-01 19:15:33'),(1177,614,9,9,6.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 20:07:44','2022-08-01 20:07:44'),(1178,614,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 20:07:44','2022-08-01 20:07:44'),(1179,615,1,1,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 20:25:58','2022-08-01 20:25:58'),(1180,616,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 20:28:58','2022-08-01 20:28:58'),(1181,616,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 20:28:58','2022-08-01 20:28:58'),(1182,616,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 20:28:58','2022-08-01 20:28:58'),(1183,616,18,18,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 20:28:58','2022-08-01 20:28:58'),(1184,616,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 20:28:58','2022-08-01 20:28:58'),(1185,617,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 20:36:35','2022-08-01 20:36:35'),(1186,618,56,56,4.0000,0.0000,0.0000,75.0000,75.0000,'fixed',0.0000,75.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 21:37:28','2022-08-01 21:37:28'),(1187,619,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 21:37:59','2022-08-01 21:37:59'),(1188,619,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 21:37:59','2022-08-01 21:37:59'),(1189,620,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 21:59:11','2022-08-01 21:59:11'),(1190,621,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 22:01:31','2022-08-01 22:01:31'),(1191,622,28,28,1.0000,0.0000,0.0000,160.0000,160.0000,'fixed',0.0000,160.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 22:38:35','2022-08-01 22:38:35'),(1192,622,46,46,1.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-01 22:38:35','2022-08-01 22:38:35'),(1193,623,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 13:45:53','2022-08-02 13:45:53'),(1194,623,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 13:45:53','2022-08-02 13:45:53'),(1195,623,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 13:45:53','2022-08-02 13:45:53'),(1196,624,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 14:01:13','2022-08-02 14:01:13'),(1197,624,58,58,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 14:01:13','2022-08-02 14:01:13'),(1198,624,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 14:01:13','2022-08-02 14:01:13'),(1199,625,52,52,1.0000,0.0000,0.0000,200.0000,200.0000,'fixed',0.0000,200.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 14:12:31','2022-08-02 14:12:31'),(1200,625,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 14:12:31','2022-08-02 14:12:31'),(1201,626,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 15:11:10','2022-08-02 15:11:10'),(1202,626,54,54,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 15:11:10','2022-08-02 15:11:10'),(1203,626,51,51,1.0000,0.0000,0.0000,190.0000,190.0000,'fixed',0.0000,190.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 15:11:10','2022-08-02 15:11:10'),(1204,626,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 15:11:10','2022-08-02 15:11:10'),(1205,627,57,57,1.0000,0.0000,0.0000,110.0000,110.0000,'fixed',0.0000,110.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 15:15:40','2022-08-02 15:15:40'),(1206,627,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 15:15:40','2022-08-02 15:15:40'),(1207,628,27,27,2.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 16:03:57','2022-08-02 16:03:57'),(1208,629,1,1,4.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 18:32:00','2022-08-02 18:32:00'),(1209,629,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 18:32:00','2022-08-02 18:32:00'),(1210,629,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 18:32:00','2022-08-02 18:32:00'),(1211,629,16,16,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 18:32:00','2022-08-02 18:32:00'),(1212,630,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 20:45:37','2022-08-02 20:45:37'),(1213,630,15,15,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 20:45:37','2022-08-02 20:45:37'),(1214,630,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 20:45:37','2022-08-02 20:45:37'),(1215,631,57,57,1.0000,0.0000,0.0000,110.0000,110.0000,'fixed',0.0000,110.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 21:20:48','2022-08-02 21:20:48'),(1216,631,25,25,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 21:20:48','2022-08-02 21:20:48'),(1217,632,16,16,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 22:05:07','2022-08-02 22:05:07'),(1218,632,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 22:05:07','2022-08-02 22:05:07'),(1219,632,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-02 22:05:07','2022-08-02 22:05:07'),(1220,633,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-03 13:23:39','2022-08-03 13:23:39'),(1221,633,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-03 13:23:39','2022-08-03 13:23:39'),(1222,634,57,57,1.0000,0.0000,0.0000,110.0000,110.0000,'fixed',0.0000,110.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-03 13:47:46','2022-08-03 13:47:46'),(1223,635,8,8,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-03 13:58:44','2022-08-03 13:58:44'),(1224,635,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-03 13:58:44','2022-08-03 13:58:44'),(1225,636,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-03 15:04:21','2022-08-03 15:04:21'),(1226,636,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-03 15:04:21','2022-08-03 15:04:21'),(1227,637,56,56,2.0000,0.0000,0.0000,75.0000,75.0000,'fixed',0.0000,75.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-03 16:57:07','2022-08-03 16:57:07'),(1228,638,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-03 17:03:31','2022-08-03 17:03:31'),(1229,639,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-03 17:29:22','2022-08-03 17:29:22'),(1230,639,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-03 17:29:22','2022-08-03 17:29:22'),(1231,639,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-03 17:29:22','2022-08-03 17:29:22'),(1232,639,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-03 17:29:22','2022-08-03 17:29:22'),(1233,640,17,17,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-03 18:02:34','2022-08-03 18:02:34'),(1234,641,8,8,2.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 13:09:45','2022-08-04 13:09:45'),(1235,642,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 14:16:00','2022-08-04 14:16:00'),(1236,643,54,54,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 15:08:27','2022-08-04 15:08:27'),(1237,643,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 15:08:27','2022-08-04 15:08:27'),(1238,644,53,53,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 19:01:41','2022-08-04 19:01:41'),(1239,644,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 19:01:41','2022-08-04 19:01:41'),(1240,645,56,56,1.0000,0.0000,0.0000,75.0000,75.0000,'fixed',0.0000,75.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 19:26:34','2022-08-04 19:26:34'),(1241,646,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 19:36:58','2022-08-04 19:36:58'),(1242,647,25,25,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 19:44:04','2022-08-04 19:44:04'),(1243,647,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 19:44:04','2022-08-04 19:44:04'),(1244,647,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 19:44:04','2022-08-04 19:44:04'),(1245,648,45,45,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 20:01:03','2022-08-04 20:01:03'),(1246,648,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 20:01:03','2022-08-04 20:01:03'),(1247,648,25,25,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 20:01:03','2022-08-04 20:01:03'),(1248,648,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 20:01:03','2022-08-04 20:01:03'),(1249,649,28,28,1.0000,0.0000,0.0000,160.0000,160.0000,'fixed',0.0000,160.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 20:06:37','2022-08-04 20:06:37'),(1250,649,17,17,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-04 20:06:37','2022-08-04 20:06:37'),(1251,650,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 13:03:56','2022-08-05 13:03:56'),(1252,651,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 13:25:47','2022-08-05 13:25:47'),(1253,652,53,53,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 13:53:08','2022-08-05 13:53:08'),(1254,652,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 13:53:08','2022-08-05 13:53:08'),(1255,652,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 13:53:08','2022-08-05 13:53:08'),(1256,653,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 14:08:46','2022-08-05 14:08:46'),(1257,653,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 14:08:46','2022-08-05 14:08:46'),(1258,653,10,10,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 14:08:46','2022-08-05 14:08:46'),(1259,653,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 14:08:46','2022-08-05 14:08:46'),(1260,653,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 14:08:46','2022-08-05 14:08:46'),(1261,653,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 14:08:46','2022-08-05 14:08:46'),(1262,654,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 14:40:06','2022-08-05 14:40:06'),(1263,654,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 14:40:06','2022-08-05 14:40:06'),(1264,654,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 14:40:06','2022-08-05 14:40:06'),(1265,655,53,53,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 15:22:12','2022-08-05 15:22:12'),(1266,655,57,57,1.0000,0.0000,0.0000,110.0000,110.0000,'fixed',0.0000,110.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 15:22:12','2022-08-05 15:22:12'),(1267,655,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 15:22:12','2022-08-05 15:22:12'),(1268,656,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 15:56:28','2022-08-05 15:56:28'),(1269,656,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 15:56:28','2022-08-05 15:56:28'),(1270,657,54,54,1.0000,0.0000,0.0000,180.0000,180.0000,'fixed',0.0000,180.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 17:01:54','2022-08-05 17:01:54'),(1271,657,51,51,1.0000,0.0000,0.0000,190.0000,190.0000,'fixed',0.0000,190.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 17:01:54','2022-08-05 17:01:54'),(1272,657,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 17:01:54','2022-08-05 17:01:54'),(1273,657,5,5,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 17:01:54','2022-08-05 17:01:54'),(1274,658,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 17:09:47','2022-08-05 17:09:47'),(1275,659,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 22:03:51','2022-08-05 22:03:51'),(1276,659,29,29,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 22:03:51','2022-08-05 22:03:51'),(1277,659,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 22:03:51','2022-08-05 22:03:51'),(1278,659,45,45,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 22:03:51','2022-08-05 22:03:51'),(1279,660,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 22:05:16','2022-08-05 22:05:16'),(1280,660,18,18,1.0000,0.0000,0.0000,100.0000,100.0000,'fixed',0.0000,100.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 22:05:16','2022-08-05 22:05:16'),(1281,660,28,28,1.0000,0.0000,0.0000,160.0000,160.0000,'fixed',0.0000,160.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-05 22:05:16','2022-08-05 22:05:16'),(1282,661,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-06 14:07:36','2022-08-06 14:07:36'),(1283,661,13,13,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-06 14:07:36','2022-08-06 14:07:36'),(1284,662,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-06 14:50:22','2022-08-06 14:50:22'),(1285,662,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-06 14:50:22','2022-08-06 14:50:22'),(1286,662,49,49,1.0000,0.0000,0.0000,210.0000,210.0000,'fixed',0.0000,210.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-06 14:50:22','2022-08-06 14:50:22'),(1287,663,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-06 14:51:00','2022-08-06 14:51:00'),(1288,663,52,52,1.0000,0.0000,0.0000,200.0000,200.0000,'fixed',0.0000,200.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-06 14:51:00','2022-08-06 14:51:00'),(1289,663,45,45,3.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-06 14:51:00','2022-08-06 14:51:00'),(1290,664,39,39,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-06 15:37:09','2022-08-06 15:37:09'),(1291,664,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-06 15:37:09','2022-08-06 15:37:09'),(1292,664,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-06 15:37:09','2022-08-06 15:37:09'),(1293,664,37,37,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-06 15:37:09','2022-08-06 15:37:09'),(1294,664,14,14,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-06 15:37:09','2022-08-06 15:37:09'),(1295,665,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 13:50:35','2022-08-08 13:50:35'),(1296,666,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 15:37:01','2022-08-08 15:37:01'),(1297,666,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 15:37:01','2022-08-08 15:37:01'),(1298,666,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 15:37:01','2022-08-08 15:37:01'),(1299,667,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 16:31:05','2022-08-08 16:31:05'),(1300,667,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 16:31:05','2022-08-08 16:31:05'),(1301,668,4,4,3.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 17:52:54','2022-08-08 17:52:54'),(1302,668,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 17:52:54','2022-08-08 17:52:54'),(1303,669,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 18:42:00','2022-08-08 18:42:00'),(1304,670,28,28,1.0000,0.0000,0.0000,160.0000,160.0000,'fixed',0.0000,160.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 19:31:43','2022-08-08 19:31:43'),(1305,670,5,5,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 19:31:43','2022-08-08 19:31:43'),(1306,671,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(1307,671,4,4,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(1308,671,39,39,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(1309,671,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(1310,671,32,32,5.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(1311,671,3,3,2.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(1312,671,45,45,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(1313,672,40,40,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 20:03:18','2022-08-08 20:03:18'),(1314,672,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 20:03:18','2022-08-08 20:03:18'),(1315,672,39,39,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 20:03:18','2022-08-08 20:03:18'),(1316,673,51,51,1.0000,0.0000,0.0000,190.0000,190.0000,'fixed',0.0000,190.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 21:02:09','2022-08-08 21:02:09'),(1317,673,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 21:02:09','2022-08-08 21:02:09'),(1318,673,46,46,1.0000,0.0000,0.0000,25.0000,25.0000,'fixed',0.0000,25.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 21:02:09','2022-08-08 21:02:09'),(1319,674,37,37,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 21:23:14','2022-08-08 21:23:14'),(1320,674,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 21:23:14','2022-08-08 21:23:14'),(1321,674,9,9,1.0000,0.0000,0.0000,55.0000,55.0000,'fixed',0.0000,55.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 21:23:14','2022-08-08 21:23:14'),(1322,674,6,6,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 21:23:14','2022-08-08 21:23:14'),(1323,675,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 21:41:35','2022-08-08 21:41:35'),(1324,676,27,27,2.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 22:12:47','2022-08-08 22:12:47'),(1325,676,28,28,1.0000,0.0000,0.0000,160.0000,160.0000,'fixed',0.0000,160.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 22:12:47','2022-08-08 22:12:47'),(1326,676,29,29,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 22:12:47','2022-08-08 22:12:47'),(1327,677,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 22:25:17','2022-08-08 22:25:17'),(1328,678,27,27,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 22:44:43','2022-08-08 22:44:43'),(1329,678,20,20,1.0000,0.0000,0.0000,120.0000,120.0000,'fixed',0.0000,120.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 22:44:43','2022-08-08 22:44:43'),(1330,679,57,57,1.0000,0.0000,0.0000,110.0000,110.0000,'fixed',0.0000,110.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 22:56:27','2022-08-08 22:56:27'),(1331,679,44,44,2.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-08 22:56:27','2022-08-08 22:56:27'),(1332,680,4,4,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-09 14:19:21','2022-08-09 14:19:21'),(1333,680,3,3,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-09 14:19:21','2022-08-09 14:19:21'),(1334,681,52,52,1.0000,0.0000,0.0000,200.0000,200.0000,'fixed',0.0000,200.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-09 15:19:29','2022-08-09 15:19:29'),(1335,681,11,11,1.0000,0.0000,0.0000,150.0000,150.0000,'fixed',0.0000,150.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-09 15:19:29','2022-08-09 15:19:29'),(1336,681,32,32,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-09 15:19:29','2022-08-09 15:19:29'),(1337,682,31,31,1.0000,0.0000,0.0000,80.0000,80.0000,'fixed',0.0000,80.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-09 17:37:31','2022-08-09 17:37:31'),(1338,682,7,7,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-09 17:37:31','2022-08-09 17:37:31'),(1339,682,26,26,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-09 17:37:31','2022-08-09 17:37:31'),(1340,683,51,51,1.0000,0.0000,0.0000,190.0000,190.0000,'fixed',0.0000,190.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-09 17:53:21','2022-08-09 17:53:21'),(1341,683,1,1,1.0000,0.0000,0.0000,50.0000,50.0000,'fixed',0.0000,50.0000,0.0000,NULL,NULL,NULL,'',NULL,NULL,NULL,'',NULL,'2022-08-09 17:53:21','2022-08-09 17:53:21');
/*!40000 ALTER TABLE `transaction_sell_lines` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `transaction_sell_lines_purchase_lines`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `transaction_sell_lines_purchase_lines` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `sell_line_id` int(10) unsigned DEFAULT NULL COMMENT 'id from transaction_sell_lines',
  `stock_adjustment_line_id` int(10) unsigned DEFAULT NULL COMMENT 'id from stock_adjustment_lines',
  `purchase_line_id` int(10) unsigned NOT NULL COMMENT 'id from purchase_lines',
  `quantity` decimal(22,4) NOT NULL,
  `qty_returned` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `sell_line_id` (`sell_line_id`),
  KEY `stock_adjustment_line_id` (`stock_adjustment_line_id`),
  KEY `purchase_line_id` (`purchase_line_id`)
) ENGINE=InnoDB AUTO_INCREMENT=1396 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `transaction_sell_lines_purchase_lines` WRITE;
/*!40000 ALTER TABLE `transaction_sell_lines_purchase_lines` DISABLE KEYS */;
INSERT INTO `transaction_sell_lines_purchase_lines` VALUES (21,21,NULL,0,1.0000,0.0000,'2022-05-24 13:40:30','2022-05-24 13:40:30'),(22,22,NULL,0,2.0000,0.0000,'2022-05-24 16:29:00','2022-05-24 16:29:00'),(23,23,NULL,0,1.0000,0.0000,'2022-05-24 16:29:00','2022-05-24 16:29:00'),(24,24,NULL,0,1.0000,0.0000,'2022-05-24 16:29:00','2022-05-24 16:29:00'),(25,25,NULL,0,2.0000,0.0000,'2022-05-24 17:53:03','2022-05-24 17:53:03'),(26,26,NULL,0,2.0000,0.0000,'2022-05-24 17:53:03','2022-05-24 17:53:03'),(27,27,NULL,0,2.0000,0.0000,'2022-05-24 17:53:03','2022-05-24 17:53:03'),(28,28,NULL,0,1.0000,0.0000,'2022-05-24 17:53:03','2022-05-24 17:53:03'),(29,29,NULL,0,1.0000,0.0000,'2022-05-24 19:10:57','2022-05-24 19:10:57'),(30,30,NULL,0,1.0000,0.0000,'2022-05-24 19:53:52','2022-05-24 19:53:52'),(31,31,NULL,0,1.0000,0.0000,'2022-05-24 19:53:52','2022-05-24 19:53:52'),(32,32,NULL,0,1.0000,0.0000,'2022-05-24 19:53:52','2022-05-24 19:53:52'),(33,33,NULL,0,1.0000,0.0000,'2022-05-24 20:07:12','2022-05-24 20:07:12'),(34,34,NULL,0,1.0000,0.0000,'2022-05-24 20:33:12','2022-05-24 20:33:12'),(35,35,NULL,0,1.0000,0.0000,'2022-05-24 20:33:12','2022-05-24 20:33:12'),(36,36,NULL,0,1.0000,0.0000,'2022-05-24 20:33:12','2022-05-24 20:33:12'),(37,37,NULL,0,2.0000,0.0000,'2022-05-24 20:33:12','2022-05-24 20:33:12'),(38,38,NULL,0,1.0000,0.0000,'2022-05-24 20:36:33','2022-05-24 20:36:33'),(39,39,NULL,0,1.0000,0.0000,'2022-05-24 20:36:33','2022-05-24 20:36:33'),(40,34,NULL,0,1.0000,0.0000,'2022-05-24 20:37:49','2022-05-24 20:37:49'),(41,35,NULL,0,1.0000,0.0000,'2022-05-24 20:37:49','2022-05-24 20:37:49'),(42,36,NULL,0,1.0000,0.0000,'2022-05-24 20:37:49','2022-05-24 20:37:49'),(43,37,NULL,0,2.0000,0.0000,'2022-05-24 20:37:49','2022-05-24 20:37:49'),(44,40,NULL,0,1.0000,0.0000,'2022-05-24 20:37:49','2022-05-24 20:37:49'),(45,41,NULL,0,1.0000,0.0000,'2022-05-24 20:37:49','2022-05-24 20:37:49'),(46,42,NULL,0,2.0000,0.0000,'2022-05-24 20:57:33','2022-05-24 20:57:33'),(47,43,NULL,0,1.0000,0.0000,'2022-05-24 20:57:33','2022-05-24 20:57:33'),(48,44,NULL,0,1.0000,0.0000,'2022-05-25 12:36:41','2022-05-25 12:36:41'),(49,45,NULL,0,1.0000,0.0000,'2022-05-25 13:19:10','2022-05-25 13:19:10'),(50,46,NULL,0,1.0000,0.0000,'2022-05-25 13:31:57','2022-05-25 13:31:57'),(51,47,NULL,0,1.0000,0.0000,'2022-05-25 13:31:57','2022-05-25 13:31:57'),(52,48,NULL,0,1.0000,0.0000,'2022-05-25 15:08:58','2022-05-25 15:08:58'),(53,49,NULL,0,1.0000,0.0000,'2022-05-25 15:28:44','2022-05-25 15:28:44'),(54,50,NULL,0,2.0000,0.0000,'2022-05-25 16:28:50','2022-05-25 16:28:50'),(55,51,NULL,0,2.0000,0.0000,'2022-05-25 16:28:50','2022-05-25 16:28:50'),(56,52,NULL,0,2.0000,0.0000,'2022-05-25 16:28:50','2022-05-25 16:28:50'),(57,53,NULL,0,1.0000,0.0000,'2022-05-25 16:55:19','2022-05-25 16:55:19'),(58,54,NULL,0,1.0000,0.0000,'2022-05-25 16:55:19','2022-05-25 16:55:19'),(59,55,NULL,0,1.0000,0.0000,'2022-05-25 17:31:04','2022-05-25 17:31:04'),(60,56,NULL,0,1.0000,0.0000,'2022-05-25 17:31:04','2022-05-25 17:31:04'),(61,57,NULL,0,1.0000,0.0000,'2022-05-25 17:31:04','2022-05-25 17:31:04'),(62,58,NULL,0,1.0000,0.0000,'2022-05-25 19:50:31','2022-05-25 19:50:31'),(63,59,NULL,0,1.0000,0.0000,'2022-05-25 20:38:34','2022-05-25 20:38:34'),(64,60,NULL,0,1.0000,0.0000,'2022-05-25 20:38:34','2022-05-25 20:38:34'),(65,61,NULL,0,1.0000,0.0000,'2022-05-25 20:38:34','2022-05-25 20:38:34'),(66,62,NULL,0,1.0000,0.0000,'2022-05-25 21:11:37','2022-05-25 21:11:37'),(67,63,NULL,0,1.0000,0.0000,'2022-05-25 22:45:38','2022-05-25 22:45:38'),(68,64,NULL,0,1.0000,0.0000,'2022-05-25 23:20:27','2022-05-25 23:20:27'),(69,65,NULL,0,2.0000,0.0000,'2022-05-25 23:20:27','2022-05-25 23:20:27'),(70,66,NULL,0,1.0000,0.0000,'2022-05-25 23:20:27','2022-05-25 23:20:27'),(71,67,NULL,0,1.0000,0.0000,'2022-05-25 23:20:27','2022-05-25 23:20:27'),(72,68,NULL,0,1.0000,0.0000,'2022-05-25 23:20:27','2022-05-25 23:20:27'),(73,69,NULL,0,2.0000,0.0000,'2022-05-25 23:20:27','2022-05-25 23:20:27'),(74,70,NULL,0,2.0000,0.0000,'2022-05-26 12:33:31','2022-05-26 12:33:31'),(75,71,NULL,0,1.0000,0.0000,'2022-05-26 13:20:55','2022-05-26 13:20:55'),(76,72,NULL,0,1.0000,0.0000,'2022-05-26 13:20:55','2022-05-26 13:20:55'),(77,73,NULL,0,1.0000,0.0000,'2022-05-26 13:26:48','2022-05-26 13:26:48'),(78,74,NULL,0,1.0000,0.0000,'2022-05-26 14:57:27','2022-05-26 14:57:27'),(79,75,NULL,0,1.0000,0.0000,'2022-05-26 16:12:38','2022-05-26 16:12:38'),(80,76,NULL,0,1.0000,0.0000,'2022-05-26 16:12:38','2022-05-26 16:12:38'),(81,77,NULL,0,1.0000,0.0000,'2022-05-26 16:12:38','2022-05-26 16:12:38'),(82,78,NULL,0,1.0000,0.0000,'2022-05-26 19:06:02','2022-05-26 19:06:02'),(83,79,NULL,0,2.0000,0.0000,'2022-05-26 20:56:22','2022-05-26 20:56:22'),(84,80,NULL,0,1.0000,0.0000,'2022-05-26 20:56:22','2022-05-26 20:56:22'),(85,81,NULL,0,1.0000,0.0000,'2022-05-27 13:14:39','2022-05-27 13:14:39'),(86,82,NULL,0,1.0000,0.0000,'2022-05-27 13:14:39','2022-05-27 13:14:39'),(87,83,NULL,0,1.0000,0.0000,'2022-05-27 13:53:16','2022-05-27 13:53:16'),(88,84,NULL,0,1.0000,0.0000,'2022-05-27 13:53:16','2022-05-27 13:53:16'),(89,85,NULL,0,1.0000,0.0000,'2022-05-27 18:50:50','2022-05-27 18:50:50'),(90,86,NULL,0,1.0000,0.0000,'2022-05-27 18:50:50','2022-05-27 18:50:50'),(91,87,NULL,0,1.0000,0.0000,'2022-05-27 18:50:50','2022-05-27 18:50:50'),(92,88,NULL,0,1.0000,0.0000,'2022-05-27 20:29:58','2022-05-27 20:29:58'),(93,89,NULL,0,1.0000,0.0000,'2022-05-28 14:16:58','2022-05-28 14:16:58'),(94,90,NULL,0,1.0000,0.0000,'2022-05-28 14:16:58','2022-05-28 14:16:58'),(95,91,NULL,0,1.0000,0.0000,'2022-05-28 14:16:58','2022-05-28 14:16:58'),(96,92,NULL,0,1.0000,0.0000,'2022-05-28 14:16:58','2022-05-28 14:16:58'),(97,93,NULL,0,2.0000,0.0000,'2022-05-28 14:59:11','2022-05-28 14:59:11'),(98,94,NULL,0,1.0000,0.0000,'2022-05-28 14:59:11','2022-05-28 14:59:11'),(99,95,NULL,0,1.0000,0.0000,'2022-05-28 15:03:04','2022-05-28 15:03:04'),(100,96,NULL,0,1.0000,0.0000,'2022-05-28 15:03:04','2022-05-28 15:03:04'),(101,97,NULL,0,1.0000,0.0000,'2022-05-28 15:03:04','2022-05-28 15:03:04'),(102,98,NULL,0,1.0000,0.0000,'2022-05-28 15:04:32','2022-05-28 15:04:32'),(103,99,NULL,0,1.0000,0.0000,'2022-05-28 16:18:40','2022-05-28 16:18:40'),(104,100,NULL,0,2.0000,0.0000,'2022-05-28 16:18:40','2022-05-28 16:18:40'),(105,101,NULL,0,2.0000,0.0000,'2022-05-28 16:41:21','2022-05-28 16:41:21'),(106,102,NULL,0,2.0000,0.0000,'2022-05-28 21:26:45','2022-05-28 21:26:45'),(107,103,NULL,0,1.0000,0.0000,'2022-05-28 21:26:45','2022-05-28 21:26:45'),(108,104,NULL,0,2.0000,0.0000,'2022-05-28 21:29:26','2022-05-28 21:29:26'),(109,105,NULL,0,1.0000,0.0000,'2022-05-28 21:29:26','2022-05-28 21:29:26'),(110,106,NULL,0,1.0000,0.0000,'2022-05-28 21:29:26','2022-05-28 21:29:26'),(111,107,NULL,0,3.0000,0.0000,'2022-05-28 21:38:17','2022-05-28 21:38:17'),(112,108,NULL,0,1.0000,0.0000,'2022-05-28 23:54:39','2022-05-28 23:54:39'),(113,109,NULL,0,1.0000,0.0000,'2022-05-28 23:54:39','2022-05-28 23:54:39'),(114,110,NULL,0,1.0000,0.0000,'2022-05-28 23:54:39','2022-05-28 23:54:39'),(115,111,NULL,0,1.0000,0.0000,'2022-05-30 13:24:08','2022-05-30 13:24:08'),(116,112,NULL,0,1.0000,0.0000,'2022-05-30 13:25:30','2022-05-30 13:25:30'),(117,113,NULL,0,1.0000,0.0000,'2022-05-30 13:33:15','2022-05-30 13:33:15'),(118,114,NULL,0,1.0000,0.0000,'2022-05-30 13:53:39','2022-05-30 13:53:39'),(119,115,NULL,0,1.0000,0.0000,'2022-05-30 13:53:39','2022-05-30 13:53:39'),(120,116,NULL,0,1.0000,0.0000,'2022-05-30 13:59:51','2022-05-30 13:59:51'),(121,117,NULL,0,1.0000,0.0000,'2022-05-30 13:59:51','2022-05-30 13:59:51'),(123,119,NULL,0,1.0000,0.0000,'2022-05-30 17:42:53','2022-05-30 17:42:53'),(124,120,NULL,0,1.0000,0.0000,'2022-05-30 19:51:15','2022-05-30 19:51:15'),(125,121,NULL,0,3.0000,0.0000,'2022-05-30 20:08:05','2022-05-30 20:08:05'),(126,122,NULL,0,3.0000,0.0000,'2022-05-30 21:17:03','2022-05-30 21:17:03'),(127,123,NULL,0,1.0000,0.0000,'2022-05-30 21:17:03','2022-05-30 21:17:03'),(128,124,NULL,0,1.0000,0.0000,'2022-05-30 21:19:57','2022-05-30 21:19:57'),(129,125,NULL,0,1.0000,0.0000,'2022-05-30 21:19:57','2022-05-30 21:19:57'),(130,126,NULL,0,1.0000,0.0000,'2022-05-30 21:19:57','2022-05-30 21:19:57'),(131,127,NULL,0,1.0000,0.0000,'2022-05-30 21:19:57','2022-05-30 21:19:57'),(132,128,NULL,0,2.0000,0.0000,'2022-05-30 21:20:45','2022-05-30 21:20:45'),(133,129,NULL,0,1.0000,0.0000,'2022-05-30 21:31:04','2022-05-30 21:31:04'),(134,130,NULL,0,1.0000,0.0000,'2022-05-30 21:31:04','2022-05-30 21:31:04'),(135,131,NULL,0,1.0000,0.0000,'2022-05-30 21:31:04','2022-05-30 21:31:04'),(136,132,NULL,0,1.0000,0.0000,'2022-05-30 22:33:59','2022-05-30 22:33:59'),(137,133,NULL,0,1.0000,0.0000,'2022-05-31 13:07:28','2022-05-31 13:07:28'),(138,134,NULL,0,1.0000,0.0000,'2022-05-31 13:07:28','2022-05-31 13:07:28'),(139,135,NULL,0,1.0000,0.0000,'2022-05-31 13:19:14','2022-05-31 13:19:14'),(140,136,NULL,0,1.0000,0.0000,'2022-05-31 13:37:37','2022-05-31 13:37:37'),(141,137,NULL,0,1.0000,0.0000,'2022-05-31 13:37:37','2022-05-31 13:37:37'),(142,136,NULL,0,1.0000,0.0000,'2022-05-31 13:48:44','2022-05-31 13:48:44'),(143,137,NULL,0,1.0000,0.0000,'2022-05-31 13:48:44','2022-05-31 13:48:44'),(144,138,NULL,0,1.0000,0.0000,'2022-05-31 15:25:14','2022-05-31 15:25:14'),(145,139,NULL,0,1.0000,0.0000,'2022-05-31 17:12:21','2022-05-31 17:12:21'),(146,140,NULL,0,1.0000,0.0000,'2022-05-31 17:12:38','2022-05-31 17:12:38'),(147,141,NULL,0,1.0000,0.0000,'2022-05-31 17:35:03','2022-05-31 17:35:03'),(148,142,NULL,0,1.0000,0.0000,'2022-05-31 17:35:03','2022-05-31 17:35:03'),(149,143,NULL,0,1.0000,0.0000,'2022-05-31 17:35:03','2022-05-31 17:35:03'),(150,144,NULL,0,1.0000,0.0000,'2022-05-31 19:04:21','2022-05-31 19:04:21'),(151,145,NULL,0,1.0000,0.0000,'2022-05-31 19:07:09','2022-05-31 19:07:09'),(152,145,NULL,0,1.0000,0.0000,'2022-05-31 19:19:56','2022-05-31 19:19:56'),(153,146,NULL,0,1.0000,0.0000,'2022-05-31 20:02:57','2022-05-31 20:02:57'),(154,147,NULL,0,1.0000,0.0000,'2022-05-31 20:02:57','2022-05-31 20:02:57'),(155,148,NULL,0,1.0000,0.0000,'2022-05-31 20:02:57','2022-05-31 20:02:57'),(156,149,NULL,0,1.0000,0.0000,'2022-05-31 20:02:57','2022-05-31 20:02:57'),(157,150,NULL,0,1.0000,0.0000,'2022-05-31 20:04:25','2022-05-31 20:04:25'),(158,151,NULL,0,1.0000,0.0000,'2022-05-31 20:04:25','2022-05-31 20:04:25'),(159,150,NULL,0,1.0000,0.0000,'2022-05-31 20:05:07','2022-05-31 20:05:07'),(160,151,NULL,0,1.0000,0.0000,'2022-05-31 20:05:07','2022-05-31 20:05:07'),(161,146,NULL,0,1.0000,0.0000,'2022-05-31 20:05:54','2022-05-31 20:05:54'),(162,147,NULL,0,1.0000,0.0000,'2022-05-31 20:05:54','2022-05-31 20:05:54'),(163,148,NULL,0,1.0000,0.0000,'2022-05-31 20:05:54','2022-05-31 20:05:54'),(164,149,NULL,0,1.0000,0.0000,'2022-05-31 20:05:54','2022-05-31 20:05:54'),(165,152,NULL,0,1.0000,0.0000,'2022-05-31 20:33:27','2022-05-31 20:33:27'),(166,153,NULL,0,1.0000,0.0000,'2022-05-31 20:33:27','2022-05-31 20:33:27'),(167,152,NULL,0,1.0000,0.0000,'2022-05-31 20:35:03','2022-05-31 20:35:03'),(168,153,NULL,0,1.0000,0.0000,'2022-05-31 20:35:03','2022-05-31 20:35:03'),(169,154,NULL,0,2.0000,0.0000,'2022-05-31 21:18:27','2022-05-31 21:18:27'),(170,154,NULL,0,2.0000,0.0000,'2022-05-31 21:19:16','2022-05-31 21:19:16'),(171,155,NULL,0,2.0000,0.0000,'2022-05-31 21:22:18','2022-05-31 21:22:18'),(172,156,NULL,0,1.0000,0.0000,'2022-05-31 21:22:18','2022-05-31 21:22:18'),(173,157,NULL,0,1.0000,0.0000,'2022-05-31 22:25:57','2022-05-31 22:25:57'),(174,158,NULL,0,1.0000,0.0000,'2022-06-01 13:25:13','2022-06-01 13:25:13'),(175,159,NULL,0,1.0000,0.0000,'2022-06-01 13:25:13','2022-06-01 13:25:13'),(176,160,NULL,0,1.0000,0.0000,'2022-06-01 13:25:13','2022-06-01 13:25:13'),(177,161,NULL,0,2.0000,0.0000,'2022-06-01 14:00:25','2022-06-01 14:00:25'),(178,162,NULL,0,1.0000,0.0000,'2022-06-01 14:00:25','2022-06-01 14:00:25'),(179,163,NULL,0,1.0000,0.0000,'2022-06-01 14:11:34','2022-06-01 14:11:34'),(180,164,NULL,0,1.0000,0.0000,'2022-06-01 16:02:37','2022-06-01 16:02:37'),(181,165,NULL,0,1.0000,0.0000,'2022-06-01 16:58:33','2022-06-01 16:58:33'),(182,166,NULL,0,1.0000,0.0000,'2022-06-01 17:08:39','2022-06-01 17:08:39'),(183,167,NULL,0,1.0000,0.0000,'2022-06-01 17:25:24','2022-06-01 17:25:24'),(184,168,NULL,0,1.0000,0.0000,'2022-06-01 18:56:22','2022-06-01 18:56:22'),(185,169,NULL,0,1.0000,0.0000,'2022-06-01 18:56:22','2022-06-01 18:56:22'),(186,170,NULL,0,1.0000,0.0000,'2022-06-01 18:56:22','2022-06-01 18:56:22'),(187,171,NULL,0,2.0000,0.0000,'2022-06-01 18:56:22','2022-06-01 18:56:22'),(188,172,NULL,0,1.0000,0.0000,'2022-06-01 19:31:46','2022-06-01 19:31:46'),(189,173,NULL,0,1.0000,0.0000,'2022-06-01 19:31:46','2022-06-01 19:31:46'),(190,174,NULL,0,1.0000,0.0000,'2022-06-01 19:31:46','2022-06-01 19:31:46'),(191,175,NULL,0,1.0000,0.0000,'2022-06-01 19:50:49','2022-06-01 19:50:49'),(192,176,NULL,0,1.0000,0.0000,'2022-06-01 19:50:49','2022-06-01 19:50:49'),(193,177,NULL,0,1.0000,0.0000,'2022-06-01 19:50:49','2022-06-01 19:50:49'),(194,178,NULL,0,3.0000,0.0000,'2022-06-01 21:14:37','2022-06-01 21:14:37'),(195,179,NULL,0,2.0000,0.0000,'2022-06-01 21:34:00','2022-06-01 21:34:00'),(196,180,NULL,0,1.0000,0.0000,'2022-06-01 21:34:00','2022-06-01 21:34:00'),(197,181,NULL,0,2.0000,0.0000,'2022-06-01 21:36:57','2022-06-01 21:36:57'),(198,182,NULL,0,1.0000,0.0000,'2022-06-01 23:17:47','2022-06-01 23:17:47'),(199,183,NULL,0,1.0000,0.0000,'2022-06-02 13:11:56','2022-06-02 13:11:56'),(200,184,NULL,0,1.0000,0.0000,'2022-06-02 13:11:56','2022-06-02 13:11:56'),(201,185,NULL,0,1.0000,0.0000,'2022-06-02 13:42:33','2022-06-02 13:42:33'),(202,186,NULL,0,1.0000,0.0000,'2022-06-02 13:42:33','2022-06-02 13:42:33'),(203,187,NULL,0,2.0000,0.0000,'2022-06-02 13:42:33','2022-06-02 13:42:33'),(204,188,NULL,0,1.0000,0.0000,'2022-06-02 15:34:44','2022-06-02 15:34:44'),(205,189,NULL,0,1.0000,0.0000,'2022-06-02 15:34:44','2022-06-02 15:34:44'),(206,190,NULL,0,1.0000,0.0000,'2022-06-02 15:34:44','2022-06-02 15:34:44'),(207,191,NULL,0,1.0000,0.0000,'2022-06-02 15:34:44','2022-06-02 15:34:44'),(208,192,NULL,0,1.0000,0.0000,'2022-06-02 16:10:26','2022-06-02 16:10:26'),(209,193,NULL,0,1.0000,0.0000,'2022-06-02 17:57:27','2022-06-02 17:57:27'),(210,194,NULL,0,2.0000,0.0000,'2022-06-02 21:02:38','2022-06-02 21:02:38'),(211,195,NULL,0,2.0000,0.0000,'2022-06-02 21:02:38','2022-06-02 21:02:38'),(212,196,NULL,0,1.0000,0.0000,'2022-06-02 21:02:38','2022-06-02 21:02:38'),(213,197,NULL,0,1.0000,0.0000,'2022-06-02 21:02:38','2022-06-02 21:02:38'),(214,198,NULL,0,1.0000,0.0000,'2022-06-02 21:03:34','2022-06-02 21:03:34'),(215,199,NULL,0,1.0000,0.0000,'2022-06-02 22:02:42','2022-06-02 22:02:42'),(216,200,NULL,0,1.0000,0.0000,'2022-06-02 22:02:42','2022-06-02 22:02:42'),(217,201,NULL,0,1.0000,0.0000,'2022-06-02 22:02:42','2022-06-02 22:02:42'),(220,199,NULL,0,1.0000,0.0000,'2022-06-02 22:06:40','2022-06-02 22:06:40'),(221,200,NULL,0,1.0000,0.0000,'2022-06-02 22:06:40','2022-06-02 22:06:40'),(222,201,NULL,0,2.0000,0.0000,'2022-06-02 22:06:40','2022-06-02 22:06:40'),(223,204,NULL,0,1.0000,0.0000,'2022-06-02 22:06:40','2022-06-02 22:06:40'),(224,205,NULL,0,1.0000,0.0000,'2022-06-02 22:06:40','2022-06-02 22:06:40'),(225,206,NULL,0,1.0000,0.0000,'2022-06-02 22:06:40','2022-06-02 22:06:40'),(226,207,NULL,0,1.0000,0.0000,'2022-06-03 13:00:20','2022-06-03 13:00:20'),(227,208,NULL,0,1.0000,0.0000,'2022-06-03 13:00:20','2022-06-03 13:00:20'),(228,209,NULL,0,1.0000,0.0000,'2022-06-03 13:10:11','2022-06-03 13:10:11'),(229,210,NULL,0,1.0000,0.0000,'2022-06-03 13:10:11','2022-06-03 13:10:11'),(230,211,NULL,0,1.0000,0.0000,'2022-06-03 13:10:11','2022-06-03 13:10:11'),(231,212,NULL,0,1.0000,0.0000,'2022-06-03 13:23:50','2022-06-03 13:23:50'),(232,213,NULL,0,1.0000,0.0000,'2022-06-03 13:58:35','2022-06-03 13:58:35'),(233,214,NULL,0,1.0000,0.0000,'2022-06-03 16:55:09','2022-06-03 16:55:09'),(234,215,NULL,0,1.0000,0.0000,'2022-06-03 16:55:09','2022-06-03 16:55:09'),(235,216,NULL,0,1.0000,0.0000,'2022-06-03 16:55:09','2022-06-03 16:55:09'),(236,217,NULL,0,2.0000,0.0000,'2022-06-03 16:55:09','2022-06-03 16:55:09'),(237,214,NULL,0,1.0000,0.0000,'2022-06-03 17:09:39','2022-06-03 17:09:39'),(238,215,NULL,0,1.0000,0.0000,'2022-06-03 17:09:39','2022-06-03 17:09:39'),(239,216,NULL,0,1.0000,0.0000,'2022-06-03 17:09:39','2022-06-03 17:09:39'),(240,217,NULL,0,2.0000,0.0000,'2022-06-03 17:09:39','2022-06-03 17:09:39'),(241,218,NULL,0,1.0000,0.0000,'2022-06-03 17:10:26','2022-06-03 17:10:26'),(242,218,NULL,0,1.0000,0.0000,'2022-06-03 17:10:58','2022-06-03 17:10:58'),(243,219,NULL,0,1.0000,0.0000,'2022-06-03 17:15:42','2022-06-03 17:15:42'),(244,220,NULL,0,1.0000,0.0000,'2022-06-03 17:49:30','2022-06-03 17:49:30'),(245,221,NULL,0,1.0000,0.0000,'2022-06-03 18:34:11','2022-06-03 18:34:11'),(246,222,NULL,0,1.0000,0.0000,'2022-06-03 18:34:11','2022-06-03 18:34:11'),(247,224,NULL,0,1.0000,0.0000,'2022-06-03 19:11:17','2022-06-03 19:11:17'),(248,225,NULL,0,1.0000,0.0000,'2022-06-03 20:19:15','2022-06-03 20:19:15'),(249,226,NULL,0,1.0000,0.0000,'2022-06-03 20:19:15','2022-06-03 20:19:15'),(250,227,NULL,0,1.0000,0.0000,'2022-06-03 20:19:15','2022-06-03 20:19:15'),(251,228,NULL,0,1.0000,0.0000,'2022-06-03 20:19:15','2022-06-03 20:19:15'),(252,229,NULL,0,1.0000,0.0000,'2022-06-03 22:32:56','2022-06-03 22:32:56'),(253,230,NULL,0,1.0000,0.0000,'2022-06-04 13:32:27','2022-06-04 13:32:27'),(254,231,NULL,0,1.0000,0.0000,'2022-06-04 13:32:27','2022-06-04 13:32:27'),(255,232,NULL,0,1.0000,0.0000,'2022-06-04 13:40:54','2022-06-04 13:40:54'),(256,233,NULL,0,1.0000,0.0000,'2022-06-04 14:00:59','2022-06-04 14:00:59'),(257,234,NULL,0,1.0000,0.0000,'2022-06-04 16:01:49','2022-06-04 16:01:49'),(258,235,NULL,0,1.0000,0.0000,'2022-06-04 18:18:17','2022-06-04 18:18:17'),(259,236,NULL,0,1.0000,0.0000,'2022-06-04 18:18:17','2022-06-04 18:18:17'),(260,237,NULL,0,1.0000,0.0000,'2022-06-04 18:18:17','2022-06-04 18:18:17'),(261,238,NULL,0,1.0000,0.0000,'2022-06-04 19:02:04','2022-06-04 19:02:04'),(262,239,NULL,0,1.0000,0.0000,'2022-06-05 13:15:18','2022-06-05 13:15:18'),(263,240,NULL,0,1.0000,0.0000,'2022-06-05 13:39:25','2022-06-05 13:39:25'),(264,241,NULL,0,1.0000,0.0000,'2022-06-06 13:06:52','2022-06-06 13:06:52'),(265,242,NULL,0,1.0000,0.0000,'2022-06-06 13:29:23','2022-06-06 13:29:23'),(266,243,NULL,0,1.0000,0.0000,'2022-06-06 13:48:27','2022-06-06 13:48:27'),(267,244,NULL,0,1.0000,0.0000,'2022-06-06 14:14:49','2022-06-06 14:14:49'),(268,245,NULL,0,1.0000,0.0000,'2022-06-06 14:14:49','2022-06-06 14:14:49'),(269,246,NULL,0,1.0000,0.0000,'2022-06-06 14:14:49','2022-06-06 14:14:49'),(270,247,NULL,0,1.0000,0.0000,'2022-06-06 15:15:22','2022-06-06 15:15:22'),(271,248,NULL,0,1.0000,0.0000,'2022-06-06 15:35:13','2022-06-06 15:35:13'),(272,249,NULL,0,2.0000,0.0000,'2022-06-06 16:57:29','2022-06-06 16:57:29'),(273,250,NULL,0,6.0000,0.0000,'2022-06-06 20:37:58','2022-06-06 20:37:58'),(274,251,NULL,0,5.0000,0.0000,'2022-06-06 20:37:58','2022-06-06 20:37:58'),(275,252,NULL,0,1.0000,0.0000,'2022-06-07 12:56:15','2022-06-07 12:56:15'),(276,253,NULL,0,1.0000,0.0000,'2022-06-07 14:40:55','2022-06-07 14:40:55'),(277,254,NULL,0,1.0000,0.0000,'2022-06-07 14:54:32','2022-06-07 14:54:32'),(278,253,NULL,0,1.0000,0.0000,'2022-06-07 16:27:43','2022-06-07 16:27:43'),(279,255,NULL,0,2.0000,0.0000,'2022-06-07 20:36:40','2022-06-07 20:36:40'),(280,256,NULL,0,2.0000,0.0000,'2022-06-07 20:36:40','2022-06-07 20:36:40'),(281,257,NULL,0,1.0000,0.0000,'2022-06-07 20:36:40','2022-06-07 20:36:40'),(282,258,NULL,0,1.0000,0.0000,'2022-06-07 20:36:40','2022-06-07 20:36:40'),(283,259,NULL,0,1.0000,0.0000,'2022-06-07 22:49:45','2022-06-07 22:49:45'),(284,260,NULL,0,1.0000,0.0000,'2022-06-07 22:49:45','2022-06-07 22:49:45'),(285,261,NULL,0,1.0000,0.0000,'2022-06-08 12:22:31','2022-06-08 12:22:31'),(286,262,NULL,0,2.0000,0.0000,'2022-06-08 12:22:31','2022-06-08 12:22:31'),(287,263,NULL,0,3.0000,0.0000,'2022-06-08 12:56:29','2022-06-08 12:56:29'),(288,264,NULL,0,1.0000,0.0000,'2022-06-08 12:56:29','2022-06-08 12:56:29'),(289,265,NULL,0,1.0000,0.0000,'2022-06-08 12:59:00','2022-06-08 12:59:00'),(290,261,NULL,0,1.0000,0.0000,'2022-06-08 12:59:27','2022-06-08 12:59:27'),(291,262,NULL,0,2.0000,0.0000,'2022-06-08 12:59:27','2022-06-08 12:59:27'),(292,266,NULL,0,1.0000,0.0000,'2022-06-08 13:57:50','2022-06-08 13:57:50'),(293,267,NULL,0,1.0000,0.0000,'2022-06-08 13:57:50','2022-06-08 13:57:50'),(294,268,NULL,0,1.0000,0.0000,'2022-06-08 14:04:06','2022-06-08 14:04:06'),(295,269,NULL,0,2.0000,0.0000,'2022-06-08 14:04:06','2022-06-08 14:04:06'),(296,270,NULL,0,1.0000,0.0000,'2022-06-08 14:04:25','2022-06-08 14:04:25'),(297,271,NULL,0,1.0000,0.0000,'2022-06-08 14:41:48','2022-06-08 14:41:48'),(298,272,NULL,0,1.0000,0.0000,'2022-06-08 15:19:56','2022-06-08 15:19:56'),(299,273,NULL,0,1.0000,0.0000,'2022-06-08 18:55:30','2022-06-08 18:55:30'),(300,274,NULL,0,1.0000,0.0000,'2022-06-08 19:09:55','2022-06-08 19:09:55'),(301,275,NULL,0,1.0000,0.0000,'2022-06-08 19:09:55','2022-06-08 19:09:55'),(302,276,NULL,0,1.0000,0.0000,'2022-06-08 19:09:55','2022-06-08 19:09:55'),(303,277,NULL,0,1.0000,0.0000,'2022-06-08 19:09:55','2022-06-08 19:09:55'),(304,278,NULL,0,1.0000,0.0000,'2022-06-08 19:09:55','2022-06-08 19:09:55'),(305,279,NULL,0,1.0000,0.0000,'2022-06-08 19:20:59','2022-06-08 19:20:59'),(306,280,NULL,0,1.0000,0.0000,'2022-06-08 19:20:59','2022-06-08 19:20:59'),(307,281,NULL,0,1.0000,0.0000,'2022-06-08 19:53:38','2022-06-08 19:53:38'),(308,282,NULL,0,1.0000,0.0000,'2022-06-08 19:53:38','2022-06-08 19:53:38'),(309,283,NULL,0,1.0000,0.0000,'2022-06-08 19:53:38','2022-06-08 19:53:38'),(310,284,NULL,0,2.0000,0.0000,'2022-06-09 17:04:05','2022-06-09 17:04:05'),(311,285,NULL,0,1.0000,0.0000,'2022-06-09 17:04:05','2022-06-09 17:04:05'),(312,286,NULL,0,1.0000,0.0000,'2022-06-09 17:04:05','2022-06-09 17:04:05'),(313,287,NULL,0,1.0000,0.0000,'2022-06-09 17:04:05','2022-06-09 17:04:05'),(314,288,NULL,0,1.0000,0.0000,'2022-06-09 17:04:05','2022-06-09 17:04:05'),(315,289,NULL,0,1.0000,0.0000,'2022-06-09 17:04:05','2022-06-09 17:04:05'),(316,290,NULL,0,12.0000,0.0000,'2022-06-09 20:47:58','2022-06-09 20:47:58'),(317,291,NULL,0,4.0000,0.0000,'2022-06-09 20:47:58','2022-06-09 20:47:58'),(318,292,NULL,0,7.0000,0.0000,'2022-06-09 21:54:21','2022-06-09 21:54:21'),(319,293,NULL,0,4.0000,0.0000,'2022-06-09 21:54:21','2022-06-09 21:54:21'),(320,294,NULL,0,6.0000,0.0000,'2022-06-09 21:54:21','2022-06-09 21:54:21'),(321,295,NULL,0,4.0000,0.0000,'2022-06-09 21:54:21','2022-06-09 21:54:21'),(322,296,NULL,0,4.0000,0.0000,'2022-06-09 21:54:21','2022-06-09 21:54:21'),(323,297,NULL,0,6.0000,0.0000,'2022-06-09 21:54:21','2022-06-09 21:54:21'),(324,298,NULL,0,1.0000,0.0000,'2022-06-09 21:54:48','2022-06-09 21:54:48'),(325,299,NULL,0,1.0000,0.0000,'2022-06-09 21:54:48','2022-06-09 21:54:48'),(326,300,NULL,0,1.0000,0.0000,'2022-06-10 13:29:21','2022-06-10 13:29:21'),(327,301,NULL,0,1.0000,0.0000,'2022-06-10 13:33:06','2022-06-10 13:33:06'),(328,302,NULL,0,1.0000,0.0000,'2022-06-10 13:33:06','2022-06-10 13:33:06'),(329,303,NULL,0,1.0000,0.0000,'2022-06-10 13:34:17','2022-06-10 13:34:17'),(330,304,NULL,0,1.0000,0.0000,'2022-06-10 13:34:17','2022-06-10 13:34:17'),(331,305,NULL,0,1.0000,0.0000,'2022-06-10 13:38:29','2022-06-10 13:38:29'),(332,306,NULL,0,1.0000,0.0000,'2022-06-10 13:38:29','2022-06-10 13:38:29'),(333,307,NULL,0,1.0000,0.0000,'2022-06-10 16:52:36','2022-06-10 16:52:36'),(334,308,NULL,0,1.0000,0.0000,'2022-06-10 16:52:36','2022-06-10 16:52:36'),(335,309,NULL,0,1.0000,0.0000,'2022-06-10 16:52:36','2022-06-10 16:52:36'),(336,310,NULL,0,2.0000,0.0000,'2022-06-10 16:54:06','2022-06-10 16:54:06'),(337,307,NULL,0,1.0000,0.0000,'2022-06-10 18:00:01','2022-06-10 18:00:01'),(338,308,NULL,0,1.0000,0.0000,'2022-06-10 18:00:01','2022-06-10 18:00:01'),(339,309,NULL,0,1.0000,0.0000,'2022-06-10 18:00:01','2022-06-10 18:00:01'),(340,311,NULL,0,1.0000,0.0000,'2022-06-10 19:22:56','2022-06-10 19:22:56'),(341,312,NULL,0,1.0000,0.0000,'2022-06-10 21:16:17','2022-06-10 21:16:17'),(342,313,NULL,0,1.0000,0.0000,'2022-06-10 21:16:17','2022-06-10 21:16:17'),(343,314,NULL,0,1.0000,0.0000,'2022-06-10 22:03:10','2022-06-10 22:03:10'),(344,315,NULL,0,1.0000,0.0000,'2022-06-11 12:55:23','2022-06-11 12:55:23'),(345,316,NULL,0,1.0000,0.0000,'2022-06-11 14:08:09','2022-06-11 14:08:09'),(346,317,NULL,0,1.0000,0.0000,'2022-06-11 14:48:42','2022-06-11 14:48:42'),(347,318,NULL,0,1.0000,0.0000,'2022-06-11 14:48:42','2022-06-11 14:48:42'),(348,319,NULL,0,1.0000,0.0000,'2022-06-11 14:58:31','2022-06-11 14:58:31'),(349,320,NULL,0,2.0000,0.0000,'2022-06-11 14:58:31','2022-06-11 14:58:31'),(350,321,NULL,0,1.0000,0.0000,'2022-06-11 21:22:44','2022-06-11 21:22:44'),(351,322,NULL,0,1.0000,0.0000,'2022-06-11 22:57:07','2022-06-11 22:57:07'),(352,323,NULL,0,2.0000,0.0000,'2022-06-11 22:57:07','2022-06-11 22:57:07'),(353,324,NULL,0,1.0000,0.0000,'2022-06-13 12:24:15','2022-06-13 12:24:15'),(354,325,NULL,0,2.0000,0.0000,'2022-06-13 13:17:40','2022-06-13 13:17:40'),(355,326,NULL,0,1.0000,0.0000,'2022-06-13 13:48:23','2022-06-13 13:48:23'),(356,326,NULL,0,1.0000,0.0000,'2022-06-13 15:40:13','2022-06-13 15:40:13'),(357,324,NULL,0,1.0000,0.0000,'2022-06-13 15:40:37','2022-06-13 15:40:37'),(358,327,NULL,0,2.0000,0.0000,'2022-06-13 19:29:46','2022-06-13 19:29:46'),(359,328,NULL,0,1.0000,0.0000,'2022-06-13 19:35:31','2022-06-13 19:35:31'),(360,329,NULL,0,1.0000,0.0000,'2022-06-13 22:50:04','2022-06-13 22:50:04'),(361,330,NULL,0,3.0000,0.0000,'2022-06-14 13:52:38','2022-06-14 13:52:38'),(362,331,NULL,0,2.0000,0.0000,'2022-06-14 13:52:38','2022-06-14 13:52:38'),(363,332,NULL,0,1.0000,0.0000,'2022-06-14 13:54:47','2022-06-14 13:54:47'),(364,330,NULL,0,3.0000,0.0000,'2022-06-14 13:56:10','2022-06-14 13:56:10'),(365,331,NULL,0,2.0000,0.0000,'2022-06-14 13:56:10','2022-06-14 13:56:10'),(366,333,NULL,0,1.0000,0.0000,'2022-06-14 13:57:07','2022-06-14 13:57:07'),(367,334,NULL,0,1.0000,0.0000,'2022-06-14 13:57:07','2022-06-14 13:57:07'),(368,333,NULL,0,1.0000,0.0000,'2022-06-14 14:01:13','2022-06-14 14:01:13'),(369,334,NULL,0,1.0000,0.0000,'2022-06-14 14:01:13','2022-06-14 14:01:13'),(370,332,NULL,0,1.0000,0.0000,'2022-06-14 14:25:05','2022-06-14 14:25:05'),(371,330,NULL,0,3.0000,0.0000,'2022-06-14 14:25:31','2022-06-14 14:25:31'),(372,330,NULL,0,3.0000,0.0000,'2022-06-14 14:25:31','2022-06-14 14:25:31'),(373,331,NULL,0,2.0000,0.0000,'2022-06-14 14:25:31','2022-06-14 14:25:31'),(374,331,NULL,0,2.0000,0.0000,'2022-06-14 14:25:31','2022-06-14 14:25:31'),(375,333,NULL,0,1.0000,0.0000,'2022-06-14 14:25:56','2022-06-14 14:25:56'),(376,333,NULL,0,1.0000,0.0000,'2022-06-14 14:25:56','2022-06-14 14:25:56'),(377,334,NULL,0,1.0000,0.0000,'2022-06-14 14:25:56','2022-06-14 14:25:56'),(378,334,NULL,0,1.0000,0.0000,'2022-06-14 14:25:56','2022-06-14 14:25:56'),(379,335,NULL,0,1.0000,0.0000,'2022-06-14 18:56:47','2022-06-14 18:56:47'),(380,336,NULL,0,1.0000,0.0000,'2022-06-14 19:33:27','2022-06-14 19:33:27'),(381,337,NULL,0,1.0000,0.0000,'2022-06-14 19:33:27','2022-06-14 19:33:27'),(382,338,NULL,0,1.0000,0.0000,'2022-06-14 19:33:27','2022-06-14 19:33:27'),(383,339,NULL,0,1.0000,0.0000,'2022-06-14 19:33:27','2022-06-14 19:33:27'),(384,340,NULL,0,1.0000,0.0000,'2022-06-14 19:33:27','2022-06-14 19:33:27'),(385,341,NULL,0,1.0000,0.0000,'2022-06-14 19:56:20','2022-06-14 19:56:20'),(386,342,NULL,0,1.0000,0.0000,'2022-06-14 19:56:20','2022-06-14 19:56:20'),(387,343,NULL,0,1.0000,0.0000,'2022-06-14 19:56:20','2022-06-14 19:56:20'),(388,344,NULL,0,1.0000,0.0000,'2022-06-14 22:16:18','2022-06-14 22:16:18'),(389,345,NULL,0,1.0000,0.0000,'2022-06-15 13:50:20','2022-06-15 13:50:20'),(390,346,NULL,0,1.0000,0.0000,'2022-06-15 14:17:43','2022-06-15 14:17:43'),(391,347,NULL,0,2.0000,0.0000,'2022-06-15 20:40:08','2022-06-15 20:40:08'),(392,348,NULL,0,4.0000,0.0000,'2022-06-15 20:40:08','2022-06-15 20:40:08'),(393,349,NULL,0,1.0000,0.0000,'2022-06-15 20:40:08','2022-06-15 20:40:08'),(394,350,NULL,0,1.0000,0.0000,'2022-06-15 22:26:02','2022-06-15 22:26:02'),(395,351,NULL,0,1.0000,0.0000,'2022-06-15 22:26:02','2022-06-15 22:26:02'),(396,352,NULL,0,1.0000,0.0000,'2022-06-15 22:26:02','2022-06-15 22:26:02'),(397,353,NULL,0,1.0000,0.0000,'2022-06-15 22:26:02','2022-06-15 22:26:02'),(398,354,NULL,0,1.0000,0.0000,'2022-06-15 22:26:02','2022-06-15 22:26:02'),(399,355,NULL,0,1.0000,0.0000,'2022-06-15 22:37:38','2022-06-15 22:37:38'),(400,356,NULL,0,1.0000,0.0000,'2022-06-15 22:48:20','2022-06-15 22:48:20'),(401,357,NULL,0,4.0000,0.0000,'2022-06-17 12:33:11','2022-06-17 12:33:11'),(402,358,NULL,0,4.0000,0.0000,'2022-06-17 12:33:11','2022-06-17 12:33:11'),(403,359,NULL,0,1.0000,0.0000,'2022-06-17 13:07:33','2022-06-17 13:07:33'),(404,360,NULL,0,2.0000,0.0000,'2022-06-17 14:08:49','2022-06-17 14:08:49'),(405,361,NULL,0,1.0000,0.0000,'2022-06-17 14:08:49','2022-06-17 14:08:49'),(406,362,NULL,0,1.0000,0.0000,'2022-06-17 14:08:49','2022-06-17 14:08:49'),(407,363,NULL,0,1.0000,0.0000,'2022-06-17 16:24:10','2022-06-17 16:24:10'),(408,364,NULL,0,1.0000,0.0000,'2022-06-17 16:26:05','2022-06-17 16:26:05'),(409,365,NULL,0,1.0000,0.0000,'2022-06-17 16:43:59','2022-06-17 16:43:59'),(410,366,NULL,0,2.0000,0.0000,'2022-06-17 18:54:49','2022-06-17 18:54:49'),(411,367,NULL,0,1.0000,0.0000,'2022-06-17 18:54:49','2022-06-17 18:54:49'),(412,368,NULL,0,1.0000,0.0000,'2022-06-17 20:01:56','2022-06-17 20:01:56'),(413,369,NULL,0,1.0000,0.0000,'2022-06-17 20:42:43','2022-06-17 20:42:43'),(414,370,NULL,0,1.0000,0.0000,'2022-06-17 21:58:02','2022-06-17 21:58:02'),(415,371,NULL,0,1.0000,0.0000,'2022-06-18 13:33:10','2022-06-18 13:33:10'),(416,372,NULL,0,1.0000,0.0000,'2022-06-18 14:14:54','2022-06-18 14:14:54'),(417,373,NULL,0,1.0000,0.0000,'2022-06-18 14:14:54','2022-06-18 14:14:54'),(418,374,NULL,0,1.0000,0.0000,'2022-06-18 14:57:38','2022-06-18 14:57:38'),(419,375,NULL,0,1.0000,0.0000,'2022-06-18 14:57:38','2022-06-18 14:57:38'),(420,376,NULL,0,1.0000,0.0000,'2022-06-18 14:57:38','2022-06-18 14:57:38'),(421,377,NULL,0,1.0000,0.0000,'2022-06-18 16:45:31','2022-06-18 16:45:31'),(422,378,NULL,0,1.0000,0.0000,'2022-06-18 16:45:31','2022-06-18 16:45:31'),(423,379,NULL,0,1.0000,0.0000,'2022-06-18 18:14:07','2022-06-18 18:14:07'),(424,380,NULL,0,2.0000,0.0000,'2022-06-18 19:25:52','2022-06-18 19:25:52'),(425,381,NULL,0,1.0000,0.0000,'2022-06-18 19:25:52','2022-06-18 19:25:52'),(426,382,NULL,0,1.0000,0.0000,'2022-06-18 19:25:52','2022-06-18 19:25:52'),(427,383,NULL,0,2.0000,0.0000,'2022-06-18 19:28:39','2022-06-18 19:28:39'),(428,384,NULL,0,1.0000,0.0000,'2022-06-18 19:28:39','2022-06-18 19:28:39'),(429,385,NULL,0,1.0000,0.0000,'2022-06-18 21:32:46','2022-06-18 21:32:46'),(430,386,NULL,0,1.0000,0.0000,'2022-06-18 21:32:46','2022-06-18 21:32:46'),(431,387,NULL,0,2.0000,0.0000,'2022-06-18 23:06:24','2022-06-18 23:06:24'),(432,388,NULL,0,1.0000,0.0000,'2022-06-18 23:06:24','2022-06-18 23:06:24'),(433,389,NULL,0,1.0000,0.0000,'2022-06-18 23:06:24','2022-06-18 23:06:24'),(434,390,NULL,0,1.0000,0.0000,'2022-06-18 23:06:24','2022-06-18 23:06:24'),(435,391,NULL,0,2.0000,0.0000,'2022-06-18 23:06:24','2022-06-18 23:06:24'),(436,392,NULL,0,1.0000,0.0000,'2022-06-18 23:06:24','2022-06-18 23:06:24'),(437,393,NULL,0,3.0000,0.0000,'2022-06-20 13:16:38','2022-06-20 13:16:38'),(438,394,NULL,0,1.0000,0.0000,'2022-06-20 13:16:38','2022-06-20 13:16:38'),(439,395,NULL,0,1.0000,0.0000,'2022-06-20 13:16:38','2022-06-20 13:16:38'),(440,396,NULL,0,1.0000,0.0000,'2022-06-20 13:18:45','2022-06-20 13:18:45'),(441,397,NULL,0,2.0000,0.0000,'2022-06-20 13:34:37','2022-06-20 13:34:37'),(442,398,NULL,0,1.0000,0.0000,'2022-06-20 13:35:38','2022-06-20 13:35:38'),(443,399,NULL,0,4.0000,0.0000,'2022-06-20 18:16:42','2022-06-20 18:16:42'),(444,400,NULL,0,3.0000,0.0000,'2022-06-20 19:57:16','2022-06-20 19:57:16'),(445,401,NULL,0,1.0000,0.0000,'2022-06-20 19:57:16','2022-06-20 19:57:16'),(446,402,NULL,0,1.0000,0.0000,'2022-06-20 19:57:16','2022-06-20 19:57:16'),(447,403,NULL,0,1.0000,0.0000,'2022-06-20 19:57:16','2022-06-20 19:57:16'),(448,404,NULL,0,1.0000,0.0000,'2022-06-20 19:57:16','2022-06-20 19:57:16'),(449,405,NULL,0,1.0000,0.0000,'2022-06-20 21:40:58','2022-06-20 21:40:58'),(450,406,NULL,0,1.0000,0.0000,'2022-06-20 21:40:58','2022-06-20 21:40:58'),(451,407,NULL,0,2.0000,0.0000,'2022-06-20 21:57:29','2022-06-20 21:57:29'),(452,408,NULL,0,1.0000,0.0000,'2022-06-20 21:57:29','2022-06-20 21:57:29'),(453,409,NULL,0,1.0000,0.0000,'2022-06-20 21:57:29','2022-06-20 21:57:29'),(454,410,NULL,0,1.0000,0.0000,'2022-06-20 22:08:17','2022-06-20 22:08:17'),(455,411,NULL,0,1.0000,0.0000,'2022-06-20 22:35:03','2022-06-20 22:35:03'),(456,412,NULL,0,1.0000,0.0000,'2022-06-20 22:35:03','2022-06-20 22:35:03'),(457,413,NULL,0,1.0000,0.0000,'2022-06-20 22:51:32','2022-06-20 22:51:32'),(458,414,NULL,0,1.0000,0.0000,'2022-06-21 12:38:37','2022-06-21 12:38:37'),(459,415,NULL,0,1.0000,0.0000,'2022-06-21 13:17:48','2022-06-21 13:17:48'),(460,416,NULL,0,1.0000,0.0000,'2022-06-21 13:17:48','2022-06-21 13:17:48'),(461,417,NULL,0,1.0000,0.0000,'2022-06-21 13:25:40','2022-06-21 13:25:40'),(462,418,NULL,0,1.0000,0.0000,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(463,419,NULL,0,1.0000,0.0000,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(464,420,NULL,0,3.0000,0.0000,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(465,421,NULL,0,2.0000,0.0000,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(466,422,NULL,0,3.0000,0.0000,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(467,423,NULL,0,1.0000,0.0000,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(468,424,NULL,0,1.0000,0.0000,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(469,425,NULL,0,1.0000,0.0000,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(470,426,NULL,0,1.0000,0.0000,'2022-06-21 14:30:52','2022-06-21 14:30:52'),(471,427,NULL,0,1.0000,0.0000,'2022-06-21 14:30:53','2022-06-21 14:30:53'),(472,428,NULL,0,1.0000,0.0000,'2022-06-21 15:21:24','2022-06-21 15:21:24'),(473,429,NULL,0,1.0000,0.0000,'2022-06-21 15:47:43','2022-06-21 15:47:43'),(474,430,NULL,0,1.0000,0.0000,'2022-06-21 15:47:43','2022-06-21 15:47:43'),(475,431,NULL,0,1.0000,0.0000,'2022-06-21 15:54:34','2022-06-21 15:54:34'),(476,432,NULL,0,1.0000,0.0000,'2022-06-21 15:54:34','2022-06-21 15:54:34'),(477,433,NULL,0,1.0000,0.0000,'2022-06-21 15:55:32','2022-06-21 15:55:32'),(478,434,NULL,0,1.0000,0.0000,'2022-06-21 15:55:32','2022-06-21 15:55:32'),(479,435,NULL,0,9.0000,0.0000,'2022-06-21 15:59:03','2022-06-21 15:59:03'),(480,436,NULL,0,9.0000,0.0000,'2022-06-21 15:59:03','2022-06-21 15:59:03'),(481,437,NULL,0,9.0000,0.0000,'2022-06-21 15:59:03','2022-06-21 15:59:03'),(482,438,NULL,0,9.0000,0.0000,'2022-06-21 15:59:03','2022-06-21 15:59:03'),(483,439,NULL,0,1.0000,0.0000,'2022-06-21 16:07:40','2022-06-21 16:07:40'),(484,440,NULL,0,1.0000,0.0000,'2022-06-21 16:18:30','2022-06-21 16:18:30'),(485,441,NULL,0,2.0000,0.0000,'2022-06-21 16:40:33','2022-06-21 16:40:33'),(486,442,NULL,0,3.0000,0.0000,'2022-06-21 16:40:33','2022-06-21 16:40:33'),(487,443,NULL,0,3.0000,0.0000,'2022-06-21 16:40:33','2022-06-21 16:40:33'),(488,444,NULL,0,1.0000,0.0000,'2022-06-21 16:40:33','2022-06-21 16:40:33'),(489,445,NULL,0,1.0000,0.0000,'2022-06-21 17:13:10','2022-06-21 17:13:10'),(490,446,NULL,0,1.0000,0.0000,'2022-06-21 17:13:10','2022-06-21 17:13:10'),(491,447,NULL,0,2.0000,0.0000,'2022-06-21 17:13:10','2022-06-21 17:13:10'),(492,448,NULL,0,1.0000,0.0000,'2022-06-21 17:13:10','2022-06-21 17:13:10'),(493,449,NULL,0,2.0000,0.0000,'2022-06-21 17:13:10','2022-06-21 17:13:10'),(494,450,NULL,0,4.0000,0.0000,'2022-06-21 17:15:47','2022-06-21 17:15:47'),(495,451,NULL,0,1.0000,0.0000,'2022-06-21 17:15:47','2022-06-21 17:15:47'),(496,452,NULL,0,2.0000,0.0000,'2022-06-21 17:45:29','2022-06-21 17:45:29'),(497,453,NULL,0,1.0000,0.0000,'2022-06-21 17:45:29','2022-06-21 17:45:29'),(498,454,NULL,0,2.0000,0.0000,'2022-06-21 18:18:49','2022-06-21 18:18:49'),(499,455,NULL,0,1.0000,0.0000,'2022-06-21 18:49:14','2022-06-21 18:49:14'),(500,456,NULL,0,1.0000,0.0000,'2022-06-21 19:22:57','2022-06-21 19:22:57'),(501,457,NULL,0,1.0000,0.0000,'2022-06-21 19:22:57','2022-06-21 19:22:57'),(502,458,NULL,0,1.0000,0.0000,'2022-06-21 20:31:38','2022-06-21 20:31:38'),(503,459,NULL,0,1.0000,0.0000,'2022-06-21 20:31:38','2022-06-21 20:31:38'),(504,460,NULL,0,1.0000,0.0000,'2022-06-21 20:31:38','2022-06-21 20:31:38'),(505,461,NULL,0,1.0000,0.0000,'2022-06-21 20:31:38','2022-06-21 20:31:38'),(506,462,NULL,0,1.0000,0.0000,'2022-06-21 20:40:26','2022-06-21 20:40:26'),(507,463,NULL,0,1.0000,0.0000,'2022-06-21 20:57:30','2022-06-21 20:57:30'),(508,464,NULL,0,1.0000,0.0000,'2022-06-21 20:57:30','2022-06-21 20:57:30'),(509,465,NULL,0,1.0000,0.0000,'2022-06-21 21:25:04','2022-06-21 21:25:04'),(510,466,NULL,0,1.0000,0.0000,'2022-06-21 21:25:04','2022-06-21 21:25:04'),(511,467,NULL,0,1.0000,0.0000,'2022-06-21 21:33:38','2022-06-21 21:33:38'),(512,468,NULL,0,1.0000,0.0000,'2022-06-21 22:37:06','2022-06-21 22:37:06'),(513,469,NULL,0,1.0000,0.0000,'2022-06-22 12:55:31','2022-06-22 12:55:31'),(514,470,NULL,0,1.0000,0.0000,'2022-06-22 12:55:31','2022-06-22 12:55:31'),(515,471,NULL,0,1.0000,0.0000,'2022-06-22 13:10:34','2022-06-22 13:10:34'),(516,472,NULL,0,2.0000,0.0000,'2022-06-22 13:30:46','2022-06-22 13:30:46'),(517,473,NULL,0,1.0000,0.0000,'2022-06-22 13:30:46','2022-06-22 13:30:46'),(518,474,NULL,0,1.0000,0.0000,'2022-06-22 13:30:46','2022-06-22 13:30:46'),(519,475,NULL,0,1.0000,0.0000,'2022-06-22 13:44:20','2022-06-22 13:44:20'),(520,476,NULL,0,1.0000,0.0000,'2022-06-22 13:46:48','2022-06-22 13:46:48'),(521,477,NULL,0,1.0000,0.0000,'2022-06-22 14:28:51','2022-06-22 14:28:51'),(522,478,NULL,0,1.0000,0.0000,'2022-06-22 14:28:51','2022-06-22 14:28:51'),(523,477,NULL,0,1.0000,0.0000,'2022-06-22 14:29:38','2022-06-22 14:29:38'),(524,478,NULL,0,1.0000,0.0000,'2022-06-22 14:29:38','2022-06-22 14:29:38'),(525,479,NULL,0,3.0000,0.0000,'2022-06-22 14:29:38','2022-06-22 14:29:38'),(526,480,NULL,0,1.0000,0.0000,'2022-06-22 15:33:31','2022-06-22 15:33:31'),(527,481,NULL,0,1.0000,0.0000,'2022-06-22 15:33:31','2022-06-22 15:33:31'),(528,482,NULL,0,1.0000,0.0000,'2022-06-22 15:33:31','2022-06-22 15:33:31'),(529,483,NULL,0,2.0000,0.0000,'2022-06-22 16:08:33','2022-06-22 16:08:33'),(530,484,NULL,0,1.0000,0.0000,'2022-06-22 16:08:33','2022-06-22 16:08:33'),(531,485,NULL,0,3.0000,0.0000,'2022-06-22 16:08:33','2022-06-22 16:08:33'),(532,486,NULL,0,2.0000,0.0000,'2022-06-22 16:36:00','2022-06-22 16:36:00'),(533,487,NULL,0,1.0000,0.0000,'2022-06-22 16:36:00','2022-06-22 16:36:00'),(534,488,NULL,0,1.0000,0.0000,'2022-06-22 16:36:00','2022-06-22 16:36:00'),(535,489,NULL,0,7.0000,0.0000,'2022-06-22 16:46:23','2022-06-22 16:46:23'),(536,490,NULL,0,1.0000,0.0000,'2022-06-22 17:52:06','2022-06-22 17:52:06'),(537,491,NULL,0,2.0000,0.0000,'2022-06-22 18:13:29','2022-06-22 18:13:29'),(538,492,NULL,0,1.0000,0.0000,'2022-06-22 18:13:29','2022-06-22 18:13:29'),(539,493,NULL,0,1.0000,0.0000,'2022-06-22 19:13:08','2022-06-22 19:13:08'),(540,494,NULL,0,1.0000,0.0000,'2022-06-22 19:13:08','2022-06-22 19:13:08'),(541,495,NULL,0,1.0000,0.0000,'2022-06-22 19:13:08','2022-06-22 19:13:08'),(542,496,NULL,0,1.0000,0.0000,'2022-06-22 19:13:08','2022-06-22 19:13:08'),(543,497,NULL,0,1.0000,0.0000,'2022-06-22 19:23:51','2022-06-22 19:23:51'),(544,498,NULL,0,1.0000,0.0000,'2022-06-22 20:40:55','2022-06-22 20:40:55'),(545,499,NULL,0,1.0000,0.0000,'2022-06-23 13:39:54','2022-06-23 13:39:54'),(546,500,NULL,0,1.0000,0.0000,'2022-06-23 13:39:54','2022-06-23 13:39:54'),(547,501,NULL,0,1.0000,0.0000,'2022-06-23 13:39:54','2022-06-23 13:39:54'),(548,502,NULL,0,1.0000,0.0000,'2022-06-23 13:39:54','2022-06-23 13:39:54'),(549,503,NULL,0,1.0000,0.0000,'2022-06-23 13:51:08','2022-06-23 13:51:08'),(550,504,NULL,0,1.0000,0.0000,'2022-06-23 13:51:08','2022-06-23 13:51:08'),(551,505,NULL,0,1.0000,0.0000,'2022-06-23 14:05:14','2022-06-23 14:05:14'),(552,506,NULL,0,1.0000,0.0000,'2022-06-23 14:05:14','2022-06-23 14:05:14'),(553,507,NULL,0,1.0000,0.0000,'2022-06-23 15:22:51','2022-06-23 15:22:51'),(554,508,NULL,0,1.0000,0.0000,'2022-06-23 15:24:29','2022-06-23 15:24:29'),(555,509,NULL,0,1.0000,0.0000,'2022-06-23 15:24:49','2022-06-23 15:24:49'),(556,510,NULL,0,1.0000,0.0000,'2022-06-23 16:25:44','2022-06-23 16:25:44'),(557,511,NULL,0,1.0000,0.0000,'2022-06-23 16:25:44','2022-06-23 16:25:44'),(558,512,NULL,0,1.0000,0.0000,'2022-06-23 16:25:44','2022-06-23 16:25:44'),(559,513,NULL,0,3.0000,0.0000,'2022-06-23 16:49:59','2022-06-23 16:49:59'),(560,514,NULL,0,1.0000,0.0000,'2022-06-23 16:49:59','2022-06-23 16:49:59'),(561,515,NULL,0,1.0000,0.0000,'2022-06-23 16:49:59','2022-06-23 16:49:59'),(562,516,NULL,0,2.0000,0.0000,'2022-06-23 16:50:38','2022-06-23 16:50:38'),(563,517,NULL,0,2.0000,0.0000,'2022-06-23 16:50:38','2022-06-23 16:50:38'),(564,518,NULL,0,1.0000,0.0000,'2022-06-23 17:52:36','2022-06-23 17:52:36'),(565,519,NULL,0,1.0000,0.0000,'2022-06-23 17:52:36','2022-06-23 17:52:36'),(566,520,NULL,0,1.0000,0.0000,'2022-06-23 17:52:37','2022-06-23 17:52:37'),(567,521,NULL,0,1.0000,0.0000,'2022-06-23 17:52:37','2022-06-23 17:52:37'),(568,522,NULL,0,1.0000,0.0000,'2022-06-23 20:45:05','2022-06-23 20:45:05'),(569,523,NULL,0,1.0000,0.0000,'2022-06-23 20:45:05','2022-06-23 20:45:05'),(570,524,NULL,0,1.0000,0.0000,'2022-06-23 20:45:05','2022-06-23 20:45:05'),(571,525,NULL,0,2.0000,0.0000,'2022-06-23 20:46:57','2022-06-23 20:46:57'),(572,526,NULL,0,1.0000,0.0000,'2022-06-23 20:46:57','2022-06-23 20:46:57'),(573,527,NULL,0,1.0000,0.0000,'2022-06-23 20:46:57','2022-06-23 20:46:57'),(574,522,NULL,0,1.0000,0.0000,'2022-06-23 20:48:16','2022-06-23 20:48:16'),(575,523,NULL,0,1.0000,0.0000,'2022-06-23 20:48:16','2022-06-23 20:48:16'),(576,524,NULL,0,1.0000,0.0000,'2022-06-23 20:48:16','2022-06-23 20:48:16'),(577,528,NULL,0,4.0000,0.0000,'2022-06-23 21:43:43','2022-06-23 21:43:43'),(578,529,NULL,0,2.0000,0.0000,'2022-06-23 21:43:43','2022-06-23 21:43:43'),(579,530,NULL,0,2.0000,0.0000,'2022-06-23 21:43:43','2022-06-23 21:43:43'),(580,531,NULL,0,1.0000,0.0000,'2022-06-23 22:19:39','2022-06-23 22:19:39'),(581,532,NULL,0,1.0000,0.0000,'2022-06-23 22:58:13','2022-06-23 22:58:13'),(582,533,NULL,0,1.0000,0.0000,'2022-06-24 13:23:46','2022-06-24 13:23:46'),(583,534,NULL,0,1.0000,0.0000,'2022-06-24 13:23:46','2022-06-24 13:23:46'),(584,535,NULL,0,1.0000,0.0000,'2022-06-24 13:23:46','2022-06-24 13:23:46'),(585,536,NULL,0,1.0000,0.0000,'2022-06-24 13:27:01','2022-06-24 13:27:01'),(586,537,NULL,0,1.0000,0.0000,'2022-06-24 14:13:25','2022-06-24 14:13:25'),(587,538,NULL,0,1.0000,0.0000,'2022-06-24 14:59:07','2022-06-24 14:59:07'),(588,539,NULL,0,1.0000,0.0000,'2022-06-24 19:28:43','2022-06-24 19:28:43'),(589,540,NULL,0,1.0000,0.0000,'2022-06-24 19:28:43','2022-06-24 19:28:43'),(590,541,NULL,0,1.0000,0.0000,'2022-06-24 19:28:43','2022-06-24 19:28:43'),(591,542,NULL,0,1.0000,0.0000,'2022-06-24 19:28:43','2022-06-24 19:28:43'),(592,543,NULL,0,1.0000,0.0000,'2022-06-24 19:28:43','2022-06-24 19:28:43'),(593,544,NULL,0,1.0000,0.0000,'2022-06-24 19:36:28','2022-06-24 19:36:28'),(594,545,NULL,0,1.0000,0.0000,'2022-06-24 19:37:59','2022-06-24 19:37:59'),(595,546,NULL,0,2.0000,0.0000,'2022-06-24 19:46:07','2022-06-24 19:46:07'),(596,547,NULL,0,1.0000,0.0000,'2022-06-24 19:52:31','2022-06-24 19:52:31'),(597,548,NULL,0,1.0000,0.0000,'2022-06-24 19:52:31','2022-06-24 19:52:31'),(598,549,NULL,0,1.0000,0.0000,'2022-06-24 19:52:31','2022-06-24 19:52:31'),(599,550,NULL,0,1.0000,0.0000,'2022-06-24 20:10:24','2022-06-24 20:10:24'),(600,551,NULL,0,1.0000,0.0000,'2022-06-24 20:10:24','2022-06-24 20:10:24'),(601,552,NULL,0,1.0000,0.0000,'2022-06-24 21:04:14','2022-06-24 21:04:14'),(602,553,NULL,0,1.0000,0.0000,'2022-06-24 22:43:31','2022-06-24 22:43:31'),(603,554,NULL,0,1.0000,0.0000,'2022-06-24 22:43:31','2022-06-24 22:43:31'),(606,557,NULL,0,1.0000,0.0000,'2022-06-25 13:34:15','2022-06-25 13:34:15'),(607,558,NULL,0,1.0000,0.0000,'2022-06-25 13:35:06','2022-06-25 13:35:06'),(608,559,NULL,0,2.0000,0.0000,'2022-06-25 13:35:06','2022-06-25 13:35:06'),(609,560,NULL,0,2.0000,0.0000,'2022-06-25 13:37:11','2022-06-25 13:37:11'),(610,561,NULL,0,1.0000,0.0000,'2022-06-25 13:37:11','2022-06-25 13:37:11'),(611,562,NULL,0,2.0000,0.0000,'2022-06-25 15:07:37','2022-06-25 15:07:37'),(612,563,NULL,0,1.0000,0.0000,'2022-06-25 15:17:05','2022-06-25 15:17:05'),(613,564,NULL,0,1.0000,0.0000,'2022-06-25 15:17:05','2022-06-25 15:17:05'),(614,565,NULL,0,1.0000,0.0000,'2022-06-25 15:17:05','2022-06-25 15:17:05'),(615,566,NULL,0,2.0000,0.0000,'2022-06-25 16:29:37','2022-06-25 16:29:37'),(616,567,NULL,0,1.0000,0.0000,'2022-06-25 20:01:32','2022-06-25 20:01:32'),(617,570,NULL,0,3.0000,0.0000,'2022-06-25 20:36:27','2022-06-25 20:36:27'),(618,568,NULL,0,1.0000,0.0000,'2022-06-25 21:01:20','2022-06-25 21:01:20'),(619,569,NULL,0,1.0000,0.0000,'2022-06-25 21:01:20','2022-06-25 21:01:20'),(620,571,NULL,0,1.0000,0.0000,'2022-06-25 22:34:38','2022-06-25 22:34:38'),(621,572,NULL,0,1.0000,0.0000,'2022-06-25 22:34:38','2022-06-25 22:34:38'),(622,573,NULL,0,1.0000,0.0000,'2022-06-25 22:39:40','2022-06-25 22:39:40'),(623,574,NULL,0,1.0000,0.0000,'2022-06-27 14:31:33','2022-06-27 14:31:33'),(624,575,NULL,0,1.0000,0.0000,'2022-06-27 14:31:33','2022-06-27 14:31:33'),(625,576,NULL,0,1.0000,0.0000,'2022-06-27 14:31:33','2022-06-27 14:31:33'),(626,577,NULL,0,1.0000,0.0000,'2022-06-27 17:21:19','2022-06-27 17:21:19'),(627,578,NULL,0,1.0000,0.0000,'2022-06-27 17:21:19','2022-06-27 17:21:19'),(628,579,NULL,0,1.0000,0.0000,'2022-06-27 17:26:15','2022-06-27 17:26:15'),(629,580,NULL,0,2.0000,0.0000,'2022-06-27 17:33:44','2022-06-27 17:33:44'),(630,581,NULL,0,2.0000,0.0000,'2022-06-27 17:33:44','2022-06-27 17:33:44'),(631,582,NULL,0,2.0000,0.0000,'2022-06-27 17:33:44','2022-06-27 17:33:44'),(632,583,NULL,0,2.0000,0.0000,'2022-06-27 17:33:44','2022-06-27 17:33:44'),(633,584,NULL,0,2.0000,0.0000,'2022-06-27 17:33:44','2022-06-27 17:33:44'),(634,585,NULL,0,1.0000,0.0000,'2022-06-27 17:33:44','2022-06-27 17:33:44'),(635,586,NULL,0,1.0000,0.0000,'2022-06-27 18:07:17','2022-06-27 18:07:17'),(636,587,NULL,0,1.0000,0.0000,'2022-06-27 18:15:23','2022-06-27 18:15:23'),(637,588,NULL,0,1.0000,0.0000,'2022-06-27 18:15:33','2022-06-27 18:15:33'),(638,589,NULL,0,1.0000,0.0000,'2022-06-27 20:28:22','2022-06-27 20:28:22'),(639,590,NULL,0,1.0000,0.0000,'2022-06-27 20:28:22','2022-06-27 20:28:22'),(640,591,NULL,0,1.0000,0.0000,'2022-06-27 20:33:37','2022-06-27 20:33:37'),(641,592,NULL,0,1.0000,0.0000,'2022-06-27 20:33:37','2022-06-27 20:33:37'),(642,593,NULL,0,1.0000,0.0000,'2022-06-27 20:33:37','2022-06-27 20:33:37'),(643,594,NULL,0,1.0000,0.0000,'2022-06-27 21:03:24','2022-06-27 21:03:24'),(644,595,NULL,0,1.0000,0.0000,'2022-06-27 21:03:24','2022-06-27 21:03:24'),(645,596,NULL,0,2.0000,0.0000,'2022-06-27 21:06:38','2022-06-27 21:06:38'),(646,597,NULL,0,2.0000,0.0000,'2022-06-27 21:06:38','2022-06-27 21:06:38'),(647,598,NULL,0,2.0000,0.0000,'2022-06-27 21:06:38','2022-06-27 21:06:38'),(648,599,NULL,0,2.0000,0.0000,'2022-06-27 22:51:44','2022-06-27 22:51:44'),(649,600,NULL,0,2.0000,0.0000,'2022-06-27 23:23:50','2022-06-27 23:23:50'),(650,601,NULL,0,2.0000,0.0000,'2022-06-27 23:23:50','2022-06-27 23:23:50'),(651,602,NULL,0,1.0000,0.0000,'2022-06-27 23:23:50','2022-06-27 23:23:50'),(652,603,NULL,0,2.0000,0.0000,'2022-06-27 23:23:50','2022-06-27 23:23:50'),(653,604,NULL,0,1.0000,0.0000,'2022-06-27 23:23:50','2022-06-27 23:23:50'),(654,605,NULL,0,1.0000,0.0000,'2022-06-27 23:26:23','2022-06-27 23:26:23'),(655,606,NULL,0,1.0000,0.0000,'2022-06-27 23:26:23','2022-06-27 23:26:23'),(656,607,NULL,0,1.0000,0.0000,'2022-06-27 23:26:23','2022-06-27 23:26:23'),(657,608,NULL,0,3.0000,0.0000,'2022-06-28 12:32:05','2022-06-28 12:32:05'),(658,609,NULL,0,1.0000,0.0000,'2022-06-28 12:32:05','2022-06-28 12:32:05'),(659,610,NULL,0,1.0000,0.0000,'2022-06-28 13:03:32','2022-06-28 13:03:32'),(660,611,NULL,0,1.0000,0.0000,'2022-06-28 13:22:04','2022-06-28 13:22:04'),(661,612,NULL,0,1.0000,0.0000,'2022-06-28 14:00:05','2022-06-28 14:00:05'),(662,613,NULL,0,1.0000,0.0000,'2022-06-28 15:47:27','2022-06-28 15:47:27'),(663,614,NULL,0,1.0000,0.0000,'2022-06-28 15:47:27','2022-06-28 15:47:27'),(664,615,NULL,0,1.0000,0.0000,'2022-06-28 15:47:27','2022-06-28 15:47:27'),(665,616,NULL,0,1.0000,0.0000,'2022-06-28 15:47:27','2022-06-28 15:47:27'),(666,617,NULL,0,1.0000,0.0000,'2022-06-28 16:02:43','2022-06-28 16:02:43'),(667,618,NULL,0,1.0000,0.0000,'2022-06-28 17:41:02','2022-06-28 17:41:02'),(668,619,NULL,0,1.0000,0.0000,'2022-06-28 18:21:15','2022-06-28 18:21:15'),(669,620,NULL,0,1.0000,0.0000,'2022-06-28 19:20:58','2022-06-28 19:20:58'),(670,621,NULL,0,1.0000,0.0000,'2022-06-28 19:20:58','2022-06-28 19:20:58'),(671,622,NULL,0,1.0000,0.0000,'2022-06-28 20:05:38','2022-06-28 20:05:38'),(672,623,NULL,0,2.0000,0.0000,'2022-06-28 20:05:38','2022-06-28 20:05:38'),(673,624,NULL,0,1.0000,0.0000,'2022-06-28 21:22:40','2022-06-28 21:22:40'),(674,625,NULL,0,1.0000,0.0000,'2022-06-28 21:22:40','2022-06-28 21:22:40'),(675,626,NULL,0,1.0000,0.0000,'2022-06-28 21:27:41','2022-06-28 21:27:41'),(676,627,NULL,0,1.0000,0.0000,'2022-06-28 21:27:41','2022-06-28 21:27:41'),(677,628,NULL,0,1.0000,0.0000,'2022-06-28 21:56:52','2022-06-28 21:56:52'),(678,629,NULL,0,1.0000,0.0000,'2022-06-28 22:32:08','2022-06-28 22:32:08'),(679,630,NULL,0,1.0000,0.0000,'2022-06-28 22:32:08','2022-06-28 22:32:08'),(680,631,NULL,0,1.0000,0.0000,'2022-06-28 22:32:08','2022-06-28 22:32:08'),(681,632,NULL,0,1.0000,0.0000,'2022-06-28 22:32:08','2022-06-28 22:32:08'),(682,633,NULL,0,1.0000,0.0000,'2022-06-28 22:34:38','2022-06-28 22:34:38'),(683,634,NULL,0,1.0000,0.0000,'2022-06-28 22:34:38','2022-06-28 22:34:38'),(684,635,NULL,0,7.0000,0.0000,'2022-06-28 22:39:26','2022-06-28 22:39:26'),(685,636,NULL,0,1.0000,0.0000,'2022-06-28 22:39:26','2022-06-28 22:39:26'),(686,637,NULL,0,6.0000,0.0000,'2022-06-28 22:39:26','2022-06-28 22:39:26'),(687,638,NULL,0,2.0000,0.0000,'2022-06-29 12:36:30','2022-06-29 12:36:30'),(688,639,NULL,0,1.0000,0.0000,'2022-06-29 12:36:30','2022-06-29 12:36:30'),(689,638,NULL,0,2.0000,0.0000,'2022-06-29 12:36:59','2022-06-29 12:36:59'),(690,639,NULL,0,2.0000,0.0000,'2022-06-29 12:36:59','2022-06-29 12:36:59'),(691,640,NULL,0,1.0000,0.0000,'2022-06-29 13:08:01','2022-06-29 13:08:01'),(692,641,NULL,0,1.0000,0.0000,'2022-06-29 13:44:51','2022-06-29 13:44:51'),(693,642,NULL,0,1.0000,0.0000,'2022-06-29 13:44:51','2022-06-29 13:44:51'),(694,643,NULL,0,1.0000,0.0000,'2022-06-29 13:44:51','2022-06-29 13:44:51'),(695,644,NULL,0,1.0000,0.0000,'2022-06-29 13:45:48','2022-06-29 13:45:48'),(696,645,NULL,0,1.0000,0.0000,'2022-06-29 13:45:48','2022-06-29 13:45:48'),(697,646,NULL,0,1.0000,0.0000,'2022-06-29 14:44:09','2022-06-29 14:44:09'),(698,647,NULL,0,1.0000,0.0000,'2022-06-29 15:01:37','2022-06-29 15:01:37'),(699,648,NULL,0,1.0000,0.0000,'2022-06-29 15:27:29','2022-06-29 15:27:29'),(700,649,NULL,0,1.0000,0.0000,'2022-06-29 15:27:29','2022-06-29 15:27:29'),(701,650,NULL,0,1.0000,0.0000,'2022-06-29 15:27:29','2022-06-29 15:27:29'),(702,651,NULL,0,1.0000,0.0000,'2022-06-29 18:58:46','2022-06-29 18:58:46'),(703,652,NULL,0,2.0000,0.0000,'2022-06-29 19:27:31','2022-06-29 19:27:31'),(704,653,NULL,0,1.0000,0.0000,'2022-06-29 19:27:31','2022-06-29 19:27:31'),(705,654,NULL,0,1.0000,0.0000,'2022-06-29 19:27:31','2022-06-29 19:27:31'),(706,655,NULL,0,1.0000,0.0000,'2022-06-29 20:56:09','2022-06-29 20:56:09'),(707,656,NULL,0,1.0000,0.0000,'2022-06-29 22:07:11','2022-06-29 22:07:11'),(708,657,NULL,0,1.0000,0.0000,'2022-06-29 22:07:11','2022-06-29 22:07:11'),(709,658,NULL,0,1.0000,0.0000,'2022-06-29 22:07:11','2022-06-29 22:07:11'),(710,659,NULL,0,1.0000,0.0000,'2022-06-29 22:34:46','2022-06-29 22:34:46'),(711,660,NULL,0,1.0000,0.0000,'2022-06-30 12:57:54','2022-06-30 12:57:54'),(712,661,NULL,0,1.0000,0.0000,'2022-06-30 12:57:54','2022-06-30 12:57:54'),(713,662,NULL,0,1.0000,0.0000,'2022-06-30 12:57:54','2022-06-30 12:57:54'),(714,663,NULL,0,1.0000,0.0000,'2022-06-30 13:03:46','2022-06-30 13:03:46'),(715,664,NULL,0,1.0000,0.0000,'2022-06-30 13:03:46','2022-06-30 13:03:46'),(716,665,NULL,0,1.0000,0.0000,'2022-06-30 13:46:40','2022-06-30 13:46:40'),(717,666,NULL,0,1.0000,0.0000,'2022-06-30 14:40:57','2022-06-30 14:40:57'),(718,667,NULL,0,1.0000,0.0000,'2022-06-30 14:40:57','2022-06-30 14:40:57'),(719,668,NULL,0,1.0000,0.0000,'2022-06-30 14:41:28','2022-06-30 14:41:28'),(720,669,NULL,0,2.0000,0.0000,'2022-06-30 16:54:24','2022-06-30 16:54:24'),(721,670,NULL,0,1.0000,0.0000,'2022-06-30 16:54:24','2022-06-30 16:54:24'),(722,671,NULL,0,2.0000,0.0000,'2022-06-30 16:54:24','2022-06-30 16:54:24'),(723,672,NULL,0,2.0000,0.0000,'2022-06-30 16:54:24','2022-06-30 16:54:24'),(724,673,NULL,0,1.0000,0.0000,'2022-06-30 16:54:24','2022-06-30 16:54:24'),(725,674,NULL,0,2.0000,0.0000,'2022-06-30 17:02:03','2022-06-30 17:02:03'),(726,675,NULL,0,1.0000,0.0000,'2022-06-30 17:05:02','2022-06-30 17:05:02'),(727,676,NULL,0,1.0000,0.0000,'2022-06-30 17:25:30','2022-06-30 17:25:30'),(728,677,NULL,0,1.0000,0.0000,'2022-06-30 17:25:30','2022-06-30 17:25:30'),(729,678,NULL,0,3.0000,0.0000,'2022-06-30 17:45:28','2022-06-30 17:45:28'),(730,679,NULL,0,1.0000,0.0000,'2022-06-30 17:45:28','2022-06-30 17:45:28'),(731,680,NULL,0,1.0000,0.0000,'2022-06-30 18:09:16','2022-06-30 18:09:16'),(732,681,NULL,0,1.0000,0.0000,'2022-06-30 18:09:16','2022-06-30 18:09:16'),(733,682,NULL,0,1.0000,0.0000,'2022-06-30 19:23:01','2022-06-30 19:23:01'),(734,683,NULL,0,1.0000,0.0000,'2022-06-30 19:23:01','2022-06-30 19:23:01'),(735,684,NULL,0,1.0000,0.0000,'2022-06-30 19:23:01','2022-06-30 19:23:01'),(736,685,NULL,0,1.0000,0.0000,'2022-06-30 19:40:06','2022-06-30 19:40:06'),(737,686,NULL,0,2.0000,0.0000,'2022-06-30 19:40:06','2022-06-30 19:40:06'),(738,687,NULL,0,1.0000,0.0000,'2022-06-30 20:10:25','2022-06-30 20:10:25'),(739,688,NULL,0,1.0000,0.0000,'2022-06-30 20:17:11','2022-06-30 20:17:11'),(740,689,NULL,0,1.0000,0.0000,'2022-06-30 20:17:34','2022-06-30 20:17:34'),(741,690,NULL,0,1.0000,0.0000,'2022-06-30 22:07:31','2022-06-30 22:07:31'),(742,691,NULL,0,1.0000,0.0000,'2022-06-30 22:14:10','2022-06-30 22:14:10'),(743,692,NULL,0,1.0000,0.0000,'2022-06-30 22:14:10','2022-06-30 22:14:10'),(744,693,NULL,0,1.0000,0.0000,'2022-07-01 12:48:40','2022-07-01 12:48:40'),(745,694,NULL,0,1.0000,0.0000,'2022-07-01 13:06:22','2022-07-01 13:06:22'),(746,695,NULL,0,2.0000,0.0000,'2022-07-01 13:30:10','2022-07-01 13:30:10'),(747,696,NULL,0,3.0000,0.0000,'2022-07-01 19:08:35','2022-07-01 19:08:35'),(748,697,NULL,0,1.0000,0.0000,'2022-07-01 19:45:10','2022-07-01 19:45:10'),(749,698,NULL,0,1.0000,0.0000,'2022-07-01 19:45:10','2022-07-01 19:45:10'),(750,699,NULL,0,1.0000,0.0000,'2022-07-01 22:50:21','2022-07-01 22:50:21'),(751,700,NULL,0,1.0000,0.0000,'2022-07-02 13:55:39','2022-07-02 13:55:39'),(752,701,NULL,0,2.0000,0.0000,'2022-07-02 13:55:39','2022-07-02 13:55:39'),(753,702,NULL,0,1.0000,0.0000,'2022-07-02 14:11:28','2022-07-02 14:11:28'),(754,703,NULL,0,1.0000,0.0000,'2022-07-02 15:02:19','2022-07-02 15:02:19'),(755,704,NULL,0,1.0000,0.0000,'2022-07-02 15:02:19','2022-07-02 15:02:19'),(756,705,NULL,0,1.0000,0.0000,'2022-07-02 15:02:19','2022-07-02 15:02:19'),(757,706,NULL,0,1.0000,0.0000,'2022-07-02 15:02:19','2022-07-02 15:02:19'),(758,707,NULL,0,1.0000,0.0000,'2022-07-02 15:02:47','2022-07-02 15:02:47'),(759,708,NULL,0,1.0000,0.0000,'2022-07-02 15:41:15','2022-07-02 15:41:15'),(760,709,NULL,0,1.0000,0.0000,'2022-07-02 16:45:41','2022-07-02 16:45:41'),(761,710,NULL,0,1.0000,0.0000,'2022-07-02 17:14:59','2022-07-02 17:14:59'),(762,711,NULL,0,1.0000,0.0000,'2022-07-02 17:14:59','2022-07-02 17:14:59'),(763,712,NULL,0,2.0000,0.0000,'2022-07-02 19:50:58','2022-07-02 19:50:58'),(764,713,NULL,0,1.0000,0.0000,'2022-07-02 19:50:58','2022-07-02 19:50:58'),(765,714,NULL,0,1.0000,0.0000,'2022-07-02 19:50:58','2022-07-02 19:50:58'),(766,715,NULL,0,1.0000,0.0000,'2022-07-02 21:19:13','2022-07-02 21:19:13'),(767,716,NULL,0,1.0000,0.0000,'2022-07-02 21:39:22','2022-07-02 21:39:22'),(768,717,NULL,0,3.0000,0.0000,'2022-07-02 21:39:22','2022-07-02 21:39:22'),(769,718,NULL,0,1.0000,0.0000,'2022-07-02 21:39:22','2022-07-02 21:39:22'),(770,719,NULL,0,1.0000,0.0000,'2022-07-02 22:05:03','2022-07-02 22:05:03'),(771,720,NULL,0,1.0000,0.0000,'2022-07-02 22:05:03','2022-07-02 22:05:03'),(772,721,NULL,0,2.0000,0.0000,'2022-07-04 13:38:35','2022-07-04 13:38:35'),(773,722,NULL,0,1.0000,0.0000,'2022-07-04 14:11:43','2022-07-04 14:11:43'),(774,723,NULL,0,1.0000,0.0000,'2022-07-04 14:11:43','2022-07-04 14:11:43'),(775,724,NULL,0,1.0000,0.0000,'2022-07-04 14:33:08','2022-07-04 14:33:08'),(776,725,NULL,0,1.0000,0.0000,'2022-07-04 14:33:08','2022-07-04 14:33:08'),(777,726,NULL,0,1.0000,0.0000,'2022-07-04 14:33:08','2022-07-04 14:33:08'),(778,727,NULL,0,1.0000,0.0000,'2022-07-04 15:08:06','2022-07-04 15:08:06'),(779,728,NULL,0,1.0000,0.0000,'2022-07-04 16:20:05','2022-07-04 16:20:05'),(780,729,NULL,0,1.0000,0.0000,'2022-07-04 16:20:05','2022-07-04 16:20:05'),(781,730,NULL,0,1.0000,0.0000,'2022-07-04 16:20:05','2022-07-04 16:20:05'),(782,731,NULL,0,1.0000,0.0000,'2022-07-04 16:20:05','2022-07-04 16:20:05'),(783,732,NULL,0,1.0000,0.0000,'2022-07-04 16:31:27','2022-07-04 16:31:27'),(784,733,NULL,0,1.0000,0.0000,'2022-07-04 17:31:49','2022-07-04 17:31:49'),(785,734,NULL,0,1.0000,0.0000,'2022-07-04 20:40:26','2022-07-04 20:40:26'),(786,735,NULL,0,1.0000,0.0000,'2022-07-04 21:59:08','2022-07-04 21:59:08'),(787,736,NULL,0,1.0000,0.0000,'2022-07-04 21:59:08','2022-07-04 21:59:08'),(788,737,NULL,0,1.0000,0.0000,'2022-07-04 21:59:08','2022-07-04 21:59:08'),(789,738,NULL,0,1.0000,0.0000,'2022-07-05 13:24:38','2022-07-05 13:24:38'),(790,739,NULL,0,1.0000,0.0000,'2022-07-05 13:34:51','2022-07-05 13:34:51'),(791,740,NULL,0,1.0000,0.0000,'2022-07-05 13:34:51','2022-07-05 13:34:51'),(792,741,NULL,0,2.0000,0.0000,'2022-07-05 14:44:38','2022-07-05 14:44:38'),(793,742,NULL,0,1.0000,0.0000,'2022-07-05 18:37:10','2022-07-05 18:37:10'),(794,743,NULL,0,1.0000,0.0000,'2022-07-05 19:27:56','2022-07-05 19:27:56'),(795,744,NULL,0,1.0000,0.0000,'2022-07-05 19:27:56','2022-07-05 19:27:56'),(796,745,NULL,0,1.0000,0.0000,'2022-07-05 19:27:56','2022-07-05 19:27:56'),(797,746,NULL,0,1.0000,0.0000,'2022-07-05 19:35:32','2022-07-05 19:35:32'),(798,747,NULL,0,1.0000,0.0000,'2022-07-05 19:42:28','2022-07-05 19:42:28'),(799,748,NULL,0,1.0000,0.0000,'2022-07-05 22:33:06','2022-07-05 22:33:06'),(800,749,NULL,0,1.0000,0.0000,'2022-07-05 22:33:06','2022-07-05 22:33:06'),(801,750,NULL,0,1.0000,0.0000,'2022-07-05 22:58:23','2022-07-05 22:58:23'),(802,751,NULL,0,1.0000,0.0000,'2022-07-06 13:28:59','2022-07-06 13:28:59'),(803,752,NULL,0,1.0000,0.0000,'2022-07-06 13:28:59','2022-07-06 13:28:59'),(804,753,NULL,0,1.0000,0.0000,'2022-07-06 18:01:20','2022-07-06 18:01:20'),(805,754,NULL,0,1.0000,0.0000,'2022-07-06 18:01:20','2022-07-06 18:01:20'),(806,755,NULL,0,2.0000,0.0000,'2022-07-06 20:35:35','2022-07-06 20:35:35'),(807,756,NULL,0,1.0000,0.0000,'2022-07-06 21:33:24','2022-07-06 21:33:24'),(808,757,NULL,0,1.0000,0.0000,'2022-07-07 12:34:52','2022-07-07 12:34:52'),(809,758,NULL,0,1.0000,0.0000,'2022-07-07 12:37:13','2022-07-07 12:37:13'),(810,759,NULL,0,1.0000,0.0000,'2022-07-07 14:03:52','2022-07-07 14:03:52'),(811,760,NULL,0,1.0000,0.0000,'2022-07-07 14:59:30','2022-07-07 14:59:30'),(812,761,NULL,0,1.0000,0.0000,'2022-07-07 18:02:15','2022-07-07 18:02:15'),(813,762,NULL,0,1.0000,0.0000,'2022-07-07 18:05:05','2022-07-07 18:05:05'),(814,763,NULL,0,2.0000,0.0000,'2022-07-07 19:58:44','2022-07-07 19:58:44'),(815,764,NULL,0,2.0000,0.0000,'2022-07-07 20:26:38','2022-07-07 20:26:38'),(816,765,NULL,0,2.0000,0.0000,'2022-07-07 20:26:38','2022-07-07 20:26:38'),(817,766,NULL,0,1.0000,0.0000,'2022-07-07 20:26:38','2022-07-07 20:26:38'),(818,767,NULL,0,2.0000,0.0000,'2022-07-07 20:56:01','2022-07-07 20:56:01'),(819,768,NULL,0,1.0000,0.0000,'2022-07-07 20:56:01','2022-07-07 20:56:01'),(820,769,NULL,0,1.0000,0.0000,'2022-07-07 22:56:35','2022-07-07 22:56:35'),(821,770,NULL,0,1.0000,0.0000,'2022-07-07 22:56:35','2022-07-07 22:56:35'),(822,771,NULL,0,1.0000,0.0000,'2022-07-08 13:42:14','2022-07-08 13:42:14'),(823,772,NULL,0,1.0000,0.0000,'2022-07-08 13:42:14','2022-07-08 13:42:14'),(824,773,NULL,0,3.0000,0.0000,'2022-07-08 15:02:57','2022-07-08 15:02:57'),(825,774,NULL,0,1.0000,0.0000,'2022-07-08 15:06:00','2022-07-08 15:06:00'),(826,775,NULL,0,1.0000,0.0000,'2022-07-08 15:06:00','2022-07-08 15:06:00'),(827,776,NULL,0,1.0000,0.0000,'2022-07-08 15:06:00','2022-07-08 15:06:00'),(828,777,NULL,0,1.0000,0.0000,'2022-07-08 15:06:00','2022-07-08 15:06:00'),(829,778,NULL,0,1.0000,0.0000,'2022-07-08 15:12:55','2022-07-08 15:12:55'),(830,779,NULL,0,1.0000,0.0000,'2022-07-08 15:12:55','2022-07-08 15:12:55'),(831,780,NULL,0,1.0000,0.0000,'2022-07-08 15:12:55','2022-07-08 15:12:55'),(832,781,NULL,0,1.0000,0.0000,'2022-07-08 16:47:58','2022-07-08 16:47:58'),(833,782,NULL,0,1.0000,0.0000,'2022-07-08 18:18:01','2022-07-08 18:18:01'),(834,783,NULL,0,1.0000,0.0000,'2022-07-08 19:02:12','2022-07-08 19:02:12'),(835,784,NULL,0,1.0000,0.0000,'2022-07-08 19:02:12','2022-07-08 19:02:12'),(836,785,NULL,0,1.0000,0.0000,'2022-07-08 19:18:33','2022-07-08 19:18:33'),(837,786,NULL,0,1.0000,0.0000,'2022-07-08 19:18:33','2022-07-08 19:18:33'),(838,787,NULL,0,1.0000,0.0000,'2022-07-08 19:18:33','2022-07-08 19:18:33'),(839,788,NULL,0,1.0000,0.0000,'2022-07-08 20:45:31','2022-07-08 20:45:31'),(840,789,NULL,0,1.0000,0.0000,'2022-07-08 20:45:31','2022-07-08 20:45:31'),(841,790,NULL,0,1.0000,0.0000,'2022-07-08 20:47:02','2022-07-08 20:47:02'),(842,791,NULL,0,1.0000,0.0000,'2022-07-08 20:48:30','2022-07-08 20:48:30'),(843,792,NULL,0,1.0000,0.0000,'2022-07-08 22:05:41','2022-07-08 22:05:41'),(844,793,NULL,0,1.0000,0.0000,'2022-07-09 12:47:40','2022-07-09 12:47:40'),(845,794,NULL,0,1.0000,0.0000,'2022-07-09 12:47:40','2022-07-09 12:47:40'),(846,795,NULL,0,2.0000,0.0000,'2022-07-09 16:32:29','2022-07-09 16:32:29'),(847,796,NULL,0,2.0000,0.0000,'2022-07-09 16:32:29','2022-07-09 16:32:29'),(848,797,NULL,0,2.0000,0.0000,'2022-07-09 16:47:23','2022-07-09 16:47:23'),(849,798,NULL,0,2.0000,0.0000,'2022-07-09 16:47:23','2022-07-09 16:47:23'),(850,799,NULL,0,1.0000,0.0000,'2022-07-09 16:47:23','2022-07-09 16:47:23'),(851,800,NULL,0,1.0000,0.0000,'2022-07-09 16:47:23','2022-07-09 16:47:23'),(852,801,NULL,0,1.0000,0.0000,'2022-07-09 16:47:23','2022-07-09 16:47:23'),(853,802,NULL,0,2.0000,0.0000,'2022-07-11 13:11:59','2022-07-11 13:11:59'),(854,803,NULL,0,1.0000,0.0000,'2022-07-11 13:11:59','2022-07-11 13:11:59'),(855,804,NULL,0,1.0000,0.0000,'2022-07-11 14:06:43','2022-07-11 14:06:43'),(856,805,NULL,0,1.0000,0.0000,'2022-07-11 15:14:21','2022-07-11 15:14:21'),(857,806,NULL,0,1.0000,0.0000,'2022-07-11 15:14:21','2022-07-11 15:14:21'),(858,807,NULL,0,3.0000,0.0000,'2022-07-11 16:20:40','2022-07-11 16:20:40'),(859,811,NULL,0,1.0000,0.0000,'2022-07-11 19:04:23','2022-07-11 19:04:23'),(860,808,NULL,0,1.0000,0.0000,'2022-07-11 19:38:54','2022-07-11 19:38:54'),(861,809,NULL,0,1.0000,0.0000,'2022-07-11 19:38:54','2022-07-11 19:38:54'),(862,810,NULL,0,1.0000,0.0000,'2022-07-11 19:38:54','2022-07-11 19:38:54'),(863,812,NULL,0,1.0000,0.0000,'2022-07-11 19:55:28','2022-07-11 19:55:28'),(864,813,NULL,0,1.0000,0.0000,'2022-07-11 19:55:28','2022-07-11 19:55:28'),(865,814,NULL,0,2.0000,0.0000,'2022-07-11 21:06:35','2022-07-11 21:06:35'),(866,815,NULL,0,1.0000,0.0000,'2022-07-11 21:06:35','2022-07-11 21:06:35'),(867,816,NULL,0,2.0000,0.0000,'2022-07-11 21:09:11','2022-07-11 21:09:11'),(868,817,NULL,0,1.0000,0.0000,'2022-07-11 21:09:11','2022-07-11 21:09:11'),(869,818,NULL,0,1.0000,0.0000,'2022-07-11 21:10:15','2022-07-11 21:10:15'),(870,819,NULL,0,1.0000,0.0000,'2022-07-11 21:10:15','2022-07-11 21:10:15'),(871,820,NULL,0,2.0000,0.0000,'2022-07-11 21:10:40','2022-07-11 21:10:40'),(872,821,NULL,0,1.0000,0.0000,'2022-07-11 21:11:25','2022-07-11 21:11:25'),(873,822,NULL,0,1.0000,0.0000,'2022-07-12 13:11:24','2022-07-12 13:11:24'),(874,823,NULL,0,1.0000,0.0000,'2022-07-12 13:22:41','2022-07-12 13:22:41'),(875,824,NULL,0,1.0000,0.0000,'2022-07-12 13:22:41','2022-07-12 13:22:41'),(876,825,NULL,0,1.0000,0.0000,'2022-07-12 13:36:33','2022-07-12 13:36:33'),(877,826,NULL,0,1.0000,0.0000,'2022-07-12 13:36:33','2022-07-12 13:36:33'),(878,827,NULL,0,1.0000,0.0000,'2022-07-12 13:36:33','2022-07-12 13:36:33'),(879,828,NULL,0,1.0000,0.0000,'2022-07-12 13:36:33','2022-07-12 13:36:33'),(880,829,NULL,0,1.0000,0.0000,'2022-07-12 14:34:31','2022-07-12 14:34:31'),(881,830,NULL,0,1.0000,0.0000,'2022-07-12 14:35:40','2022-07-12 14:35:40'),(882,831,NULL,0,1.0000,0.0000,'2022-07-12 14:35:40','2022-07-12 14:35:40'),(883,832,NULL,0,1.0000,0.0000,'2022-07-12 15:25:57','2022-07-12 15:25:57'),(884,833,NULL,0,1.0000,0.0000,'2022-07-12 15:25:57','2022-07-12 15:25:57'),(885,834,NULL,0,3.0000,0.0000,'2022-07-12 16:40:56','2022-07-12 16:40:56'),(886,835,NULL,0,1.0000,0.0000,'2022-07-12 18:03:49','2022-07-12 18:03:49'),(887,836,NULL,0,1.0000,0.0000,'2022-07-12 18:03:49','2022-07-12 18:03:49'),(888,837,NULL,0,2.0000,0.0000,'2022-07-12 18:03:49','2022-07-12 18:03:49'),(889,838,NULL,0,1.0000,0.0000,'2022-07-12 18:18:03','2022-07-12 18:18:03'),(890,839,NULL,0,1.0000,0.0000,'2022-07-12 19:31:23','2022-07-12 19:31:23'),(891,840,NULL,0,1.0000,0.0000,'2022-07-12 19:31:23','2022-07-12 19:31:23'),(892,841,NULL,0,2.0000,0.0000,'2022-07-12 19:31:23','2022-07-12 19:31:23'),(893,842,NULL,0,1.0000,0.0000,'2022-07-12 19:31:23','2022-07-12 19:31:23'),(894,843,NULL,0,1.0000,0.0000,'2022-07-12 19:46:56','2022-07-12 19:46:56'),(895,844,NULL,0,2.0000,0.0000,'2022-07-12 21:42:00','2022-07-12 21:42:00'),(896,845,NULL,0,1.0000,0.0000,'2022-07-12 21:42:00','2022-07-12 21:42:00'),(897,846,NULL,0,1.0000,0.0000,'2022-07-12 21:54:45','2022-07-12 21:54:45'),(898,847,NULL,0,1.0000,0.0000,'2022-07-13 12:22:17','2022-07-13 12:22:17'),(899,848,NULL,0,1.0000,0.0000,'2022-07-13 14:22:59','2022-07-13 14:22:59'),(900,849,NULL,0,1.0000,0.0000,'2022-07-13 14:22:59','2022-07-13 14:22:59'),(901,850,NULL,0,1.0000,0.0000,'2022-07-13 14:48:57','2022-07-13 14:48:57'),(902,851,NULL,0,1.0000,0.0000,'2022-07-13 14:48:57','2022-07-13 14:48:57'),(903,852,NULL,0,1.0000,0.0000,'2022-07-13 14:48:57','2022-07-13 14:48:57'),(904,853,NULL,0,2.0000,0.0000,'2022-07-13 14:50:20','2022-07-13 14:50:20'),(905,854,NULL,0,1.0000,0.0000,'2022-07-13 14:50:20','2022-07-13 14:50:20'),(906,855,NULL,0,1.0000,0.0000,'2022-07-13 14:53:48','2022-07-13 14:53:48'),(907,856,NULL,0,1.0000,0.0000,'2022-07-13 15:43:42','2022-07-13 15:43:42'),(908,857,NULL,0,1.0000,0.0000,'2022-07-13 15:43:42','2022-07-13 15:43:42'),(909,858,NULL,0,1.0000,0.0000,'2022-07-13 15:43:42','2022-07-13 15:43:42'),(910,859,NULL,0,1.0000,0.0000,'2022-07-13 15:43:42','2022-07-13 15:43:42'),(911,860,NULL,0,1.0000,0.0000,'2022-07-13 16:56:50','2022-07-13 16:56:50'),(912,861,NULL,0,1.0000,0.0000,'2022-07-13 17:17:52','2022-07-13 17:17:52'),(913,862,NULL,0,1.0000,0.0000,'2022-07-13 18:15:29','2022-07-13 18:15:29'),(914,863,NULL,0,1.0000,0.0000,'2022-07-13 18:17:04','2022-07-13 18:17:04'),(915,864,NULL,0,1.0000,0.0000,'2022-07-13 20:21:55','2022-07-13 20:21:55'),(916,865,NULL,0,1.0000,0.0000,'2022-07-13 20:21:55','2022-07-13 20:21:55'),(917,866,NULL,0,1.0000,0.0000,'2022-07-13 20:31:22','2022-07-13 20:31:22'),(918,867,NULL,0,1.0000,0.0000,'2022-07-13 20:32:09','2022-07-13 20:32:09'),(919,868,NULL,0,1.0000,0.0000,'2022-07-13 23:13:14','2022-07-13 23:13:14'),(920,869,NULL,0,1.0000,0.0000,'2022-07-13 23:13:14','2022-07-13 23:13:14'),(921,870,NULL,0,2.0000,0.0000,'2022-07-13 23:13:14','2022-07-13 23:13:14'),(922,871,NULL,0,1.0000,0.0000,'2022-07-13 23:13:14','2022-07-13 23:13:14'),(923,872,NULL,0,1.0000,0.0000,'2022-07-13 23:13:14','2022-07-13 23:13:14'),(924,873,NULL,0,1.0000,0.0000,'2022-07-13 23:13:14','2022-07-13 23:13:14'),(925,874,NULL,0,1.0000,0.0000,'2022-07-14 12:25:39','2022-07-14 12:25:39'),(926,875,NULL,0,1.0000,0.0000,'2022-07-14 12:25:39','2022-07-14 12:25:39'),(927,876,NULL,0,1.0000,0.0000,'2022-07-14 12:49:07','2022-07-14 12:49:07'),(928,877,NULL,0,1.0000,0.0000,'2022-07-14 12:49:07','2022-07-14 12:49:07'),(929,878,NULL,0,1.0000,0.0000,'2022-07-14 12:49:52','2022-07-14 12:49:52'),(930,879,NULL,0,1.0000,0.0000,'2022-07-14 12:49:52','2022-07-14 12:49:52'),(931,880,NULL,0,1.0000,0.0000,'2022-07-14 12:50:49','2022-07-14 12:50:49'),(932,881,NULL,0,1.0000,0.0000,'2022-07-14 14:00:52','2022-07-14 14:00:52'),(933,882,NULL,0,1.0000,0.0000,'2022-07-14 14:00:52','2022-07-14 14:00:52'),(934,883,NULL,0,4.0000,0.0000,'2022-07-14 14:00:52','2022-07-14 14:00:52'),(935,884,NULL,0,1.0000,0.0000,'2022-07-14 14:00:52','2022-07-14 14:00:52'),(936,885,NULL,0,1.0000,0.0000,'2022-07-14 14:00:52','2022-07-14 14:00:52'),(937,886,NULL,0,1.0000,0.0000,'2022-07-14 14:00:52','2022-07-14 14:00:52'),(938,887,NULL,0,1.0000,0.0000,'2022-07-14 14:00:52','2022-07-14 14:00:52'),(939,888,NULL,0,1.0000,0.0000,'2022-07-14 14:36:08','2022-07-14 14:36:08'),(940,889,NULL,0,3.0000,0.0000,'2022-07-14 15:19:30','2022-07-14 15:19:30'),(941,890,NULL,0,1.0000,0.0000,'2022-07-14 15:19:30','2022-07-14 15:19:30'),(942,891,NULL,0,2.0000,0.0000,'2022-07-14 15:32:06','2022-07-14 15:32:06'),(943,892,NULL,0,6.0000,0.0000,'2022-07-14 16:23:32','2022-07-14 16:23:32'),(944,893,NULL,0,6.0000,0.0000,'2022-07-14 16:23:32','2022-07-14 16:23:32'),(945,894,NULL,0,6.0000,0.0000,'2022-07-14 16:23:32','2022-07-14 16:23:32'),(946,895,NULL,0,1.0000,0.0000,'2022-07-14 17:30:17','2022-07-14 17:30:17'),(947,896,NULL,0,1.0000,0.0000,'2022-07-14 17:30:17','2022-07-14 17:30:17'),(948,897,NULL,0,1.0000,0.0000,'2022-07-14 17:30:17','2022-07-14 17:30:17'),(949,898,NULL,0,1.0000,0.0000,'2022-07-14 18:36:40','2022-07-14 18:36:40'),(950,899,NULL,0,2.0000,0.0000,'2022-07-14 19:00:21','2022-07-14 19:00:21'),(951,900,NULL,0,1.0000,0.0000,'2022-07-14 19:00:21','2022-07-14 19:00:21'),(952,901,NULL,0,1.0000,0.0000,'2022-07-14 19:51:55','2022-07-14 19:51:55'),(953,902,NULL,0,1.0000,0.0000,'2022-07-14 19:51:55','2022-07-14 19:51:55'),(954,903,NULL,0,1.0000,0.0000,'2022-07-14 19:51:55','2022-07-14 19:51:55'),(955,904,NULL,0,1.0000,0.0000,'2022-07-14 20:06:11','2022-07-14 20:06:11'),(956,905,NULL,0,1.0000,0.0000,'2022-07-14 20:06:11','2022-07-14 20:06:11'),(957,906,NULL,0,1.0000,0.0000,'2022-07-14 20:06:11','2022-07-14 20:06:11'),(958,907,NULL,0,1.0000,0.0000,'2022-07-14 20:23:04','2022-07-14 20:23:04'),(959,908,NULL,0,1.0000,0.0000,'2022-07-14 20:37:31','2022-07-14 20:37:31'),(960,909,NULL,0,1.0000,0.0000,'2022-07-14 20:37:31','2022-07-14 20:37:31'),(961,910,NULL,0,1.0000,0.0000,'2022-07-14 22:31:14','2022-07-14 22:31:14'),(962,911,NULL,0,2.0000,0.0000,'2022-07-14 22:37:07','2022-07-14 22:37:07'),(963,912,NULL,0,1.0000,0.0000,'2022-07-15 12:38:06','2022-07-15 12:38:06'),(964,913,NULL,0,1.0000,0.0000,'2022-07-15 12:38:06','2022-07-15 12:38:06'),(965,914,NULL,0,1.0000,0.0000,'2022-07-15 12:38:06','2022-07-15 12:38:06'),(966,915,NULL,0,1.0000,0.0000,'2022-07-15 12:38:06','2022-07-15 12:38:06'),(967,916,NULL,0,1.0000,0.0000,'2022-07-15 13:09:57','2022-07-15 13:09:57'),(968,917,NULL,0,1.0000,0.0000,'2022-07-15 14:45:00','2022-07-15 14:45:00'),(969,918,NULL,0,1.0000,0.0000,'2022-07-15 14:45:00','2022-07-15 14:45:00'),(970,919,NULL,0,1.0000,0.0000,'2022-07-15 14:45:00','2022-07-15 14:45:00'),(971,920,NULL,0,1.0000,0.0000,'2022-07-15 15:55:35','2022-07-15 15:55:35'),(972,921,NULL,0,2.0000,0.0000,'2022-07-15 15:55:35','2022-07-15 15:55:35'),(973,922,NULL,0,1.0000,0.0000,'2022-07-15 17:44:32','2022-07-15 17:44:32'),(974,923,NULL,0,1.0000,0.0000,'2022-07-15 19:59:23','2022-07-15 19:59:23'),(975,924,NULL,0,1.0000,0.0000,'2022-07-15 19:59:23','2022-07-15 19:59:23'),(976,925,NULL,0,1.0000,0.0000,'2022-07-15 19:59:23','2022-07-15 19:59:23'),(977,926,NULL,0,1.0000,0.0000,'2022-07-15 20:18:29','2022-07-15 20:18:29'),(978,927,NULL,0,2.0000,0.0000,'2022-07-15 22:22:47','2022-07-15 22:22:47'),(979,928,NULL,0,2.0000,0.0000,'2022-07-15 22:22:47','2022-07-15 22:22:47'),(980,929,NULL,0,1.0000,0.0000,'2022-07-15 22:22:47','2022-07-15 22:22:47'),(981,930,NULL,0,2.0000,0.0000,'2022-07-15 22:22:47','2022-07-15 22:22:47'),(982,931,NULL,0,2.0000,0.0000,'2022-07-15 22:22:47','2022-07-15 22:22:47'),(983,932,NULL,0,1.0000,0.0000,'2022-07-15 22:22:47','2022-07-15 22:22:47'),(985,934,NULL,0,1.0000,0.0000,'2022-07-16 13:22:02','2022-07-16 13:22:02'),(986,935,NULL,0,1.0000,0.0000,'2022-07-16 13:22:02','2022-07-16 13:22:02'),(987,936,NULL,0,2.0000,0.0000,'2022-07-16 14:01:56','2022-07-16 14:01:56'),(988,937,NULL,0,1.0000,0.0000,'2022-07-16 14:01:56','2022-07-16 14:01:56'),(989,938,NULL,0,1.0000,0.0000,'2022-07-16 14:06:18','2022-07-16 14:06:18'),(990,939,NULL,0,2.0000,0.0000,'2022-07-16 14:33:12','2022-07-16 14:33:12'),(991,940,NULL,0,1.0000,0.0000,'2022-07-16 14:42:14','2022-07-16 14:42:14'),(992,941,NULL,0,1.0000,0.0000,'2022-07-16 14:42:14','2022-07-16 14:42:14'),(993,942,NULL,0,1.0000,0.0000,'2022-07-16 16:03:33','2022-07-16 16:03:33'),(994,943,NULL,0,1.0000,0.0000,'2022-07-16 16:03:33','2022-07-16 16:03:33'),(995,944,NULL,0,1.0000,0.0000,'2022-07-16 17:10:25','2022-07-16 17:10:25'),(996,945,NULL,0,1.0000,0.0000,'2022-07-16 17:10:25','2022-07-16 17:10:25'),(997,946,NULL,0,1.0000,0.0000,'2022-07-16 17:10:25','2022-07-16 17:10:25'),(998,947,NULL,0,1.0000,0.0000,'2022-07-16 17:10:25','2022-07-16 17:10:25'),(999,948,NULL,0,1.0000,0.0000,'2022-07-16 17:10:25','2022-07-16 17:10:25'),(1000,949,NULL,0,1.0000,0.0000,'2022-07-16 17:13:18','2022-07-16 17:13:18'),(1001,950,NULL,0,1.0000,0.0000,'2022-07-16 18:54:52','2022-07-16 18:54:52'),(1002,951,NULL,0,1.0000,0.0000,'2022-07-16 22:16:16','2022-07-16 22:16:16'),(1003,952,NULL,0,1.0000,0.0000,'2022-07-16 22:16:16','2022-07-16 22:16:16'),(1004,953,NULL,0,1.0000,0.0000,'2022-07-16 22:16:16','2022-07-16 22:16:16'),(1005,954,NULL,0,1.0000,0.0000,'2022-07-18 14:02:28','2022-07-18 14:02:28'),(1006,955,NULL,0,1.0000,0.0000,'2022-07-18 14:02:28','2022-07-18 14:02:28'),(1007,956,NULL,0,1.0000,0.0000,'2022-07-18 14:02:28','2022-07-18 14:02:28'),(1008,957,NULL,0,1.0000,0.0000,'2022-07-18 14:02:51','2022-07-18 14:02:51'),(1009,958,NULL,0,1.0000,0.0000,'2022-07-18 14:02:51','2022-07-18 14:02:51'),(1010,959,NULL,0,1.0000,0.0000,'2022-07-18 14:47:53','2022-07-18 14:47:53'),(1011,960,NULL,0,2.0000,0.0000,'2022-07-18 14:47:53','2022-07-18 14:47:53'),(1012,961,NULL,0,1.0000,0.0000,'2022-07-18 14:47:53','2022-07-18 14:47:53'),(1013,962,NULL,0,1.0000,0.0000,'2022-07-18 15:25:30','2022-07-18 15:25:30'),(1014,963,NULL,0,1.0000,0.0000,'2022-07-18 15:38:23','2022-07-18 15:38:23'),(1015,964,NULL,0,1.0000,0.0000,'2022-07-18 15:38:23','2022-07-18 15:38:23'),(1016,965,NULL,0,1.0000,0.0000,'2022-07-18 15:38:23','2022-07-18 15:38:23'),(1017,966,NULL,0,2.0000,0.0000,'2022-07-18 17:04:18','2022-07-18 17:04:18'),(1018,967,NULL,0,2.0000,0.0000,'2022-07-18 17:21:09','2022-07-18 17:21:09'),(1019,968,NULL,0,6.0000,0.0000,'2022-07-18 17:21:09','2022-07-18 17:21:09'),(1020,969,NULL,0,1.0000,0.0000,'2022-07-18 19:17:40','2022-07-18 19:17:40'),(1021,970,NULL,0,1.0000,0.0000,'2022-07-18 19:58:42','2022-07-18 19:58:42'),(1022,971,NULL,0,1.0000,0.0000,'2022-07-18 19:58:42','2022-07-18 19:58:42'),(1023,972,NULL,0,1.0000,0.0000,'2022-07-18 20:44:49','2022-07-18 20:44:49'),(1024,973,NULL,0,1.0000,0.0000,'2022-07-18 20:44:49','2022-07-18 20:44:49'),(1025,974,NULL,0,1.0000,0.0000,'2022-07-18 20:44:49','2022-07-18 20:44:49'),(1026,975,NULL,0,2.0000,0.0000,'2022-07-18 20:54:00','2022-07-18 20:54:00'),(1027,976,NULL,0,1.0000,0.0000,'2022-07-18 20:57:05','2022-07-18 20:57:05'),(1028,977,NULL,0,4.0000,0.0000,'2022-07-18 21:23:11','2022-07-18 21:23:11'),(1029,978,NULL,0,1.0000,0.0000,'2022-07-18 22:48:52','2022-07-18 22:48:52'),(1030,979,NULL,0,2.0000,0.0000,'2022-07-19 12:38:52','2022-07-19 12:38:52'),(1031,980,NULL,0,2.0000,0.0000,'2022-07-19 12:38:52','2022-07-19 12:38:52'),(1032,981,NULL,0,2.0000,0.0000,'2022-07-19 12:55:47','2022-07-19 12:55:47'),(1033,982,NULL,0,1.0000,0.0000,'2022-07-19 13:03:08','2022-07-19 13:03:08'),(1034,983,NULL,0,1.0000,0.0000,'2022-07-19 13:03:08','2022-07-19 13:03:08'),(1035,984,NULL,0,1.0000,0.0000,'2022-07-19 13:03:08','2022-07-19 13:03:08'),(1036,985,NULL,0,1.0000,0.0000,'2022-07-19 13:28:53','2022-07-19 13:28:53'),(1037,986,NULL,0,1.0000,0.0000,'2022-07-19 13:48:38','2022-07-19 13:48:38'),(1038,987,NULL,0,1.0000,0.0000,'2022-07-19 13:48:38','2022-07-19 13:48:38'),(1039,988,NULL,0,1.0000,0.0000,'2022-07-19 13:48:38','2022-07-19 13:48:38'),(1040,989,NULL,0,2.0000,0.0000,'2022-07-19 13:48:38','2022-07-19 13:48:38'),(1041,990,NULL,0,1.0000,0.0000,'2022-07-19 14:21:48','2022-07-19 14:21:48'),(1042,991,NULL,0,1.0000,0.0000,'2022-07-19 14:21:48','2022-07-19 14:21:48'),(1043,992,NULL,0,1.0000,0.0000,'2022-07-19 14:21:48','2022-07-19 14:21:48'),(1044,993,NULL,0,1.0000,0.0000,'2022-07-19 14:21:48','2022-07-19 14:21:48'),(1045,994,NULL,0,1.0000,0.0000,'2022-07-19 14:44:03','2022-07-19 14:44:03'),(1046,995,NULL,0,1.0000,0.0000,'2022-07-19 16:24:20','2022-07-19 16:24:20'),(1047,996,NULL,0,1.0000,0.0000,'2022-07-19 16:30:27','2022-07-19 16:30:27'),(1048,997,NULL,0,1.0000,0.0000,'2022-07-19 16:30:27','2022-07-19 16:30:27'),(1049,998,NULL,0,1.0000,0.0000,'2022-07-19 16:30:27','2022-07-19 16:30:27'),(1050,999,NULL,0,1.0000,0.0000,'2022-07-19 16:34:56','2022-07-19 16:34:56'),(1051,1000,NULL,0,1.0000,0.0000,'2022-07-19 16:49:04','2022-07-19 16:49:04'),(1052,1001,NULL,0,1.0000,0.0000,'2022-07-19 17:47:36','2022-07-19 17:47:36'),(1053,1002,NULL,0,2.0000,0.0000,'2022-07-19 17:59:52','2022-07-19 17:59:52'),(1054,1003,NULL,0,1.0000,0.0000,'2022-07-19 17:59:52','2022-07-19 17:59:52'),(1055,1004,NULL,0,1.0000,0.0000,'2022-07-19 17:59:52','2022-07-19 17:59:52'),(1056,1005,NULL,0,1.0000,0.0000,'2022-07-19 18:58:46','2022-07-19 18:58:46'),(1057,1006,NULL,0,1.0000,0.0000,'2022-07-19 18:58:46','2022-07-19 18:58:46'),(1058,1007,NULL,0,2.0000,0.0000,'2022-07-19 18:58:46','2022-07-19 18:58:46'),(1059,1008,NULL,0,1.0000,0.0000,'2022-07-19 18:58:46','2022-07-19 18:58:46'),(1060,1009,NULL,0,1.0000,0.0000,'2022-07-19 18:58:46','2022-07-19 18:58:46'),(1061,1010,NULL,0,1.0000,0.0000,'2022-07-19 20:09:04','2022-07-19 20:09:04'),(1062,1011,NULL,0,1.0000,0.0000,'2022-07-19 20:09:04','2022-07-19 20:09:04'),(1063,1012,NULL,0,1.0000,0.0000,'2022-07-19 20:09:04','2022-07-19 20:09:04'),(1064,1013,NULL,0,1.0000,0.0000,'2022-07-19 21:19:00','2022-07-19 21:19:00'),(1065,1014,NULL,0,1.0000,0.0000,'2022-07-19 21:19:00','2022-07-19 21:19:00'),(1066,1015,NULL,0,2.0000,0.0000,'2022-07-19 22:16:16','2022-07-19 22:16:16'),(1067,1016,NULL,0,1.0000,0.0000,'2022-07-19 22:16:16','2022-07-19 22:16:16'),(1068,1017,NULL,0,1.0000,0.0000,'2022-07-19 22:59:05','2022-07-19 22:59:05'),(1069,1018,NULL,0,1.0000,0.0000,'2022-07-19 22:59:05','2022-07-19 22:59:05'),(1070,1019,NULL,0,1.0000,0.0000,'2022-07-19 22:59:05','2022-07-19 22:59:05'),(1071,1020,NULL,0,2.0000,0.0000,'2022-07-19 22:59:05','2022-07-19 22:59:05'),(1072,1021,NULL,0,1.0000,0.0000,'2022-07-20 12:15:45','2022-07-20 12:15:45'),(1073,1022,NULL,0,1.0000,0.0000,'2022-07-20 12:15:45','2022-07-20 12:15:45'),(1074,1023,NULL,0,3.0000,0.0000,'2022-07-20 15:02:50','2022-07-20 15:02:50'),(1075,1024,NULL,0,1.0000,0.0000,'2022-07-20 15:09:40','2022-07-20 15:09:40'),(1076,1025,NULL,0,2.0000,0.0000,'2022-07-20 15:50:27','2022-07-20 15:50:27'),(1077,1026,NULL,0,2.0000,0.0000,'2022-07-20 15:50:27','2022-07-20 15:50:27'),(1078,1027,NULL,0,1.0000,0.0000,'2022-07-20 15:52:04','2022-07-20 15:52:04'),(1079,1028,NULL,0,1.0000,0.0000,'2022-07-20 17:53:33','2022-07-20 17:53:33'),(1080,1029,NULL,0,1.0000,0.0000,'2022-07-20 18:00:50','2022-07-20 18:00:50'),(1081,1030,NULL,0,2.0000,0.0000,'2022-07-20 18:12:59','2022-07-20 18:12:59'),(1082,1031,NULL,0,2.0000,0.0000,'2022-07-20 18:12:59','2022-07-20 18:12:59'),(1083,1032,NULL,0,1.0000,0.0000,'2022-07-20 18:12:59','2022-07-20 18:12:59'),(1084,1033,NULL,0,1.0000,0.0000,'2022-07-20 20:16:47','2022-07-20 20:16:47'),(1085,1034,NULL,0,1.0000,0.0000,'2022-07-20 20:16:47','2022-07-20 20:16:47'),(1086,1035,NULL,0,1.0000,0.0000,'2022-07-20 22:58:51','2022-07-20 22:58:51'),(1087,1036,NULL,0,2.0000,0.0000,'2022-07-21 12:18:27','2022-07-21 12:18:27'),(1088,1037,NULL,0,1.0000,0.0000,'2022-07-21 14:37:44','2022-07-21 14:37:44'),(1089,1038,NULL,0,1.0000,0.0000,'2022-07-21 14:37:44','2022-07-21 14:37:44'),(1090,1039,NULL,0,1.0000,0.0000,'2022-07-21 14:37:44','2022-07-21 14:37:44'),(1091,1040,NULL,0,2.0000,0.0000,'2022-07-21 14:37:44','2022-07-21 14:37:44'),(1092,1041,NULL,0,1.0000,0.0000,'2022-07-21 15:17:48','2022-07-21 15:17:48'),(1093,1042,NULL,0,1.0000,0.0000,'2022-07-21 15:31:20','2022-07-21 15:31:20'),(1094,1043,NULL,0,1.0000,0.0000,'2022-07-21 16:57:08','2022-07-21 16:57:08'),(1095,1044,NULL,0,2.0000,0.0000,'2022-07-21 16:57:08','2022-07-21 16:57:08'),(1096,1045,NULL,0,1.0000,0.0000,'2022-07-21 16:57:08','2022-07-21 16:57:08'),(1097,1046,NULL,0,1.0000,0.0000,'2022-07-21 16:57:08','2022-07-21 16:57:08'),(1098,1047,NULL,0,1.0000,0.0000,'2022-07-21 16:57:50','2022-07-21 16:57:50'),(1099,1048,NULL,0,1.0000,0.0000,'2022-07-21 18:27:15','2022-07-21 18:27:15'),(1100,1049,NULL,0,3.0000,0.0000,'2022-07-22 15:17:04','2022-07-22 15:17:04'),(1101,1050,NULL,0,1.0000,0.0000,'2022-07-22 15:17:04','2022-07-22 15:17:04'),(1102,1051,NULL,0,1.0000,0.0000,'2022-07-22 15:19:12','2022-07-22 15:19:12'),(1103,1052,NULL,0,1.0000,0.0000,'2022-07-22 15:19:12','2022-07-22 15:19:12'),(1104,1053,NULL,0,1.0000,0.0000,'2022-07-22 19:12:13','2022-07-22 19:12:13'),(1105,1054,NULL,0,1.0000,0.0000,'2022-07-22 22:47:05','2022-07-22 22:47:05'),(1106,1055,NULL,0,1.0000,0.0000,'2022-07-22 23:04:39','2022-07-22 23:04:39'),(1107,1056,NULL,0,1.0000,0.0000,'2022-07-23 13:14:45','2022-07-23 13:14:45'),(1108,1057,NULL,0,1.0000,0.0000,'2022-07-23 13:33:37','2022-07-23 13:33:37'),(1109,1058,NULL,0,1.0000,0.0000,'2022-07-23 13:45:03','2022-07-23 13:45:03'),(1110,1059,NULL,0,1.0000,0.0000,'2022-07-23 13:48:40','2022-07-23 13:48:40'),(1111,1060,NULL,0,1.0000,0.0000,'2022-07-23 13:48:40','2022-07-23 13:48:40'),(1112,1061,NULL,0,1.0000,0.0000,'2022-07-23 18:42:51','2022-07-23 18:42:51'),(1113,1062,NULL,0,1.0000,0.0000,'2022-07-23 18:46:11','2022-07-23 18:46:11'),(1114,1063,NULL,0,1.0000,0.0000,'2022-07-23 20:44:16','2022-07-23 20:44:16'),(1115,1064,NULL,0,1.0000,0.0000,'2022-07-23 20:44:16','2022-07-23 20:44:16'),(1116,1065,NULL,0,1.0000,0.0000,'2022-07-23 20:44:16','2022-07-23 20:44:16'),(1117,1066,NULL,0,1.0000,0.0000,'2022-07-23 22:52:36','2022-07-23 22:52:36'),(1118,1067,NULL,0,1.0000,0.0000,'2022-07-23 22:53:23','2022-07-23 22:53:23'),(1119,1068,NULL,0,1.0000,0.0000,'2022-07-25 14:28:34','2022-07-25 14:28:34'),(1120,1069,NULL,0,1.0000,0.0000,'2022-07-25 14:28:34','2022-07-25 14:28:34'),(1121,1070,NULL,0,1.0000,0.0000,'2022-07-25 14:53:11','2022-07-25 14:53:11'),(1122,1071,NULL,0,3.0000,0.0000,'2022-07-25 14:53:11','2022-07-25 14:53:11'),(1123,1072,NULL,0,1.0000,0.0000,'2022-07-25 14:53:11','2022-07-25 14:53:11'),(1124,1073,NULL,0,1.0000,0.0000,'2022-07-25 14:53:11','2022-07-25 14:53:11'),(1125,1074,NULL,0,1.0000,0.0000,'2022-07-25 15:10:12','2022-07-25 15:10:12'),(1126,1075,NULL,0,1.0000,0.0000,'2022-07-25 15:10:12','2022-07-25 15:10:12'),(1127,1076,NULL,0,1.0000,0.0000,'2022-07-25 15:10:12','2022-07-25 15:10:12'),(1128,1077,NULL,0,1.0000,0.0000,'2022-07-25 16:53:53','2022-07-25 16:53:53'),(1129,1078,NULL,0,2.0000,0.0000,'2022-07-25 16:53:53','2022-07-25 16:53:53'),(1130,1079,NULL,0,1.0000,0.0000,'2022-07-25 16:53:53','2022-07-25 16:53:53'),(1131,1080,NULL,0,1.0000,0.0000,'2022-07-25 17:07:19','2022-07-25 17:07:19'),(1132,1081,NULL,0,2.0000,0.0000,'2022-07-25 17:16:56','2022-07-25 17:16:56'),(1133,1082,NULL,0,1.0000,0.0000,'2022-07-25 17:16:56','2022-07-25 17:16:56'),(1134,1083,NULL,0,1.0000,0.0000,'2022-07-25 21:17:48','2022-07-25 21:17:48'),(1135,1084,NULL,0,1.0000,0.0000,'2022-07-26 13:09:33','2022-07-26 13:09:33'),(1136,1085,NULL,0,1.0000,0.0000,'2022-07-26 14:56:56','2022-07-26 14:56:56'),(1137,1086,NULL,0,1.0000,0.0000,'2022-07-26 14:56:56','2022-07-26 14:56:56'),(1138,1087,NULL,0,1.0000,0.0000,'2022-07-26 14:56:56','2022-07-26 14:56:56'),(1139,1088,NULL,0,1.0000,0.0000,'2022-07-26 14:59:11','2022-07-26 14:59:11'),(1140,1089,NULL,0,1.0000,0.0000,'2022-07-26 14:59:11','2022-07-26 14:59:11'),(1141,1090,NULL,0,2.0000,0.0000,'2022-07-26 16:57:29','2022-07-26 16:57:29'),(1142,1091,NULL,0,1.0000,0.0000,'2022-07-26 19:12:28','2022-07-26 19:12:28'),(1143,1092,NULL,0,1.0000,0.0000,'2022-07-26 19:12:28','2022-07-26 19:12:28'),(1144,1093,NULL,0,1.0000,0.0000,'2022-07-26 19:15:55','2022-07-26 19:15:55'),(1145,1094,NULL,0,1.0000,0.0000,'2022-07-26 19:15:55','2022-07-26 19:15:55'),(1146,1095,NULL,0,2.0000,0.0000,'2022-07-26 21:11:38','2022-07-26 21:11:38'),(1147,1096,NULL,0,1.0000,0.0000,'2022-07-26 21:45:00','2022-07-26 21:45:00'),(1148,1097,NULL,0,1.0000,0.0000,'2022-07-26 21:45:00','2022-07-26 21:45:00'),(1149,1098,NULL,0,1.0000,0.0000,'2022-07-26 22:03:23','2022-07-26 22:03:23'),(1150,1099,NULL,0,1.0000,0.0000,'2022-07-27 14:25:47','2022-07-27 14:25:47'),(1151,1100,NULL,0,1.0000,0.0000,'2022-07-27 14:25:47','2022-07-27 14:25:47'),(1152,1101,NULL,0,1.0000,0.0000,'2022-07-27 14:48:53','2022-07-27 14:48:53'),(1153,1102,NULL,0,1.0000,0.0000,'2022-07-27 15:03:57','2022-07-27 15:03:57'),(1154,1103,NULL,0,1.0000,0.0000,'2022-07-27 16:37:29','2022-07-27 16:37:29'),(1155,1104,NULL,0,1.0000,0.0000,'2022-07-27 17:57:00','2022-07-27 17:57:00'),(1156,1105,NULL,0,1.0000,0.0000,'2022-07-27 17:57:00','2022-07-27 17:57:00'),(1157,1106,NULL,0,1.0000,0.0000,'2022-07-27 20:29:56','2022-07-27 20:29:56'),(1158,1107,NULL,0,1.0000,0.0000,'2022-07-27 20:38:17','2022-07-27 20:38:17'),(1159,1108,NULL,0,1.0000,0.0000,'2022-07-27 21:03:52','2022-07-27 21:03:52'),(1160,1109,NULL,0,1.0000,0.0000,'2022-07-27 21:03:52','2022-07-27 21:03:52'),(1161,1110,NULL,0,1.0000,0.0000,'2022-07-27 21:03:52','2022-07-27 21:03:52'),(1162,1111,NULL,0,1.0000,0.0000,'2022-07-27 21:25:52','2022-07-27 21:25:52'),(1163,1112,NULL,0,1.0000,0.0000,'2022-07-27 22:02:58','2022-07-27 22:02:58'),(1164,1113,NULL,0,1.0000,0.0000,'2022-07-27 22:02:58','2022-07-27 22:02:58'),(1165,1114,NULL,0,1.0000,0.0000,'2022-07-27 22:03:23','2022-07-27 22:03:23'),(1166,1115,NULL,0,1.0000,0.0000,'2022-07-28 13:30:29','2022-07-28 13:30:29'),(1167,1116,NULL,0,1.0000,0.0000,'2022-07-28 13:30:29','2022-07-28 13:30:29'),(1168,1117,NULL,0,1.0000,0.0000,'2022-07-28 14:48:52','2022-07-28 14:48:52'),(1169,1118,NULL,0,2.0000,0.0000,'2022-07-28 15:44:54','2022-07-28 15:44:54'),(1170,1119,NULL,0,1.0000,0.0000,'2022-07-28 16:52:17','2022-07-28 16:52:17'),(1171,1120,NULL,0,1.0000,0.0000,'2022-07-28 17:41:16','2022-07-28 17:41:16'),(1172,1121,NULL,0,1.0000,0.0000,'2022-07-28 17:41:16','2022-07-28 17:41:16'),(1173,1122,NULL,0,1.0000,0.0000,'2022-07-28 17:41:16','2022-07-28 17:41:16'),(1174,1123,NULL,0,1.0000,0.0000,'2022-07-28 17:41:16','2022-07-28 17:41:16'),(1175,1124,NULL,0,1.0000,0.0000,'2022-07-28 21:10:45','2022-07-28 21:10:45'),(1176,1125,NULL,0,2.0000,0.0000,'2022-07-28 22:41:40','2022-07-28 22:41:40'),(1177,1126,NULL,0,1.0000,0.0000,'2022-07-28 22:41:40','2022-07-28 22:41:40'),(1178,1127,NULL,0,1.0000,0.0000,'2022-07-28 22:41:40','2022-07-28 22:41:40'),(1179,1128,NULL,0,1.0000,0.0000,'2022-07-28 22:41:40','2022-07-28 22:41:40'),(1180,1129,NULL,0,1.0000,0.0000,'2022-07-28 22:41:40','2022-07-28 22:41:40'),(1181,1130,NULL,0,2.0000,0.0000,'2022-07-29 12:55:18','2022-07-29 12:55:18'),(1182,1131,NULL,0,1.0000,0.0000,'2022-07-29 13:24:31','2022-07-29 13:24:31'),(1183,1132,NULL,0,1.0000,0.0000,'2022-07-29 15:30:49','2022-07-29 15:30:49'),(1184,1133,NULL,0,1.0000,0.0000,'2022-07-29 15:30:49','2022-07-29 15:30:49'),(1185,1134,NULL,0,1.0000,0.0000,'2022-07-29 15:30:49','2022-07-29 15:30:49'),(1186,1135,NULL,0,1.0000,0.0000,'2022-07-29 17:04:12','2022-07-29 17:04:12'),(1187,1136,NULL,0,1.0000,0.0000,'2022-07-29 17:04:12','2022-07-29 17:04:12'),(1188,1137,NULL,0,1.0000,0.0000,'2022-07-29 17:04:12','2022-07-29 17:04:12'),(1189,1138,NULL,0,2.0000,0.0000,'2022-07-29 19:31:08','2022-07-29 19:31:08'),(1190,1139,NULL,0,1.0000,0.0000,'2022-07-29 19:34:38','2022-07-29 19:34:38'),(1191,1140,NULL,0,1.0000,0.0000,'2022-07-29 19:34:38','2022-07-29 19:34:38'),(1192,1141,NULL,0,1.0000,0.0000,'2022-07-29 20:54:37','2022-07-29 20:54:37'),(1193,1142,NULL,0,1.0000,0.0000,'2022-07-29 20:54:37','2022-07-29 20:54:37'),(1194,1143,NULL,0,3.0000,0.0000,'2022-07-29 20:54:37','2022-07-29 20:54:37'),(1195,1144,NULL,0,1.0000,0.0000,'2022-07-29 21:29:27','2022-07-29 21:29:27'),(1196,1145,NULL,0,1.0000,0.0000,'2022-07-29 21:29:27','2022-07-29 21:29:27'),(1197,1146,NULL,0,1.0000,0.0000,'2022-07-29 21:29:27','2022-07-29 21:29:27'),(1204,1150,NULL,0,1.0000,0.0000,'2022-07-30 14:12:25','2022-07-30 14:12:25'),(1205,1151,NULL,0,1.0000,0.0000,'2022-07-30 14:12:25','2022-07-30 14:12:25'),(1206,1152,NULL,0,2.0000,0.0000,'2022-07-30 14:12:25','2022-07-30 14:12:25'),(1207,1153,NULL,0,1.0000,0.0000,'2022-07-30 14:14:00','2022-07-30 14:14:00'),(1208,1154,NULL,0,1.0000,0.0000,'2022-07-30 14:14:00','2022-07-30 14:14:00'),(1209,1155,NULL,0,1.0000,0.0000,'2022-07-30 14:14:00','2022-07-30 14:14:00'),(1210,1156,NULL,0,1.0000,0.0000,'2022-07-30 14:14:00','2022-07-30 14:14:00'),(1211,1157,NULL,0,1.0000,0.0000,'2022-07-30 14:28:58','2022-07-30 14:28:58'),(1212,1158,NULL,0,3.0000,0.0000,'2022-07-30 17:14:01','2022-07-30 17:14:01'),(1213,1159,NULL,0,1.0000,0.0000,'2022-07-30 17:14:01','2022-07-30 17:14:01'),(1214,1160,NULL,0,2.0000,0.0000,'2022-07-30 18:09:33','2022-07-30 18:09:33'),(1215,1161,NULL,0,2.0000,0.0000,'2022-07-30 18:09:33','2022-07-30 18:09:33'),(1216,1162,NULL,0,1.0000,0.0000,'2022-07-30 18:09:33','2022-07-30 18:09:33'),(1217,1163,NULL,0,1.0000,0.0000,'2022-07-30 18:09:33','2022-07-30 18:09:33'),(1218,1164,NULL,0,1.0000,0.0000,'2022-07-30 18:39:21','2022-07-30 18:39:21'),(1219,1165,NULL,0,2.0000,0.0000,'2022-07-30 22:10:25','2022-07-30 22:10:25'),(1220,1166,NULL,0,1.0000,0.0000,'2022-07-30 22:53:55','2022-07-30 22:53:55'),(1221,1167,NULL,0,1.0000,0.0000,'2022-08-01 14:39:03','2022-08-01 14:39:03'),(1222,1168,NULL,0,2.0000,0.0000,'2022-08-01 14:39:03','2022-08-01 14:39:03'),(1223,1169,NULL,0,1.0000,0.0000,'2022-08-01 14:39:03','2022-08-01 14:39:03'),(1224,1170,NULL,0,1.0000,0.0000,'2022-08-01 14:39:26','2022-08-01 14:39:26'),(1225,1171,NULL,0,1.0000,0.0000,'2022-08-01 17:41:47','2022-08-01 17:41:47'),(1226,1172,NULL,0,1.0000,0.0000,'2022-08-01 17:41:47','2022-08-01 17:41:47'),(1227,1173,NULL,0,1.0000,0.0000,'2022-08-01 17:43:07','2022-08-01 17:43:07'),(1228,1174,NULL,0,1.0000,0.0000,'2022-08-01 18:21:14','2022-08-01 18:21:14'),(1229,1175,NULL,0,1.0000,0.0000,'2022-08-01 19:15:33','2022-08-01 19:15:33'),(1230,1176,NULL,0,1.0000,0.0000,'2022-08-01 19:15:33','2022-08-01 19:15:33'),(1231,1177,NULL,0,6.0000,0.0000,'2022-08-01 20:07:44','2022-08-01 20:07:44'),(1232,1178,NULL,0,1.0000,0.0000,'2022-08-01 20:07:44','2022-08-01 20:07:44'),(1233,1179,NULL,0,2.0000,0.0000,'2022-08-01 20:25:58','2022-08-01 20:25:58'),(1234,1180,NULL,0,1.0000,0.0000,'2022-08-01 20:28:58','2022-08-01 20:28:58'),(1235,1181,NULL,0,1.0000,0.0000,'2022-08-01 20:28:58','2022-08-01 20:28:58'),(1236,1182,NULL,0,1.0000,0.0000,'2022-08-01 20:28:58','2022-08-01 20:28:58'),(1237,1183,NULL,0,1.0000,0.0000,'2022-08-01 20:28:58','2022-08-01 20:28:58'),(1238,1184,NULL,0,1.0000,0.0000,'2022-08-01 20:28:58','2022-08-01 20:28:58'),(1239,1185,NULL,0,1.0000,0.0000,'2022-08-01 20:36:35','2022-08-01 20:36:35'),(1240,1186,NULL,0,4.0000,0.0000,'2022-08-01 21:37:28','2022-08-01 21:37:28'),(1241,1187,NULL,0,1.0000,0.0000,'2022-08-01 21:37:59','2022-08-01 21:37:59'),(1242,1188,NULL,0,1.0000,0.0000,'2022-08-01 21:37:59','2022-08-01 21:37:59'),(1243,1189,NULL,0,1.0000,0.0000,'2022-08-01 21:59:11','2022-08-01 21:59:11'),(1244,1190,NULL,0,1.0000,0.0000,'2022-08-01 22:01:31','2022-08-01 22:01:31'),(1245,1191,NULL,0,1.0000,0.0000,'2022-08-01 22:38:35','2022-08-01 22:38:35'),(1246,1192,NULL,0,1.0000,0.0000,'2022-08-01 22:38:35','2022-08-01 22:38:35'),(1247,1193,NULL,0,1.0000,0.0000,'2022-08-02 13:45:53','2022-08-02 13:45:53'),(1248,1194,NULL,0,1.0000,0.0000,'2022-08-02 13:45:53','2022-08-02 13:45:53'),(1249,1195,NULL,0,1.0000,0.0000,'2022-08-02 13:45:53','2022-08-02 13:45:53'),(1250,1196,NULL,0,1.0000,0.0000,'2022-08-02 14:01:13','2022-08-02 14:01:13'),(1251,1197,NULL,0,1.0000,0.0000,'2022-08-02 14:01:13','2022-08-02 14:01:13'),(1252,1198,NULL,0,1.0000,0.0000,'2022-08-02 14:01:13','2022-08-02 14:01:13'),(1253,1199,NULL,0,1.0000,0.0000,'2022-08-02 14:12:31','2022-08-02 14:12:31'),(1254,1200,NULL,0,1.0000,0.0000,'2022-08-02 14:12:31','2022-08-02 14:12:31'),(1255,1201,NULL,0,1.0000,0.0000,'2022-08-02 15:11:10','2022-08-02 15:11:10'),(1256,1202,NULL,0,1.0000,0.0000,'2022-08-02 15:11:10','2022-08-02 15:11:10'),(1257,1203,NULL,0,1.0000,0.0000,'2022-08-02 15:11:10','2022-08-02 15:11:10'),(1258,1204,NULL,0,1.0000,0.0000,'2022-08-02 15:11:10','2022-08-02 15:11:10'),(1259,1205,NULL,0,1.0000,0.0000,'2022-08-02 15:15:40','2022-08-02 15:15:40'),(1260,1206,NULL,0,1.0000,0.0000,'2022-08-02 15:15:40','2022-08-02 15:15:40'),(1261,1207,NULL,0,2.0000,0.0000,'2022-08-02 16:03:57','2022-08-02 16:03:57'),(1262,1208,NULL,0,4.0000,0.0000,'2022-08-02 18:32:00','2022-08-02 18:32:00'),(1263,1209,NULL,0,1.0000,0.0000,'2022-08-02 18:32:00','2022-08-02 18:32:00'),(1264,1210,NULL,0,1.0000,0.0000,'2022-08-02 18:32:00','2022-08-02 18:32:00'),(1265,1211,NULL,0,1.0000,0.0000,'2022-08-02 18:32:00','2022-08-02 18:32:00'),(1266,1212,NULL,0,1.0000,0.0000,'2022-08-02 20:45:37','2022-08-02 20:45:37'),(1267,1213,NULL,0,1.0000,0.0000,'2022-08-02 20:45:37','2022-08-02 20:45:37'),(1268,1214,NULL,0,1.0000,0.0000,'2022-08-02 20:45:37','2022-08-02 20:45:37'),(1269,1215,NULL,0,1.0000,0.0000,'2022-08-02 21:20:48','2022-08-02 21:20:48'),(1270,1216,NULL,0,1.0000,0.0000,'2022-08-02 21:20:48','2022-08-02 21:20:48'),(1271,1217,NULL,0,1.0000,0.0000,'2022-08-02 22:05:07','2022-08-02 22:05:07'),(1272,1218,NULL,0,1.0000,0.0000,'2022-08-02 22:05:07','2022-08-02 22:05:07'),(1273,1219,NULL,0,1.0000,0.0000,'2022-08-02 22:05:07','2022-08-02 22:05:07'),(1274,1220,NULL,0,1.0000,0.0000,'2022-08-03 13:23:39','2022-08-03 13:23:39'),(1275,1221,NULL,0,1.0000,0.0000,'2022-08-03 13:23:39','2022-08-03 13:23:39'),(1276,1222,NULL,0,1.0000,0.0000,'2022-08-03 13:47:46','2022-08-03 13:47:46'),(1277,1223,NULL,0,1.0000,0.0000,'2022-08-03 13:58:44','2022-08-03 13:58:44'),(1278,1224,NULL,0,1.0000,0.0000,'2022-08-03 13:58:44','2022-08-03 13:58:44'),(1279,1225,NULL,0,1.0000,0.0000,'2022-08-03 15:04:21','2022-08-03 15:04:21'),(1280,1226,NULL,0,1.0000,0.0000,'2022-08-03 15:04:21','2022-08-03 15:04:21'),(1281,1227,NULL,0,2.0000,0.0000,'2022-08-03 16:57:07','2022-08-03 16:57:07'),(1282,1228,NULL,0,1.0000,0.0000,'2022-08-03 17:03:32','2022-08-03 17:03:32'),(1283,1229,NULL,0,1.0000,0.0000,'2022-08-03 17:29:22','2022-08-03 17:29:22'),(1284,1230,NULL,0,1.0000,0.0000,'2022-08-03 17:29:22','2022-08-03 17:29:22'),(1285,1231,NULL,0,1.0000,0.0000,'2022-08-03 17:29:22','2022-08-03 17:29:22'),(1286,1232,NULL,0,1.0000,0.0000,'2022-08-03 17:29:22','2022-08-03 17:29:22'),(1287,1233,NULL,0,1.0000,0.0000,'2022-08-03 18:02:34','2022-08-03 18:02:34'),(1288,1234,NULL,0,2.0000,0.0000,'2022-08-04 13:09:45','2022-08-04 13:09:45'),(1289,1235,NULL,0,1.0000,0.0000,'2022-08-04 14:16:00','2022-08-04 14:16:00'),(1290,1236,NULL,0,1.0000,0.0000,'2022-08-04 15:08:27','2022-08-04 15:08:27'),(1291,1237,NULL,0,1.0000,0.0000,'2022-08-04 15:08:27','2022-08-04 15:08:27'),(1292,1238,NULL,0,1.0000,0.0000,'2022-08-04 19:01:41','2022-08-04 19:01:41'),(1293,1239,NULL,0,1.0000,0.0000,'2022-08-04 19:01:41','2022-08-04 19:01:41'),(1294,1240,NULL,0,1.0000,0.0000,'2022-08-04 19:26:34','2022-08-04 19:26:34'),(1295,1241,NULL,0,1.0000,0.0000,'2022-08-04 19:36:58','2022-08-04 19:36:58'),(1296,1242,NULL,0,1.0000,0.0000,'2022-08-04 19:44:04','2022-08-04 19:44:04'),(1297,1243,NULL,0,1.0000,0.0000,'2022-08-04 19:44:04','2022-08-04 19:44:04'),(1298,1244,NULL,0,1.0000,0.0000,'2022-08-04 19:44:04','2022-08-04 19:44:04'),(1299,1245,NULL,0,1.0000,0.0000,'2022-08-04 20:01:03','2022-08-04 20:01:03'),(1300,1246,NULL,0,1.0000,0.0000,'2022-08-04 20:01:03','2022-08-04 20:01:03'),(1301,1247,NULL,0,2.0000,0.0000,'2022-08-04 20:01:03','2022-08-04 20:01:03'),(1302,1248,NULL,0,1.0000,0.0000,'2022-08-04 20:01:03','2022-08-04 20:01:03'),(1303,1249,NULL,0,1.0000,0.0000,'2022-08-04 20:06:37','2022-08-04 20:06:37'),(1304,1250,NULL,0,1.0000,0.0000,'2022-08-04 20:06:37','2022-08-04 20:06:37'),(1305,1251,NULL,0,2.0000,0.0000,'2022-08-05 13:03:56','2022-08-05 13:03:56'),(1306,1252,NULL,0,1.0000,0.0000,'2022-08-05 13:25:47','2022-08-05 13:25:47'),(1307,1253,NULL,0,1.0000,0.0000,'2022-08-05 13:53:08','2022-08-05 13:53:08'),(1308,1254,NULL,0,1.0000,0.0000,'2022-08-05 13:53:08','2022-08-05 13:53:08'),(1309,1255,NULL,0,1.0000,0.0000,'2022-08-05 13:53:08','2022-08-05 13:53:08'),(1310,1256,NULL,0,1.0000,0.0000,'2022-08-05 14:08:46','2022-08-05 14:08:46'),(1311,1257,NULL,0,1.0000,0.0000,'2022-08-05 14:08:46','2022-08-05 14:08:46'),(1312,1258,NULL,0,1.0000,0.0000,'2022-08-05 14:08:46','2022-08-05 14:08:46'),(1313,1259,NULL,0,1.0000,0.0000,'2022-08-05 14:08:46','2022-08-05 14:08:46'),(1314,1260,NULL,0,1.0000,0.0000,'2022-08-05 14:08:46','2022-08-05 14:08:46'),(1315,1261,NULL,0,1.0000,0.0000,'2022-08-05 14:08:46','2022-08-05 14:08:46'),(1316,1262,NULL,0,1.0000,0.0000,'2022-08-05 14:40:06','2022-08-05 14:40:06'),(1317,1263,NULL,0,1.0000,0.0000,'2022-08-05 14:40:06','2022-08-05 14:40:06'),(1318,1264,NULL,0,1.0000,0.0000,'2022-08-05 14:40:06','2022-08-05 14:40:06'),(1319,1265,NULL,0,1.0000,0.0000,'2022-08-05 15:22:12','2022-08-05 15:22:12'),(1320,1266,NULL,0,1.0000,0.0000,'2022-08-05 15:22:12','2022-08-05 15:22:12'),(1321,1267,NULL,0,1.0000,0.0000,'2022-08-05 15:22:12','2022-08-05 15:22:12'),(1322,1268,NULL,0,1.0000,0.0000,'2022-08-05 15:56:28','2022-08-05 15:56:28'),(1323,1269,NULL,0,1.0000,0.0000,'2022-08-05 15:56:28','2022-08-05 15:56:28'),(1324,1270,NULL,0,1.0000,0.0000,'2022-08-05 17:01:54','2022-08-05 17:01:54'),(1325,1271,NULL,0,1.0000,0.0000,'2022-08-05 17:01:54','2022-08-05 17:01:54'),(1326,1272,NULL,0,1.0000,0.0000,'2022-08-05 17:01:54','2022-08-05 17:01:54'),(1327,1273,NULL,0,1.0000,0.0000,'2022-08-05 17:01:54','2022-08-05 17:01:54'),(1328,1274,NULL,0,1.0000,0.0000,'2022-08-05 17:09:47','2022-08-05 17:09:47'),(1329,1275,NULL,0,1.0000,0.0000,'2022-08-05 22:03:51','2022-08-05 22:03:51'),(1330,1276,NULL,0,1.0000,0.0000,'2022-08-05 22:03:51','2022-08-05 22:03:51'),(1331,1277,NULL,0,1.0000,0.0000,'2022-08-05 22:03:51','2022-08-05 22:03:51'),(1332,1278,NULL,0,1.0000,0.0000,'2022-08-05 22:03:51','2022-08-05 22:03:51'),(1333,1279,NULL,0,1.0000,0.0000,'2022-08-05 22:05:16','2022-08-05 22:05:16'),(1334,1280,NULL,0,1.0000,0.0000,'2022-08-05 22:05:16','2022-08-05 22:05:16'),(1335,1281,NULL,0,1.0000,0.0000,'2022-08-05 22:05:16','2022-08-05 22:05:16'),(1336,1282,NULL,0,1.0000,0.0000,'2022-08-06 14:07:36','2022-08-06 14:07:36'),(1337,1283,NULL,0,1.0000,0.0000,'2022-08-06 14:07:36','2022-08-06 14:07:36'),(1338,1284,NULL,0,1.0000,0.0000,'2022-08-06 14:50:22','2022-08-06 14:50:22'),(1339,1285,NULL,0,1.0000,0.0000,'2022-08-06 14:50:22','2022-08-06 14:50:22'),(1340,1286,NULL,0,1.0000,0.0000,'2022-08-06 14:50:22','2022-08-06 14:50:22'),(1341,1287,NULL,0,1.0000,0.0000,'2022-08-06 14:51:00','2022-08-06 14:51:00'),(1342,1288,NULL,0,1.0000,0.0000,'2022-08-06 14:51:00','2022-08-06 14:51:00'),(1343,1289,NULL,0,3.0000,0.0000,'2022-08-06 14:51:00','2022-08-06 14:51:00'),(1344,1290,NULL,0,1.0000,0.0000,'2022-08-06 15:37:09','2022-08-06 15:37:09'),(1345,1291,NULL,0,1.0000,0.0000,'2022-08-06 15:37:09','2022-08-06 15:37:09'),(1346,1292,NULL,0,1.0000,0.0000,'2022-08-06 15:37:09','2022-08-06 15:37:09'),(1347,1293,NULL,0,1.0000,0.0000,'2022-08-06 15:37:09','2022-08-06 15:37:09'),(1348,1294,NULL,0,1.0000,0.0000,'2022-08-06 15:37:09','2022-08-06 15:37:09'),(1349,1295,NULL,0,2.0000,0.0000,'2022-08-08 13:50:35','2022-08-08 13:50:35'),(1350,1296,NULL,0,1.0000,0.0000,'2022-08-08 15:37:01','2022-08-08 15:37:01'),(1351,1297,NULL,0,1.0000,0.0000,'2022-08-08 15:37:01','2022-08-08 15:37:01'),(1352,1298,NULL,0,1.0000,0.0000,'2022-08-08 15:37:01','2022-08-08 15:37:01'),(1353,1299,NULL,0,1.0000,0.0000,'2022-08-08 16:31:05','2022-08-08 16:31:05'),(1354,1300,NULL,0,1.0000,0.0000,'2022-08-08 16:31:05','2022-08-08 16:31:05'),(1355,1301,NULL,0,3.0000,0.0000,'2022-08-08 17:52:54','2022-08-08 17:52:54'),(1356,1302,NULL,0,2.0000,0.0000,'2022-08-08 17:52:54','2022-08-08 17:52:54'),(1357,1303,NULL,0,1.0000,0.0000,'2022-08-08 18:42:00','2022-08-08 18:42:00'),(1358,1304,NULL,0,1.0000,0.0000,'2022-08-08 19:31:43','2022-08-08 19:31:43'),(1359,1305,NULL,0,2.0000,0.0000,'2022-08-08 19:31:43','2022-08-08 19:31:43'),(1360,1306,NULL,0,1.0000,0.0000,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(1361,1307,NULL,0,2.0000,0.0000,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(1362,1308,NULL,0,2.0000,0.0000,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(1363,1309,NULL,0,1.0000,0.0000,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(1364,1310,NULL,0,5.0000,0.0000,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(1365,1311,NULL,0,2.0000,0.0000,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(1366,1312,NULL,0,1.0000,0.0000,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(1367,1313,NULL,0,1.0000,0.0000,'2022-08-08 20:03:18','2022-08-08 20:03:18'),(1368,1314,NULL,0,1.0000,0.0000,'2022-08-08 20:03:18','2022-08-08 20:03:18'),(1369,1315,NULL,0,2.0000,0.0000,'2022-08-08 20:03:18','2022-08-08 20:03:18'),(1370,1316,NULL,0,1.0000,0.0000,'2022-08-08 21:02:09','2022-08-08 21:02:09'),(1371,1317,NULL,0,1.0000,0.0000,'2022-08-08 21:02:09','2022-08-08 21:02:09'),(1372,1318,NULL,0,1.0000,0.0000,'2022-08-08 21:02:09','2022-08-08 21:02:09'),(1373,1319,NULL,0,2.0000,0.0000,'2022-08-08 21:23:14','2022-08-08 21:23:14'),(1374,1320,NULL,0,1.0000,0.0000,'2022-08-08 21:23:14','2022-08-08 21:23:14'),(1375,1321,NULL,0,1.0000,0.0000,'2022-08-08 21:23:14','2022-08-08 21:23:14'),(1376,1322,NULL,0,1.0000,0.0000,'2022-08-08 21:23:14','2022-08-08 21:23:14'),(1377,1323,NULL,0,1.0000,0.0000,'2022-08-08 21:41:35','2022-08-08 21:41:35'),(1378,1324,NULL,0,2.0000,0.0000,'2022-08-08 22:12:47','2022-08-08 22:12:47'),(1379,1325,NULL,0,1.0000,0.0000,'2022-08-08 22:12:47','2022-08-08 22:12:47'),(1380,1326,NULL,0,1.0000,0.0000,'2022-08-08 22:12:47','2022-08-08 22:12:47'),(1381,1327,NULL,0,1.0000,0.0000,'2022-08-08 22:25:17','2022-08-08 22:25:17'),(1382,1328,NULL,0,1.0000,0.0000,'2022-08-08 22:44:43','2022-08-08 22:44:43'),(1383,1329,NULL,0,1.0000,0.0000,'2022-08-08 22:44:43','2022-08-08 22:44:43'),(1384,1330,NULL,0,1.0000,0.0000,'2022-08-08 22:56:27','2022-08-08 22:56:27'),(1385,1331,NULL,0,2.0000,0.0000,'2022-08-08 22:56:27','2022-08-08 22:56:27'),(1386,1332,NULL,0,1.0000,0.0000,'2022-08-09 14:19:21','2022-08-09 14:19:21'),(1387,1333,NULL,0,1.0000,0.0000,'2022-08-09 14:19:21','2022-08-09 14:19:21'),(1388,1334,NULL,0,1.0000,0.0000,'2022-08-09 15:19:29','2022-08-09 15:19:29'),(1389,1335,NULL,0,1.0000,0.0000,'2022-08-09 15:19:29','2022-08-09 15:19:29'),(1390,1336,NULL,0,1.0000,0.0000,'2022-08-09 15:19:29','2022-08-09 15:19:29'),(1391,1337,NULL,0,1.0000,0.0000,'2022-08-09 17:37:31','2022-08-09 17:37:31'),(1392,1338,NULL,0,1.0000,0.0000,'2022-08-09 17:37:31','2022-08-09 17:37:31'),(1393,1339,NULL,0,1.0000,0.0000,'2022-08-09 17:37:31','2022-08-09 17:37:31'),(1394,1340,NULL,0,1.0000,0.0000,'2022-08-09 17:53:21','2022-08-09 17:53:21'),(1395,1341,NULL,0,1.0000,0.0000,'2022-08-09 17:53:21','2022-08-09 17:53:21');
/*!40000 ALTER TABLE `transaction_sell_lines_purchase_lines` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `transactions`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `transactions` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(10) unsigned NOT NULL,
  `location_id` int(10) unsigned DEFAULT NULL,
  `res_table_id` int(10) unsigned DEFAULT NULL COMMENT 'fields to restaurant module',
  `res_waiter_id` int(10) unsigned DEFAULT NULL COMMENT 'fields to restaurant module',
  `res_order_status` enum('received','cooked','served') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `type` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `sub_type` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `status` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `is_quotation` tinyint(1) NOT NULL DEFAULT 0,
  `payment_status` enum('paid','due','partial') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `adjustment_type` enum('normal','abnormal') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contact_id` int(11) unsigned DEFAULT NULL,
  `customer_group_id` int(11) DEFAULT NULL COMMENT 'used to add customer group while selling',
  `invoice_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `ref_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subscription_no` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `subscription_repeat_on` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `transaction_date` datetime NOT NULL,
  `total_before_tax` decimal(22,4) NOT NULL DEFAULT 0.0000 COMMENT 'Total before the purchase/invoice tax, this includeds the indivisual product tax',
  `tax_id` int(10) unsigned DEFAULT NULL,
  `tax_amount` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `discount_type` enum('fixed','percentage') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `discount_amount` decimal(22,4) DEFAULT 0.0000,
  `rp_redeemed` int(11) NOT NULL DEFAULT 0 COMMENT 'rp is the short form of reward points',
  `rp_redeemed_amount` decimal(22,4) NOT NULL DEFAULT 0.0000 COMMENT 'rp is the short form of reward points',
  `shipping_details` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_status` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `delivered_to` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `shipping_charges` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `additional_notes` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `staff_note` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `round_off_amount` decimal(22,4) NOT NULL DEFAULT 0.0000 COMMENT 'Difference of rounded total and actual total',
  `final_total` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `expense_category_id` int(10) unsigned DEFAULT NULL,
  `expense_for` int(10) unsigned DEFAULT NULL,
  `commission_agent` int(11) DEFAULT NULL,
  `document` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_direct_sale` tinyint(1) NOT NULL DEFAULT 0,
  `is_suspend` tinyint(1) NOT NULL DEFAULT 0,
  `exchange_rate` decimal(20,3) NOT NULL DEFAULT 1.000,
  `total_amount_recovered` decimal(22,4) DEFAULT NULL COMMENT 'Used for stock adjustment.',
  `transfer_parent_id` int(11) DEFAULT NULL,
  `return_parent_id` int(11) DEFAULT NULL,
  `opening_stock_product_id` int(11) DEFAULT NULL,
  `created_by` int(10) unsigned NOT NULL,
  `import_batch` int(11) DEFAULT NULL,
  `import_time` datetime DEFAULT NULL,
  `types_of_service_id` int(11) DEFAULT NULL,
  `packing_charge` decimal(22,4) DEFAULT NULL,
  `packing_charge_type` enum('fixed','percent') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `service_custom_field_1` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `service_custom_field_2` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `service_custom_field_3` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `service_custom_field_4` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `mfg_parent_production_purchase_id` int(11) DEFAULT NULL,
  `mfg_wasted_units` decimal(22,4) DEFAULT NULL,
  `mfg_production_cost` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `mfg_is_final` tinyint(1) NOT NULL DEFAULT 0,
  `is_created_from_api` tinyint(1) NOT NULL DEFAULT 0,
  `essentials_duration` decimal(8,2) NOT NULL,
  `essentials_duration_unit` varchar(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `essentials_amount_per_unit_duration` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `essentials_allowances` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `essentials_deductions` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `rp_earned` int(11) NOT NULL DEFAULT 0 COMMENT 'rp is the short form of reward points',
  `order_addresses` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `is_recurring` tinyint(1) NOT NULL DEFAULT 0,
  `recur_interval` double(22,4) DEFAULT NULL,
  `recur_interval_type` enum('days','months','years') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `recur_repetitions` int(11) DEFAULT NULL,
  `recur_stopped_on` datetime DEFAULT NULL,
  `recur_parent_id` int(11) DEFAULT NULL,
  `invoice_token` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `pay_term_number` int(11) DEFAULT NULL,
  `pay_term_type` enum('days','months') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `selling_price_group_id` int(11) DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `transactions_tax_id_foreign` (`tax_id`),
  KEY `transactions_business_id_index` (`business_id`),
  KEY `transactions_type_index` (`type`),
  KEY `transactions_contact_id_index` (`contact_id`),
  KEY `transactions_transaction_date_index` (`transaction_date`),
  KEY `transactions_created_by_index` (`created_by`),
  KEY `transactions_location_id_index` (`location_id`),
  KEY `transactions_expense_for_foreign` (`expense_for`),
  KEY `transactions_expense_category_id_index` (`expense_category_id`),
  KEY `transactions_sub_type_index` (`sub_type`),
  KEY `transactions_return_parent_id_index` (`return_parent_id`),
  KEY `type` (`type`),
  KEY `transactions_status_index` (`status`),
  CONSTRAINT `transactions_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `transactions_contact_id_foreign` FOREIGN KEY (`contact_id`) REFERENCES `contacts` (`id`) ON DELETE CASCADE,
  CONSTRAINT `transactions_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  CONSTRAINT `transactions_expense_category_id_foreign` FOREIGN KEY (`expense_category_id`) REFERENCES `expense_categories` (`id`) ON DELETE CASCADE,
  CONSTRAINT `transactions_expense_for_foreign` FOREIGN KEY (`expense_for`) REFERENCES `users` (`id`) ON DELETE CASCADE,
  CONSTRAINT `transactions_location_id_foreign` FOREIGN KEY (`location_id`) REFERENCES `business_locations` (`id`),
  CONSTRAINT `transactions_tax_id_foreign` FOREIGN KEY (`tax_id`) REFERENCES `tax_rates` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=684 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `transactions` WRITE;
/*!40000 ALTER TABLE `transactions` DISABLE KEYS */;
INSERT INTO `transactions` VALUES (6,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0006','',NULL,NULL,'2022-05-24 09:40:29',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-24 13:40:29','2022-05-24 13:40:30'),(7,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0007','',NULL,NULL,'2022-05-24 12:29:00',200.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,200.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-24 16:29:00','2022-05-24 16:29:00'),(8,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0008','',NULL,NULL,'2022-05-24 13:53:03',610.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,610.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-24 17:53:03','2022-05-24 17:53:03'),(9,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0009','',NULL,NULL,'2022-05-24 15:10:57',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-24 19:10:57','2022-05-24 19:10:57'),(10,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0010','',NULL,NULL,'2022-05-24 15:53:52',260.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,260.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-24 19:53:52','2022-05-24 19:53:52'),(11,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0011','',NULL,NULL,'2022-05-24 16:07:12',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-24 20:07:12','2022-05-24 20:07:12'),(12,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0012','',NULL,NULL,'2022-05-24 16:33:12',445.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,445.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-24 20:33:12','2022-05-24 20:37:49'),(13,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0013','',NULL,NULL,'2022-05-24 16:36:32',115.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,115.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-24 20:36:32','2022-05-24 20:36:32'),(14,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,2,NULL,'0014','',NULL,NULL,'2022-05-24 16:57:33',170.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,170.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-24 20:57:33','2022-05-24 20:57:33'),(15,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,2,NULL,'0015','',NULL,NULL,'2022-05-25 08:36:41',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-25 12:36:41','2022-05-25 12:36:41'),(16,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0016','',NULL,NULL,'2022-05-25 09:19:10',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-25 13:19:10','2022-05-25 13:19:10'),(17,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0017','',NULL,NULL,'2022-05-25 09:31:57',105.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,105.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-25 13:31:57','2022-05-25 13:31:57'),(18,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0018','',NULL,NULL,'2022-05-25 11:08:58',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-25 15:08:58','2022-05-25 15:08:58'),(19,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0019','',NULL,NULL,'2022-05-25 11:28:44',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-25 15:28:44','2022-05-25 15:28:44'),(20,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0020','',NULL,NULL,'2022-05-25 12:28:50',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,350.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-25 16:28:50','2022-05-25 16:28:50'),(21,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0021','',NULL,NULL,'2022-05-25 12:55:19',110.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,110.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-25 16:55:19','2022-05-25 16:55:19'),(22,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0022','',NULL,NULL,'2022-05-25 13:31:04',325.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,325.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-25 17:31:04','2022-05-25 17:31:04'),(23,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0023','',NULL,NULL,'2022-05-25 15:50:31',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-25 19:50:31','2022-05-25 19:50:31'),(24,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0024','',NULL,NULL,'2022-05-25 16:38:34',260.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,260.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-25 20:38:34','2022-05-25 20:38:34'),(25,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0025','',NULL,NULL,'2022-05-25 17:11:37',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,'MOISES',NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-25 21:11:37','2022-05-25 21:11:37'),(26,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0026','',NULL,NULL,'2022-05-25 18:45:38',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-25 22:45:38','2022-05-25 22:45:38'),(27,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0027','',NULL,NULL,'2022-05-25 19:20:27',425.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,425.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-25 23:20:27','2022-05-25 23:20:27'),(28,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0028','',NULL,NULL,'2022-05-26 08:33:31',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-26 12:33:31','2022-05-26 12:33:31'),(29,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0029','',NULL,NULL,'2022-05-26 09:20:55',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-26 13:20:55','2022-05-26 13:20:55'),(30,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0030','',NULL,NULL,'2022-05-26 09:26:48',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-26 13:26:48','2022-05-26 13:26:48'),(31,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0031','',NULL,NULL,'2022-05-26 10:57:27',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-26 14:57:27','2022-05-26 14:57:27'),(32,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0032','',NULL,NULL,'2022-05-26 12:12:38',250.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,250.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-26 16:12:38','2022-05-26 16:12:38'),(33,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0033','',NULL,NULL,'2022-05-26 15:06:02',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-26 19:06:02','2022-05-26 19:06:02'),(34,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0034','',NULL,NULL,'2022-05-26 16:56:22',240.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,240.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-26 20:56:22','2022-05-26 20:56:22'),(35,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0035','',NULL,NULL,'2022-05-27 09:14:39',170.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,170.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-27 13:14:39','2022-05-27 13:14:39'),(36,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0036','',NULL,NULL,'2022-05-27 09:53:16',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-27 13:53:16','2022-05-27 13:53:16'),(37,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0037','',NULL,NULL,'2022-05-27 14:50:50',175.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,175.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-27 18:50:50','2022-05-27 18:50:50'),(38,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0038','',NULL,NULL,'2022-05-27 16:29:58',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-27 20:29:58','2022-05-27 20:29:58'),(39,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0039','',NULL,NULL,'2022-05-28 10:16:58',210.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,210.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-28 14:16:58','2022-05-28 14:16:58'),(40,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0040','',NULL,NULL,'2022-05-28 10:59:11',175.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,175.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-28 14:59:11','2022-05-28 14:59:11'),(41,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0041','',NULL,NULL,'2022-05-28 11:03:04',185.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,185.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-28 15:03:04','2022-05-28 15:03:04'),(42,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0042','',NULL,NULL,'2022-05-28 11:04:32',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-28 15:04:32','2022-05-28 15:04:32'),(43,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0043','',NULL,NULL,'2022-05-28 12:18:40',270.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,270.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-28 16:18:40','2022-05-28 16:18:40'),(44,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0044','',NULL,NULL,'2022-05-28 12:41:21',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-28 16:41:21','2022-05-28 16:41:21'),(45,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0045','',NULL,NULL,'2022-05-28 17:26:45',170.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,170.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-28 21:26:45','2022-05-28 21:26:45'),(46,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0046','',NULL,NULL,'2022-05-28 17:29:26',320.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,320.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-28 21:29:26','2022-05-28 21:29:26'),(47,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0047','',NULL,NULL,'2022-05-28 17:38:17',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-28 21:38:17','2022-05-28 21:38:17'),(48,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0048','',NULL,NULL,'2022-05-28 19:54:39',170.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,170.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-28 23:54:39','2022-05-28 23:54:39'),(49,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0049','',NULL,NULL,'2022-05-30 09:24:08',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-30 13:24:08','2022-05-30 13:24:08'),(50,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0050','',NULL,NULL,'2022-05-30 09:25:30',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-30 13:25:30','2022-05-30 13:25:30'),(51,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0051','',NULL,NULL,'2022-05-30 09:33:15',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-30 13:33:15','2022-05-30 13:33:15'),(52,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0052','',NULL,NULL,'2022-05-30 09:53:39',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-30 13:53:39','2022-05-30 13:53:39'),(53,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0053','',NULL,NULL,'2022-05-30 09:59:50',105.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,105.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-30 13:59:50','2022-05-30 13:59:51'),(55,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0055','',NULL,NULL,'2022-05-30 13:42:53',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,'EMPLEADO (ISRAEL)',NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-30 17:42:53','2022-05-30 17:42:53'),(56,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0056','',NULL,NULL,'2022-05-30 15:51:15',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-30 19:51:15','2022-05-30 19:51:15'),(57,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0057','',NULL,NULL,'2022-05-30 16:08:05',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-30 20:08:05','2022-05-30 20:08:05'),(58,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0058','',NULL,NULL,'2022-05-30 17:17:03',230.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,230.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-30 21:17:03','2022-05-30 21:17:03'),(59,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0059','',NULL,NULL,'2022-05-30 17:19:57',325.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,325.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-30 21:19:57','2022-05-30 21:19:57'),(60,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0060','',NULL,NULL,'2022-05-30 17:20:45',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-30 21:20:45','2022-05-30 21:20:45'),(61,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0061','',NULL,NULL,'2022-05-30 17:31:04',170.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,170.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-30 21:31:04','2022-05-30 21:31:04'),(62,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0062','',NULL,NULL,'2022-05-30 18:33:59',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-30 22:33:59','2022-05-30 22:33:59'),(63,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0063','',NULL,NULL,'2022-05-31 09:07:28',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-31 13:07:28','2022-05-31 13:07:28'),(64,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0064','',NULL,NULL,'2022-05-31 09:19:14',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-31 13:19:14','2022-05-31 13:19:14'),(65,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0065','',NULL,NULL,'2022-05-31 09:37:37',105.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,105.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 13:37:37','2022-05-31 13:48:44'),(66,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0066','',NULL,NULL,'2022-05-31 11:25:14',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-31 15:25:14','2022-05-31 15:25:14'),(67,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0067','',NULL,NULL,'2022-05-31 13:12:20',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-31 17:12:21','2022-05-31 17:12:21'),(68,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0068','',NULL,NULL,'2022-05-31 13:12:38',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-31 17:12:38','2022-05-31 17:12:38'),(69,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0069','',NULL,NULL,'2022-05-31 13:35:03',170.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,170.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-31 17:35:03','2022-05-31 17:35:03'),(70,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0070','',NULL,NULL,'2022-05-31 15:04:21',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-31 19:04:21','2022-05-31 19:04:21'),(71,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0071','',NULL,NULL,'2022-05-31 15:07:09',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 19:07:09','2022-05-31 19:19:56'),(72,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0072','',NULL,NULL,'2022-05-31 16:02:57',220.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,220.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 20:02:57','2022-05-31 20:05:54'),(73,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0073','',NULL,NULL,'2022-05-31 16:04:25',110.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,110.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 20:04:25','2022-05-31 20:05:07'),(74,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0074','',NULL,NULL,'2022-05-31 16:33:27',115.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,115.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 20:33:27','2022-05-31 20:35:03'),(75,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0075','',NULL,NULL,'2022-05-31 17:18:27',200.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,200.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-31 21:18:27','2022-05-31 21:19:16'),(76,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0076','',NULL,NULL,'2022-05-31 17:22:18',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-31 21:22:18','2022-05-31 21:22:18'),(77,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0077','',NULL,NULL,'2022-05-31 18:25:57',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-05-31 22:25:57','2022-05-31 22:25:57'),(78,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0078','',NULL,NULL,'2022-06-01 09:25:13',155.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,155.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-01 13:25:13','2022-06-01 13:25:13'),(79,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0079','',NULL,NULL,'2022-06-01 10:00:25',270.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,270.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-01 14:00:25','2022-06-01 14:00:25'),(80,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0080','',NULL,NULL,'2022-06-01 10:11:34',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-01 14:11:34','2022-06-01 14:11:34'),(81,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0081','',NULL,NULL,'2022-06-01 12:02:37',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-01 16:02:37','2022-06-01 16:02:37'),(82,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0082','',NULL,NULL,'2022-06-01 12:58:33',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-01 16:58:33','2022-06-01 16:58:33'),(83,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0083','',NULL,NULL,'2022-06-01 13:08:39',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-01 17:08:39','2022-06-01 17:08:39'),(84,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0084','',NULL,NULL,'2022-06-01 13:25:24',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-01 17:25:24','2022-06-01 17:25:24'),(85,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0085','',NULL,NULL,'2022-06-01 14:56:22',295.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,295.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-01 18:56:22','2022-06-01 18:56:22'),(86,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0086','',NULL,NULL,'2022-06-01 15:31:46',185.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,185.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-01 19:31:46','2022-06-01 19:31:46'),(87,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0087','',NULL,NULL,'2022-06-01 15:50:49',390.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,390.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-01 19:50:49','2022-06-01 19:50:49'),(88,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0088','',NULL,NULL,'2022-06-01 17:14:37',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-01 21:14:37','2022-06-01 21:14:37'),(89,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0089','',NULL,NULL,'2022-06-01 17:34:00',170.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,170.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-01 21:34:00','2022-06-01 21:34:00'),(90,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0090','',NULL,NULL,'2022-06-01 17:36:57',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-01 21:36:57','2022-06-01 21:36:57'),(91,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0091','',NULL,NULL,'2022-06-01 19:17:47',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-01 23:17:47','2022-06-01 23:17:47'),(92,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0092','',NULL,NULL,'2022-06-02 09:11:56',140.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,140.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-02 13:11:56','2022-06-02 13:11:56'),(93,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0093','',NULL,NULL,'2022-06-02 09:42:33',225.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,225.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-02 13:42:33','2022-06-02 13:42:33'),(94,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0094','',NULL,NULL,'2022-06-02 11:34:44',310.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,310.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-02 15:34:44','2022-06-02 15:34:44'),(95,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0095','',NULL,NULL,'2022-06-02 12:10:26',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-02 16:10:26','2022-06-02 16:10:26'),(96,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0096','',NULL,NULL,'2022-06-02 13:57:27',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-02 17:57:27','2022-06-02 17:57:27'),(97,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0097','',NULL,NULL,'2022-06-02 17:02:38',340.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,25.0000,NULL,NULL,0.0000,365.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-02 21:02:38','2022-06-02 21:02:38'),(98,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0098','',NULL,NULL,'2022-06-02 17:03:34',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-02 21:03:34','2022-06-02 21:03:34'),(99,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0099','',NULL,NULL,'2022-06-02 18:02:42',475.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,475.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-02 22:02:42','2022-06-02 22:06:40'),(101,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0101','',NULL,NULL,'2022-06-03 09:00:20',140.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,140.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-03 13:00:20','2022-06-03 13:00:20'),(102,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0102','',NULL,NULL,'2022-06-03 09:10:11',175.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,175.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-03 13:10:11','2022-06-03 13:10:11'),(103,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0103','',NULL,NULL,'2022-06-03 09:23:50',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-03 13:23:50','2022-06-03 13:23:50'),(104,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0104','',NULL,NULL,'2022-06-03 09:58:35',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-03 13:58:35','2022-06-03 13:58:35'),(105,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0105','',NULL,NULL,'2022-06-03 12:55:09',390.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,390.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-03 16:55:09','2022-06-03 17:09:39'),(106,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0106','',NULL,NULL,'2022-06-03 13:10:26',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-03 17:10:26','2022-06-03 17:10:58'),(107,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0107','',NULL,NULL,'2022-06-03 13:15:42',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-03 17:15:42','2022-06-03 17:15:42'),(108,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0108','',NULL,NULL,'2022-06-03 13:49:30',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-03 17:49:30','2022-06-03 17:49:30'),(109,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0109','',NULL,NULL,'2022-06-03 14:34:11',270.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,270.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-03 18:34:11','2022-06-03 18:34:11'),(111,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0110','',NULL,NULL,'2022-06-03 15:11:17',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-03 19:11:17','2022-06-03 19:11:17'),(112,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0111','',NULL,NULL,'2022-06-03 16:19:15',460.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,460.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-03 20:19:15','2022-06-03 20:19:15'),(113,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0112','',NULL,NULL,'2022-06-03 18:32:56',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-03 22:32:56','2022-06-03 22:32:56'),(114,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0113','',NULL,NULL,'2022-06-04 09:32:27',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-04 13:32:27','2022-06-04 13:32:27'),(115,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0114','',NULL,NULL,'2022-06-04 09:40:54',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-04 13:40:54','2022-06-04 13:40:54'),(116,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0115','',NULL,NULL,'2022-06-04 10:00:59',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-04 14:00:59','2022-06-04 14:00:59'),(117,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0116','',NULL,NULL,'2022-06-04 12:01:49',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-04 16:01:49','2022-06-04 16:01:49'),(118,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0117','',NULL,NULL,'2022-06-04 14:18:17',250.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,250.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-04 18:18:17','2022-06-04 18:18:17'),(119,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0118','',NULL,NULL,'2022-06-04 15:02:03',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-04 19:02:03','2022-06-04 19:02:03'),(120,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0119','',NULL,NULL,'2022-06-05 09:15:18',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-05 13:15:18','2022-06-05 13:15:18'),(121,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0120','',NULL,NULL,'2022-06-05 09:39:25',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-05 13:39:25','2022-06-05 13:39:25'),(122,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0121','',NULL,NULL,'2022-06-06 09:06:52',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-06 13:06:52','2022-06-06 13:06:52'),(123,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0122','',NULL,NULL,'2022-06-06 09:29:23',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-06 13:29:23','2022-06-06 13:29:23'),(124,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0123','',NULL,NULL,'2022-06-06 09:48:27',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-06 13:48:27','2022-06-06 13:48:27'),(125,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0124','',NULL,NULL,'2022-06-06 10:14:49',175.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,175.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-06 14:14:49','2022-06-06 14:14:49'),(126,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0125','',NULL,NULL,'2022-06-06 11:15:22',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-06 15:15:22','2022-06-06 15:15:22'),(127,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0126','',NULL,NULL,'2022-06-06 11:35:13',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-06 15:35:13','2022-06-06 15:35:13'),(128,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0127','',NULL,NULL,'2022-06-06 12:57:28',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-06 16:57:28','2022-06-06 16:57:29'),(129,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0128','',NULL,NULL,'2022-06-06 16:37:58',1175.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,1175.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-06 20:37:58','2022-06-06 20:37:58'),(130,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0129','',NULL,NULL,'2022-06-07 08:56:15',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-07 12:56:15','2022-06-07 12:56:15'),(131,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0130','',NULL,NULL,'2022-06-07 10:40:55',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-07 14:40:55','2022-06-07 16:27:43'),(132,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0131','',NULL,NULL,'2022-06-07 10:54:32',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-07 14:54:32','2022-06-07 14:54:32'),(133,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0132','',NULL,NULL,'2022-06-07 16:36:40',305.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,305.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-07 20:36:40','2022-06-07 20:36:40'),(134,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0133','',NULL,NULL,'2022-06-07 18:49:45',250.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,250.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-07 22:49:45','2022-06-07 22:49:45'),(135,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0134','',NULL,NULL,'2022-06-08 08:22:31',170.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,170.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-08 12:22:31','2022-06-08 12:59:27'),(136,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0135','',NULL,NULL,'2022-06-08 08:56:29',240.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,240.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-08 12:56:29','2022-06-08 12:56:29'),(137,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0136','',NULL,NULL,'2022-06-08 08:59:00',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-08 12:59:00','2022-06-08 12:59:00'),(138,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0137','',NULL,NULL,'2022-06-08 09:57:50',115.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,115.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-08 13:57:50','2022-06-08 13:57:50'),(139,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0138','',NULL,NULL,'2022-06-08 10:04:06',180.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,180.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-08 14:04:06','2022-06-08 14:04:06'),(140,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0139','',NULL,NULL,'2022-06-08 10:04:25',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-08 14:04:25','2022-06-08 14:04:25'),(141,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0140','',NULL,NULL,'2022-06-08 10:41:48',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-08 14:41:48','2022-06-08 14:41:48'),(142,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0141','',NULL,NULL,'2022-06-08 11:19:56',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-08 15:19:56','2022-06-08 15:19:56'),(143,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0142','',NULL,NULL,'2022-06-08 14:55:30',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-08 18:55:30','2022-06-08 18:55:30'),(144,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0143','',NULL,NULL,'2022-06-08 15:09:55',290.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,290.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-08 19:09:55','2022-06-08 19:09:55'),(145,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0144','',NULL,NULL,'2022-06-08 15:20:59',115.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,115.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-08 19:20:59','2022-06-08 19:20:59'),(146,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0145','',NULL,NULL,'2022-06-08 15:53:38',260.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,260.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-08 19:53:38','2022-06-08 19:53:38'),(147,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0146','',NULL,NULL,'2022-06-09 13:04:05',380.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,380.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-09 17:04:05','2022-06-09 17:04:05'),(148,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0147','',NULL,NULL,'2022-06-09 16:47:58',860.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,860.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-09 20:47:58','2022-06-09 20:47:58'),(149,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0148','',NULL,NULL,'2022-06-09 17:54:21',1585.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,1585.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-09 21:54:21','2022-06-09 21:54:21'),(150,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0149','',NULL,NULL,'2022-06-09 17:54:48',110.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,110.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-09 21:54:48','2022-06-09 21:54:48'),(151,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0150','',NULL,NULL,'2022-06-10 09:29:21',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-10 13:29:21','2022-06-10 13:29:21'),(152,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0151','',NULL,NULL,'2022-06-10 09:33:05',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-10 13:33:05','2022-06-10 13:33:06'),(153,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0152','',NULL,NULL,'2022-06-10 09:34:17',115.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,115.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-10 13:34:17','2022-06-10 13:34:17'),(154,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0153','',NULL,NULL,'2022-06-10 09:38:29',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-10 13:38:29','2022-06-10 13:38:29'),(155,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0154','',NULL,NULL,'2022-06-10 12:52:36',165.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,165.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-10 16:52:36','2022-06-10 18:00:01'),(156,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0155','',NULL,NULL,'2022-06-10 12:54:06',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-10 16:54:06','2022-06-10 16:54:06'),(157,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0156','',NULL,NULL,'2022-06-10 15:22:56',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-10 19:22:56','2022-06-10 19:22:56'),(158,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0157','',NULL,NULL,'2022-06-10 17:16:17',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-10 21:16:17','2022-06-10 21:16:17'),(159,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0158','',NULL,NULL,'2022-06-10 18:03:10',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-10 22:03:10','2022-06-10 22:03:10'),(160,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0159','',NULL,NULL,'2022-06-11 08:55:23',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-11 12:55:23','2022-06-11 12:55:23'),(161,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0160','',NULL,NULL,'2022-06-11 10:08:09',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-11 14:08:09','2022-06-11 14:08:09'),(162,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0161','',NULL,NULL,'2022-06-11 10:48:42',110.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,110.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-11 14:48:42','2022-06-11 14:48:42'),(163,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0162','',NULL,NULL,'2022-06-11 10:58:31',175.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,175.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-11 14:58:31','2022-06-11 14:58:31'),(164,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0163','',NULL,NULL,'2022-06-11 17:22:44',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-11 21:22:44','2022-06-11 21:22:44'),(165,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0164','',NULL,NULL,'2022-06-11 18:57:07',170.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,170.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-11 22:57:07','2022-06-11 22:57:07'),(166,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0165','',NULL,NULL,'2022-06-13 08:24:15',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-13 12:24:15','2022-06-13 15:40:37'),(167,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0166','',NULL,NULL,'2022-06-13 09:17:40',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-13 13:17:40','2022-06-13 13:17:40'),(168,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0167','',NULL,NULL,'2022-06-13 09:48:22',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-13 13:48:22','2022-06-13 15:40:13'),(169,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0168','',NULL,NULL,'2022-06-13 15:29:46',300.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,300.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-13 19:29:46','2022-06-13 19:29:46'),(170,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0169','',NULL,NULL,'2022-06-13 15:35:31',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-13 19:35:31','2022-06-13 19:35:31'),(171,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0170','',NULL,NULL,'2022-06-13 18:50:04',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-13 22:50:04','2022-06-13 22:50:04'),(172,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0171','',NULL,NULL,'2022-06-14 09:52:38',300.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,300.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-14 13:52:38','2022-06-14 14:25:31'),(173,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0172','',NULL,NULL,'2022-06-14 09:54:47',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-14 13:54:47','2022-06-14 14:25:05'),(174,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0173','',NULL,NULL,'2022-06-14 09:57:07',110.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,110.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-14 13:57:07','2022-06-14 14:25:56'),(175,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0174','',NULL,NULL,'2022-06-14 14:56:47',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-14 18:56:47','2022-06-14 18:56:47'),(176,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0175','',NULL,NULL,'2022-06-14 15:33:27',480.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,480.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-14 19:33:27','2022-06-14 19:33:27'),(177,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0176','',NULL,NULL,'2022-06-14 15:56:20',155.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,155.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-14 19:56:20','2022-06-14 19:56:20'),(178,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0177','',NULL,NULL,'2022-06-14 18:16:18',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-14 22:16:18','2022-06-14 22:16:18'),(179,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0178','',NULL,NULL,'2022-06-15 09:50:20',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-15 13:50:20','2022-06-15 13:50:20'),(180,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0179','',NULL,NULL,'2022-06-15 10:17:43',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-15 14:17:43','2022-06-15 14:17:43'),(181,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0180','',NULL,NULL,'2022-06-15 16:40:08',380.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,380.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-15 20:40:08','2022-06-15 20:40:08'),(182,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0181','',NULL,NULL,'2022-06-15 18:26:01',260.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,260.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-15 22:26:01','2022-06-15 22:26:02'),(183,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0182','',NULL,NULL,'2022-06-15 18:37:38',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-15 22:37:38','2022-06-15 22:37:38'),(184,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0183','',NULL,NULL,'2022-06-15 18:48:20',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-15 22:48:20','2022-06-15 22:48:20'),(185,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0184','',NULL,NULL,'2022-06-17 08:33:11',400.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,400.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-17 12:33:11','2022-06-17 12:33:11'),(186,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0185','',NULL,NULL,'2022-06-17 09:07:33',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-17 13:07:33','2022-06-17 13:07:33'),(187,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0186','',NULL,NULL,'2022-06-17 10:08:49',200.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,200.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-17 14:08:49','2022-06-17 14:08:49'),(188,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0187','',NULL,NULL,'2022-06-17 12:24:10',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-17 16:24:10','2022-06-17 16:24:10'),(189,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0188','',NULL,NULL,'2022-06-17 12:26:05',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-17 16:26:05','2022-06-17 16:26:05'),(190,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0189','',NULL,NULL,'2022-06-17 12:43:59',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-17 16:43:59','2022-06-17 16:43:59'),(191,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0190','',NULL,NULL,'2022-06-17 14:54:49',170.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,170.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-17 18:54:49','2022-06-17 18:54:49'),(192,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0191','',NULL,NULL,'2022-06-17 16:01:56',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-17 20:01:56','2022-06-17 20:01:56'),(193,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0192','',NULL,NULL,'2022-06-17 16:42:43',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-17 20:42:43','2022-06-17 20:42:43'),(194,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0193','',NULL,NULL,'2022-06-17 17:58:02',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-17 21:58:02','2022-06-17 21:58:02'),(195,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0194','',NULL,NULL,'2022-06-18 09:33:10',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-18 13:33:10','2022-06-18 13:33:10'),(196,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0195','',NULL,NULL,'2022-06-18 10:14:54',110.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,110.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-18 14:14:54','2022-06-18 14:14:54'),(197,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0196','',NULL,NULL,'2022-06-18 10:57:38',235.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,235.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-18 14:57:38','2022-06-18 14:57:38'),(198,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0197','',NULL,NULL,'2022-06-18 12:45:30',115.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,115.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-18 16:45:30','2022-06-18 16:45:31'),(199,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0198','',NULL,NULL,'2022-06-18 14:14:07',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-18 18:14:07','2022-06-18 18:14:07'),(200,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0199','',NULL,NULL,'2022-06-18 15:25:52',370.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,370.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-18 19:25:52','2022-06-18 19:25:52'),(201,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0200','',NULL,NULL,'2022-06-18 15:28:39',220.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,220.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-18 19:28:39','2022-06-18 19:28:39'),(202,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0201','',NULL,NULL,'2022-06-18 17:32:46',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-18 21:32:46','2022-06-18 21:32:46'),(203,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0202','',NULL,NULL,'2022-06-18 19:06:24',485.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,485.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-18 23:06:24','2022-06-18 23:06:24'),(204,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0203','',NULL,NULL,'2022-06-20 09:16:38',335.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,'LEONEL RODRIGUEZ',NULL,0.0000,335.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-20 13:16:38','2022-06-20 13:16:38'),(205,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0204','',NULL,NULL,'2022-06-20 09:18:45',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-20 13:18:45','2022-06-20 13:18:45'),(206,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0205','',NULL,NULL,'2022-06-20 09:34:36',110.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,110.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-20 13:34:36','2022-06-20 13:34:37'),(207,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0206','',NULL,NULL,'2022-06-20 09:35:38',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-20 13:35:38','2022-06-20 13:35:38'),(208,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0207','',NULL,NULL,'2022-06-20 14:16:42',200.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,200.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-20 18:16:42','2022-06-20 18:16:42'),(209,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0208','',NULL,NULL,'2022-06-20 15:57:16',780.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,780.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-20 19:57:16','2022-06-20 19:57:16'),(210,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0209','',NULL,NULL,'2022-06-20 17:40:58',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-20 21:40:58','2022-06-20 21:40:58'),(211,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0210','',NULL,NULL,'2022-06-20 17:57:29',270.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,270.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-20 21:57:29','2022-06-20 21:57:29'),(212,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0211','',NULL,NULL,'2022-06-20 18:08:17',170.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,170.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-20 22:08:17','2022-06-20 22:08:17'),(213,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0212','',NULL,NULL,'2022-06-20 18:35:03',240.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,240.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-20 22:35:03','2022-06-20 22:35:03'),(214,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0213','',NULL,NULL,'2022-06-20 18:51:32',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-20 22:51:32','2022-06-20 22:51:32'),(215,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0214','',NULL,NULL,'2022-06-21 08:38:36',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 12:38:36','2022-06-21 12:38:37'),(216,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0215','',NULL,NULL,'2022-06-21 09:17:48',105.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,105.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 13:17:48','2022-06-21 13:17:48'),(217,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0216','',NULL,NULL,'2022-06-21 09:25:40',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 13:25:40','2022-06-21 13:25:40'),(218,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0217','',NULL,NULL,'2022-06-21 10:01:07',895.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,895.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 14:01:07','2022-06-21 14:01:07'),(219,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0218','',NULL,NULL,'2022-06-21 10:30:52',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 14:30:52','2022-06-21 14:30:52'),(220,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0219','',NULL,NULL,'2022-06-21 11:21:24',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,350.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 15:21:24','2022-06-21 15:21:24'),(221,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0220','',NULL,NULL,'2022-06-21 11:47:43',220.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,220.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 15:47:43','2022-06-21 15:47:43'),(222,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0221','',NULL,NULL,'2022-06-21 11:54:34',180.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,180.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 15:54:34','2022-06-21 15:54:34'),(223,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0222','',NULL,NULL,'2022-06-21 11:55:32',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 15:55:32','2022-06-21 15:55:32'),(224,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0223','',NULL,NULL,'2022-06-21 11:59:03',1845.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,1845.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 15:59:03','2022-06-21 15:59:03'),(225,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0224','',NULL,NULL,'2022-06-21 12:07:40',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 16:07:40','2022-06-21 16:07:40'),(226,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0225','',NULL,NULL,'2022-06-21 12:18:30',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 16:18:30','2022-06-21 16:18:30'),(227,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0226','',NULL,NULL,'2022-06-21 12:40:33',565.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,565.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 16:40:33','2022-06-21 16:40:33'),(228,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0227','',NULL,NULL,'2022-06-21 13:13:10',470.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,470.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 17:13:10','2022-06-21 17:13:10'),(229,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0228','',NULL,NULL,'2022-06-21 13:15:47',950.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,100.0000,NULL,NULL,0.0000,1050.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 17:15:47','2022-06-21 17:15:47'),(230,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0229','',NULL,NULL,'2022-06-21 13:45:29',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 17:45:29','2022-06-21 17:45:29'),(231,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0230','',NULL,NULL,'2022-06-21 14:18:49',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 18:18:49','2022-06-21 18:18:49'),(232,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0231','',NULL,NULL,'2022-06-21 14:49:14',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 18:49:14','2022-06-21 18:49:14'),(233,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0232','',NULL,NULL,'2022-06-21 15:22:57',220.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,220.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 19:22:57','2022-06-21 19:22:57'),(234,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0233','',NULL,NULL,'2022-06-21 16:31:38',295.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,295.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 20:31:38','2022-06-21 20:31:38'),(235,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0234','',NULL,NULL,'2022-06-21 16:40:26',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,100.0000,NULL,NULL,0.0000,450.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 20:40:26','2022-06-21 20:40:26'),(236,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0235','',NULL,NULL,'2022-06-21 16:57:30',105.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,105.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 20:57:30','2022-06-21 20:57:30'),(237,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0236','',NULL,NULL,'2022-06-21 17:25:04',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 21:25:04','2022-06-21 21:25:04'),(238,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0237','',NULL,NULL,'2022-06-21 17:33:38',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 21:33:38','2022-06-21 21:33:38'),(239,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0238','',NULL,NULL,'2022-06-21 18:37:06',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-21 22:37:06','2022-06-21 22:37:06'),(240,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0239','',NULL,NULL,'2022-06-22 08:55:31',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-22 12:55:31','2022-06-22 12:55:31'),(241,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0240','',NULL,NULL,'2022-06-22 09:10:34',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,50.0000,NULL,NULL,0.0000,400.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-22 13:10:34','2022-06-22 13:10:34'),(242,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0241','',NULL,NULL,'2022-06-22 09:30:46',395.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,395.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-22 13:30:46','2022-06-22 13:30:46'),(243,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0242','',NULL,NULL,'2022-06-22 09:44:20',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-22 13:44:20','2022-06-22 13:44:20'),(244,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0243','',NULL,NULL,'2022-06-22 09:46:48',170.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,170.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-22 13:46:48','2022-06-22 13:46:48'),(245,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0244','',NULL,NULL,'2022-06-22 10:28:51',400.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,400.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-22 14:28:51','2022-06-22 14:29:38'),(246,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0245','',NULL,NULL,'2022-06-22 11:33:31',285.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,285.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-22 15:33:31','2022-06-22 15:33:31'),(247,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0246','',NULL,NULL,'2022-06-22 12:08:33',420.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,420.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-22 16:08:33','2022-06-22 16:08:33'),(248,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0247','',NULL,NULL,'2022-06-22 12:36:00',330.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,330.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-22 16:36:00','2022-06-22 16:36:00'),(249,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0248','',NULL,NULL,'2022-06-22 12:46:23',1050.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,1050.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-22 16:46:23','2022-06-22 16:46:23'),(250,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0249','',NULL,NULL,'2022-06-22 13:52:06',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-22 17:52:06','2022-06-22 17:52:06'),(251,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0250','',NULL,NULL,'2022-06-22 14:13:29',420.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,420.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-22 18:13:29','2022-06-22 18:13:29'),(252,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0251','',NULL,NULL,'2022-06-22 15:13:08',290.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,290.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-22 19:13:08','2022-06-22 19:13:08'),(253,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0252','',NULL,NULL,'2022-06-22 15:23:51',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-22 19:23:51','2022-06-22 19:23:51'),(254,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0253','',NULL,NULL,'2022-06-22 16:40:55',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,100.0000,NULL,NULL,0.0000,450.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-22 20:40:55','2022-06-22 20:40:55'),(255,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0254','',NULL,NULL,'2022-06-23 09:39:54',295.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,295.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-23 13:39:54','2022-06-23 13:39:54'),(256,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0255','',NULL,NULL,'2022-06-23 09:51:08',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-23 13:51:08','2022-06-23 13:51:08'),(257,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0256','',NULL,NULL,'2022-06-23 10:05:14',230.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,230.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-23 14:05:14','2022-06-23 14:05:14'),(258,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0257','',NULL,NULL,'2022-06-23 11:22:51',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,100.0000,'ROSA (HOMS)',NULL,0.0000,450.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-23 15:22:51','2022-06-23 15:22:51'),(259,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0258','',NULL,NULL,'2022-06-23 11:24:29',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-23 15:24:29','2022-06-23 15:24:29'),(260,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0259','',NULL,NULL,'2022-06-23 11:24:49',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-23 15:24:49','2022-06-23 15:24:49'),(261,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0260','',NULL,NULL,'2022-06-23 12:25:44',230.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,230.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-23 16:25:44','2022-06-23 16:25:44'),(262,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0261','',NULL,NULL,'2022-06-23 12:49:59',370.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,370.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-23 16:49:59','2022-06-23 16:49:59'),(263,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0262','',NULL,NULL,'2022-06-23 12:50:38',340.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,340.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-23 16:50:38','2022-06-23 16:50:38'),(264,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0263','',NULL,NULL,'2022-06-23 13:52:36',550.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,550.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-23 17:52:36','2022-06-23 17:52:36'),(265,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0264','',NULL,NULL,'2022-06-23 16:45:05',285.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,'MESA 1',NULL,0.0000,285.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-23 20:45:05','2022-06-23 20:48:16'),(266,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0265','',NULL,NULL,'2022-06-23 16:46:57',460.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,460.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-23 20:46:57','2022-06-23 20:46:57'),(267,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0266','',NULL,NULL,'2022-06-23 17:43:43',1260.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,1260.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-23 21:43:43','2022-06-23 21:43:43'),(268,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0267','',NULL,NULL,'2022-06-23 18:19:39',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-23 22:19:39','2022-06-23 22:19:39'),(269,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0268','',NULL,NULL,'2022-06-23 18:58:13',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-23 22:58:13','2022-06-23 22:58:13'),(270,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0269','',NULL,NULL,'2022-06-24 09:23:46',160.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,160.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-24 13:23:46','2022-06-24 13:23:46'),(271,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0270','',NULL,NULL,'2022-06-24 09:27:01',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-24 13:27:01','2022-06-24 13:27:01'),(272,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0271','',NULL,NULL,'2022-06-24 10:13:25',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-24 14:13:25','2022-06-24 14:13:25'),(273,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0272','',NULL,NULL,'2022-06-24 10:59:07',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-24 14:59:07','2022-06-24 14:59:07'),(274,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0273','',NULL,NULL,'2022-06-24 15:28:43',400.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,400.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-24 19:28:43','2022-06-24 19:28:43'),(275,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0274','',NULL,NULL,'2022-06-24 15:36:28',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-24 19:36:28','2022-06-24 19:36:28'),(276,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0275','',NULL,NULL,'2022-06-24 15:37:59',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-24 19:37:59','2022-06-24 19:37:59'),(277,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0276','',NULL,NULL,'2022-06-24 15:46:07',160.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,160.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-24 19:46:07','2022-06-24 19:46:07'),(278,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0277','',NULL,NULL,'2022-06-24 15:52:31',210.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,210.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-24 19:52:31','2022-06-24 19:52:31'),(279,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0278','',NULL,NULL,'2022-06-24 16:10:24',240.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,240.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-24 20:10:24','2022-06-24 20:10:24'),(280,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0279','',NULL,NULL,'2022-06-24 17:04:14',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-24 21:04:14','2022-06-24 21:04:14'),(281,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0280','',NULL,NULL,'2022-06-24 18:43:31',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-24 22:43:31','2022-06-24 22:43:31'),(283,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0282','',NULL,NULL,'2022-06-25 09:34:15',160.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,160.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-25 13:34:15','2022-06-25 13:34:15'),(284,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0283','',NULL,NULL,'2022-06-25 09:35:06',240.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,240.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-25 13:35:06','2022-06-25 13:35:06'),(285,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0284','',NULL,NULL,'2022-06-25 09:37:11',155.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,155.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-25 13:37:11','2022-06-25 13:37:11'),(286,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0285','',NULL,NULL,'2022-06-25 11:07:37',700.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,700.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-25 15:07:37','2022-06-25 15:07:37'),(287,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0286','',NULL,NULL,'2022-06-25 11:17:05',185.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,185.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-25 15:17:05','2022-06-25 15:17:05'),(288,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0287','',NULL,NULL,'2022-06-25 12:29:37',700.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,700.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-25 16:29:37','2022-06-25 16:29:37'),(289,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0288','',NULL,NULL,'2022-06-25 16:01:32',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-25 20:01:32','2022-06-25 20:01:32'),(290,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0290','',NULL,NULL,'2022-06-25 16:35:55',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-25 20:35:55','2022-06-25 21:01:20'),(291,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0289','',NULL,NULL,'2022-06-25 16:36:27',165.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,165.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-25 20:36:27','2022-06-25 20:36:27'),(292,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0291','',NULL,NULL,'2022-06-25 18:34:38',280.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,280.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-25 22:34:38','2022-06-25 22:34:38'),(293,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0292','',NULL,NULL,'2022-06-25 18:39:39',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-25 22:39:39','2022-06-25 22:39:40'),(294,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0293','',NULL,NULL,'2022-06-27 10:31:33',165.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,165.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-27 14:31:33','2022-06-27 14:31:33'),(295,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0294','',NULL,NULL,'2022-06-27 13:21:19',160.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,160.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-27 17:21:19','2022-06-27 17:21:19'),(296,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0295','',NULL,NULL,'2022-06-27 13:26:15',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-27 17:26:15','2022-06-27 17:26:15'),(297,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0296','',NULL,NULL,'2022-06-27 13:33:43',860.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,860.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-27 17:33:43','2022-06-27 17:33:44'),(298,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0297','',NULL,NULL,'2022-06-27 14:07:17',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-27 18:07:17','2022-06-27 18:07:17'),(299,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0298','',NULL,NULL,'2022-06-27 14:15:23',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-27 18:15:23','2022-06-27 18:15:23'),(300,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0299','',NULL,NULL,'2022-06-27 14:15:33',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-27 18:15:33','2022-06-27 18:15:33'),(301,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0300','',NULL,NULL,'2022-06-27 16:28:22',240.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,240.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-27 20:28:22','2022-06-27 20:28:22'),(302,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0301','',NULL,NULL,'2022-06-27 16:33:37',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-27 20:33:37','2022-06-27 20:33:37'),(303,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0302','',NULL,NULL,'2022-06-27 17:03:24',220.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,220.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-27 21:03:24','2022-06-27 21:03:24'),(304,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0303','',NULL,NULL,'2022-06-27 17:06:38',420.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,420.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-27 21:06:38','2022-06-27 21:06:38'),(305,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0304','',NULL,NULL,'2022-06-27 18:51:44',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-27 22:51:44','2022-06-27 22:51:44'),(306,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0305','',NULL,NULL,'2022-06-27 19:23:50',620.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,620.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-27 23:23:50','2022-06-27 23:23:50'),(307,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0306','',NULL,NULL,'2022-06-27 19:26:23',215.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,215.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-27 23:26:23','2022-06-27 23:26:23'),(308,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0307','',NULL,NULL,'2022-06-28 08:32:05',367.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,367.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-28 12:32:05','2022-06-28 12:32:05'),(309,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0308','',NULL,NULL,'2022-06-28 09:03:32',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-28 13:03:32','2022-06-28 13:03:32'),(310,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0309','',NULL,NULL,'2022-06-28 09:22:04',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-28 13:22:04','2022-06-28 13:22:04'),(311,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0310','',NULL,NULL,'2022-06-28 10:00:05',25.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,25.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-28 14:00:05','2022-06-28 14:00:05'),(312,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0311','',NULL,NULL,'2022-06-28 11:47:27',475.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,475.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-28 15:47:27','2022-06-28 15:47:27'),(313,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0312','',NULL,NULL,'2022-06-28 12:02:43',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-28 16:02:43','2022-06-28 16:02:43'),(314,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0313','',NULL,NULL,'2022-06-28 13:41:02',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-28 17:41:02','2022-06-28 17:41:02'),(315,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0314','',NULL,NULL,'2022-06-28 14:21:15',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,50.0000,NULL,NULL,0.0000,400.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-28 18:21:15','2022-06-28 18:21:15'),(316,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0315','',NULL,NULL,'2022-06-28 15:20:58',240.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,240.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-28 19:20:58','2022-06-28 19:20:58'),(317,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0316','',NULL,NULL,'2022-06-28 16:05:38',450.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,450.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-28 20:05:38','2022-06-28 20:05:38'),(318,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0317','',NULL,NULL,'2022-06-28 17:22:40',135.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,135.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-28 21:22:40','2022-06-28 21:22:40'),(319,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0318','',NULL,NULL,'2022-06-28 17:27:41',270.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,270.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-28 21:27:41','2022-06-28 21:27:41'),(320,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0319','',NULL,NULL,'2022-06-28 17:56:52',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-28 21:56:52','2022-06-28 21:56:52'),(321,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0320','',NULL,NULL,'2022-06-28 18:32:08',300.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,300.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-28 22:32:08','2022-06-28 22:32:08'),(322,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0321','',NULL,NULL,'2022-06-28 18:34:38',105.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,105.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-28 22:34:38','2022-06-28 22:34:38'),(323,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0322','',NULL,NULL,'2022-06-28 18:39:26',740.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,740.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-28 22:39:26','2022-06-28 22:39:26'),(324,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0323','',NULL,NULL,'2022-06-29 08:36:30',338.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,338.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-06-29 12:36:30','2022-06-29 12:36:59'),(325,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0324','',NULL,NULL,'2022-06-29 09:08:01',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-29 13:08:01','2022-06-29 13:08:01'),(326,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0325','',NULL,NULL,'2022-06-29 09:44:51',268.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,268.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-29 13:44:51','2022-06-29 13:44:51'),(327,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0326','',NULL,NULL,'2022-06-29 09:45:48',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-29 13:45:48','2022-06-29 13:45:48'),(328,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0327','',NULL,NULL,'2022-06-29 10:44:09',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-29 14:44:09','2022-06-29 14:44:09'),(329,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0328','',NULL,NULL,'2022-06-29 11:01:37',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-29 15:01:37','2022-06-29 15:01:37'),(330,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0329','',NULL,NULL,'2022-06-29 11:27:29',160.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,160.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-29 15:27:29','2022-06-29 15:27:29'),(331,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0330','',NULL,NULL,'2022-06-29 14:58:46',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-29 18:58:46','2022-06-29 18:58:46'),(332,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0331','',NULL,NULL,'2022-06-29 15:27:31',265.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,265.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-29 19:27:31','2022-06-29 19:27:31'),(333,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0332','',NULL,NULL,'2022-06-29 16:56:09',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-29 20:56:09','2022-06-29 20:56:09'),(334,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0333','',NULL,NULL,'2022-06-29 18:07:11',295.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,295.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-29 22:07:11','2022-06-29 22:07:11'),(335,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0334','',NULL,NULL,'2022-06-29 18:34:46',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-29 22:34:46','2022-06-29 22:34:46'),(336,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0335','',NULL,NULL,'2022-06-30 08:57:54',268.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,268.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 12:57:54','2022-06-30 12:57:54'),(337,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0336','',NULL,NULL,'2022-06-30 09:03:46',135.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,135.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 13:03:46','2022-06-30 13:03:46'),(338,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0337','',NULL,NULL,'2022-06-30 09:46:40',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 13:46:40','2022-06-30 13:46:40'),(339,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0338','',NULL,NULL,'2022-06-30 10:40:57',200.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,200.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 14:40:57','2022-06-30 14:40:57'),(340,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0339','',NULL,NULL,'2022-06-30 10:41:28',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 14:41:28','2022-06-30 14:41:28'),(341,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0340','',NULL,NULL,'2022-06-30 12:54:24',560.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,560.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 16:54:24','2022-06-30 16:54:24'),(342,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0341','',NULL,NULL,'2022-06-30 13:02:03',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 17:02:03','2022-06-30 17:02:03'),(343,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0342','',NULL,NULL,'2022-06-30 13:05:02',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 17:05:02','2022-06-30 17:05:02'),(344,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0343','',NULL,NULL,'2022-06-30 13:25:30',250.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,250.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 17:25:30','2022-06-30 17:25:30'),(345,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0344','',NULL,NULL,'2022-06-30 13:45:28',200.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,200.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 17:45:28','2022-06-30 17:45:28'),(346,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0345','',NULL,NULL,'2022-06-30 14:09:16',170.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,170.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 18:09:16','2022-06-30 18:09:16'),(347,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0346','',NULL,NULL,'2022-06-30 15:23:01',315.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,315.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 19:23:01','2022-06-30 19:23:01'),(348,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0347','',NULL,NULL,'2022-06-30 15:40:06',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 19:40:06','2022-06-30 19:40:06'),(349,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0348','',NULL,NULL,'2022-06-30 16:10:25',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 20:10:25','2022-06-30 20:10:25'),(350,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0349','',NULL,NULL,'2022-06-30 16:17:11',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,350.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 20:17:11','2022-06-30 20:17:11'),(351,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0350','',NULL,NULL,'2022-06-30 16:17:34',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 20:17:34','2022-06-30 20:17:34'),(352,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0351','',NULL,NULL,'2022-06-30 18:07:31',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 22:07:31','2022-06-30 22:07:31'),(353,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0352','',NULL,NULL,'2022-06-30 18:14:10',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-06-30 22:14:10','2022-06-30 22:14:10'),(354,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0353','',NULL,NULL,'2022-07-01 08:48:39',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-01 12:48:39','2022-07-01 12:48:40'),(355,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0354','',NULL,NULL,'2022-07-01 09:06:22',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-01 13:06:22','2022-07-01 13:06:22'),(356,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0355','',NULL,NULL,'2022-07-01 09:30:10',110.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,110.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-01 13:30:10','2022-07-01 13:30:10'),(357,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0356','',NULL,NULL,'2022-07-01 15:08:34',1050.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,100.0000,NULL,NULL,0.0000,1150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-01 19:08:34','2022-07-01 19:08:35'),(358,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0357','',NULL,NULL,'2022-07-01 15:45:10',170.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,170.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-01 19:45:10','2022-07-01 19:45:10'),(359,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0358','',NULL,NULL,'2022-07-01 18:50:21',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-01 22:50:21','2022-07-01 22:50:21'),(360,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0359','',NULL,NULL,'2022-07-02 09:55:39',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-02 13:55:39','2022-07-02 13:55:39'),(361,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0360','',NULL,NULL,'2022-07-02 10:11:28',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,50.0000,NULL,NULL,0.0000,400.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-02 14:11:28','2022-07-02 14:11:28'),(362,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0361','',NULL,NULL,'2022-07-02 11:02:19',365.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,365.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-02 15:02:19','2022-07-02 15:02:19'),(363,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0362','',NULL,NULL,'2022-07-02 11:02:47',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-02 15:02:47','2022-07-02 15:02:47'),(364,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0363','',NULL,NULL,'2022-07-02 11:41:15',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-02 15:41:15','2022-07-02 15:41:15'),(365,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0364','',NULL,NULL,'2022-07-02 12:45:41',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,350.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-02 16:45:41','2022-07-02 16:45:41'),(366,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0365','',NULL,NULL,'2022-07-02 13:14:59',140.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,140.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-02 17:14:59','2022-07-02 17:14:59'),(367,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0366','',NULL,NULL,'2022-07-02 15:50:58',360.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,360.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-02 19:50:58','2022-07-02 19:50:58'),(368,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0367','',NULL,NULL,'2022-07-02 17:19:13',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-02 21:19:13','2022-07-02 21:19:13'),(369,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0368','',NULL,NULL,'2022-07-02 17:39:22',510.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,510.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-02 21:39:22','2022-07-02 21:39:22'),(370,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0369','',NULL,NULL,'2022-07-02 18:05:03',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-02 22:05:03','2022-07-02 22:05:03'),(371,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0370','',NULL,NULL,'2022-07-04 09:38:35',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-04 13:38:35','2022-07-04 13:38:35'),(372,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0371','',NULL,NULL,'2022-07-04 10:11:43',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-04 14:11:43','2022-07-04 14:11:43'),(373,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0372','',NULL,NULL,'2022-07-04 10:33:08',210.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,210.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-04 14:33:08','2022-07-04 14:33:08'),(374,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0373','',NULL,NULL,'2022-07-04 11:08:06',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-04 15:08:06','2022-07-04 15:08:06'),(375,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0374','',NULL,NULL,'2022-07-04 12:20:05',290.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,290.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-04 16:20:05','2022-07-04 16:20:05'),(376,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0375','',NULL,NULL,'2022-07-04 12:31:27',25.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,25.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-04 16:31:27','2022-07-04 16:31:27'),(377,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0376','',NULL,NULL,'2022-07-04 13:31:49',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-04 17:31:49','2022-07-04 17:31:49'),(378,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0377','',NULL,NULL,'2022-07-04 16:40:26',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-04 20:40:26','2022-07-04 20:40:26'),(379,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0378','',NULL,NULL,'2022-07-04 17:59:08',270.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,270.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-04 21:59:08','2022-07-04 21:59:08'),(380,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0379','',NULL,NULL,'2022-07-05 09:24:38',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-05 13:24:38','2022-07-05 13:24:38'),(381,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0380','',NULL,NULL,'2022-07-05 09:34:51',105.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,105.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-05 13:34:51','2022-07-05 13:34:51'),(382,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0381','',NULL,NULL,'2022-07-05 10:44:38',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-05 14:44:38','2022-07-05 14:44:38'),(383,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0382','',NULL,NULL,'2022-07-05 14:37:10',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-05 18:37:10','2022-07-05 18:37:10'),(384,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0383','',NULL,NULL,'2022-07-05 15:27:56',210.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,210.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-05 19:27:56','2022-07-05 19:27:56'),(385,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0384','',NULL,NULL,'2022-07-05 15:35:32',60.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,60.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-05 19:35:32','2022-07-05 19:35:32'),(386,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0385','',NULL,NULL,'2022-07-05 15:42:28',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,350.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-05 19:42:28','2022-07-05 19:42:28'),(387,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0386','',NULL,NULL,'2022-07-05 18:33:06',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-05 22:33:06','2022-07-05 22:33:06'),(388,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0387','',NULL,NULL,'2022-07-05 18:58:23',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-05 22:58:23','2022-07-05 22:58:23'),(389,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0388','',NULL,NULL,'2022-07-06 09:28:59',135.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,135.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-06 13:28:59','2022-07-06 13:28:59'),(390,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0389','',NULL,NULL,'2022-07-06 14:01:20',230.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,230.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-06 18:01:20','2022-07-06 18:01:20'),(391,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0390','',NULL,NULL,'2022-07-06 16:35:35',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-06 20:35:35','2022-07-06 20:35:35'),(392,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0391','',NULL,NULL,'2022-07-06 17:33:24',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-06 21:33:24','2022-07-06 21:33:24'),(393,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0392','',NULL,NULL,'2022-07-07 08:34:52',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-07 12:34:52','2022-07-07 12:34:52'),(394,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0393','',NULL,NULL,'2022-07-07 08:37:13',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-07 12:37:13','2022-07-07 12:37:13'),(395,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0394','',NULL,NULL,'2022-07-07 10:03:52',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-07 14:03:52','2022-07-07 14:03:52'),(396,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0395','',NULL,NULL,'2022-07-07 10:59:30',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-07 14:59:30','2022-07-07 14:59:30'),(397,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0396','',NULL,NULL,'2022-07-07 14:02:15',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-07 18:02:15','2022-07-07 18:02:15'),(398,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0397','',NULL,NULL,'2022-07-07 14:05:05',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-07 18:05:05','2022-07-07 18:05:05'),(399,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0398','',NULL,NULL,'2022-07-07 15:58:44',220.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,220.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-07 19:58:44','2022-07-07 19:58:44'),(400,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0399','',NULL,NULL,'2022-07-07 16:26:38',290.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,290.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-07 20:26:38','2022-07-07 20:26:38'),(401,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0400','',NULL,NULL,'2022-07-07 16:56:01',160.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,160.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-07 20:56:01','2022-07-07 20:56:01'),(402,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0401','',NULL,NULL,'2022-07-07 18:56:35',220.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,220.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-07 22:56:35','2022-07-07 22:56:35'),(403,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0402','',NULL,NULL,'2022-07-08 09:42:14',105.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,105.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-08 13:42:14','2022-07-08 13:42:14'),(404,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0403','',NULL,NULL,'2022-07-08 11:02:57',240.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,240.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-08 15:02:57','2022-07-08 15:02:57'),(405,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0404','',NULL,NULL,'2022-07-08 11:06:00',290.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,290.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-08 15:06:00','2022-07-08 15:06:00'),(406,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0405','',NULL,NULL,'2022-07-08 11:12:55',320.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,320.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-08 15:12:55','2022-07-08 15:12:55'),(407,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0406','',NULL,NULL,'2022-07-08 12:47:58',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-08 16:47:58','2022-07-08 16:47:58'),(408,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0407','',NULL,NULL,'2022-07-08 14:18:01',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-08 18:18:01','2022-07-08 18:18:01'),(409,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0408','',NULL,NULL,'2022-07-08 15:02:12',135.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,135.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-08 19:02:12','2022-07-08 19:02:12'),(410,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0409','',NULL,NULL,'2022-07-08 15:18:33',255.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,255.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-08 19:18:33','2022-07-08 19:18:33'),(411,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0410','',NULL,NULL,'2022-07-08 16:45:31',105.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,105.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-08 20:45:31','2022-07-08 20:45:31'),(412,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0411','',NULL,NULL,'2022-07-08 16:47:02',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-08 20:47:02','2022-07-08 20:47:02'),(413,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0412','',NULL,NULL,'2022-07-08 16:48:30',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-08 20:48:30','2022-07-08 20:48:30'),(414,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0413','',NULL,NULL,'2022-07-08 18:05:41',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-08 22:05:41','2022-07-08 22:05:41'),(415,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0414','',NULL,NULL,'2022-07-09 08:47:40',135.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,135.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-09 12:47:40','2022-07-09 12:47:40'),(416,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0415','',NULL,NULL,'2022-07-09 12:32:29',940.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,940.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-09 16:32:29','2022-07-09 16:32:29'),(417,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0416','',NULL,NULL,'2022-07-09 12:47:23',410.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,410.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-09 16:47:23','2022-07-09 16:47:23'),(418,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0417','',NULL,NULL,'2022-07-11 09:11:59',160.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,160.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-11 13:11:59','2022-07-11 13:11:59'),(419,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0418','',NULL,NULL,'2022-07-11 10:06:43',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-11 14:06:43','2022-07-11 14:06:43'),(420,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0419','',NULL,NULL,'2022-07-11 11:14:21',110.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,110.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-11 15:14:21','2022-07-11 15:14:21'),(421,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0420','',NULL,NULL,'2022-07-11 12:20:40',165.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,165.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-11 16:20:40','2022-07-11 16:20:40'),(422,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0422','',NULL,NULL,'2022-07-11 15:03:51',240.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,240.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,NULL,'2022-07-11 19:03:51','2022-07-11 19:38:54'),(423,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0421','',NULL,NULL,'2022-07-11 15:04:23',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-11 19:04:23','2022-07-11 19:04:23'),(424,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0423','',NULL,NULL,'2022-07-11 15:55:28',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-11 19:55:28','2022-07-11 19:55:28'),(425,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0424','',NULL,NULL,'2022-07-11 17:06:35',180.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,180.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-11 21:06:35','2022-07-11 21:06:35'),(426,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0425','',NULL,NULL,'2022-07-11 17:09:11',180.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,180.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-11 21:09:11','2022-07-11 21:09:11'),(427,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0426','',NULL,NULL,'2022-07-11 17:10:14',230.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,230.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-11 21:10:14','2022-07-11 21:10:15'),(428,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0427','',NULL,NULL,'2022-07-11 17:10:40',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-11 21:10:40','2022-07-11 21:10:40'),(429,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0428','',NULL,NULL,'2022-07-11 17:11:25',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-11 21:11:25','2022-07-11 21:11:25'),(430,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0429','',NULL,NULL,'2022-07-12 09:11:24',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-12 13:11:24','2022-07-12 13:11:24'),(431,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0430','',NULL,NULL,'2022-07-12 09:22:41',105.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,105.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-12 13:22:41','2022-07-12 13:22:41'),(432,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0431','',NULL,NULL,'2022-07-12 09:36:33',265.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,265.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-12 13:36:33','2022-07-12 13:36:33'),(433,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0432','',NULL,NULL,'2022-07-12 10:34:30',210.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,210.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-12 14:34:30','2022-07-12 14:34:31'),(434,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0433','',NULL,NULL,'2022-07-12 10:35:40',330.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,330.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-12 14:35:40','2022-07-12 14:35:40'),(435,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0434','',NULL,NULL,'2022-07-12 11:25:56',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-12 15:25:56','2022-07-12 15:25:57'),(436,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0435','',NULL,NULL,'2022-07-12 12:40:56',1050.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,1050.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-12 16:40:56','2022-07-12 16:40:56'),(437,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0436','',NULL,NULL,'2022-07-12 14:03:49',270.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,270.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-12 18:03:49','2022-07-12 18:03:49'),(438,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0437','',NULL,NULL,'2022-07-12 14:18:03',25.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,25.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-12 18:18:03','2022-07-12 18:18:03'),(439,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0438','',NULL,NULL,'2022-07-12 15:31:23',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,350.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-12 19:31:23','2022-07-12 19:31:23'),(440,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0439','',NULL,NULL,'2022-07-12 15:46:56',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-12 19:46:56','2022-07-12 19:46:56'),(441,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0440','',NULL,NULL,'2022-07-12 17:42:00',160.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,160.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-12 21:42:00','2022-07-12 21:42:00'),(442,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0441','',NULL,NULL,'2022-07-12 17:54:45',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-12 21:54:45','2022-07-12 21:54:45'),(443,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0442','',NULL,NULL,'2022-07-13 08:22:17',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-13 12:22:17','2022-07-13 12:22:17'),(444,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0443','',NULL,NULL,'2022-07-13 10:22:59',230.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,230.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-13 14:22:59','2022-07-13 14:22:59'),(445,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0444','',NULL,NULL,'2022-07-13 10:48:57',210.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,210.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-13 14:48:57','2022-07-13 14:48:57'),(446,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0445','',NULL,NULL,'2022-07-13 10:50:20',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-13 14:50:20','2022-07-13 14:50:20'),(447,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0446','',NULL,NULL,'2022-07-13 10:53:48',210.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,210.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-13 14:53:48','2022-07-13 14:53:48'),(448,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0447','',NULL,NULL,'2022-07-13 11:43:42',390.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,390.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-13 15:43:42','2022-07-13 15:43:42'),(449,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0448','',NULL,NULL,'2022-07-13 12:56:50',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-13 16:56:50','2022-07-13 16:56:50'),(450,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0449','',NULL,NULL,'2022-07-13 13:17:52',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,50.0000,NULL,NULL,0.0000,400.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-13 17:17:52','2022-07-13 17:17:52'),(451,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0450','',NULL,NULL,'2022-07-13 14:15:29',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-13 18:15:29','2022-07-13 18:15:29'),(452,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0451','',NULL,NULL,'2022-07-13 14:17:04',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-13 18:17:04','2022-07-13 18:17:04'),(453,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0452','',NULL,NULL,'2022-07-13 16:21:55',230.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,230.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-13 20:21:55','2022-07-13 20:21:55'),(454,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0453','',NULL,NULL,'2022-07-13 16:31:22',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-13 20:31:22','2022-07-13 20:31:22'),(455,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0454','',NULL,NULL,'2022-07-13 16:32:09',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-13 20:32:09','2022-07-13 20:32:09'),(456,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0455','',NULL,NULL,'2022-07-13 19:13:14',1500.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,1500.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-13 23:13:14','2022-07-13 23:13:14'),(457,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0456','',NULL,NULL,'2022-07-14 08:25:39',230.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,230.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 12:25:39','2022-07-14 12:25:39'),(458,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0457','',NULL,NULL,'2022-07-14 08:49:07',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 12:49:07','2022-07-14 12:49:07'),(459,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0458','',NULL,NULL,'2022-07-14 08:49:52',260.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,260.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 12:49:52','2022-07-14 12:49:52'),(460,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0459','',NULL,NULL,'2022-07-14 08:50:49',180.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,180.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 12:50:49','2022-07-14 12:50:49'),(461,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0460','',NULL,NULL,'2022-07-14 10:00:52',765.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,765.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 14:00:52','2022-07-14 14:00:52'),(462,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0461','',NULL,NULL,'2022-07-14 10:36:08',180.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,180.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 14:36:08','2022-07-14 14:36:08'),(463,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0462','',NULL,NULL,'2022-07-14 11:19:29',390.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,390.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 15:19:30','2022-07-14 15:19:30'),(464,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0463','',NULL,NULL,'2022-07-14 11:32:06',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 15:32:06','2022-07-14 15:32:06'),(465,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0464','',NULL,NULL,'2022-07-14 12:23:32',900.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,900.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 16:23:32','2022-07-14 16:23:32'),(466,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0465','',NULL,NULL,'2022-07-14 13:30:17',255.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,255.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 17:30:17','2022-07-14 17:30:17'),(467,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0466','',NULL,NULL,'2022-07-14 14:36:40',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 18:36:40','2022-07-14 18:36:40'),(468,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0467','',NULL,NULL,'2022-07-14 15:00:21',210.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,210.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 19:00:21','2022-07-14 19:00:21'),(469,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0468','',NULL,NULL,'2022-07-14 15:51:55',310.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,310.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 19:51:55','2022-07-14 19:51:55'),(470,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0469','',NULL,NULL,'2022-07-14 16:06:11',450.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,450.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 20:06:11','2022-07-14 20:06:11'),(471,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0470','',NULL,NULL,'2022-07-14 16:23:04',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 20:23:04','2022-07-14 20:23:04'),(472,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0471','',NULL,NULL,'2022-07-14 16:37:31',240.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,240.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 20:37:31','2022-07-14 20:37:31'),(473,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0472','',NULL,NULL,'2022-07-14 18:31:14',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 22:31:14','2022-07-14 22:31:14'),(474,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0473','',NULL,NULL,'2022-07-14 18:37:07',300.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,300.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-14 22:37:07','2022-07-14 22:37:07'),(475,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0474','',NULL,NULL,'2022-07-15 08:38:06',395.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,395.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-15 12:38:06','2022-07-15 12:38:06'),(476,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0475','',NULL,NULL,'2022-07-15 09:09:57',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-15 13:09:57','2022-07-15 13:09:57'),(477,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0476','',NULL,NULL,'2022-07-15 10:45:00',180.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,180.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-15 14:45:00','2022-07-15 14:45:00'),(478,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0477','',NULL,NULL,'2022-07-15 11:55:35',310.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,310.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-15 15:55:35','2022-07-15 15:55:35'),(479,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0478','',NULL,NULL,'2022-07-15 13:44:32',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-15 17:44:32','2022-07-15 17:44:32'),(480,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0479','',NULL,NULL,'2022-07-15 15:59:23',155.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,155.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-15 19:59:23','2022-07-15 19:59:23'),(481,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0480','',NULL,NULL,'2022-07-15 16:18:29',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,350.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-15 20:18:29','2022-07-15 20:18:29'),(482,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0481','',NULL,NULL,'2022-07-15 18:22:47',1200.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,1200.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-15 22:22:47','2022-07-15 22:22:47'),(484,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0483','',NULL,NULL,'2022-07-16 09:22:02',290.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,290.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-16 13:22:02','2022-07-16 13:22:02'),(485,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0484','',NULL,NULL,'2022-07-16 10:01:56',155.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,155.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-16 14:01:56','2022-07-16 14:01:56'),(486,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0485','',NULL,NULL,'2022-07-16 10:06:18',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-16 14:06:18','2022-07-16 14:06:18'),(487,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0486','',NULL,NULL,'2022-07-16 10:33:12',700.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,50.0000,NULL,NULL,0.0000,750.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-16 14:33:12','2022-07-16 14:33:12'),(488,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0487','',NULL,NULL,'2022-07-16 10:42:14',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-16 14:42:14','2022-07-16 14:42:14'),(489,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0488','',NULL,NULL,'2022-07-16 12:03:33',260.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,260.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-16 16:03:33','2022-07-16 16:03:33'),(490,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0489','',NULL,NULL,'2022-07-16 13:10:25',355.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,355.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-16 17:10:25','2022-07-16 17:10:25'),(491,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0490','',NULL,NULL,'2022-07-16 13:13:18',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-16 17:13:18','2022-07-16 17:13:18'),(492,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0491','',NULL,NULL,'2022-07-16 14:54:52',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-16 18:54:52','2022-07-16 18:54:52'),(493,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0492','',NULL,NULL,'2022-07-16 18:16:15',185.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,185.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-16 22:16:15','2022-07-16 22:16:16'),(494,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0493','',NULL,NULL,'2022-07-18 10:02:28',340.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,340.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-18 14:02:28','2022-07-18 14:02:28'),(495,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0494','',NULL,NULL,'2022-07-18 10:02:51',105.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,105.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-18 14:02:51','2022-07-18 14:02:51'),(496,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0495','',NULL,NULL,'2022-07-18 10:47:53',290.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,290.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-18 14:47:53','2022-07-18 14:47:53'),(497,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0496','',NULL,NULL,'2022-07-18 11:25:30',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-18 15:25:30','2022-07-18 15:25:30'),(498,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0497','',NULL,NULL,'2022-07-18 11:38:23',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-18 15:38:23','2022-07-18 15:38:23'),(499,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0498','',NULL,NULL,'2022-07-18 13:04:18',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-18 17:04:18','2022-07-18 17:04:18'),(500,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0499','',NULL,NULL,'2022-07-18 13:21:09',400.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,400.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-18 17:21:09','2022-07-18 17:21:09'),(501,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0500','',NULL,NULL,'2022-07-18 15:17:40',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-18 19:17:40','2022-07-18 19:17:40'),(502,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0501','',NULL,NULL,'2022-07-18 15:58:42',135.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,135.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-18 19:58:42','2022-07-18 19:58:42'),(503,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0502','',NULL,NULL,'2022-07-18 16:44:49',410.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,410.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-18 20:44:49','2022-07-18 20:44:49'),(504,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0503','',NULL,NULL,'2022-07-18 16:54:00',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-18 20:54:00','2022-07-18 20:54:00'),(505,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0504','',NULL,NULL,'2022-07-18 16:57:05',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-18 20:57:05','2022-07-18 20:57:05'),(506,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0505','',NULL,NULL,'2022-07-18 17:23:11',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-18 21:23:11','2022-07-18 21:23:11'),(507,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0506','',NULL,NULL,'2022-07-18 18:48:52',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-18 22:48:52','2022-07-18 22:48:52'),(508,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0507','',NULL,NULL,'2022-07-19 08:38:52',460.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,460.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 12:38:52','2022-07-19 12:38:52'),(509,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0508','',NULL,NULL,'2022-07-19 08:55:47',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 12:55:47','2022-07-19 12:55:47'),(510,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0509','',NULL,NULL,'2022-07-19 09:03:08',185.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,185.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 13:03:08','2022-07-19 13:03:08'),(511,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0510','',NULL,NULL,'2022-07-19 09:28:53',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 13:28:53','2022-07-19 13:28:53'),(512,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0511','',NULL,NULL,'2022-07-19 09:48:38',430.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,430.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 13:48:38','2022-07-19 13:48:38'),(513,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0512','',NULL,NULL,'2022-07-19 10:21:48',470.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,470.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 14:21:48','2022-07-19 14:21:48'),(514,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0513','',NULL,NULL,'2022-07-19 10:44:03',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 14:44:03','2022-07-19 14:44:03'),(515,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0514','',NULL,NULL,'2022-07-19 12:24:20',180.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,180.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 16:24:20','2022-07-19 16:24:20'),(516,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0515','',NULL,NULL,'2022-07-19 12:30:27',310.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,310.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 16:30:27','2022-07-19 16:30:27'),(517,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0516','',NULL,NULL,'2022-07-19 12:34:56',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 16:34:56','2022-07-19 16:34:56'),(518,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0517','',NULL,NULL,'2022-07-19 12:49:04',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 16:49:04','2022-07-19 16:49:04'),(519,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0518','',NULL,NULL,'2022-07-19 13:47:36',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 17:47:36','2022-07-19 17:47:36'),(520,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0519','',NULL,NULL,'2022-07-19 13:59:52',255.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,255.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 17:59:52','2022-07-19 17:59:52'),(521,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0520','',NULL,NULL,'2022-07-19 14:58:46',615.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,615.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 18:58:46','2022-07-19 18:58:46'),(522,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0521','',NULL,NULL,'2022-07-19 16:09:04',190.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,190.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 20:09:04','2022-07-19 20:09:04'),(523,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0522','',NULL,NULL,'2022-07-19 17:19:00',230.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,230.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 21:19:00','2022-07-19 21:19:00'),(524,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0523','',NULL,NULL,'2022-07-19 18:16:16',250.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,250.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 22:16:16','2022-07-19 22:16:16'),(525,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0524','',NULL,NULL,'2022-07-19 18:59:05',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,350.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-19 22:59:05','2022-07-19 22:59:05'),(526,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0525','',NULL,NULL,'2022-07-20 08:15:45',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-20 12:15:45','2022-07-20 12:15:45'),(527,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0526','',NULL,NULL,'2022-07-20 11:02:50',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-20 15:02:50','2022-07-20 15:02:50'),(528,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0527','',NULL,NULL,'2022-07-20 11:09:40',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-20 15:09:40','2022-07-20 15:09:40'),(529,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0528','',NULL,NULL,'2022-07-20 11:50:27',480.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,480.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-20 15:50:27','2022-07-20 15:50:27'),(530,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0529','',NULL,NULL,'2022-07-20 11:52:04',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-20 15:52:04','2022-07-20 15:52:04'),(531,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0530','',NULL,NULL,'2022-07-20 13:53:33',25.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,25.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-20 17:53:33','2022-07-20 17:53:33'),(532,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0531','',NULL,NULL,'2022-07-20 14:00:50',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-20 18:00:50','2022-07-20 18:00:50'),(533,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0532','',NULL,NULL,'2022-07-20 14:12:59',250.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,250.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-20 18:12:59','2022-07-20 18:12:59'),(534,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0533','',NULL,NULL,'2022-07-20 16:16:47',260.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,260.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-20 20:16:47','2022-07-20 20:16:47'),(535,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0534','',NULL,NULL,'2022-07-20 18:58:51',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-20 22:58:51','2022-07-20 22:58:51'),(536,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0535','',NULL,NULL,'2022-07-21 08:18:27',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-21 12:18:27','2022-07-21 12:18:27'),(537,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0536','',NULL,NULL,'2022-07-21 10:37:44',565.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,565.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-21 14:37:44','2022-07-21 14:37:44'),(538,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0537','',NULL,NULL,'2022-07-21 11:17:48',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-21 15:17:48','2022-07-21 15:17:48'),(539,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0538','',NULL,NULL,'2022-07-21 11:31:20',75.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,75.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-21 15:31:20','2022-07-21 15:31:20'),(540,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0539','',NULL,NULL,'2022-07-21 12:57:08',365.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,365.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-21 16:57:08','2022-07-21 16:57:08'),(541,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0540','',NULL,NULL,'2022-07-21 12:57:50',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-21 16:57:50','2022-07-21 16:57:50'),(542,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0541','',NULL,NULL,'2022-07-21 14:27:15',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-21 18:27:15','2022-07-21 18:27:15'),(543,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0542','',NULL,NULL,'2022-07-22 11:17:04',320.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,320.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-22 15:17:04','2022-07-22 15:17:04'),(544,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0543','',NULL,NULL,'2022-07-22 11:19:12',230.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,230.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-22 15:19:12','2022-07-22 15:19:12'),(545,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0544','',NULL,NULL,'2022-07-22 15:12:13',25.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,25.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-22 19:12:13','2022-07-22 19:12:13'),(546,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0545','',NULL,NULL,'2022-07-22 18:47:05',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-22 22:47:05','2022-07-22 22:47:05'),(547,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0546','',NULL,NULL,'2022-07-22 19:04:39',200.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,200.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-22 23:04:39','2022-07-22 23:04:39'),(548,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0547','',NULL,NULL,'2022-07-23 09:14:45',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-23 13:14:45','2022-07-23 13:14:45'),(549,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0548','',NULL,NULL,'2022-07-23 09:33:37',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-23 13:33:37','2022-07-23 13:33:37'),(550,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0549','',NULL,NULL,'2022-07-23 09:45:03',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-23 13:45:03','2022-07-23 13:45:03'),(551,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0550','',NULL,NULL,'2022-07-23 09:48:40',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-23 13:48:40','2022-07-23 13:48:40'),(552,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0551','',NULL,NULL,'2022-07-23 14:42:51',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-23 18:42:51','2022-07-23 18:42:51'),(553,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0552','',NULL,NULL,'2022-07-23 14:46:11',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-23 18:46:11','2022-07-23 18:46:11'),(554,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0553','',NULL,NULL,'2022-07-23 16:44:16',210.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,210.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-23 20:44:16','2022-07-23 20:44:16'),(555,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0554','',NULL,NULL,'2022-07-23 18:52:36',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-23 22:52:36','2022-07-23 22:52:36'),(556,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0555','',NULL,NULL,'2022-07-23 18:53:23',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-23 22:53:23','2022-07-23 22:53:23'),(557,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0556','',NULL,NULL,'2022-07-25 10:28:34',230.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,230.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-25 14:28:34','2022-07-25 14:28:34'),(558,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0557','',NULL,NULL,'2022-07-25 10:53:11',450.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,450.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-25 14:53:11','2022-07-25 14:53:11'),(559,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0558','',NULL,NULL,'2022-07-25 11:10:12',185.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,185.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-25 15:10:12','2022-07-25 15:10:12'),(560,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0559','',NULL,NULL,'2022-07-25 12:53:53',400.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,400.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-25 16:53:53','2022-07-25 16:53:53'),(561,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0560','',NULL,NULL,'2022-07-25 13:07:19',25.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,25.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-25 17:07:19','2022-07-25 17:07:19'),(562,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0561','',NULL,NULL,'2022-07-25 13:16:56',450.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,450.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-25 17:16:56','2022-07-25 17:16:56'),(563,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0562','',NULL,NULL,'2022-07-25 17:17:48',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-25 21:17:48','2022-07-25 21:17:48'),(564,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0563','',NULL,NULL,'2022-07-26 09:09:33',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-26 13:09:33','2022-07-26 13:09:33'),(565,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0564','',NULL,NULL,'2022-07-26 10:56:56',215.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,215.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-26 14:56:56','2022-07-26 14:56:56'),(566,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0565','',NULL,NULL,'2022-07-26 10:59:11',240.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,240.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-26 14:59:11','2022-07-26 14:59:11'),(567,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0566','',NULL,NULL,'2022-07-26 12:57:29',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-26 16:57:29','2022-07-26 16:57:29'),(568,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0567','',NULL,NULL,'2022-07-26 15:12:28',240.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,240.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-26 19:12:28','2022-07-26 19:12:28'),(569,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0568','',NULL,NULL,'2022-07-26 15:15:55',135.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,135.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-26 19:15:55','2022-07-26 19:15:55'),(570,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0569','',NULL,NULL,'2022-07-26 17:11:38',160.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,160.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-26 21:11:38','2022-07-26 21:11:38'),(571,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0570','',NULL,NULL,'2022-07-26 17:45:00',245.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,245.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-26 21:45:00','2022-07-26 21:45:00'),(572,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0571','',NULL,NULL,'2022-07-26 18:03:23',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-26 22:03:23','2022-07-26 22:03:23'),(573,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0572','',NULL,NULL,'2022-07-27 10:25:47',210.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,210.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-27 14:25:47','2022-07-27 14:25:47'),(574,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0573','',NULL,NULL,'2022-07-27 10:48:53',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-27 14:48:53','2022-07-27 14:48:53'),(575,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0574','',NULL,NULL,'2022-07-27 11:03:57',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,100.0000,NULL,NULL,0.0000,450.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-27 15:03:57','2022-07-27 15:03:57'),(576,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0575','',NULL,NULL,'2022-07-27 12:37:29',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-27 16:37:29','2022-07-27 16:37:29'),(577,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0576','',NULL,NULL,'2022-07-27 13:57:00',400.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,400.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-27 17:57:00','2022-07-27 17:57:00'),(578,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0577','',NULL,NULL,'2022-07-27 16:29:56',110.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,110.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-27 20:29:56','2022-07-27 20:29:56'),(579,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0578','',NULL,NULL,'2022-07-27 16:38:17',75.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,75.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-27 20:38:17','2022-07-27 20:38:17'),(580,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0579','',NULL,NULL,'2022-07-27 17:03:52',340.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,340.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-27 21:03:52','2022-07-27 21:03:52'),(581,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0580','',NULL,NULL,'2022-07-27 17:25:52',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-27 21:25:52','2022-07-27 21:25:52'),(582,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0581','',NULL,NULL,'2022-07-27 18:02:58',230.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,230.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-27 22:02:58','2022-07-27 22:02:58'),(583,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0582','',NULL,NULL,'2022-07-27 18:03:23',25.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,25.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-27 22:03:23','2022-07-27 22:03:23'),(584,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0583','',NULL,NULL,'2022-07-28 09:30:29',230.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,230.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-28 13:30:29','2022-07-28 13:30:29'),(585,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0584','',NULL,NULL,'2022-07-28 10:48:52',210.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,210.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-28 14:48:52','2022-07-28 14:48:52'),(586,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0585','',NULL,NULL,'2022-07-28 11:44:54',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-28 15:44:54','2022-07-28 15:44:54'),(587,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0586','',NULL,NULL,'2022-07-28 12:52:17',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-28 16:52:17','2022-07-28 16:52:17'),(588,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0587','',NULL,NULL,'2022-07-28 13:41:16',470.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,470.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-28 17:41:16','2022-07-28 17:41:16'),(589,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0588','',NULL,NULL,'2022-07-28 17:10:45',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-28 21:10:45','2022-07-28 21:10:45'),(590,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0589','',NULL,NULL,'2022-07-28 18:41:40',420.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,420.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-28 22:41:40','2022-07-28 22:41:40'),(591,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0590','',NULL,NULL,'2022-07-29 08:55:18',160.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,160.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-29 12:55:18','2022-07-29 12:55:18'),(592,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0591','',NULL,NULL,'2022-07-29 09:24:31',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-29 13:24:31','2022-07-29 13:24:31'),(593,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0592','',NULL,NULL,'2022-07-29 11:30:49',185.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,185.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-29 15:30:49','2022-07-29 15:30:49'),(594,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0593','',NULL,NULL,'2022-07-29 13:04:12',430.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,430.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-29 17:04:12','2022-07-29 17:04:12'),(595,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0594','',NULL,NULL,'2022-07-29 15:31:08',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-29 19:31:08','2022-07-29 19:31:08'),(596,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0595','',NULL,NULL,'2022-07-29 15:34:38',105.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,105.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-29 19:34:38','2022-07-29 19:34:38'),(597,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0596','',NULL,NULL,'2022-07-29 16:54:37',325.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,325.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-29 20:54:37','2022-07-29 20:54:37'),(598,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0597','',NULL,NULL,'2022-07-29 17:29:27',365.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,365.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-29 21:29:27','2022-07-29 21:29:27'),(600,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0599','',NULL,NULL,'2022-07-30 10:12:25',430.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,430.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-30 14:12:25','2022-07-30 14:12:25'),(601,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0600','',NULL,NULL,'2022-07-30 10:14:00',470.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,470.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-30 14:14:00','2022-07-30 14:14:00'),(602,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0601','',NULL,NULL,'2022-07-30 10:28:58',25.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,25.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-30 14:28:58','2022-07-30 14:28:58'),(603,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0602','',NULL,NULL,'2022-07-30 13:14:01',290.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,290.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-30 17:14:01','2022-07-30 17:14:01'),(604,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0603','',NULL,NULL,'2022-07-30 14:09:33',620.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,620.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-30 18:09:33','2022-07-30 18:09:33'),(605,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0604','',NULL,NULL,'2022-07-30 14:39:21',80.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,80.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-30 18:39:21','2022-07-30 18:39:21'),(606,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0605','',NULL,NULL,'2022-07-30 18:10:25',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-30 22:10:25','2022-07-30 22:10:25'),(607,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0606','',NULL,NULL,'2022-07-30 18:53:55',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-07-30 22:53:55','2022-07-30 22:53:55'),(608,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0607','',NULL,NULL,'2022-08-01 10:39:03',300.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,300.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-01 14:39:03','2022-08-01 14:39:03'),(609,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0608','',NULL,NULL,'2022-08-01 10:39:26',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-01 14:39:26','2022-08-01 14:39:26'),(610,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0609','',NULL,NULL,'2022-08-01 13:41:47',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-01 17:41:47','2022-08-01 17:41:47'),(611,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0610','',NULL,NULL,'2022-08-01 13:43:07',25.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,25.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-01 17:43:07','2022-08-01 17:43:07'),(612,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0611','',NULL,NULL,'2022-08-01 14:21:14',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-01 18:21:14','2022-08-01 18:21:14'),(613,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0612','',NULL,NULL,'2022-08-01 15:15:33',160.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,160.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-01 19:15:33','2022-08-01 19:15:33'),(614,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0613','',NULL,NULL,'2022-08-01 16:07:44',380.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,380.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-01 20:07:44','2022-08-01 20:07:44'),(615,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0614','',NULL,NULL,'2022-08-01 16:25:58',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-01 20:25:58','2022-08-01 20:25:58'),(616,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0615','',NULL,NULL,'2022-08-01 16:28:58',560.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,560.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-01 20:28:58','2022-08-01 20:28:58'),(617,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0616','',NULL,NULL,'2022-08-01 16:36:35',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-01 20:36:35','2022-08-01 20:36:35'),(618,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0617','',NULL,NULL,'2022-08-01 17:37:28',300.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,300.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-01 21:37:28','2022-08-01 21:37:28'),(619,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0618','',NULL,NULL,'2022-08-01 17:37:59',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-01 21:37:59','2022-08-01 21:37:59'),(620,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0619','',NULL,NULL,'2022-08-01 17:59:11',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-01 21:59:11','2022-08-01 21:59:11'),(621,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0620','',NULL,NULL,'2022-08-01 18:01:31',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-01 22:01:31','2022-08-01 22:01:31'),(622,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0621','',NULL,NULL,'2022-08-01 18:38:35',185.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,185.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-01 22:38:35','2022-08-01 22:38:35'),(623,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0622','',NULL,NULL,'2022-08-02 09:45:53',160.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,160.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-02 13:45:53','2022-08-02 13:45:53'),(624,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0623','',NULL,NULL,'2022-08-02 10:01:13',310.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,310.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-02 14:01:13','2022-08-02 14:01:13'),(625,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0624','',NULL,NULL,'2022-08-02 10:12:31',350.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,350.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-02 14:12:31','2022-08-02 14:12:31'),(626,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0625','',NULL,NULL,'2022-08-02 11:11:10',470.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,470.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-02 15:11:10','2022-08-02 15:11:10'),(627,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0626','',NULL,NULL,'2022-08-02 11:15:40',160.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,160.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-02 15:15:40','2022-08-02 15:15:40'),(628,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0627','',NULL,NULL,'2022-08-02 12:03:57',300.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,300.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-02 16:03:57','2022-08-02 16:03:57'),(629,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0628','',NULL,NULL,'2022-08-02 14:32:00',420.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,420.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-02 18:32:00','2022-08-02 18:32:00'),(630,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0629','',NULL,NULL,'2022-08-02 16:45:37',390.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,390.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-02 20:45:37','2022-08-02 20:45:37'),(631,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0630','',NULL,NULL,'2022-08-02 17:20:48',190.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,190.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-02 21:20:48','2022-08-02 21:20:48'),(632,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0631','',NULL,NULL,'2022-08-02 18:05:07',220.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,220.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-02 22:05:07','2022-08-02 22:05:07'),(633,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0632','',NULL,NULL,'2022-08-03 09:23:39',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-03 13:23:39','2022-08-03 13:23:39'),(634,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0633','',NULL,NULL,'2022-08-03 09:47:46',110.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,110.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-03 13:47:46','2022-08-03 13:47:46'),(635,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0634','',NULL,NULL,'2022-08-03 09:58:44',105.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,105.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-03 13:58:44','2022-08-03 13:58:44'),(636,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0635','',NULL,NULL,'2022-08-03 11:04:21',130.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,130.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-03 15:04:21','2022-08-03 15:04:21'),(637,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0636','',NULL,NULL,'2022-08-03 12:57:07',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-03 16:57:07','2022-08-03 16:57:07'),(638,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0637','',NULL,NULL,'2022-08-03 13:03:31',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-03 17:03:31','2022-08-03 17:03:32'),(639,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0638','',NULL,NULL,'2022-08-03 13:29:22',270.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,270.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-03 17:29:22','2022-08-03 17:29:22'),(640,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0639','',NULL,NULL,'2022-08-03 14:02:34',120.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,120.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-03 18:02:34','2022-08-03 18:02:34'),(641,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0640','',NULL,NULL,'2022-08-04 09:09:45',110.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,110.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-04 13:09:45','2022-08-04 13:09:45'),(642,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0641','',NULL,NULL,'2022-08-04 10:16:00',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-04 14:16:00','2022-08-04 14:16:00'),(643,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0642','',NULL,NULL,'2022-08-04 11:08:27',230.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,230.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-04 15:08:27','2022-08-04 15:08:27'),(644,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0643','',NULL,NULL,'2022-08-04 15:01:41',200.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,200.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-04 19:01:41','2022-08-04 19:01:41'),(645,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0644','',NULL,NULL,'2022-08-04 15:26:34',75.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,75.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-04 19:26:34','2022-08-04 19:26:34'),(646,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0645','',NULL,NULL,'2022-08-04 15:36:58',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-04 19:36:58','2022-08-04 19:36:58'),(647,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0646','',NULL,NULL,'2022-08-04 15:44:04',250.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,250.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-04 19:44:04','2022-08-04 19:44:04'),(648,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0647','',NULL,NULL,'2022-08-04 16:01:03',500.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,500.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-04 20:01:03','2022-08-04 20:01:03'),(649,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,4,NULL,'0648','',NULL,NULL,'2022-08-04 16:06:37',280.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,280.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-04 20:06:37','2022-08-04 20:06:37'),(650,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0649','',NULL,NULL,'2022-08-05 09:03:56',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-05 13:03:56','2022-08-05 13:03:56'),(651,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0650','',NULL,NULL,'2022-08-05 09:25:47',55.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,55.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-05 13:25:47','2022-08-05 13:25:47'),(652,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0651','',NULL,NULL,'2022-08-05 09:53:08',285.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,285.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-05 13:53:08','2022-08-05 13:53:08'),(653,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,4,NULL,'0652','',NULL,NULL,'2022-08-05 10:08:46',500.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,500.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-05 14:08:46','2022-08-05 14:08:46'),(654,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0653','',NULL,NULL,'2022-08-05 10:40:06',210.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,210.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-05 14:40:06','2022-08-05 14:40:06'),(655,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0654','',NULL,NULL,'2022-08-05 11:22:12',310.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,310.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-05 15:22:12','2022-08-05 15:22:12'),(656,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0655','',NULL,NULL,'2022-08-05 11:56:28',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-05 15:56:28','2022-08-05 15:56:28'),(657,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0656','',NULL,NULL,'2022-08-05 13:01:54',470.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,470.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-05 17:01:54','2022-08-05 17:01:54'),(658,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0657','',NULL,NULL,'2022-08-05 13:09:47',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-05 17:09:47','2022-08-05 17:09:47'),(659,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,5,NULL,'0658','',NULL,NULL,'2022-08-05 18:03:51',265.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,265.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-05 22:03:51','2022-08-05 22:03:51'),(660,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,4,NULL,'0659','',NULL,NULL,'2022-08-05 18:05:16',470.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,470.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-05 22:05:16','2022-08-05 22:05:16'),(661,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0660','',NULL,NULL,'2022-08-06 10:07:36',105.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,105.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-06 14:07:36','2022-08-06 14:07:36'),(662,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,4,NULL,'0661','',NULL,NULL,'2022-08-06 10:50:22',345.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,345.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-06 14:50:22','2022-08-06 14:50:22'),(663,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,3,NULL,'0662','',NULL,NULL,'2022-08-06 10:51:00',490.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,490.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-06 14:51:00','2022-08-06 14:51:00'),(664,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,5,NULL,'0663','',NULL,NULL,'2022-08-06 11:37:09',440.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,440.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-06 15:37:09','2022-08-06 15:37:09'),(665,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0664','',NULL,NULL,'2022-08-08 09:50:35',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-08 13:50:35','2022-08-08 13:50:35'),(666,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,4,NULL,'0665','',NULL,NULL,'2022-08-08 11:37:01',210.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,210.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-08 15:37:01','2022-08-08 15:37:01'),(667,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0666','',NULL,NULL,'2022-08-08 12:31:05',105.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,105.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-08 16:31:05','2022-08-08 16:31:05'),(668,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0667','',NULL,NULL,'2022-08-08 13:52:54',250.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,250.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-08 17:52:54','2022-08-08 17:52:54'),(669,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0668','',NULL,NULL,'2022-08-08 14:42:00',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-08 18:42:00','2022-08-08 18:42:00'),(670,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0669','',NULL,NULL,'2022-08-08 15:31:43',260.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,260.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-08 19:31:43','2022-08-08 19:31:43'),(671,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0670','',NULL,NULL,'2022-08-08 16:01:43',1070.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,1070.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-08 20:01:43','2022-08-08 20:01:43'),(672,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,5,NULL,'0671','',NULL,NULL,'2022-08-08 16:03:18',290.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,290.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-08 20:03:18','2022-08-08 20:03:18'),(673,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0672','',NULL,NULL,'2022-08-08 17:02:09',265.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,265.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-08 21:02:09','2022-08-08 21:02:09'),(674,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0673','',NULL,NULL,'2022-08-08 17:23:14',315.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,315.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-08 21:23:14','2022-08-08 21:23:14'),(675,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0674','',NULL,NULL,'2022-08-08 17:41:35',150.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,150.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-08 21:41:35','2022-08-08 21:41:35'),(676,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,4,NULL,'0675','',NULL,NULL,'2022-08-08 18:12:47',510.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,510.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-08 22:12:47','2022-08-08 22:12:47'),(677,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0676','',NULL,NULL,'2022-08-08 18:25:17',50.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,50.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-08 22:25:17','2022-08-08 22:25:17'),(678,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0677','',NULL,NULL,'2022-08-08 18:44:43',270.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,270.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-08 22:44:43','2022-08-08 22:44:43'),(679,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0678','',NULL,NULL,'2022-08-08 18:56:27',270.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,270.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-08 22:56:27','2022-08-08 22:56:27'),(680,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0679','',NULL,NULL,'2022-08-09 10:19:21',100.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,100.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-09 14:19:21','2022-08-09 14:19:21'),(681,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'due',NULL,5,NULL,'0680','',NULL,NULL,'2022-08-09 11:19:29',430.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,430.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-09 15:19:29','2022-08-09 15:19:29'),(682,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0681','',NULL,NULL,'2022-08-09 13:37:31',180.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,180.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-09 17:37:31','2022-08-09 17:37:31'),(683,1,1,NULL,NULL,NULL,'sell',NULL,'final',0,'paid',NULL,1,NULL,'0682','',NULL,NULL,'2022-08-09 13:53:21',240.0000,NULL,0.0000,'percentage',0.0000,0,0.0000,NULL,NULL,NULL,NULL,0.0000,NULL,NULL,0.0000,240.0000,NULL,NULL,2,NULL,0,0,1.000,NULL,NULL,NULL,NULL,2,NULL,NULL,NULL,0.0000,NULL,NULL,NULL,NULL,NULL,NULL,NULL,0.0000,0,0,0.00,NULL,0.0000,NULL,NULL,0,NULL,0,1.0000,'days',0,NULL,NULL,NULL,NULL,NULL,0,'2022-08-09 17:53:21','2022-08-09 17:53:21');
/*!40000 ALTER TABLE `transactions` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `types_of_services`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `types_of_services` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `business_id` int(11) NOT NULL,
  `location_price_group` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `packing_charge` decimal(22,4) DEFAULT NULL,
  `packing_charge_type` enum('fixed','percent') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `enable_custom_fields` tinyint(1) NOT NULL DEFAULT 0,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `types_of_services_business_id_index` (`business_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `types_of_services` WRITE;
/*!40000 ALTER TABLE `types_of_services` DISABLE KEYS */;
/*!40000 ALTER TABLE `types_of_services` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `units`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `units` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `business_id` int(10) unsigned NOT NULL,
  `actual_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `short_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `allow_decimal` tinyint(1) NOT NULL,
  `base_unit_id` int(11) DEFAULT NULL,
  `base_unit_multiplier` decimal(20,4) DEFAULT NULL,
  `created_by` int(10) unsigned NOT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `units_business_id_foreign` (`business_id`),
  KEY `units_created_by_foreign` (`created_by`),
  KEY `units_base_unit_id_index` (`base_unit_id`),
  CONSTRAINT `units_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE,
  CONSTRAINT `units_created_by_foreign` FOREIGN KEY (`created_by`) REFERENCES `users` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `units` WRITE;
/*!40000 ALTER TABLE `units` DISABLE KEYS */;
INSERT INTO `units` VALUES (1,1,'Unidad','UD',1,NULL,NULL,1,NULL,'2022-05-24 00:59:04','2022-05-23 15:56:53');
/*!40000 ALTER TABLE `units` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `user_contact_access`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `user_contact_access` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` int(11) NOT NULL,
  `contact_id` int(11) NOT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `user_contact_access` WRITE;
/*!40000 ALTER TABLE `user_contact_access` DISABLE KEYS */;
/*!40000 ALTER TABLE `user_contact_access` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `users`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `users` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `user_type` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'user',
  `surname` char(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `first_name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `last_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `username` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `email` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `password` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `language` char(7) COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'en',
  `contact_no` char(15) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `remember_token` varchar(100) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `business_id` int(10) unsigned DEFAULT NULL,
  `max_sales_discount_percent` decimal(5,2) DEFAULT NULL,
  `allow_login` tinyint(1) NOT NULL DEFAULT 1,
  `essentials_department_id` int(11) DEFAULT NULL,
  `essentials_designation_id` int(11) DEFAULT NULL,
  `status` enum('active','inactive','terminated') COLLATE utf8mb4_unicode_ci NOT NULL DEFAULT 'active',
  `is_cmmsn_agnt` tinyint(1) NOT NULL DEFAULT 0,
  `cmmsn_percent` decimal(4,2) NOT NULL DEFAULT 0.00,
  `selected_contacts` tinyint(1) NOT NULL DEFAULT 0,
  `dob` date DEFAULT NULL,
  `gender` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `marital_status` enum('married','unmarried','divorced') COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `blood_group` char(10) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `contact_number` char(20) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `fb_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `twitter_link` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `social_media_1` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `social_media_2` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `permanent_address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `current_address` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `guardian_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field_1` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field_2` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field_3` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `custom_field_4` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `bank_details` longtext COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `id_proof_name` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `id_proof_number` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `users_username_unique` (`username`),
  KEY `users_business_id_foreign` (`business_id`),
  KEY `users_user_type_index` (`user_type`),
  CONSTRAINT `users_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `users` WRITE;
/*!40000 ALTER TABLE `users` DISABLE KEYS */;
INSERT INTO `users` VALUES (1,'user',NULL,'Admin',NULL,'ajavier_snackanddessert','aabreu@amatech.com.do','$2y$10$EcelQOG8cMAeZ6lIJ6PruuKeGtYvdH3awo/OzpYWzcxT3DRnK5Lky','es',NULL,NULL,'K8qVgsnD8Ysgwlge67xOhl7syKKdZAHFI66EQkqqZp0LBIUNXQvV8FfMwjl1',1,NULL,1,NULL,NULL,'active',0,0.00,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'2022-05-24 00:59:04','2022-05-24 00:59:04'),(2,'user','Sr.','Gerson','Vásquez','gvasquez','gersonvasquez@hotmail.com','$2y$10$KJTnvQ.AphN4waAHoaXmKORQwR6gV9X5rA8H1LNKB6ETCEDWGFe7K','es',NULL,NULL,'FYse1Nk53RDh4grYOGtjdEJIxtYH9WtbF5FADFIiabu6lyNfaNEpD3gJSYis',1,NULL,1,NULL,NULL,'active',0,0.00,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'{\"account_holder_name\":null,\"account_number\":null,\"bank_name\":null,\"bank_code\":null,\"branch\":null,\"tax_payer_id\":null}',NULL,NULL,NULL,'2022-05-23 15:47:51','2022-05-23 15:48:14'),(3,'user',NULL,'CAJERO 1',NULL,'cajero1','a@a.es','$2y$10$eMfD6TIGF5grPQBYY36SleJ95Amrxx9/OesBj0kObG7L7fbjfHjdC','es',NULL,NULL,NULL,1,NULL,1,NULL,NULL,'active',0,0.00,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'{\"account_holder_name\":null,\"account_number\":null,\"bank_name\":null,\"bank_code\":null,\"branch\":null,\"tax_payer_id\":null}',NULL,NULL,NULL,'2022-05-24 15:40:33','2022-05-24 15:43:27'),(4,'user',NULL,'CAJERO 2',NULL,'cajero2','cc@a.com','$2y$10$8AuFKQna5T9U9Xq2H.dKR.F2t/6iis7XeWeUNn.JsXSjgsMi0lcBy','es',NULL,NULL,NULL,1,NULL,1,NULL,NULL,'active',0,0.00,0,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,NULL,'{\"account_holder_name\":null,\"account_number\":null,\"bank_name\":null,\"bank_code\":null,\"branch\":null,\"tax_payer_id\":null}',NULL,NULL,NULL,'2022-05-24 15:41:20','2022-05-24 15:45:01');
/*!40000 ALTER TABLE `users` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `variation_group_prices`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `variation_group_prices` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `variation_id` int(10) unsigned NOT NULL,
  `price_group_id` int(10) unsigned NOT NULL,
  `price_inc_tax` decimal(22,4) NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `variation_group_prices_variation_id_foreign` (`variation_id`),
  KEY `variation_group_prices_price_group_id_foreign` (`price_group_id`),
  CONSTRAINT `variation_group_prices_price_group_id_foreign` FOREIGN KEY (`price_group_id`) REFERENCES `selling_price_groups` (`id`) ON DELETE CASCADE,
  CONSTRAINT `variation_group_prices_variation_id_foreign` FOREIGN KEY (`variation_id`) REFERENCES `variations` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `variation_group_prices` WRITE;
/*!40000 ALTER TABLE `variation_group_prices` DISABLE KEYS */;
/*!40000 ALTER TABLE `variation_group_prices` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `variation_location_details`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `variation_location_details` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `product_id` int(10) unsigned NOT NULL,
  `product_variation_id` int(10) unsigned NOT NULL COMMENT 'id from product_variations table',
  `variation_id` int(10) unsigned NOT NULL,
  `location_id` int(10) unsigned NOT NULL,
  `qty_available` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `variation_location_details_location_id_foreign` (`location_id`),
  KEY `variation_location_details_product_id_index` (`product_id`),
  KEY `variation_location_details_product_variation_id_index` (`product_variation_id`),
  KEY `variation_location_details_variation_id_index` (`variation_id`),
  CONSTRAINT `variation_location_details_location_id_foreign` FOREIGN KEY (`location_id`) REFERENCES `business_locations` (`id`),
  CONSTRAINT `variation_location_details_variation_id_foreign` FOREIGN KEY (`variation_id`) REFERENCES `variations` (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=57 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `variation_location_details` WRITE;
/*!40000 ALTER TABLE `variation_location_details` DISABLE KEYS */;
INSERT INTO `variation_location_details` VALUES (1,2,2,2,1,-2.0000,'2022-05-23 17:08:39','2022-05-31 19:07:09'),(2,13,13,13,1,-46.0000,'2022-05-23 17:08:39','2022-08-06 14:07:36'),(3,1,1,1,1,-109.0000,'2022-05-23 17:08:39','2022-08-09 17:53:21'),(4,22,22,22,1,0.0000,'2022-05-23 17:18:05','2022-05-24 15:37:26'),(5,20,20,20,1,-19.0000,'2022-05-23 17:20:25','2022-08-08 22:44:43'),(6,16,16,16,1,-14.0000,'2022-05-23 17:20:25','2022-08-02 22:05:07'),(7,14,14,14,1,-12.0000,'2022-05-23 17:20:25','2022-08-06 15:37:09'),(8,15,15,15,1,-7.0000,'2022-05-23 22:49:14','2022-08-02 20:45:37'),(9,30,30,30,1,-12.0000,'2022-05-23 23:12:04','2022-07-19 20:09:04'),(10,26,26,26,1,-47.0000,'2022-05-23 23:12:04','2022-08-09 17:37:31'),(11,6,6,6,1,-61.0000,'2022-05-23 23:12:04','2022-08-08 21:23:14'),(12,3,3,3,1,-129.0000,'2022-05-23 23:12:04','2022-08-09 14:19:21'),(13,9,9,9,1,-113.0000,'2022-05-23 23:12:04','2022-08-08 21:23:14'),(14,21,21,21,1,-3.0000,'2022-05-23 23:12:04','2022-05-25 23:20:27'),(15,4,4,4,1,-170.0000,'2022-05-24 16:29:00','2022-08-09 14:19:21'),(16,5,5,5,1,-44.0000,'2022-05-24 16:29:00','2022-08-08 19:31:43'),(17,11,11,11,1,-43.0000,'2022-05-24 17:53:03','2022-08-09 15:19:29'),(18,31,31,31,1,-111.0000,'2022-05-24 19:53:52','2022-08-09 17:37:31'),(19,27,27,27,1,-65.0000,'2022-05-24 19:53:52','2022-08-08 22:44:43'),(20,17,17,17,1,-12.0000,'2022-05-24 20:33:12','2022-08-04 20:06:37'),(21,32,32,32,1,-61.0000,'2022-05-24 20:33:12','2022-08-09 15:19:29'),(22,10,10,10,1,-24.0000,'2022-05-24 20:37:49','2022-08-05 14:08:46'),(23,7,7,7,1,-45.0000,'2022-05-25 13:19:10','2022-08-09 17:37:31'),(24,39,39,39,1,-42.0000,'2022-05-25 16:28:50','2022-08-08 20:03:18'),(25,19,19,19,1,-3.0000,'2022-05-25 20:38:34','2022-06-21 19:22:57'),(26,23,23,23,1,-22.0000,'2022-05-25 20:38:34','2022-07-22 22:47:05'),(27,36,36,36,1,-22.0000,'2022-05-25 21:11:37','2022-06-11 14:58:31'),(28,37,37,37,1,-48.0000,'2022-05-26 12:33:31','2022-08-08 21:23:14'),(29,34,34,34,1,-8.0000,'2022-05-27 13:14:39','2022-07-06 18:01:20'),(30,29,29,29,1,-12.0000,'2022-05-28 15:03:04','2022-08-08 22:12:47'),(31,8,8,8,1,-40.0000,'2022-05-28 15:03:04','2022-08-04 13:09:45'),(32,24,24,24,1,-17.0000,'2022-05-30 21:19:57','2022-07-28 16:52:17'),(33,25,25,25,1,-18.0000,'2022-05-31 20:02:57','2022-08-04 20:01:03'),(34,28,28,28,1,-24.0000,'2022-05-31 21:18:27','2022-08-08 22:12:47'),(35,18,18,18,1,-14.0000,'2022-06-03 20:19:15','2022-08-05 22:05:16'),(36,33,33,33,1,-2.0000,'2022-06-20 19:57:16','2022-06-28 15:47:27'),(37,44,44,44,1,-23.0000,'2022-06-20 19:57:16','2022-08-08 22:56:27'),(38,35,35,35,1,-5.0000,'2022-06-20 19:57:16','2022-07-04 21:59:08'),(39,43,43,43,1,-6.0000,'2022-06-20 22:08:17','2022-06-30 17:25:30'),(40,41,41,41,1,-4.0000,'2022-06-21 14:01:07','2022-06-25 22:34:38'),(41,46,46,46,1,-34.0000,'2022-06-21 14:01:07','2022-08-08 21:02:09'),(42,47,47,47,1,-34.0000,'2022-06-21 15:21:24','2022-07-27 17:57:00'),(43,40,40,40,1,-34.0000,'2022-06-21 15:55:32','2022-08-08 20:03:18'),(44,12,12,12,1,-13.0000,'2022-06-21 17:15:47','2022-07-19 22:59:05'),(45,45,45,45,1,-27.0000,'2022-06-22 13:30:46','2022-08-08 20:01:43'),(46,48,48,48,1,-1.0000,'2022-06-23 15:24:29','2022-06-23 15:24:29'),(47,49,49,49,1,-21.0000,'2022-07-12 14:34:31','2022-08-06 14:50:22'),(48,50,50,50,1,-16.0000,'2022-07-13 14:22:59','2022-07-30 18:09:33'),(49,52,52,52,1,-8.0000,'2022-07-14 14:00:52','2022-08-09 15:19:29'),(50,54,54,54,1,-8.0000,'2022-07-14 17:30:17','2022-08-05 17:01:54'),(51,55,55,55,1,-1.0000,'2022-07-14 17:30:17','2022-07-14 17:30:17'),(52,51,51,51,1,-16.0000,'2022-07-14 20:37:31','2022-08-09 17:53:21'),(53,58,58,58,1,-5.0000,'2022-07-15 19:59:23','2022-08-02 14:01:13'),(54,57,57,57,1,-8.0000,'2022-07-19 13:48:38','2022-08-08 22:56:27'),(55,56,56,56,1,-12.0000,'2022-07-21 14:37:44','2022-08-04 19:26:34'),(56,53,53,53,1,-5.0000,'2022-07-30 14:10:35','2022-08-05 15:22:12');
/*!40000 ALTER TABLE `variation_location_details` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `variation_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `variation_templates` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `business_id` int(10) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `variation_templates_business_id_foreign` (`business_id`),
  CONSTRAINT `variation_templates_business_id_foreign` FOREIGN KEY (`business_id`) REFERENCES `business` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `variation_templates` WRITE;
/*!40000 ALTER TABLE `variation_templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `variation_templates` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `variation_value_templates`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `variation_value_templates` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `variation_template_id` int(10) unsigned NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `variation_value_templates_name_index` (`name`),
  KEY `variation_value_templates_variation_template_id_index` (`variation_template_id`),
  CONSTRAINT `variation_value_templates_variation_template_id_foreign` FOREIGN KEY (`variation_template_id`) REFERENCES `variation_templates` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `variation_value_templates` WRITE;
/*!40000 ALTER TABLE `variation_value_templates` DISABLE KEYS */;
/*!40000 ALTER TABLE `variation_value_templates` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `variations`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `variations` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `product_id` int(10) unsigned NOT NULL,
  `sub_sku` varchar(191) COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `product_variation_id` int(10) unsigned NOT NULL,
  `variation_value_id` int(11) DEFAULT NULL,
  `default_purchase_price` decimal(22,4) DEFAULT NULL,
  `dpp_inc_tax` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `profit_percent` decimal(22,4) NOT NULL DEFAULT 0.0000,
  `default_sell_price` decimal(22,4) DEFAULT NULL,
  `sell_price_inc_tax` decimal(22,4) DEFAULT NULL COMMENT 'Sell price including tax',
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  `deleted_at` timestamp NULL DEFAULT NULL,
  `combo_variations` text COLLATE utf8mb4_unicode_ci DEFAULT NULL COMMENT 'Contains the combo variation details',
  PRIMARY KEY (`id`),
  KEY `variations_product_id_foreign` (`product_id`),
  KEY `variations_product_variation_id_foreign` (`product_variation_id`),
  KEY `variations_name_index` (`name`),
  KEY `variations_sub_sku_index` (`sub_sku`),
  KEY `variations_variation_value_id_index` (`variation_value_id`),
  CONSTRAINT `variations_product_id_foreign` FOREIGN KEY (`product_id`) REFERENCES `products` (`id`) ON DELETE CASCADE,
  CONSTRAINT `variations_product_variation_id_foreign` FOREIGN KEY (`product_variation_id`) REFERENCES `product_variations` (`id`) ON DELETE CASCADE
) ENGINE=InnoDB AUTO_INCREMENT=62 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `variations` WRITE;
/*!40000 ALTER TABLE `variations` DISABLE KEYS */;
INSERT INTO `variations` VALUES (1,'DUMMY',1,'0001',1,NULL,50.0000,50.0000,0.0000,50.0000,50.0000,'2022-05-23 16:19:13','2022-05-23 16:24:30',NULL,'[]'),(2,'DUMMY',2,'0002',2,NULL,50.0000,50.0000,0.0000,50.0000,50.0000,'2022-05-23 16:21:14','2022-05-23 16:25:22',NULL,'[]'),(3,'DUMMY',3,'0003',3,NULL,50.0000,50.0000,0.0000,50.0000,50.0000,'2022-05-23 16:21:41','2022-05-23 16:21:41',NULL,'[]'),(4,'DUMMY',4,'0004',4,NULL,50.0000,50.0000,0.0000,50.0000,50.0000,'2022-05-23 16:23:14','2022-05-23 16:23:14',NULL,'[]'),(5,'DUMMY',5,'0005',5,NULL,50.0000,50.0000,0.0000,50.0000,50.0000,'2022-05-23 16:25:57','2022-05-23 16:25:57',NULL,'[]'),(6,'DUMMY',6,'0006',6,NULL,50.0000,50.0000,0.0000,50.0000,50.0000,'2022-05-23 16:26:48','2022-05-23 16:26:48',NULL,'[]'),(7,'DUMMY',7,'0007',7,NULL,50.0000,50.0000,0.0000,50.0000,50.0000,'2022-05-23 16:32:22','2022-05-23 16:32:22',NULL,'[]'),(8,'DUMMY',8,'0008',8,NULL,55.0000,55.0000,0.0000,55.0000,55.0000,'2022-05-23 16:33:13','2022-05-23 16:33:13',NULL,'[]'),(9,'DUMMY',9,'0009',9,NULL,55.0000,55.0000,0.0000,55.0000,55.0000,'2022-05-23 16:33:52','2022-05-23 16:33:52',NULL,'[]'),(10,'DUMMY',10,'0010',10,NULL,55.0000,55.0000,0.0000,55.0000,55.0000,'2022-05-23 16:34:22','2022-05-23 16:34:22',NULL,'[]'),(11,'DUMMY',11,'0011',11,NULL,150.0000,150.0000,0.0000,150.0000,150.0000,'2022-05-23 16:35:26','2022-05-24 18:03:46',NULL,'[]'),(12,'DUMMY',12,'0012',12,NULL,150.0000,150.0000,0.0000,150.0000,150.0000,'2022-05-23 16:36:01','2022-06-21 17:14:55',NULL,'[]'),(13,'DUMMY',13,'0013',13,NULL,55.0000,55.0000,0.0000,55.0000,55.0000,'2022-05-23 16:39:34','2022-05-23 16:39:34',NULL,'[]'),(14,'DUMMY',14,'0014',14,NULL,120.0000,120.0000,0.0000,120.0000,120.0000,'2022-05-23 16:49:01','2022-05-23 16:53:42',NULL,'[]'),(15,'DUMMY',15,'0015',15,NULL,120.0000,120.0000,0.0000,120.0000,120.0000,'2022-05-23 16:49:43','2022-05-23 16:53:33',NULL,'[]'),(16,'DUMMY',16,'0016',16,NULL,120.0000,120.0000,0.0000,120.0000,120.0000,'2022-05-23 16:50:13','2022-05-23 16:50:13',NULL,'[]'),(17,'DUMMY',17,'0017',17,NULL,120.0000,120.0000,0.0000,120.0000,120.0000,'2022-05-23 16:50:45','2022-05-23 16:53:03',NULL,'[]'),(18,'DUMMY',18,'0018',18,NULL,100.0000,100.0000,0.0000,100.0000,100.0000,'2022-05-23 16:54:42','2022-05-23 16:54:42',NULL,'[]'),(19,'DUMMY',19,'0019',19,NULL,120.0000,120.0000,0.0000,120.0000,120.0000,'2022-05-23 16:55:10','2022-05-23 16:55:10',NULL,'[]'),(20,'DUMMY',20,'0020',20,NULL,120.0000,120.0000,0.0000,120.0000,120.0000,'2022-05-23 16:55:47','2022-05-23 16:55:47',NULL,'[]'),(21,'DUMMY',21,'0021',21,NULL,40.0000,40.0000,0.0000,40.0000,40.0000,'2022-05-23 16:56:32','2022-05-23 16:56:32',NULL,'[]'),(22,'DUMMY',22,'0022',22,NULL,20.0000,20.0000,0.0000,20.0000,20.0000,'2022-05-23 16:57:03','2022-05-23 17:07:54',NULL,'[]'),(23,'DUMMY',23,'0023',23,NULL,80.0000,80.0000,0.0000,80.0000,80.0000,'2022-05-23 17:00:34','2022-05-23 17:00:34',NULL,'[]'),(24,'DUMMY',24,'0024',24,NULL,80.0000,80.0000,0.0000,80.0000,80.0000,'2022-05-23 17:01:01','2022-07-14 20:38:34',NULL,'[]'),(25,'DUMMY',25,'0025',25,NULL,80.0000,80.0000,0.0000,80.0000,80.0000,'2022-05-23 17:01:31','2022-07-14 20:38:54',NULL,'[]'),(26,'DUMMY',26,'0026',26,NULL,50.0000,50.0000,0.0000,50.0000,50.0000,'2022-05-23 17:02:17','2022-05-23 17:02:17',NULL,'[]'),(27,'DUMMY',27,'0027',27,NULL,150.0000,150.0000,0.0000,150.0000,150.0000,'2022-05-23 17:05:36','2022-05-23 17:05:36',NULL,'[]'),(28,'DUMMY',28,'0028',28,NULL,160.0000,160.0000,0.0000,160.0000,160.0000,'2022-05-23 17:06:00','2022-07-14 21:00:28',NULL,'[]'),(29,'DUMMY',29,'0029',29,NULL,50.0000,50.0000,0.0000,50.0000,50.0000,'2022-05-23 17:06:28','2022-05-23 17:06:28',NULL,'[]'),(30,'DUMMY',30,'0030',30,NULL,60.0000,60.0000,0.0000,60.0000,60.0000,'2022-05-23 17:06:52','2022-05-23 17:06:52',NULL,'[]'),(31,'DUMMY',31,'0031',31,NULL,80.0000,80.0000,0.0000,80.0000,80.0000,'2022-05-24 15:24:39','2022-06-20 19:24:43',NULL,'[]'),(32,'DUMMY',32,'0032',32,NULL,80.0000,80.0000,0.0000,80.0000,80.0000,'2022-05-24 15:25:08','2022-06-20 19:24:23',NULL,'[]'),(33,'DUMMY',33,'0033',33,NULL,200.0000,200.0000,0.0000,200.0000,200.0000,'2022-05-24 15:25:43','2022-06-20 19:48:59',NULL,'[]'),(34,'DUMMY',34,'0034',34,NULL,180.0000,180.0000,0.0000,180.0000,180.0000,'2022-05-24 15:26:12','2022-06-20 19:49:37',NULL,'[]'),(35,'DUMMY',35,'0035',35,NULL,170.0000,170.0000,0.0000,170.0000,170.0000,'2022-05-24 15:26:52','2022-06-20 19:47:02',NULL,'[]'),(36,'DUMMY',36,'0036',36,NULL,80.0000,80.0000,0.0000,80.0000,80.0000,'2022-05-24 15:28:37','2022-06-20 19:45:39',NULL,'[]'),(37,'DUMMY',37,'0037',37,NULL,80.0000,80.0000,0.0000,80.0000,80.0000,'2022-05-24 15:29:15','2022-06-20 19:45:19',NULL,'[]'),(38,'DUMMY',38,'0038',38,NULL,60.0000,60.0000,0.0000,60.0000,60.0000,'2022-05-24 15:29:42','2022-05-24 15:29:42',NULL,'[]'),(39,'DUMMY',39,'0039',39,NULL,80.0000,80.0000,0.0000,80.0000,80.0000,'2022-05-24 15:30:01','2022-06-20 19:25:19',NULL,'[]'),(40,'DUMMY',40,'0040',40,NULL,80.0000,80.0000,0.0000,80.0000,80.0000,'2022-06-20 19:21:32','2022-06-20 19:22:20',NULL,'[]'),(41,'DUMMY',41,'0041',41,NULL,160.0000,160.0000,0.0000,160.0000,160.0000,'2022-06-20 19:50:09','2022-06-20 19:50:09',NULL,'[]'),(42,'DUMMY',42,'0042',42,NULL,170.0000,170.0000,0.0000,170.0000,170.0000,'2022-06-20 19:50:54','2022-06-20 19:50:54',NULL,'[]'),(43,'DUMMY',43,'0043',43,NULL,170.0000,170.0000,0.0000,170.0000,170.0000,'2022-06-20 19:51:17','2022-06-20 19:51:17',NULL,'[]'),(44,'DUMMY',44,'0044',44,NULL,80.0000,80.0000,0.0000,80.0000,80.0000,'2022-06-20 19:51:40','2022-06-20 19:51:40',NULL,'[]'),(45,'DUMMY',45,'0045',45,NULL,80.0000,80.0000,0.0000,80.0000,80.0000,'2022-06-20 19:52:05','2022-06-20 19:52:05',NULL,'[]'),(46,'DUMMY',46,'0046',46,NULL,25.0000,25.0000,0.0000,25.0000,25.0000,'2022-06-20 19:52:22','2022-06-20 19:52:22',NULL,'[]'),(47,'DUMMY',47,'0047',47,NULL,350.0000,350.0000,0.0000,350.0000,350.0000,'2022-06-21 15:20:57','2022-06-21 15:20:57',NULL,'[]'),(48,'DUMMY',48,'0048',48,NULL,120.0000,120.0000,0.0000,120.0000,120.0000,'2022-06-23 15:24:10','2022-06-23 15:24:10',NULL,'[]'),(49,'DUMMY',49,'0049',49,NULL,210.0000,210.0000,0.0000,210.0000,210.0000,'2022-07-12 14:34:05','2022-07-12 14:34:05',NULL,'[]'),(50,'DUMMY',50,'0050',50,NULL,180.0000,180.0000,0.0000,180.0000,180.0000,'2022-07-13 14:20:46','2022-07-13 14:20:46',NULL,'[]'),(51,'DUMMY',51,'0051',51,NULL,190.0000,190.0000,0.0000,190.0000,190.0000,'2022-07-13 14:21:17','2022-07-13 14:21:17',NULL,'[]'),(52,'DUMMY',52,'0052',52,NULL,200.0000,200.0000,0.0000,200.0000,200.0000,'2022-07-13 14:21:38','2022-07-13 14:21:38',NULL,'[]'),(53,'DUMMY',53,'0053',53,NULL,150.0000,150.0000,0.0000,150.0000,150.0000,'2022-07-13 14:22:03','2022-07-13 14:22:03',NULL,'[]'),(54,'DUMMY',54,'0054',54,NULL,180.0000,180.0000,0.0000,180.0000,180.0000,'2022-07-13 14:22:24','2022-07-13 14:22:24',NULL,'[]'),(55,'DUMMY',55,'0055',55,NULL,50.0000,50.0000,0.0000,50.0000,50.0000,'2022-07-13 14:51:22','2022-07-13 14:51:22',NULL,'[]'),(56,'DUMMY',56,'0056',56,NULL,75.0000,75.0000,0.0000,75.0000,75.0000,'2022-07-13 14:51:57','2022-07-13 14:51:57',NULL,'[]'),(57,'DUMMY',57,'0057',57,NULL,110.0000,110.0000,0.0000,110.0000,110.0000,'2022-07-13 14:52:25','2022-07-13 14:52:25',NULL,'[]'),(58,'DUMMY',58,'0058',58,NULL,50.0000,50.0000,0.0000,50.0000,50.0000,'2022-07-13 20:00:50','2022-07-13 20:00:50',NULL,'[]'),(59,'DUMMY',59,'0059',59,NULL,90.0000,90.0000,0.0000,90.0000,90.0000,'2022-07-13 20:01:21','2022-07-13 20:01:21',NULL,'[]'),(60,'DUMMY',60,'0060',60,NULL,80.0000,80.0000,0.0000,80.0000,80.0000,'2022-08-09 19:02:06','2022-08-09 19:02:06',NULL,'[]'),(61,'DUMMY',61,'0061',61,NULL,100.0000,100.0000,0.0000,100.0000,100.0000,'2022-08-09 19:02:32','2022-08-09 19:02:32',NULL,'[]');
/*!40000 ALTER TABLE `variations` ENABLE KEYS */;
UNLOCK TABLES;
DROP TABLE IF EXISTS `warranties`;
/*!40101 SET @saved_cs_client     = @@character_set_client */;
/*!40101 SET character_set_client = utf8 */;
CREATE TABLE `warranties` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(191) COLLATE utf8mb4_unicode_ci NOT NULL,
  `business_id` int(11) NOT NULL,
  `description` text COLLATE utf8mb4_unicode_ci DEFAULT NULL,
  `duration` int(11) NOT NULL,
  `duration_type` enum('days','months','years') COLLATE utf8mb4_unicode_ci NOT NULL,
  `created_at` timestamp NULL DEFAULT NULL,
  `updated_at` timestamp NULL DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_ci;
/*!40101 SET character_set_client = @saved_cs_client */;

LOCK TABLES `warranties` WRITE;
/*!40000 ALTER TABLE `warranties` DISABLE KEYS */;
/*!40000 ALTER TABLE `warranties` ENABLE KEYS */;
UNLOCK TABLES;
/*!40103 SET TIME_ZONE=@OLD_TIME_ZONE */;

/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;

